// tcl wrapper for vtkOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOpenGLRenderWindow.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkRenderWindowCppCommand(vtkRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOpenGLRenderWindowCppCommand(vtkOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkOpenGLRenderWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOpenGLRenderWindowCppCommand(static_cast<vtkOpenGLRenderWindow *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOpenGLRenderWindowCppCommand(vtkOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOpenGLRenderWindow",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderWindowCppCommand(static_cast<vtkRenderWindow *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderWindow"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOpenGLRenderWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetGlobalMaximumNumberOfMultiSamples",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlobalMaximumNumberOfMultiSamples(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalMaximumNumberOfMultiSamples",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlobalMaximumNumberOfMultiSamples();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StereoUpdate",argv[1]))&&(argc == 2))
    {
    op->StereoUpdate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkUnsignedCharArray  *temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    int      temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    temp20 = (op)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRGBAPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkFloatArray  *temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkFloatArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRGBAPixelData",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkFloatArray"),interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    temp20 = (op)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRGBACharPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkUnsignedCharArray  *temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRGBACharPixelData",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    int      temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    temp20 = (op)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZbufferData",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkFloatArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetZbufferData",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkFloatArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthBufferSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepthBufferSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OpenGLInit",argv[1]))&&(argc == 2))
    {
    op->OpenGLInit();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OpenGLInitState",argv[1]))&&(argc == 2))
    {
    op->OpenGLInitState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OpenGLInitContext",argv[1]))&&(argc == 2))
    {
    op->OpenGLInitContext();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBackLeftBuffer",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetBackLeftBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBackRightBuffer",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetBackRightBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFrontLeftBuffer",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetFrontLeftBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFrontRightBuffer",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetFrontRightBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBackBuffer",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetBackBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFrontBuffer",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetFrontBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CheckGraphicError",argv[1]))&&(argc == 2))
    {
    op->CheckGraphicError();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasGraphicError",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasGraphicError();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastGraphicErrorString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLastGraphicErrorString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetContextCreationTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetContextCreationTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExtensionManager",argv[1]))&&(argc == 2))
    {
    vtkOpenGLExtensionManager  *temp20;
    temp20 = (op)->GetExtensionManager();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLExtensionManager");
    return TCL_OK;
    }
  if ((!strcmp("GetHardwareSupport",argv[1]))&&(argc == 2))
    {
    vtkOpenGLHardwareSupport  *temp20;
    temp20 = (op)->GetHardwareSupport();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOpenGLHardwareSupport");
    return TCL_OK;
    }
  if ((!strcmp("WaitForCompletion",argv[1]))&&(argc == 2))
    {
    op->WaitForCompletion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkOpenGLRenderWindowCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderWindowCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOpenGLRenderWindow:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalMaximumNumberOfMultiSamples\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalMaximumNumberOfMultiSamples\n",NULL);
    Tcl_AppendResult(interp,"  StereoUpdate\n",NULL);
    Tcl_AppendResult(interp,"  GetPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRGBAPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRGBAPixelData\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRGBACharPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRGBACharPixelData\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  GetZbufferData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetZbufferData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthBufferSize\n",NULL);
    Tcl_AppendResult(interp,"  OpenGLInit\n",NULL);
    Tcl_AppendResult(interp,"  OpenGLInitState\n",NULL);
    Tcl_AppendResult(interp,"  OpenGLInitContext\n",NULL);
    Tcl_AppendResult(interp,"  GetBackLeftBuffer\n",NULL);
    Tcl_AppendResult(interp,"  GetBackRightBuffer\n",NULL);
    Tcl_AppendResult(interp,"  GetFrontLeftBuffer\n",NULL);
    Tcl_AppendResult(interp,"  GetFrontRightBuffer\n",NULL);
    Tcl_AppendResult(interp,"  GetBackBuffer\n",NULL);
    Tcl_AppendResult(interp,"  GetFrontBuffer\n",NULL);
    Tcl_AppendResult(interp,"  CheckGraphicError\n",NULL);
    Tcl_AppendResult(interp,"  HasGraphicError\n",NULL);
    Tcl_AppendResult(interp,"  GetLastGraphicErrorString\n",NULL);
    Tcl_AppendResult(interp,"  GetContextCreationTime\n",NULL);
    Tcl_AppendResult(interp,"  GetExtensionManager\n",NULL);
    Tcl_AppendResult(interp,"  GetHardwareSupport\n",NULL);
    Tcl_AppendResult(interp,"  WaitForCompletion\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderWindowCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalMaximumNumberOfMultiSamples" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalMaximumNumberOfMultiSamples" );
    Tcl_DStringAppendElement ( &dString, "StereoUpdate" );
    Tcl_DStringAppendElement ( &dString, "GetPixelData" );
    Tcl_DStringAppendElement ( &dString, "SetPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetRGBAPixelData" );
    Tcl_DStringAppendElement ( &dString, "SetRGBAPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetRGBACharPixelData" );
    Tcl_DStringAppendElement ( &dString, "SetRGBACharPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetZbufferData" );
    Tcl_DStringAppendElement ( &dString, "SetZbufferData" );
    Tcl_DStringAppendElement ( &dString, "GetDepthBufferSize" );
    Tcl_DStringAppendElement ( &dString, "OpenGLInit" );
    Tcl_DStringAppendElement ( &dString, "OpenGLInitState" );
    Tcl_DStringAppendElement ( &dString, "OpenGLInitContext" );
    Tcl_DStringAppendElement ( &dString, "GetBackLeftBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetBackRightBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetFrontLeftBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetFrontRightBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetBackBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetFrontBuffer" );
    Tcl_DStringAppendElement ( &dString, "CheckGraphicError" );
    Tcl_DStringAppendElement ( &dString, "HasGraphicError" );
    Tcl_DStringAppendElement ( &dString, "GetLastGraphicErrorString" );
    Tcl_DStringAppendElement ( &dString, "GetContextCreationTime" );
    Tcl_DStringAppendElement ( &dString, "GetExtensionManager" );
    Tcl_DStringAppendElement ( &dString, "GetHardwareSupport" );
    Tcl_DStringAppendElement ( &dString, "WaitForCompletion" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderWindowCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalMaximumNumberOfMultiSamples */
    if ( strcmp ( argv[2], "SetGlobalMaximumNumberOfMultiSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalMaximumNumberOfMultiSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalMaximumNumberOfMultiSamples */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of multisamples\n" );
    Tcl_DStringAppendElement ( &dString, "static void SetGlobalMaximumNumberOfMultiSamples(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetGlobalMaximumNumberOfMultiSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalMaximumNumberOfMultiSamples */
    if ( strcmp ( argv[2], "GetGlobalMaximumNumberOfMultiSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalMaximumNumberOfMultiSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalMaximumNumberOfMultiSamples */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of multisamples\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalMaximumNumberOfMultiSamples();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetGlobalMaximumNumberOfMultiSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StereoUpdate */
    if ( strcmp ( argv[2], "StereoUpdate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StereoUpdate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StereoUpdate */
    Tcl_DStringAppendElement ( &dString, " Update system if needed due to stereo rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StereoUpdate();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for StereoUpdate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPixelData */
    if ( strcmp ( argv[2], "GetPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBRGB...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetPixelData(int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPixelData */
    if ( strcmp ( argv[2], "SetPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBRGB...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetPixelData(int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRGBAPixelData */
    if ( strcmp ( argv[2], "GetRGBAPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRGBAPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRGBAPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBARGBA...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRGBAPixelData(int x, int y, int x2, int y2, int front, vtkFloatArray *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetRGBAPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRGBAPixelData */
    if ( strcmp ( argv[2], "SetRGBAPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRGBAPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRGBAPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBARGBA...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetRGBAPixelData(int x, int y, int x2, int y2, vtkFloatArray *data, int front, int blend=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetRGBAPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRGBACharPixelData */
    if ( strcmp ( argv[2], "GetRGBACharPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRGBACharPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRGBACharPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBARGBA...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRGBACharPixelData(int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetRGBACharPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRGBACharPixelData */
    if ( strcmp ( argv[2], "SetRGBACharPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRGBACharPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRGBACharPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBARGBA...\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetRGBACharPixelData(int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front, int blend=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetRGBACharPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZbufferData */
    if ( strcmp ( argv[2], "GetZbufferData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZbufferData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZbufferData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zbuffer data from an image\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetZbufferData(int x1, int y1, int x2, int y2, vtkFloatArray *z);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetZbufferData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZbufferData */
    if ( strcmp ( argv[2], "SetZbufferData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZbufferData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZbufferData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zbuffer data from an image\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetZbufferData(int x1, int y1, int x2, int y2, vtkFloatArray *buffer);" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for SetZbufferData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthBufferSize */
    if ( strcmp ( argv[2], "GetDepthBufferSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthBufferSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthBufferSize */
    Tcl_DStringAppendElement ( &dString, " Get the size of the depth buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDepthBufferSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetDepthBufferSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OpenGLInit */
    if ( strcmp ( argv[2], "OpenGLInit" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OpenGLInit" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OpenGLInit */
    Tcl_DStringAppendElement ( &dString, " Initialize OpenGL for this window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OpenGLInit();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for OpenGLInit */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OpenGLInitState */
    if ( strcmp ( argv[2], "OpenGLInitState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OpenGLInitState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OpenGLInitState */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OpenGLInitState();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for OpenGLInitState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OpenGLInitContext */
    if ( strcmp ( argv[2], "OpenGLInitContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OpenGLInitContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OpenGLInitContext */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void OpenGLInitContext();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for OpenGLInitContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackLeftBuffer */
    if ( strcmp ( argv[2], "GetBackLeftBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackLeftBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackLeftBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the back left buffer.\n It is GL_BACK_LEFT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetBackLeftBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetBackLeftBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackRightBuffer */
    if ( strcmp ( argv[2], "GetBackRightBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackRightBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackRightBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the back right buffer.\n It is GL_BACK_RIGHT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT+1 if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetBackRightBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetBackRightBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrontLeftBuffer */
    if ( strcmp ( argv[2], "GetFrontLeftBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrontLeftBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrontLeftBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the front left buffer.\n It is GL_FRONT_LEFT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetFrontLeftBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetFrontLeftBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrontRightBuffer */
    if ( strcmp ( argv[2], "GetFrontRightBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrontRightBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrontRightBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the front right buffer.\n It is GL_FRONT_RIGHT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT+1 if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetFrontRightBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetFrontRightBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackBuffer */
    if ( strcmp ( argv[2], "GetBackBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the back left buffer.\n It is GL_BACK if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetBackBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetBackBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrontBuffer */
    if ( strcmp ( argv[2], "GetFrontBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrontBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrontBuffer */
    Tcl_DStringAppendElement ( &dString, " Return the OpenGL name of the front left buffer.\n It is GL_FRONT if GL is bound to the window-system-provided\n framebuffer. It is vtkgl::COLOR_ATTACHMENT0_EXT if GL is bound to an\n application-created framebuffer object (GPU-based offscreen rendering)\n It is used by vtkOpenGLCamera.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetFrontBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetFrontBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckGraphicError */
    if ( strcmp ( argv[2], "CheckGraphicError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckGraphicError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckGraphicError */
    Tcl_DStringAppendElement ( &dString, " Update graphic error status, regardless of ReportGraphicErrors flag.\n It means this method can be used in any context and is not restricted to\n debug mode.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CheckGraphicError();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for CheckGraphicError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasGraphicError */
    if ( strcmp ( argv[2], "HasGraphicError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasGraphicError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasGraphicError */
    Tcl_DStringAppendElement ( &dString, " Return the last graphic error status. Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasGraphicError();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for HasGraphicError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastGraphicErrorString */
    if ( strcmp ( argv[2], "GetLastGraphicErrorString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastGraphicErrorString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastGraphicErrorString */
    Tcl_DStringAppendElement ( &dString, " Return a string matching the last graphic error status.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetLastGraphicErrorString();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetLastGraphicErrorString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContextCreationTime */
    if ( strcmp ( argv[2], "GetContextCreationTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContextCreationTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContextCreationTime */
    Tcl_DStringAppendElement ( &dString, " Get the time when the OpenGL context was created.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetContextCreationTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetContextCreationTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExtensionManager */
    if ( strcmp ( argv[2], "GetExtensionManager" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExtensionManager" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExtensionManager */
    Tcl_DStringAppendElement ( &dString, " Returns the extension manager. A new one will be created if one hasn't\n already been set up.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLExtensionManager *GetExtensionManager();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetExtensionManager */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHardwareSupport */
    if ( strcmp ( argv[2], "GetHardwareSupport" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHardwareSupport" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHardwareSupport */
    Tcl_DStringAppendElement ( &dString, " Returns an Hardware Support object. A new one will be created if one\n hasn't already been set up.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLHardwareSupport *GetHardwareSupport();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for GetHardwareSupport */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WaitForCompletion */
    if ( strcmp ( argv[2], "WaitForCompletion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WaitForCompletion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WaitForCompletion */
    Tcl_DStringAppendElement ( &dString, " Block the thread until the actual rendering is finished().\n Useful for measurement only.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WaitForCompletion();" );
    Tcl_DStringAppendElement ( &dString, "vtkOpenGLRenderWindow" );
    /* Closing for WaitForCompletion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderWindowCppCommand(static_cast<vtkRenderWindow *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
