// tcl wrapper for vtkPointSetToLabelHierarchy object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointSetToLabelHierarchy.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPointSetToLabelHierarchyNewCommand()
{
  vtkPointSetToLabelHierarchy *temp = vtkPointSetToLabelHierarchy::New();
  return static_cast<ClientData>(temp);
}

int vtkLabelHierarchyAlgorithmCppCommand(vtkLabelHierarchyAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPointSetToLabelHierarchyCppCommand(vtkPointSetToLabelHierarchy *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPointSetToLabelHierarchyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPointSetToLabelHierarchyCppCommand(static_cast<vtkPointSetToLabelHierarchy *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPointSetToLabelHierarchyCppCommand(vtkPointSetToLabelHierarchy *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPointSetToLabelHierarchy",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkLabelHierarchyAlgorithmCppCommand(static_cast<vtkLabelHierarchyAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkLabelHierarchyAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPointSetToLabelHierarchy  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointSetToLabelHierarchy");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPointSetToLabelHierarchy  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointSetToLabelHierarchy");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPointSetToLabelHierarchy  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointSetToLabelHierarchy");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTargetLabelCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTargetLabelCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTargetLabelCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTargetLabelCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumDepth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumDepth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumDepth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumDepth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseUnicodeStrings",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseUnicodeStrings(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseUnicodeStrings",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseUnicodeStrings();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseUnicodeStringsOn",argv[1]))&&(argc == 2))
    {
    op->UseUnicodeStringsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseUnicodeStringsOff",argv[1]))&&(argc == 2))
    {
    op->UseUnicodeStringsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSizeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSizeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSizeArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetSizeArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPriorityArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPriorityArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPriorityArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPriorityArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetIconIndexArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetIconIndexArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconIndexArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetIconIndexArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetOrientationArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientationArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetOrientationArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBoundedSizeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetBoundedSizeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundedSizeArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetBoundedSizeArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPointSetToLabelHierarchyCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkLabelHierarchyAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPointSetToLabelHierarchy:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTargetLabelCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTargetLabelCount\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumDepth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDepth\n",NULL);
    Tcl_AppendResult(interp,"  SetUseUnicodeStrings\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseUnicodeStrings\n",NULL);
    Tcl_AppendResult(interp,"  UseUnicodeStringsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseUnicodeStringsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetSizeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSizeArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetPriorityArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPriorityArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetIconIndexArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIconIndexArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundedSizeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundedSizeArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextProperty\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkLabelHierarchyAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetTargetLabelCount" );
    Tcl_DStringAppendElement ( &dString, "GetTargetLabelCount" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumDepth" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDepth" );
    Tcl_DStringAppendElement ( &dString, "SetUseUnicodeStrings" );
    Tcl_DStringAppendElement ( &dString, "GetUseUnicodeStrings" );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOn" );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOff" );
    Tcl_DStringAppendElement ( &dString, "SetLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetSizeArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetSizeArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetIconIndexArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetIconIndexArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetBoundedSizeArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetBoundedSizeArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkLabelHierarchyAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkPointSetToLabelHierarchy *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTargetLabelCount */
    if ( strcmp ( argv[2], "SetTargetLabelCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTargetLabelCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTargetLabelCount */
    Tcl_DStringAppendElement ( &dString, " Set/get the \"ideal\" number of labels to associate with each node in the output hierarchy.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTargetLabelCount(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SetTargetLabelCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTargetLabelCount */
    if ( strcmp ( argv[2], "GetTargetLabelCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTargetLabelCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTargetLabelCount */
    Tcl_DStringAppendElement ( &dString, " Set/get the \"ideal\" number of labels to associate with each node in the output hierarchy.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTargetLabelCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetTargetLabelCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumDepth */
    if ( strcmp ( argv[2], "SetMaximumDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumDepth */
    Tcl_DStringAppendElement ( &dString, " Set/get the maximum tree depth in the output hierarchy.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumDepth(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SetMaximumDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumDepth */
    if ( strcmp ( argv[2], "GetMaximumDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumDepth */
    Tcl_DStringAppendElement ( &dString, " Set/get the maximum tree depth in the output hierarchy.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumDepth();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetMaximumDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseUnicodeStrings */
    if ( strcmp ( argv[2], "SetUseUnicodeStrings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseUnicodeStrings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseUnicodeStrings */
    Tcl_DStringAppendElement ( &dString, " Whether to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseUnicodeStrings(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SetUseUnicodeStrings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseUnicodeStrings */
    if ( strcmp ( argv[2], "GetUseUnicodeStrings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseUnicodeStrings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseUnicodeStrings */
    Tcl_DStringAppendElement ( &dString, " Whether to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseUnicodeStrings();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetUseUnicodeStrings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseUnicodeStringsOn */
    if ( strcmp ( argv[2], "UseUnicodeStringsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseUnicodeStringsOn */
    Tcl_DStringAppendElement ( &dString, " Whether to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseUnicodeStringsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for UseUnicodeStringsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseUnicodeStringsOff */
    if ( strcmp ( argv[2], "UseUnicodeStringsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseUnicodeStringsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseUnicodeStringsOff */
    Tcl_DStringAppendElement ( &dString, " Whether to use unicode strings.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseUnicodeStringsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for UseUnicodeStringsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelArrayName */
    if ( strcmp ( argv[2], "SetLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the label array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SetLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelArrayName */
    if ( strcmp ( argv[2], "GetLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the label array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetLabelArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSizeArrayName */
    if ( strcmp ( argv[2], "SetSizeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSizeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSizeArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the priority array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSizeArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SetSizeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSizeArrayName */
    if ( strcmp ( argv[2], "GetSizeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSizeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSizeArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the priority array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetSizeArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetSizeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPriorityArrayName */
    if ( strcmp ( argv[2], "SetPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the priority array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPriorityArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SetPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPriorityArrayName */
    if ( strcmp ( argv[2], "GetPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the priority array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetPriorityArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconIndexArrayName */
    if ( strcmp ( argv[2], "SetIconIndexArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconIndexArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconIndexArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the icon index array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIconIndexArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SetIconIndexArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconIndexArrayName */
    if ( strcmp ( argv[2], "GetIconIndexArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconIndexArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconIndexArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the icon index array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetIconIndexArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetIconIndexArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationArrayName */
    if ( strcmp ( argv[2], "SetOrientationArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the text orientation array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOrientationArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SetOrientationArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationArrayName */
    if ( strcmp ( argv[2], "GetOrientationArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the text orientation array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetOrientationArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetOrientationArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundedSizeArrayName */
    if ( strcmp ( argv[2], "SetBoundedSizeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundedSizeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundedSizeArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the maximum text width (in world coordinates) array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBoundedSizeArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SetBoundedSizeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundedSizeArrayName */
    if ( strcmp ( argv[2], "GetBoundedSizeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundedSizeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundedSizeArrayName */
    Tcl_DStringAppendElement ( &dString, " Set/get the maximum text width (in world coordinates) array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetBoundedSizeArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetBoundedSizeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextProperty */
    if ( strcmp ( argv[2], "SetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/get the text property assigned to the hierarchy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextProperty(vtkTextProperty *tprop);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for SetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextProperty */
    if ( strcmp ( argv[2], "GetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/get the text property assigned to the hierarchy.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointSetToLabelHierarchy" );
    /* Closing for GetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkLabelHierarchyAlgorithmCppCommand(static_cast<vtkLabelHierarchyAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
