// python wrapper for vtkQImageToImageSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQImageToImageSource.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQImageToImageSource(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQImageToImageSource(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQImageToImageSourceNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQImageToImageSourceNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkImageAlgorithmNew
#endif

static const char **PyvtkQImageToImageSource_Doc();


static PyObject *
PyvtkQImageToImageSource_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQImageToImageSource *op = static_cast<vtkQImageToImageSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQImageToImageSource::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQImageToImageSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQImageToImageSource *op = static_cast<vtkQImageToImageSource *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQImageToImageSource::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQImageToImageSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQImageToImageSource *op = static_cast<vtkQImageToImageSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQImageToImageSource *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQImageToImageSource::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQImageToImageSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQImageToImageSource *tempr = vtkQImageToImageSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQImageToImageSource_SetQImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetQImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQImageToImageSource *op = static_cast<vtkQImageToImageSource *>(vp);

  QImage *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QImage"))
    {
    if (ap.IsBound())
      {
      op->SetQImage(temp0);
      }
    else
      {
      op->vtkQImageToImageSource::SetQImage(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQImageToImageSource_GetQImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetQImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQImageToImageSource *op = static_cast<vtkQImageToImageSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const QImage *tempr = (ap.IsBound() ?
      op->GetQImage() :
      op->vtkQImageToImageSource::GetQImage());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSIPObject(tempr, "QImage", false);
      }
    }

  return result;
}

static PyMethodDef PyvtkQImageToImageSource_Methods[] = {
  {(char*)"GetClassName", PyvtkQImageToImageSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQImageToImageSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQImageToImageSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQImageToImageSource\nC++: vtkQImageToImageSource *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQImageToImageSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQImageToImageSource\nC++: vtkQImageToImageSource *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetQImage", PyvtkQImageToImageSource_SetQImage, 1,
   (char*)"V.SetQImage(QImage)\nC++: void SetQImage(QImage *image)\n\nSet/Get QImage surface to be used.\n"},
  {(char*)"GetQImage", PyvtkQImageToImageSource_GetQImage, 1,
   (char*)"V.GetQImage() -> QImage\nC++: const QImage *GetQImage()\n\nSet/Get QImage surface to be used.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQImageToImageSource_StaticNew()
{
  return vtkQImageToImageSource::New();
}

PyObject *PyVTKClass_vtkQImageToImageSourceNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQImageToImageSource_StaticNew,
    PyvtkQImageToImageSource_Methods,
    "vtkQImageToImageSource", modulename,
    NULL, NULL,
    PyvtkQImageToImageSource_Doc(),
    PyVTKClass_vtkImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkQImageToImageSource_Doc()
{
  static const char *docstring[] = {
    "vtkQImageToImageSource - Create image data from a QImage.\n\n",
    "Superclass: vtkImageAlgorithm\n\n",
    "vtkQImageToImageSource produces image data from a QImage.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQImageToImageSource(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQImageToImageSourceNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQImageToImageSource", o) != 0)
    {
    Py_DECREF(o);
    }

}

