// python wrapper for vtkQtInitialization
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtInitialization.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtInitialization(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtInitialization(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtInitializationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtInitializationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkQtInitialization_Doc();


static PyObject *
PyvtkQtInitialization_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtInitialization *op = static_cast<vtkQtInitialization *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtInitialization::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtInitialization_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtInitialization *op = static_cast<vtkQtInitialization *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtInitialization::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtInitialization_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtInitialization *op = static_cast<vtkQtInitialization *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtInitialization *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtInitialization::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtInitialization_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtInitialization *tempr = vtkQtInitialization::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkQtInitialization_Methods[] = {
  {(char*)"GetClassName", PyvtkQtInitialization_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtInitialization_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtInitialization_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtInitialization\nC++: vtkQtInitialization *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtInitialization_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtInitialization\nC++: vtkQtInitialization *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQtInitialization_StaticNew()
{
  return vtkQtInitialization::New();
}

PyObject *PyVTKClass_vtkQtInitializationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQtInitialization_StaticNew,
    PyvtkQtInitialization_Methods,
    "vtkQtInitialization", modulename,
    NULL, NULL,
    PyvtkQtInitialization_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkQtInitialization_Doc()
{
  static const char *docstring[] = {
    "vtkQtInitialization - Initializes a Qt application.\n\n",
    "Superclass: vtkObject\n\n",
    "Utility class that initializes Qt by creating an instance of\nQApplication in its ctor, if one doesn't already exist. This is\nmainly of use in ParaView with filters that use Qt in their\nimplementation - create an instance of vtkQtInitialization prior to\ninstantiating any filters that require Qt.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtInitialization(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtInitializationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtInitialization", o) != 0)
    {
    Py_DECREF(o);
    }

}

