// python wrapper for vtkQtStringToImage
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkVector.h"
#include "vtkUnicodeString.h"
#include "vtkStdString.h"
#include "vtkQtStringToImage.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtStringToImage(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtStringToImage(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtStringToImageNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtStringToImageNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkStringToImageNew
extern "C" { PyObject *PyVTKClass_vtkStringToImageNew(const char *); }
#define DECLARED_PyVTKClass_vtkStringToImageNew
#endif

static const char **PyvtkQtStringToImage_Doc();


static PyObject *
PyvtkQtStringToImage_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtStringToImage *op = static_cast<vtkQtStringToImage *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtStringToImage::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtStringToImage_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtStringToImage *op = static_cast<vtkQtStringToImage *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtStringToImage::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtStringToImage_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtStringToImage *op = static_cast<vtkQtStringToImage *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtStringToImage *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtStringToImage::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtStringToImage_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtStringToImage *tempr = vtkQtStringToImage::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtStringToImage_GetBounds_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtStringToImage *op = static_cast<vtkQtStringToImage *>(vp);

  vtkTextProperty *temp0 = NULL;
  vtkUnicodeString temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkTextProperty") &&
      ap.GetValue(temp1))
    {
    vtkVector2i tempr = (ap.IsBound() ?
      op->GetBounds(temp0, temp1) :
      op->vtkQtStringToImage::GetBounds(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSpecialObject(&tempr, "vtkVector2i");
      }
    }

  return result;
}

static PyObject *
PyvtkQtStringToImage_GetBounds_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBounds");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtStringToImage *op = static_cast<vtkQtStringToImage *>(vp);

  vtkTextProperty *temp0 = NULL;
  vtkStdString temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkTextProperty") &&
      ap.GetValue(temp1))
    {
    vtkVector2i tempr = (ap.IsBound() ?
      op->GetBounds(temp0, temp1) :
      op->vtkQtStringToImage::GetBounds(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSpecialObject(&tempr, "vtkVector2i");
      }
    }

  return result;
}

static PyMethodDef PyvtkQtStringToImage_GetBounds_Methods[] = {
  {NULL, PyvtkQtStringToImage_GetBounds_s1, 1,
   (char*)"@OO *vtkTextProperty unicode"},
  {NULL, PyvtkQtStringToImage_GetBounds_s2, 1,
   (char*)"@Os *vtkTextProperty"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkQtStringToImage_GetBounds(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkQtStringToImage_GetBounds_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 2:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetBounds");
  return NULL;
}



static PyObject *
PyvtkQtStringToImage_RenderString_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtStringToImage *op = static_cast<vtkQtStringToImage *>(vp);

  vtkTextProperty *temp0 = NULL;
  vtkUnicodeString temp1;
  vtkImageData *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkTextProperty") &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkImageData"))
    {
    int tempr = (ap.IsBound() ?
      op->RenderString(temp0, temp1, temp2) :
      op->vtkQtStringToImage::RenderString(temp0, temp1, temp2));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkQtStringToImage_RenderString_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtStringToImage *op = static_cast<vtkQtStringToImage *>(vp);

  vtkTextProperty *temp0 = NULL;
  vtkStdString temp1;
  vtkImageData *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetVTKObject(temp0, "vtkTextProperty") &&
      ap.GetValue(temp1) &&
      ap.GetVTKObject(temp2, "vtkImageData"))
    {
    int tempr = (ap.IsBound() ?
      op->RenderString(temp0, temp1, temp2) :
      op->vtkQtStringToImage::RenderString(temp0, temp1, temp2));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkQtStringToImage_RenderString_Methods[] = {
  {NULL, PyvtkQtStringToImage_RenderString_s1, 1,
   (char*)"@OOO *vtkTextProperty unicode *vtkImageData"},
  {NULL, PyvtkQtStringToImage_RenderString_s2, 1,
   (char*)"@OsO *vtkTextProperty *vtkImageData"},
  {NULL, NULL, 0, NULL}
};

static PyObject *
PyvtkQtStringToImage_RenderString(PyObject *self, PyObject *args)
{
  PyMethodDef *methods = PyvtkQtStringToImage_RenderString_Methods;
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 3:
      return vtkPythonOverload::CallMethod(methods, self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "RenderString");
  return NULL;
}



static PyObject *
PyvtkQtStringToImage_DeepCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DeepCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtStringToImage *op = static_cast<vtkQtStringToImage *>(vp);

  vtkQtStringToImage *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkQtStringToImage"))
    {
    if (ap.IsBound())
      {
      op->DeepCopy(temp0);
      }
    else
      {
      op->vtkQtStringToImage::DeepCopy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkQtStringToImage_Methods[] = {
  {(char*)"GetClassName", PyvtkQtStringToImage_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtStringToImage_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtStringToImage_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtStringToImage\nC++: vtkQtStringToImage *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtStringToImage_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtStringToImage\nC++: vtkQtStringToImage *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetBounds", PyvtkQtStringToImage_GetBounds, 1,
   (char*)"V.GetBounds(vtkTextProperty, unicode) -> vtkVector2i\nC++: virtual vtkVector2i GetBounds(vtkTextProperty *property,\n    const vtkUnicodeString &string)\nV.GetBounds(vtkTextProperty, string) -> vtkVector2i\nC++: virtual vtkVector2i GetBounds(vtkTextProperty *property,\n    const vtkStdString &string)\n\nGiven a text property and a string, get the bounding box [xmin,\nxmax] x [ymin, ymax]. Note that this is the bounding box of the\narea where actual pixels will be written, given a\ntext/pen/baseline location of (0,0). For example, if the string\nstarts with a 'space', or depending on the orientation, you can\nend up with a [-20, -10] x [5, 10] bbox (the math to get the real\nbbox is straightforward). Return 1 on success, 0 otherwise. You\ncan use IsBoundingBoxValid() to test if the computed bbox is\nvalid (it may not if GetBoundingBox() failed or if the string was\nempty).\n"},
  {(char*)"RenderString", PyvtkQtStringToImage_RenderString, 1,
   (char*)"V.RenderString(vtkTextProperty, unicode, vtkImageData) -> int\nC++: virtual int RenderString(vtkTextProperty *property,\n    const vtkUnicodeString &string, vtkImageData *data)\nV.RenderString(vtkTextProperty, string, vtkImageData) -> int\nC++: virtual int RenderString(vtkTextProperty *property,\n    const vtkStdString &string, vtkImageData *data)\n\nGiven a text property and a string, this function initializes the\nvtkImageData *data and renders it in a vtkImageData.\n"},
  {(char*)"DeepCopy", PyvtkQtStringToImage_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkQtStringToImage)\nC++: void DeepCopy(vtkQtStringToImage *utility)\n\nMake a deep copy of the supplied utility class.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQtStringToImage_StaticNew()
{
  return vtkQtStringToImage::New();
}

PyObject *PyVTKClass_vtkQtStringToImageNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQtStringToImage_StaticNew,
    PyvtkQtStringToImage_Methods,
    "vtkQtStringToImage", modulename,
    NULL, NULL,
    PyvtkQtStringToImage_Doc(),
    PyVTKClass_vtkStringToImageNew(modulename));
  return cls;
}

const char **PyvtkQtStringToImage_Doc()
{
  static const char *docstring[] = {
    "vtkQtStringToImage - uses Qt to render the supplied text to an image.\n\n",
    "Superclass: vtkStringToImage\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtStringToImage(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtStringToImageNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtStringToImage", o) != 0)
    {
    Py_DECREF(o);
    }

}

