// python wrapper for vtkQtTreeRingLabelMapper
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtTreeRingLabelMapper.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtTreeRingLabelMapper(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtTreeRingLabelMapper(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtTreeRingLabelMapperNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtTreeRingLabelMapperNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkLabeledDataMapperNew
extern "C" { PyObject *PyVTKClass_vtkLabeledDataMapperNew(const char *); }
#define DECLARED_PyVTKClass_vtkLabeledDataMapperNew
#endif

static const char **PyvtkQtTreeRingLabelMapper_Doc();


static PyObject *
PyvtkQtTreeRingLabelMapper_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtTreeRingLabelMapper::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtTreeRingLabelMapper::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtTreeRingLabelMapper *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtTreeRingLabelMapper::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtTreeRingLabelMapper *tempr = vtkQtTreeRingLabelMapper::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderOpaqueGeometry");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  vtkViewport *temp0 = NULL;
  vtkActor2D *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkViewport") &&
      ap.GetVTKObject(temp1, "vtkActor2D"))
    {
    if (ap.IsBound())
      {
      op->RenderOpaqueGeometry(temp0, temp1);
      }
    else
      {
      op->vtkQtTreeRingLabelMapper::RenderOpaqueGeometry(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_RenderOverlay(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RenderOverlay");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  vtkViewport *temp0 = NULL;
  vtkActor2D *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkViewport") &&
      ap.GetVTKObject(temp1, "vtkActor2D"))
    {
    if (ap.IsBound())
      {
      op->RenderOverlay(temp0, temp1);
      }
    else
      {
      op->vtkQtTreeRingLabelMapper::RenderOverlay(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_GetInputTree(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInputTree");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTree *tempr = (ap.IsBound() ?
      op->GetInputTree() :
      op->vtkQtTreeRingLabelMapper::GetInputTree());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_SetSectorsArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSectorsArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSectorsArrayName(temp0);
      }
    else
      {
      op->vtkQtTreeRingLabelMapper::SetSectorsArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_SetLabelTextProperty_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLabelTextProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  vtkTextProperty *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTextProperty"))
    {
    if (ap.IsBound())
      {
      op->SetLabelTextProperty(temp0);
      }
    else
      {
      op->vtkQtTreeRingLabelMapper::SetLabelTextProperty(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkQtTreeRingLabelMapper_SetLabelTextProperty_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLabelTextProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  vtkTextProperty *temp0 = NULL;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetVTKObject(temp0, "vtkTextProperty") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetLabelTextProperty(temp0, temp1);
      }
    else
      {
      op->vtkQtTreeRingLabelMapper::SetLabelTextProperty(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyObject *
PyvtkQtTreeRingLabelMapper_SetLabelTextProperty(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkQtTreeRingLabelMapper_SetLabelTextProperty_s1(self, args);
    case 2:
      return PyvtkQtTreeRingLabelMapper_SetLabelTextProperty_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "SetLabelTextProperty");
  return NULL;
}



static PyObject *
PyvtkQtTreeRingLabelMapper_GetLabelTextProperty_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLabelTextProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTextProperty *tempr = (ap.IsBound() ?
      op->GetLabelTextProperty() :
      op->vtkQtTreeRingLabelMapper::GetLabelTextProperty());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkQtTreeRingLabelMapper_GetLabelTextProperty_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLabelTextProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkTextProperty *tempr = (ap.IsBound() ?
      op->GetLabelTextProperty(temp0) :
      op->vtkQtTreeRingLabelMapper::GetLabelTextProperty(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkQtTreeRingLabelMapper_GetLabelTextProperty(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 0:
      return PyvtkQtTreeRingLabelMapper_GetLabelTextProperty_s1(self, args);
    case 1:
      return PyvtkQtTreeRingLabelMapper_GetLabelTextProperty_s2(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "GetLabelTextProperty");
  return NULL;
}



static PyObject *
PyvtkQtTreeRingLabelMapper_SetTextRotationArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTextRotationArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetTextRotationArrayName(temp0);
      }
    else
      {
      op->vtkQtTreeRingLabelMapper::SetTextRotationArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_GetTextRotationArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTextRotationArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetTextRotationArrayName() :
      op->vtkQtTreeRingLabelMapper::GetTextRotationArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_GetMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    unsigned long tempr = (ap.IsBound() ?
      op->GetMTime() :
      op->vtkQtTreeRingLabelMapper::GetMTime());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_SetRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  vtkRenderer *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkRenderer"))
    {
    if (ap.IsBound())
      {
      op->SetRenderer(temp0);
      }
    else
      {
      op->vtkQtTreeRingLabelMapper::SetRenderer(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTreeRingLabelMapper_GetRenderer(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRenderer");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTreeRingLabelMapper *op = static_cast<vtkQtTreeRingLabelMapper *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkRenderer *tempr = (ap.IsBound() ?
      op->GetRenderer() :
      op->vtkQtTreeRingLabelMapper::GetRenderer());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkQtTreeRingLabelMapper_Methods[] = {
  {(char*)"GetClassName", PyvtkQtTreeRingLabelMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtTreeRingLabelMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtTreeRingLabelMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtTreeRingLabelMapper\nC++: vtkQtTreeRingLabelMapper *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtTreeRingLabelMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtTreeRingLabelMapper\nC++: vtkQtTreeRingLabelMapper *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"RenderOpaqueGeometry", PyvtkQtTreeRingLabelMapper_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport, vtkActor2D)\nC++: virtual void RenderOpaqueGeometry(vtkViewport *viewport,\n    vtkActor2D *actor)\n\nDraw the text to the screen at each input point.\n"},
  {(char*)"RenderOverlay", PyvtkQtTreeRingLabelMapper_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport, vtkActor2D)\nC++: virtual void RenderOverlay(vtkViewport *viewport,\n    vtkActor2D *actor)\n\nDraw the text to the screen at each input point.\n"},
  {(char*)"GetInputTree", PyvtkQtTreeRingLabelMapper_GetInputTree, 1,
   (char*)"V.GetInputTree() -> vtkTree\nC++: virtual vtkTree *GetInputTree()\n\nThe input to this filter.\n"},
  {(char*)"SetSectorsArrayName", PyvtkQtTreeRingLabelMapper_SetSectorsArrayName, 1,
   (char*)"V.SetSectorsArrayName(string)\nC++: virtual void SetSectorsArrayName(const char *name)\n\nThe name of the 4-tuple array used for\n"},
  {(char*)"SetLabelTextProperty", PyvtkQtTreeRingLabelMapper_SetLabelTextProperty, 1,
   (char*)"V.SetLabelTextProperty(vtkTextProperty)\nC++: virtual void SetLabelTextProperty(vtkTextProperty *p)\nV.SetLabelTextProperty(vtkTextProperty, int)\nC++: virtual void SetLabelTextProperty(vtkTextProperty *p,\n    int type)\n\nSet/Get the text property. Note that multiple type text\nproperties (set with a second integer parameter) are not\ncurrently supported, but are provided to avoid compiler warnings.\n"},
  {(char*)"GetLabelTextProperty", PyvtkQtTreeRingLabelMapper_GetLabelTextProperty, 1,
   (char*)"V.GetLabelTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetLabelTextProperty()\nV.GetLabelTextProperty(int) -> vtkTextProperty\nC++: virtual vtkTextProperty *GetLabelTextProperty(int type)\n\nSet/Get the text property. Note that multiple type text\nproperties (set with a second integer parameter) are not\ncurrently supported, but are provided to avoid compiler warnings.\n"},
  {(char*)"SetTextRotationArrayName", PyvtkQtTreeRingLabelMapper_SetTextRotationArrayName, 1,
   (char*)"V.SetTextRotationArrayName(string)\nC++: void SetTextRotationArrayName(char *)\n\nSet/Get the name of the text rotation array.\n"},
  {(char*)"GetTextRotationArrayName", PyvtkQtTreeRingLabelMapper_GetTextRotationArrayName, 1,
   (char*)"V.GetTextRotationArrayName() -> string\nC++: char *GetTextRotationArrayName()\n\nSet/Get the name of the text rotation array.\n"},
  {(char*)"GetMTime", PyvtkQtTreeRingLabelMapper_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime()\n\nReturn the object's MTime. This is overridden to include the\ntimestamp of its internal class.\n"},
  {(char*)"SetRenderer", PyvtkQtTreeRingLabelMapper_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: void SetRenderer(vtkRenderer *ren)\n\n"},
  {(char*)"GetRenderer", PyvtkQtTreeRingLabelMapper_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQtTreeRingLabelMapper_StaticNew()
{
  return vtkQtTreeRingLabelMapper::New();
}

PyObject *PyVTKClass_vtkQtTreeRingLabelMapperNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQtTreeRingLabelMapper_StaticNew,
    PyvtkQtTreeRingLabelMapper_Methods,
    "vtkQtTreeRingLabelMapper", modulename,
    NULL, NULL,
    PyvtkQtTreeRingLabelMapper_Doc(),
    PyVTKClass_vtkLabeledDataMapperNew(modulename));
  return cls;
}

const char **PyvtkQtTreeRingLabelMapper_Doc()
{
  static const char *docstring[] = {
    "vtkQtTreeRingLabelMapper - draw text labels on a tree map\n\n",
    "Superclass: vtkLabeledDataMapper\n\n",
    "vtkQtTreeRingLabelMapper is a mapper that renders text on a tree map.\nA tree map is a vtkTree with an associated 4-tuple array used for\nstoring the boundary rectangle for each vertex in the tree. The user\nmust specify the array name used for storing the rectangles.\n\nThe mapper iterates through the tree and attempts and renders a label\ninside the vertex's rectangle as long as the following conditio",
    "ns\nhold:\n1. The vertex level is within the range of levels specified for\n   labeling.\n2. The label can fully fit inside its box.\n3. The label does not overlap an ancestor's label.\n\nSee Also:\n\nvtkLabeledDataMapper\n\nThanks:\n\nThanks to Jason Shepherd from Sandia National Laboratories for help\nin developing this class.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtTreeRingLabelMapper(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtTreeRingLabelMapperNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtTreeRingLabelMapper", o) != 0)
    {
    Py_DECREF(o);
    }

}

