// tcl wrapper for vtkQuadricLODActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkQuadricLODActor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkQuadricLODActorNewCommand()
{
  vtkQuadricLODActor *temp = vtkQuadricLODActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActorCppCommand(vtkActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkQuadricLODActorCppCommand(vtkQuadricLODActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkQuadricLODActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkQuadricLODActorCppCommand(static_cast<vtkQuadricLODActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkQuadricLODActorCppCommand(vtkQuadricLODActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkQuadricLODActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkQuadricLODActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadricLODActor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkQuadricLODActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadricLODActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkQuadricLODActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadricLODActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDeferLODConstruction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDeferLODConstruction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDeferLODConstruction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDeferLODConstruction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DeferLODConstructionOn",argv[1]))&&(argc == 2))
    {
    op->DeferLODConstructionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeferLODConstructionOff",argv[1]))&&(argc == 2))
    {
    op->DeferLODConstructionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStatic",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStatic(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStatic",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStatic();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StaticOn",argv[1]))&&(argc == 2))
    {
    op->StaticOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StaticOff",argv[1]))&&(argc == 2))
    {
    op->StaticOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataConfiguration",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataConfiguration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataConfigurationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataConfigurationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataConfigurationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataConfigurationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataConfiguration",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataConfiguration();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataConfigurationToUnknown",argv[1]))&&(argc == 2))
    {
    op->SetDataConfigurationToUnknown();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataConfigurationToXLine",argv[1]))&&(argc == 2))
    {
    op->SetDataConfigurationToXLine();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataConfigurationToYLine",argv[1]))&&(argc == 2))
    {
    op->SetDataConfigurationToYLine();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataConfigurationToZLine",argv[1]))&&(argc == 2))
    {
    op->SetDataConfigurationToZLine();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataConfigurationToXYPlane",argv[1]))&&(argc == 2))
    {
    op->SetDataConfigurationToXYPlane();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataConfigurationToYZPlane",argv[1]))&&(argc == 2))
    {
    op->SetDataConfigurationToYZPlane();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataConfigurationToXZPlane",argv[1]))&&(argc == 2))
    {
    op->SetDataConfigurationToXZPlane();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataConfigurationToXYZVolume",argv[1]))&&(argc == 2))
    {
    op->SetDataConfigurationToXYZVolume();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCollapseDimensionRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCollapseDimensionRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCollapseDimensionRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCollapseDimensionRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCollapseDimensionRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCollapseDimensionRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCollapseDimensionRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCollapseDimensionRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLODFilter",argv[1]))&&(argc == 3))
    {
    vtkQuadricClustering  *temp0;
    error = 0;

    temp0 = (vtkQuadricClustering *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkQuadricClustering"),interp,error));
    if (!error)
    {
    op->SetLODFilter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLODFilter",argv[1]))&&(argc == 2))
    {
    vtkQuadricClustering  *temp20;
    temp20 = (op)->GetLODFilter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuadricClustering");
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumDisplayListSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumDisplayListSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumDisplayListSizeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumDisplayListSizeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumDisplayListSizeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumDisplayListSizeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumDisplayListSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumDisplayListSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPropType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPropType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPropTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPropTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPropTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPropTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPropType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPropType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPropTypeToFollower",argv[1]))&&(argc == 2))
    {
    op->SetPropTypeToFollower();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPropTypeToActor",argv[1]))&&(argc == 2))
    {
    op->SetPropTypeToActor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkMapper  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkMapper *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMapper"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkQuadricLODActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkQuadricLODActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDeferLODConstruction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDeferLODConstruction\n",NULL);
    Tcl_AppendResult(interp,"  DeferLODConstructionOn\n",NULL);
    Tcl_AppendResult(interp,"  DeferLODConstructionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetStatic\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStatic\n",NULL);
    Tcl_AppendResult(interp,"  StaticOn\n",NULL);
    Tcl_AppendResult(interp,"  StaticOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDataConfiguration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataConfigurationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDataConfigurationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDataConfiguration\n",NULL);
    Tcl_AppendResult(interp,"  SetDataConfigurationToUnknown\n",NULL);
    Tcl_AppendResult(interp,"  SetDataConfigurationToXLine\n",NULL);
    Tcl_AppendResult(interp,"  SetDataConfigurationToYLine\n",NULL);
    Tcl_AppendResult(interp,"  SetDataConfigurationToZLine\n",NULL);
    Tcl_AppendResult(interp,"  SetDataConfigurationToXYPlane\n",NULL);
    Tcl_AppendResult(interp,"  SetDataConfigurationToYZPlane\n",NULL);
    Tcl_AppendResult(interp,"  SetDataConfigurationToXZPlane\n",NULL);
    Tcl_AppendResult(interp,"  SetDataConfigurationToXYZVolume\n",NULL);
    Tcl_AppendResult(interp,"  SetCollapseDimensionRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCollapseDimensionRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCollapseDimensionRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCollapseDimensionRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetLODFilter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLODFilter\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumDisplayListSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDisplayListSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDisplayListSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumDisplayListSize\n",NULL);
    Tcl_AppendResult(interp,"  SetPropType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPropTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPropTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetPropType\n",NULL);
    Tcl_AppendResult(interp,"  SetPropTypeToFollower\n",NULL);
    Tcl_AppendResult(interp,"  SetPropTypeToActor\n",NULL);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCamera\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetDeferLODConstruction" );
    Tcl_DStringAppendElement ( &dString, "GetDeferLODConstruction" );
    Tcl_DStringAppendElement ( &dString, "DeferLODConstructionOn" );
    Tcl_DStringAppendElement ( &dString, "DeferLODConstructionOff" );
    Tcl_DStringAppendElement ( &dString, "SetStatic" );
    Tcl_DStringAppendElement ( &dString, "GetStatic" );
    Tcl_DStringAppendElement ( &dString, "StaticOn" );
    Tcl_DStringAppendElement ( &dString, "StaticOff" );
    Tcl_DStringAppendElement ( &dString, "SetDataConfiguration" );
    Tcl_DStringAppendElement ( &dString, "GetDataConfigurationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDataConfigurationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDataConfiguration" );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToUnknown" );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToXLine" );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToYLine" );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToZLine" );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToXYPlane" );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToYZPlane" );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToXZPlane" );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToXYZVolume" );
    Tcl_DStringAppendElement ( &dString, "SetCollapseDimensionRatio" );
    Tcl_DStringAppendElement ( &dString, "GetCollapseDimensionRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCollapseDimensionRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCollapseDimensionRatio" );
    Tcl_DStringAppendElement ( &dString, "SetLODFilter" );
    Tcl_DStringAppendElement ( &dString, "GetLODFilter" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumDisplayListSize" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDisplayListSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDisplayListSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDisplayListSize" );
    Tcl_DStringAppendElement ( &dString, "SetPropType" );
    Tcl_DStringAppendElement ( &dString, "GetPropTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetPropTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetPropType" );
    Tcl_DStringAppendElement ( &dString, "SetPropTypeToFollower" );
    Tcl_DStringAppendElement ( &dString, "SetPropTypeToActor" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a vtkQuadricLODActor. \n" );
    Tcl_DStringAppendElement ( &dString, "static vtkQuadricLODActor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDeferLODConstruction */
    if ( strcmp ( argv[2], "SetDeferLODConstruction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeferLODConstruction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeferLODConstruction */
    Tcl_DStringAppendElement ( &dString, " Specify whether to build the LOD immediately (i.e., on the first render)\n or to wait until the LOD is requested in a subsequent render. By default,\n LOD construction is not deferred (DeferLODConstruction is false).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDeferLODConstruction(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetDeferLODConstruction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDeferLODConstruction */
    if ( strcmp ( argv[2], "GetDeferLODConstruction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeferLODConstruction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeferLODConstruction */
    Tcl_DStringAppendElement ( &dString, " Specify whether to build the LOD immediately (i.e., on the first render)\n or to wait until the LOD is requested in a subsequent render. By default,\n LOD construction is not deferred (DeferLODConstruction is false).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDeferLODConstruction();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetDeferLODConstruction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeferLODConstructionOn */
    if ( strcmp ( argv[2], "DeferLODConstructionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeferLODConstructionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeferLODConstructionOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether to build the LOD immediately (i.e., on the first render)\n or to wait until the LOD is requested in a subsequent render. By default,\n LOD construction is not deferred (DeferLODConstruction is false).\n" );
    Tcl_DStringAppendElement ( &dString, "void DeferLODConstructionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for DeferLODConstructionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeferLODConstructionOff */
    if ( strcmp ( argv[2], "DeferLODConstructionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeferLODConstructionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeferLODConstructionOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether to build the LOD immediately (i.e., on the first render)\n or to wait until the LOD is requested in a subsequent render. By default,\n LOD construction is not deferred (DeferLODConstruction is false).\n" );
    Tcl_DStringAppendElement ( &dString, "void DeferLODConstructionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for DeferLODConstructionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStatic */
    if ( strcmp ( argv[2], "SetStatic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStatic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStatic */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag to control whether the underlying pipeline is static.\n If static, this means that the data pipeline executes once and then not \n again until the user manually modifies this class. By default, Static is\n off because trying to debug this is tricky, and you should only use it\n when you know what you are doing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStatic(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetStatic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStatic */
    if ( strcmp ( argv[2], "GetStatic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStatic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStatic */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag to control whether the underlying pipeline is static.\n If static, this means that the data pipeline executes once and then not \n again until the user manually modifies this class. By default, Static is\n off because trying to debug this is tricky, and you should only use it\n when you know what you are doing.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStatic();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetStatic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StaticOn */
    if ( strcmp ( argv[2], "StaticOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StaticOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StaticOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag to control whether the underlying pipeline is static.\n If static, this means that the data pipeline executes once and then not \n again until the user manually modifies this class. By default, Static is\n off because trying to debug this is tricky, and you should only use it\n when you know what you are doing.\n" );
    Tcl_DStringAppendElement ( &dString, "void StaticOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for StaticOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StaticOff */
    if ( strcmp ( argv[2], "StaticOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StaticOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StaticOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag to control whether the underlying pipeline is static.\n If static, this means that the data pipeline executes once and then not \n again until the user manually modifies this class. By default, Static is\n off because trying to debug this is tricky, and you should only use it\n when you know what you are doing.\n" );
    Tcl_DStringAppendElement ( &dString, "void StaticOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for StaticOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataConfiguration */
    if ( strcmp ( argv[2], "SetDataConfiguration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataConfiguration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataConfiguration */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataConfiguration(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetDataConfiguration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataConfigurationMinValue */
    if ( strcmp ( argv[2], "GetDataConfigurationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataConfigurationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataConfigurationMinValue */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataConfigurationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetDataConfigurationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataConfigurationMaxValue */
    if ( strcmp ( argv[2], "GetDataConfigurationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataConfigurationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataConfigurationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataConfigurationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetDataConfigurationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataConfiguration */
    if ( strcmp ( argv[2], "GetDataConfiguration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataConfiguration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataConfiguration */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataConfiguration();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetDataConfiguration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataConfigurationToUnknown */
    if ( strcmp ( argv[2], "SetDataConfigurationToUnknown" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToUnknown" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataConfigurationToUnknown */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataConfigurationToUnknown();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetDataConfigurationToUnknown */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataConfigurationToXLine */
    if ( strcmp ( argv[2], "SetDataConfigurationToXLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToXLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataConfigurationToXLine */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataConfigurationToXLine();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetDataConfigurationToXLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataConfigurationToYLine */
    if ( strcmp ( argv[2], "SetDataConfigurationToYLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToYLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataConfigurationToYLine */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataConfigurationToYLine();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetDataConfigurationToYLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataConfigurationToZLine */
    if ( strcmp ( argv[2], "SetDataConfigurationToZLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToZLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataConfigurationToZLine */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataConfigurationToZLine();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetDataConfigurationToZLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataConfigurationToXYPlane */
    if ( strcmp ( argv[2], "SetDataConfigurationToXYPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToXYPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataConfigurationToXYPlane */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataConfigurationToXYPlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetDataConfigurationToXYPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataConfigurationToYZPlane */
    if ( strcmp ( argv[2], "SetDataConfigurationToYZPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToYZPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataConfigurationToYZPlane */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataConfigurationToYZPlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetDataConfigurationToYZPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataConfigurationToXZPlane */
    if ( strcmp ( argv[2], "SetDataConfigurationToXZPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToXZPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataConfigurationToXZPlane */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataConfigurationToXZPlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetDataConfigurationToXZPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataConfigurationToXYZVolume */
    if ( strcmp ( argv[2], "SetDataConfigurationToXYZVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataConfigurationToXYZVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataConfigurationToXYZVolume */
    Tcl_DStringAppendElement ( &dString, " Force the binning of the quadric clustering according to application\n knowledge relative to the dimension of the data. For example, if you\n know your data lies in a 2D x-y plane, the performance of the quadric\n clustering algorithm can be greatly improved by indicating this (i.e.,\n the number of resulting triangles, and the quality of the decimation\n version is better). Setting this parameter forces the binning to be\n configured consistent with the dimnesionality of t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataConfigurationToXYZVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetDataConfigurationToXYZVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCollapseDimensionRatio */
    if ( strcmp ( argv[2], "SetCollapseDimensionRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCollapseDimensionRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCollapseDimensionRatio */
    Tcl_DStringAppendElement ( &dString, " If the data configuration is set to UNKNOWN, this class attempts to\n figure out the dimensionality of the data using CollapseDimensionRatio.\n This ivar is the ratio of short edge of the input bounding box to its\n long edge, which is then used to collapse the data dimension (and set the\n quadric bin size in that direction to one). By default, this value is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCollapseDimensionRatio(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetCollapseDimensionRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCollapseDimensionRatioMinValue */
    if ( strcmp ( argv[2], "GetCollapseDimensionRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCollapseDimensionRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCollapseDimensionRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " If the data configuration is set to UNKNOWN, this class attempts to\n figure out the dimensionality of the data using CollapseDimensionRatio.\n This ivar is the ratio of short edge of the input bounding box to its\n long edge, which is then used to collapse the data dimension (and set the\n quadric bin size in that direction to one). By default, this value is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCollapseDimensionRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetCollapseDimensionRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCollapseDimensionRatioMaxValue */
    if ( strcmp ( argv[2], "GetCollapseDimensionRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCollapseDimensionRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCollapseDimensionRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " If the data configuration is set to UNKNOWN, this class attempts to\n figure out the dimensionality of the data using CollapseDimensionRatio.\n This ivar is the ratio of short edge of the input bounding box to its\n long edge, which is then used to collapse the data dimension (and set the\n quadric bin size in that direction to one). By default, this value is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCollapseDimensionRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetCollapseDimensionRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCollapseDimensionRatio */
    if ( strcmp ( argv[2], "GetCollapseDimensionRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCollapseDimensionRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCollapseDimensionRatio */
    Tcl_DStringAppendElement ( &dString, " If the data configuration is set to UNKNOWN, this class attempts to\n figure out the dimensionality of the data using CollapseDimensionRatio.\n This ivar is the ratio of short edge of the input bounding box to its\n long edge, which is then used to collapse the data dimension (and set the\n quadric bin size in that direction to one). By default, this value is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCollapseDimensionRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetCollapseDimensionRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLODFilter */
    if ( strcmp ( argv[2], "SetLODFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLODFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLODFilter */
    Tcl_DStringAppendElement ( &dString, " This class will create a vtkQuadricClustering algorithm automatically.\n However, if you would like to specify the filter to use, or to access it\n and configure it, these method provide access to the filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLODFilter(vtkQuadricClustering *lodFilter);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetLODFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLODFilter */
    if ( strcmp ( argv[2], "GetLODFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLODFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLODFilter */
    Tcl_DStringAppendElement ( &dString, " This class will create a vtkQuadricClustering algorithm automatically.\n However, if you would like to specify the filter to use, or to access it\n and configure it, these method provide access to the filter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricClustering *GetLODFilter();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetLODFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumDisplayListSize */
    if ( strcmp ( argv[2], "SetMaximumDisplayListSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumDisplayListSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumDisplayListSize */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum display list size. This variable is used to determine\n whether to use display lists (ImmediateModeRenderingOff) or not. \n Controlling display list size is important to prevent program crashes (i.e.,\n overly large display lists on some graphics hardware will cause faults).\n The display list size is the length of the vtkCellArray representing the\n topology of the input vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumDisplayListSize(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetMaximumDisplayListSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumDisplayListSizeMinValue */
    if ( strcmp ( argv[2], "GetMaximumDisplayListSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDisplayListSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumDisplayListSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum display list size. This variable is used to determine\n whether to use display lists (ImmediateModeRenderingOff) or not. \n Controlling display list size is important to prevent program crashes (i.e.,\n overly large display lists on some graphics hardware will cause faults).\n The display list size is the length of the vtkCellArray representing the\n topology of the input vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumDisplayListSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetMaximumDisplayListSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumDisplayListSizeMaxValue */
    if ( strcmp ( argv[2], "GetMaximumDisplayListSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDisplayListSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumDisplayListSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum display list size. This variable is used to determine\n whether to use display lists (ImmediateModeRenderingOff) or not. \n Controlling display list size is important to prevent program crashes (i.e.,\n overly large display lists on some graphics hardware will cause faults).\n The display list size is the length of the vtkCellArray representing the\n topology of the input vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumDisplayListSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetMaximumDisplayListSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumDisplayListSize */
    if ( strcmp ( argv[2], "GetMaximumDisplayListSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumDisplayListSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumDisplayListSize */
    Tcl_DStringAppendElement ( &dString, " Specify the maximum display list size. This variable is used to determine\n whether to use display lists (ImmediateModeRenderingOff) or not. \n Controlling display list size is important to prevent program crashes (i.e.,\n overly large display lists on some graphics hardware will cause faults).\n The display list size is the length of the vtkCellArray representing the\n topology of the input vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumDisplayListSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetMaximumDisplayListSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPropType */
    if ( strcmp ( argv[2], "SetPropType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPropType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPropType */
    Tcl_DStringAppendElement ( &dString, " Indicate that this actor is actually a follower. By default, the prop\n type is a vtkActor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPropType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetPropType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPropTypeMinValue */
    if ( strcmp ( argv[2], "GetPropTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPropTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPropTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Indicate that this actor is actually a follower. By default, the prop\n type is a vtkActor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPropTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetPropTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPropTypeMaxValue */
    if ( strcmp ( argv[2], "GetPropTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPropTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPropTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Indicate that this actor is actually a follower. By default, the prop\n type is a vtkActor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPropTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetPropTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPropType */
    if ( strcmp ( argv[2], "GetPropType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPropType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPropType */
    Tcl_DStringAppendElement ( &dString, " Indicate that this actor is actually a follower. By default, the prop\n type is a vtkActor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPropType();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetPropType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPropTypeToFollower */
    if ( strcmp ( argv[2], "SetPropTypeToFollower" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPropTypeToFollower" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPropTypeToFollower */
    Tcl_DStringAppendElement ( &dString, " Indicate that this actor is actually a follower. By default, the prop\n type is a vtkActor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPropTypeToFollower();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetPropTypeToFollower */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPropTypeToActor */
    if ( strcmp ( argv[2], "SetPropTypeToActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPropTypeToActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPropTypeToActor */
    Tcl_DStringAppendElement ( &dString, " Indicate that this actor is actually a follower. By default, the prop\n type is a vtkActor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPropTypeToActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetPropTypeToActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera to follow. This method is only applicable when the \n prop type is set to a vtkFollower.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCamera(vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera to follow. This method is only applicable when the \n prop type is set to a vtkFollower.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " This causes the actor to be rendered. Depending on the frame rate request,\n it will use either a full resolution render or an interactive render (i.e.,\n it will use the decimated geometry).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkRenderer *, vtkMapper *);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " This method is used internally by the rendering process. We overide \n the superclass method to properly set the estimated render time.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of an LOD actor. Overloads the virtual vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkQuadricLODActor" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
