// tcl wrapper for vtkRenderWindowInteractor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderWindowInteractor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
#include "vtkToolkits.h"
#if defined( VTK_USE_X ) && defined( VTK_USE_TK )
# include "vtkXRenderWindowTclInteractor.h"
#endif

ClientData vtkRenderWindowInteractorNewCommand()
{
#if defined( VTK_USE_X ) && defined( VTK_USE_TK )
  vtkRenderWindowInteractor *temp = vtkXRenderWindowTclInteractor::New();
#else
  vtkRenderWindowInteractor *temp = vtkRenderWindowInteractor::New();
#endif
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRenderWindowInteractorCppCommand(vtkRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRenderWindowInteractorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRenderWindowInteractorCppCommand(static_cast<vtkRenderWindowInteractor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRenderWindowInteractorCppCommand(vtkRenderWindowInteractor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderWindowInteractor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderWindowInteractor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindowInteractor");
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReInitialize",argv[1]))&&(argc == 2))
    {
    op->ReInitialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Enable",argv[1]))&&(argc == 2))
    {
    op->Enable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Disable",argv[1]))&&(argc == 2))
    {
    op->Disable();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnableRenderOn",argv[1]))&&(argc == 2))
    {
    op->EnableRenderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableRenderOff",argv[1]))&&(argc == 2))
    {
    op->EnableRenderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEnableRender",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEnableRender(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableRender",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEnableRender();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("UpdateSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->UpdateSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateTimer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->CreateTimer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DestroyTimer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->DestroyTimer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CreateRepeatingTimer",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->CreateRepeatingTimer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateOneShotTimer",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->CreateOneShotTimer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsOneShotTimer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->IsOneShotTimer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimerDuration",argv[1]))&&(argc == 3))
    {
    int      temp0;
    unsigned long     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTimerDuration(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetTimer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->ResetTimer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("DestroyTimer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->DestroyTimer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVTKTimerId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVTKTimerId(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimerDuration",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->SetTimerDuration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimerDurationMinValue",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetTimerDurationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimerDurationMaxValue",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetTimerDurationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimerDuration",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetTimerDuration();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimerEventId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimerEventId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimerEventId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimerEventId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimerEventType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimerEventType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimerEventType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimerEventType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimerEventDuration",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimerEventDuration(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimerEventDuration",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimerEventDuration();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimerEventPlatformId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimerEventPlatformId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimerEventPlatformId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimerEventPlatformId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TerminateApp",argv[1]))&&(argc == 2))
    {
    op->TerminateApp();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractorStyle",argv[1]))&&(argc == 3))
    {
    vtkInteractorObserver  *temp0;
    error = 0;

    temp0 = (vtkInteractorObserver *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInteractorObserver"),interp,error));
    if (!error)
    {
    op->SetInteractorStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractorStyle",argv[1]))&&(argc == 2))
    {
    vtkInteractorObserver  *temp20;
    temp20 = (op)->GetInteractorStyle();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorObserver");
    return TCL_OK;
    }
  if ((!strcmp("SetLightFollowCamera",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLightFollowCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLightFollowCamera",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLightFollowCamera();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LightFollowCameraOn",argv[1]))&&(argc == 2))
    {
    op->LightFollowCameraOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LightFollowCameraOff",argv[1]))&&(argc == 2))
    {
    op->LightFollowCameraOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDesiredUpdateRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDesiredUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDesiredUpdateRateMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDesiredUpdateRateMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDesiredUpdateRateMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDesiredUpdateRateMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDesiredUpdateRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDesiredUpdateRate();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStillUpdateRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetStillUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStillUpdateRateMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStillUpdateRateMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStillUpdateRateMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStillUpdateRateMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetStillUpdateRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetStillUpdateRate();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInitialized",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInitialized();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPicker",argv[1]))&&(argc == 3))
    {
    vtkAbstractPicker  *temp0;
    error = 0;

    temp0 = (vtkAbstractPicker *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractPicker"),interp,error));
    if (!error)
    {
    op->SetPicker(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPicker",argv[1]))&&(argc == 2))
    {
    vtkAbstractPicker  *temp20;
    temp20 = (op)->GetPicker();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractPicker");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultPicker",argv[1]))&&(argc == 2))
    {
    vtkAbstractPropPicker  *temp20;
    temp20 = (op)->CreateDefaultPicker();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractPropPicker");
    return TCL_OK;
    }
  if ((!strcmp("ExitCallback",argv[1]))&&(argc == 2))
    {
    op->ExitCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UserCallback",argv[1]))&&(argc == 2))
    {
    op->UserCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartPickCallback",argv[1]))&&(argc == 2))
    {
    op->StartPickCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EndPickCallback",argv[1]))&&(argc == 2))
    {
    op->EndPickCallback();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HideCursor",argv[1]))&&(argc == 2))
    {
    op->HideCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowCursor",argv[1]))&&(argc == 2))
    {
    op->ShowCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FlyTo",argv[1]))&&(argc == 6))
    {
    vtkRenderer  *temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->FlyTo(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FlyToImage",argv[1]))&&(argc == 5))
    {
    vtkRenderer  *temp0;
    double   temp1;
    double   temp2;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->FlyToImage(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfFlyFrames",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfFlyFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfFlyFramesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFlyFramesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFlyFramesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFlyFramesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFlyFrames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFlyFrames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDolly",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDolly(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDolly",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDolly();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEventPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetEventPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetLastEventPosition",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetLastEventPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLastEventPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetLastEventPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLastEventPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetLastEventPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEventPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetEventPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventPositionFlipY",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEventPositionFlipY(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventPositionFlipY",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetEventPositionFlipY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAltKey",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAltKey(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAltKey",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAltKey();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetControlKey",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetControlKey(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetControlKey",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetControlKey();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShiftKey",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShiftKey(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShiftKey",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShiftKey();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeyCode",argv[1]))&&(argc == 3))
    {
    char     temp0;
    error = 0;

    temp0 = *(argv[2]);
    if (!error)
    {
    op->SetKeyCode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeyCode",argv[1]))&&(argc == 2))
    {
    char     temp20;
    temp20 = (op)->GetKeyCode();
    char tempResult[1024];
    sprintf(tempResult,"%c",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRepeatCount",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRepeatCount(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepeatCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepeatCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetKeySym",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetKeySym(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKeySym",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetKeySym();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEventInformation",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    char     temp4;
    int      temp5;
    char    *temp6;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = *(argv[6]);
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    temp6 = argv[8];
    if (!error)
    {
    op->SetEventInformation(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventInformationFlipY",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    char     temp4;
    int      temp5;
    char    *temp6;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = *(argv[6]);
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    temp6 = argv[8];
    if (!error)
    {
    op->SetEventInformationFlipY(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKeyEventInformation",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    char     temp2;
    int      temp3;
    char    *temp4;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = *(argv[4]);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
    {
    op->SetKeyEventInformation(temp0,temp1,temp2,temp3,temp4);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEventSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEventSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEventSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetEventSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEventSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetEventSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("FindPokedRenderer",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkRenderer  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->FindPokedRenderer(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObserverMediator",argv[1]))&&(argc == 2))
    {
    vtkObserverMediator  *temp20;
    temp20 = (op)->GetObserverMediator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkObserverMediator");
    return TCL_OK;
    }
  if ((!strcmp("SetUseTDx",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseTDx(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseTDx",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseTDx();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MouseMoveEvent",argv[1]))&&(argc == 2))
    {
    op->MouseMoveEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RightButtonPressEvent",argv[1]))&&(argc == 2))
    {
    op->RightButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RightButtonReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->RightButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeftButtonPressEvent",argv[1]))&&(argc == 2))
    {
    op->LeftButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeftButtonReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->LeftButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MiddleButtonPressEvent",argv[1]))&&(argc == 2))
    {
    op->MiddleButtonPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MiddleButtonReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->MiddleButtonReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MouseWheelForwardEvent",argv[1]))&&(argc == 2))
    {
    op->MouseWheelForwardEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MouseWheelBackwardEvent",argv[1]))&&(argc == 2))
    {
    op->MouseWheelBackwardEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExposeEvent",argv[1]))&&(argc == 2))
    {
    op->ExposeEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConfigureEvent",argv[1]))&&(argc == 2))
    {
    op->ConfigureEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnterEvent",argv[1]))&&(argc == 2))
    {
    op->EnterEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LeaveEvent",argv[1]))&&(argc == 2))
    {
    op->LeaveEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeyPressEvent",argv[1]))&&(argc == 2))
    {
    op->KeyPressEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeyReleaseEvent",argv[1]))&&(argc == 2))
    {
    op->KeyReleaseEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CharEvent",argv[1]))&&(argc == 2))
    {
    op->CharEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExitEvent",argv[1]))&&(argc == 2))
    {
    op->ExitEvent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRenderWindowInteractorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderWindowInteractor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  ReInitialize\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  Enable\n",NULL);
    Tcl_AppendResult(interp,"  Disable\n",NULL);
    Tcl_AppendResult(interp,"  GetEnabled\n",NULL);
    Tcl_AppendResult(interp,"  EnableRenderOn\n",NULL);
    Tcl_AppendResult(interp,"  EnableRenderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableRender\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableRender\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  UpdateSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateTimer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DestroyTimer\n",NULL);
    Tcl_AppendResult(interp,"  CreateRepeatingTimer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateOneShotTimer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsOneShotTimer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerDuration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ResetTimer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DestroyTimer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKTimerId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTimerDuration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerDurationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerDurationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerDuration\n",NULL);
    Tcl_AppendResult(interp,"  SetTimerEventId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerEventId\n",NULL);
    Tcl_AppendResult(interp,"  SetTimerEventType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerEventType\n",NULL);
    Tcl_AppendResult(interp,"  SetTimerEventDuration\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerEventDuration\n",NULL);
    Tcl_AppendResult(interp,"  SetTimerEventPlatformId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimerEventPlatformId\n",NULL);
    Tcl_AppendResult(interp,"  TerminateApp\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractorStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractorStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetLightFollowCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLightFollowCamera\n",NULL);
    Tcl_AppendResult(interp,"  LightFollowCameraOn\n",NULL);
    Tcl_AppendResult(interp,"  LightFollowCameraOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDesiredUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDesiredUpdateRateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDesiredUpdateRateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDesiredUpdateRate\n",NULL);
    Tcl_AppendResult(interp,"  SetStillUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStillUpdateRateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStillUpdateRateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetStillUpdateRate\n",NULL);
    Tcl_AppendResult(interp,"  GetInitialized\n",NULL);
    Tcl_AppendResult(interp,"  SetPicker\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPicker\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultPicker\n",NULL);
    Tcl_AppendResult(interp,"  ExitCallback\n",NULL);
    Tcl_AppendResult(interp,"  UserCallback\n",NULL);
    Tcl_AppendResult(interp,"  StartPickCallback\n",NULL);
    Tcl_AppendResult(interp,"  EndPickCallback\n",NULL);
    Tcl_AppendResult(interp,"  HideCursor\n",NULL);
    Tcl_AppendResult(interp,"  ShowCursor\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  FlyTo\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  FlyToImage\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfFlyFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFlyFramesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFlyFramesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFlyFrames\n",NULL);
    Tcl_AppendResult(interp,"  SetDolly\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDolly\n",NULL);
    Tcl_AppendResult(interp,"  GetEventPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetLastEventPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetLastEventPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLastEventPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventPositionFlipY\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventPositionFlipY\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAltKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAltKey\n",NULL);
    Tcl_AppendResult(interp,"  SetControlKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetControlKey\n",NULL);
    Tcl_AppendResult(interp,"  SetShiftKey\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShiftKey\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyCode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeyCode\n",NULL);
    Tcl_AppendResult(interp,"  SetRepeatCount\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepeatCount\n",NULL);
    Tcl_AppendResult(interp,"  SetKeySym\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKeySym\n",NULL);
    Tcl_AppendResult(interp,"  SetEventInformation\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventInformationFlipY\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  SetKeyEventInformation\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\n",NULL);
    Tcl_AppendResult(interp,"  SetEventSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEventSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEventSize\n",NULL);
    Tcl_AppendResult(interp,"  FindPokedRenderer\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObserverMediator\n",NULL);
    Tcl_AppendResult(interp,"  SetUseTDx\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseTDx\n",NULL);
    Tcl_AppendResult(interp,"  MouseMoveEvent\n",NULL);
    Tcl_AppendResult(interp,"  RightButtonPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  RightButtonReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  LeftButtonPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  LeftButtonReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  MiddleButtonPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  MiddleButtonReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  MouseWheelForwardEvent\n",NULL);
    Tcl_AppendResult(interp,"  MouseWheelBackwardEvent\n",NULL);
    Tcl_AppendResult(interp,"  ExposeEvent\n",NULL);
    Tcl_AppendResult(interp,"  ConfigureEvent\n",NULL);
    Tcl_AppendResult(interp,"  EnterEvent\n",NULL);
    Tcl_AppendResult(interp,"  LeaveEvent\n",NULL);
    Tcl_AppendResult(interp,"  KeyPressEvent\n",NULL);
    Tcl_AppendResult(interp,"  KeyReleaseEvent\n",NULL);
    Tcl_AppendResult(interp,"  CharEvent\n",NULL);
    Tcl_AppendResult(interp,"  ExitEvent\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "ReInitialize" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    Tcl_DStringAppendElement ( &dString, "Start" );
    Tcl_DStringAppendElement ( &dString, "Enable" );
    Tcl_DStringAppendElement ( &dString, "Disable" );
    Tcl_DStringAppendElement ( &dString, "GetEnabled" );
    Tcl_DStringAppendElement ( &dString, "EnableRenderOn" );
    Tcl_DStringAppendElement ( &dString, "EnableRenderOff" );
    Tcl_DStringAppendElement ( &dString, "SetEnableRender" );
    Tcl_DStringAppendElement ( &dString, "GetEnableRender" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "UpdateSize" );
    Tcl_DStringAppendElement ( &dString, "CreateTimer" );
    Tcl_DStringAppendElement ( &dString, "DestroyTimer" );
    Tcl_DStringAppendElement ( &dString, "CreateRepeatingTimer" );
    Tcl_DStringAppendElement ( &dString, "CreateOneShotTimer" );
    Tcl_DStringAppendElement ( &dString, "IsOneShotTimer" );
    Tcl_DStringAppendElement ( &dString, "GetTimerDuration" );
    Tcl_DStringAppendElement ( &dString, "ResetTimer" );
    Tcl_DStringAppendElement ( &dString, "DestroyTimer" );
    Tcl_DStringAppendElement ( &dString, "GetVTKTimerId" );
    Tcl_DStringAppendElement ( &dString, "SetTimerDuration" );
    Tcl_DStringAppendElement ( &dString, "GetTimerDurationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimerDurationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimerDuration" );
    Tcl_DStringAppendElement ( &dString, "SetTimerEventId" );
    Tcl_DStringAppendElement ( &dString, "GetTimerEventId" );
    Tcl_DStringAppendElement ( &dString, "SetTimerEventType" );
    Tcl_DStringAppendElement ( &dString, "GetTimerEventType" );
    Tcl_DStringAppendElement ( &dString, "SetTimerEventDuration" );
    Tcl_DStringAppendElement ( &dString, "GetTimerEventDuration" );
    Tcl_DStringAppendElement ( &dString, "SetTimerEventPlatformId" );
    Tcl_DStringAppendElement ( &dString, "GetTimerEventPlatformId" );
    Tcl_DStringAppendElement ( &dString, "TerminateApp" );
    Tcl_DStringAppendElement ( &dString, "SetInteractorStyle" );
    Tcl_DStringAppendElement ( &dString, "GetInteractorStyle" );
    Tcl_DStringAppendElement ( &dString, "SetLightFollowCamera" );
    Tcl_DStringAppendElement ( &dString, "GetLightFollowCamera" );
    Tcl_DStringAppendElement ( &dString, "LightFollowCameraOn" );
    Tcl_DStringAppendElement ( &dString, "LightFollowCameraOff" );
    Tcl_DStringAppendElement ( &dString, "SetDesiredUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "GetDesiredUpdateRateMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDesiredUpdateRateMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDesiredUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "SetStillUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "GetStillUpdateRateMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetStillUpdateRateMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetStillUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "GetInitialized" );
    Tcl_DStringAppendElement ( &dString, "SetPicker" );
    Tcl_DStringAppendElement ( &dString, "GetPicker" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultPicker" );
    Tcl_DStringAppendElement ( &dString, "ExitCallback" );
    Tcl_DStringAppendElement ( &dString, "UserCallback" );
    Tcl_DStringAppendElement ( &dString, "StartPickCallback" );
    Tcl_DStringAppendElement ( &dString, "EndPickCallback" );
    Tcl_DStringAppendElement ( &dString, "HideCursor" );
    Tcl_DStringAppendElement ( &dString, "ShowCursor" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "FlyTo" );
    Tcl_DStringAppendElement ( &dString, "FlyToImage" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfFlyFrames" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFlyFramesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFlyFramesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFlyFrames" );
    Tcl_DStringAppendElement ( &dString, "SetDolly" );
    Tcl_DStringAppendElement ( &dString, "GetDolly" );
    Tcl_DStringAppendElement ( &dString, "GetEventPosition" );
    Tcl_DStringAppendElement ( &dString, "GetLastEventPosition" );
    Tcl_DStringAppendElement ( &dString, "SetLastEventPosition" );
    Tcl_DStringAppendElement ( &dString, "SetLastEventPosition" );
    Tcl_DStringAppendElement ( &dString, "SetEventPosition" );
    Tcl_DStringAppendElement ( &dString, "SetEventPosition" );
    Tcl_DStringAppendElement ( &dString, "SetEventPositionFlipY" );
    Tcl_DStringAppendElement ( &dString, "SetEventPositionFlipY" );
    Tcl_DStringAppendElement ( &dString, "SetAltKey" );
    Tcl_DStringAppendElement ( &dString, "GetAltKey" );
    Tcl_DStringAppendElement ( &dString, "SetControlKey" );
    Tcl_DStringAppendElement ( &dString, "GetControlKey" );
    Tcl_DStringAppendElement ( &dString, "SetShiftKey" );
    Tcl_DStringAppendElement ( &dString, "GetShiftKey" );
    Tcl_DStringAppendElement ( &dString, "SetKeyCode" );
    Tcl_DStringAppendElement ( &dString, "GetKeyCode" );
    Tcl_DStringAppendElement ( &dString, "SetRepeatCount" );
    Tcl_DStringAppendElement ( &dString, "GetRepeatCount" );
    Tcl_DStringAppendElement ( &dString, "SetKeySym" );
    Tcl_DStringAppendElement ( &dString, "GetKeySym" );
    Tcl_DStringAppendElement ( &dString, "SetEventInformation" );
    Tcl_DStringAppendElement ( &dString, "SetEventInformationFlipY" );
    Tcl_DStringAppendElement ( &dString, "SetKeyEventInformation" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "SetEventSize" );
    Tcl_DStringAppendElement ( &dString, "SetEventSize" );
    Tcl_DStringAppendElement ( &dString, "GetEventSize" );
    Tcl_DStringAppendElement ( &dString, "FindPokedRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetObserverMediator" );
    Tcl_DStringAppendElement ( &dString, "SetUseTDx" );
    Tcl_DStringAppendElement ( &dString, "GetUseTDx" );
    Tcl_DStringAppendElement ( &dString, "MouseMoveEvent" );
    Tcl_DStringAppendElement ( &dString, "RightButtonPressEvent" );
    Tcl_DStringAppendElement ( &dString, "RightButtonReleaseEvent" );
    Tcl_DStringAppendElement ( &dString, "LeftButtonPressEvent" );
    Tcl_DStringAppendElement ( &dString, "LeftButtonReleaseEvent" );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonPressEvent" );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonReleaseEvent" );
    Tcl_DStringAppendElement ( &dString, "MouseWheelForwardEvent" );
    Tcl_DStringAppendElement ( &dString, "MouseWheelBackwardEvent" );
    Tcl_DStringAppendElement ( &dString, "ExposeEvent" );
    Tcl_DStringAppendElement ( &dString, "ConfigureEvent" );
    Tcl_DStringAppendElement ( &dString, "EnterEvent" );
    Tcl_DStringAppendElement ( &dString, "LeaveEvent" );
    Tcl_DStringAppendElement ( &dString, "KeyPressEvent" );
    Tcl_DStringAppendElement ( &dString, "KeyReleaseEvent" );
    Tcl_DStringAppendElement ( &dString, "CharEvent" );
    Tcl_DStringAppendElement ( &dString, "ExitEvent" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRenderWindowInteractor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Prepare for handling events. This must be called before the\n interactor will work.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReInitialize */
    if ( strcmp ( argv[2], "ReInitialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReInitialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReInitialize */
    Tcl_DStringAppendElement ( &dString, " Prepare for handling events. This must be called before the\n interactor will work.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReInitialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for ReInitialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, " This Method detects loops of RenderWindow-Interactor,\n so objects are freed properly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnRegister(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Start */
    if ( strcmp ( argv[2], "Start" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Start" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Start */
    Tcl_DStringAppendElement ( &dString, " Start the event loop. This is provided so that you do not have to\n implement your own event loop. You still can use your own\n event loop if you want. Initialize should be called before Start.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Start();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for Start */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Enable */
    if ( strcmp ( argv[2], "Enable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Enable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Enable */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Enable();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for Enable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Disable */
    if ( strcmp ( argv[2], "Disable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Disable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Disable */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Disable();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for Disable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnabled */
    if ( strcmp ( argv[2], "GetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnabled */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable interactions.  By default interactors are enabled when\n initialized.  Initialize() must be called prior to enabling/disabling\n interaction. These methods are used when a window/widget is being\n shared by multiple renderers and interactors.  This allows a \"modal\"\n display where one interactor is active when its data is to be displayed\n and all other interactors associated with the widget are disabled\n when their data is not displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEnabled();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableRenderOn */
    if ( strcmp ( argv[2], "EnableRenderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableRenderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableRenderOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable whether vtkRenderWindowInteractor::Render() calls\n this->RenderWindow->Render().\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableRenderOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for EnableRenderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableRenderOff */
    if ( strcmp ( argv[2], "EnableRenderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableRenderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableRenderOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable whether vtkRenderWindowInteractor::Render() calls\n this->RenderWindow->Render().\n" );
    Tcl_DStringAppendElement ( &dString, "void EnableRenderOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for EnableRenderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableRender */
    if ( strcmp ( argv[2], "SetEnableRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableRender */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable whether vtkRenderWindowInteractor::Render() calls\n this->RenderWindow->Render().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEnableRender(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetEnableRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableRender */
    if ( strcmp ( argv[2], "GetEnableRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableRender */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable whether vtkRenderWindowInteractor::Render() calls\n this->RenderWindow->Render().\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetEnableRender();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetEnableRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the rendering window being controlled by this object.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderWindow(vtkRenderWindow *aren);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the rendering window being controlled by this object.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateSize */
    if ( strcmp ( argv[2], "UpdateSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateSize */
    Tcl_DStringAppendElement ( &dString, " Event loop notification member for window size change.\n Window size is measured in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateSize(int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for UpdateSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateTimer */
    if ( strcmp ( argv[2], "CreateTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateTimer */
    Tcl_DStringAppendElement ( &dString, " This class provides two groups of methods for manipulating timers.  The\n first group (CreateTimer(timerType) and DestroyTimer()) implicitly use\n an internal timer id (and are present for backward compatibility). The\n second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),\n ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can\n be independently managed. In the first group, the CreateTimer() method\n takes an argument indicating whether the t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CreateTimer(int timerType);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for CreateTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DestroyTimer */
    if ( strcmp ( argv[2], "DestroyTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DestroyTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DestroyTimer */
    Tcl_DStringAppendElement ( &dString, " This class provides two groups of methods for manipulating timers.  The\n first group (CreateTimer(timerType) and DestroyTimer()) implicitly use\n an internal timer id (and are present for backward compatibility). The\n second group (CreateRepeatingTimer(long),CreateOneShotTimer(long),\n ResetTimer(int),DestroyTimer(int)) use timer ids so multiple timers can\n be independently managed. In the first group, the CreateTimer() method\n takes an argument indicating whether the t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int DestroyTimer();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for DestroyTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateRepeatingTimer */
    if ( strcmp ( argv[2], "CreateRepeatingTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateRepeatingTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateRepeatingTimer */
    Tcl_DStringAppendElement ( &dString, " Create a repeating timer, with the specified duration (in milliseconds).\n \\return the timer id.\n" );
    Tcl_DStringAppendElement ( &dString, "int CreateRepeatingTimer(unsigned long duration);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for CreateRepeatingTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateOneShotTimer */
    if ( strcmp ( argv[2], "CreateOneShotTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateOneShotTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateOneShotTimer */
    Tcl_DStringAppendElement ( &dString, " Create a one shot timer, with the specified duretion (in milliseconds).\n \\return the timer id.\n" );
    Tcl_DStringAppendElement ( &dString, "int CreateOneShotTimer(unsigned long duration);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for CreateOneShotTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsOneShotTimer */
    if ( strcmp ( argv[2], "IsOneShotTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsOneShotTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsOneShotTimer */
    Tcl_DStringAppendElement ( &dString, " Query whether the specified timerId is a one shot timer.\n \\return 1 if the timer is a one shot timer.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsOneShotTimer(int timerId);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for IsOneShotTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerDuration */
    if ( strcmp ( argv[2], "GetTimerDuration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerDuration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerDuration */
    Tcl_DStringAppendElement ( &dString, " Get the duration (in milliseconds) for the specified timerId.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetTimerDuration(int timerId);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetTimerDuration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetTimer */
    if ( strcmp ( argv[2], "ResetTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetTimer */
    Tcl_DStringAppendElement ( &dString, " Reset the specified timer.\n" );
    Tcl_DStringAppendElement ( &dString, "int ResetTimer(int timerId);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for ResetTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DestroyTimer */
    if ( strcmp ( argv[2], "DestroyTimer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DestroyTimer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DestroyTimer */
    Tcl_DStringAppendElement ( &dString, " Destroy the timer specified by timerId.\n \\return 1 if the timer was destroyed.\n" );
    Tcl_DStringAppendElement ( &dString, "int DestroyTimer(int timerId);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for DestroyTimer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVTKTimerId */
    if ( strcmp ( argv[2], "GetVTKTimerId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVTKTimerId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVTKTimerId */
    Tcl_DStringAppendElement ( &dString, " Get the VTK timer ID that corresponds to the supplied platform ID.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVTKTimerId(int platformTimerId);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetVTKTimerId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimerDuration */
    if ( strcmp ( argv[2], "SetTimerDuration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimerDuration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimerDuration */
    Tcl_DStringAppendElement ( &dString, " Specify the default timer interval (in milliseconds). (This is used in\n conjunction with the timer methods described previously, e.g.,\n CreateTimer() uses this value; and CreateRepeatingTimer(duration) and\n CreateOneShotTimer(duration) use the default value if the parameter\n \"duration\" is less than or equal to zero.) Care must be taken when\n adjusting the timer interval from the default value of 10\n milliseconds--it may adversely affect the interactors.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimerDuration(unsigned long);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetTimerDuration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerDurationMinValue */
    if ( strcmp ( argv[2], "GetTimerDurationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerDurationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerDurationMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the default timer interval (in milliseconds). (This is used in\n conjunction with the timer methods described previously, e.g.,\n CreateTimer() uses this value; and CreateRepeatingTimer(duration) and\n CreateOneShotTimer(duration) use the default value if the parameter\n \"duration\" is less than or equal to zero.) Care must be taken when\n adjusting the timer interval from the default value of 10\n milliseconds--it may adversely affect the interactors.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetTimerDurationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetTimerDurationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerDurationMaxValue */
    if ( strcmp ( argv[2], "GetTimerDurationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerDurationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerDurationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the default timer interval (in milliseconds). (This is used in\n conjunction with the timer methods described previously, e.g.,\n CreateTimer() uses this value; and CreateRepeatingTimer(duration) and\n CreateOneShotTimer(duration) use the default value if the parameter\n \"duration\" is less than or equal to zero.) Care must be taken when\n adjusting the timer interval from the default value of 10\n milliseconds--it may adversely affect the interactors.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetTimerDurationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetTimerDurationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerDuration */
    if ( strcmp ( argv[2], "GetTimerDuration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerDuration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerDuration */
    Tcl_DStringAppendElement ( &dString, " Specify the default timer interval (in milliseconds). (This is used in\n conjunction with the timer methods described previously, e.g.,\n CreateTimer() uses this value; and CreateRepeatingTimer(duration) and\n CreateOneShotTimer(duration) use the default value if the parameter\n \"duration\" is less than or equal to zero.) Care must be taken when\n adjusting the timer interval from the default value of 10\n milliseconds--it may adversely affect the interactors.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetTimerDuration();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetTimerDuration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimerEventId */
    if ( strcmp ( argv[2], "SetTimerEventId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimerEventId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimerEventId */
    Tcl_DStringAppendElement ( &dString, " These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent sho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimerEventId(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetTimerEventId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerEventId */
    if ( strcmp ( argv[2], "GetTimerEventId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerEventId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerEventId */
    Tcl_DStringAppendElement ( &dString, " These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent sho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTimerEventId();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetTimerEventId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimerEventType */
    if ( strcmp ( argv[2], "SetTimerEventType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimerEventType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimerEventType */
    Tcl_DStringAppendElement ( &dString, " These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent sho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimerEventType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetTimerEventType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerEventType */
    if ( strcmp ( argv[2], "GetTimerEventType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerEventType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerEventType */
    Tcl_DStringAppendElement ( &dString, " These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent sho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTimerEventType();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetTimerEventType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimerEventDuration */
    if ( strcmp ( argv[2], "SetTimerEventDuration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimerEventDuration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimerEventDuration */
    Tcl_DStringAppendElement ( &dString, " These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent sho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimerEventDuration(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetTimerEventDuration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerEventDuration */
    if ( strcmp ( argv[2], "GetTimerEventDuration" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerEventDuration" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerEventDuration */
    Tcl_DStringAppendElement ( &dString, " These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent sho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTimerEventDuration();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetTimerEventDuration */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimerEventPlatformId */
    if ( strcmp ( argv[2], "SetTimerEventPlatformId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimerEventPlatformId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimerEventPlatformId */
    Tcl_DStringAppendElement ( &dString, " These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent sho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimerEventPlatformId(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetTimerEventPlatformId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimerEventPlatformId */
    if ( strcmp ( argv[2], "GetTimerEventPlatformId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimerEventPlatformId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimerEventPlatformId */
    Tcl_DStringAppendElement ( &dString, " These methods are used to communicate information about the currently\n firing CreateTimerEvent or DestroyTimerEvent. The caller of\n CreateTimerEvent sets up TimerEventId, TimerEventType and\n TimerEventDuration. The observer of CreateTimerEvent should set up an\n appropriate platform specific timer based on those values and set the\n TimerEventPlatformId before returning. The caller of DestroyTimerEvent\n sets up TimerEventPlatformId. The observer of DestroyTimerEvent sho ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTimerEventPlatformId();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetTimerEventPlatformId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TerminateApp */
    if ( strcmp ( argv[2], "TerminateApp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TerminateApp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TerminateApp */
    Tcl_DStringAppendElement ( &dString, " This function is called on 'q','e' keypress if exitmethod is not\n specified and should be overridden by platform dependent subclasses\n to provide a termination procedure if one is required.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void TerminateApp(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for TerminateApp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractorStyle */
    if ( strcmp ( argv[2], "SetInteractorStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractorStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractorStyle */
    Tcl_DStringAppendElement ( &dString, " External switching between joystick/trackball/new? modes. Initial value\n is a vtkInteractorStyleSwitch object.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractorStyle(vtkInteractorObserver *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetInteractorStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractorStyle */
    if ( strcmp ( argv[2], "GetInteractorStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractorStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractorStyle */
    Tcl_DStringAppendElement ( &dString, " External switching between joystick/trackball/new? modes. Initial value\n is a vtkInteractorStyleSwitch object.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver *GetInteractorStyle();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetInteractorStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLightFollowCamera */
    if ( strcmp ( argv[2], "SetLightFollowCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLightFollowCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLightFollowCamera */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic repositioning of lights as the camera moves.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLightFollowCamera(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetLightFollowCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLightFollowCamera */
    if ( strcmp ( argv[2], "GetLightFollowCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLightFollowCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLightFollowCamera */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic repositioning of lights as the camera moves.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLightFollowCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetLightFollowCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LightFollowCameraOn */
    if ( strcmp ( argv[2], "LightFollowCameraOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LightFollowCameraOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LightFollowCameraOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic repositioning of lights as the camera moves.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void LightFollowCameraOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for LightFollowCameraOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LightFollowCameraOff */
    if ( strcmp ( argv[2], "LightFollowCameraOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LightFollowCameraOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LightFollowCameraOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic repositioning of lights as the camera moves.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void LightFollowCameraOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for LightFollowCameraOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDesiredUpdateRate */
    if ( strcmp ( argv[2], "SetDesiredUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDesiredUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDesiredUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired update rate. This is used by vtkLODActor's to tell\n them how quickly they need to render.  This update is in effect only\n when the camera is being rotated, or zoomed.  When the interactor is\n still, the StillUpdateRate is used instead. \n The default is 15.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDesiredUpdateRate(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetDesiredUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDesiredUpdateRateMinValue */
    if ( strcmp ( argv[2], "GetDesiredUpdateRateMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDesiredUpdateRateMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDesiredUpdateRateMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired update rate. This is used by vtkLODActor's to tell\n them how quickly they need to render.  This update is in effect only\n when the camera is being rotated, or zoomed.  When the interactor is\n still, the StillUpdateRate is used instead. \n The default is 15.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDesiredUpdateRateMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetDesiredUpdateRateMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDesiredUpdateRateMaxValue */
    if ( strcmp ( argv[2], "GetDesiredUpdateRateMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDesiredUpdateRateMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDesiredUpdateRateMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired update rate. This is used by vtkLODActor's to tell\n them how quickly they need to render.  This update is in effect only\n when the camera is being rotated, or zoomed.  When the interactor is\n still, the StillUpdateRate is used instead. \n The default is 15.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDesiredUpdateRateMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetDesiredUpdateRateMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDesiredUpdateRate */
    if ( strcmp ( argv[2], "GetDesiredUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDesiredUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDesiredUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired update rate. This is used by vtkLODActor's to tell\n them how quickly they need to render.  This update is in effect only\n when the camera is being rotated, or zoomed.  When the interactor is\n still, the StillUpdateRate is used instead. \n The default is 15.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDesiredUpdateRate();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetDesiredUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStillUpdateRate */
    if ( strcmp ( argv[2], "SetStillUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStillUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStillUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired update rate when movement has stopped.\n For the non-still update rate, see the SetDesiredUpdateRate method.\n The default is 0.0001\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStillUpdateRate(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetStillUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStillUpdateRateMinValue */
    if ( strcmp ( argv[2], "GetStillUpdateRateMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStillUpdateRateMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStillUpdateRateMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired update rate when movement has stopped.\n For the non-still update rate, see the SetDesiredUpdateRate method.\n The default is 0.0001\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStillUpdateRateMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetStillUpdateRateMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStillUpdateRateMaxValue */
    if ( strcmp ( argv[2], "GetStillUpdateRateMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStillUpdateRateMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStillUpdateRateMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired update rate when movement has stopped.\n For the non-still update rate, see the SetDesiredUpdateRate method.\n The default is 0.0001\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStillUpdateRateMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetStillUpdateRateMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStillUpdateRate */
    if ( strcmp ( argv[2], "GetStillUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStillUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStillUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired update rate when movement has stopped.\n For the non-still update rate, see the SetDesiredUpdateRate method.\n The default is 0.0001\n" );
    Tcl_DStringAppendElement ( &dString, "double GetStillUpdateRate();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetStillUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInitialized */
    if ( strcmp ( argv[2], "GetInitialized" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInitialized" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInitialized */
    Tcl_DStringAppendElement ( &dString, " See whether interactor has been initialized yet.\n Default is 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInitialized();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetInitialized */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPicker */
    if ( strcmp ( argv[2], "SetPicker" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPicker" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPicker" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPicker */
    Tcl_DStringAppendElement ( &dString, " Set/Get the object used to perform pick operations. In order to\n pick instances of vtkProp, the picker must be a subclass of \n vtkAbstractPropPicker, meaning that it can identify a particular \n instance of vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPicker(vtkAbstractPicker *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetPicker */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPicker */
    if ( strcmp ( argv[2], "GetPicker" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPicker" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPicker */
    Tcl_DStringAppendElement ( &dString, " Set/Get the object used to perform pick operations. In order to\n pick instances of vtkProp, the picker must be a subclass of \n vtkAbstractPropPicker, meaning that it can identify a particular \n instance of vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPicker *GetPicker();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetPicker */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultPicker */
    if ( strcmp ( argv[2], "CreateDefaultPicker" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultPicker" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultPicker */
    Tcl_DStringAppendElement ( &dString, " Create default picker. Used to create one when none is specified.\n Default is an instance of vtkPropPicker.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAbstractPropPicker *CreateDefaultPicker();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for CreateDefaultPicker */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExitCallback */
    if ( strcmp ( argv[2], "ExitCallback" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExitCallback" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExitCallback */
    Tcl_DStringAppendElement ( &dString, " These methods correspond to the the Exit, User and Pick\n callbacks. They allow for the Style to invoke them.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExitCallback();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for ExitCallback */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UserCallback */
    if ( strcmp ( argv[2], "UserCallback" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UserCallback" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UserCallback */
    Tcl_DStringAppendElement ( &dString, " These methods correspond to the the Exit, User and Pick\n callbacks. They allow for the Style to invoke them.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UserCallback();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for UserCallback */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartPickCallback */
    if ( strcmp ( argv[2], "StartPickCallback" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartPickCallback" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartPickCallback */
    Tcl_DStringAppendElement ( &dString, " These methods correspond to the the Exit, User and Pick\n callbacks. They allow for the Style to invoke them.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartPickCallback();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for StartPickCallback */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndPickCallback */
    if ( strcmp ( argv[2], "EndPickCallback" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndPickCallback" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndPickCallback */
    Tcl_DStringAppendElement ( &dString, " These methods correspond to the the Exit, User and Pick\n callbacks. They allow for the Style to invoke them.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndPickCallback();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for EndPickCallback */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HideCursor */
    if ( strcmp ( argv[2], "HideCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HideCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HideCursor */
    Tcl_DStringAppendElement ( &dString, " Hide or show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void HideCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for HideCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowCursor */
    if ( strcmp ( argv[2], "ShowCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowCursor */
    Tcl_DStringAppendElement ( &dString, " Hide or show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for ShowCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Render the scene. Just pass the render call on to the \n associated vtkRenderWindow.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FlyTo */
    if ( strcmp ( argv[2], "FlyTo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FlyTo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FlyTo */
    Tcl_DStringAppendElement ( &dString, " Given a position x, move the current camera's focal point to x.\n The movement is animated over the number of frames specified in\n NumberOfFlyFrames. The LOD desired frame rate is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void FlyTo(vtkRenderer *ren, double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for FlyTo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FlyToImage */
    if ( strcmp ( argv[2], "FlyToImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FlyToImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FlyToImage */
    Tcl_DStringAppendElement ( &dString, " Given a position x, move the current camera's focal point to x.\n The movement is animated over the number of frames specified in\n NumberOfFlyFrames. The LOD desired frame rate is used.\n" );
    Tcl_DStringAppendElement ( &dString, "void FlyToImage(vtkRenderer *ren, double x, double y);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for FlyToImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfFlyFrames */
    if ( strcmp ( argv[2], "SetNumberOfFlyFrames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfFlyFrames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfFlyFrames */
    Tcl_DStringAppendElement ( &dString, " Set the number of frames to fly to when FlyTo is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfFlyFrames(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetNumberOfFlyFrames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFlyFramesMinValue */
    if ( strcmp ( argv[2], "GetNumberOfFlyFramesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFlyFramesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFlyFramesMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of frames to fly to when FlyTo is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFlyFramesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetNumberOfFlyFramesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFlyFramesMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfFlyFramesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFlyFramesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFlyFramesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the number of frames to fly to when FlyTo is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFlyFramesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetNumberOfFlyFramesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFlyFrames */
    if ( strcmp ( argv[2], "GetNumberOfFlyFrames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFlyFrames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFlyFrames */
    Tcl_DStringAppendElement ( &dString, " Set the number of frames to fly to when FlyTo is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFlyFrames();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetNumberOfFlyFrames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDolly */
    if ( strcmp ( argv[2], "SetDolly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDolly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDolly */
    Tcl_DStringAppendElement ( &dString, " Set the total Dolly value to use when flying to (FlyTo()) a\n specified point. Negative values fly away from the point.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDolly(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetDolly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDolly */
    if ( strcmp ( argv[2], "GetDolly" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDolly" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDolly */
    Tcl_DStringAppendElement ( &dString, " Set the total Dolly value to use when flying to (FlyTo()) a\n specified point. Negative values fly away from the point.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDolly();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetDolly */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEventPosition */
    if ( strcmp ( argv[2], "GetEventPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetEventPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetEventPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastEventPosition */
    if ( strcmp ( argv[2], "GetLastEventPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastEventPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastEventPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetLastEventPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetLastEventPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLastEventPosition */
    if ( strcmp ( argv[2], "SetLastEventPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLastEventPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLastEventPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLastEventPosition(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetLastEventPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLastEventPosition */
    if ( strcmp ( argv[2], "SetLastEventPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLastEventPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLastEventPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLastEventPosition(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetLastEventPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEventPosition */
    if ( strcmp ( argv[2], "SetEventPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEventPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEventPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEventPosition(int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetEventPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEventPosition */
    if ( strcmp ( argv[2], "SetEventPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEventPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEventPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEventPosition(int pos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetEventPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEventPositionFlipY */
    if ( strcmp ( argv[2], "SetEventPositionFlipY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEventPositionFlipY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEventPositionFlipY */
    Tcl_DStringAppendElement ( &dString, " Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEventPositionFlipY(int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetEventPositionFlipY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEventPositionFlipY */
    if ( strcmp ( argv[2], "SetEventPositionFlipY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEventPositionFlipY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEventPositionFlipY */
    Tcl_DStringAppendElement ( &dString, " Set/Get information about the current event. \n The current x,y position is in the EventPosition, and the previous\n event position is in LastEventPosition, updated automatically each\n time EventPosition is set using its Set() method. Mouse positions\n are measured in pixels.\n The other information is about key board input.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEventPositionFlipY(int pos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetEventPositionFlipY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAltKey */
    if ( strcmp ( argv[2], "SetAltKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAltKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAltKey */
    Tcl_DStringAppendElement ( &dString, " Set/get whether alt modifier key was pressed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAltKey(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetAltKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAltKey */
    if ( strcmp ( argv[2], "GetAltKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAltKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAltKey */
    Tcl_DStringAppendElement ( &dString, " Set/get whether alt modifier key was pressed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAltKey();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetAltKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetControlKey */
    if ( strcmp ( argv[2], "SetControlKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetControlKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetControlKey */
    Tcl_DStringAppendElement ( &dString, " Set/get whether control modifier key was pressed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetControlKey(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetControlKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetControlKey */
    if ( strcmp ( argv[2], "GetControlKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetControlKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetControlKey */
    Tcl_DStringAppendElement ( &dString, " Set/get whether control modifier key was pressed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetControlKey();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetControlKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShiftKey */
    if ( strcmp ( argv[2], "SetShiftKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShiftKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShiftKey */
    Tcl_DStringAppendElement ( &dString, " Set/get whether shift modifier key was pressed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShiftKey(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetShiftKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShiftKey */
    if ( strcmp ( argv[2], "GetShiftKey" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShiftKey" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShiftKey */
    Tcl_DStringAppendElement ( &dString, " Set/get whether shift modifier key was pressed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShiftKey();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetShiftKey */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyCode */
    if ( strcmp ( argv[2], "SetKeyCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "char" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyCode */
    Tcl_DStringAppendElement ( &dString, " Set/get the key code for the key that was pressed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyCode(char a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetKeyCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeyCode */
    if ( strcmp ( argv[2], "GetKeyCode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeyCode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeyCode */
    Tcl_DStringAppendElement ( &dString, " Set/get the key code for the key that was pressed.\n" );
    Tcl_DStringAppendElement ( &dString, "char GetKeyCode();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetKeyCode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepeatCount */
    if ( strcmp ( argv[2], "SetRepeatCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepeatCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepeatCount */
    Tcl_DStringAppendElement ( &dString, " Set/get the repear count for the key or mouse event. This specifies how\n many times a key has been pressed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepeatCount(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetRepeatCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepeatCount */
    if ( strcmp ( argv[2], "GetRepeatCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepeatCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepeatCount */
    Tcl_DStringAppendElement ( &dString, " Set/get the repear count for the key or mouse event. This specifies how\n many times a key has been pressed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepeatCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetRepeatCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeySym */
    if ( strcmp ( argv[2], "SetKeySym" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeySym" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeySym */
    Tcl_DStringAppendElement ( &dString, " Set/get the key symbol for the key that was pressed. This is the key\n symbol as defined by the relevant X headers. On X based platforms this\n corresponds to the installed X sevrer, whereas on other platforms the\n native key codes are translated into a string representation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeySym(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetKeySym */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKeySym */
    if ( strcmp ( argv[2], "GetKeySym" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKeySym" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKeySym */
    Tcl_DStringAppendElement ( &dString, " Set/get the key symbol for the key that was pressed. This is the key\n symbol as defined by the relevant X headers. On X based platforms this\n corresponds to the installed X sevrer, whereas on other platforms the\n native key codes are translated into a string representation.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetKeySym();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetKeySym */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEventInformation */
    if ( strcmp ( argv[2], "SetEventInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEventInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "char" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEventInformation */
    Tcl_DStringAppendElement ( &dString, " Set all the event information in one call.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEventInformation(int x, int y, int ctrl=0, int shift=0, char keycode=0, int repeatcount=0, const char *keysym=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetEventInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEventInformationFlipY */
    if ( strcmp ( argv[2], "SetEventInformationFlipY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEventInformationFlipY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "char" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEventInformationFlipY */
    Tcl_DStringAppendElement ( &dString, " Calls SetEventInformation, but flips the Y based on the current Size\\[1\\] \n value (i.e. y = this->Size\\[1\\] - y - 1).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEventInformationFlipY(int x, int y, int ctrl=0, int shift=0, char keycode=0, int repeatcount=0, const char *keysym=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetEventInformationFlipY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKeyEventInformation */
    if ( strcmp ( argv[2], "SetKeyEventInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKeyEventInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "char" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKeyEventInformation */
    Tcl_DStringAppendElement ( &dString, " Set all the keyboard-related event information in one call.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKeyEventInformation(int ctrl=0, int shift=0, char keycode=0, int repeatcount=0, const char *keysym=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetKeyEventInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEventSize */
    if ( strcmp ( argv[2], "SetEventSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEventSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEventSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetEventSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetEventSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEventSize */
    if ( strcmp ( argv[2], "SetEventSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEventSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEventSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetEventSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetEventSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEventSize */
    if ( strcmp ( argv[2], "GetEventSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetEventSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetEventSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FindPokedRenderer */
    if ( strcmp ( argv[2], "FindPokedRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FindPokedRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FindPokedRenderer */
    Tcl_DStringAppendElement ( &dString, " When an event occurs, we must determine which Renderer the event\n occurred within, since one RenderWindow may contain multiple\n renderers.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkRenderer *FindPokedRenderer(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for FindPokedRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObserverMediator */
    if ( strcmp ( argv[2], "GetObserverMediator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObserverMediator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObserverMediator */
    Tcl_DStringAppendElement ( &dString, " Return the object used to mediate between vtkInteractorObservers\n contending for resources. Multiple interactor observers will often\n request different resources (e.g., cursor shape); the mediator uses a\n strategy to provide the resource based on priority of the observer plus\n the particular request (default versus non-default cursor shape).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkObserverMediator *GetObserverMediator();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetObserverMediator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseTDx */
    if ( strcmp ( argv[2], "SetUseTDx" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseTDx" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseTDx */
    Tcl_DStringAppendElement ( &dString, " Use a 3DConnexion device. Initial value is false.\n If VTK is not build with the TDx option, this is no-op.\n If VTK is build with the TDx option, and a device is not connected,\n a warning is emitted.\n It is must be called before the first Render to be effective, otherwise\n it is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseTDx(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for SetUseTDx */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseTDx */
    if ( strcmp ( argv[2], "GetUseTDx" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseTDx" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseTDx */
    Tcl_DStringAppendElement ( &dString, " Use a 3DConnexion device. Initial value is false.\n If VTK is not build with the TDx option, this is no-op.\n If VTK is build with the TDx option, and a device is not connected,\n a warning is emitted.\n It is must be called before the first Render to be effective, otherwise\n it is ignored.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseTDx();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for GetUseTDx */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MouseMoveEvent */
    if ( strcmp ( argv[2], "MouseMoveEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MouseMoveEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MouseMoveEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MouseMoveEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for MouseMoveEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RightButtonPressEvent */
    if ( strcmp ( argv[2], "RightButtonPressEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RightButtonPressEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RightButtonPressEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RightButtonPressEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for RightButtonPressEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RightButtonReleaseEvent */
    if ( strcmp ( argv[2], "RightButtonReleaseEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RightButtonReleaseEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RightButtonReleaseEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RightButtonReleaseEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for RightButtonReleaseEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeftButtonPressEvent */
    if ( strcmp ( argv[2], "LeftButtonPressEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeftButtonPressEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeftButtonPressEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LeftButtonPressEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for LeftButtonPressEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeftButtonReleaseEvent */
    if ( strcmp ( argv[2], "LeftButtonReleaseEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeftButtonReleaseEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeftButtonReleaseEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LeftButtonReleaseEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for LeftButtonReleaseEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MiddleButtonPressEvent */
    if ( strcmp ( argv[2], "MiddleButtonPressEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonPressEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MiddleButtonPressEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MiddleButtonPressEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for MiddleButtonPressEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MiddleButtonReleaseEvent */
    if ( strcmp ( argv[2], "MiddleButtonReleaseEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MiddleButtonReleaseEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MiddleButtonReleaseEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MiddleButtonReleaseEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for MiddleButtonReleaseEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MouseWheelForwardEvent */
    if ( strcmp ( argv[2], "MouseWheelForwardEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MouseWheelForwardEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MouseWheelForwardEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MouseWheelForwardEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for MouseWheelForwardEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MouseWheelBackwardEvent */
    if ( strcmp ( argv[2], "MouseWheelBackwardEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MouseWheelBackwardEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MouseWheelBackwardEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MouseWheelBackwardEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for MouseWheelBackwardEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExposeEvent */
    if ( strcmp ( argv[2], "ExposeEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExposeEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExposeEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExposeEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for ExposeEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConfigureEvent */
    if ( strcmp ( argv[2], "ConfigureEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConfigureEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConfigureEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ConfigureEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for ConfigureEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnterEvent */
    if ( strcmp ( argv[2], "EnterEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnterEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnterEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EnterEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for EnterEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LeaveEvent */
    if ( strcmp ( argv[2], "LeaveEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LeaveEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LeaveEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LeaveEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for LeaveEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: KeyPressEvent */
    if ( strcmp ( argv[2], "KeyPressEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "KeyPressEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for KeyPressEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void KeyPressEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for KeyPressEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: KeyReleaseEvent */
    if ( strcmp ( argv[2], "KeyReleaseEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "KeyReleaseEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for KeyReleaseEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void KeyReleaseEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for KeyReleaseEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CharEvent */
    if ( strcmp ( argv[2], "CharEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CharEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CharEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CharEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for CharEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExitEvent */
    if ( strcmp ( argv[2], "ExitEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExitEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExitEvent */
    Tcl_DStringAppendElement ( &dString, " Fire various events. SetEventInformation should be called just prior\n to calling any of these methods. These methods will Invoke the\n corresponding vtk event.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ExitEvent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    /* Closing for ExitEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
