// tcl wrapper for vtkRenderer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderer.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRendererNewCommand()
{
  vtkRenderer *temp = vtkRenderer::New();
  return static_cast<ClientData>(temp);
}

int vtkViewportCppCommand(vtkViewport *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRendererCppCommand(vtkRenderer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRendererCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRendererCppCommand(static_cast<vtkRenderer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRendererCppCommand(vtkRenderer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkViewportCppCommand(static_cast<vtkViewport *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkViewport"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderer");
    return TCL_OK;
    }
  if ((!strcmp("AddActor",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->AddActor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddVolume",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->AddVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveActor",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->RemoveActor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveVolume",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->RemoveVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddLight",argv[1]))&&(argc == 3))
    {
    vtkLight  *temp0;
    error = 0;

    temp0 = (vtkLight *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLight"),interp,error));
    if (!error)
    {
    op->AddLight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveLight",argv[1]))&&(argc == 3))
    {
    vtkLight  *temp0;
    error = 0;

    temp0 = (vtkLight *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLight"),interp,error));
    if (!error)
    {
    op->RemoveLight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllLights",argv[1]))&&(argc == 2))
    {
    op->RemoveAllLights();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLights",argv[1]))&&(argc == 2))
    {
    vtkLightCollection  *temp20;
    temp20 = (op)->GetLights();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLightCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetLightCollection",argv[1]))&&(argc == 3))
    {
    vtkLightCollection  *temp0;
    error = 0;

    temp0 = (vtkLightCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLightCollection"),interp,error));
    if (!error)
    {
    op->SetLightCollection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateLight",argv[1]))&&(argc == 2))
    {
    op->CreateLight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MakeLight",argv[1]))&&(argc == 2))
    {
    vtkLight  *temp20;
    temp20 = (op)->MakeLight();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLight");
    return TCL_OK;
    }
  if ((!strcmp("GetTwoSidedLighting",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTwoSidedLighting();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTwoSidedLighting",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTwoSidedLighting(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("TwoSidedLightingOn",argv[1]))&&(argc == 2))
    {
    op->TwoSidedLightingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TwoSidedLightingOff",argv[1]))&&(argc == 2))
    {
    op->TwoSidedLightingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLightFollowCamera",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLightFollowCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLightFollowCamera",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLightFollowCamera();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LightFollowCameraOn",argv[1]))&&(argc == 2))
    {
    op->LightFollowCameraOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LightFollowCameraOff",argv[1]))&&(argc == 2))
    {
    op->LightFollowCameraOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetAutomaticLightCreation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutomaticLightCreation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutomaticLightCreation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutomaticLightCreation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AutomaticLightCreationOn",argv[1]))&&(argc == 2))
    {
    op->AutomaticLightCreationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutomaticLightCreationOff",argv[1]))&&(argc == 2))
    {
    op->AutomaticLightCreationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateLightsGeometryToFollowCamera",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->UpdateLightsGeometryToFollowCamera();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVolumes",argv[1]))&&(argc == 2))
    {
    vtkVolumeCollection  *temp20;
    temp20 = (op)->GetVolumes();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeCollection");
    return TCL_OK;
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 2))
    {
    vtkActorCollection  *temp20;
    temp20 = (op)->GetActors();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkActorCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetActiveCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->SetActiveCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetActiveCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("MakeCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->MakeCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetErase",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetErase(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetErase",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetErase();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EraseOn",argv[1]))&&(argc == 2))
    {
    op->EraseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EraseOff",argv[1]))&&(argc == 2))
    {
    op->EraseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDraw",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDraw(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDraw",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDraw();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawOn",argv[1]))&&(argc == 2))
    {
    op->DrawOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawOff",argv[1]))&&(argc == 2))
    {
    op->DrawOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddCuller",argv[1]))&&(argc == 3))
    {
    vtkCuller  *temp0;
    error = 0;

    temp0 = (vtkCuller *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCuller"),interp,error));
    if (!error)
    {
    op->AddCuller(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveCuller",argv[1]))&&(argc == 3))
    {
    vtkCuller  *temp0;
    error = 0;

    temp0 = (vtkCuller *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCuller"),interp,error));
    if (!error)
    {
    op->RemoveCuller(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCullers",argv[1]))&&(argc == 2))
    {
    vtkCullerCollection  *temp20;
    temp20 = (op)->GetCullers();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCullerCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetAmbient",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAmbient(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAmbient",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetAmbient(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAmbient",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAmbient();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAllocatedRenderTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAllocatedRenderTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllocatedRenderTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAllocatedRenderTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimeFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTimeFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeviceRender",argv[1]))&&(argc == 2))
    {
    op->DeviceRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeviceRenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    op->DeviceRenderTranslucentPolygonalGeometry();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Clear",argv[1]))&&(argc == 2))
    {
    op->Clear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibleActorCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->VisibleActorCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VisibleVolumeCount",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->VisibleVolumeCount();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeVisiblePropBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->ComputeVisiblePropBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeVisiblePropBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->ComputeVisiblePropBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("ResetCameraClippingRange",argv[1]))&&(argc == 2))
    {
    op->ResetCameraClippingRange();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetCameraClippingRange",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->ResetCameraClippingRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCameraClippingRange",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->ResetCameraClippingRange(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNearClippingPlaneTolerance",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetNearClippingPlaneTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNearClippingPlaneToleranceMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNearClippingPlaneToleranceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNearClippingPlaneToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNearClippingPlaneToleranceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNearClippingPlaneTolerance",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetNearClippingPlaneTolerance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 2))
    {
    op->ResetCamera();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->ResetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->ResetCamera(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetVTKWindow",argv[1]))&&(argc == 2))
    {
    vtkWindow  *temp20;
    temp20 = (op)->GetVTKWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetBackingStore",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBackingStore(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackingStore",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBackingStore();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BackingStoreOn",argv[1]))&&(argc == 2))
    {
    op->BackingStoreOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BackingStoreOff",argv[1]))&&(argc == 2))
    {
    op->BackingStoreOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractive",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractive(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractive",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteractive();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveOn",argv[1]))&&(argc == 2))
    {
    op->InteractiveOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractiveOff",argv[1]))&&(argc == 2))
    {
    op->InteractiveOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLayer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLayer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPreserveDepthBuffer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPreserveDepthBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreserveDepthBuffer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPreserveDepthBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PreserveDepthBufferOn",argv[1]))&&(argc == 2))
    {
    op->PreserveDepthBufferOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreserveDepthBufferOff",argv[1]))&&(argc == 2))
    {
    op->PreserveDepthBufferOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Transparent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Transparent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("WorldToView",argv[1]))&&(argc == 2))
    {
    op->WorldToView();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ViewToWorld",argv[1]))&&(argc == 2))
    {
    op->ViewToWorld();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetZ",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetZ(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastRenderTimeInSeconds",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLastRenderTimeInSeconds();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPropsRendered",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPropsRendered();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PickProp",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    vtkAssemblyPath  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->PickProp(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssemblyPath");
    return TCL_OK;
    }
    }
  if ((!strcmp("PickProp",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    vtkAssemblyPath  *temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    temp20 = (op)->PickProp(temp0,temp1,temp2,temp3);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAssemblyPath");
    return TCL_OK;
    }
    }
  if ((!strcmp("StereoMidpoint",argv[1]))&&(argc == 2))
    {
    op->StereoMidpoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTiledAspectRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTiledAspectRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsActiveCameraCreated",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsActiveCameraCreated();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseDepthPeeling",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseDepthPeeling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseDepthPeeling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseDepthPeeling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseDepthPeelingOn",argv[1]))&&(argc == 2))
    {
    op->UseDepthPeelingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseDepthPeelingOff",argv[1]))&&(argc == 2))
    {
    op->UseDepthPeelingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOcclusionRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOcclusionRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOcclusionRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOcclusionRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOcclusionRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOcclusionRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOcclusionRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOcclusionRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfPeels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfPeels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfPeels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfPeels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastRenderingUsedDepthPeeling",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLastRenderingUsedDepthPeeling();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDelegate",argv[1]))&&(argc == 3))
    {
    vtkRendererDelegate  *temp0;
    error = 0;

    temp0 = (vtkRendererDelegate *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRendererDelegate"),interp,error));
    if (!error)
    {
    op->SetDelegate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDelegate",argv[1]))&&(argc == 2))
    {
    vtkRendererDelegate  *temp20;
    temp20 = (op)->GetDelegate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRendererDelegate");
    return TCL_OK;
    }
  if ((!strcmp("SetPass",argv[1]))&&(argc == 3))
    {
    vtkRenderPass  *temp0;
    error = 0;

    temp0 = (vtkRenderPass *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderPass"),interp,error));
    if (!error)
    {
    op->SetPass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPass",argv[1]))&&(argc == 2))
    {
    vtkRenderPass  *temp20;
    temp20 = (op)->GetPass();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderPass");
    return TCL_OK;
    }
  if ((!strcmp("GetSelector",argv[1]))&&(argc == 2))
    {
    vtkHardwareSelector  *temp20;
    temp20 = (op)->GetSelector();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHardwareSelector");
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundTexture",argv[1]))&&(argc == 3))
    {
    vtkTexture  *temp0;
    error = 0;

    temp0 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTexture"),interp,error));
    if (!error)
    {
    op->SetBackgroundTexture(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundTexture",argv[1]))&&(argc == 2))
    {
    vtkTexture  *temp20;
    temp20 = (op)->GetBackgroundTexture();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexture");
    return TCL_OK;
    }
  if ((!strcmp("SetTexturedBackground",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetTexturedBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTexturedBackground",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetTexturedBackground();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TexturedBackgroundOn",argv[1]))&&(argc == 2))
    {
    op->TexturedBackgroundOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TexturedBackgroundOff",argv[1]))&&(argc == 2))
    {
    op->TexturedBackgroundOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRendererCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkViewportCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddActor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveActor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddLight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveLight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllLights\n",NULL);
    Tcl_AppendResult(interp,"  GetLights\n",NULL);
    Tcl_AppendResult(interp,"  SetLightCollection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CreateLight\n",NULL);
    Tcl_AppendResult(interp,"  MakeLight\n",NULL);
    Tcl_AppendResult(interp,"  GetTwoSidedLighting\n",NULL);
    Tcl_AppendResult(interp,"  SetTwoSidedLighting\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TwoSidedLightingOn\n",NULL);
    Tcl_AppendResult(interp,"  TwoSidedLightingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLightFollowCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLightFollowCamera\n",NULL);
    Tcl_AppendResult(interp,"  LightFollowCameraOn\n",NULL);
    Tcl_AppendResult(interp,"  LightFollowCameraOff\n",NULL);
    Tcl_AppendResult(interp,"  GetAutomaticLightCreation\n",NULL);
    Tcl_AppendResult(interp,"  SetAutomaticLightCreation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticLightCreationOn\n",NULL);
    Tcl_AppendResult(interp,"  AutomaticLightCreationOff\n",NULL);
    Tcl_AppendResult(interp,"  UpdateLightsGeometryToFollowCamera\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumes\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveCamera\n",NULL);
    Tcl_AppendResult(interp,"  MakeCamera\n",NULL);
    Tcl_AppendResult(interp,"  SetErase\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetErase\n",NULL);
    Tcl_AppendResult(interp,"  EraseOn\n",NULL);
    Tcl_AppendResult(interp,"  EraseOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDraw\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDraw\n",NULL);
    Tcl_AppendResult(interp,"  DrawOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawOff\n",NULL);
    Tcl_AppendResult(interp,"  AddCuller\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveCuller\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCullers\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbient\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAmbient\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAmbient\n",NULL);
    Tcl_AppendResult(interp,"  SetAllocatedRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllocatedRenderTime\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeFactor\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  DeviceRender\n",NULL);
    Tcl_AppendResult(interp,"  DeviceRenderTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  Clear\n",NULL);
    Tcl_AppendResult(interp,"  VisibleActorCount\n",NULL);
    Tcl_AppendResult(interp,"  VisibleVolumeCount\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVisiblePropBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeVisiblePropBounds\n",NULL);
    Tcl_AppendResult(interp,"  ResetCameraClippingRange\n",NULL);
    Tcl_AppendResult(interp,"  ResetCameraClippingRange\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetCameraClippingRange\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNearClippingPlaneTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNearClippingPlaneToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNearClippingPlaneToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNearClippingPlaneTolerance\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetVTKWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetBackingStore\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackingStore\n",NULL);
    Tcl_AppendResult(interp,"  BackingStoreOn\n",NULL);
    Tcl_AppendResult(interp,"  BackingStoreOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractive\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractive\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveOn\n",NULL);
    Tcl_AppendResult(interp,"  InteractiveOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLayer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayer\n",NULL);
    Tcl_AppendResult(interp,"  SetPreserveDepthBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreserveDepthBuffer\n",NULL);
    Tcl_AppendResult(interp,"  PreserveDepthBufferOn\n",NULL);
    Tcl_AppendResult(interp,"  PreserveDepthBufferOff\n",NULL);
    Tcl_AppendResult(interp,"  Transparent\n",NULL);
    Tcl_AppendResult(interp,"  WorldToView\n",NULL);
    Tcl_AppendResult(interp,"  ViewToWorld\n",NULL);
    Tcl_AppendResult(interp,"  GetZ\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetLastRenderTimeInSeconds\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPropsRendered\n",NULL);
    Tcl_AppendResult(interp,"  PickProp\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PickProp\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  StereoMidpoint\n",NULL);
    Tcl_AppendResult(interp,"  GetTiledAspectRatio\n",NULL);
    Tcl_AppendResult(interp,"  IsActiveCameraCreated\n",NULL);
    Tcl_AppendResult(interp,"  SetUseDepthPeeling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseDepthPeeling\n",NULL);
    Tcl_AppendResult(interp,"  UseDepthPeelingOn\n",NULL);
    Tcl_AppendResult(interp,"  UseDepthPeelingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOcclusionRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOcclusionRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOcclusionRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOcclusionRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfPeels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfPeels\n",NULL);
    Tcl_AppendResult(interp,"  GetLastRenderingUsedDepthPeeling\n",NULL);
    Tcl_AppendResult(interp,"  SetDelegate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDelegate\n",NULL);
    Tcl_AppendResult(interp,"  SetPass\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPass\n",NULL);
    Tcl_AppendResult(interp,"  GetSelector\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundTexture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundTexture\n",NULL);
    Tcl_AppendResult(interp,"  SetTexturedBackground\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTexturedBackground\n",NULL);
    Tcl_AppendResult(interp,"  TexturedBackgroundOn\n",NULL);
    Tcl_AppendResult(interp,"  TexturedBackgroundOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkViewportCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "AddActor" );
    Tcl_DStringAppendElement ( &dString, "AddVolume" );
    Tcl_DStringAppendElement ( &dString, "RemoveActor" );
    Tcl_DStringAppendElement ( &dString, "RemoveVolume" );
    Tcl_DStringAppendElement ( &dString, "AddLight" );
    Tcl_DStringAppendElement ( &dString, "RemoveLight" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllLights" );
    Tcl_DStringAppendElement ( &dString, "GetLights" );
    Tcl_DStringAppendElement ( &dString, "SetLightCollection" );
    Tcl_DStringAppendElement ( &dString, "CreateLight" );
    Tcl_DStringAppendElement ( &dString, "MakeLight" );
    Tcl_DStringAppendElement ( &dString, "GetTwoSidedLighting" );
    Tcl_DStringAppendElement ( &dString, "SetTwoSidedLighting" );
    Tcl_DStringAppendElement ( &dString, "TwoSidedLightingOn" );
    Tcl_DStringAppendElement ( &dString, "TwoSidedLightingOff" );
    Tcl_DStringAppendElement ( &dString, "SetLightFollowCamera" );
    Tcl_DStringAppendElement ( &dString, "GetLightFollowCamera" );
    Tcl_DStringAppendElement ( &dString, "LightFollowCameraOn" );
    Tcl_DStringAppendElement ( &dString, "LightFollowCameraOff" );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticLightCreation" );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticLightCreation" );
    Tcl_DStringAppendElement ( &dString, "AutomaticLightCreationOn" );
    Tcl_DStringAppendElement ( &dString, "AutomaticLightCreationOff" );
    Tcl_DStringAppendElement ( &dString, "UpdateLightsGeometryToFollowCamera" );
    Tcl_DStringAppendElement ( &dString, "GetVolumes" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "SetActiveCamera" );
    Tcl_DStringAppendElement ( &dString, "GetActiveCamera" );
    Tcl_DStringAppendElement ( &dString, "MakeCamera" );
    Tcl_DStringAppendElement ( &dString, "SetErase" );
    Tcl_DStringAppendElement ( &dString, "GetErase" );
    Tcl_DStringAppendElement ( &dString, "EraseOn" );
    Tcl_DStringAppendElement ( &dString, "EraseOff" );
    Tcl_DStringAppendElement ( &dString, "SetDraw" );
    Tcl_DStringAppendElement ( &dString, "GetDraw" );
    Tcl_DStringAppendElement ( &dString, "DrawOn" );
    Tcl_DStringAppendElement ( &dString, "DrawOff" );
    Tcl_DStringAppendElement ( &dString, "AddCuller" );
    Tcl_DStringAppendElement ( &dString, "RemoveCuller" );
    Tcl_DStringAppendElement ( &dString, "GetCullers" );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    Tcl_DStringAppendElement ( &dString, "GetAmbient" );
    Tcl_DStringAppendElement ( &dString, "SetAllocatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "GetAllocatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "GetTimeFactor" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "DeviceRender" );
    Tcl_DStringAppendElement ( &dString, "DeviceRenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "Clear" );
    Tcl_DStringAppendElement ( &dString, "VisibleActorCount" );
    Tcl_DStringAppendElement ( &dString, "VisibleVolumeCount" );
    Tcl_DStringAppendElement ( &dString, "ComputeVisiblePropBounds" );
    Tcl_DStringAppendElement ( &dString, "ComputeVisiblePropBounds" );
    Tcl_DStringAppendElement ( &dString, "ResetCameraClippingRange" );
    Tcl_DStringAppendElement ( &dString, "ResetCameraClippingRange" );
    Tcl_DStringAppendElement ( &dString, "ResetCameraClippingRange" );
    Tcl_DStringAppendElement ( &dString, "SetNearClippingPlaneTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetNearClippingPlaneToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNearClippingPlaneToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNearClippingPlaneTolerance" );
    Tcl_DStringAppendElement ( &dString, "ResetCamera" );
    Tcl_DStringAppendElement ( &dString, "ResetCamera" );
    Tcl_DStringAppendElement ( &dString, "ResetCamera" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "GetVTKWindow" );
    Tcl_DStringAppendElement ( &dString, "SetBackingStore" );
    Tcl_DStringAppendElement ( &dString, "GetBackingStore" );
    Tcl_DStringAppendElement ( &dString, "BackingStoreOn" );
    Tcl_DStringAppendElement ( &dString, "BackingStoreOff" );
    Tcl_DStringAppendElement ( &dString, "SetInteractive" );
    Tcl_DStringAppendElement ( &dString, "GetInteractive" );
    Tcl_DStringAppendElement ( &dString, "InteractiveOn" );
    Tcl_DStringAppendElement ( &dString, "InteractiveOff" );
    Tcl_DStringAppendElement ( &dString, "SetLayer" );
    Tcl_DStringAppendElement ( &dString, "GetLayer" );
    Tcl_DStringAppendElement ( &dString, "SetPreserveDepthBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetPreserveDepthBuffer" );
    Tcl_DStringAppendElement ( &dString, "PreserveDepthBufferOn" );
    Tcl_DStringAppendElement ( &dString, "PreserveDepthBufferOff" );
    Tcl_DStringAppendElement ( &dString, "Transparent" );
    Tcl_DStringAppendElement ( &dString, "WorldToView" );
    Tcl_DStringAppendElement ( &dString, "ViewToWorld" );
    Tcl_DStringAppendElement ( &dString, "GetZ" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetLastRenderTimeInSeconds" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPropsRendered" );
    Tcl_DStringAppendElement ( &dString, "PickProp" );
    Tcl_DStringAppendElement ( &dString, "PickProp" );
    Tcl_DStringAppendElement ( &dString, "StereoMidpoint" );
    Tcl_DStringAppendElement ( &dString, "GetTiledAspectRatio" );
    Tcl_DStringAppendElement ( &dString, "IsActiveCameraCreated" );
    Tcl_DStringAppendElement ( &dString, "SetUseDepthPeeling" );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthPeeling" );
    Tcl_DStringAppendElement ( &dString, "UseDepthPeelingOn" );
    Tcl_DStringAppendElement ( &dString, "UseDepthPeelingOff" );
    Tcl_DStringAppendElement ( &dString, "SetOcclusionRatio" );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatio" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPeels" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPeels" );
    Tcl_DStringAppendElement ( &dString, "GetLastRenderingUsedDepthPeeling" );
    Tcl_DStringAppendElement ( &dString, "SetDelegate" );
    Tcl_DStringAppendElement ( &dString, "GetDelegate" );
    Tcl_DStringAppendElement ( &dString, "SetPass" );
    Tcl_DStringAppendElement ( &dString, "GetPass" );
    Tcl_DStringAppendElement ( &dString, "GetSelector" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundTexture" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundTexture" );
    Tcl_DStringAppendElement ( &dString, "SetTexturedBackground" );
    Tcl_DStringAppendElement ( &dString, "GetTexturedBackground" );
    Tcl_DStringAppendElement ( &dString, "TexturedBackgroundOn" );
    Tcl_DStringAppendElement ( &dString, "TexturedBackgroundOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkViewportCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Create a vtkRenderer with a black background, a white ambient light,\n two-sided lighting turned on, a viewport of (0,0,1,1), and backface\n culling turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkRenderer *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddActor */
    if ( strcmp ( argv[2], "AddActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddActor */
    Tcl_DStringAppendElement ( &dString, " Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddActor(vtkProp *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for AddActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddVolume */
    if ( strcmp ( argv[2], "AddVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddVolume */
    Tcl_DStringAppendElement ( &dString, " Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddVolume(vtkProp *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for AddVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveActor */
    if ( strcmp ( argv[2], "RemoveActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveActor */
    Tcl_DStringAppendElement ( &dString, " Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveActor(vtkProp *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for RemoveActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveVolume */
    if ( strcmp ( argv[2], "RemoveVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveVolume */
    Tcl_DStringAppendElement ( &dString, " Add/Remove different types of props to the renderer.\n These methods are all synonyms to AddViewProp and RemoveViewProp.\n They are here for convenience and backwards compatibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveVolume(vtkProp *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for RemoveVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLight */
    if ( strcmp ( argv[2], "AddLight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLight */
    Tcl_DStringAppendElement ( &dString, " Add a light to the list of lights.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddLight(vtkLight *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for AddLight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveLight */
    if ( strcmp ( argv[2], "RemoveLight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveLight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLight" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveLight */
    Tcl_DStringAppendElement ( &dString, " Remove a light from the list of lights.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveLight(vtkLight *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for RemoveLight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllLights */
    if ( strcmp ( argv[2], "RemoveAllLights" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllLights" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllLights */
    Tcl_DStringAppendElement ( &dString, " Remove all lights from the list of lights.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllLights();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for RemoveAllLights */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLights */
    if ( strcmp ( argv[2], "GetLights" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLights" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLights */
    Tcl_DStringAppendElement ( &dString, " Return the collection of lights.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLightCollection *GetLights();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetLights */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLightCollection */
    if ( strcmp ( argv[2], "SetLightCollection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLightCollection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLightCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLightCollection */
    Tcl_DStringAppendElement ( &dString, " Set the collection of lights.\n We cannot name it SetLights because of TestSetGet\n \\pre lights_exist: lights!=0\n \\post lights_set: lights==this->GetLights()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLightCollection(vtkLightCollection *lights);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetLightCollection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateLight */
    if ( strcmp ( argv[2], "CreateLight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateLight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateLight */
    Tcl_DStringAppendElement ( &dString, " Create and add a light to renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateLight(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for CreateLight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeLight */
    if ( strcmp ( argv[2], "MakeLight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeLight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeLight */
    Tcl_DStringAppendElement ( &dString, " Create a new Light sutible for use with this type of Renderer.\n For example, a vtkMesaRenderer should create a vtkMesaLight\n in this function.   The default is to just call vtkLight::New.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkLight *MakeLight();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for MakeLight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTwoSidedLighting */
    if ( strcmp ( argv[2], "GetTwoSidedLighting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTwoSidedLighting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTwoSidedLighting */
    Tcl_DStringAppendElement ( &dString, " Turn on/off two-sided lighting of surfaces. If two-sided lighting is\n off, then only the side of the surface facing the light(s) will be lit,\n and the other side dark. If two-sided lighting on, both sides of the\n surface will be lit.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTwoSidedLighting();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetTwoSidedLighting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTwoSidedLighting */
    if ( strcmp ( argv[2], "SetTwoSidedLighting" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTwoSidedLighting" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTwoSidedLighting */
    Tcl_DStringAppendElement ( &dString, " Turn on/off two-sided lighting of surfaces. If two-sided lighting is\n off, then only the side of the surface facing the light(s) will be lit,\n and the other side dark. If two-sided lighting on, both sides of the\n surface will be lit.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTwoSidedLighting(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetTwoSidedLighting */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TwoSidedLightingOn */
    if ( strcmp ( argv[2], "TwoSidedLightingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TwoSidedLightingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TwoSidedLightingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off two-sided lighting of surfaces. If two-sided lighting is\n off, then only the side of the surface facing the light(s) will be lit,\n and the other side dark. If two-sided lighting on, both sides of the\n surface will be lit.\n" );
    Tcl_DStringAppendElement ( &dString, "void TwoSidedLightingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for TwoSidedLightingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TwoSidedLightingOff */
    if ( strcmp ( argv[2], "TwoSidedLightingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TwoSidedLightingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TwoSidedLightingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off two-sided lighting of surfaces. If two-sided lighting is\n off, then only the side of the surface facing the light(s) will be lit,\n and the other side dark. If two-sided lighting on, both sides of the\n surface will be lit.\n" );
    Tcl_DStringAppendElement ( &dString, "void TwoSidedLightingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for TwoSidedLightingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLightFollowCamera */
    if ( strcmp ( argv[2], "SetLightFollowCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLightFollowCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLightFollowCamera */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic repositioning of lights as the camera moves.\n If LightFollowCamera is on, lights that are designated as Headlights\n or CameraLights will be adjusted to move with this renderer's camera.\n If LightFollowCamera is off, the lights will not be adjusted.\n\n (Note: In previous versions of vtk, this light-tracking\n functionality was part of the interactors, not the renderer. For\n backwards compatibility, the older, more limited interactor\n behavior  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLightFollowCamera(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetLightFollowCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLightFollowCamera */
    if ( strcmp ( argv[2], "GetLightFollowCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLightFollowCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLightFollowCamera */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic repositioning of lights as the camera moves.\n If LightFollowCamera is on, lights that are designated as Headlights\n or CameraLights will be adjusted to move with this renderer's camera.\n If LightFollowCamera is off, the lights will not be adjusted.\n\n (Note: In previous versions of vtk, this light-tracking\n functionality was part of the interactors, not the renderer. For\n backwards compatibility, the older, more limited interactor\n behavior  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLightFollowCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetLightFollowCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LightFollowCameraOn */
    if ( strcmp ( argv[2], "LightFollowCameraOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LightFollowCameraOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LightFollowCameraOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic repositioning of lights as the camera moves.\n If LightFollowCamera is on, lights that are designated as Headlights\n or CameraLights will be adjusted to move with this renderer's camera.\n If LightFollowCamera is off, the lights will not be adjusted.\n\n (Note: In previous versions of vtk, this light-tracking\n functionality was part of the interactors, not the renderer. For\n backwards compatibility, the older, more limited interactor\n behavior  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void LightFollowCameraOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for LightFollowCameraOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LightFollowCameraOff */
    if ( strcmp ( argv[2], "LightFollowCameraOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LightFollowCameraOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LightFollowCameraOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the automatic repositioning of lights as the camera moves.\n If LightFollowCamera is on, lights that are designated as Headlights\n or CameraLights will be adjusted to move with this renderer's camera.\n If LightFollowCamera is off, the lights will not be adjusted.\n\n (Note: In previous versions of vtk, this light-tracking\n functionality was part of the interactors, not the renderer. For\n backwards compatibility, the older, more limited interactor\n behavior  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void LightFollowCameraOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for LightFollowCameraOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutomaticLightCreation */
    if ( strcmp ( argv[2], "GetAutomaticLightCreation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutomaticLightCreation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutomaticLightCreation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag which disables the automatic light creation capability.\n Normally in VTK if no lights are associated with the renderer, then a light\n is automatically created. However, in special circumstances this feature is\n undesirable, so the following boolean is provided to disable automatic\n light creation. (Turn AutomaticLightCreation off if you do not want lights\n to be created.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutomaticLightCreation();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetAutomaticLightCreation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutomaticLightCreation */
    if ( strcmp ( argv[2], "SetAutomaticLightCreation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutomaticLightCreation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutomaticLightCreation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag which disables the automatic light creation capability.\n Normally in VTK if no lights are associated with the renderer, then a light\n is automatically created. However, in special circumstances this feature is\n undesirable, so the following boolean is provided to disable automatic\n light creation. (Turn AutomaticLightCreation off if you do not want lights\n to be created.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutomaticLightCreation(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetAutomaticLightCreation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticLightCreationOn */
    if ( strcmp ( argv[2], "AutomaticLightCreationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticLightCreationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticLightCreationOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag which disables the automatic light creation capability.\n Normally in VTK if no lights are associated with the renderer, then a light\n is automatically created. However, in special circumstances this feature is\n undesirable, so the following boolean is provided to disable automatic\n light creation. (Turn AutomaticLightCreation off if you do not want lights\n to be created.)\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticLightCreationOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for AutomaticLightCreationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutomaticLightCreationOff */
    if ( strcmp ( argv[2], "AutomaticLightCreationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutomaticLightCreationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutomaticLightCreationOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off a flag which disables the automatic light creation capability.\n Normally in VTK if no lights are associated with the renderer, then a light\n is automatically created. However, in special circumstances this feature is\n undesirable, so the following boolean is provided to disable automatic\n light creation. (Turn AutomaticLightCreation off if you do not want lights\n to be created.)\n" );
    Tcl_DStringAppendElement ( &dString, "void AutomaticLightCreationOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for AutomaticLightCreationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateLightsGeometryToFollowCamera */
    if ( strcmp ( argv[2], "UpdateLightsGeometryToFollowCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateLightsGeometryToFollowCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateLightsGeometryToFollowCamera */
    Tcl_DStringAppendElement ( &dString, " Ask the lights in the scene that are not in world space\n (for instance, Headlights or CameraLights that are attached to the\n camera) to update their geometry to match the active camera.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int UpdateLightsGeometryToFollowCamera(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for UpdateLightsGeometryToFollowCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumes */
    if ( strcmp ( argv[2], "GetVolumes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumes */
    Tcl_DStringAppendElement ( &dString, " Return the collection of volumes.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeCollection *GetVolumes();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetVolumes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " Return any actors in this renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkActorCollection *GetActors();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveCamera */
    if ( strcmp ( argv[2], "SetActiveCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveCamera */
    Tcl_DStringAppendElement ( &dString, " Specify the camera to use for this renderer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetActiveCamera(vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetActiveCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveCamera */
    if ( strcmp ( argv[2], "GetActiveCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveCamera */
    Tcl_DStringAppendElement ( &dString, " Get the current camera. If there is not camera assigned to the\n renderer already, a new one is created automatically.\n This does *not* reset the camera.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetActiveCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetActiveCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeCamera */
    if ( strcmp ( argv[2], "MakeCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeCamera */
    Tcl_DStringAppendElement ( &dString, " Create a new Camera sutible for use with this type of Renderer.\n For example, a vtkMesaRenderer should create a vtkMesaCamera\n in this function.   The default is to just call vtkCamera::New.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCamera *MakeCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for MakeCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetErase */
    if ( strcmp ( argv[2], "SetErase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetErase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetErase */
    Tcl_DStringAppendElement ( &dString, " When this flag is off, the renderer will not erase the background\n or the Zbuffer.  It is used to have overlapping renderers.\n Both the RenderWindow Erase and Render Erase must be on\n for the camera to clear the renderer.  By default, Erase is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetErase(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetErase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetErase */
    if ( strcmp ( argv[2], "GetErase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetErase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetErase */
    Tcl_DStringAppendElement ( &dString, " When this flag is off, the renderer will not erase the background\n or the Zbuffer.  It is used to have overlapping renderers.\n Both the RenderWindow Erase and Render Erase must be on\n for the camera to clear the renderer.  By default, Erase is on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetErase();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetErase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EraseOn */
    if ( strcmp ( argv[2], "EraseOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EraseOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EraseOn */
    Tcl_DStringAppendElement ( &dString, " When this flag is off, the renderer will not erase the background\n or the Zbuffer.  It is used to have overlapping renderers.\n Both the RenderWindow Erase and Render Erase must be on\n for the camera to clear the renderer.  By default, Erase is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void EraseOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for EraseOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EraseOff */
    if ( strcmp ( argv[2], "EraseOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EraseOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EraseOff */
    Tcl_DStringAppendElement ( &dString, " When this flag is off, the renderer will not erase the background\n or the Zbuffer.  It is used to have overlapping renderers.\n Both the RenderWindow Erase and Render Erase must be on\n for the camera to clear the renderer.  By default, Erase is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void EraseOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for EraseOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDraw */
    if ( strcmp ( argv[2], "SetDraw" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDraw" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDraw */
    Tcl_DStringAppendElement ( &dString, " When this flag is off, render commands are ignored.  It is used to either\n multiplex a vtkRenderWindow or render only part of a vtkRenderWindow.\n By default, Draw is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDraw(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetDraw */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDraw */
    if ( strcmp ( argv[2], "GetDraw" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDraw" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDraw */
    Tcl_DStringAppendElement ( &dString, " When this flag is off, render commands are ignored.  It is used to either\n multiplex a vtkRenderWindow or render only part of a vtkRenderWindow.\n By default, Draw is on.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDraw();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetDraw */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawOn */
    if ( strcmp ( argv[2], "DrawOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawOn */
    Tcl_DStringAppendElement ( &dString, " When this flag is off, render commands are ignored.  It is used to either\n multiplex a vtkRenderWindow or render only part of a vtkRenderWindow.\n By default, Draw is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for DrawOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawOff */
    if ( strcmp ( argv[2], "DrawOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawOff */
    Tcl_DStringAppendElement ( &dString, " When this flag is off, render commands are ignored.  It is used to either\n multiplex a vtkRenderWindow or render only part of a vtkRenderWindow.\n By default, Draw is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for DrawOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddCuller */
    if ( strcmp ( argv[2], "AddCuller" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddCuller" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCuller" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddCuller */
    Tcl_DStringAppendElement ( &dString, " Add an culler to the list of cullers.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddCuller(vtkCuller *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for AddCuller */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveCuller */
    if ( strcmp ( argv[2], "RemoveCuller" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveCuller" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCuller" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveCuller */
    Tcl_DStringAppendElement ( &dString, " Remove an actor from the list of cullers.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveCuller(vtkCuller *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for RemoveCuller */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCullers */
    if ( strcmp ( argv[2], "GetCullers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCullers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCullers */
    Tcl_DStringAppendElement ( &dString, " Return the collection of cullers.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCullerCollection *GetCullers();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetCullers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmbient */
    if ( strcmp ( argv[2], "SetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmbient */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAmbient(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAmbient */
    if ( strcmp ( argv[2], "SetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAmbient */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAmbient(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAmbient */
    if ( strcmp ( argv[2], "GetAmbient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAmbient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAmbient */
    Tcl_DStringAppendElement ( &dString, " Set the intensity of ambient lighting.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetAmbient();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetAmbient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllocatedRenderTime */
    if ( strcmp ( argv[2], "SetAllocatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllocatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllocatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " Set/Get the amount of time this renderer is allowed to spend\n rendering its scene. This is used by vtkLODActor's.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllocatedRenderTime(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetAllocatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllocatedRenderTime */
    if ( strcmp ( argv[2], "GetAllocatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllocatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllocatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " Set/Get the amount of time this renderer is allowed to spend\n rendering its scene. This is used by vtkLODActor's.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetAllocatedRenderTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetAllocatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeFactor */
    if ( strcmp ( argv[2], "GetTimeFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeFactor */
    Tcl_DStringAppendElement ( &dString, " Get the ratio between allocated time and actual render time.\n TimeFactor has been taken out of the render process.\n It is still computed in case someone finds it useful.\n It may be taken away in the future.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetTimeFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetTimeFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " CALLED BY vtkRenderWindow ONLY. End-user pass your way and call\n vtkRenderWindow::Render().\n Create an image. This is a superclass method which will in turn\n call the DeviceRender method of Subclasses of vtkRenderer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeviceRender */
    if ( strcmp ( argv[2], "DeviceRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeviceRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeviceRender */
    Tcl_DStringAppendElement ( &dString, " Create an image. Subclasses of vtkRenderer must implement this method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeviceRender() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for DeviceRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeviceRenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "DeviceRenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeviceRenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeviceRenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Render translucent polygonal geometry. Default implementation just call\n UpdateTranslucentPolygonalGeometry().\n Subclasses of vtkRenderer that can deal with depth peeling must\n override this method.\n It updates boolean ivar LastRenderingUsedDepthPeeling.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeviceRenderTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for DeviceRenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Clear */
    if ( strcmp ( argv[2], "Clear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Clear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Clear */
    Tcl_DStringAppendElement ( &dString, " Clear the image to the background color.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Clear();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for Clear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VisibleActorCount */
    if ( strcmp ( argv[2], "VisibleActorCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VisibleActorCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VisibleActorCount */
    Tcl_DStringAppendElement ( &dString, " Returns the number of visible actors.\n" );
    Tcl_DStringAppendElement ( &dString, "int VisibleActorCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for VisibleActorCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VisibleVolumeCount */
    if ( strcmp ( argv[2], "VisibleVolumeCount" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VisibleVolumeCount" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VisibleVolumeCount */
    Tcl_DStringAppendElement ( &dString, " Returns the number of visible volumes.\n" );
    Tcl_DStringAppendElement ( &dString, "int VisibleVolumeCount();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for VisibleVolumeCount */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeVisiblePropBounds */
    if ( strcmp ( argv[2], "ComputeVisiblePropBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVisiblePropBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVisiblePropBounds */
    Tcl_DStringAppendElement ( &dString, " Compute the bounding box of all the visible props\n Used in ResetCamera() and ResetCameraClippingRange()\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeVisiblePropBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for ComputeVisiblePropBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeVisiblePropBounds */
    if ( strcmp ( argv[2], "ComputeVisiblePropBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeVisiblePropBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeVisiblePropBounds */
    Tcl_DStringAppendElement ( &dString, " Wrapper-friendly version of ComputeVisiblePropBounds\n" );
    Tcl_DStringAppendElement ( &dString, "double *ComputeVisiblePropBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for ComputeVisiblePropBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCameraClippingRange */
    if ( strcmp ( argv[2], "ResetCameraClippingRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCameraClippingRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCameraClippingRange */
    Tcl_DStringAppendElement ( &dString, " Reset the camera clipping range based on the bounds of the\n visible actors. This ensures that no props are cut off\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetCameraClippingRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for ResetCameraClippingRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCameraClippingRange */
    if ( strcmp ( argv[2], "ResetCameraClippingRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCameraClippingRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCameraClippingRange */
    Tcl_DStringAppendElement ( &dString, " Reset the camera clipping range based on a bounding box.\n This method is called from ResetCameraClippingRange()\n If Deering frustrum is used then the bounds get expanded\n by the camera's modelview matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetCameraClippingRange(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for ResetCameraClippingRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCameraClippingRange */
    if ( strcmp ( argv[2], "ResetCameraClippingRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCameraClippingRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCameraClippingRange */
    Tcl_DStringAppendElement ( &dString, " Reset the camera clipping range based on a bounding box.\n This method is called from ResetCameraClippingRange()\n If Deering frustrum is used then the bounds get expanded\n by the camera's modelview matrix.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetCameraClippingRange(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for ResetCameraClippingRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNearClippingPlaneTolerance */
    if ( strcmp ( argv[2], "SetNearClippingPlaneTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNearClippingPlaneTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNearClippingPlaneTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance for near clipping plane distance to the camera as a\n percentage of the far clipping plane distance. By default this will be\n set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNearClippingPlaneTolerance(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetNearClippingPlaneTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNearClippingPlaneToleranceMinValue */
    if ( strcmp ( argv[2], "GetNearClippingPlaneToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNearClippingPlaneToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNearClippingPlaneToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance for near clipping plane distance to the camera as a\n percentage of the far clipping plane distance. By default this will be\n set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNearClippingPlaneToleranceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetNearClippingPlaneToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNearClippingPlaneToleranceMaxValue */
    if ( strcmp ( argv[2], "GetNearClippingPlaneToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNearClippingPlaneToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNearClippingPlaneToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance for near clipping plane distance to the camera as a\n percentage of the far clipping plane distance. By default this will be\n set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNearClippingPlaneToleranceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetNearClippingPlaneToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNearClippingPlaneTolerance */
    if ( strcmp ( argv[2], "GetNearClippingPlaneTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNearClippingPlaneTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNearClippingPlaneTolerance */
    Tcl_DStringAppendElement ( &dString, " Specify tolerance for near clipping plane distance to the camera as a\n percentage of the far clipping plane distance. By default this will be\n set to 0.01 for 16 bit zbuffers and 0.001 for higher depth z buffers\n" );
    Tcl_DStringAppendElement ( &dString, "double GetNearClippingPlaneTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetNearClippingPlaneTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCamera */
    if ( strcmp ( argv[2], "ResetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCamera */
    Tcl_DStringAppendElement ( &dString, " Automatically set up the camera based on the visible actors.\n The camera will reposition itself to view the center point of the actors,\n and move along its initial view plane normal (i.e., vector defined from\n camera position to focal point) so that all of the actors can be seen.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for ResetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCamera */
    if ( strcmp ( argv[2], "ResetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCamera */
    Tcl_DStringAppendElement ( &dString, " Automatically set up the camera based on a specified bounding box\n (xmin,xmax, ymin,ymax, zmin,zmax). Camera will reposition itself so\n that its focal point is the center of the bounding box, and adjust its\n distance and position to preserve its initial view plane normal\n (i.e., vector defined from camera position to focal point). Note: is\n the view plane is parallel to the view up axis, the view up axis will\n be reset to one of the three coordinate axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetCamera(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for ResetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCamera */
    if ( strcmp ( argv[2], "ResetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCamera */
    Tcl_DStringAppendElement ( &dString, " Alternative version of ResetCamera(bounds\\[6\\]);\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetCamera(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for ResetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Specify the rendering window in which to draw. This is automatically set\n when the renderer is created by MakeRenderer.  The user probably\n shouldn't ever need to call this method.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderWindow(vtkRenderWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Specify the rendering window in which to draw. This is automatically set\n when the renderer is created by MakeRenderer.  The user probably\n shouldn't ever need to call this method.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVTKWindow */
    if ( strcmp ( argv[2], "GetVTKWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVTKWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVTKWindow */
    Tcl_DStringAppendElement ( &dString, " Specify the rendering window in which to draw. This is automatically set\n when the renderer is created by MakeRenderer.  The user probably\n shouldn't ever need to call this method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkWindow *GetVTKWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetVTKWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackingStore */
    if ( strcmp ( argv[2], "SetBackingStore" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackingStore" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackingStore */
    Tcl_DStringAppendElement ( &dString, " Turn on/off using backing store. This may cause the re-rendering\n time to be slightly slower when the view changes. But it is\n much faster when the image has not changed, such as during an\n expose event.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackingStore(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetBackingStore */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackingStore */
    if ( strcmp ( argv[2], "GetBackingStore" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackingStore" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackingStore */
    Tcl_DStringAppendElement ( &dString, " Turn on/off using backing store. This may cause the re-rendering\n time to be slightly slower when the view changes. But it is\n much faster when the image has not changed, such as during an\n expose event.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBackingStore();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetBackingStore */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackingStoreOn */
    if ( strcmp ( argv[2], "BackingStoreOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackingStoreOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackingStoreOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off using backing store. This may cause the re-rendering\n time to be slightly slower when the view changes. But it is\n much faster when the image has not changed, such as during an\n expose event.\n" );
    Tcl_DStringAppendElement ( &dString, "void BackingStoreOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for BackingStoreOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BackingStoreOff */
    if ( strcmp ( argv[2], "BackingStoreOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BackingStoreOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BackingStoreOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off using backing store. This may cause the re-rendering\n time to be slightly slower when the view changes. But it is\n much faster when the image has not changed, such as during an\n expose event.\n" );
    Tcl_DStringAppendElement ( &dString, "void BackingStoreOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for BackingStoreOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractive */
    if ( strcmp ( argv[2], "SetInteractive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractive */
    Tcl_DStringAppendElement ( &dString, " Turn on/off interactive status.  An interactive renderer is one that\n can receive events from an interactor.  Should only be set if\n there are multiple renderers in the same section of the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInteractive(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetInteractive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractive */
    if ( strcmp ( argv[2], "GetInteractive" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractive" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractive */
    Tcl_DStringAppendElement ( &dString, " Turn on/off interactive status.  An interactive renderer is one that\n can receive events from an interactor.  Should only be set if\n there are multiple renderers in the same section of the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInteractive();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetInteractive */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InteractiveOn */
    if ( strcmp ( argv[2], "InteractiveOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InteractiveOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InteractiveOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off interactive status.  An interactive renderer is one that\n can receive events from an interactor.  Should only be set if\n there are multiple renderers in the same section of the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "void InteractiveOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for InteractiveOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InteractiveOff */
    if ( strcmp ( argv[2], "InteractiveOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InteractiveOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InteractiveOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off interactive status.  An interactive renderer is one that\n can receive events from an interactor.  Should only be set if\n there are multiple renderers in the same section of the viewport.\n" );
    Tcl_DStringAppendElement ( &dString, "void InteractiveOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for InteractiveOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayer */
    if ( strcmp ( argv[2], "SetLayer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayer */
    Tcl_DStringAppendElement ( &dString, " Set/Get the layer that this renderer belongs to.  This is only used if\n there are layered renderers.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayer(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetLayer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayer */
    if ( strcmp ( argv[2], "GetLayer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayer */
    Tcl_DStringAppendElement ( &dString, " Set/Get the layer that this renderer belongs to.  This is only used if\n there are layered renderers.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLayer();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetLayer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreserveDepthBuffer */
    if ( strcmp ( argv[2], "SetPreserveDepthBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreserveDepthBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreserveDepthBuffer */
    Tcl_DStringAppendElement ( &dString, " Normally a renderer is treated as transparent if Layer > 0. To treat a\n renderer at Layer 0 as transparent, set this flag to true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreserveDepthBuffer(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetPreserveDepthBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreserveDepthBuffer */
    if ( strcmp ( argv[2], "GetPreserveDepthBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreserveDepthBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreserveDepthBuffer */
    Tcl_DStringAppendElement ( &dString, " Normally a renderer is treated as transparent if Layer > 0. To treat a\n renderer at Layer 0 as transparent, set this flag to true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPreserveDepthBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetPreserveDepthBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreserveDepthBufferOn */
    if ( strcmp ( argv[2], "PreserveDepthBufferOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreserveDepthBufferOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreserveDepthBufferOn */
    Tcl_DStringAppendElement ( &dString, " Normally a renderer is treated as transparent if Layer > 0. To treat a\n renderer at Layer 0 as transparent, set this flag to true.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreserveDepthBufferOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for PreserveDepthBufferOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreserveDepthBufferOff */
    if ( strcmp ( argv[2], "PreserveDepthBufferOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreserveDepthBufferOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreserveDepthBufferOff */
    Tcl_DStringAppendElement ( &dString, " Normally a renderer is treated as transparent if Layer > 0. To treat a\n renderer at Layer 0 as transparent, set this flag to true.\n" );
    Tcl_DStringAppendElement ( &dString, "void PreserveDepthBufferOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for PreserveDepthBufferOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Transparent */
    if ( strcmp ( argv[2], "Transparent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Transparent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Transparent */
    Tcl_DStringAppendElement ( &dString, " Returns a boolean indicating if this renderer is transparent.  It is\n transparent if it is not in the deepest layer of its render window.\n" );
    Tcl_DStringAppendElement ( &dString, "int Transparent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for Transparent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WorldToView */
    if ( strcmp ( argv[2], "WorldToView" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WorldToView" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WorldToView */
    Tcl_DStringAppendElement ( &dString, " Convert world point coordinates to view coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void WorldToView();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for WorldToView */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ViewToWorld */
    if ( strcmp ( argv[2], "ViewToWorld" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ViewToWorld" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ViewToWorld */
    Tcl_DStringAppendElement ( &dString, " Convert view point coordinates to world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void ViewToWorld();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for ViewToWorld */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZ */
    if ( strcmp ( argv[2], "GetZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZ */
    Tcl_DStringAppendElement ( &dString, " Given a pixel location, return the Z value. The z value is\n normalized (0,1) between the front and back clipping planes.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetZ(int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime of the renderer also considering its ivars.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastRenderTimeInSeconds */
    if ( strcmp ( argv[2], "GetLastRenderTimeInSeconds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastRenderTimeInSeconds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastRenderTimeInSeconds */
    Tcl_DStringAppendElement ( &dString, " Get the time required, in seconds, for the last Render call.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLastRenderTimeInSeconds();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetLastRenderTimeInSeconds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPropsRendered */
    if ( strcmp ( argv[2], "GetNumberOfPropsRendered" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPropsRendered" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPropsRendered */
    Tcl_DStringAppendElement ( &dString, " Should be used internally only during a render\n Get the number of props that were rendered using a\n RenderOpaqueGeometry or RenderTranslucentPolygonalGeometry call.\n This is used to know if something is in the frame buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPropsRendered();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetNumberOfPropsRendered */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickProp */
    if ( strcmp ( argv[2], "PickProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickProp */
    Tcl_DStringAppendElement ( &dString, " Return the prop (via a vtkAssemblyPath) that has the highest z value\n at the given x, y position in the viewport.  Basically, the top most\n prop that renders the pixel at selectionX, selectionY will be returned.\n If nothing was picked then NULL is returned.  This method selects from\n the renderers Prop list.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyPath *PickProp(double selectionX, double selectionY);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for PickProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickProp */
    if ( strcmp ( argv[2], "PickProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickProp */
    Tcl_DStringAppendElement ( &dString, " Return the prop (via a vtkAssemblyPath) that has the highest z value\n at the given x, y position in the viewport.  Basically, the top most\n prop that renders the pixel at selectionX, selectionY will be returned.\n If nothing was picked then NULL is returned.  This method selects from\n the renderers Prop list.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAssemblyPath *PickProp(double selectionX1, double selectionY1, double selectionX2, double selectionY2);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for PickProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StereoMidpoint */
    if ( strcmp ( argv[2], "StereoMidpoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StereoMidpoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StereoMidpoint */
    Tcl_DStringAppendElement ( &dString, " Do anything necessary between rendering the left and right viewpoints\n in a stereo render. Doesn't do anything except in the derived\n vtkIceTRenderer in ParaView.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StereoMidpoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for StereoMidpoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTiledAspectRatio */
    if ( strcmp ( argv[2], "GetTiledAspectRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTiledAspectRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTiledAspectRatio */
    Tcl_DStringAppendElement ( &dString, " Compute the aspect ratio of this renderer for the current tile. When\n tiled displays are used the aspect ratio of the renderer for a given\n tile may be diferent that the aspect ratio of the renderer when rendered\n in it entirity\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTiledAspectRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetTiledAspectRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsActiveCameraCreated */
    if ( strcmp ( argv[2], "IsActiveCameraCreated" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsActiveCameraCreated" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsActiveCameraCreated */
    Tcl_DStringAppendElement ( &dString, " This method returns 1 if the ActiveCamera has already been set or\n automatically created by the renderer. It returns 0 if the\n ActiveCamera does not yet exist.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsActiveCameraCreated();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for IsActiveCameraCreated */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseDepthPeeling */
    if ( strcmp ( argv[2], "SetUseDepthPeeling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseDepthPeeling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseDepthPeeling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off rendering of translucent material with depth peeling\n technique. The render window must have alpha bits (ie call\n SetAlphaBitPlanes(1)) and no multisample buffer (ie call\n SetMultiSamples(0) ) to support depth peeling.\n If UseDepthPeeling is on and the GPU supports it, depth peeling is used\n for rendering translucent materials.\n If UseDepthPeeling is off, alpha blending is used.\n Initial value is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseDepthPeeling(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetUseDepthPeeling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseDepthPeeling */
    if ( strcmp ( argv[2], "GetUseDepthPeeling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseDepthPeeling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseDepthPeeling */
    Tcl_DStringAppendElement ( &dString, " Turn on/off rendering of translucent material with depth peeling\n technique. The render window must have alpha bits (ie call\n SetAlphaBitPlanes(1)) and no multisample buffer (ie call\n SetMultiSamples(0) ) to support depth peeling.\n If UseDepthPeeling is on and the GPU supports it, depth peeling is used\n for rendering translucent materials.\n If UseDepthPeeling is off, alpha blending is used.\n Initial value is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseDepthPeeling();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetUseDepthPeeling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDepthPeelingOn */
    if ( strcmp ( argv[2], "UseDepthPeelingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDepthPeelingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDepthPeelingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off rendering of translucent material with depth peeling\n technique. The render window must have alpha bits (ie call\n SetAlphaBitPlanes(1)) and no multisample buffer (ie call\n SetMultiSamples(0) ) to support depth peeling.\n If UseDepthPeeling is on and the GPU supports it, depth peeling is used\n for rendering translucent materials.\n If UseDepthPeeling is off, alpha blending is used.\n Initial value is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDepthPeelingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for UseDepthPeelingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseDepthPeelingOff */
    if ( strcmp ( argv[2], "UseDepthPeelingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseDepthPeelingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseDepthPeelingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off rendering of translucent material with depth peeling\n technique. The render window must have alpha bits (ie call\n SetAlphaBitPlanes(1)) and no multisample buffer (ie call\n SetMultiSamples(0) ) to support depth peeling.\n If UseDepthPeeling is on and the GPU supports it, depth peeling is used\n for rendering translucent materials.\n If UseDepthPeeling is off, alpha blending is used.\n Initial value is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseDepthPeelingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for UseDepthPeelingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOcclusionRatio */
    if ( strcmp ( argv[2], "SetOcclusionRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOcclusionRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOcclusionRatio */
    Tcl_DStringAppendElement ( &dString, " In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOcclusionRatio(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetOcclusionRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOcclusionRatioMinValue */
    if ( strcmp ( argv[2], "GetOcclusionRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOcclusionRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOcclusionRatioMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetOcclusionRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOcclusionRatioMaxValue */
    if ( strcmp ( argv[2], "GetOcclusionRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOcclusionRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOcclusionRatioMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetOcclusionRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOcclusionRatio */
    if ( strcmp ( argv[2], "GetOcclusionRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOcclusionRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOcclusionRatio */
    Tcl_DStringAppendElement ( &dString, " In case of use of depth peeling technique for rendering translucent\n material, define the threshold under which the algorithm stops to\n iterate over peel layers. This is the ratio of the number of pixels\n that have been touched by the last layer over the total number of pixels\n of the viewport area.\n Initial value is 0.0, meaning rendering have to be exact. Greater values\n may speed-up the rendering with small impact on the quality.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOcclusionRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetOcclusionRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfPeels */
    if ( strcmp ( argv[2], "SetMaximumNumberOfPeels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfPeels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfPeels */
    Tcl_DStringAppendElement ( &dString, " In case of depth peeling, define the maximum number of peeling layers.\n Initial value is 4. A special value of 0 means no maximum limit.\n It has to be a positive value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfPeels(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetMaximumNumberOfPeels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfPeels */
    if ( strcmp ( argv[2], "GetMaximumNumberOfPeels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfPeels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfPeels */
    Tcl_DStringAppendElement ( &dString, " In case of depth peeling, define the maximum number of peeling layers.\n Initial value is 4. A special value of 0 means no maximum limit.\n It has to be a positive value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfPeels();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetMaximumNumberOfPeels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastRenderingUsedDepthPeeling */
    if ( strcmp ( argv[2], "GetLastRenderingUsedDepthPeeling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastRenderingUsedDepthPeeling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastRenderingUsedDepthPeeling */
    Tcl_DStringAppendElement ( &dString, " Tells if the last call to DeviceRenderTranslucentPolygonalGeometry()\n actually used depth peeling.\n Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLastRenderingUsedDepthPeeling();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetLastRenderingUsedDepthPeeling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDelegate */
    if ( strcmp ( argv[2], "SetDelegate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDelegate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRendererDelegate" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDelegate */
    Tcl_DStringAppendElement ( &dString, " Set/Get a custom Render call. Allows to hook a Render call from an\n external project.It will be used in place of vtkRenderer::Render() if it\n is not NULL and its Used ivar is set to true.\n Initial value is NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDelegate(vtkRendererDelegate *d);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetDelegate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDelegate */
    if ( strcmp ( argv[2], "GetDelegate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDelegate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDelegate */
    Tcl_DStringAppendElement ( &dString, " Set/Get a custom Render call. Allows to hook a Render call from an\n external project.It will be used in place of vtkRenderer::Render() if it\n is not NULL and its Used ivar is set to true.\n Initial value is NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererDelegate *GetDelegate();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetDelegate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPass */
    if ( strcmp ( argv[2], "SetPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPass */
    Tcl_DStringAppendElement ( &dString, " Set/Get a custom render pass.\n Initial value is NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPass(vtkRenderPass *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPass */
    if ( strcmp ( argv[2], "GetPass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPass */
    Tcl_DStringAppendElement ( &dString, " Set/Get a custom render pass.\n Initial value is NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderPass *GetPass();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetPass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelector */
    if ( strcmp ( argv[2], "GetSelector" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelector" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelector */
    Tcl_DStringAppendElement ( &dString, " Get the current hardware selector. If the Selector is set, it implies the\n current render pass is for selection. Mappers/Properties may choose to\n behave differently when rendering for hardware selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHardwareSelector *GetSelector();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetSelector */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundTexture */
    if ( strcmp ( argv[2], "SetBackgroundTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundTexture */
    Tcl_DStringAppendElement ( &dString, " Set/Get the texture to be used for the background. If set\n and enabled this gets the priority over the gradient background.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundTexture(vtkTexture *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetBackgroundTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundTexture */
    if ( strcmp ( argv[2], "GetBackgroundTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundTexture */
    Tcl_DStringAppendElement ( &dString, " Set/Get the texture to be used for the background. If set\n and enabled this gets the priority over the gradient background.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture *GetBackgroundTexture();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetBackgroundTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTexturedBackground */
    if ( strcmp ( argv[2], "SetTexturedBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTexturedBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTexturedBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether this viewport should have a textured background.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTexturedBackground(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for SetTexturedBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTexturedBackground */
    if ( strcmp ( argv[2], "GetTexturedBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTexturedBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTexturedBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether this viewport should have a textured background.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetTexturedBackground();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for GetTexturedBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TexturedBackgroundOn */
    if ( strcmp ( argv[2], "TexturedBackgroundOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TexturedBackgroundOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TexturedBackgroundOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether this viewport should have a textured background.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void TexturedBackgroundOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for TexturedBackgroundOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TexturedBackgroundOff */
    if ( strcmp ( argv[2], "TexturedBackgroundOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TexturedBackgroundOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TexturedBackgroundOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether this viewport should have a textured background.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void TexturedBackgroundOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    /* Closing for TexturedBackgroundOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkViewportCppCommand(static_cast<vtkViewport *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
