// tcl wrapper for vtkResliceCursorPicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceCursorPicker.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkResliceCursorPickerNewCommand()
{
  vtkResliceCursorPicker *temp = vtkResliceCursorPicker::New();
  return static_cast<ClientData>(temp);
}

int vtkPickerCppCommand(vtkPicker *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkResliceCursorPickerCppCommand(vtkResliceCursorPicker *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkResliceCursorPickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkResliceCursorPickerCppCommand(static_cast<vtkResliceCursorPicker *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkResliceCursorPickerCppCommand(vtkResliceCursorPicker *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkResliceCursorPicker",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPickerCppCommand(static_cast<vtkPicker *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPicker"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkResliceCursorPicker  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursorPicker");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkResliceCursorPicker  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursorPicker");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkResliceCursorPicker  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursorPicker");
    return TCL_OK;
    }
    }
  if ((!strcmp("Pick",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    vtkRenderer  *temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    temp3 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    temp20 = (op)->Pick(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPickedAxis1",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPickedAxis1();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickedAxis2",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPickedAxis2();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickedCenter",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPickedCenter();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResliceCursorAlgorithm",argv[1]))&&(argc == 3))
    {
    vtkResliceCursorPolyDataAlgorithm  *temp0;
    error = 0;

    temp0 = (vtkResliceCursorPolyDataAlgorithm *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkResliceCursorPolyDataAlgorithm"),interp,error));
    if (!error)
    {
    op->SetResliceCursorAlgorithm(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResliceCursorAlgorithm",argv[1]))&&(argc == 2))
    {
    vtkResliceCursorPolyDataAlgorithm  *temp20;
    temp20 = (op)->GetResliceCursorAlgorithm();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursorPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("SetTransformMatrix",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->SetTransformMatrix(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkResliceCursorPickerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPickerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkResliceCursorPicker:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Pick\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPickedAxis1\n",NULL);
    Tcl_AppendResult(interp,"  GetPickedAxis2\n",NULL);
    Tcl_AppendResult(interp,"  GetPickedCenter\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceCursorAlgorithm\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceCursorAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  SetTransformMatrix\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPickerCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Pick" );
    Tcl_DStringAppendElement ( &dString, "GetPickedAxis1" );
    Tcl_DStringAppendElement ( &dString, "GetPickedAxis2" );
    Tcl_DStringAppendElement ( &dString, "GetPickedCenter" );
    Tcl_DStringAppendElement ( &dString, "SetResliceCursorAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "GetResliceCursorAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "SetTransformMatrix" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPickerCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkResliceCursorPicker *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Pick */
    if ( strcmp ( argv[2], "Pick" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Pick" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Pick */
    Tcl_DStringAppendElement ( &dString, " Perform pick operation with selection point provided. Normally the\n first two values are the (x,y) pixel coordinates for the pick, and\n the third value is z=0. The return value will be non-zero if\n something was successfully picked.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Pick(double selectionX, double selectionY, double selectionZ, vtkRenderer *renderer);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for Pick */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickedAxis1 */
    if ( strcmp ( argv[2], "GetPickedAxis1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickedAxis1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickedAxis1 */
    Tcl_DStringAppendElement ( &dString, " Get the picked axis\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPickedAxis1();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for GetPickedAxis1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickedAxis2 */
    if ( strcmp ( argv[2], "GetPickedAxis2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickedAxis2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickedAxis2 */
    Tcl_DStringAppendElement ( &dString, " Get the picked axis\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPickedAxis2();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for GetPickedAxis2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickedCenter */
    if ( strcmp ( argv[2], "GetPickedCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickedCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickedCenter */
    Tcl_DStringAppendElement ( &dString, " Get the picked axis\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPickedCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for GetPickedCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceCursorAlgorithm */
    if ( strcmp ( argv[2], "SetResliceCursorAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceCursorAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceCursorAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Set the reslice cursor algorithm. One must be set\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetResliceCursorAlgorithm(vtkResliceCursorPolyDataAlgorithm *);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for SetResliceCursorAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceCursorAlgorithm */
    if ( strcmp ( argv[2], "GetResliceCursorAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceCursorAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceCursorAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Set the reslice cursor algorithm. One must be set\n" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPolyDataAlgorithm *GetResliceCursorAlgorithm();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for GetResliceCursorAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransformMatrix */
    if ( strcmp ( argv[2], "SetTransformMatrix" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransformMatrix" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransformMatrix */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTransformMatrix(vtkMatrix4x4 *);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorPicker" );
    /* Closing for SetTransformMatrix */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPickerCppCommand(static_cast<vtkPicker *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
