// tcl wrapper for vtkScalarBarActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkScalarBarActor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkScalarBarActorNewCommand()
{
  vtkScalarBarActor *temp = vtkScalarBarActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkScalarBarActorCppCommand(vtkScalarBarActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkScalarBarActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkScalarBarActorCppCommand(static_cast<vtkScalarBarActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkScalarBarActorCppCommand(vtkScalarBarActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkScalarBarActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkScalarBarActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarBarActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkScalarBarActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarBarActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkScalarBarActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarBarActor");
    return TCL_OK;
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetUseOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseOpacity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseOpacity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseOpacityOn",argv[1]))&&(argc == 2))
    {
    op->UseOpacityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseOpacityOff",argv[1]))&&(argc == 2))
    {
    op->UseOpacityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfColors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfColors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfColorsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfColorsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfColorsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfColorsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumNumberOfColors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfColors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfLabelsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabelsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToHorizontal",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToHorizontal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOrientationToVertical",argv[1]))&&(argc == 2))
    {
    op->SetOrientationToVertical();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetComponentTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetComponentTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComponentTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetComponentTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTextureGridWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTextureGridWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureGridWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTextureGridWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextureActor",argv[1]))&&(argc == 2))
    {
    vtkActor2D  *temp20;
    temp20 = (op)->GetTextureActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetTextPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTextPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextPositionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextPositionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextPositionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextPositionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTextPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTextPositionToPrecedeScalarBar",argv[1]))&&(argc == 2))
    {
    op->SetTextPositionToPrecedeScalarBar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTextPositionToSucceedScalarBar",argv[1]))&&(argc == 2))
    {
    op->SetTextPositionToSucceedScalarBar();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumWidthInPixels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumWidthInPixels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumWidthInPixels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumWidthInPixels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumHeightInPixels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumHeightInPixels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumHeightInPixels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumHeightInPixels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawBackground",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawBackground(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawBackground",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawBackground();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawBackgroundOn",argv[1]))&&(argc == 2))
    {
    op->DrawBackgroundOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawBackgroundOff",argv[1]))&&(argc == 2))
    {
    op->DrawBackgroundOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawFrame",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawFrame(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawFrame",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawFrame();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawFrameOn",argv[1]))&&(argc == 2))
    {
    op->DrawFrameOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawFrameOff",argv[1]))&&(argc == 2))
    {
    op->DrawFrameOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty2D  *temp0;
    error = 0;

    temp0 = (vtkProperty2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty2D"),interp,error));
    if (!error)
    {
    op->SetBackgroundProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty2D  *temp20;
    temp20 = (op)->GetBackgroundProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
    }
  if ((!strcmp("SetFrameProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty2D  *temp0;
    error = 0;

    temp0 = (vtkProperty2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty2D"),interp,error));
    if (!error)
    {
    op->SetFrameProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrameProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty2D  *temp20;
    temp20 = (op)->GetFrameProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty2D");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkScalarBarActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkScalarBarActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetUseOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseOpacity\n",NULL);
    Tcl_AppendResult(interp,"  UseOpacityOn\n",NULL);
    Tcl_AppendResult(interp,"  UseOpacityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfColors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfColorsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfColorsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfColors\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToHorizontal\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientationToVertical\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetComponentTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComponentTitle\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureGridWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureGridWidth\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureActor\n",NULL);
    Tcl_AppendResult(interp,"  SetTextPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextPositionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextPositionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTextPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetTextPositionToPrecedeScalarBar\n",NULL);
    Tcl_AppendResult(interp,"  SetTextPositionToSucceedScalarBar\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumWidthInPixels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumWidthInPixels\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumHeightInPixels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumHeightInPixels\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawBackground\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawBackground\n",NULL);
    Tcl_AppendResult(interp,"  DrawBackgroundOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawBackgroundOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawFrame\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawFrame\n",NULL);
    Tcl_AppendResult(interp,"  DrawFrameOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawFrameOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetFrameProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrameProperty\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetUseOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetUseOpacity" );
    Tcl_DStringAppendElement ( &dString, "UseOpacityOn" );
    Tcl_DStringAppendElement ( &dString, "UseOpacityOff" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfColors" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColorsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColorsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColors" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToHorizontal" );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToVertical" );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "SetComponentTitle" );
    Tcl_DStringAppendElement ( &dString, "GetComponentTitle" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "SetTextureGridWidth" );
    Tcl_DStringAppendElement ( &dString, "GetTextureGridWidth" );
    Tcl_DStringAppendElement ( &dString, "GetTextureActor" );
    Tcl_DStringAppendElement ( &dString, "SetTextPosition" );
    Tcl_DStringAppendElement ( &dString, "GetTextPositionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextPositionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTextPosition" );
    Tcl_DStringAppendElement ( &dString, "SetTextPositionToPrecedeScalarBar" );
    Tcl_DStringAppendElement ( &dString, "SetTextPositionToSucceedScalarBar" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumWidthInPixels" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumWidthInPixels" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumHeightInPixels" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumHeightInPixels" );
    Tcl_DStringAppendElement ( &dString, "SetDrawBackground" );
    Tcl_DStringAppendElement ( &dString, "GetDrawBackground" );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOn" );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawFrame" );
    Tcl_DStringAppendElement ( &dString, "GetDrawFrame" );
    Tcl_DStringAppendElement ( &dString, "DrawFrameOn" );
    Tcl_DStringAppendElement ( &dString, "DrawFrameOff" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundProperty" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundProperty" );
    Tcl_DStringAppendElement ( &dString, "SetFrameProperty" );
    Tcl_DStringAppendElement ( &dString, "GetFrameProperty" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with 64 maximum colors; 5 labels; %%-#6.3g label\n format, no title, and vertical orientation. The initial scalar bar\n size is (0.05 x 0.8) of the viewport size.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkScalarBarActor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the scalar bar and annotation text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the scalar bar and annotation text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw the scalar bar and annotation text to the screen.\n" );
    Tcl_DStringAppendElement ( &dString, "int RenderOverlay(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Does this prop have some translucent polygonal geometry?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vtkLookupTable to use. The lookup table specifies the number\n of colors to use in the table (if not overridden), as well as the scalar\n range.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLookupTable(vtkScalarsToColors *);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vtkLookupTable to use. The lookup table specifies the number\n of colors to use in the table (if not overridden), as well as the scalar\n range.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseOpacity */
    if ( strcmp ( argv[2], "SetUseOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseOpacity */
    Tcl_DStringAppendElement ( &dString, " Should be display the opacity as well. This is displayed by changing\n the opacity of the scalar bar in accordance with the opacity of the\n given color. For clarity, a texture grid is placed in the background\n if Opacity is ON. You might also want to play with SetTextureGridWith\n in that case. \\[Default: off\\]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseOpacity(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetUseOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseOpacity */
    if ( strcmp ( argv[2], "GetUseOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseOpacity */
    Tcl_DStringAppendElement ( &dString, " Should be display the opacity as well. This is displayed by changing\n the opacity of the scalar bar in accordance with the opacity of the\n given color. For clarity, a texture grid is placed in the background\n if Opacity is ON. You might also want to play with SetTextureGridWith\n in that case. \\[Default: off\\]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetUseOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseOpacityOn */
    if ( strcmp ( argv[2], "UseOpacityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseOpacityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseOpacityOn */
    Tcl_DStringAppendElement ( &dString, " Should be display the opacity as well. This is displayed by changing\n the opacity of the scalar bar in accordance with the opacity of the\n given color. For clarity, a texture grid is placed in the background\n if Opacity is ON. You might also want to play with SetTextureGridWith\n in that case. \\[Default: off\\]\n" );
    Tcl_DStringAppendElement ( &dString, "void UseOpacityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for UseOpacityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseOpacityOff */
    if ( strcmp ( argv[2], "UseOpacityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseOpacityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseOpacityOff */
    Tcl_DStringAppendElement ( &dString, " Should be display the opacity as well. This is displayed by changing\n the opacity of the scalar bar in accordance with the opacity of the\n given color. For clarity, a texture grid is placed in the background\n if Opacity is ON. You might also want to play with SetTextureGridWith\n in that case. \\[Default: off\\]\n" );
    Tcl_DStringAppendElement ( &dString, "void UseOpacityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for UseOpacityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfColors */
    if ( strcmp ( argv[2], "SetMaximumNumberOfColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfColors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of scalar bar segments to show. This may\n differ from the number of colors in the lookup table, in which case\n the colors are samples from the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfColors(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetMaximumNumberOfColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfColorsMinValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfColorsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColorsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfColorsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of scalar bar segments to show. This may\n differ from the number of colors in the lookup table, in which case\n the colors are samples from the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfColorsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetMaximumNumberOfColorsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfColorsMaxValue */
    if ( strcmp ( argv[2], "GetMaximumNumberOfColorsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColorsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfColorsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of scalar bar segments to show. This may\n differ from the number of colors in the lookup table, in which case\n the colors are samples from the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfColorsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetMaximumNumberOfColorsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfColors */
    if ( strcmp ( argv[2], "GetMaximumNumberOfColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfColors */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of scalar bar segments to show. This may\n differ from the number of colors in the lookup table, in which case\n the colors are samples from the lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfColors();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetMaximumNumberOfColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfLabels */
    if ( strcmp ( argv[2], "SetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfLabels(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabelsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfLabelsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabelsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetNumberOfLabelsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabelsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfLabelsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabelsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetNumberOfLabelsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabels */
    if ( strcmp ( argv[2], "GetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientation */
    if ( strcmp ( argv[2], "SetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientation */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientation(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationMinValue */
    if ( strcmp ( argv[2], "GetOrientationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetOrientationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientationMaxValue */
    if ( strcmp ( argv[2], "GetOrientationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetOrientationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientation */
    if ( strcmp ( argv[2], "GetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientation */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOrientation();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationToHorizontal */
    if ( strcmp ( argv[2], "SetOrientationToHorizontal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToHorizontal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationToHorizontal */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationToHorizontal();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetOrientationToHorizontal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientationToVertical */
    if ( strcmp ( argv[2], "SetOrientationToVertical" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientationToVertical" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientationToVertical */
    Tcl_DStringAppendElement ( &dString, " Control the orientation of the scalar bar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientationToVertical();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetOrientationToVertical */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleTextProperty */
    if ( strcmp ( argv[2], "SetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleTextProperty */
    if ( strcmp ( argv[2], "GetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTitleTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelTextProperty */
    if ( strcmp ( argv[2], "SetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelTextProperty */
    if ( strcmp ( argv[2], "GetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the scalar\n bar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFormat(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the scalar\n bar.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitle */
    if ( strcmp ( argv[2], "SetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the scalar bar actor,\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitle(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the scalar bar actor,\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComponentTitle */
    if ( strcmp ( argv[2], "SetComponentTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComponentTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComponentTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title for the component that is selected,\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComponentTitle(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetComponentTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponentTitle */
    if ( strcmp ( argv[2], "GetComponentTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponentTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponentTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title for the component that is selected,\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetComponentTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetComponentTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of a scalar bar actor. Overloads the virtual vtkProp method.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureGridWidth */
    if ( strcmp ( argv[2], "SetTextureGridWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureGridWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureGridWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the texture grid. Used only if UseOpacity is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextureGridWidth(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTextureGridWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureGridWidth */
    if ( strcmp ( argv[2], "GetTextureGridWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureGridWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureGridWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the texture grid. Used only if UseOpacity is ON.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTextureGridWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextureGridWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureActor */
    if ( strcmp ( argv[2], "GetTextureActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureActor */
    Tcl_DStringAppendElement ( &dString, " Get the texture actor.. you may want to change some properties on it\n" );
    Tcl_DStringAppendElement ( &dString, "vtkActor2D *GetTextureActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextureActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextPosition */
    if ( strcmp ( argv[2], "SetTextPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextPosition */
    Tcl_DStringAppendElement ( &dString, " Have the text preceding the scalar bar or suceeding it ?\n Succeed implies the that the text is Above scalar bar if orientation \n is horizontal or Right of scalar bar if orientation is vertical.\n Precede is the opposite\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextPosition(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTextPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextPositionMinValue */
    if ( strcmp ( argv[2], "GetTextPositionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextPositionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextPositionMinValue */
    Tcl_DStringAppendElement ( &dString, " Have the text preceding the scalar bar or suceeding it ?\n Succeed implies the that the text is Above scalar bar if orientation \n is horizontal or Right of scalar bar if orientation is vertical.\n Precede is the opposite\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextPositionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextPositionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextPositionMaxValue */
    if ( strcmp ( argv[2], "GetTextPositionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextPositionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextPositionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Have the text preceding the scalar bar or suceeding it ?\n Succeed implies the that the text is Above scalar bar if orientation \n is horizontal or Right of scalar bar if orientation is vertical.\n Precede is the opposite\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextPositionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextPositionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextPosition */
    if ( strcmp ( argv[2], "GetTextPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextPosition */
    Tcl_DStringAppendElement ( &dString, " Have the text preceding the scalar bar or suceeding it ?\n Succeed implies the that the text is Above scalar bar if orientation \n is horizontal or Right of scalar bar if orientation is vertical.\n Precede is the opposite\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetTextPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextPositionToPrecedeScalarBar */
    if ( strcmp ( argv[2], "SetTextPositionToPrecedeScalarBar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextPositionToPrecedeScalarBar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextPositionToPrecedeScalarBar */
    Tcl_DStringAppendElement ( &dString, " Have the text preceding the scalar bar or suceeding it ?\n Succeed implies the that the text is Above scalar bar if orientation \n is horizontal or Right of scalar bar if orientation is vertical.\n Precede is the opposite\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextPositionToPrecedeScalarBar();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTextPositionToPrecedeScalarBar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextPositionToSucceedScalarBar */
    if ( strcmp ( argv[2], "SetTextPositionToSucceedScalarBar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextPositionToSucceedScalarBar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextPositionToSucceedScalarBar */
    Tcl_DStringAppendElement ( &dString, " Have the text preceding the scalar bar or suceeding it ?\n Succeed implies the that the text is Above scalar bar if orientation \n is horizontal or Right of scalar bar if orientation is vertical.\n Precede is the opposite\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextPositionToSucceedScalarBar();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetTextPositionToSucceedScalarBar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumWidthInPixels */
    if ( strcmp ( argv[2], "SetMaximumWidthInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumWidthInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumWidthInPixels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum width and height in pixels. Specifying the size as\n a relative fraction of the viewport can sometimes undersirably strech \n the size of the actor too much. These methods allow the user to set \n bounds on the maximum size of the scalar bar in pixels along any \n direction. Defaults to unbounded.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumWidthInPixels(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetMaximumWidthInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumWidthInPixels */
    if ( strcmp ( argv[2], "GetMaximumWidthInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumWidthInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumWidthInPixels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum width and height in pixels. Specifying the size as\n a relative fraction of the viewport can sometimes undersirably strech \n the size of the actor too much. These methods allow the user to set \n bounds on the maximum size of the scalar bar in pixels along any \n direction. Defaults to unbounded.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumWidthInPixels();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetMaximumWidthInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumHeightInPixels */
    if ( strcmp ( argv[2], "SetMaximumHeightInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumHeightInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumHeightInPixels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum width and height in pixels. Specifying the size as\n a relative fraction of the viewport can sometimes undersirably strech \n the size of the actor too much. These methods allow the user to set \n bounds on the maximum size of the scalar bar in pixels along any \n direction. Defaults to unbounded.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumHeightInPixels(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetMaximumHeightInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumHeightInPixels */
    if ( strcmp ( argv[2], "GetMaximumHeightInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumHeightInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumHeightInPixels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum width and height in pixels. Specifying the size as\n a relative fraction of the viewport can sometimes undersirably strech \n the size of the actor too much. These methods allow the user to set \n bounds on the maximum size of the scalar bar in pixels along any \n direction. Defaults to unbounded.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumHeightInPixels();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetMaximumHeightInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawBackground */
    if ( strcmp ( argv[2], "SetDrawBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a background should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawBackground(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetDrawBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawBackground */
    if ( strcmp ( argv[2], "GetDrawBackground" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawBackground" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawBackground */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a background should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawBackground();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetDrawBackground */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawBackgroundOn */
    if ( strcmp ( argv[2], "DrawBackgroundOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawBackgroundOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a background should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawBackgroundOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawBackgroundOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawBackgroundOff */
    if ( strcmp ( argv[2], "DrawBackgroundOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawBackgroundOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawBackgroundOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a background should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawBackgroundOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawBackgroundOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawFrame */
    if ( strcmp ( argv[2], "SetDrawFrame" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawFrame" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawFrame */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a frame should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawFrame(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetDrawFrame */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawFrame */
    if ( strcmp ( argv[2], "GetDrawFrame" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawFrame" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawFrame */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a frame should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawFrame();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetDrawFrame */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawFrameOn */
    if ( strcmp ( argv[2], "DrawFrameOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawFrameOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawFrameOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a frame should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawFrameOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawFrameOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawFrameOff */
    if ( strcmp ( argv[2], "DrawFrameOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawFrameOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawFrameOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether a frame should be drawn around the scalar bar.\n Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawFrameOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for DrawFrameOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundProperty */
    if ( strcmp ( argv[2], "SetBackgroundProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBackgroundProperty(vtkProperty2D *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetBackgroundProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundProperty */
    if ( strcmp ( argv[2], "GetBackgroundProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the background property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D *GetBackgroundProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetBackgroundProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrameProperty */
    if ( strcmp ( argv[2], "SetFrameProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrameProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrameProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the frame property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFrameProperty(vtkProperty2D *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for SetFrameProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrameProperty */
    if ( strcmp ( argv[2], "GetFrameProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrameProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrameProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the frame property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty2D *GetFrameProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarBarActor" );
    /* Closing for GetFrameProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
