// tcl wrapper for vtkShaderProgram object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShaderProgram.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkShaderProgramCppCommand(vtkShaderProgram *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkShaderProgramCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkShaderProgramCppCommand(static_cast<vtkShaderProgram *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkShaderProgramCppCommand(vtkShaderProgram *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkShaderProgram",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkShaderProgram  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkShaderProgram");
    return TCL_OK;
    }
  if ((!strcmp("GetMaterial",argv[1]))&&(argc == 2))
    {
    vtkXMLMaterial  *temp20;
    temp20 = (op)->GetMaterial();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLMaterial");
    return TCL_OK;
    }
  if ((!strcmp("SetMaterial",argv[1]))&&(argc == 3))
    {
    vtkXMLMaterial  *temp0;
    error = 0;

    temp0 = (vtkXMLMaterial *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkXMLMaterial"),interp,error));
    if (!error)
    {
    op->SetMaterial(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddShader",argv[1]))&&(argc == 3))
    {
    vtkShader  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkShader *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkShader"),interp,error));
    if (!error)
    {
    temp20 = (op)->AddShader(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveShader",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->RemoveShader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveShader",argv[1]))&&(argc == 3))
    {
    vtkShader  *temp0;
    error = 0;

    temp0 = (vtkShader *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkShader"),interp,error));
    if (!error)
    {
    op->RemoveShader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewShaderIterator",argv[1]))&&(argc == 2))
    {
    vtkCollectionIterator  *temp20;
    temp20 = (op)->NewShaderIterator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCollectionIterator");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfShaders",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfShaders();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CreateShaderProgram",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkShaderProgram  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->CreateShaderProgram(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkShaderProgram");
    return TCL_OK;
    }
    }
  if ((!strcmp("ReadMaterial",argv[1]))&&(argc == 2))
    {
    op->ReadMaterial();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkActor  *temp0;
    vtkRenderer  *temp1;
    error = 0;

    temp0 = (vtkActor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkActor"),interp,error));
    temp1 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PostRender",argv[1]))&&(argc == 4))
    {
    vtkActor  *temp0;
    vtkRenderer  *temp1;
    error = 0;

    temp0 = (vtkActor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkActor"),interp,error));
    temp1 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->PostRender(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShaderDeviceAdapter",argv[1]))&&(argc == 2))
    {
    vtkShaderDeviceAdapter  *temp20;
    temp20 = (op)->GetShaderDeviceAdapter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkShaderDeviceAdapter");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkShaderProgramCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkShaderProgram:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterial\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterial\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddShader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveShader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveShader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewShaderIterator\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfShaders\n",NULL);
    Tcl_AppendResult(interp,"  CreateShaderProgram\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReadMaterial\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PostRender\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShaderDeviceAdapter\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetMaterial" );
    Tcl_DStringAppendElement ( &dString, "SetMaterial" );
    Tcl_DStringAppendElement ( &dString, "AddShader" );
    Tcl_DStringAppendElement ( &dString, "RemoveShader" );
    Tcl_DStringAppendElement ( &dString, "RemoveShader" );
    Tcl_DStringAppendElement ( &dString, "NewShaderIterator" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfShaders" );
    Tcl_DStringAppendElement ( &dString, "CreateShaderProgram" );
    Tcl_DStringAppendElement ( &dString, "ReadMaterial" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "PostRender" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetShaderDeviceAdapter" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterial */
    if ( strcmp ( argv[2], "GetMaterial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterial */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial *GetMaterial();" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for GetMaterial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterial */
    if ( strcmp ( argv[2], "SetMaterial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkXMLMaterial" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterial */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMaterial(vtkXMLMaterial *);" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for SetMaterial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddShader */
    if ( strcmp ( argv[2], "AddShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddShader */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int AddShader(vtkShader *shader);" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for AddShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveShader */
    if ( strcmp ( argv[2], "RemoveShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveShader */
    Tcl_DStringAppendElement ( &dString, " Remove a shader at the given index.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveShader(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for RemoveShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveShader */
    if ( strcmp ( argv[2], "RemoveShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveShader */
    Tcl_DStringAppendElement ( &dString, " Removes the given shader.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveShader(vtkShader *shader);" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for RemoveShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewShaderIterator */
    if ( strcmp ( argv[2], "NewShaderIterator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewShaderIterator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewShaderIterator */
    Tcl_DStringAppendElement ( &dString, " Returns a new iterator to iterate over the shaders.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCollectionIterator *NewShaderIterator();" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for NewShaderIterator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfShaders */
    if ( strcmp ( argv[2], "GetNumberOfShaders" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfShaders" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfShaders */
    Tcl_DStringAppendElement ( &dString, " Returns the number of shaders available in this\n shader program.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfShaders();" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for GetNumberOfShaders */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateShaderProgram */
    if ( strcmp ( argv[2], "CreateShaderProgram" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateShaderProgram" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateShaderProgram */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkShaderProgram *CreateShaderProgram(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for CreateShaderProgram */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReadMaterial */
    if ( strcmp ( argv[2], "ReadMaterial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReadMaterial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReadMaterial */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReadMaterial();" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for ReadMaterial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render(vtkActor *, vtkRenderer *) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PostRender */
    if ( strcmp ( argv[2], "PostRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PostRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PostRender */
    Tcl_DStringAppendElement ( &dString, " Called to unload the shaders after the actor has been rendered.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PostRender(vtkActor *, vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for PostRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaderDeviceAdapter */
    if ( strcmp ( argv[2], "GetShaderDeviceAdapter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaderDeviceAdapter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaderDeviceAdapter */
    Tcl_DStringAppendElement ( &dString, " Get the vtkShaderDeviceAdapter which can be used to execute this\n shader program.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderDeviceAdapter *GetShaderDeviceAdapter();" );
    Tcl_DStringAppendElement ( &dString, "vtkShaderProgram" );
    /* Closing for GetShaderDeviceAdapter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
