// tcl wrapper for vtkShader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkShader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkShaderCppCommand(vtkShader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkShaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkShaderCppCommand(static_cast<vtkShader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkShaderCppCommand(vtkShader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkShader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkShader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkShader");
    return TCL_OK;
    }
  if ((!strcmp("Compile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->Compile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PassShaderVariables",argv[1]))&&(argc == 4))
    {
    vtkActor  *temp0;
    vtkRenderer  *temp1;
    error = 0;

    temp0 = (vtkActor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkActor"),interp,error));
    temp1 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->PassShaderVariables(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Bind",argv[1]))&&(argc == 2))
    {
    op->Bind();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Unbind",argv[1]))&&(argc == 2))
    {
    op->Unbind();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXMLShader",argv[1]))&&(argc == 3))
    {
    vtkXMLShader  *temp0;
    error = 0;

    temp0 = (vtkXMLShader *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkXMLShader"),interp,error));
    if (!error)
    {
    op->SetXMLShader(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXMLShader",argv[1]))&&(argc == 2))
    {
    vtkXMLShader  *temp20;
    temp20 = (op)->GetXMLShader();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXMLShader");
    return TCL_OK;
    }
  if ((!strcmp("HasShaderVariable",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->HasShaderVariable(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShaderVariableSize",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetShaderVariableSize(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShaderVariableType",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetShaderVariableType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScope",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScope();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkShaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkShader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  Compile\n",NULL);
    Tcl_AppendResult(interp,"  PassShaderVariables\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Bind\n",NULL);
    Tcl_AppendResult(interp,"  Unbind\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetXMLShader\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXMLShader\n",NULL);
    Tcl_AppendResult(interp,"  HasShaderVariable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShaderVariableSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShaderVariableType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScope\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "Compile" );
    Tcl_DStringAppendElement ( &dString, "PassShaderVariables" );
    Tcl_DStringAppendElement ( &dString, "Bind" );
    Tcl_DStringAppendElement ( &dString, "Unbind" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "SetXMLShader" );
    Tcl_DStringAppendElement ( &dString, "GetXMLShader" );
    Tcl_DStringAppendElement ( &dString, "HasShaderVariable" );
    Tcl_DStringAppendElement ( &dString, "GetShaderVariableSize" );
    Tcl_DStringAppendElement ( &dString, "GetShaderVariableType" );
    Tcl_DStringAppendElement ( &dString, "GetScope" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkShader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Compile */
    if ( strcmp ( argv[2], "Compile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Compile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Compile */
    Tcl_DStringAppendElement ( &dString, " Called to compile the shader code.\n The subclasses must only compile the code in this method.\n Returns if the compile was successful.\n Subclasses should compile the code only if it was not\n already compiled.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int Compile() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for Compile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PassShaderVariables */
    if ( strcmp ( argv[2], "PassShaderVariables" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PassShaderVariables" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkActor" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PassShaderVariables */
    Tcl_DStringAppendElement ( &dString, " Called to pass VTK actor/property/light values and other\n Shader variables over to the shader. This is called by the ShaderProgram\n during each render.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PassShaderVariables(vtkActor *actor, vtkRenderer *ren);" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for PassShaderVariables */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Bind */
    if ( strcmp ( argv[2], "Bind" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Bind" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Bind */
    Tcl_DStringAppendElement ( &dString, " In this method the shader can enable/bind itself. This is applicable\n only to Cg, since in GLSL, individual shaders in a program can't be \n enabled/bound.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Bind();" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for Bind */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Unbind */
    if ( strcmp ( argv[2], "Unbind" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Unbind" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Unbind */
    Tcl_DStringAppendElement ( &dString, " Called to unbind the shader. As with Bind(), this is only applicable\n to Cg.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Unbind();" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for Unbind */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXMLShader */
    if ( strcmp ( argv[2], "SetXMLShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXMLShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkXMLShader" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXMLShader */
    Tcl_DStringAppendElement ( &dString, " Get/Set the XMLShader representation for this shader.\n A shader is not valid without a XMLShader.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXMLShader(vtkXMLShader *);" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for SetXMLShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXMLShader */
    if ( strcmp ( argv[2], "GetXMLShader" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXMLShader" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXMLShader */
    Tcl_DStringAppendElement ( &dString, " Get/Set the XMLShader representation for this shader.\n A shader is not valid without a XMLShader.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkXMLShader *GetXMLShader();" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for GetXMLShader */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasShaderVariable */
    if ( strcmp ( argv[2], "HasShaderVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasShaderVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasShaderVariable */
    Tcl_DStringAppendElement ( &dString, " Indicates if a variable by the given name exists.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasShaderVariable(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for HasShaderVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaderVariableSize */
    if ( strcmp ( argv[2], "GetShaderVariableSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaderVariableSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaderVariableSize */
    Tcl_DStringAppendElement ( &dString, " Get number of elements in a Shader variable. Return 0 if\n failed to find the shader variable.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShaderVariableSize(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for GetShaderVariableSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShaderVariableType */
    if ( strcmp ( argv[2], "GetShaderVariableType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShaderVariableType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShaderVariableType */
    Tcl_DStringAppendElement ( &dString, " Returns the type of a Shader variable with the given name.\n Return 0 on error.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShaderVariableType(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for GetShaderVariableType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScope */
    if ( strcmp ( argv[2], "GetScope" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScope" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScope */
    Tcl_DStringAppendElement ( &dString, " Returns the scope of the shader i.e. if it's a vertex or fragment shader.\n (vtkXMLShader::SCOPE_VERTEX or vtkXMLShader::SCOPE_FRAGMENT).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScope();" );
    Tcl_DStringAppendElement ( &dString, "vtkShader" );
    /* Closing for GetScope */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
