// tcl wrapper for vtkTDxInteractorStyleSettings object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTDxInteractorStyleSettings.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTDxInteractorStyleSettingsNewCommand()
{
  vtkTDxInteractorStyleSettings *temp = vtkTDxInteractorStyleSettings::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTDxInteractorStyleSettingsCppCommand(vtkTDxInteractorStyleSettings *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTDxInteractorStyleSettingsCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTDxInteractorStyleSettingsCppCommand(static_cast<vtkTDxInteractorStyleSettings *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTDxInteractorStyleSettingsCppCommand(vtkTDxInteractorStyleSettings *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTDxInteractorStyleSettings",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTDxInteractorStyleSettings  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTDxInteractorStyleSettings");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTDxInteractorStyleSettings  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTDxInteractorStyleSettings");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTDxInteractorStyleSettings  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTDxInteractorStyleSettings");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAngleSensitivity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAngleSensitivity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAngleSensitivity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAngleSensitivity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseRotationX",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseRotationX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseRotationX",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseRotationX();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseRotationY",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseRotationY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseRotationY",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseRotationY();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseRotationZ",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseRotationZ(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseRotationZ",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseRotationZ();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTranslationXSensitivity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTranslationXSensitivity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslationXSensitivity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTranslationXSensitivity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTranslationYSensitivity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTranslationYSensitivity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslationYSensitivity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTranslationYSensitivity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTranslationZSensitivity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTranslationZSensitivity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslationZSensitivity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTranslationZSensitivity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTDxInteractorStyleSettingsCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTDxInteractorStyleSettings:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAngleSensitivity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAngleSensitivity\n",NULL);
    Tcl_AppendResult(interp,"  SetUseRotationX\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseRotationX\n",NULL);
    Tcl_AppendResult(interp,"  SetUseRotationY\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseRotationY\n",NULL);
    Tcl_AppendResult(interp,"  SetUseRotationZ\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseRotationZ\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslationXSensitivity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslationXSensitivity\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslationYSensitivity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslationYSensitivity\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslationZSensitivity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslationZSensitivity\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetAngleSensitivity" );
    Tcl_DStringAppendElement ( &dString, "GetAngleSensitivity" );
    Tcl_DStringAppendElement ( &dString, "SetUseRotationX" );
    Tcl_DStringAppendElement ( &dString, "GetUseRotationX" );
    Tcl_DStringAppendElement ( &dString, "SetUseRotationY" );
    Tcl_DStringAppendElement ( &dString, "GetUseRotationY" );
    Tcl_DStringAppendElement ( &dString, "SetUseRotationZ" );
    Tcl_DStringAppendElement ( &dString, "GetUseRotationZ" );
    Tcl_DStringAppendElement ( &dString, "SetTranslationXSensitivity" );
    Tcl_DStringAppendElement ( &dString, "GetTranslationXSensitivity" );
    Tcl_DStringAppendElement ( &dString, "SetTranslationYSensitivity" );
    Tcl_DStringAppendElement ( &dString, "GetTranslationYSensitivity" );
    Tcl_DStringAppendElement ( &dString, "SetTranslationZSensitivity" );
    Tcl_DStringAppendElement ( &dString, "GetTranslationZSensitivity" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTDxInteractorStyleSettings *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAngleSensitivity */
    if ( strcmp ( argv[2], "SetAngleSensitivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAngleSensitivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAngleSensitivity */
    Tcl_DStringAppendElement ( &dString, " Sensitivity of the rotation angle. This can be any value:\n positive, negative, null.\n - x<-1.0: faster reversed\n - x=-1.0: reversed neutral\n - -1.0<x<0.0:  reversed slower\n - x=0.0: no rotation\n - 0.0<x<1.0: slower\n - x=1.0: neutral\n - x>1.0: faster\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAngleSensitivity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for SetAngleSensitivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAngleSensitivity */
    if ( strcmp ( argv[2], "GetAngleSensitivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngleSensitivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngleSensitivity */
    Tcl_DStringAppendElement ( &dString, " Sensitivity of the rotation angle. This can be any value:\n positive, negative, null.\n - x<-1.0: faster reversed\n - x=-1.0: reversed neutral\n - -1.0<x<0.0:  reversed slower\n - x=0.0: no rotation\n - 0.0<x<1.0: slower\n - x=1.0: neutral\n - x>1.0: faster\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAngleSensitivity();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for GetAngleSensitivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseRotationX */
    if ( strcmp ( argv[2], "SetUseRotationX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseRotationX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseRotationX */
    Tcl_DStringAppendElement ( &dString, " Use or mask the rotation component around the X-axis. Initial value is\n true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseRotationX(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for SetUseRotationX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseRotationX */
    if ( strcmp ( argv[2], "GetUseRotationX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseRotationX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseRotationX */
    Tcl_DStringAppendElement ( &dString, " Use or mask the rotation component around the X-axis. Initial value is\n true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseRotationX();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for GetUseRotationX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseRotationY */
    if ( strcmp ( argv[2], "SetUseRotationY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseRotationY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseRotationY */
    Tcl_DStringAppendElement ( &dString, " Use or mask the rotation component around the Y-axis. Initial value is\n true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseRotationY(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for SetUseRotationY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseRotationY */
    if ( strcmp ( argv[2], "GetUseRotationY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseRotationY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseRotationY */
    Tcl_DStringAppendElement ( &dString, " Use or mask the rotation component around the Y-axis. Initial value is\n true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseRotationY();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for GetUseRotationY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseRotationZ */
    if ( strcmp ( argv[2], "SetUseRotationZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseRotationZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseRotationZ */
    Tcl_DStringAppendElement ( &dString, " Use or mask the rotation component around the Z-axis. Initial value is\n true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseRotationZ(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for SetUseRotationZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseRotationZ */
    if ( strcmp ( argv[2], "GetUseRotationZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseRotationZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseRotationZ */
    Tcl_DStringAppendElement ( &dString, " Use or mask the rotation component around the Z-axis. Initial value is\n true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseRotationZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for GetUseRotationZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslationXSensitivity */
    if ( strcmp ( argv[2], "SetTranslationXSensitivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslationXSensitivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslationXSensitivity */
    Tcl_DStringAppendElement ( &dString, " Sensitivity of the translation along the X-axis. This can be any value:\n positive, negative, null.\n - x<-1.0: faster reversed\n - x=-1.0: reversed neutral\n - -1.0<x<0.0:  reversed slower\n - x=0.0: no translation\n - 0.0<x<1.0: slower\n - x=1.0: neutral\n - x>1.0: faster\n Initial value is 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslationXSensitivity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for SetTranslationXSensitivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslationXSensitivity */
    if ( strcmp ( argv[2], "GetTranslationXSensitivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslationXSensitivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslationXSensitivity */
    Tcl_DStringAppendElement ( &dString, " Sensitivity of the translation along the X-axis. This can be any value:\n positive, negative, null.\n - x<-1.0: faster reversed\n - x=-1.0: reversed neutral\n - -1.0<x<0.0:  reversed slower\n - x=0.0: no translation\n - 0.0<x<1.0: slower\n - x=1.0: neutral\n - x>1.0: faster\n Initial value is 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTranslationXSensitivity();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for GetTranslationXSensitivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslationYSensitivity */
    if ( strcmp ( argv[2], "SetTranslationYSensitivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslationYSensitivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslationYSensitivity */
    Tcl_DStringAppendElement ( &dString, " Sensitivity of the translation along the Y-axis.\n See comment of SetTranslationXSensitivity().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslationYSensitivity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for SetTranslationYSensitivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslationYSensitivity */
    if ( strcmp ( argv[2], "GetTranslationYSensitivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslationYSensitivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslationYSensitivity */
    Tcl_DStringAppendElement ( &dString, " Sensitivity of the translation along the Y-axis.\n See comment of SetTranslationXSensitivity().\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTranslationYSensitivity();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for GetTranslationYSensitivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslationZSensitivity */
    if ( strcmp ( argv[2], "SetTranslationZSensitivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslationZSensitivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslationZSensitivity */
    Tcl_DStringAppendElement ( &dString, " Sensitivity of the translation along the Z-axis.\n See comment of SetTranslationXSensitivity().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslationZSensitivity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for SetTranslationZSensitivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslationZSensitivity */
    if ( strcmp ( argv[2], "GetTranslationZSensitivity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslationZSensitivity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslationZSensitivity */
    Tcl_DStringAppendElement ( &dString, " Sensitivity of the translation along the Z-axis.\n See comment of SetTranslationXSensitivity().\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTranslationZSensitivity();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    /* Closing for GetTranslationZSensitivity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
