// tcl wrapper for vtkTDxInteractorStyle object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTDxInteractorStyle.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTDxInteractorStyleCppCommand(vtkTDxInteractorStyle *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTDxInteractorStyleCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTDxInteractorStyleCppCommand(static_cast<vtkTDxInteractorStyle *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTDxInteractorStyleCppCommand(vtkTDxInteractorStyle *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTDxInteractorStyle",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTDxInteractorStyle  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTDxInteractorStyle");
    return TCL_OK;
    }
  if ((!strcmp("OnMotionEvent",argv[1]))&&(argc == 3))
    {
    vtkTDxMotionEventInfo  *temp0;
    error = 0;

    temp0 = (vtkTDxMotionEventInfo *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTDxMotionEventInfo"),interp,error));
    if (!error)
    {
    op->OnMotionEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OnButtonPressedEvent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->OnButtonPressedEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("OnButtonReleasedEvent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->OnButtonReleasedEvent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSettings",argv[1]))&&(argc == 2))
    {
    vtkTDxInteractorStyleSettings  *temp20;
    temp20 = (op)->GetSettings();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTDxInteractorStyleSettings");
    return TCL_OK;
    }
  if ((!strcmp("SetSettings",argv[1]))&&(argc == 3))
    {
    vtkTDxInteractorStyleSettings  *temp0;
    error = 0;

    temp0 = (vtkTDxInteractorStyleSettings *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTDxInteractorStyleSettings"),interp,error));
    if (!error)
    {
    op->SetSettings(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTDxInteractorStyleCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTDxInteractorStyle:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  OnMotionEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OnButtonPressedEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  OnButtonReleasedEvent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSettings\n",NULL);
    Tcl_AppendResult(interp,"  SetSettings\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "OnMotionEvent" );
    Tcl_DStringAppendElement ( &dString, "OnButtonPressedEvent" );
    Tcl_DStringAppendElement ( &dString, "OnButtonReleasedEvent" );
    Tcl_DStringAppendElement ( &dString, "GetSettings" );
    Tcl_DStringAppendElement ( &dString, "SetSettings" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMotionEvent */
    if ( strcmp ( argv[2], "OnMotionEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMotionEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTDxMotionEventInfo" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMotionEvent */
    Tcl_DStringAppendElement ( &dString, " Action on motion event. Default implementation is empty.\n \\pre: motionInfo_exist: motionInfo!=0\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnMotionEvent(vtkTDxMotionEventInfo *motionInfo);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle" );
    /* Closing for OnMotionEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnButtonPressedEvent */
    if ( strcmp ( argv[2], "OnButtonPressedEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnButtonPressedEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnButtonPressedEvent */
    Tcl_DStringAppendElement ( &dString, " Action on button pressed event. Default implementation is empty.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnButtonPressedEvent(int button);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle" );
    /* Closing for OnButtonPressedEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnButtonReleasedEvent */
    if ( strcmp ( argv[2], "OnButtonReleasedEvent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnButtonReleasedEvent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnButtonReleasedEvent */
    Tcl_DStringAppendElement ( &dString, " Action on button released event. Default implementation is empty.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void OnButtonReleasedEvent(int button);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle" );
    /* Closing for OnButtonReleasedEvent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSettings */
    if ( strcmp ( argv[2], "GetSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSettings */
    Tcl_DStringAppendElement ( &dString, " 3Dconnexion device settings. (sensitivity, individual axis filters).\n Initial object is not null.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings *GetSettings();" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle" );
    /* Closing for GetSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSettings */
    if ( strcmp ( argv[2], "SetSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyleSettings" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSettings */
    Tcl_DStringAppendElement ( &dString, " 3Dconnexion device settings. (sensitivity, individual axis filters).\n Initial object is not null.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSettings(vtkTDxInteractorStyleSettings *settings);" );
    Tcl_DStringAppendElement ( &dString, "vtkTDxInteractorStyle" );
    /* Closing for SetSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
