// tcl wrapper for vtkTesting object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTesting.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTestingNewCommand()
{
  vtkTesting *temp = vtkTesting::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTestingCppCommand(vtkTesting *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTestingCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTestingCppCommand(static_cast<vtkTesting *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTestingCppCommand(vtkTesting *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTesting",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTesting  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTesting");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTesting  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTesting");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTesting  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTesting");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFrontBuffer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFrontBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFrontBufferMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFrontBufferMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFrontBufferMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFrontBufferMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FrontBufferOn",argv[1]))&&(argc == 2))
    {
    op->FrontBufferOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FrontBufferOff",argv[1]))&&(argc == 2))
    {
    op->FrontBufferOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFrontBuffer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFrontBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RegressionTest",argv[1]))&&(argc == 3))
    {
    double   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->RegressionTest(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RegressionTest",argv[1]))&&(argc == 4))
    {
    vtkImageData  *temp0;
    double   temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->RegressionTest(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CompareAverageOfL2Norm",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    vtkDataSet  *temp1;
    double   temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    temp1 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->CompareAverageOfL2Norm(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CompareAverageOfL2Norm",argv[1]))&&(argc == 5))
    {
    vtkDataArray  *temp0;
    vtkDataArray  *temp1;
    double   temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    temp1 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkDataArray"),interp,error));
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->CompareAverageOfL2Norm(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SetValidImageFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetValidImageFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValidImageFileName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetValidImageFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetImageDifference",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetImageDifference();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddArgument",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddArgument(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArgument",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetArgument(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("CleanArguments",argv[1]))&&(argc == 2))
    {
    op->CleanArguments();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataRoot",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataRoot();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataRoot",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDataRoot(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTempDirectory",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetTempDirectory();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTempDirectory",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTempDirectory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsValidImageSpecified",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsValidImageSpecified();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsInteractiveModeSpecified",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsInteractiveModeSpecified();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsFlagSpecified",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsFlagSpecified(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBorderOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorderOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorderOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVerbose",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVerbose(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVerbose",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVerbose();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTestingCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTesting:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFrontBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFrontBufferMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFrontBufferMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  FrontBufferOn\n",NULL);
    Tcl_AppendResult(interp,"  FrontBufferOff\n",NULL);
    Tcl_AppendResult(interp,"  GetFrontBuffer\n",NULL);
    Tcl_AppendResult(interp,"  RegressionTest\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RegressionTest\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CompareAverageOfL2Norm\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CompareAverageOfL2Norm\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetValidImageFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValidImageFileName\n",NULL);
    Tcl_AppendResult(interp,"  GetImageDifference\n",NULL);
    Tcl_AppendResult(interp,"  AddArgument\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArgument\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CleanArguments\n",NULL);
    Tcl_AppendResult(interp,"  GetDataRoot\n",NULL);
    Tcl_AppendResult(interp,"  SetDataRoot\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTempDirectory\n",NULL);
    Tcl_AppendResult(interp,"  SetTempDirectory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsValidImageSpecified\n",NULL);
    Tcl_AppendResult(interp,"  IsInteractiveModeSpecified\n",NULL);
    Tcl_AppendResult(interp,"  IsFlagSpecified\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetVerbose\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVerbose\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetFrontBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetFrontBufferMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFrontBufferMaxValue" );
    Tcl_DStringAppendElement ( &dString, "FrontBufferOn" );
    Tcl_DStringAppendElement ( &dString, "FrontBufferOff" );
    Tcl_DStringAppendElement ( &dString, "GetFrontBuffer" );
    Tcl_DStringAppendElement ( &dString, "RegressionTest" );
    Tcl_DStringAppendElement ( &dString, "RegressionTest" );
    Tcl_DStringAppendElement ( &dString, "CompareAverageOfL2Norm" );
    Tcl_DStringAppendElement ( &dString, "CompareAverageOfL2Norm" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "SetValidImageFileName" );
    Tcl_DStringAppendElement ( &dString, "GetValidImageFileName" );
    Tcl_DStringAppendElement ( &dString, "GetImageDifference" );
    Tcl_DStringAppendElement ( &dString, "AddArgument" );
    Tcl_DStringAppendElement ( &dString, "GetArgument" );
    Tcl_DStringAppendElement ( &dString, "CleanArguments" );
    Tcl_DStringAppendElement ( &dString, "GetDataRoot" );
    Tcl_DStringAppendElement ( &dString, "SetDataRoot" );
    Tcl_DStringAppendElement ( &dString, "GetTempDirectory" );
    Tcl_DStringAppendElement ( &dString, "SetTempDirectory" );
    Tcl_DStringAppendElement ( &dString, "IsValidImageSpecified" );
    Tcl_DStringAppendElement ( &dString, "IsInteractiveModeSpecified" );
    Tcl_DStringAppendElement ( &dString, "IsFlagSpecified" );
    Tcl_DStringAppendElement ( &dString, "SetBorderOffset" );
    Tcl_DStringAppendElement ( &dString, "GetBorderOffset" );
    Tcl_DStringAppendElement ( &dString, "SetVerbose" );
    Tcl_DStringAppendElement ( &dString, "GetVerbose" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTesting *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFrontBuffer */
    if ( strcmp ( argv[2], "SetFrontBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFrontBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFrontBuffer */
    Tcl_DStringAppendElement ( &dString, " Use front buffer for tests. By default use back buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFrontBuffer(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for SetFrontBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrontBufferMinValue */
    if ( strcmp ( argv[2], "GetFrontBufferMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrontBufferMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrontBufferMinValue */
    Tcl_DStringAppendElement ( &dString, " Use front buffer for tests. By default use back buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFrontBufferMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetFrontBufferMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrontBufferMaxValue */
    if ( strcmp ( argv[2], "GetFrontBufferMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrontBufferMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrontBufferMaxValue */
    Tcl_DStringAppendElement ( &dString, " Use front buffer for tests. By default use back buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFrontBufferMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetFrontBufferMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FrontBufferOn */
    if ( strcmp ( argv[2], "FrontBufferOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FrontBufferOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FrontBufferOn */
    Tcl_DStringAppendElement ( &dString, " Use front buffer for tests. By default use back buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "void FrontBufferOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for FrontBufferOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FrontBufferOff */
    if ( strcmp ( argv[2], "FrontBufferOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FrontBufferOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FrontBufferOff */
    Tcl_DStringAppendElement ( &dString, " Use front buffer for tests. By default use back buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "void FrontBufferOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for FrontBufferOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFrontBuffer */
    if ( strcmp ( argv[2], "GetFrontBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFrontBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFrontBuffer */
    Tcl_DStringAppendElement ( &dString, " Use front buffer for tests. By default use back buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFrontBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetFrontBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RegressionTest */
    if ( strcmp ( argv[2], "RegressionTest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RegressionTest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RegressionTest */
    Tcl_DStringAppendElement ( &dString, " Perform the test and return result. At the same time the output will be\n written cout\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RegressionTest(double thresh);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for RegressionTest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RegressionTest */
    if ( strcmp ( argv[2], "RegressionTest" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RegressionTest" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RegressionTest */
    Tcl_DStringAppendElement ( &dString, " Compare the image with the valid image.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RegressionTest(vtkImageData *image, double thresh);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for RegressionTest */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CompareAverageOfL2Norm */
    if ( strcmp ( argv[2], "CompareAverageOfL2Norm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CompareAverageOfL2Norm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CompareAverageOfL2Norm */
    Tcl_DStringAppendElement ( &dString, " Compute the average L2 norm between all point data data arrays \n of types float and double present in the data sets \"dsA\" and \"dsB\"\n (this includes instances of vtkPoints) Compare the result of \n each L2 comutation to \"tol\".\n" );
    Tcl_DStringAppendElement ( &dString, "int CompareAverageOfL2Norm(vtkDataSet *pdA, vtkDataSet *pdB, double tol);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for CompareAverageOfL2Norm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CompareAverageOfL2Norm */
    if ( strcmp ( argv[2], "CompareAverageOfL2Norm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CompareAverageOfL2Norm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CompareAverageOfL2Norm */
    Tcl_DStringAppendElement ( &dString, " Compute the average L2 norm between two data arrays \"daA\" and \"daB\" \n and compare against \"tol\".\n" );
    Tcl_DStringAppendElement ( &dString, "int CompareAverageOfL2Norm(vtkDataArray *daA, vtkDataArray *daB, double tol);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for CompareAverageOfL2Norm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set and get the render window that will be used for regression testing.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderWindow(vtkRenderWindow *rw);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set and get the render window that will be used for regression testing.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValidImageFileName */
    if ( strcmp ( argv[2], "SetValidImageFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValidImageFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValidImageFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the valid image file\n" );
    Tcl_DStringAppendElement ( &dString, "void SetValidImageFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for SetValidImageFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValidImageFileName */
    if ( strcmp ( argv[2], "GetValidImageFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValidImageFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValidImageFileName */
    Tcl_DStringAppendElement ( &dString, " Set/Get the name of the valid image file\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetValidImageFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetValidImageFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageDifference */
    if ( strcmp ( argv[2], "GetImageDifference" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageDifference" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageDifference */
    Tcl_DStringAppendElement ( &dString, " Get the image difference.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetImageDifference();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetImageDifference */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddArgument */
    if ( strcmp ( argv[2], "AddArgument" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddArgument" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddArgument */
    Tcl_DStringAppendElement ( &dString, " Pass the command line arguments into this class to be processed. Many of\n the Get methods such as GetValidImage and GetBaselineRoot rely on the\n arguments to be passed in prior to retrieving these values. Just call\n AddArgument for each argument that was passed into the command line\n" );
    Tcl_DStringAppendElement ( &dString, "void AddArgument(const char *argv);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for AddArgument */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArgument */
    if ( strcmp ( argv[2], "GetArgument" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArgument" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArgument */
    Tcl_DStringAppendElement ( &dString, " Search for a specific argument by name and return its value \n (assumed to be the next on the command tail). Up to caller\n to delete the returned string.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetArgument(const char *arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetArgument */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CleanArguments */
    if ( strcmp ( argv[2], "CleanArguments" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CleanArguments" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CleanArguments */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void CleanArguments();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for CleanArguments */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataRoot */
    if ( strcmp ( argv[2], "GetDataRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataRoot */
    Tcl_DStringAppendElement ( &dString, " Get some parameters from the command line arguments, env, or defaults\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDataRoot();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetDataRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataRoot */
    if ( strcmp ( argv[2], "SetDataRoot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataRoot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataRoot */
    Tcl_DStringAppendElement ( &dString, " Get some parameters from the command line arguments, env, or defaults\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataRoot(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for SetDataRoot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTempDirectory */
    if ( strcmp ( argv[2], "GetTempDirectory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTempDirectory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTempDirectory */
    Tcl_DStringAppendElement ( &dString, " Get some parameters from the command line arguments, env, or defaults\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTempDirectory();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetTempDirectory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTempDirectory */
    if ( strcmp ( argv[2], "SetTempDirectory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTempDirectory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTempDirectory */
    Tcl_DStringAppendElement ( &dString, " Get some parameters from the command line arguments, env, or defaults\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTempDirectory(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for SetTempDirectory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsValidImageSpecified */
    if ( strcmp ( argv[2], "IsValidImageSpecified" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsValidImageSpecified" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsValidImageSpecified */
    Tcl_DStringAppendElement ( &dString, " Is a valid image specified on the command line areguments?\n" );
    Tcl_DStringAppendElement ( &dString, "int IsValidImageSpecified();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for IsValidImageSpecified */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsInteractiveModeSpecified */
    if ( strcmp ( argv[2], "IsInteractiveModeSpecified" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsInteractiveModeSpecified" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsInteractiveModeSpecified */
    Tcl_DStringAppendElement ( &dString, " Is the interactive mode specified?\n" );
    Tcl_DStringAppendElement ( &dString, "int IsInteractiveModeSpecified();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for IsInteractiveModeSpecified */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsFlagSpecified */
    if ( strcmp ( argv[2], "IsFlagSpecified" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsFlagSpecified" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsFlagSpecified */
    Tcl_DStringAppendElement ( &dString, " Is some arbitrary user flag (\"-X\", \"-Z\" etc) specified\n" );
    Tcl_DStringAppendElement ( &dString, "int IsFlagSpecified(const char *flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for IsFlagSpecified */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderOffset */
    if ( strcmp ( argv[2], "SetBorderOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderOffset */
    Tcl_DStringAppendElement ( &dString, " Number of pixels added as borders to avoid problems with\n window decorations added by some window managers.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderOffset(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for SetBorderOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderOffset */
    if ( strcmp ( argv[2], "GetBorderOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderOffset */
    Tcl_DStringAppendElement ( &dString, " Number of pixels added as borders to avoid problems with\n window decorations added by some window managers.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorderOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetBorderOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerbose */
    if ( strcmp ( argv[2], "SetVerbose" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerbose" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerbose */
    Tcl_DStringAppendElement ( &dString, " Get/Set verbosity level. A level of 0 is quiet.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerbose(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for SetVerbose */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerbose */
    if ( strcmp ( argv[2], "GetVerbose" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerbose" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerbose */
    Tcl_DStringAppendElement ( &dString, " Get/Set verbosity level. A level of 0 is quiet.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVerbose();" );
    Tcl_DStringAppendElement ( &dString, "vtkTesting" );
    /* Closing for GetVerbose */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
