// tcl wrapper for vtkTextProperty object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextProperty.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTextPropertyNewCommand()
{
  vtkTextProperty *temp = vtkTextProperty::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTextPropertyCppCommand(vtkTextProperty *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTextPropertyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTextPropertyCppCommand(static_cast<vtkTextProperty *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTextPropertyCppCommand(vtkTextProperty *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTextProperty",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTextProperty  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontFamilyAsString",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFontFamilyAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetFontFamilyAsString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFontFamilyAsString(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFontFamily",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFontFamily(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFontFamily",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFontFamily();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontFamilyMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFontFamilyMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFontFamilyToArial",argv[1]))&&(argc == 2))
    {
    op->SetFontFamilyToArial();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFontFamilyToCourier",argv[1]))&&(argc == 2))
    {
    op->SetFontFamilyToCourier();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFontFamilyToTimes",argv[1]))&&(argc == 2))
    {
    op->SetFontFamilyToTimes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetFontFamilyFromString",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetFontFamilyFromString(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFontFamilyAsString",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFontFamilyAsString(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFontSizeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFontSizeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontSizeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFontSizeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBold",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBold",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBold();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BoldOn",argv[1]))&&(argc == 2))
    {
    op->BoldOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BoldOff",argv[1]))&&(argc == 2))
    {
    op->BoldOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetItalic",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetItalic(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetItalic",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetItalic();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ItalicOn",argv[1]))&&(argc == 2))
    {
    op->ItalicOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ItalicOff",argv[1]))&&(argc == 2))
    {
    op->ItalicOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShadow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShadow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShadow",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShadow();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShadowOn",argv[1]))&&(argc == 2))
    {
    op->ShadowOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShadowOff",argv[1]))&&(argc == 2))
    {
    op->ShadowOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShadowOffset",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetShadowOffset(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShadowOffset",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetShadowOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShadowOffset",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetShadowOffset();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetShadowColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetShadowColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetJustification",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetJustification(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetJustificationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetJustificationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetJustificationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetJustificationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetJustification",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetJustification();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetJustificationToLeft",argv[1]))&&(argc == 2))
    {
    op->SetJustificationToLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetJustificationToCentered",argv[1]))&&(argc == 2))
    {
    op->SetJustificationToCentered();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetJustificationToRight",argv[1]))&&(argc == 2))
    {
    op->SetJustificationToRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetJustificationAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetJustificationAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVerticalJustification",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVerticalJustification(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVerticalJustificationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVerticalJustificationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVerticalJustificationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVerticalJustificationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVerticalJustification",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVerticalJustification();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVerticalJustificationToBottom",argv[1]))&&(argc == 2))
    {
    op->SetVerticalJustificationToBottom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVerticalJustificationToCentered",argv[1]))&&(argc == 2))
    {
    op->SetVerticalJustificationToCentered();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVerticalJustificationToTop",argv[1]))&&(argc == 2))
    {
    op->SetVerticalJustificationToTop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetVerticalJustificationAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVerticalJustificationAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetOrientation",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrientation",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetOrientation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLineSpacing",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLineSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineSpacing",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLineSpacing();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLineOffset",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLineOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineOffset",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLineOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTextPropertyCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTextProperty:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColor\n",NULL);
    Tcl_AppendResult(interp,"  SetOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOpacity\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFamilyAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetFontFamilyAsString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFontFamily\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFamily\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFamilyMinValue\n",NULL);
    Tcl_AppendResult(interp,"  SetFontFamilyToArial\n",NULL);
    Tcl_AppendResult(interp,"  SetFontFamilyToCourier\n",NULL);
    Tcl_AppendResult(interp,"  SetFontFamilyToTimes\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFamilyFromString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFamilyAsString\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFontSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFontSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFontSize\n",NULL);
    Tcl_AppendResult(interp,"  SetBold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBold\n",NULL);
    Tcl_AppendResult(interp,"  BoldOn\n",NULL);
    Tcl_AppendResult(interp,"  BoldOff\n",NULL);
    Tcl_AppendResult(interp,"  SetItalic\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetItalic\n",NULL);
    Tcl_AppendResult(interp,"  ItalicOn\n",NULL);
    Tcl_AppendResult(interp,"  ItalicOff\n",NULL);
    Tcl_AppendResult(interp,"  SetShadow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShadow\n",NULL);
    Tcl_AppendResult(interp,"  ShadowOn\n",NULL);
    Tcl_AppendResult(interp,"  ShadowOff\n",NULL);
    Tcl_AppendResult(interp,"  SetShadowOffset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetShadowOffset\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetShadowOffset\n",NULL);
    Tcl_AppendResult(interp,"  GetShadowColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetJustification\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetJustificationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetJustificationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetJustification\n",NULL);
    Tcl_AppendResult(interp,"  SetJustificationToLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetJustificationToCentered\n",NULL);
    Tcl_AppendResult(interp,"  SetJustificationToRight\n",NULL);
    Tcl_AppendResult(interp,"  GetJustificationAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetVerticalJustification\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVerticalJustificationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetVerticalJustificationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetVerticalJustification\n",NULL);
    Tcl_AppendResult(interp,"  SetVerticalJustificationToBottom\n",NULL);
    Tcl_AppendResult(interp,"  SetVerticalJustificationToCentered\n",NULL);
    Tcl_AppendResult(interp,"  SetVerticalJustificationToTop\n",NULL);
    Tcl_AppendResult(interp,"  GetVerticalJustificationAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetLineSpacing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineSpacing\n",NULL);
    Tcl_AppendResult(interp,"  SetLineOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineOffset\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    Tcl_DStringAppendElement ( &dString, "SetOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetFontFamilyAsString" );
    Tcl_DStringAppendElement ( &dString, "SetFontFamilyAsString" );
    Tcl_DStringAppendElement ( &dString, "SetFontFamily" );
    Tcl_DStringAppendElement ( &dString, "GetFontFamily" );
    Tcl_DStringAppendElement ( &dString, "GetFontFamilyMinValue" );
    Tcl_DStringAppendElement ( &dString, "SetFontFamilyToArial" );
    Tcl_DStringAppendElement ( &dString, "SetFontFamilyToCourier" );
    Tcl_DStringAppendElement ( &dString, "SetFontFamilyToTimes" );
    Tcl_DStringAppendElement ( &dString, "GetFontFamilyFromString" );
    Tcl_DStringAppendElement ( &dString, "GetFontFamilyAsString" );
    Tcl_DStringAppendElement ( &dString, "SetFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetFontSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFontSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFontSize" );
    Tcl_DStringAppendElement ( &dString, "SetBold" );
    Tcl_DStringAppendElement ( &dString, "GetBold" );
    Tcl_DStringAppendElement ( &dString, "BoldOn" );
    Tcl_DStringAppendElement ( &dString, "BoldOff" );
    Tcl_DStringAppendElement ( &dString, "SetItalic" );
    Tcl_DStringAppendElement ( &dString, "GetItalic" );
    Tcl_DStringAppendElement ( &dString, "ItalicOn" );
    Tcl_DStringAppendElement ( &dString, "ItalicOff" );
    Tcl_DStringAppendElement ( &dString, "SetShadow" );
    Tcl_DStringAppendElement ( &dString, "GetShadow" );
    Tcl_DStringAppendElement ( &dString, "ShadowOn" );
    Tcl_DStringAppendElement ( &dString, "ShadowOff" );
    Tcl_DStringAppendElement ( &dString, "SetShadowOffset" );
    Tcl_DStringAppendElement ( &dString, "SetShadowOffset" );
    Tcl_DStringAppendElement ( &dString, "GetShadowOffset" );
    Tcl_DStringAppendElement ( &dString, "GetShadowColor" );
    Tcl_DStringAppendElement ( &dString, "SetJustification" );
    Tcl_DStringAppendElement ( &dString, "GetJustificationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetJustificationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetJustification" );
    Tcl_DStringAppendElement ( &dString, "SetJustificationToLeft" );
    Tcl_DStringAppendElement ( &dString, "SetJustificationToCentered" );
    Tcl_DStringAppendElement ( &dString, "SetJustificationToRight" );
    Tcl_DStringAppendElement ( &dString, "GetJustificationAsString" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalJustification" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalJustificationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalJustificationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalJustification" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalJustificationToBottom" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalJustificationToCentered" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalJustificationToTop" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalJustificationAsString" );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetLineSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetLineSpacing" );
    Tcl_DStringAppendElement ( &dString, "SetLineOffset" );
    Tcl_DStringAppendElement ( &dString, "GetLineOffset" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Creates a new text property with font size 12, bold off, italic off,\n and Arial font.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTextProperty *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOpacity */
    if ( strcmp ( argv[2], "SetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOpacity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOpacity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOpacity */
    if ( strcmp ( argv[2], "GetOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOpacity */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text's opacity. 1.0 is totally opaque and 0.0 is completely\n transparent.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFamilyAsString */
    if ( strcmp ( argv[2], "GetFontFamilyAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFamilyAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFamilyAsString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font family. Supports legacy three font family system.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFontFamilyAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetFontFamilyAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontFamilyAsString */
    if ( strcmp ( argv[2], "SetFontFamilyAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontFamilyAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontFamilyAsString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font family. Supports legacy three font family system.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontFamilyAsString(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetFontFamilyAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontFamily */
    if ( strcmp ( argv[2], "SetFontFamily" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontFamily" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontFamily */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font family. Supports legacy three font family system.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontFamily(int t);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetFontFamily */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFamily */
    if ( strcmp ( argv[2], "GetFontFamily" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFamily" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFamily */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font family. Supports legacy three font family system.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFontFamily();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetFontFamily */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFamilyMinValue */
    if ( strcmp ( argv[2], "GetFontFamilyMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFamilyMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFamilyMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font family. Supports legacy three font family system.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFontFamilyMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetFontFamilyMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontFamilyToArial */
    if ( strcmp ( argv[2], "SetFontFamilyToArial" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontFamilyToArial" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontFamilyToArial */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font family. Supports legacy three font family system.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontFamilyToArial();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetFontFamilyToArial */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontFamilyToCourier */
    if ( strcmp ( argv[2], "SetFontFamilyToCourier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontFamilyToCourier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontFamilyToCourier */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font family. Supports legacy three font family system.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontFamilyToCourier();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetFontFamilyToCourier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontFamilyToTimes */
    if ( strcmp ( argv[2], "SetFontFamilyToTimes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontFamilyToTimes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontFamilyToTimes */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font family. Supports legacy three font family system.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontFamilyToTimes();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetFontFamilyToTimes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFamilyFromString */
    if ( strcmp ( argv[2], "GetFontFamilyFromString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFamilyFromString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFamilyFromString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font family. Supports legacy three font family system.\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetFontFamilyFromString(const char *f);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetFontFamilyFromString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFamilyAsString */
    if ( strcmp ( argv[2], "GetFontFamilyAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFamilyAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFamilyAsString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font family. Supports legacy three font family system.\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetFontFamilyAsString(int f);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetFontFamilyAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontSize */
    if ( strcmp ( argv[2], "SetFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font size (in points).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontSize(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontSizeMinValue */
    if ( strcmp ( argv[2], "GetFontSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font size (in points).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFontSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetFontSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontSizeMaxValue */
    if ( strcmp ( argv[2], "GetFontSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font size (in points).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFontSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetFontSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontSize */
    if ( strcmp ( argv[2], "GetFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the font size (in points).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFontSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBold */
    if ( strcmp ( argv[2], "SetBold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBold */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text bolding.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBold(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetBold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBold */
    if ( strcmp ( argv[2], "GetBold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBold */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text bolding.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBold();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetBold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoldOn */
    if ( strcmp ( argv[2], "BoldOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoldOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoldOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text bolding.\n" );
    Tcl_DStringAppendElement ( &dString, "void BoldOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for BoldOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoldOff */
    if ( strcmp ( argv[2], "BoldOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoldOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoldOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text bolding.\n" );
    Tcl_DStringAppendElement ( &dString, "void BoldOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for BoldOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetItalic */
    if ( strcmp ( argv[2], "SetItalic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetItalic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetItalic */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text italic.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetItalic(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetItalic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetItalic */
    if ( strcmp ( argv[2], "GetItalic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetItalic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetItalic */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text italic.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetItalic();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetItalic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ItalicOn */
    if ( strcmp ( argv[2], "ItalicOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ItalicOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ItalicOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text italic.\n" );
    Tcl_DStringAppendElement ( &dString, "void ItalicOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for ItalicOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ItalicOff */
    if ( strcmp ( argv[2], "ItalicOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ItalicOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ItalicOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text italic.\n" );
    Tcl_DStringAppendElement ( &dString, "void ItalicOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for ItalicOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShadow */
    if ( strcmp ( argv[2], "SetShadow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShadow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShadow */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text shadow.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShadow(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetShadow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShadow */
    if ( strcmp ( argv[2], "GetShadow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShadow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShadow */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text shadow.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShadow();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetShadow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShadowOn */
    if ( strcmp ( argv[2], "ShadowOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShadowOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShadowOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text shadow.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShadowOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for ShadowOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShadowOff */
    if ( strcmp ( argv[2], "ShadowOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShadowOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShadowOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text shadow.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShadowOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for ShadowOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShadowOffset */
    if ( strcmp ( argv[2], "SetShadowOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShadowOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShadowOffset */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetShadowOffset(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetShadowOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShadowOffset */
    if ( strcmp ( argv[2], "SetShadowOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShadowOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShadowOffset */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetShadowOffset(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetShadowOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShadowOffset */
    if ( strcmp ( argv[2], "GetShadowOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShadowOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShadowOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the shadow offset, i.e. the distance from the text to\n its shadow, in the same unit as FontSize.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetShadowOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetShadowOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShadowColor */
    if ( strcmp ( argv[2], "GetShadowColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShadowColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShadowColor */
    Tcl_DStringAppendElement ( &dString, " Get the shadow color. It is computed from the Color ivar\n" );
    Tcl_DStringAppendElement ( &dString, "void GetShadowColor(double color\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetShadowColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetJustification */
    if ( strcmp ( argv[2], "SetJustification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetJustification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetJustification */
    Tcl_DStringAppendElement ( &dString, " Set/Get the horizontal justification to left (default), centered,\n or right.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetJustification(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetJustification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetJustificationMinValue */
    if ( strcmp ( argv[2], "GetJustificationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetJustificationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetJustificationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the horizontal justification to left (default), centered,\n or right.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetJustificationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetJustificationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetJustificationMaxValue */
    if ( strcmp ( argv[2], "GetJustificationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetJustificationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetJustificationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the horizontal justification to left (default), centered,\n or right.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetJustificationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetJustificationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetJustification */
    if ( strcmp ( argv[2], "GetJustification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetJustification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetJustification */
    Tcl_DStringAppendElement ( &dString, " Set/Get the horizontal justification to left (default), centered,\n or right.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetJustification();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetJustification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetJustificationToLeft */
    if ( strcmp ( argv[2], "SetJustificationToLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetJustificationToLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetJustificationToLeft */
    Tcl_DStringAppendElement ( &dString, " Set/Get the horizontal justification to left (default), centered,\n or right.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetJustificationToLeft();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetJustificationToLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetJustificationToCentered */
    if ( strcmp ( argv[2], "SetJustificationToCentered" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetJustificationToCentered" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetJustificationToCentered */
    Tcl_DStringAppendElement ( &dString, " Set/Get the horizontal justification to left (default), centered,\n or right.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetJustificationToCentered();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetJustificationToCentered */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetJustificationToRight */
    if ( strcmp ( argv[2], "SetJustificationToRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetJustificationToRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetJustificationToRight */
    Tcl_DStringAppendElement ( &dString, " Set/Get the horizontal justification to left (default), centered,\n or right.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetJustificationToRight();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetJustificationToRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetJustificationAsString */
    if ( strcmp ( argv[2], "GetJustificationAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetJustificationAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetJustificationAsString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the horizontal justification to left (default), centered,\n or right.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetJustificationAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetJustificationAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerticalJustification */
    if ( strcmp ( argv[2], "SetVerticalJustification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalJustification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalJustification */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertical justification to bottom (default), middle,\n or top.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerticalJustification(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetVerticalJustification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerticalJustificationMinValue */
    if ( strcmp ( argv[2], "GetVerticalJustificationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalJustificationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalJustificationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertical justification to bottom (default), middle,\n or top.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVerticalJustificationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetVerticalJustificationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerticalJustificationMaxValue */
    if ( strcmp ( argv[2], "GetVerticalJustificationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalJustificationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalJustificationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertical justification to bottom (default), middle,\n or top.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVerticalJustificationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetVerticalJustificationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerticalJustification */
    if ( strcmp ( argv[2], "GetVerticalJustification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalJustification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalJustification */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertical justification to bottom (default), middle,\n or top.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVerticalJustification();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetVerticalJustification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerticalJustificationToBottom */
    if ( strcmp ( argv[2], "SetVerticalJustificationToBottom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalJustificationToBottom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalJustificationToBottom */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertical justification to bottom (default), middle,\n or top.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerticalJustificationToBottom();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetVerticalJustificationToBottom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerticalJustificationToCentered */
    if ( strcmp ( argv[2], "SetVerticalJustificationToCentered" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalJustificationToCentered" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalJustificationToCentered */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertical justification to bottom (default), middle,\n or top.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerticalJustificationToCentered();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetVerticalJustificationToCentered */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerticalJustificationToTop */
    if ( strcmp ( argv[2], "SetVerticalJustificationToTop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalJustificationToTop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalJustificationToTop */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertical justification to bottom (default), middle,\n or top.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerticalJustificationToTop();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetVerticalJustificationToTop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerticalJustificationAsString */
    if ( strcmp ( argv[2], "GetVerticalJustificationAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalJustificationAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalJustificationAsString */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertical justification to bottom (default), middle,\n or top.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVerticalJustificationAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetVerticalJustificationAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrientation */
    if ( strcmp ( argv[2], "SetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrientation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text's orientation (in degrees).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrientation(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrientation */
    if ( strcmp ( argv[2], "GetOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrientation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text's orientation (in degrees).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetOrientation();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineSpacing */
    if ( strcmp ( argv[2], "SetLineSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the (extra) spacing between lines,\n expressed as a text height multiplication factor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineSpacing(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetLineSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineSpacing */
    if ( strcmp ( argv[2], "GetLineSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineSpacing */
    Tcl_DStringAppendElement ( &dString, " Set/Get the (extra) spacing between lines,\n expressed as a text height multiplication factor.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLineSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetLineSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineOffset */
    if ( strcmp ( argv[2], "SetLineOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertical offset (measured in pixels).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineOffset(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for SetLineOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineOffset */
    if ( strcmp ( argv[2], "GetLineOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get the vertical offset (measured in pixels).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLineOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for GetLineOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Shallow copy of a text property.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShallowCopy(vtkTextProperty *tprop);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
