// tcl wrapper for vtkTextureObject object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTextureObject.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTextureObjectNewCommand()
{
  vtkTextureObject *temp = vtkTextureObject::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTextureObjectCppCommand(vtkTextureObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTextureObjectCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTextureObjectCppCommand(static_cast<vtkTextureObject *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTextureObjectCppCommand(vtkTextureObject *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTextureObject",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTextureObject  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextureObject");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTextureObject  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextureObject");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTextureObject  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextureObject");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetContext",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetContext(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContext",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetContext();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetWidth",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetWidth();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHeight",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetHeight();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDepth",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetDepth();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfDimensions",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfDimensions();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTarget",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetTarget();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHandle",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetHandle();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Bind",argv[1]))&&(argc == 2))
    {
    op->Bind();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UnBind",argv[1]))&&(argc == 2))
    {
    op->UnBind();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsBound",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsBound();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SendParameters",argv[1]))&&(argc == 2))
    {
    op->SendParameters();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Create1D",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkPixelBufferObject  *temp1;
    bool   temp2;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPixelBufferObject *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPixelBufferObject"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->Create1D(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Create2D",argv[1]))&&(argc == 7))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    int      temp2;
    vtkPixelBufferObject  *temp3;
    bool   temp4;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkPixelBufferObject *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkPixelBufferObject"),interp,error));
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->Create2D(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateDepth",argv[1]))&&(argc == 6))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    int      temp2;
    vtkPixelBufferObject  *temp3;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    temp3 = (vtkPixelBufferObject *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkPixelBufferObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->CreateDepth(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllocateDepth",argv[1]))&&(argc == 5))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    int      temp2;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->AllocateDepth(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Allocate1D",argv[1]))&&(argc == 5))
    {
    unsigned int      temp0;
    int      temp1;
    int      temp2;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->Allocate1D(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Allocate2D",argv[1]))&&(argc == 6))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    int      temp2;
    int      temp3;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->Allocate2D(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Allocate3D",argv[1]))&&(argc == 7))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    unsigned int      temp2;
    int      temp3;
    int      temp4;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (!error)
    {
    temp20 = (op)->Allocate3D(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Create3D",argv[1]))&&(argc == 8))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    unsigned int      temp2;
    int      temp3;
    vtkPixelBufferObject  *temp4;
    bool   temp5;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkPixelBufferObject *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkPixelBufferObject"),interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->Create3D(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Create2D",argv[1]))&&(argc == 7))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    int      temp2;
    int      temp3;
    bool   temp4;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->Create2D(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Create3D",argv[1]))&&(argc == 8))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    unsigned int      temp2;
    int      temp3;
    int      temp4;
    bool   temp5;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->Create3D(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Download",argv[1]))&&(argc == 2))
    {
    vtkPixelBufferObject  *temp20;
    temp20 = (op)->Download();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPixelBufferObject");
    return TCL_OK;
    }
  if ((!strcmp("GetDataType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInternalFormat",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    bool   temp2;
    unsigned int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->GetInternalFormat(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFormat",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    bool   temp2;
    unsigned int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi ? true : false;
    if (!error)
    {
    temp20 = (op)->GetFormat(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWrapS",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWrapS();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWrapS",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWrapS(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWrapT",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWrapT();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWrapT",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWrapT(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWrapR",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWrapR();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWrapR",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWrapR(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinificationFilter",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinificationFilter();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinificationFilter",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinificationFilter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLinearMagnification",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLinearMagnification();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLinearMagnification",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLinearMagnification(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBorderColor",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetBorderColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBorderColor",argv[1]))&&(argc == 6))
    {
    float  temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetBorderColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorderColor",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetBorderColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPriority",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPriority(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPriority",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetPriority();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinLOD",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinLOD",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinLOD();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxLOD",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaxLOD(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxLOD",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaxLOD();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBaseLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBaseLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBaseLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBaseLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaxLevel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxLevel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxLevel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDepthTextureCompare",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDepthTextureCompare();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthTextureCompare",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDepthTextureCompare(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthTextureCompareFunction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepthTextureCompareFunction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthTextureCompareFunction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDepthTextureCompareFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDepthTextureMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepthTextureMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDepthTextureMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDepthTextureMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateMipmap",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGenerateMipmap();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateMipmap",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGenerateMipmap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsSupported",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    temp20 = (op)->IsSupported(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyToFrameBuffer",argv[1]))&&(argc == 10))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    int      temp6;
    int      temp7;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (Tcl_GetInt(interp,argv[9],&tempi) != TCL_OK) error = 1;
    temp7 = tempi;
    if (!error)
    {
    op->CopyToFrameBuffer(temp0,temp1,temp2,temp3,temp4,temp5,temp6,temp7);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CopyFromFrameBuffer",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->CopyFromFrameBuffer(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTextureObjectCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTextureObject:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetContext\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContext\n",NULL);
    Tcl_AppendResult(interp,"  GetWidth\n",NULL);
    Tcl_AppendResult(interp,"  GetHeight\n",NULL);
    Tcl_AppendResult(interp,"  GetDepth\n",NULL);
    Tcl_AppendResult(interp,"  GetComponents\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfDimensions\n",NULL);
    Tcl_AppendResult(interp,"  GetTarget\n",NULL);
    Tcl_AppendResult(interp,"  GetHandle\n",NULL);
    Tcl_AppendResult(interp,"  Bind\n",NULL);
    Tcl_AppendResult(interp,"  UnBind\n",NULL);
    Tcl_AppendResult(interp,"  IsBound\n",NULL);
    Tcl_AppendResult(interp,"  SendParameters\n",NULL);
    Tcl_AppendResult(interp,"  Create1D\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Create2D\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateDepth\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  AllocateDepth\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Allocate1D\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Allocate2D\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  Allocate3D\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  Create3D\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Create2D\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  Create3D\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Download\n",NULL);
    Tcl_AppendResult(interp,"  GetDataType\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalFormat\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFormat\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWrapS\n",NULL);
    Tcl_AppendResult(interp,"  SetWrapS\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWrapT\n",NULL);
    Tcl_AppendResult(interp,"  SetWrapT\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWrapR\n",NULL);
    Tcl_AppendResult(interp,"  SetWrapR\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinificationFilter\n",NULL);
    Tcl_AppendResult(interp,"  SetMinificationFilter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLinearMagnification\n",NULL);
    Tcl_AppendResult(interp,"  SetLinearMagnification\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBorderColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderColor\n",NULL);
    Tcl_AppendResult(interp,"  SetPriority\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPriority\n",NULL);
    Tcl_AppendResult(interp,"  SetMinLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinLOD\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxLOD\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxLOD\n",NULL);
    Tcl_AppendResult(interp,"  SetBaseLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBaseLevel\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthTextureCompare\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthTextureCompare\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthTextureCompareFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthTextureCompareFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthTextureMode\n",NULL);
    Tcl_AppendResult(interp,"  SetDepthTextureMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateMipmap\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateMipmap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsSupported\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CopyToFrameBuffer\t with 8 args\n",NULL);
    Tcl_AppendResult(interp,"  CopyFromFrameBuffer\t with 6 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetContext" );
    Tcl_DStringAppendElement ( &dString, "GetContext" );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    Tcl_DStringAppendElement ( &dString, "GetDepth" );
    Tcl_DStringAppendElement ( &dString, "GetComponents" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDimensions" );
    Tcl_DStringAppendElement ( &dString, "GetTarget" );
    Tcl_DStringAppendElement ( &dString, "GetHandle" );
    Tcl_DStringAppendElement ( &dString, "Bind" );
    Tcl_DStringAppendElement ( &dString, "UnBind" );
    Tcl_DStringAppendElement ( &dString, "IsBound" );
    Tcl_DStringAppendElement ( &dString, "SendParameters" );
    Tcl_DStringAppendElement ( &dString, "Create1D" );
    Tcl_DStringAppendElement ( &dString, "Create2D" );
    Tcl_DStringAppendElement ( &dString, "CreateDepth" );
    Tcl_DStringAppendElement ( &dString, "AllocateDepth" );
    Tcl_DStringAppendElement ( &dString, "Allocate1D" );
    Tcl_DStringAppendElement ( &dString, "Allocate2D" );
    Tcl_DStringAppendElement ( &dString, "Allocate3D" );
    Tcl_DStringAppendElement ( &dString, "Create3D" );
    Tcl_DStringAppendElement ( &dString, "Create2D" );
    Tcl_DStringAppendElement ( &dString, "Create3D" );
    Tcl_DStringAppendElement ( &dString, "Download" );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    Tcl_DStringAppendElement ( &dString, "GetInternalFormat" );
    Tcl_DStringAppendElement ( &dString, "GetFormat" );
    Tcl_DStringAppendElement ( &dString, "GetWrapS" );
    Tcl_DStringAppendElement ( &dString, "SetWrapS" );
    Tcl_DStringAppendElement ( &dString, "GetWrapT" );
    Tcl_DStringAppendElement ( &dString, "SetWrapT" );
    Tcl_DStringAppendElement ( &dString, "GetWrapR" );
    Tcl_DStringAppendElement ( &dString, "SetWrapR" );
    Tcl_DStringAppendElement ( &dString, "GetMinificationFilter" );
    Tcl_DStringAppendElement ( &dString, "SetMinificationFilter" );
    Tcl_DStringAppendElement ( &dString, "GetLinearMagnification" );
    Tcl_DStringAppendElement ( &dString, "SetLinearMagnification" );
    Tcl_DStringAppendElement ( &dString, "SetBorderColor" );
    Tcl_DStringAppendElement ( &dString, "SetBorderColor" );
    Tcl_DStringAppendElement ( &dString, "GetBorderColor" );
    Tcl_DStringAppendElement ( &dString, "SetPriority" );
    Tcl_DStringAppendElement ( &dString, "GetPriority" );
    Tcl_DStringAppendElement ( &dString, "SetMinLOD" );
    Tcl_DStringAppendElement ( &dString, "GetMinLOD" );
    Tcl_DStringAppendElement ( &dString, "SetMaxLOD" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLOD" );
    Tcl_DStringAppendElement ( &dString, "SetBaseLevel" );
    Tcl_DStringAppendElement ( &dString, "GetBaseLevel" );
    Tcl_DStringAppendElement ( &dString, "SetMaxLevel" );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevel" );
    Tcl_DStringAppendElement ( &dString, "GetDepthTextureCompare" );
    Tcl_DStringAppendElement ( &dString, "SetDepthTextureCompare" );
    Tcl_DStringAppendElement ( &dString, "GetDepthTextureCompareFunction" );
    Tcl_DStringAppendElement ( &dString, "SetDepthTextureCompareFunction" );
    Tcl_DStringAppendElement ( &dString, "GetDepthTextureMode" );
    Tcl_DStringAppendElement ( &dString, "SetDepthTextureMode" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateMipmap" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateMipmap" );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    Tcl_DStringAppendElement ( &dString, "CopyToFrameBuffer" );
    Tcl_DStringAppendElement ( &dString, "CopyFromFrameBuffer" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTextureObject *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetContext */
    if ( strcmp ( argv[2], "SetContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContext */
    Tcl_DStringAppendElement ( &dString, " Get/Set the context. This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetContext(vtkRenderWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContext */
    if ( strcmp ( argv[2], "GetContext" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContext" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContext */
    Tcl_DStringAppendElement ( &dString, " Get/Set the context. This does not increase the reference count of the \n context to avoid reference loops.\n SetContext() may raise an error is the OpenGL context does not support the\n required OpenGL extensions.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetContext();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetContext */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidth */
    if ( strcmp ( argv[2], "GetWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidth */
    Tcl_DStringAppendElement ( &dString, " Get the texture dimensions.\n These are the properties of the OpenGL texture this instance represents.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHeight */
    if ( strcmp ( argv[2], "GetHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHeight */
    Tcl_DStringAppendElement ( &dString, " Get the texture dimensions.\n These are the properties of the OpenGL texture this instance represents.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetHeight();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepth */
    if ( strcmp ( argv[2], "GetDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepth */
    Tcl_DStringAppendElement ( &dString, " Get the texture dimensions.\n These are the properties of the OpenGL texture this instance represents.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetDepth();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComponents */
    if ( strcmp ( argv[2], "GetComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComponents */
    Tcl_DStringAppendElement ( &dString, " Get the texture dimensions.\n These are the properties of the OpenGL texture this instance represents.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComponents();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfDimensions */
    if ( strcmp ( argv[2], "GetNumberOfDimensions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfDimensions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfDimensions */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfDimensions();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetNumberOfDimensions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTarget */
    if ( strcmp ( argv[2], "GetTarget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTarget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTarget */
    Tcl_DStringAppendElement ( &dString, " Returns OpenGL texture target to which the texture is/can be bound.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetTarget();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetTarget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandle */
    if ( strcmp ( argv[2], "GetHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandle */
    Tcl_DStringAppendElement ( &dString, " Returns the OpenGL handle.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetHandle();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Bind */
    if ( strcmp ( argv[2], "Bind" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Bind" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Bind */
    Tcl_DStringAppendElement ( &dString, " Activate the texture. The texture must have been created using Create().\n RenderWindow must be set before calling this. \n" );
    Tcl_DStringAppendElement ( &dString, "void Bind();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for Bind */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnBind */
    if ( strcmp ( argv[2], "UnBind" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnBind" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnBind */
    Tcl_DStringAppendElement ( &dString, " Activate the texture. The texture must have been created using Create().\n RenderWindow must be set before calling this. \n" );
    Tcl_DStringAppendElement ( &dString, "void UnBind();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for UnBind */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsBound */
    if ( strcmp ( argv[2], "IsBound" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsBound" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsBound */
    Tcl_DStringAppendElement ( &dString, " Tells if the texture object is bound to the active texture image unit.\n (a texture object can be bound to multiple texture image unit).\n" );
    Tcl_DStringAppendElement ( &dString, "bool IsBound();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for IsBound */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SendParameters */
    if ( strcmp ( argv[2], "SendParameters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SendParameters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SendParameters */
    Tcl_DStringAppendElement ( &dString, " Send all the texture object parameters to the hardware if not done yet.\n \\pre is_bound: IsBound()\n" );
    Tcl_DStringAppendElement ( &dString, "void SendParameters();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SendParameters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Create1D */
    if ( strcmp ( argv[2], "Create1D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Create1D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPixelBufferObject" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Create1D */
    Tcl_DStringAppendElement ( &dString, " Create a 1D texture using the PBO.\n Eventually we may start supporting creating a texture from subset of data\n in the PBO, but for simplicity we'll begin with entire PBO data.\n numComps must be in \\[1-4\\].\n shaderSupportsTextureInt is true if the shader has an alternate\n implementation supporting sampler with integer values.\n Even if the card supports texture int, it does not mean that\n the implementor of the shader made a version that supports texture int.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Create1D(int numComps, vtkPixelBufferObject *pbo, bool shaderSupportsTextureInt);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for Create1D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Create2D */
    if ( strcmp ( argv[2], "Create2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Create2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPixelBufferObject" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Create2D */
    Tcl_DStringAppendElement ( &dString, " Create a 2D texture using the PBO.\n Eventually we may start supporting creating a texture from subset of data\n in the PBO, but for simplicity we'll begin with entire PBO data.\n numComps must be in \\[1-4\\].\n" );
    Tcl_DStringAppendElement ( &dString, "bool Create2D(unsigned int width, unsigned int height, int numComps, vtkPixelBufferObject *pbo, bool shaderSupportsTextureInt);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for Create2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDepth */
    if ( strcmp ( argv[2], "CreateDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPixelBufferObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDepth */
    Tcl_DStringAppendElement ( &dString, " Create a 2D depth texture using a PBO.\n \\pre: valid_internalFormat: internalFormat>=0 && internalFormat<NumberOfDepthFormats\n" );
    Tcl_DStringAppendElement ( &dString, "bool CreateDepth(unsigned int width, unsigned int height, int internalFormat, vtkPixelBufferObject *pbo);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for CreateDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllocateDepth */
    if ( strcmp ( argv[2], "AllocateDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllocateDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllocateDepth */
    Tcl_DStringAppendElement ( &dString, " Create a 2D depth texture but does not initialize its values.\n" );
    Tcl_DStringAppendElement ( &dString, "bool AllocateDepth(unsigned int width, unsigned int height, int internalFormat);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for AllocateDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allocate1D */
    if ( strcmp ( argv[2], "Allocate1D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allocate1D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allocate1D */
    Tcl_DStringAppendElement ( &dString, " Create a 1D color texture but does not initialize its values.\n Internal format is deduced from numComps and vtkType.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Allocate1D(unsigned int width, int numComps, int vtkType);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for Allocate1D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allocate2D */
    if ( strcmp ( argv[2], "Allocate2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allocate2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allocate2D */
    Tcl_DStringAppendElement ( &dString, " Create a 2D color texture but does not initialize its values.\n Internal format is deduced from numComps and vtkType.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Allocate2D(unsigned int width, unsigned int height, int numComps, int vtkType);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for Allocate2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Allocate3D */
    if ( strcmp ( argv[2], "Allocate3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Allocate3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Allocate3D */
    Tcl_DStringAppendElement ( &dString, " Create a 3D color texture but does not initialize its values.\n Internal format is deduced from numComps and vtkType.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Allocate3D(unsigned int width, unsigned int height, unsigned int depth, int numComps, int vtkType);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for Allocate3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Create3D */
    if ( strcmp ( argv[2], "Create3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Create3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPixelBufferObject" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Create3D */
    Tcl_DStringAppendElement ( &dString, " Create a 3D texture using the PBO.\n Eventually we may start supporting creating a texture from subset of data\n in the PBO, but for simplicity we'll begin with entire PBO data.\n numComps must be in \\[1-4\\].\n" );
    Tcl_DStringAppendElement ( &dString, "bool Create3D(unsigned int width, unsigned int height, unsigned int depth, int numComps, vtkPixelBufferObject *pbo, bool shaderSupportsTextureInt);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for Create3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Create2D */
    if ( strcmp ( argv[2], "Create2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Create2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Create2D */
    Tcl_DStringAppendElement ( &dString, " Create texture without uploading any data.\n To create a DEPTH_COMPONENT texture, vtktype must be set to VTK_VOID and\n numComps must be 1.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Create2D(unsigned int width, unsigned int height, int numComps, int vtktype, bool shaderSupportsTextureInt);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for Create2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Create3D */
    if ( strcmp ( argv[2], "Create3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Create3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Create3D */
    Tcl_DStringAppendElement ( &dString, " Create texture without uploading any data.\n To create a DEPTH_COMPONENT texture, vtktype must be set to VTK_VOID and\n numComps must be 1.\n" );
    Tcl_DStringAppendElement ( &dString, "bool Create3D(unsigned int width, unsigned int height, unsigned int depth, int numComps, int vtktype, bool shaderSupportsTextureInt);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for Create3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Download */
    if ( strcmp ( argv[2], "Download" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Download" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Download */
    Tcl_DStringAppendElement ( &dString, " This is used to download raw data from the texture into a pixel bufer. The\n pixel buffer API can then be used to download the pixel buffer data to CPU\n arrays. The caller takes on the responsibility of deleting the returns\n vtkPixelBufferObject once it done with it.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPixelBufferObject *Download();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for Download */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataType */
    if ( strcmp ( argv[2], "GetDataType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataType */
    Tcl_DStringAppendElement ( &dString, " Get the data type for the texture as a vtk type int i.e. VTK_INT etc.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataType();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetDataType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalFormat */
    if ( strcmp ( argv[2], "GetInternalFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalFormat */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetInternalFormat(int vtktype, int numComps, bool shaderSupportsTextureInt);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetInternalFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFormat */
    if ( strcmp ( argv[2], "GetFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFormat */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetFormat(int vtktype, int numComps, bool shaderSupportsTextureInt);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWrapS */
    if ( strcmp ( argv[2], "GetWrapS" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWrapS" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWrapS */
    Tcl_DStringAppendElement ( &dString, " Wrap mode for the first texture coordinate \"s\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWrapS();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetWrapS */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWrapS */
    if ( strcmp ( argv[2], "SetWrapS" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWrapS" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWrapS */
    Tcl_DStringAppendElement ( &dString, " Wrap mode for the first texture coordinate \"s\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWrapS(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetWrapS */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWrapT */
    if ( strcmp ( argv[2], "GetWrapT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWrapT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWrapT */
    Tcl_DStringAppendElement ( &dString, " Wrap mode for the first texture coordinate \"t\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWrapT();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetWrapT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWrapT */
    if ( strcmp ( argv[2], "SetWrapT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWrapT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWrapT */
    Tcl_DStringAppendElement ( &dString, " Wrap mode for the first texture coordinate \"t\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWrapT(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetWrapT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWrapR */
    if ( strcmp ( argv[2], "GetWrapR" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWrapR" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWrapR */
    Tcl_DStringAppendElement ( &dString, " Wrap mode for the first texture coordinate \"r\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWrapR();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetWrapR */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWrapR */
    if ( strcmp ( argv[2], "SetWrapR" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWrapR" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWrapR */
    Tcl_DStringAppendElement ( &dString, " Wrap mode for the first texture coordinate \"r\"\n Valid values are:\n - Clamp\n - ClampToEdge\n - Repeat\n - ClampToBorder\n - MirroredRepeat\n Initial value is Repeat (as in OpenGL spec)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWrapR(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetWrapR */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinificationFilter */
    if ( strcmp ( argv[2], "GetMinificationFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinificationFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinificationFilter */
    Tcl_DStringAppendElement ( &dString, " Minification filter mode.\n Valid values are:\n - Nearest\n - Linear\n - NearestMipmapNearest\n - NearestMipmapLinear\n - LinearMipmapNearest\n - LinearMipmapLinear\n Initial value is Nearest (note initial value in OpenGL spec\n is NearestMipMapLinear but this is error-prone because it makes the\n texture object incomplete. ).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinificationFilter();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetMinificationFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinificationFilter */
    if ( strcmp ( argv[2], "SetMinificationFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinificationFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinificationFilter */
    Tcl_DStringAppendElement ( &dString, " Minification filter mode.\n Valid values are:\n - Nearest\n - Linear\n - NearestMipmapNearest\n - NearestMipmapLinear\n - LinearMipmapNearest\n - LinearMipmapLinear\n Initial value is Nearest (note initial value in OpenGL spec\n is NearestMipMapLinear but this is error-prone because it makes the\n texture object incomplete. ).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinificationFilter(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetMinificationFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLinearMagnification */
    if ( strcmp ( argv[2], "GetLinearMagnification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinearMagnification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinearMagnification */
    Tcl_DStringAppendElement ( &dString, " Tells if the magnification mode is linear (true) or nearest (false).\n Initial value is false (initial value in OpenGL spec is true).\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetLinearMagnification();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetLinearMagnification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLinearMagnification */
    if ( strcmp ( argv[2], "SetLinearMagnification" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLinearMagnification" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLinearMagnification */
    Tcl_DStringAppendElement ( &dString, " Tells if the magnification mode is linear (true) or nearest (false).\n Initial value is false (initial value in OpenGL spec is true).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLinearMagnification(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetLinearMagnification */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderColor */
    if ( strcmp ( argv[2], "SetBorderColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderColor(float, float, float, float);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetBorderColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorderColor */
    if ( strcmp ( argv[2], "SetBorderColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorderColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorderColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBorderColor(float a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetBorderColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderColor */
    if ( strcmp ( argv[2], "GetBorderColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetBorderColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetBorderColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPriority */
    if ( strcmp ( argv[2], "SetPriority" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPriority" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPriority */
    Tcl_DStringAppendElement ( &dString, " Priority of the texture object to be resident on the card for higher\n performance in the range \\[0.0f,1.0f\\].\n Initial value is 1.0f, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPriority(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetPriority */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPriority */
    if ( strcmp ( argv[2], "GetPriority" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPriority" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPriority */
    Tcl_DStringAppendElement ( &dString, " Priority of the texture object to be resident on the card for higher\n performance in the range \\[0.0f,1.0f\\].\n Initial value is 1.0f, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetPriority();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetPriority */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinLOD */
    if ( strcmp ( argv[2], "SetMinLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinLOD */
    Tcl_DStringAppendElement ( &dString, " Lower-clamp the computed LOD against this value. Any float value is valid.\n Initial value is -1000.0f, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinLOD(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetMinLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinLOD */
    if ( strcmp ( argv[2], "GetMinLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinLOD */
    Tcl_DStringAppendElement ( &dString, " Lower-clamp the computed LOD against this value. Any float value is valid.\n Initial value is -1000.0f, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinLOD();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetMinLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxLOD */
    if ( strcmp ( argv[2], "SetMaxLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxLOD */
    Tcl_DStringAppendElement ( &dString, " Upper-clamp the computed LOD against this value. Any float value is valid.\n Initial value is 1000.0f, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxLOD(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetMaxLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxLOD */
    if ( strcmp ( argv[2], "GetMaxLOD" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLOD" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLOD */
    Tcl_DStringAppendElement ( &dString, " Upper-clamp the computed LOD against this value. Any float value is valid.\n Initial value is 1000.0f, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaxLOD();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetMaxLOD */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBaseLevel */
    if ( strcmp ( argv[2], "SetBaseLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBaseLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBaseLevel */
    Tcl_DStringAppendElement ( &dString, " Level of detail of the first texture image. A texture object is a list of\n texture images. It is a non-negative integer value.\n Initial value is 0, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBaseLevel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetBaseLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBaseLevel */
    if ( strcmp ( argv[2], "GetBaseLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBaseLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBaseLevel */
    Tcl_DStringAppendElement ( &dString, " Level of detail of the first texture image. A texture object is a list of\n texture images. It is a non-negative integer value.\n Initial value is 0, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBaseLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetBaseLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxLevel */
    if ( strcmp ( argv[2], "SetMaxLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxLevel */
    Tcl_DStringAppendElement ( &dString, " Level of detail of the first texture image. A texture object is a list of\n texture images. It is a non-negative integer value.\n Initial value is 1000, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxLevel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetMaxLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxLevel */
    if ( strcmp ( argv[2], "GetMaxLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxLevel */
    Tcl_DStringAppendElement ( &dString, " Level of detail of the first texture image. A texture object is a list of\n texture images. It is a non-negative integer value.\n Initial value is 1000, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetMaxLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthTextureCompare */
    if ( strcmp ( argv[2], "GetDepthTextureCompare" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthTextureCompare" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthTextureCompare */
    Tcl_DStringAppendElement ( &dString, " Tells if the output of a texture unit with a depth texture uses\n comparison or not.\n Comparison happens between D_t the depth texture value in the range \\[0,1\\]\n and with R the interpolated third texture coordinate clamped to range\n \\[0,1\\]. The result of the comparison is noted `r'. If this flag is false,\n r=D_t.\n Initial value is false, as in OpenGL spec.\n Ignored if the texture object is not a depth texture.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDepthTextureCompare();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetDepthTextureCompare */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthTextureCompare */
    if ( strcmp ( argv[2], "SetDepthTextureCompare" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthTextureCompare" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthTextureCompare */
    Tcl_DStringAppendElement ( &dString, " Tells if the output of a texture unit with a depth texture uses\n comparison or not.\n Comparison happens between D_t the depth texture value in the range \\[0,1\\]\n and with R the interpolated third texture coordinate clamped to range\n \\[0,1\\]. The result of the comparison is noted `r'. If this flag is false,\n r=D_t.\n Initial value is false, as in OpenGL spec.\n Ignored if the texture object is not a depth texture.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthTextureCompare(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetDepthTextureCompare */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthTextureCompareFunction */
    if ( strcmp ( argv[2], "GetDepthTextureCompareFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthTextureCompareFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthTextureCompareFunction */
    Tcl_DStringAppendElement ( &dString, " In case DepthTextureCompare is true, specify the comparison function in\n use. The result of the comparison is noted `r'.\n Valid values are:\n - Value\n - Lequal: r=R<=Dt ? 1.0 : 0.0\n - Gequal: r=R>=Dt ? 1.0 : 0.0\n - Less: r=R<D_t ? 1.0 : 0.0\n - Greater: r=R>Dt ? 1.0 : 0.0\n - Equal: r=R==Dt ? 1.0 : 0.0\n - NotEqual: r=R!=Dt ? 1.0 : 0.0\n - AlwaysTrue: r=1.0\n - Never: r=0.0\n If the magnification of minification factor are not nearest, percentage\n closer filtering (PC ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDepthTextureCompareFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetDepthTextureCompareFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthTextureCompareFunction */
    if ( strcmp ( argv[2], "SetDepthTextureCompareFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthTextureCompareFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthTextureCompareFunction */
    Tcl_DStringAppendElement ( &dString, " In case DepthTextureCompare is true, specify the comparison function in\n use. The result of the comparison is noted `r'.\n Valid values are:\n - Value\n - Lequal: r=R<=Dt ? 1.0 : 0.0\n - Gequal: r=R>=Dt ? 1.0 : 0.0\n - Less: r=R<D_t ? 1.0 : 0.0\n - Greater: r=R>Dt ? 1.0 : 0.0\n - Equal: r=R==Dt ? 1.0 : 0.0\n - NotEqual: r=R!=Dt ? 1.0 : 0.0\n - AlwaysTrue: r=1.0\n - Never: r=0.0\n If the magnification of minification factor are not nearest, percentage\n closer filtering (PC ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthTextureCompareFunction(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetDepthTextureCompareFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthTextureMode */
    if ( strcmp ( argv[2], "GetDepthTextureMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthTextureMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthTextureMode */
    Tcl_DStringAppendElement ( &dString, " Defines the mapping from depth component `r' to RGBA components.\n Ignored if the texture object is not a depth texture.\n Valid modes are:\n - Luminance: (R,G,B,A)=(r,r,r,1)\n - Intensity: (R,G,B,A)=(r,r,r,r)\n - Alpha: (R.G.B.A)=(0,0,0,r)\n Initial value is Luminance, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDepthTextureMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetDepthTextureMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDepthTextureMode */
    if ( strcmp ( argv[2], "SetDepthTextureMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDepthTextureMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDepthTextureMode */
    Tcl_DStringAppendElement ( &dString, " Defines the mapping from depth component `r' to RGBA components.\n Ignored if the texture object is not a depth texture.\n Valid modes are:\n - Luminance: (R,G,B,A)=(r,r,r,1)\n - Intensity: (R,G,B,A)=(r,r,r,r)\n - Alpha: (R.G.B.A)=(0,0,0,r)\n Initial value is Luminance, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDepthTextureMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetDepthTextureMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateMipmap */
    if ( strcmp ( argv[2], "GetGenerateMipmap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateMipmap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateMipmap */
    Tcl_DStringAppendElement ( &dString, " Tells the hardware to generate mipmap textures from the first texture\n image at BaseLevel.\n Initial value is false, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetGenerateMipmap();" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for GetGenerateMipmap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateMipmap */
    if ( strcmp ( argv[2], "SetGenerateMipmap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateMipmap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateMipmap */
    Tcl_DStringAppendElement ( &dString, " Tells the hardware to generate mipmap textures from the first texture\n image at BaseLevel.\n Initial value is false, as in OpenGL spec.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateMipmap(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for SetGenerateMipmap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsSupported */
    if ( strcmp ( argv[2], "IsSupported" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsSupported" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsSupported */
    Tcl_DStringAppendElement ( &dString, " Returns if the context supports the required extensions.\n" );
    Tcl_DStringAppendElement ( &dString, "static bool IsSupported(vtkRenderWindow *renWin);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for IsSupported */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyToFrameBuffer */
    if ( strcmp ( argv[2], "CopyToFrameBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyToFrameBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyToFrameBuffer */
    Tcl_DStringAppendElement ( &dString, " Copy a sub-part of the texture (src) in the current framebuffer\n at location (dstXmin,dstYmin). (dstXmin,dstYmin) is the location of the\n lower left corner of the rectangle. width and height are the dimensions\n of the framebuffer.\n - texture coordinates are sent on texture coordinate processing unit 0.\n - if the fixed-pipeline fragment shader is used, texturing has to be set\n on texture image unit 0 and the texture object has to be bound on texture\n image unit 0.\n - ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyToFrameBuffer(int srcXmin, int srcYmin, int srcXmax, int srcYmax, int dstXmin, int dstYmin, int width, int height);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for CopyToFrameBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyFromFrameBuffer */
    if ( strcmp ( argv[2], "CopyFromFrameBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyFromFrameBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyFromFrameBuffer */
    Tcl_DStringAppendElement ( &dString, " Copy a sub-part of a logical buffer of the framebuffer (color or depth)\n to the texture object. src is the framebuffer, dst is the texture.\n (srcXmin,srcYmin) is the location of the lower left corner of the\n rectangle in the framebuffer. (dstXmin,dstYmin) is the location of the\n lower left corner of the rectangle in the texture. width and height\n specifies the size of the rectangle in pixels.\n If the logical buffer is a color buffer, it has to be selected first with\n ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CopyFromFrameBuffer(int srcXmin, int srcYmin, int dstXmin, int dstYmin, int width, int height);" );
    Tcl_DStringAppendElement ( &dString, "vtkTextureObject" );
    /* Closing for CopyFromFrameBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
