// tcl wrapper for vtkTransformInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTransformInterpolator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTransformInterpolatorNewCommand()
{
  vtkTransformInterpolator *temp = vtkTransformInterpolator::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTransformInterpolatorCppCommand(vtkTransformInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTransformInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTransformInterpolatorCppCommand(static_cast<vtkTransformInterpolator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTransformInterpolatorCppCommand(vtkTransformInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTransformInterpolator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTransformInterpolator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransformInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTransformInterpolator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransformInterpolator");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTransformInterpolator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTransformInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTransforms",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTransforms();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumT",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumT();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumT",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumT();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddTransform",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkTransform  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkTransform"),interp,error));
    if (!error)
    {
    op->AddTransform(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTransform",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkMatrix4x4  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->AddTransform(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddTransform",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkProp3D  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkProp3D *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkProp3D"),interp,error));
    if (!error)
    {
    op->AddTransform(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveTransform",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->RemoveTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateTransform",argv[1]))&&(argc == 4))
    {
    double   temp0;
    vtkTransform  *temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkTransform *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkTransform"),interp,error));
    if (!error)
    {
    op->InterpolateTransform(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInterpolationType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInterpolationType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInterpolationTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInterpolationType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInterpolationType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToLinear",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToSpline",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToSpline();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInterpolationTypeToManual",argv[1]))&&(argc == 2))
    {
    op->SetInterpolationTypeToManual();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPositionInterpolator",argv[1]))&&(argc == 3))
    {
    vtkTupleInterpolator  *temp0;
    error = 0;

    temp0 = (vtkTupleInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTupleInterpolator"),interp,error));
    if (!error)
    {
    op->SetPositionInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPositionInterpolator",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->GetPositionInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SetScaleInterpolator",argv[1]))&&(argc == 3))
    {
    vtkTupleInterpolator  *temp0;
    error = 0;

    temp0 = (vtkTupleInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTupleInterpolator"),interp,error));
    if (!error)
    {
    op->SetScaleInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleInterpolator",argv[1]))&&(argc == 2))
    {
    vtkTupleInterpolator  *temp20;
    temp20 = (op)->GetScaleInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTupleInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SetRotationInterpolator",argv[1]))&&(argc == 3))
    {
    vtkQuaternionInterpolator  *temp0;
    error = 0;

    temp0 = (vtkQuaternionInterpolator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkQuaternionInterpolator"),interp,error));
    if (!error)
    {
    op->SetRotationInterpolator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRotationInterpolator",argv[1]))&&(argc == 2))
    {
    vtkQuaternionInterpolator  *temp20;
    temp20 = (op)->GetRotationInterpolator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkQuaternionInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTransformInterpolatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTransformInterpolator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTransforms\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumT\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumT\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  AddTransform\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTransform\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AddTransform\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateTransform\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInterpolationType\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToSpline\n",NULL);
    Tcl_AppendResult(interp,"  SetInterpolationTypeToManual\n",NULL);
    Tcl_AppendResult(interp,"  SetPositionInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPositionInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  SetRotationInterpolator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRotationInterpolator\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTransforms" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumT" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumT" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "AddTransform" );
    Tcl_DStringAppendElement ( &dString, "AddTransform" );
    Tcl_DStringAppendElement ( &dString, "AddTransform" );
    Tcl_DStringAppendElement ( &dString, "RemoveTransform" );
    Tcl_DStringAppendElement ( &dString, "InterpolateTransform" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationType" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationType" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToSpline" );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToManual" );
    Tcl_DStringAppendElement ( &dString, "SetPositionInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetPositionInterpolator" );
    Tcl_DStringAppendElement ( &dString, "SetScaleInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetScaleInterpolator" );
    Tcl_DStringAppendElement ( &dString, "SetRotationInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetRotationInterpolator" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkTransformInterpolator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTransforms */
    if ( strcmp ( argv[2], "GetNumberOfTransforms" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTransforms" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTransforms */
    Tcl_DStringAppendElement ( &dString, " Return the number of transforms in the list of transforms.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTransforms();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetNumberOfTransforms */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumT */
    if ( strcmp ( argv[2], "GetMinimumT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumT */
    Tcl_DStringAppendElement ( &dString, " Obtain some information about the interpolation range. The numbers\n returned (corresponding to parameter t, usually thought of as time)\n are undefined if the list of transforms is empty.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumT();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetMinimumT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumT */
    if ( strcmp ( argv[2], "GetMaximumT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumT */
    Tcl_DStringAppendElement ( &dString, " Obtain some information about the interpolation range. The numbers\n returned (corresponding to parameter t, usually thought of as time)\n are undefined if the list of transforms is empty.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumT();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetMaximumT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Clear the list of transforms.\n" );
    Tcl_DStringAppendElement ( &dString, "void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTransform */
    if ( strcmp ( argv[2], "AddTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTransform */
    Tcl_DStringAppendElement ( &dString, " Add another transform to the list of transformations defining\n the transform function. Note that using the same time t value\n more than once replaces the previous transform value at t.\n At least two transforms must be added to define a function.\n There are variants to this method depending on whether you are\n adding a vtkTransform, vtkMaxtirx4x4, and/or vtkProp3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddTransform(double t, vtkTransform *xform);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for AddTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTransform */
    if ( strcmp ( argv[2], "AddTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTransform */
    Tcl_DStringAppendElement ( &dString, " Add another transform to the list of transformations defining\n the transform function. Note that using the same time t value\n more than once replaces the previous transform value at t.\n At least two transforms must be added to define a function.\n There are variants to this method depending on whether you are\n adding a vtkTransform, vtkMaxtirx4x4, and/or vtkProp3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddTransform(double t, vtkMatrix4x4 *matrix);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for AddTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddTransform */
    if ( strcmp ( argv[2], "AddTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkProp3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddTransform */
    Tcl_DStringAppendElement ( &dString, " Add another transform to the list of transformations defining\n the transform function. Note that using the same time t value\n more than once replaces the previous transform value at t.\n At least two transforms must be added to define a function.\n There are variants to this method depending on whether you are\n adding a vtkTransform, vtkMaxtirx4x4, and/or vtkProp3D.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddTransform(double t, vtkProp3D *prop3D);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for AddTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveTransform */
    if ( strcmp ( argv[2], "RemoveTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveTransform */
    Tcl_DStringAppendElement ( &dString, " Delete the transform at a particular parameter t. If there is no\n transform defined at location t, then the method does nothing.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveTransform(double t);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for RemoveTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateTransform */
    if ( strcmp ( argv[2], "InterpolateTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateTransform */
    Tcl_DStringAppendElement ( &dString, " Interpolate the list of transforms and determine a new transform (i.e.,\n fill in the transformation provided). If t is outside the range of\n (min,max) values, then t is clamped.\n" );
    Tcl_DStringAppendElement ( &dString, "void InterpolateTransform(double t, vtkTransform *xform);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for InterpolateTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationType */
    if ( strcmp ( argv[2], "SetInterpolationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationType */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for SetInterpolationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationTypeMinValue */
    if ( strcmp ( argv[2], "GetInterpolationTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetInterpolationTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationTypeMaxValue */
    if ( strcmp ( argv[2], "GetInterpolationTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetInterpolationTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInterpolationType */
    if ( strcmp ( argv[2], "GetInterpolationType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInterpolationType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInterpolationType */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInterpolationType();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetInterpolationType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToLinear */
    if ( strcmp ( argv[2], "SetInterpolationTypeToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToLinear */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToLinear();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for SetInterpolationTypeToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToSpline */
    if ( strcmp ( argv[2], "SetInterpolationTypeToSpline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToSpline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToSpline */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToSpline();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for SetInterpolationTypeToSpline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInterpolationTypeToManual */
    if ( strcmp ( argv[2], "SetInterpolationTypeToManual" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInterpolationTypeToManual" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInterpolationTypeToManual */
    Tcl_DStringAppendElement ( &dString, " These are convenience methods to switch between linear and spline\n interpolation. The methods simply forward the request for linear or\n spline interpolation to the position, scale and orientation\n interpolators. Note that if the InterpolationType is set to \"Manual\",\n then the interpolators are expected to be directly manipulated and\n this class does not forward the request for interpolation type to its\n interpolators.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInterpolationTypeToManual();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for SetInterpolationTypeToManual */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPositionInterpolator */
    if ( strcmp ( argv[2], "SetPositionInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPositionInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPositionInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the position portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPositionInterpolator(vtkTupleInterpolator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for SetPositionInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPositionInterpolator */
    if ( strcmp ( argv[2], "GetPositionInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPositionInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPositionInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the position portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator *GetPositionInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetPositionInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleInterpolator */
    if ( strcmp ( argv[2], "SetScaleInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the scale portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScaleInterpolator(vtkTupleInterpolator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for SetScaleInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleInterpolator */
    if ( strcmp ( argv[2], "GetScaleInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the scale portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTupleInterpolator *GetScaleInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetScaleInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRotationInterpolator */
    if ( strcmp ( argv[2], "SetRotationInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRotationInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkQuaternionInterpolator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRotationInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the orientation portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRotationInterpolator(vtkQuaternionInterpolator *);" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for SetRotationInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRotationInterpolator */
    if ( strcmp ( argv[2], "GetRotationInterpolator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRotationInterpolator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRotationInterpolator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the tuple interpolator used to interpolate the orientation portion\n of the transformation matrix. Note that you can modify the behavior of\n the interpolator (linear vs spline interpolation; change spline basis)\n by manipulating the interpolator instances.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkQuaternionInterpolator *GetRotationInterpolator();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetRotationInterpolator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Override GetMTime() because we depend on the interpolators which may be\n modified outside of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkTransformInterpolator" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
