// tcl wrapper for vtkViewTheme object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkViewTheme.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkViewThemeNewCommand()
{
  vtkViewTheme *temp = vtkViewTheme::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkViewThemeCppCommand(vtkViewTheme *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkViewThemeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkViewThemeCppCommand(static_cast<vtkViewTheme *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkViewThemeCppCommand(vtkViewTheme *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkViewTheme",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkViewTheme  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkViewTheme");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkViewTheme  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkViewTheme");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkViewTheme  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkViewTheme");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPointSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPointSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLineWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLineWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLineWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPointColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPointColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPointColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPointOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetPointOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPointOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPointHueRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPointHueRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointHueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPointHueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointHueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetPointHueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointSaturationRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPointSaturationRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointSaturationRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPointSaturationRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointSaturationRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetPointSaturationRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointValueRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPointValueRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPointValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetPointValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointAlphaRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPointAlphaRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointAlphaRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPointAlphaRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointAlphaRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetPointAlphaRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetPointLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetPointLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetPointLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScalePointLookupTable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetScalePointLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalePointLookupTable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetScalePointLookupTable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalePointLookupTableOn",argv[1]))&&(argc == 2))
    {
    op->ScalePointLookupTableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalePointLookupTableOff",argv[1]))&&(argc == 2))
    {
    op->ScalePointLookupTableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCellColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCellColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCellColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCellColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetCellOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCellOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCellOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCellHueRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetCellHueRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellHueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetCellHueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellHueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetCellHueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellSaturationRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetCellSaturationRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellSaturationRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetCellSaturationRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellSaturationRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetCellSaturationRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellValueRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetCellValueRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetCellValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellValueRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetCellValueRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellAlphaRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetCellAlphaRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellAlphaRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetCellAlphaRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellAlphaRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetCellAlphaRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetCellLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetCellLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetCellLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetScaleCellLookupTable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetScaleCellLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleCellLookupTable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetScaleCellLookupTable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScaleCellLookupTableOn",argv[1]))&&(argc == 2))
    {
    op->ScaleCellLookupTableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaleCellLookupTableOff",argv[1]))&&(argc == 2))
    {
    op->ScaleCellLookupTableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutlineColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOutlineColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutlineColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOutlineColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutlineColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOutlineColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedPointColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSelectedPointColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectedPointColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSelectedPointColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPointColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSelectedPointColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedPointOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSelectedPointOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPointOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSelectedPointOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedCellColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetSelectedCellColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectedCellColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetSelectedCellColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedCellColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetSelectedCellColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedCellOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSelectedCellOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedCellOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSelectedCellOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetBackgroundColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackgroundColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBackgroundColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackgroundColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBackgroundColor2",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetBackgroundColor2(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBackgroundColor2",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetBackgroundColor2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBackgroundColor2",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBackgroundColor2();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPointTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetPointTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetPointTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetCellTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetCellTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetCellTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetVertexLabelColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetVertexLabelColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertexLabelColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetVertexLabelColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetVertexLabelColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeLabelColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetEdgeLabelColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeLabelColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetEdgeLabelColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetEdgeLabelColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CreateOceanTheme",argv[1]))&&(argc == 2))
    {
    vtkViewTheme  *temp20;
    temp20 = (op)->CreateOceanTheme();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkViewTheme");
    return TCL_OK;
    }
  if ((!strcmp("CreateMellowTheme",argv[1]))&&(argc == 2))
    {
    vtkViewTheme  *temp20;
    temp20 = (op)->CreateMellowTheme();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkViewTheme");
    return TCL_OK;
    }
  if ((!strcmp("CreateNeonTheme",argv[1]))&&(argc == 2))
    {
    vtkViewTheme  *temp20;
    temp20 = (op)->CreateNeonTheme();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkViewTheme");
    return TCL_OK;
    }
  if ((!strcmp("LookupMatchesPointTheme",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    temp20 = (op)->LookupMatchesPointTheme(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("LookupMatchesCellTheme",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    bool   temp20;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    temp20 = (op)->LookupMatchesCellTheme(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkViewThemeCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkViewTheme:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointSize\n",NULL);
    Tcl_AppendResult(interp,"  SetLineWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointColor\n",NULL);
    Tcl_AppendResult(interp,"  SetPointOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetPointHueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointHueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointHueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointSaturationRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointSaturationRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointSaturationRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointAlphaRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointAlphaRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointAlphaRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetPointLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScalePointLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalePointLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  ScalePointLookupTableOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalePointLookupTableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCellColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellColor\n",NULL);
    Tcl_AppendResult(interp,"  SetCellOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetCellHueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellHueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellHueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellSaturationRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellSaturationRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellSaturationRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellValueRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellAlphaRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellAlphaRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellAlphaRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetCellLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleCellLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleCellLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  ScaleCellLookupTableOn\n",NULL);
    Tcl_AppendResult(interp,"  ScaleCellLookupTableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutlineColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutlineColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPointColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPointOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPointOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedCellColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedCellColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedCellColor\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedCellOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedCellOpacity\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundColor\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBackgroundColor2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBackgroundColor2\n",NULL);
    Tcl_AppendResult(interp,"  SetPointTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetCellTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  CreateOceanTheme\n",NULL);
    Tcl_AppendResult(interp,"  CreateMellowTheme\n",NULL);
    Tcl_AppendResult(interp,"  CreateNeonTheme\n",NULL);
    Tcl_AppendResult(interp,"  LookupMatchesPointTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  LookupMatchesCellTheme\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetPointSize" );
    Tcl_DStringAppendElement ( &dString, "GetPointSize" );
    Tcl_DStringAppendElement ( &dString, "SetLineWidth" );
    Tcl_DStringAppendElement ( &dString, "GetLineWidth" );
    Tcl_DStringAppendElement ( &dString, "SetPointColor" );
    Tcl_DStringAppendElement ( &dString, "SetPointColor" );
    Tcl_DStringAppendElement ( &dString, "GetPointColor" );
    Tcl_DStringAppendElement ( &dString, "SetPointOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetPointOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetPointHueRange" );
    Tcl_DStringAppendElement ( &dString, "SetPointHueRange" );
    Tcl_DStringAppendElement ( &dString, "GetPointHueRange" );
    Tcl_DStringAppendElement ( &dString, "SetPointSaturationRange" );
    Tcl_DStringAppendElement ( &dString, "SetPointSaturationRange" );
    Tcl_DStringAppendElement ( &dString, "GetPointSaturationRange" );
    Tcl_DStringAppendElement ( &dString, "SetPointValueRange" );
    Tcl_DStringAppendElement ( &dString, "SetPointValueRange" );
    Tcl_DStringAppendElement ( &dString, "GetPointValueRange" );
    Tcl_DStringAppendElement ( &dString, "SetPointAlphaRange" );
    Tcl_DStringAppendElement ( &dString, "SetPointAlphaRange" );
    Tcl_DStringAppendElement ( &dString, "GetPointAlphaRange" );
    Tcl_DStringAppendElement ( &dString, "GetPointLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetPointLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetScalePointLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetScalePointLookupTable" );
    Tcl_DStringAppendElement ( &dString, "ScalePointLookupTableOn" );
    Tcl_DStringAppendElement ( &dString, "ScalePointLookupTableOff" );
    Tcl_DStringAppendElement ( &dString, "SetCellColor" );
    Tcl_DStringAppendElement ( &dString, "SetCellColor" );
    Tcl_DStringAppendElement ( &dString, "GetCellColor" );
    Tcl_DStringAppendElement ( &dString, "SetCellOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetCellOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetCellHueRange" );
    Tcl_DStringAppendElement ( &dString, "SetCellHueRange" );
    Tcl_DStringAppendElement ( &dString, "GetCellHueRange" );
    Tcl_DStringAppendElement ( &dString, "SetCellSaturationRange" );
    Tcl_DStringAppendElement ( &dString, "SetCellSaturationRange" );
    Tcl_DStringAppendElement ( &dString, "GetCellSaturationRange" );
    Tcl_DStringAppendElement ( &dString, "SetCellValueRange" );
    Tcl_DStringAppendElement ( &dString, "SetCellValueRange" );
    Tcl_DStringAppendElement ( &dString, "GetCellValueRange" );
    Tcl_DStringAppendElement ( &dString, "SetCellAlphaRange" );
    Tcl_DStringAppendElement ( &dString, "SetCellAlphaRange" );
    Tcl_DStringAppendElement ( &dString, "GetCellAlphaRange" );
    Tcl_DStringAppendElement ( &dString, "GetCellLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetCellLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetScaleCellLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetScaleCellLookupTable" );
    Tcl_DStringAppendElement ( &dString, "ScaleCellLookupTableOn" );
    Tcl_DStringAppendElement ( &dString, "ScaleCellLookupTableOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutlineColor" );
    Tcl_DStringAppendElement ( &dString, "SetOutlineColor" );
    Tcl_DStringAppendElement ( &dString, "GetOutlineColor" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointColor" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointColor" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointColor" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellColor" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellColor" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedCellColor" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedCellOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundColor" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor2" );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor2" );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundColor2" );
    Tcl_DStringAppendElement ( &dString, "SetPointTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetPointTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetCellTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetCellTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelColor" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelColor" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelColor" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelColor" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelColor" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelColor" );
    Tcl_DStringAppendElement ( &dString, "CreateOceanTheme" );
    Tcl_DStringAppendElement ( &dString, "CreateMellowTheme" );
    Tcl_DStringAppendElement ( &dString, "CreateNeonTheme" );
    Tcl_DStringAppendElement ( &dString, "LookupMatchesPointTheme" );
    Tcl_DStringAppendElement ( &dString, "LookupMatchesCellTheme" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkViewTheme *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointSize */
    if ( strcmp ( argv[2], "SetPointSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointSize */
    Tcl_DStringAppendElement ( &dString, " The size of points or vertices\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointSize(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointSize */
    if ( strcmp ( argv[2], "GetPointSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointSize */
    Tcl_DStringAppendElement ( &dString, " The size of points or vertices\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPointSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetPointSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineWidth */
    if ( strcmp ( argv[2], "SetLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineWidth */
    Tcl_DStringAppendElement ( &dString, " The width of lines or edges\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineWidth(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineWidth */
    if ( strcmp ( argv[2], "GetLineWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineWidth */
    Tcl_DStringAppendElement ( &dString, " The width of lines or edges\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLineWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetLineWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointColor */
    if ( strcmp ( argv[2], "SetPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPointColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointColor */
    if ( strcmp ( argv[2], "SetPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPointColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointColor */
    if ( strcmp ( argv[2], "GetPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetPointColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointOpacity */
    if ( strcmp ( argv[2], "SetPointOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointOpacity */
    Tcl_DStringAppendElement ( &dString, " The color and opacity of points or vertices when not mapped through\n a lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointOpacity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointOpacity */
    if ( strcmp ( argv[2], "GetPointOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointOpacity */
    Tcl_DStringAppendElement ( &dString, " The color and opacity of points or vertices when not mapped through\n a lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetPointOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetPointOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointHueRange */
    if ( strcmp ( argv[2], "SetPointHueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointHueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointHueRange */
    Tcl_DStringAppendElement ( &dString, " The ranges to use in the point lookup table.\n You may also do this by accessing the point lookup table directly\n with GetPointLookupTable() and calling these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointHueRange(double mn, double mx);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointHueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointHueRange */
    if ( strcmp ( argv[2], "SetPointHueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointHueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointHueRange */
    Tcl_DStringAppendElement ( &dString, " The ranges to use in the point lookup table.\n You may also do this by accessing the point lookup table directly\n with GetPointLookupTable() and calling these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointHueRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointHueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointHueRange */
    if ( strcmp ( argv[2], "GetPointHueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointHueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointHueRange */
    Tcl_DStringAppendElement ( &dString, " The ranges to use in the point lookup table.\n You may also do this by accessing the point lookup table directly\n with GetPointLookupTable() and calling these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPointHueRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetPointHueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointSaturationRange */
    if ( strcmp ( argv[2], "SetPointSaturationRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointSaturationRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointSaturationRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointSaturationRange(double mn, double mx);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointSaturationRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointSaturationRange */
    if ( strcmp ( argv[2], "SetPointSaturationRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointSaturationRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointSaturationRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointSaturationRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointSaturationRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointSaturationRange */
    if ( strcmp ( argv[2], "GetPointSaturationRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointSaturationRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointSaturationRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPointSaturationRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetPointSaturationRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointValueRange */
    if ( strcmp ( argv[2], "SetPointValueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointValueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointValueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointValueRange(double mn, double mx);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointValueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointValueRange */
    if ( strcmp ( argv[2], "SetPointValueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointValueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointValueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointValueRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointValueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointValueRange */
    if ( strcmp ( argv[2], "GetPointValueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointValueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointValueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPointValueRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetPointValueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointAlphaRange */
    if ( strcmp ( argv[2], "SetPointAlphaRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointAlphaRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointAlphaRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointAlphaRange(double mn, double mx);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointAlphaRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointAlphaRange */
    if ( strcmp ( argv[2], "SetPointAlphaRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointAlphaRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointAlphaRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointAlphaRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointAlphaRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointAlphaRange */
    if ( strcmp ( argv[2], "GetPointAlphaRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointAlphaRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointAlphaRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPointAlphaRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetPointAlphaRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointLookupTable */
    if ( strcmp ( argv[2], "GetPointLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the point lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetPointLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetPointLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointLookupTable */
    if ( strcmp ( argv[2], "SetPointLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the point lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointLookupTable(vtkScalarsToColors *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalePointLookupTable */
    if ( strcmp ( argv[2], "SetScalePointLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalePointLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalePointLookupTable */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the lookup table to fit the range of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScalePointLookupTable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetScalePointLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalePointLookupTable */
    if ( strcmp ( argv[2], "GetScalePointLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalePointLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalePointLookupTable */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the lookup table to fit the range of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetScalePointLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetScalePointLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalePointLookupTableOn */
    if ( strcmp ( argv[2], "ScalePointLookupTableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalePointLookupTableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalePointLookupTableOn */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the lookup table to fit the range of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalePointLookupTableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for ScalePointLookupTableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalePointLookupTableOff */
    if ( strcmp ( argv[2], "ScalePointLookupTableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalePointLookupTableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalePointLookupTableOff */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the lookup table to fit the range of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalePointLookupTableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for ScalePointLookupTableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellColor */
    if ( strcmp ( argv[2], "SetCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCellColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellColor */
    if ( strcmp ( argv[2], "SetCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCellColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellColor */
    if ( strcmp ( argv[2], "GetCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetCellColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellOpacity */
    if ( strcmp ( argv[2], "SetCellOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellOpacity */
    Tcl_DStringAppendElement ( &dString, " The color and opacity of cells or edges when not mapped through\n a lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCellOpacity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellOpacity */
    if ( strcmp ( argv[2], "GetCellOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellOpacity */
    Tcl_DStringAppendElement ( &dString, " The color and opacity of cells or edges when not mapped through\n a lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCellOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetCellOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellHueRange */
    if ( strcmp ( argv[2], "SetCellHueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellHueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellHueRange */
    Tcl_DStringAppendElement ( &dString, " The ranges to use in the cell lookup table.\n You may also do this by accessing the cell lookup table directly\n with GetCellLookupTable() and calling these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellHueRange(double mn, double mx);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellHueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellHueRange */
    if ( strcmp ( argv[2], "SetCellHueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellHueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellHueRange */
    Tcl_DStringAppendElement ( &dString, " The ranges to use in the cell lookup table.\n You may also do this by accessing the cell lookup table directly\n with GetCellLookupTable() and calling these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellHueRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellHueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellHueRange */
    if ( strcmp ( argv[2], "GetCellHueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellHueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellHueRange */
    Tcl_DStringAppendElement ( &dString, " The ranges to use in the cell lookup table.\n You may also do this by accessing the cell lookup table directly\n with GetCellLookupTable() and calling these methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCellHueRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetCellHueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellSaturationRange */
    if ( strcmp ( argv[2], "SetCellSaturationRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellSaturationRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellSaturationRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellSaturationRange(double mn, double mx);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellSaturationRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellSaturationRange */
    if ( strcmp ( argv[2], "SetCellSaturationRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellSaturationRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellSaturationRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellSaturationRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellSaturationRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellSaturationRange */
    if ( strcmp ( argv[2], "GetCellSaturationRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellSaturationRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellSaturationRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCellSaturationRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetCellSaturationRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellValueRange */
    if ( strcmp ( argv[2], "SetCellValueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellValueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellValueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellValueRange(double mn, double mx);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellValueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellValueRange */
    if ( strcmp ( argv[2], "SetCellValueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellValueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellValueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellValueRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellValueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellValueRange */
    if ( strcmp ( argv[2], "GetCellValueRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellValueRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellValueRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCellValueRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetCellValueRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellAlphaRange */
    if ( strcmp ( argv[2], "SetCellAlphaRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellAlphaRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellAlphaRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellAlphaRange(double mn, double mx);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellAlphaRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellAlphaRange */
    if ( strcmp ( argv[2], "SetCellAlphaRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellAlphaRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellAlphaRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellAlphaRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellAlphaRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellAlphaRange */
    if ( strcmp ( argv[2], "GetCellAlphaRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellAlphaRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellAlphaRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCellAlphaRange(double rng\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetCellAlphaRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellLookupTable */
    if ( strcmp ( argv[2], "GetCellLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cell lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetCellLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetCellLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellLookupTable */
    if ( strcmp ( argv[2], "SetCellLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cell lookup table.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellLookupTable(vtkScalarsToColors *lut);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleCellLookupTable */
    if ( strcmp ( argv[2], "SetScaleCellLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleCellLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleCellLookupTable */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the lookup table to fit the range of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleCellLookupTable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetScaleCellLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleCellLookupTable */
    if ( strcmp ( argv[2], "GetScaleCellLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleCellLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleCellLookupTable */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the lookup table to fit the range of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetScaleCellLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetScaleCellLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleCellLookupTableOn */
    if ( strcmp ( argv[2], "ScaleCellLookupTableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleCellLookupTableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleCellLookupTableOn */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the lookup table to fit the range of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleCellLookupTableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for ScaleCellLookupTableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleCellLookupTableOff */
    if ( strcmp ( argv[2], "ScaleCellLookupTableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleCellLookupTableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleCellLookupTableOff */
    Tcl_DStringAppendElement ( &dString, " Whether to scale the lookup table to fit the range of the data.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleCellLookupTableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for ScaleCellLookupTableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutlineColor */
    if ( strcmp ( argv[2], "SetOutlineColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutlineColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutlineColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutlineColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetOutlineColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutlineColor */
    if ( strcmp ( argv[2], "SetOutlineColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutlineColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutlineColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetOutlineColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetOutlineColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutlineColor */
    if ( strcmp ( argv[2], "GetOutlineColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutlineColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutlineColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetOutlineColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetOutlineColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedPointColor */
    if ( strcmp ( argv[2], "SetSelectedPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedPointColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetSelectedPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedPointColor */
    if ( strcmp ( argv[2], "SetSelectedPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedPointColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetSelectedPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPointColor */
    if ( strcmp ( argv[2], "GetSelectedPointColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPointColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetSelectedPointColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetSelectedPointColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedPointOpacity */
    if ( strcmp ( argv[2], "SetSelectedPointOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPointOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedPointOpacity */
    Tcl_DStringAppendElement ( &dString, " The color of selected points or vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedPointOpacity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetSelectedPointOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPointOpacity */
    if ( strcmp ( argv[2], "GetSelectedPointOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPointOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPointOpacity */
    Tcl_DStringAppendElement ( &dString, " The color of selected points or vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSelectedPointOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetSelectedPointOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedCellColor */
    if ( strcmp ( argv[2], "SetSelectedCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedCellColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetSelectedCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedCellColor */
    if ( strcmp ( argv[2], "SetSelectedCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedCellColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetSelectedCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedCellColor */
    if ( strcmp ( argv[2], "GetSelectedCellColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedCellColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedCellColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetSelectedCellColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetSelectedCellColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedCellOpacity */
    if ( strcmp ( argv[2], "SetSelectedCellOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedCellOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedCellOpacity */
    Tcl_DStringAppendElement ( &dString, " The color of selected cells or edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedCellOpacity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetSelectedCellOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedCellOpacity */
    if ( strcmp ( argv[2], "GetSelectedCellOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedCellOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedCellOpacity */
    Tcl_DStringAppendElement ( &dString, " The color of selected cells or edges.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSelectedCellOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetSelectedCellOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundColor */
    if ( strcmp ( argv[2], "SetBackgroundColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetBackgroundColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundColor */
    if ( strcmp ( argv[2], "SetBackgroundColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetBackgroundColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundColor */
    if ( strcmp ( argv[2], "GetBackgroundColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetBackgroundColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetBackgroundColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundColor2 */
    if ( strcmp ( argv[2], "SetBackgroundColor2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundColor2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundColor2(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetBackgroundColor2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBackgroundColor2 */
    if ( strcmp ( argv[2], "SetBackgroundColor2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBackgroundColor2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBackgroundColor2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBackgroundColor2(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetBackgroundColor2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBackgroundColor2 */
    if ( strcmp ( argv[2], "GetBackgroundColor2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBackgroundColor2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBackgroundColor2 */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetBackgroundColor2();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetBackgroundColor2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointTextProperty */
    if ( strcmp ( argv[2], "SetPointTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointTextProperty */
    Tcl_DStringAppendElement ( &dString, " The text property to use for labelling points/vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointTextProperty(vtkTextProperty *tprop);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetPointTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointTextProperty */
    if ( strcmp ( argv[2], "GetPointTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointTextProperty */
    Tcl_DStringAppendElement ( &dString, " The text property to use for labelling points/vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetPointTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetPointTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellTextProperty */
    if ( strcmp ( argv[2], "SetCellTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellTextProperty */
    Tcl_DStringAppendElement ( &dString, " The text property to use for labelling edges/cells.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellTextProperty(vtkTextProperty *tprop);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetCellTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellTextProperty */
    if ( strcmp ( argv[2], "GetCellTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellTextProperty */
    Tcl_DStringAppendElement ( &dString, " The text property to use for labelling edges/cells.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetCellTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetCellTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelColor */
    if ( strcmp ( argv[2], "SetVertexLabelColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelColor */
    Tcl_DStringAppendElement ( &dString, " The color to use for labelling graph vertices.\n This is deprecated. Use GetPointTextProperty()->SetColor() instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexLabelColor(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetVertexLabelColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelColor */
    if ( strcmp ( argv[2], "SetVertexLabelColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelColor */
    Tcl_DStringAppendElement ( &dString, " The color to use for labelling graph vertices.\n This is deprecated. Use GetPointTextProperty()->SetColor() instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexLabelColor(double c\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetVertexLabelColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelColor */
    if ( strcmp ( argv[2], "GetVertexLabelColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelColor */
    Tcl_DStringAppendElement ( &dString, " The color to use for labelling graph vertices.\n This is deprecated. Use GetPointTextProperty()->SetColor() instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetVertexLabelColor(double c\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetVertexLabelColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelColor */
    if ( strcmp ( argv[2], "SetEdgeLabelColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelColor */
    Tcl_DStringAppendElement ( &dString, " The color to use for labelling graph edges.\n This is deprecated. Use GetCellTextProperty()->SetColor() instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLabelColor(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetEdgeLabelColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelColor */
    if ( strcmp ( argv[2], "SetEdgeLabelColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelColor */
    Tcl_DStringAppendElement ( &dString, " The color to use for labelling graph edges.\n This is deprecated. Use GetCellTextProperty()->SetColor() instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLabelColor(double c\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for SetEdgeLabelColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelColor */
    if ( strcmp ( argv[2], "GetEdgeLabelColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelColor */
    Tcl_DStringAppendElement ( &dString, " The color to use for labelling graph edges.\n This is deprecated. Use GetCellTextProperty()->SetColor() instead.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetEdgeLabelColor(double c\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for GetEdgeLabelColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateOceanTheme */
    if ( strcmp ( argv[2], "CreateOceanTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateOceanTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateOceanTheme */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for creating some default view themes.\n The return reference is reference-counted, so you will have to call\n Delete() on the reference when you are finished with it.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkViewTheme *CreateOceanTheme();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for CreateOceanTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateMellowTheme */
    if ( strcmp ( argv[2], "CreateMellowTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateMellowTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateMellowTheme */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for creating some default view themes.\n The return reference is reference-counted, so you will have to call\n Delete() on the reference when you are finished with it.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkViewTheme *CreateMellowTheme();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for CreateMellowTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateNeonTheme */
    if ( strcmp ( argv[2], "CreateNeonTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateNeonTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateNeonTheme */
    Tcl_DStringAppendElement ( &dString, " Convenience methods for creating some default view themes.\n The return reference is reference-counted, so you will have to call\n Delete() on the reference when you are finished with it.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkViewTheme *CreateNeonTheme();" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for CreateNeonTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LookupMatchesPointTheme */
    if ( strcmp ( argv[2], "LookupMatchesPointTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LookupMatchesPointTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LookupMatchesPointTheme */
    Tcl_DStringAppendElement ( &dString, " Whether a given lookup table matches the point or cell theme of this\n theme.\n" );
    Tcl_DStringAppendElement ( &dString, "bool LookupMatchesPointTheme(vtkScalarsToColors *s2c);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for LookupMatchesPointTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LookupMatchesCellTheme */
    if ( strcmp ( argv[2], "LookupMatchesCellTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LookupMatchesCellTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LookupMatchesCellTheme */
    Tcl_DStringAppendElement ( &dString, " Whether a given lookup table matches the point or cell theme of this\n theme.\n" );
    Tcl_DStringAppendElement ( &dString, "bool LookupMatchesCellTheme(vtkScalarsToColors *s2c);" );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    /* Closing for LookupMatchesCellTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
