// tcl wrapper for vtkVisibilitySort object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVisibilitySort.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVisibilitySortCppCommand(vtkVisibilitySort *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVisibilitySortCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVisibilitySortCppCommand(static_cast<vtkVisibilitySort *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVisibilitySortCppCommand(vtkVisibilitySort *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVisibilitySort",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVisibilitySort  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVisibilitySort");
    return TCL_OK;
    }
  if ((!strcmp("InitTraversal",argv[1]))&&(argc == 2))
    {
    op->InitTraversal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNextCells",argv[1]))&&(argc == 2))
    {
    vtkIdTypeArray  *temp20;
    temp20 = (op)->GetNextCells();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIdTypeArray");
    return TCL_OK;
    }
  if ((!strcmp("SetMaxCellsReturned",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaxCellsReturned(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaxCellsReturnedMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxCellsReturnedMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxCellsReturnedMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxCellsReturnedMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaxCellsReturned",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaxCellsReturned();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetModelTransform",argv[1]))&&(argc == 3))
    {
    vtkMatrix4x4  *temp0;
    error = 0;

    temp0 = (vtkMatrix4x4 *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkMatrix4x4"),interp,error));
    if (!error)
    {
    op->SetModelTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModelTransform",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetModelTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("GetInverseModelTransform",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetInverseModelTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkDataSet  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSet");
    return TCL_OK;
    }
  if ((!strcmp("GetDirection",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDirection();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDirection",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDirection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDirectionToBackToFront",argv[1]))&&(argc == 2))
    {
    op->SetDirectionToBackToFront();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionToFrontToBack",argv[1]))&&(argc == 2))
    {
    op->SetDirectionToFrontToBack();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Register",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->Register(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVisibilitySortCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVisibilitySort:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  InitTraversal\n",NULL);
    Tcl_AppendResult(interp,"  GetNextCells\n",NULL);
    Tcl_AppendResult(interp,"  SetMaxCellsReturned\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxCellsReturnedMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxCellsReturnedMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaxCellsReturned\n",NULL);
    Tcl_AppendResult(interp,"  SetModelTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetModelTransform\n",NULL);
    Tcl_AppendResult(interp,"  GetInverseModelTransform\n",NULL);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCamera\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  GetDirection\n",NULL);
    Tcl_AppendResult(interp,"  SetDirection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionToBackToFront\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionToFrontToBack\n",NULL);
    Tcl_AppendResult(interp,"  Register\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "InitTraversal" );
    Tcl_DStringAppendElement ( &dString, "GetNextCells" );
    Tcl_DStringAppendElement ( &dString, "SetMaxCellsReturned" );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellsReturnedMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellsReturnedMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellsReturned" );
    Tcl_DStringAppendElement ( &dString, "SetModelTransform" );
    Tcl_DStringAppendElement ( &dString, "GetModelTransform" );
    Tcl_DStringAppendElement ( &dString, "GetInverseModelTransform" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "GetDirection" );
    Tcl_DStringAppendElement ( &dString, "SetDirection" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToBackToFront" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToFrontToBack" );
    Tcl_DStringAppendElement ( &dString, "Register" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitTraversal */
    if ( strcmp ( argv[2], "InitTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitTraversal */
    Tcl_DStringAppendElement ( &dString, " To facilitate incremental sorting algorithms, the cells are retrieved\n in an iteration process.  That is, call InitTraversal to start the\n iteration and call GetNextCells to get the cell IDs in order.\n However, for efficiencies sake, GetNextCells returns an ordered list\n of several id's in once call (but not necessarily all).  GetNextCells\n will return NULL once the entire sorted list is output.  The\n vtkIdTypeArray returned from GetNextCells is a cached array, so do  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitTraversal() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for InitTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNextCells */
    if ( strcmp ( argv[2], "GetNextCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNextCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNextCells */
    Tcl_DStringAppendElement ( &dString, " To facilitate incremental sorting algorithms, the cells are retrieved\n in an iteration process.  That is, call InitTraversal to start the\n iteration and call GetNextCells to get the cell IDs in order.\n However, for efficiencies sake, GetNextCells returns an ordered list\n of several id's in once call (but not necessarily all).  GetNextCells\n will return NULL once the entire sorted list is output.  The\n vtkIdTypeArray returned from GetNextCells is a cached array, so do  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdTypeArray *GetNextCells() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for GetNextCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaxCellsReturned */
    if ( strcmp ( argv[2], "SetMaxCellsReturned" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaxCellsReturned" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaxCellsReturned */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of cells that GetNextCells will return\n in one invocation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaxCellsReturned(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for SetMaxCellsReturned */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxCellsReturnedMinValue */
    if ( strcmp ( argv[2], "GetMaxCellsReturnedMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellsReturnedMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxCellsReturnedMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of cells that GetNextCells will return\n in one invocation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxCellsReturnedMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for GetMaxCellsReturnedMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxCellsReturnedMaxValue */
    if ( strcmp ( argv[2], "GetMaxCellsReturnedMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellsReturnedMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxCellsReturnedMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of cells that GetNextCells will return\n in one invocation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxCellsReturnedMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for GetMaxCellsReturnedMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaxCellsReturned */
    if ( strcmp ( argv[2], "GetMaxCellsReturned" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaxCellsReturned" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaxCellsReturned */
    Tcl_DStringAppendElement ( &dString, " Set/Get the maximum number of cells that GetNextCells will return\n in one invocation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaxCellsReturned();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for GetMaxCellsReturned */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModelTransform */
    if ( strcmp ( argv[2], "SetModelTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModelTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModelTransform */
    Tcl_DStringAppendElement ( &dString, " Set/Get the matrix that transforms from object space to world space.\n Generally, you get this matrix from a call to GetMatrix of a vtkProp3D\n (vtkActor).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetModelTransform(vtkMatrix4x4 *mat);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for SetModelTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetModelTransform */
    if ( strcmp ( argv[2], "GetModelTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModelTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModelTransform */
    Tcl_DStringAppendElement ( &dString, " Set/Get the matrix that transforms from object space to world space.\n Generally, you get this matrix from a call to GetMatrix of a vtkProp3D\n (vtkActor).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *GetModelTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for GetModelTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInverseModelTransform */
    if ( strcmp ( argv[2], "GetInverseModelTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInverseModelTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInverseModelTransform */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *GetInverseModelTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for GetInverseModelTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera that specifies the viewing parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCamera(vtkCamera *camera);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera that specifies the viewing parameters.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data set containing the cells to sort.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput(vtkDataSet *data);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the data set containing the cells to sort.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirection */
    if ( strcmp ( argv[2], "GetDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirection */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sorting direction.  Be default, the direction is set\n to back to front.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDirection();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for GetDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirection */
    if ( strcmp ( argv[2], "SetDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirection */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sorting direction.  Be default, the direction is set\n to back to front.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirection(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for SetDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionToBackToFront */
    if ( strcmp ( argv[2], "SetDirectionToBackToFront" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToBackToFront" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionToBackToFront */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sorting direction.  Be default, the direction is set\n to back to front.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionToBackToFront();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for SetDirectionToBackToFront */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionToFrontToBack */
    if ( strcmp ( argv[2], "SetDirectionToFrontToBack" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionToFrontToBack" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionToFrontToBack */
    Tcl_DStringAppendElement ( &dString, " Set/Get the sorting direction.  Be default, the direction is set\n to back to front.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionToFrontToBack();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for SetDirectionToFrontToBack */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Register */
    if ( strcmp ( argv[2], "Register" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Register" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Register */
    Tcl_DStringAppendElement ( &dString, " Overwritten to enable garbage collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Register(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for Register */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, " Overwritten to enable garbage collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnRegister(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibilitySort" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
