// tcl wrapper for vtkVisibleCellSelector object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVisibleCellSelector.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVisibleCellSelectorNewCommand()
{
  vtkVisibleCellSelector *temp = vtkVisibleCellSelector::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVisibleCellSelectorCppCommand(vtkVisibleCellSelector *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVisibleCellSelectorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVisibleCellSelectorCppCommand(static_cast<vtkVisibleCellSelector *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVisibleCellSelectorCppCommand(vtkVisibleCellSelector *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVisibleCellSelector",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVisibleCellSelector  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVisibleCellSelector");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVisibleCellSelector  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVisibleCellSelector");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVisibleCellSelector  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVisibleCellSelector");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetArea",argv[1]))&&(argc == 6))
    {
    unsigned int      temp0;
    unsigned int      temp1;
    unsigned int      temp2;
    unsigned int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetArea(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProcessorId",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetProcessorId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProcessorId",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetProcessorId();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderPasses",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetRenderPasses(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Select",argv[1]))&&(argc == 2))
    {
    op->Select();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedIds",argv[1]))&&(argc == 3))
    {
    vtkIdTypeArray  *temp0;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->GetSelectedIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedIds",argv[1]))&&(argc == 3))
    {
    vtkSelection  *temp0;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->GetSelectedIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedVertices",argv[1]))&&(argc == 4))
    {
    vtkIdTypeArray  *temp0;
    vtkIdTypeArray  *temp1;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    temp1 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->GetSelectedVertices(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActorFromId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    vtkProp  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetActorFromId(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProp");
    return TCL_OK;
    }
    }
  if ((!strcmp("PrintSelectedIds",argv[1]))&&(argc == 3))
    {
    vtkIdTypeArray  *temp0;
    error = 0;

    temp0 = (vtkIdTypeArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkIdTypeArray"),interp,error));
    if (!error)
    {
    op->PrintSelectedIds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVisibleCellSelectorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVisibleCellSelector:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetArea\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessorId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessorId\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderPasses\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  Select\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedIds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedVertices\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActorFromId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PrintSelectedIds\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    Tcl_DStringAppendElement ( &dString, "SetArea" );
    Tcl_DStringAppendElement ( &dString, "SetProcessorId" );
    Tcl_DStringAppendElement ( &dString, "GetProcessorId" );
    Tcl_DStringAppendElement ( &dString, "SetRenderPasses" );
    Tcl_DStringAppendElement ( &dString, "Select" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedIds" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedIds" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedVertices" );
    Tcl_DStringAppendElement ( &dString, "GetActorFromId" );
    Tcl_DStringAppendElement ( &dString, "PrintSelectedIds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkVisibleCellSelector *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderer */
    if ( strcmp ( argv[2], "SetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderer */
    Tcl_DStringAppendElement ( &dString, " Call to let this know where to select within.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderer(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for SetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArea */
    if ( strcmp ( argv[2], "SetArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArea */
    Tcl_DStringAppendElement ( &dString, " Call to set the selection area region.\n This crops the selected area to the renderers pixel limits.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArea(unsigned int x0, unsigned int y0, unsigned int x1, unsigned int y1);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for SetArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProcessorId */
    if ( strcmp ( argv[2], "SetProcessorId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProcessorId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProcessorId */
    Tcl_DStringAppendElement ( &dString, " Call to let this know what processor number to render as in the processor\n select pass. Internally this adds 1 to pid because 0 is reserved for miss.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetProcessorId(unsigned int pid);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for SetProcessorId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessorId */
    if ( strcmp ( argv[2], "GetProcessorId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessorId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessorId */
    Tcl_DStringAppendElement ( &dString, " Call to let this know what processor number to render as in the processor\n select pass. Internally this adds 1 to pid because 0 is reserved for miss.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetProcessorId();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for GetProcessorId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderPasses */
    if ( strcmp ( argv[2], "SetRenderPasses" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderPasses" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderPasses */
    Tcl_DStringAppendElement ( &dString, " Call to let this know what selection render passes to do.\n If you have only one processor or one actor, you can leave DoProcessor \n and DoActor as false (the default). If you have less than 2^48 cells in \n any actor, you do not need the CellIdHi pass, or similarly if you have \n less than 2^24 cells, you do not need DoCellIdMid.\n The DoPointId will enable another render pass for determining visible\n vertices.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderPasses(int DoProcessor, int DoActor, int DoCellIdHi, int DoCellIdMid, int DoCellIdLo, int DoVertexId=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for SetRenderPasses */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Select */
    if ( strcmp ( argv[2], "Select" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Select" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Select */
    Tcl_DStringAppendElement ( &dString, " Execute the selection algorithm.\n" );
    Tcl_DStringAppendElement ( &dString, "void Select();" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for Select */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedIds */
    if ( strcmp ( argv[2], "GetSelectedIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedIds */
    Tcl_DStringAppendElement ( &dString, " After Select(), this will return the list of selected Ids.\n The ProcessorId and Actor Id are returned in the first two components.\n The CellId is returned in the last two components (only 64 bits total).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetSelectedIds(vtkIdTypeArray *ToCopyInto);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for GetSelectedIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedIds */
    if ( strcmp ( argv[2], "GetSelectedIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedIds */
    Tcl_DStringAppendElement ( &dString, " After Select(), this will return the list of selected Ids.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetSelectedIds(vtkSelection *ToCopyInto);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for GetSelectedIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedVertices */
    if ( strcmp ( argv[2], "GetSelectedVertices" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedVertices" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedVertices */
    Tcl_DStringAppendElement ( &dString, " After Select(), (assuming DoVertexId is on), the will return arrays that\n describe which cell vertices are visible.\n The VertexPointers array contains one index into the VertexIds array for\n every visible cell. Any index may be -1 in which case no vertices were \n visible for that cell. The VertexIds array contains a set of integers for\n each cell that has visible vertices. The first entry in the set is\n the number of visible vertices. The rest are visible vertex ranks ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void GetSelectedVertices(vtkIdTypeArray *VertexPointers, vtkIdTypeArray *VertexIds);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for GetSelectedVertices */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActorFromId */
    if ( strcmp ( argv[2], "GetActorFromId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActorFromId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActorFromId */
    Tcl_DStringAppendElement ( &dString, " After a select, this will return a pointer to the actor corresponding to\n a particular id. This will return NULL if id is out of range.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProp *GetActorFromId(vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for GetActorFromId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrintSelectedIds */
    if ( strcmp ( argv[2], "PrintSelectedIds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrintSelectedIds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkIdTypeArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrintSelectedIds */
    Tcl_DStringAppendElement ( &dString, " For debugging - prints out the list of selected ids.\n" );
    Tcl_DStringAppendElement ( &dString, "void PrintSelectedIds(vtkIdTypeArray *IdsToPrint);" );
    Tcl_DStringAppendElement ( &dString, "vtkVisibleCellSelector" );
    /* Closing for PrintSelectedIds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
