// tcl wrapper for vtkXOpenGLRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXOpenGLRenderWindow.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkXOpenGLRenderWindowNewCommand()
{
  vtkXOpenGLRenderWindow *temp = vtkXOpenGLRenderWindow::New();
  return static_cast<ClientData>(temp);
}

int vtkOpenGLRenderWindowCppCommand(vtkOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXOpenGLRenderWindowCppCommand(vtkXOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXOpenGLRenderWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXOpenGLRenderWindowCppCommand(static_cast<vtkXOpenGLRenderWindow *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXOpenGLRenderWindowCppCommand(vtkXOpenGLRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXOpenGLRenderWindow",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkOpenGLRenderWindowCppCommand(static_cast<vtkOpenGLRenderWindow *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkOpenGLRenderWindow"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXOpenGLRenderWindow  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXOpenGLRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXOpenGLRenderWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXOpenGLRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXOpenGLRenderWindow  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXOpenGLRenderWindow");
    return TCL_OK;
    }
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Frame",argv[1]))&&(argc == 2))
    {
    op->Frame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WindowInitialize",argv[1]))&&(argc == 2))
    {
    op->WindowInitialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Finalize",argv[1]))&&(argc == 2))
    {
    op->Finalize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFullScreen",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFullScreen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WindowRemap",argv[1]))&&(argc == 2))
    {
    op->WindowRemap();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PrefFullScreen",argv[1]))&&(argc == 2))
    {
    op->PrefFullScreen();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDesiredDepth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDesiredDepth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoCapableWindow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStereoCapableWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MakeCurrent",argv[1]))&&(argc == 2))
    {
    op->MakeCurrent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsCurrent",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsCurrent();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetForceMakeCurrent",argv[1]))&&(argc == 2))
    {
    op->SetForceMakeCurrent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReportCapabilities",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->ReportCapabilities();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SupportsOpenGL",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->SupportsOpenGL();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsDirect",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsDirect();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetWindowName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HideCursor",argv[1]))&&(argc == 2))
    {
    op->HideCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowCursor",argv[1]))&&(argc == 2))
    {
    op->ShowCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentCursor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCurrentCursor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEventPending",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEventPending();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetWindowInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNextWindowInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetNextWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParentInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetParentInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOffScreenRendering",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOffScreenRendering(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkXOpenGLRenderWindowCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkOpenGLRenderWindowCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXOpenGLRenderWindow:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  Frame\n",NULL);
    Tcl_AppendResult(interp,"  WindowInitialize\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    Tcl_AppendResult(interp,"  Finalize\n",NULL);
    Tcl_AppendResult(interp,"  SetFullScreen\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  WindowRemap\n",NULL);
    Tcl_AppendResult(interp,"  PrefFullScreen\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDesiredDepth\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoCapableWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MakeCurrent\n",NULL);
    Tcl_AppendResult(interp,"  IsCurrent\n",NULL);
    Tcl_AppendResult(interp,"  SetForceMakeCurrent\n",NULL);
    Tcl_AppendResult(interp,"  ReportCapabilities\n",NULL);
    Tcl_AppendResult(interp,"  SupportsOpenGL\n",NULL);
    Tcl_AppendResult(interp,"  IsDirect\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  HideCursor\n",NULL);
    Tcl_AppendResult(interp,"  ShowCursor\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentCursor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEventPending\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNextWindowInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParentInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  SetOffScreenRendering\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkOpenGLRenderWindowCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Start" );
    Tcl_DStringAppendElement ( &dString, "Frame" );
    Tcl_DStringAppendElement ( &dString, "WindowInitialize" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    Tcl_DStringAppendElement ( &dString, "SetFullScreen" );
    Tcl_DStringAppendElement ( &dString, "WindowRemap" );
    Tcl_DStringAppendElement ( &dString, "PrefFullScreen" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    Tcl_DStringAppendElement ( &dString, "GetDesiredDepth" );
    Tcl_DStringAppendElement ( &dString, "SetStereoCapableWindow" );
    Tcl_DStringAppendElement ( &dString, "MakeCurrent" );
    Tcl_DStringAppendElement ( &dString, "IsCurrent" );
    Tcl_DStringAppendElement ( &dString, "SetForceMakeCurrent" );
    Tcl_DStringAppendElement ( &dString, "ReportCapabilities" );
    Tcl_DStringAppendElement ( &dString, "SupportsOpenGL" );
    Tcl_DStringAppendElement ( &dString, "IsDirect" );
    Tcl_DStringAppendElement ( &dString, "SetWindowName" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "HideCursor" );
    Tcl_DStringAppendElement ( &dString, "ShowCursor" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentCursor" );
    Tcl_DStringAppendElement ( &dString, "GetEventPending" );
    Tcl_DStringAppendElement ( &dString, "SetWindowInfo" );
    Tcl_DStringAppendElement ( &dString, "SetNextWindowInfo" );
    Tcl_DStringAppendElement ( &dString, "SetParentInfo" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "SetOffScreenRendering" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkOpenGLRenderWindowCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkXOpenGLRenderWindow *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Start */
    if ( strcmp ( argv[2], "Start" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Start" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Start */
    Tcl_DStringAppendElement ( &dString, " Begin the rendering process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Start(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for Start */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Frame */
    if ( strcmp ( argv[2], "Frame" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Frame" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Frame */
    Tcl_DStringAppendElement ( &dString, " End the rendering process and display the image.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Frame(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for Frame */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WindowInitialize */
    if ( strcmp ( argv[2], "WindowInitialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WindowInitialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WindowInitialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the window for rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WindowInitialize(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for WindowInitialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the rendering window.  This will setup all system-specific\n resources.  This method and Finalize() must be symmetric and it\n should be possible to call them multiple times, even changing WindowId\n in-between.  This is what WindowRemap does.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Finalize */
    if ( strcmp ( argv[2], "Finalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Finalize */
    Tcl_DStringAppendElement ( &dString, " \"Deinitialize\" the rendering window.  This will shutdown all system-specific\n resources.  After having called this, it should be possible to destroy\n a window that was used for a SetWindowId() call without any ill effects.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Finalize(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for Finalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFullScreen */
    if ( strcmp ( argv[2], "SetFullScreen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFullScreen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFullScreen */
    Tcl_DStringAppendElement ( &dString, " Change the window to fill the entire screen.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFullScreen(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetFullScreen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WindowRemap */
    if ( strcmp ( argv[2], "WindowRemap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WindowRemap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WindowRemap */
    Tcl_DStringAppendElement ( &dString, " Resize the window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WindowRemap(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for WindowRemap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrefFullScreen */
    if ( strcmp ( argv[2], "PrefFullScreen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrefFullScreen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrefFullScreen */
    Tcl_DStringAppendElement ( &dString, " Set the preferred window size to full screen.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PrefFullScreen(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for PrefFullScreen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, " Specify the size of the rendering window in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSize */
    if ( strcmp ( argv[2], "SetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSize */
    Tcl_DStringAppendElement ( &dString, " Specify the size of the rendering window in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDesiredDepth */
    if ( strcmp ( argv[2], "GetDesiredDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDesiredDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDesiredDepth */
    Tcl_DStringAppendElement ( &dString, " Get the X properties of an ideal rendering window.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDesiredDepth();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for GetDesiredDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoCapableWindow */
    if ( strcmp ( argv[2], "SetStereoCapableWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoCapableWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoCapableWindow */
    Tcl_DStringAppendElement ( &dString, " Prescribe that the window be created in a stereo-capable mode. This\n method must be called before the window is realized. This method\n overrides the superclass method since this class can actually check\n whether the window has been realized yet.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStereoCapableWindow(int capable);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetStereoCapableWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeCurrent */
    if ( strcmp ( argv[2], "MakeCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeCurrent */
    Tcl_DStringAppendElement ( &dString, " Make this window the current OpenGL context.\n" );
    Tcl_DStringAppendElement ( &dString, "void MakeCurrent();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for MakeCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsCurrent */
    if ( strcmp ( argv[2], "IsCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsCurrent */
    Tcl_DStringAppendElement ( &dString, " Tells if this window is the current OpenGL context for the calling thread.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsCurrent();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for IsCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForceMakeCurrent */
    if ( strcmp ( argv[2], "SetForceMakeCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceMakeCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceMakeCurrent */
    Tcl_DStringAppendElement ( &dString, " If called, allow MakeCurrent() to skip cache-check when called.\n MakeCurrent() reverts to original behavior of cache-checking     \n on the next render.     \n" );
    Tcl_DStringAppendElement ( &dString, "void SetForceMakeCurrent();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetForceMakeCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReportCapabilities */
    if ( strcmp ( argv[2], "ReportCapabilities" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReportCapabilities" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReportCapabilities */
    Tcl_DStringAppendElement ( &dString, " Get report of capabilities for the render window\n" );
    Tcl_DStringAppendElement ( &dString, "const char *ReportCapabilities();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for ReportCapabilities */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SupportsOpenGL */
    if ( strcmp ( argv[2], "SupportsOpenGL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SupportsOpenGL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SupportsOpenGL */
    Tcl_DStringAppendElement ( &dString, " Does this render window support OpenGL? 0-false, 1-true\n" );
    Tcl_DStringAppendElement ( &dString, "int SupportsOpenGL();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SupportsOpenGL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsDirect */
    if ( strcmp ( argv[2], "IsDirect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsDirect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsDirect */
    Tcl_DStringAppendElement ( &dString, " Is this render window using hardware acceleration? 0-false, 1-true\n" );
    Tcl_DStringAppendElement ( &dString, "int IsDirect();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for IsDirect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowName */
    if ( strcmp ( argv[2], "SetWindowName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowName(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetWindowName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Move the window to a new position on the display.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Move the window to a new position on the display.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HideCursor */
    if ( strcmp ( argv[2], "HideCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HideCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HideCursor */
    Tcl_DStringAppendElement ( &dString, " Hide or Show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void HideCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for HideCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowCursor */
    if ( strcmp ( argv[2], "ShowCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowCursor */
    Tcl_DStringAppendElement ( &dString, " Hide or Show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for ShowCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentCursor */
    if ( strcmp ( argv[2], "SetCurrentCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentCursor */
    Tcl_DStringAppendElement ( &dString, " Change the shape of the cursor\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCurrentCursor(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetCurrentCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEventPending */
    if ( strcmp ( argv[2], "GetEventPending" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventPending" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventPending */
    Tcl_DStringAppendElement ( &dString, " Check to see if a mouse button has been pressed.\n All other events are ignored by this method.\n This is a useful check to abort a long render.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEventPending();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for GetEventPending */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowInfo */
    if ( strcmp ( argv[2], "SetWindowInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowInfo */
    Tcl_DStringAppendElement ( &dString, " Set this RenderWindow's X window id to a pre-existing window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowInfo(char *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetWindowInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNextWindowInfo */
    if ( strcmp ( argv[2], "SetNextWindowInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNextWindowInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNextWindowInfo */
    Tcl_DStringAppendElement ( &dString, " Set the window info that will be used after WindowRemap()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNextWindowInfo(char *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetNextWindowInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParentInfo */
    if ( strcmp ( argv[2], "SetParentInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParentInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParentInfo */
    Tcl_DStringAppendElement ( &dString, " Sets the X window id of the window that WILL BE created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetParentInfo(char *info);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetParentInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " This computes the size of the render window \n before calling the supper classes render\n" );
    Tcl_DStringAppendElement ( &dString, "void Render();" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOffScreenRendering */
    if ( strcmp ( argv[2], "SetOffScreenRendering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOffScreenRendering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOffScreenRendering */
    Tcl_DStringAppendElement ( &dString, " Render without displaying the window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOffScreenRendering(int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkXOpenGLRenderWindow" );
    /* Closing for SetOffScreenRendering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkOpenGLRenderWindowCppCommand(static_cast<vtkOpenGLRenderWindow *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
