// python wrapper for vtkAssignMimeType
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkAssignMimeType.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkAssignMimeType(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkAssignMimeType(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkAssignMimeTypeNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkAssignMimeTypeNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkAssignMimeType_Doc();


static PyObject *
PyvtkAssignMimeType_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAssignMimeType *op = static_cast<vtkAssignMimeType *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkAssignMimeType::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAssignMimeType_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAssignMimeType *op = static_cast<vtkAssignMimeType *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkAssignMimeType::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAssignMimeType_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAssignMimeType *op = static_cast<vtkAssignMimeType *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkAssignMimeType *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkAssignMimeType::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkAssignMimeType_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkAssignMimeType *tempr = vtkAssignMimeType::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAssignMimeType_SetOutputArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAssignMimeType *op = static_cast<vtkAssignMimeType *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputArray(temp0);
      }
    else
      {
      op->vtkAssignMimeType::SetOutputArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkAssignMimeType_GetOutputArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAssignMimeType *op = static_cast<vtkAssignMimeType *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetOutputArray() :
      op->vtkAssignMimeType::GetOutputArray());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAssignMimeType_SetDefaultMimeType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDefaultMimeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAssignMimeType *op = static_cast<vtkAssignMimeType *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDefaultMimeType(temp0);
      }
    else
      {
      op->vtkAssignMimeType::SetDefaultMimeType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkAssignMimeType_GetDefaultMimeType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDefaultMimeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAssignMimeType *op = static_cast<vtkAssignMimeType *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetDefaultMimeType() :
      op->vtkAssignMimeType::GetDefaultMimeType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkAssignMimeType_SetMimeTypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMimeTypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAssignMimeType *op = static_cast<vtkAssignMimeType *>(vp);

  vtkMimeTypes *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMimeTypes"))
    {
    if (ap.IsBound())
      {
      op->SetMimeTypes(temp0);
      }
    else
      {
      op->vtkAssignMimeType::SetMimeTypes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkAssignMimeType_GetMimeTypes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMimeTypes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkAssignMimeType *op = static_cast<vtkAssignMimeType *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkMimeTypes *tempr = (ap.IsBound() ?
      op->GetMimeTypes() :
      op->vtkAssignMimeType::GetMimeTypes());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkAssignMimeType_Methods[] = {
  {(char*)"GetClassName", PyvtkAssignMimeType_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkAssignMimeType_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkAssignMimeType_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkAssignMimeType\nC++: vtkAssignMimeType *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkAssignMimeType_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkAssignMimeType\nC++: vtkAssignMimeType *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetOutputArray", PyvtkAssignMimeType_SetOutputArray, 1,
   (char*)"V.SetOutputArray(string)\nC++: void SetOutputArray(char *)\n\nSpecifies the name of the output MIME type array.  Default:\n\"mime_type\".\n"},
  {(char*)"GetOutputArray", PyvtkAssignMimeType_GetOutputArray, 1,
   (char*)"V.GetOutputArray() -> string\nC++: char *GetOutputArray()\n\nSpecifies the name of the output MIME type array.  Default:\n\"mime_type\".\n"},
  {(char*)"SetDefaultMimeType", PyvtkAssignMimeType_SetDefaultMimeType, 1,
   (char*)"V.SetDefaultMimeType(string)\nC++: void SetDefaultMimeType(char *)\n\nSpecifies a default MIME type that will be assigned to files\nwhose MIME type can't otherwise be identified.  Set this to\n\"text/plain\" if you want to analyze files that would otherwise be\nignored (such as files without a known file extension, files\nwithout any file extension, etc).  Default: empty string.\n"},
  {(char*)"GetDefaultMimeType", PyvtkAssignMimeType_GetDefaultMimeType, 1,
   (char*)"V.GetDefaultMimeType() -> string\nC++: char *GetDefaultMimeType()\n\nSpecifies a default MIME type that will be assigned to files\nwhose MIME type can't otherwise be identified.  Set this to\n\"text/plain\" if you want to analyze files that would otherwise be\nignored (such as files without a known file extension, files\nwithout any file extension, etc).  Default: empty string.\n"},
  {(char*)"SetMimeTypes", PyvtkAssignMimeType_SetMimeTypes, 1,
   (char*)"V.SetMimeTypes(vtkMimeTypes)\nC++: void SetMimeTypes(vtkMimeTypes *m)\n\nAssign a custom vtkMimeTypes object to this filter.  This makes\nit possible to work with arbitrary Mime Type strategies.\n"},
  {(char*)"GetMimeTypes", PyvtkAssignMimeType_GetMimeTypes, 1,
   (char*)"V.GetMimeTypes() -> vtkMimeTypes\nC++: vtkMimeTypes *GetMimeTypes()\n\nAssign a custom vtkMimeTypes object to this filter.  This makes\nit possible to work with arbitrary Mime Type strategies.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkAssignMimeType_StaticNew()
{
  return vtkAssignMimeType::New();
}

PyObject *PyVTKClass_vtkAssignMimeTypeNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkAssignMimeType_StaticNew,
    PyvtkAssignMimeType_Methods,
    "vtkAssignMimeType", modulename,
    NULL, NULL,
    PyvtkAssignMimeType_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkAssignMimeType_Doc()
{
  static const char *docstring[] = {
    "vtkAssignMimeType - Assigns MIME types to a collection of documents.\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "Given a table containing document URIs and contents, tries to assign\na MIME type to each document.\n\nInputs:\n  Input port 0: (required) A vtkTable containing document URIs and\ncontents\n  (which could be binary).\n\nOutputs:\n  Output port 0: The same table with an additional \"mime_type\" column\nthat contains the\n    MIME type identified for each document, or empty-string.\n\nUse SetInputArrayToProcess(0,",
    " ...) to specify the input table column\nthat contains URIs (must be a vtkStringArray).\n\nUse SetInputArrayToProcess(1, ...) to specify the input table column\nthat contains document contents (must be a vtkStringArray).\n\nCaveats:\n\nThe input document contents array must be a string array, even though\nthe individual document contents may be binary data.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@s",
    "andia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkAssignMimeType(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkAssignMimeTypeNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkAssignMimeType", o) != 0)
    {
    Py_DECREF(o);
    }

}

