// python wrapper for vtkConcatenateArray
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkConcatenateArray.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkConcatenateArray(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkConcatenateArray(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkConcatenateArrayNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkConcatenateArrayNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
#endif

static const char **PyvtkConcatenateArray_Doc();


static PyObject *
PyvtkConcatenateArray_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkConcatenateArray *op = static_cast<vtkConcatenateArray *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkConcatenateArray::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkConcatenateArray_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkConcatenateArray *op = static_cast<vtkConcatenateArray *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkConcatenateArray::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkConcatenateArray_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkConcatenateArray *op = static_cast<vtkConcatenateArray *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkConcatenateArray *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkConcatenateArray::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkConcatenateArray_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkConcatenateArray *tempr = vtkConcatenateArray::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkConcatenateArray_GetAdjacentDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAdjacentDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkConcatenateArray *op = static_cast<vtkConcatenateArray *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkIdType tempr = (ap.IsBound() ?
      op->GetAdjacentDimension() :
      op->vtkConcatenateArray::GetAdjacentDimension());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkConcatenateArray_SetAdjacentDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAdjacentDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkConcatenateArray *op = static_cast<vtkConcatenateArray *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAdjacentDimension(temp0);
      }
    else
      {
      op->vtkConcatenateArray::SetAdjacentDimension(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkConcatenateArray_Methods[] = {
  {(char*)"GetClassName", PyvtkConcatenateArray_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkConcatenateArray_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkConcatenateArray_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkConcatenateArray\nC++: vtkConcatenateArray *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkConcatenateArray_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkConcatenateArray\nC++: vtkConcatenateArray *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetAdjacentDimension", PyvtkConcatenateArray_GetAdjacentDimension, 1,
   (char*)"V.GetAdjacentDimension() -> int\nC++: vtkIdType GetAdjacentDimension()\n\nControls the 0-numbered dimension along-which the arrays will be\nconcatenated. Default: 0\n"},
  {(char*)"SetAdjacentDimension", PyvtkConcatenateArray_SetAdjacentDimension, 1,
   (char*)"V.SetAdjacentDimension(int)\nC++: void SetAdjacentDimension(vtkIdType a)\n\nControls the 0-numbered dimension along-which the arrays will be\nconcatenated. Default: 0\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkConcatenateArray_StaticNew()
{
  return vtkConcatenateArray::New();
}

PyObject *PyVTKClass_vtkConcatenateArrayNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkConcatenateArray_StaticNew,
    PyvtkConcatenateArray_Methods,
    "vtkConcatenateArray", modulename,
    NULL, NULL,
    PyvtkConcatenateArray_Doc(),
    PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkConcatenateArray_Doc()
{
  static const char *docstring[] = {
    "vtkConcatenateArray - Merge two arrays into one.\n\n",
    "Superclass: vtkArrayDataAlgorithm\n\n",
    "Given two input arrays of arbitrary dimension, creates a single,\nlarger output array that contains both.  The input arrays will be\nadjacent to each other within the combined output array.\n\nThe adjacent dimension can be specified so that e.g: you can control\nwhether two matrices are combined row-wise or column-wise.\n\nBoth arrays must have the same number of dimensions.  The array\nextents along the ",
    "adjacent dimension may be different, but all other\ndimensions must have identical extents.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkConcatenateArray(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkConcatenateArrayNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkConcatenateArray", o) != 0)
    {
    Py_DECREF(o);
    }

}

