// python wrapper for vtkDocumentReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkDocumentReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkDocumentReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkDocumentReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkDocumentReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkDocumentReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkDocumentReader_Doc();


static PyObject *
PyvtkDocumentReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDocumentReader *op = static_cast<vtkDocumentReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkDocumentReader::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDocumentReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDocumentReader *op = static_cast<vtkDocumentReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkDocumentReader::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDocumentReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDocumentReader *op = static_cast<vtkDocumentReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkDocumentReader *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkDocumentReader::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkDocumentReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkDocumentReader *tempr = vtkDocumentReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkDocumentReader_AddFile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDocumentReader *op = static_cast<vtkDocumentReader *>(vp);

  vtkStdString temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->AddFile(temp0);
      }
    else
      {
      op->vtkDocumentReader::AddFile(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkDocumentReader_ClearFiles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearFiles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkDocumentReader *op = static_cast<vtkDocumentReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearFiles();
      }
    else
      {
      op->vtkDocumentReader::ClearFiles();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkDocumentReader_Methods[] = {
  {(char*)"GetClassName", PyvtkDocumentReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkDocumentReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkDocumentReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkDocumentReader\nC++: vtkDocumentReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkDocumentReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkDocumentReader\nC++: vtkDocumentReader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddFile", PyvtkDocumentReader_AddFile, 1,
   (char*)"V.AddFile(string)\nC++: void AddFile(const vtkStdString &file)\n\nAdd a file to be loaded.\n"},
  {(char*)"ClearFiles", PyvtkDocumentReader_ClearFiles, 1,
   (char*)"V.ClearFiles()\nC++: void ClearFiles()\n\nClear the list of files to be loaded.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkDocumentReader_StaticNew()
{
  return vtkDocumentReader::New();
}

PyObject *PyVTKClass_vtkDocumentReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkDocumentReader_StaticNew,
    PyvtkDocumentReader_Methods,
    "vtkDocumentReader", modulename,
    NULL, NULL,
    PyvtkDocumentReader_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkDocumentReader_Doc()
{
  static const char *docstring[] = {
    "vtkDocumentReader - Reads documents into memory for text analysis.\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "Reads zero-to-many documents into memory, producing a vtkTable\nsuitable for use as an input to other VTK text analysis filters.\n\nParameters:\n  \"Files\": a collection of filesystem paths to be loaded.\n\nOutputs:\n  Output port 0: A vtkTable containing \"document\", \"uri\", and\n\"content\" columns.\n\nThe output \"document\" column will contain a zero-based integer\ndocument index; \"uri\" will contain the filepat",
    "h to the document\nformatted as a file:// URI; \"contents\" will contain the binary\ncontents of the document.\n\nCaveats:\n\nAs a workaround, vtkDocumentReader stores the contents of each\ndocument in the \"contents\" column, which is a vtkStdString array. \nNote that the contents of a document may actually be binary data, so\ncheck the MIME-Type before treating the contents as a string.\n\nThanks:\n\nDeveloped b",
    "y Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkDocumentReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkDocumentReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkDocumentReader", o) != 0)
    {
    Py_DECREF(o);
    }

}

