// python wrapper for vtkEntropyMatrixWeighting
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkEntropyMatrixWeighting.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkEntropyMatrixWeighting(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkEntropyMatrixWeighting(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEntropyMatrixWeightingNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEntropyMatrixWeightingNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
#endif

static const char **PyvtkEntropyMatrixWeighting_Doc();


static PyObject *
PyvtkEntropyMatrixWeighting_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEntropyMatrixWeighting *op = static_cast<vtkEntropyMatrixWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkEntropyMatrixWeighting::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEntropyMatrixWeighting_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEntropyMatrixWeighting *op = static_cast<vtkEntropyMatrixWeighting *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkEntropyMatrixWeighting::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEntropyMatrixWeighting_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEntropyMatrixWeighting *op = static_cast<vtkEntropyMatrixWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkEntropyMatrixWeighting *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkEntropyMatrixWeighting::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkEntropyMatrixWeighting_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkEntropyMatrixWeighting *tempr = vtkEntropyMatrixWeighting::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEntropyMatrixWeighting_GetFeatureDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFeatureDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEntropyMatrixWeighting *op = static_cast<vtkEntropyMatrixWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFeatureDimension() :
      op->vtkEntropyMatrixWeighting::GetFeatureDimension());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEntropyMatrixWeighting_SetFeatureDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFeatureDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEntropyMatrixWeighting *op = static_cast<vtkEntropyMatrixWeighting *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFeatureDimension(temp0);
      }
    else
      {
      op->vtkEntropyMatrixWeighting::SetFeatureDimension(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkEntropyMatrixWeighting_Methods[] = {
  {(char*)"GetClassName", PyvtkEntropyMatrixWeighting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkEntropyMatrixWeighting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkEntropyMatrixWeighting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEntropyMatrixWeighting\nC++: vtkEntropyMatrixWeighting *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkEntropyMatrixWeighting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEntropyMatrixWeighting\nC++: vtkEntropyMatrixWeighting *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetFeatureDimension", PyvtkEntropyMatrixWeighting_GetFeatureDimension, 1,
   (char*)"V.GetFeatureDimension() -> int\nC++: int GetFeatureDimension()\n\nControls the feature dimension.  Default: 0\n"},
  {(char*)"SetFeatureDimension", PyvtkEntropyMatrixWeighting_SetFeatureDimension, 1,
   (char*)"V.SetFeatureDimension(int)\nC++: void SetFeatureDimension(int a)\n\nControls the feature dimension.  Default: 0\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkEntropyMatrixWeighting_StaticNew()
{
  return vtkEntropyMatrixWeighting::New();
}

PyObject *PyVTKClass_vtkEntropyMatrixWeightingNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkEntropyMatrixWeighting_StaticNew,
    PyvtkEntropyMatrixWeighting_Methods,
    "vtkEntropyMatrixWeighting", modulename,
    NULL, NULL,
    PyvtkEntropyMatrixWeighting_Doc(),
    PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkEntropyMatrixWeighting_Doc()
{
  static const char *docstring[] = {
    "vtkEntropyMatrixWeighting - Term weight strategy where every term has\nweight related to its entropy\n\n",
    "Superclass: vtkArrayDataAlgorithm\n\n",
    "This filter assigns to all terms weight between 0 and 1 where 1\nindicates maximum information content and 0 indicates a term that may\nsafely be used to line the birdcage.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkEntropyMatrixWeighting(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkEntropyMatrixWeightingNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkEntropyMatrixWeighting", o) != 0)
    {
    Py_DECREF(o);
    }

}

