// python wrapper for vtkExtractSelectedSlices
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkExtractSelectedSlices.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkExtractSelectedSlices(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkExtractSelectedSlices(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtractSelectedSlicesNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtractSelectedSlicesNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
#endif

static const char **PyvtkExtractSelectedSlices_Doc();


static PyObject *
PyvtkExtractSelectedSlices_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractSelectedSlices *op = static_cast<vtkExtractSelectedSlices *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkExtractSelectedSlices::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractSelectedSlices_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractSelectedSlices *op = static_cast<vtkExtractSelectedSlices *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkExtractSelectedSlices::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractSelectedSlices_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractSelectedSlices *op = static_cast<vtkExtractSelectedSlices *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkExtractSelectedSlices *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkExtractSelectedSlices::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkExtractSelectedSlices_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkExtractSelectedSlices *tempr = vtkExtractSelectedSlices::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractSelectedSlices_GetSliceDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSliceDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractSelectedSlices *op = static_cast<vtkExtractSelectedSlices *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetSliceDimension() :
      op->vtkExtractSelectedSlices::GetSliceDimension());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtractSelectedSlices_SetSliceDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSliceDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtractSelectedSlices *op = static_cast<vtkExtractSelectedSlices *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSliceDimension(temp0);
      }
    else
      {
      op->vtkExtractSelectedSlices::SetSliceDimension(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkExtractSelectedSlices_Methods[] = {
  {(char*)"GetClassName", PyvtkExtractSelectedSlices_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkExtractSelectedSlices_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkExtractSelectedSlices_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtractSelectedSlices\nC++: vtkExtractSelectedSlices *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkExtractSelectedSlices_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtractSelectedSlices\nC++: vtkExtractSelectedSlices *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetSliceDimension", PyvtkExtractSelectedSlices_GetSliceDimension, 1,
   (char*)"V.GetSliceDimension() -> int\nC++: int GetSliceDimension()\n\nControls the dimension along which slices will be extracted. \nDefault: 0\n"},
  {(char*)"SetSliceDimension", PyvtkExtractSelectedSlices_SetSliceDimension, 1,
   (char*)"V.SetSliceDimension(int)\nC++: void SetSliceDimension(int a)\n\nControls the dimension along which slices will be extracted. \nDefault: 0\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkExtractSelectedSlices_StaticNew()
{
  return vtkExtractSelectedSlices::New();
}

PyObject *PyVTKClass_vtkExtractSelectedSlicesNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkExtractSelectedSlices_StaticNew,
    PyvtkExtractSelectedSlices_Methods,
    "vtkExtractSelectedSlices", modulename,
    NULL, NULL,
    PyvtkExtractSelectedSlices_Doc(),
    PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkExtractSelectedSlices_Doc()
{
  static const char *docstring[] = {
    "vtkExtractSelectedSlices - Extract selected slices from a vtkArray\n\n",
    "Superclass: vtkArrayDataAlgorithm\n\n",
    "Caveats:\n\nOnly works with vtkSparseArray, this needs to be generalized.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkExtractSelectedSlices(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkExtractSelectedSlicesNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkExtractSelectedSlices", o) != 0)
    {
    Py_DECREF(o);
    }

}

