// python wrapper for vtkFileExtensionMimeTypeStrategy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkFileExtensionMimeTypeStrategy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkFileExtensionMimeTypeStrategy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkFileExtensionMimeTypeStrategy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFileExtensionMimeTypeStrategyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFileExtensionMimeTypeStrategyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkMimeTypeStrategyNew
extern "C" { PyObject *PyVTKClass_vtkMimeTypeStrategyNew(const char *); }
#define DECLARED_PyVTKClass_vtkMimeTypeStrategyNew
#endif

static const char **PyvtkFileExtensionMimeTypeStrategy_Doc();


static PyObject *
PyvtkFileExtensionMimeTypeStrategy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileExtensionMimeTypeStrategy *op = static_cast<vtkFileExtensionMimeTypeStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkFileExtensionMimeTypeStrategy::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileExtensionMimeTypeStrategy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileExtensionMimeTypeStrategy *op = static_cast<vtkFileExtensionMimeTypeStrategy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkFileExtensionMimeTypeStrategy::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFileExtensionMimeTypeStrategy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFileExtensionMimeTypeStrategy *op = static_cast<vtkFileExtensionMimeTypeStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFileExtensionMimeTypeStrategy *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkFileExtensionMimeTypeStrategy::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkFileExtensionMimeTypeStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkFileExtensionMimeTypeStrategy *tempr = vtkFileExtensionMimeTypeStrategy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkFileExtensionMimeTypeStrategy_Methods[] = {
  {(char*)"GetClassName", PyvtkFileExtensionMimeTypeStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkFileExtensionMimeTypeStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkFileExtensionMimeTypeStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFileExtensionMimeTypeStrategy\nC++: vtkFileExtensionMimeTypeStrategy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkFileExtensionMimeTypeStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFileExtensionMimeTypeStrategy\nC++: vtkFileExtensionMimeTypeStrategy *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkFileExtensionMimeTypeStrategy_StaticNew()
{
  return vtkFileExtensionMimeTypeStrategy::New();
}

PyObject *PyVTKClass_vtkFileExtensionMimeTypeStrategyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkFileExtensionMimeTypeStrategy_StaticNew,
    PyvtkFileExtensionMimeTypeStrategy_Methods,
    "vtkFileExtensionMimeTypeStrategy", modulename,
    NULL, NULL,
    PyvtkFileExtensionMimeTypeStrategy_Doc(),
    PyVTKClass_vtkMimeTypeStrategyNew(modulename));
  return cls;
}

const char **PyvtkFileExtensionMimeTypeStrategy_Doc()
{
  static const char *docstring[] = {
    "vtkFileExtentionMimeTypeStrategy - Determines the MIME type of a\nresource\n\n",
    "Superclass: vtkMimeTypeStrategy\n\n",
    "See Also:\n\nvtkMimeTypeStrategy, vtkMimeTypes.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkFileExtensionMimeTypeStrategy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkFileExtensionMimeTypeStrategyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkFileExtensionMimeTypeStrategy", o) != 0)
    {
    Py_DECREF(o);
    }

}

