// python wrapper for vtkFoldCase
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkFoldCase.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkFoldCase(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkFoldCase(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkFoldCaseNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkFoldCaseNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkFoldCase_Doc();


static PyObject *
PyvtkFoldCase_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFoldCase *op = static_cast<vtkFoldCase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkFoldCase::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFoldCase_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFoldCase *op = static_cast<vtkFoldCase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkFoldCase::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFoldCase_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFoldCase *op = static_cast<vtkFoldCase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkFoldCase *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkFoldCase::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkFoldCase_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkFoldCase *tempr = vtkFoldCase::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkFoldCase_SetResultArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetResultArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFoldCase *op = static_cast<vtkFoldCase *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetResultArray(temp0);
      }
    else
      {
      op->vtkFoldCase::SetResultArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkFoldCase_GetResultArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetResultArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkFoldCase *op = static_cast<vtkFoldCase *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetResultArray() :
      op->vtkFoldCase::GetResultArray());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkFoldCase_Methods[] = {
  {(char*)"GetClassName", PyvtkFoldCase_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkFoldCase_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkFoldCase_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkFoldCase\nC++: vtkFoldCase *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkFoldCase_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkFoldCase\nC++: vtkFoldCase *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetResultArray", PyvtkFoldCase_SetResultArray, 1,
   (char*)"V.SetResultArray(string)\nC++: void SetResultArray(char *)\n\n"},
  {(char*)"GetResultArray", PyvtkFoldCase_GetResultArray, 1,
   (char*)"V.GetResultArray() -> string\nC++: char *GetResultArray()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkFoldCase_StaticNew()
{
  return vtkFoldCase::New();
}

PyObject *PyVTKClass_vtkFoldCaseNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkFoldCase_StaticNew,
    PyvtkFoldCase_Methods,
    "vtkFoldCase", modulename,
    NULL, NULL,
    PyvtkFoldCase_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkFoldCase_Doc()
{
  static const char *docstring[] = {
    "vtkFoldCase - Converts a collection of strings to lower-case.\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "Given an array of strings, converts each string to its lower-case\nrepresentation.\n\nParameters:\n  ResultArray: The name of the array containing the folded-case text.\n\nInputs:\n  Input port 0: (required) A vtkTable containing a column of text.\n\nOutputs:\n  Output port 0: The same table, plus the array of folded-case text.\n\nUse SetInputArrayToProcess(0, ...) to specify the \"text\" array.\n\nThanks:\n\nDevel",
    "oped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkFoldCase(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkFoldCaseNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkFoldCase", o) != 0)
    {
    Py_DECREF(o);
    }

}

