// python wrapper for vtkForceMimeTypeStrategy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkForceMimeTypeStrategy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkForceMimeTypeStrategy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkForceMimeTypeStrategy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkForceMimeTypeStrategyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkForceMimeTypeStrategyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkMimeTypeStrategyNew
extern "C" { PyObject *PyVTKClass_vtkMimeTypeStrategyNew(const char *); }
#define DECLARED_PyVTKClass_vtkMimeTypeStrategyNew
#endif

static const char **PyvtkForceMimeTypeStrategy_Doc();


static PyObject *
PyvtkForceMimeTypeStrategy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkForceMimeTypeStrategy *op = static_cast<vtkForceMimeTypeStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkForceMimeTypeStrategy::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkForceMimeTypeStrategy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkForceMimeTypeStrategy *op = static_cast<vtkForceMimeTypeStrategy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkForceMimeTypeStrategy::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkForceMimeTypeStrategy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkForceMimeTypeStrategy *op = static_cast<vtkForceMimeTypeStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkForceMimeTypeStrategy *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkForceMimeTypeStrategy::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkForceMimeTypeStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkForceMimeTypeStrategy *tempr = vtkForceMimeTypeStrategy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkForceMimeTypeStrategy_GetMimeType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMimeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkForceMimeTypeStrategy *op = static_cast<vtkForceMimeTypeStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetMimeType() :
      op->vtkForceMimeTypeStrategy::GetMimeType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkForceMimeTypeStrategy_SetMimeType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMimeType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkForceMimeTypeStrategy *op = static_cast<vtkForceMimeTypeStrategy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMimeType(temp0);
      }
    else
      {
      op->vtkForceMimeTypeStrategy::SetMimeType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkForceMimeTypeStrategy_Methods[] = {
  {(char*)"GetClassName", PyvtkForceMimeTypeStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkForceMimeTypeStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkForceMimeTypeStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkForceMimeTypeStrategy\nC++: vtkForceMimeTypeStrategy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkForceMimeTypeStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkForceMimeTypeStrategy\nC++: vtkForceMimeTypeStrategy *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetMimeType", PyvtkForceMimeTypeStrategy_GetMimeType, 1,
   (char*)"V.GetMimeType() -> string\nC++: char *GetMimeType()\n\n"},
  {(char*)"SetMimeType", PyvtkForceMimeTypeStrategy_SetMimeType, 1,
   (char*)"V.SetMimeType(string)\nC++: void SetMimeType(char *)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkForceMimeTypeStrategy_StaticNew()
{
  return vtkForceMimeTypeStrategy::New();
}

PyObject *PyVTKClass_vtkForceMimeTypeStrategyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkForceMimeTypeStrategy_StaticNew,
    PyvtkForceMimeTypeStrategy_Methods,
    "vtkForceMimeTypeStrategy", modulename,
    NULL, NULL,
    PyvtkForceMimeTypeStrategy_Doc(),
    PyVTKClass_vtkMimeTypeStrategyNew(modulename));
  return cls;
}

const char **PyvtkForceMimeTypeStrategy_Doc()
{
  static const char *docstring[] = {
    "vtkForceMimeTypeStrategy - Returns a specific mime type no matter what\n\n",
    "Superclass: vtkMimeTypeStrategy\n\n",
    "vtkForceMimeTypeStrategy returns the same mime type for all files. \nThe type can be specified by the caller, and defaults to text/plain.\n\nSee Also:\n\nvtkMimeTypeStrategy, vtkMimeTypes.\n\nThanks:\n\nDeveloped by Andy Wilson (atwilso@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkForceMimeTypeStrategy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkForceMimeTypeStrategyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkForceMimeTypeStrategy", o) != 0)
    {
    Py_DECREF(o);
    }

}

