// python wrapper for vtkMimeTypeStrategy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkMimeTypeStrategy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMimeTypeStrategy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMimeTypeStrategy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMimeTypeStrategyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMimeTypeStrategyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkMimeTypeStrategy_Doc();


static PyObject *
PyvtkMimeTypeStrategy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypeStrategy *op = static_cast<vtkMimeTypeStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkMimeTypeStrategy::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMimeTypeStrategy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypeStrategy *op = static_cast<vtkMimeTypeStrategy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkMimeTypeStrategy::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMimeTypeStrategy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypeStrategy *op = static_cast<vtkMimeTypeStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkMimeTypeStrategy *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkMimeTypeStrategy::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}

static PyMethodDef PyvtkMimeTypeStrategy_Methods[] = {
  {(char*)"GetClassName", PyvtkMimeTypeStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMimeTypeStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMimeTypeStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMimeTypeStrategy\nC++: vtkMimeTypeStrategy *NewInstance()\n\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkMimeTypeStrategyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkMimeTypeStrategy_Methods,
    "vtkMimeTypeStrategy", modulename,
    NULL, NULL,
    PyvtkMimeTypeStrategy_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkMimeTypeStrategy_Doc()
{
  static const char *docstring[] = {
    "vtkMimeTypeStrategy - Abstract interface for an object that can\nidentify the\n\n",
    "Superclass: vtkObject\n\n",
    "Concrete derivatives of vtkMimeTypeStrategy implement strategies for\nlooking-up the MIME type of a resource, given its URI, its content,\nor both.\n\nSee Also:\n\nvtkMimeTypes, vtkFileExtensionMimeTypeStrategy.\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMimeTypeStrategy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMimeTypeStrategyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMimeTypeStrategy", o) != 0)
    {
    Py_DECREF(o);
    }

}

