// python wrapper for vtkMimeTypes
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkMimeTypes.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkMimeTypes(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkMimeTypes(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMimeTypesNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMimeTypesNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkMimeTypes_Doc();


static PyObject *
PyvtkMimeTypes_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypes *op = static_cast<vtkMimeTypes *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkMimeTypes::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMimeTypes_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypes *op = static_cast<vtkMimeTypes *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkMimeTypes::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMimeTypes_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypes *op = static_cast<vtkMimeTypes *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkMimeTypes *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkMimeTypes::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkMimeTypes_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkMimeTypes *tempr = vtkMimeTypes::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkMimeTypes_ClearStrategies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearStrategies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypes *op = static_cast<vtkMimeTypes *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearStrategies();
      }
    else
      {
      op->vtkMimeTypes::ClearStrategies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMimeTypes_PrependStrategy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PrependStrategy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypes *op = static_cast<vtkMimeTypes *>(vp);

  vtkMimeTypeStrategy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMimeTypeStrategy"))
    {
    if (ap.IsBound())
      {
      op->PrependStrategy(temp0);
      }
    else
      {
      op->vtkMimeTypes::PrependStrategy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMimeTypes_AppendStrategy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AppendStrategy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypes *op = static_cast<vtkMimeTypes *>(vp);

  vtkMimeTypeStrategy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkMimeTypeStrategy"))
    {
    if (ap.IsBound())
      {
      op->AppendStrategy(temp0);
      }
    else
      {
      op->vtkMimeTypes::AppendStrategy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkMimeTypes_Lookup_s1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Lookup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypes *op = static_cast<vtkMimeTypes *>(vp);

  vtkStdString temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    vtkStdString tempr = (ap.IsBound() ?
      op->Lookup(temp0) :
      op->vtkMimeTypes::Lookup(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkMimeTypes_Lookup_s2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Lookup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypes *op = static_cast<vtkMimeTypes *>(vp);

  char *temp0 = NULL;
  char *temp1 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    vtkStdString tempr = (ap.IsBound() ?
      op->Lookup(temp0, temp1) :
      op->vtkMimeTypes::Lookup(temp0, temp1));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkMimeTypes_Lookup_s3(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Lookup");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkMimeTypes *op = static_cast<vtkMimeTypes *>(vp);

  vtkStdString temp0;
  char *temp1 = NULL;
  char *temp2 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(3) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2))
    {
    vtkStdString tempr = (ap.IsBound() ?
      op->Lookup(temp0, temp1, temp2) :
      op->vtkMimeTypes::Lookup(temp0, temp1, temp2));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyObject *
PyvtkMimeTypes_Lookup(PyObject *self, PyObject *args)
{
  int nargs = vtkPythonArgs::GetArgCount(self, args);

  switch(nargs)
    {
    case 1:
      return PyvtkMimeTypes_Lookup_s1(self, args);
    case 2:
      return PyvtkMimeTypes_Lookup_s2(self, args);
    case 3:
      return PyvtkMimeTypes_Lookup_s3(self, args);
    }

  vtkPythonArgs::ArgCountError(nargs, "Lookup");
  return NULL;
}



static PyObject *
PyvtkMimeTypes_Match(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "Match");

  vtkStdString temp0;
  vtkStdString temp1;
  PyObject *result = NULL;

  if (ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    bool tempr = vtkMimeTypes::Match(temp0, temp1);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkMimeTypes_Methods[] = {
  {(char*)"GetClassName", PyvtkMimeTypes_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkMimeTypes_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkMimeTypes_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMimeTypes\nC++: vtkMimeTypes *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkMimeTypes_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMimeTypes\nC++: vtkMimeTypes *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"ClearStrategies", PyvtkMimeTypes_ClearStrategies, 1,
   (char*)"V.ClearStrategies()\nC++: void ClearStrategies()\n\nClear the list of strategies.\n"},
  {(char*)"PrependStrategy", PyvtkMimeTypes_PrependStrategy, 1,
   (char*)"V.PrependStrategy(vtkMimeTypeStrategy)\nC++: void PrependStrategy(vtkMimeTypeStrategy *strategy)\n\nPrepend a strategy to the list of strategies.  vtkMimeTypes\nassumes ownership of the supplied object.\n"},
  {(char*)"AppendStrategy", PyvtkMimeTypes_AppendStrategy, 1,
   (char*)"V.AppendStrategy(vtkMimeTypeStrategy)\nC++: void AppendStrategy(vtkMimeTypeStrategy *strategy)\n\nAppend a strategy to the list of strategies.  vtkMimeTypes\nassumes ownership of the supplied object.\n"},
  {(char*)"Lookup", PyvtkMimeTypes_Lookup, 1,
   (char*)"V.Lookup(string) -> string\nC++: vtkStdString Lookup(const vtkStdString &uri)\nV.Lookup(string, string) -> string\nC++: vtkStdString Lookup(const char *begin, const char *end)\nV.Lookup(string, string, string) -> string\nC++: vtkStdString Lookup(const vtkStdString &uri,\n    const char *begin, const char *end)\n\nGiven a resource URI, returns the MIME-type of the resource, or\nempty-string if the type cannot be identified.\n"},
  {(char*)"Match", PyvtkMimeTypes_Match, 1,
   (char*)"V.Match(string, string) -> bool\nC++: static bool Match(const vtkStdString &pattern,\n    const vtkStdString &type)\n\nReturns true iff a Mime pattern matches the given type.  Handles\nwildcards so the pattern \"*/*\" will match any type (including\nempty type), and \"text/*\" will match \"text/plain\", \"text/html\",\n\"text/xml\", etc.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkMimeTypes_StaticNew()
{
  return vtkMimeTypes::New();
}

PyObject *PyVTKClass_vtkMimeTypesNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkMimeTypes_StaticNew,
    PyvtkMimeTypes_Methods,
    "vtkMimeTypes", modulename,
    NULL, NULL,
    PyvtkMimeTypes_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkMimeTypes_Doc()
{
  static const char *docstring[] = {
    "vtkMimeTypes - Determines the MIME type of a resource.\n\n",
    "Superclass: vtkObject\n\n",
    "vtkMimeTypes is a helper class for determining the MIME type of a\nresource at runtime. To use it, create an instance of vtkMimeTypes,\nthen call the Lookup() method to determine the MIME type of each\nresource of-interest.\n\nvtkMimeTypes relies on a set of strategy objects to perform the\nactual lookups. These strategy objects may determine the MIME type\nbased on arbitrary methods, including looking a",
    "t file extensions,\nexamining the contents of the resource, or some combination thereof.\n\nBy default, vtkMimeTypes is configured with a simple cross-platform\nstrategy that identifies resources based on a hard-coded list of\nfilename extensions, but you can supplement this process with your\nown strategies.  The list of strategies is executed in-order to\ndetermine the MIME type of a resource, so earli",
    "er strategies\n\"override\" later strategies.\n\nSee Also:\n\nvtkMimeTypeStrategy, vtkFileExtensionMimeTypeStrategy.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkMimeTypes(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkMimeTypesNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkMimeTypes", o) != 0)
    {
    Py_DECREF(o);
    }

}

