// python wrapper for vtkNGramExtraction
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkNGramExtraction.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkNGramExtraction(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkNGramExtraction(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkNGramExtractionNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkNGramExtractionNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkNGramExtraction_Doc();


static PyObject *
PyvtkNGramExtraction_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNGramExtraction *op = static_cast<vtkNGramExtraction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkNGramExtraction::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkNGramExtraction_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNGramExtraction *op = static_cast<vtkNGramExtraction *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkNGramExtraction::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkNGramExtraction_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNGramExtraction *op = static_cast<vtkNGramExtraction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkNGramExtraction *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkNGramExtraction::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkNGramExtraction_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkNGramExtraction *tempr = vtkNGramExtraction::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkNGramExtraction_SetN(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetN");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNGramExtraction *op = static_cast<vtkNGramExtraction *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetN(temp0);
      }
    else
      {
      op->vtkNGramExtraction::SetN(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkNGramExtraction_GetN(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetN");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkNGramExtraction *op = static_cast<vtkNGramExtraction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkIdType tempr = (ap.IsBound() ?
      op->GetN() :
      op->vtkNGramExtraction::GetN());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkNGramExtraction_Methods[] = {
  {(char*)"GetClassName", PyvtkNGramExtraction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkNGramExtraction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkNGramExtraction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkNGramExtraction\nC++: vtkNGramExtraction *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkNGramExtraction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkNGramExtraction\nC++: vtkNGramExtraction *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetN", PyvtkNGramExtraction_SetN, 1,
   (char*)"V.SetN(int)\nC++: void SetN(vtkIdType a)\n\nControls the type of N-gram to produce.  Default: 1 (unigrams).\n"},
  {(char*)"GetN", PyvtkNGramExtraction_GetN, 1,
   (char*)"V.GetN() -> int\nC++: vtkIdType GetN()\n\nControls the type of N-gram to produce.  Default: 1 (unigrams).\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkNGramExtraction_StaticNew()
{
  return vtkNGramExtraction::New();
}

PyObject *PyVTKClass_vtkNGramExtractionNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkNGramExtraction_StaticNew,
    PyvtkNGramExtraction_Methods,
    "vtkNGramExtraction", modulename,
    NULL, NULL,
    PyvtkNGramExtraction_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkNGramExtraction_Doc()
{
  static const char *docstring[] = {
    "vtkNGramExtraction - Converts a collection of tokens into a\ncollection of N-grams.\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "Given a table containing tokens, generates a table containing\nN-grams.\n\nInputs:\n  Input port 0: (required) A vtkTable containing document, begin,\nend, and text\n    columns.\n\nOutputs:\n  Output port 0: A vtkTable containing \"document\", \"begin\", \"end\",\n\"type\", and \"text\"\n    columns.\n\nUse SetInputArrayToProcess(0, ...) to specify the \"document\" array.\nUse SetInputArrayToProcess(1, ...) to specify the",
    " \"begin\" array. Use\nSetInputArrayToProcess(2, ...) to specify the \"end\" array. Use\nSetInputArrayToProcess(3, ...) to specify the \"text\" array.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkNGramExtraction(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkNGramExtractionNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkNGramExtraction", o) != 0)
    {
    Py_DECREF(o);
    }

}

