// python wrapper for vtkPlainTextExtractionStrategy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPlainTextExtractionStrategy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPlainTextExtractionStrategy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPlainTextExtractionStrategy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlainTextExtractionStrategyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlainTextExtractionStrategyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTextExtractionStrategyNew
extern "C" { PyObject *PyVTKClass_vtkTextExtractionStrategyNew(const char *); }
#define DECLARED_PyVTKClass_vtkTextExtractionStrategyNew
#endif

static const char **PyvtkPlainTextExtractionStrategy_Doc();


static PyObject *
PyvtkPlainTextExtractionStrategy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPlainTextExtractionStrategy *op = static_cast<vtkPlainTextExtractionStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkPlainTextExtractionStrategy::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPlainTextExtractionStrategy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPlainTextExtractionStrategy *op = static_cast<vtkPlainTextExtractionStrategy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPlainTextExtractionStrategy::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPlainTextExtractionStrategy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPlainTextExtractionStrategy *op = static_cast<vtkPlainTextExtractionStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkPlainTextExtractionStrategy *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPlainTextExtractionStrategy::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPlainTextExtractionStrategy_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkPlainTextExtractionStrategy *tempr = vtkPlainTextExtractionStrategy::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPlainTextExtractionStrategy_Methods[] = {
  {(char*)"GetClassName", PyvtkPlainTextExtractionStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPlainTextExtractionStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPlainTextExtractionStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlainTextExtractionStrategy\nC++: vtkPlainTextExtractionStrategy *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPlainTextExtractionStrategy_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlainTextExtractionStrategy\nC++: vtkPlainTextExtractionStrategy *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPlainTextExtractionStrategy_StaticNew()
{
  return vtkPlainTextExtractionStrategy::New();
}

PyObject *PyVTKClass_vtkPlainTextExtractionStrategyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPlainTextExtractionStrategy_StaticNew,
    PyvtkPlainTextExtractionStrategy_Methods,
    "vtkPlainTextExtractionStrategy", modulename,
    NULL, NULL,
    PyvtkPlainTextExtractionStrategy_Doc(),
    PyVTKClass_vtkTextExtractionStrategyNew(modulename));
  return cls;
}

const char **PyvtkPlainTextExtractionStrategy_Doc()
{
  static const char *docstring[] = {
    "vtkPlainTextExtractionStrategy - text extraction strategy that works\nwith text/* data.\n\n",
    "Superclass: vtkTextExtractionStrategy\n\n",
    "Concrete implementation of vtkTextExtractionStrategy that works with\ntext/* MIME types. vtkPlainTextExtractionStrategy trivially converts\nthe contents of the given resource into text.  It is intended mainly\nas a \"strategy of last resort\", since more sophisticated strategies\nmay wish to parse-out structured content.\n\nGenerates a single \"TEXT\" tag that incorporates the entire text\ncontent.\n\nSee Also",
    ":\n\nvtkTextExtraction, vtkTextExtractionStrategy.\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPlainTextExtractionStrategy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPlainTextExtractionStrategyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPlainTextExtractionStrategy", o) != 0)
    {
    Py_DECREF(o);
    }

}

