// python wrapper for vtkPointwiseMutualInformation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPointwiseMutualInformation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPointwiseMutualInformation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPointwiseMutualInformation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointwiseMutualInformationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointwiseMutualInformationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
#endif

static const char **PyvtkPointwiseMutualInformation_Doc();


static PyObject *
PyvtkPointwiseMutualInformation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPointwiseMutualInformation *op = static_cast<vtkPointwiseMutualInformation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkPointwiseMutualInformation::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPointwiseMutualInformation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPointwiseMutualInformation *op = static_cast<vtkPointwiseMutualInformation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPointwiseMutualInformation::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPointwiseMutualInformation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPointwiseMutualInformation *op = static_cast<vtkPointwiseMutualInformation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkPointwiseMutualInformation *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPointwiseMutualInformation::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPointwiseMutualInformation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkPointwiseMutualInformation *tempr = vtkPointwiseMutualInformation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPointwiseMutualInformation_Methods[] = {
  {(char*)"GetClassName", PyvtkPointwiseMutualInformation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPointwiseMutualInformation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPointwiseMutualInformation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointwiseMutualInformation\nC++: vtkPointwiseMutualInformation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPointwiseMutualInformation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointwiseMutualInformation\nC++: vtkPointwiseMutualInformation *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPointwiseMutualInformation_StaticNew()
{
  return vtkPointwiseMutualInformation::New();
}

PyObject *PyVTKClass_vtkPointwiseMutualInformationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPointwiseMutualInformation_StaticNew,
    PyvtkPointwiseMutualInformation_Methods,
    "vtkPointwiseMutualInformation", modulename,
    NULL, NULL,
    PyvtkPointwiseMutualInformation_Doc(),
    PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkPointwiseMutualInformation_Doc()
{
  static const char *docstring[] = {
    "vtkPointwiseMutualInformation - Computes pointwise mutual information.\n\n",
    "Superclass: vtkArrayDataAlgorithm\n\n",
    "Given an arbitrary-dimension array of doubles, computes the pointwise\nmutual information log(p(i,j,...) / p(i)p(j)p(...)) for each value in\nthe array.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPointwiseMutualInformation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPointwiseMutualInformationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPointwiseMutualInformation", o) != 0)
    {
    Py_DECREF(o);
    }

}

