// python wrapper for vtkPowerWeighting
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPowerWeighting.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkPowerWeighting(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkPowerWeighting(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPowerWeightingNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPowerWeightingNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
#endif

static const char **PyvtkPowerWeighting_Doc();


static PyObject *
PyvtkPowerWeighting_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPowerWeighting *op = static_cast<vtkPowerWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkPowerWeighting::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPowerWeighting_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPowerWeighting *op = static_cast<vtkPowerWeighting *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPowerWeighting::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPowerWeighting_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPowerWeighting *op = static_cast<vtkPowerWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkPowerWeighting *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPowerWeighting::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPowerWeighting_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkPowerWeighting *tempr = vtkPowerWeighting::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPowerWeighting_SetPower(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPower");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPowerWeighting *op = static_cast<vtkPowerWeighting *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPower(temp0);
      }
    else
      {
      op->vtkPowerWeighting::SetPower(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkPowerWeighting_GetPower(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPower");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPowerWeighting *op = static_cast<vtkPowerWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetPower() :
      op->vtkPowerWeighting::GetPower());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPowerWeighting_Methods[] = {
  {(char*)"GetClassName", PyvtkPowerWeighting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPowerWeighting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPowerWeighting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPowerWeighting\nC++: vtkPowerWeighting *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPowerWeighting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPowerWeighting\nC++: vtkPowerWeighting *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetPower", PyvtkPowerWeighting_SetPower, 1,
   (char*)"V.SetPower(float)\nC++: void SetPower(double a)\n\nSpecify the exponent to apply (default: 2.0)\n"},
  {(char*)"GetPower", PyvtkPowerWeighting_GetPower, 1,
   (char*)"V.GetPower() -> float\nC++: double GetPower()\n\nSpecify the exponent to apply (default: 2.0)\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPowerWeighting_StaticNew()
{
  return vtkPowerWeighting::New();
}

PyObject *PyVTKClass_vtkPowerWeightingNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPowerWeighting_StaticNew,
    PyvtkPowerWeighting_Methods,
    "vtkPowerWeighting", modulename,
    NULL, NULL,
    PyvtkPowerWeighting_Doc(),
    PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkPowerWeighting_Doc()
{
  static const char *docstring[] = {
    "vtkPowerWeighting - Given an arbitrary-dimension array of doubles,\n\n",
    "Superclass: vtkArrayDataAlgorithm\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPowerWeighting(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPowerWeightingNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPowerWeighting", o) != 0)
    {
    Py_DECREF(o);
    }

}

