// python wrapper for vtkQtXMLProcessor
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkStdString.h"
#include "vtkQtXMLProcessor.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtXMLProcessor(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtXMLProcessor(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtXMLProcessorNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtXMLProcessorNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPassInputTypeAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkPassInputTypeAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkPassInputTypeAlgorithmNew
#endif

static const char **PyvtkQtXMLProcessor_Doc();


static PyObject *
PyvtkQtXMLProcessor_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtXMLProcessor::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtXMLProcessor::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtXMLProcessor *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtXMLProcessor::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtXMLProcessor *tempr = vtkQtXMLProcessor::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_GetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFieldType() :
      op->vtkQtXMLProcessor::GetFieldType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_SetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFieldType(temp0);
      }
    else
      {
      op->vtkQtXMLProcessor::SetFieldType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_GetInputDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInputDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetInputDomain() :
      op->vtkQtXMLProcessor::GetInputDomain());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_SetInputDomain(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInputDomain");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInputDomain(temp0);
      }
    else
      {
      op->vtkQtXMLProcessor::SetInputDomain(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_GetQueryType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetQueryType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetQueryType() :
      op->vtkQtXMLProcessor::GetQueryType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_SetQueryType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetQueryType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetQueryType(temp0);
      }
    else
      {
      op->vtkQtXMLProcessor::SetQueryType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_SetQuery(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetQuery");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetQuery(temp0);
      }
    else
      {
      op->vtkQtXMLProcessor::SetQuery(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_GetQuery(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetQuery");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetQuery() :
      op->vtkQtXMLProcessor::GetQuery());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_SetOutputArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputArray(temp0);
      }
    else
      {
      op->vtkQtXMLProcessor::SetOutputArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_GetOutputArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetOutputArray() :
      op->vtkQtXMLProcessor::GetOutputArray());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_MapArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MapArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  vtkStdString temp0;
  vtkStdString temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->MapArrayName(temp0, temp1);
      }
    else
      {
      op->vtkQtXMLProcessor::MapArrayName(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtXMLProcessor_ClearArrayNameMap(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearArrayNameMap");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtXMLProcessor *op = static_cast<vtkQtXMLProcessor *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearArrayNameMap();
      }
    else
      {
      op->vtkQtXMLProcessor::ClearArrayNameMap();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkQtXMLProcessor_Methods[] = {
  {(char*)"GetClassName", PyvtkQtXMLProcessor_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtXMLProcessor_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtXMLProcessor_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtXMLProcessor\nC++: vtkQtXMLProcessor *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtXMLProcessor_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtXMLProcessor\nC++: vtkQtXMLProcessor *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetFieldType", PyvtkQtXMLProcessor_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType()\n\nSpecifies the field data to process when InputDomain is set to\n\"ROW_DOMAIN\" or \"DATA_OBJECT_DOMAIN\".\n"},
  {(char*)"SetFieldType", PyvtkQtXMLProcessor_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType(int a)\n\nSpecifies the field data to process when InputDomain is set to\n\"ROW_DOMAIN\" or \"DATA_OBJECT_DOMAIN\".\n"},
  {(char*)"GetInputDomain", PyvtkQtXMLProcessor_GetInputDomain, 1,
   (char*)"V.GetInputDomain() -> int\nC++: int GetInputDomain()\n\nSpecifies how input data should be mapped to XML for processing.\n"},
  {(char*)"SetInputDomain", PyvtkQtXMLProcessor_SetInputDomain, 1,
   (char*)"V.SetInputDomain(int)\nC++: void SetInputDomain(int a)\n\nSpecifies how input data should be mapped to XML for processing.\n"},
  {(char*)"GetQueryType", PyvtkQtXMLProcessor_GetQueryType, 1,
   (char*)"V.GetQueryType() -> int\nC++: int GetQueryType()\n\nSpecifies Whether the query uses XQuery or XSLT syntax.\n"},
  {(char*)"SetQueryType", PyvtkQtXMLProcessor_SetQueryType, 1,
   (char*)"V.SetQueryType(int)\nC++: void SetQueryType(int a)\n\nSpecifies Whether the query uses XQuery or XSLT syntax.\n"},
  {(char*)"SetQuery", PyvtkQtXMLProcessor_SetQuery, 1,
   (char*)"V.SetQuery(string)\nC++: void SetQuery(char *)\n\nSpecifies the XQuery or XSLT query to apply to input data.\n"},
  {(char*)"GetQuery", PyvtkQtXMLProcessor_GetQuery, 1,
   (char*)"V.GetQuery() -> string\nC++: char *GetQuery()\n\nSpecifies the XQuery or XSLT query to apply to input data.\n"},
  {(char*)"SetOutputArray", PyvtkQtXMLProcessor_SetOutputArray, 1,
   (char*)"V.SetOutputArray(string)\nC++: void SetOutputArray(char *)\n\nSpecifies the name of the array where output results will be\nstored.\n"},
  {(char*)"GetOutputArray", PyvtkQtXMLProcessor_GetOutputArray, 1,
   (char*)"V.GetOutputArray() -> string\nC++: char *GetOutputArray()\n\nSpecifies the name of the array where output results will be\nstored.\n"},
  {(char*)"MapArrayName", PyvtkQtXMLProcessor_MapArrayName, 1,
   (char*)"V.MapArrayName(string, string)\nC++: void MapArrayName(const vtkStdString &from,\n    const vtkStdString &to)\n\nUsed to provide explicit mappings from VTK array names to XML\nelement names.\n"},
  {(char*)"ClearArrayNameMap", PyvtkQtXMLProcessor_ClearArrayNameMap, 1,
   (char*)"V.ClearArrayNameMap()\nC++: void ClearArrayNameMap()\n\nUsed to provide explicit mappings from VTK array names to XML\nelement names.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQtXMLProcessor_StaticNew()
{
  return vtkQtXMLProcessor::New();
}

PyObject *PyVTKClass_vtkQtXMLProcessorNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQtXMLProcessor_StaticNew,
    PyvtkQtXMLProcessor_Methods,
    "vtkQtXMLProcessor", modulename,
    NULL, NULL,
    PyvtkQtXMLProcessor_Doc(),
    PyVTKClass_vtkPassInputTypeAlgorithmNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"ROW_DOMAIN", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"DATA_OBJECT_DOMAIN", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"VALUE_DOMAIN", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"XQUERY", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"XSLT", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkQtXMLProcessor_Doc()
{
  static const char *docstring[] = {
    "vtkQtXMLProcessor - Processes data using XQuery or XSLT.\n\n",
    "Superclass: vtkPassInputTypeAlgorithm\n\n",
    "which is then processed using either XQuery or XSLT. \nvtkQtXMLProcessor provides multiple \"domains\" which control how data\nis mapped to XML:\n\n\"ROW_DOMAIN\" treats an input vtkFieldData object as a \"table\" made-up\nof columns, rows, and cells/fields.  This table is mapped (using\nshallow-copy semantics) into XML, and each \"row\" in the \"table\" is\npassed to an XQuery or XSLT expression, producing one ou",
    "tput result\nfor each \"row\".\n\n\"DATA_OBJECT_DOMAIN\" maps vtkFieldData to a \"table\" in the same way,\nbut passes the entire table to an XQuery or XSLT expression,\nproducing a single output result for the entire data obect.\n\nFollowing is an example of how a field data containing two arrays\nnamed \"foo\" and \"bar\" are mapped into XML:\n\n\n  \n    \n      value of foo at index 0\n      value of bar at index 0\n ",
    "   \n    \n      value of foo at index 1\n      value of bar at index 1\n    \n    ...\n   \n\nNote how the array names are mapped to elements in the resulting XML.\n Because there are strict rules on the naming of XML elements, array\nnames will be automatically \"mangled\" to produce conforming element\nnames.  Users may optionally supply their own mappings from array\nnames to element names.\n\n\"VALUE_DOMAIN\" ",
    "is used when when a data object already contains XML\ndata that can be passed to an XQuery or XSLT expression directly,\nproducing one output result for each value in an attribute array. Use\nSetInputArrayToProcess(0, ...) to specify the attribute array that\ncontains XML for processing.\n\nParameters:\n  FieldType: Controls which field data should be extracted from\n    the input for processing.\n\n\n  Inpu",
    "tDomain: Controls whether XML processing will be applied to\n    individual rows (the default), the entire input field data, or\n    an attribute array containing XML.\n\n\n  QueryType: Controls whether to use XQuery or XSLT for processing.\n\n\n  Query: The XQuery or XSLT template to be used for processing.\n\n\n  OutputArray: The name of the output array that will store the\n    processed results.\n\nInputs:\n",
    "  Input port 0: A vtkDataObject containing arbitrary field data.\n\nOutputs:\n  Output port 0: A shallow-copy of the input vtkDataObject.\n    If InputDomain is set to \"ROW_DOMAIN\" (the default), or\n    \"VALUE_DOMAIN\", the data object's field data will contain an\n    additional string array containing the results of running\n    XQuery / XSLT on each individual row / value in the input.\n\n\n    If InputD",
    "omain is set to \"DATA_OBJECT_DOMAIN\", the data object\n    will be identical to the input.\n\n\n  Output port 1: A vtkTable.  If InputDomain is set to \"ROW_DOMAIN\"\n    (the default) or \"VALUE_DOMAIN\", the table will be completely\n    empty.  If InputDomain is set to \"DATA_OBJECT_DOMAIN\", the table\n    will contain a single string array with a single value\n    containing the results of running XQuery /",
    " XSLT on the entire\n    contents of the input field data.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtXMLProcessor(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtXMLProcessorNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtXMLProcessor", o) != 0)
    {
    Py_DECREF(o);
    }

}

