// python wrapper for vtkScaleDimension
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkScaleDimension.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkScaleDimension(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkScaleDimension(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScaleDimensionNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScaleDimensionNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
#endif

static const char **PyvtkScaleDimension_Doc();


static PyObject *
PyvtkScaleDimension_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScaleDimension *op = static_cast<vtkScaleDimension *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkScaleDimension::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScaleDimension_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScaleDimension *op = static_cast<vtkScaleDimension *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkScaleDimension::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScaleDimension_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScaleDimension *op = static_cast<vtkScaleDimension *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkScaleDimension *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkScaleDimension::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkScaleDimension_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkScaleDimension *tempr = vtkScaleDimension::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScaleDimension_GetDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScaleDimension *op = static_cast<vtkScaleDimension *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetDimension() :
      op->vtkScaleDimension::GetDimension());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkScaleDimension_SetDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScaleDimension *op = static_cast<vtkScaleDimension *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDimension(temp0);
      }
    else
      {
      op->vtkScaleDimension::SetDimension(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScaleDimension_SetInvert(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInvert");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScaleDimension *op = static_cast<vtkScaleDimension *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInvert(temp0);
      }
    else
      {
      op->vtkScaleDimension::SetInvert(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkScaleDimension_GetInvert(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInvert");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkScaleDimension *op = static_cast<vtkScaleDimension *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetInvert() :
      op->vtkScaleDimension::GetInvert());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkScaleDimension_Methods[] = {
  {(char*)"GetClassName", PyvtkScaleDimension_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkScaleDimension_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkScaleDimension_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScaleDimension\nC++: vtkScaleDimension *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkScaleDimension_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkScaleDimension\nC++: vtkScaleDimension *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetDimension", PyvtkScaleDimension_GetDimension, 1,
   (char*)"V.GetDimension() -> int\nC++: int GetDimension()\n\nSpecifies the dimension to be scaled.  Default 0.\n"},
  {(char*)"SetDimension", PyvtkScaleDimension_SetDimension, 1,
   (char*)"V.SetDimension(int)\nC++: void SetDimension(int a)\n\nSpecifies the dimension to be scaled.  Default 0.\n"},
  {(char*)"SetInvert", PyvtkScaleDimension_SetInvert, 1,
   (char*)"V.SetInvert(int)\nC++: void SetInvert(int a)\n\nControls whether to invert scaling vector values.  Default: false\n"},
  {(char*)"GetInvert", PyvtkScaleDimension_GetInvert, 1,
   (char*)"V.GetInvert() -> int\nC++: int GetInvert()\n\nControls whether to invert scaling vector values.  Default: false\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkScaleDimension_StaticNew()
{
  return vtkScaleDimension::New();
}

PyObject *PyVTKClass_vtkScaleDimensionNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkScaleDimension_StaticNew,
    PyvtkScaleDimension_Methods,
    "vtkScaleDimension", modulename,
    NULL, NULL,
    PyvtkScaleDimension_Doc(),
    PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkScaleDimension_Doc()
{
  static const char *docstring[] = {
    "vtkScaleDimension - scales every element in an N-way array along\n\n",
    "Superclass: vtkArrayDataAlgorithm\n\n",
    "Scales every element in an N-way array along one dimension.  The\nscaling factor along this dimension is specified by a scaling vector\nwith the same extents as the target dimension.\n\nInputs:\n  Input port 0: (required) a vtkTypedArrayof arbitrary dimension and\n    extents.\n\n\n  Input port 1: (required) a vtkDenseArraywith one dimension.  The\nextents\n    of the array must match the extents of the port",
    " 0 array along the\ndimension to\n    be scaled.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkScaleDimension(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkScaleDimensionNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkScaleDimension", o) != 0)
    {
    Py_DECREF(o);
    }

}

