// python wrapper for vtkSelectArraySlices
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkSelectArraySlices.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkSelectArraySlices(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkSelectArraySlices(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSelectArraySlicesNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSelectArraySlicesNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkSelectionAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkSelectionAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkSelectionAlgorithmNew
#endif

static const char **PyvtkSelectArraySlices_Doc();


static PyObject *
PyvtkSelectArraySlices_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkSelectArraySlices::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkSelectArraySlices::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkSelectArraySlices *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkSelectArraySlices::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkSelectArraySlices *tempr = vtkSelectArraySlices::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_GetSliceDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSliceDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkIdType tempr = (ap.IsBound() ?
      op->GetSliceDimension() :
      op->vtkSelectArraySlices::GetSliceDimension());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_SetSliceDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSliceDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSliceDimension(temp0);
      }
    else
      {
      op->vtkSelectArraySlices::SetSliceDimension(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_GetMinimumCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMinimumCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkIdType tempr = (ap.IsBound() ?
      op->GetMinimumCount() :
      op->vtkSelectArraySlices::GetMinimumCount());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_SetMinimumCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMinimumCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMinimumCount(temp0);
      }
    else
      {
      op->vtkSelectArraySlices::SetMinimumCount(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_GetMaximumCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximumCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkIdType tempr = (ap.IsBound() ?
      op->GetMaximumCount() :
      op->vtkSelectArraySlices::GetMaximumCount());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_SetMaximumCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  vtkIdType temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaximumCount(temp0);
      }
    else
      {
      op->vtkSelectArraySlices::SetMaximumCount(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_GetMinimumPercent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMinimumPercent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetMinimumPercent() :
      op->vtkSelectArraySlices::GetMinimumPercent());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_SetMinimumPercent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMinimumPercent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMinimumPercent(temp0);
      }
    else
      {
      op->vtkSelectArraySlices::SetMinimumPercent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_GetMaximumPercent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximumPercent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    double tempr = (ap.IsBound() ?
      op->GetMaximumPercent() :
      op->vtkSelectArraySlices::GetMaximumPercent());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkSelectArraySlices_SetMaximumPercent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumPercent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkSelectArraySlices *op = static_cast<vtkSelectArraySlices *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaximumPercent(temp0);
      }
    else
      {
      op->vtkSelectArraySlices::SetMaximumPercent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkSelectArraySlices_Methods[] = {
  {(char*)"GetClassName", PyvtkSelectArraySlices_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkSelectArraySlices_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkSelectArraySlices_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSelectArraySlices\nC++: vtkSelectArraySlices *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkSelectArraySlices_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSelectArraySlices\nC++: vtkSelectArraySlices *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetSliceDimension", PyvtkSelectArraySlices_GetSliceDimension, 1,
   (char*)"V.GetSliceDimension() -> int\nC++: vtkIdType GetSliceDimension()\n\nControls the dimension along which slices will be selected. \nDefault: 0\n"},
  {(char*)"SetSliceDimension", PyvtkSelectArraySlices_SetSliceDimension, 1,
   (char*)"V.SetSliceDimension(int)\nC++: void SetSliceDimension(vtkIdType a)\n\nControls the dimension along which slices will be selected. \nDefault: 0\n"},
  {(char*)"GetMinimumCount", PyvtkSelectArraySlices_GetMinimumCount, 1,
   (char*)"V.GetMinimumCount() -> int\nC++: vtkIdType GetMinimumCount()\n\nControls the minimum number of non-zero values that a slice can\ncontain and still be selected.  Default: 1\n"},
  {(char*)"SetMinimumCount", PyvtkSelectArraySlices_SetMinimumCount, 1,
   (char*)"V.SetMinimumCount(int)\nC++: void SetMinimumCount(vtkIdType a)\n\nControls the minimum number of non-zero values that a slice can\ncontain and still be selected.  Default: 1\n"},
  {(char*)"GetMaximumCount", PyvtkSelectArraySlices_GetMaximumCount, 1,
   (char*)"V.GetMaximumCount() -> int\nC++: vtkIdType GetMaximumCount()\n\nControls the maximum number of non-zero values that a slice can\ncontain and still be selected.  Default: INT_MAX\n"},
  {(char*)"SetMaximumCount", PyvtkSelectArraySlices_SetMaximumCount, 1,
   (char*)"V.SetMaximumCount(int)\nC++: void SetMaximumCount(vtkIdType a)\n\nControls the maximum number of non-zero values that a slice can\ncontain and still be selected.  Default: INT_MAX\n"},
  {(char*)"GetMinimumPercent", PyvtkSelectArraySlices_GetMinimumPercent, 1,
   (char*)"V.GetMinimumPercent() -> float\nC++: double GetMinimumPercent()\n\nControls the minimum percentage of non-zero values that a slice\ncan contain and still be selected.  Default: 0.0\n"},
  {(char*)"SetMinimumPercent", PyvtkSelectArraySlices_SetMinimumPercent, 1,
   (char*)"V.SetMinimumPercent(float)\nC++: void SetMinimumPercent(double a)\n\nControls the minimum percentage of non-zero values that a slice\ncan contain and still be selected.  Default: 0.0\n"},
  {(char*)"GetMaximumPercent", PyvtkSelectArraySlices_GetMaximumPercent, 1,
   (char*)"V.GetMaximumPercent() -> float\nC++: double GetMaximumPercent()\n\nControls the maximum percentage of non-zero values that a slice\ncan contain and still be selected.  Default: 1.0\n"},
  {(char*)"SetMaximumPercent", PyvtkSelectArraySlices_SetMaximumPercent, 1,
   (char*)"V.SetMaximumPercent(float)\nC++: void SetMaximumPercent(double a)\n\nControls the maximum percentage of non-zero values that a slice\ncan contain and still be selected.  Default: 1.0\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkSelectArraySlices_StaticNew()
{
  return vtkSelectArraySlices::New();
}

PyObject *PyVTKClass_vtkSelectArraySlicesNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkSelectArraySlices_StaticNew,
    PyvtkSelectArraySlices_Methods,
    "vtkSelectArraySlices", modulename,
    NULL, NULL,
    PyvtkSelectArraySlices_Doc(),
    PyVTKClass_vtkSelectionAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkSelectArraySlices_Doc()
{
  static const char *docstring[] = {
    "vtkSelectArraySlices - Produces a selection based on array slice\nvalues\n\n",
    "Superclass: vtkSelectionAlgorithm\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkSelectArraySlices(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkSelectArraySlicesNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkSelectArraySlices", o) != 0)
    {
    Py_DECREF(o);
    }

}

