#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAssignMimeTypeCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkAssignMimeTypeNewCommand();
int vtkConcatenateArrayCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkConcatenateArrayNewCommand();
int vtkDocumentReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDocumentReaderNewCommand();
int vtkEntropyMatrixWeightingCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEntropyMatrixWeightingNewCommand();
int vtkExtractSelectedSlicesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkExtractSelectedSlicesNewCommand();
int vtkFeatureDictionaryCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFeatureDictionaryNewCommand();
int vtkFileExtensionMimeTypeStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFileExtensionMimeTypeStrategyNewCommand();
int vtkFoldCaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkFoldCaseNewCommand();
int vtkForceMimeTypeStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkForceMimeTypeStrategyNewCommand();
int vtkMimeTypesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkMimeTypesNewCommand();
int vtkNGramExtractionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkNGramExtractionNewCommand();
int vtkPlainTextExtractionStrategyCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPlainTextExtractionStrategyNewCommand();
int vtkPointwiseMutualInformationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPointwiseMutualInformationNewCommand();
int vtkPowerWeightingCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPowerWeightingNewCommand();
int vtkScaleDimensionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkScaleDimensionNewCommand();
int vtkSelectArraySlicesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkSelectArraySlicesNewCommand();
int vtkTextExtractionCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTextExtractionNewCommand();
int vtkTokenLengthFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTokenLengthFilterNewCommand();
int vtkTokenValueFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTokenValueFilterNewCommand();
int vtkTokenizerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTokenizerNewCommand();
int vtkUnityMatrixWeightingCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkUnityMatrixWeightingNewCommand();
int vtkQtXMLProcessorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkQtXMLProcessorNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtktextanalysistcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtktextanalysistcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtktextanalysistcl_SafeInit(Tcl_Interp *interp)
{
  return Vtktextanalysistcl_Init(interp);
}


int VTK_EXPORT Vtktextanalysistcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkAssignMimeType"), vtkAssignMimeTypeNewCommand,
                  vtkAssignMimeTypeCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkConcatenateArray"), vtkConcatenateArrayNewCommand,
                  vtkConcatenateArrayCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDocumentReader"), vtkDocumentReaderNewCommand,
                  vtkDocumentReaderCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEntropyMatrixWeighting"), vtkEntropyMatrixWeightingNewCommand,
                  vtkEntropyMatrixWeightingCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkExtractSelectedSlices"), vtkExtractSelectedSlicesNewCommand,
                  vtkExtractSelectedSlicesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFeatureDictionary"), vtkFeatureDictionaryNewCommand,
                  vtkFeatureDictionaryCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFileExtensionMimeTypeStrategy"), vtkFileExtensionMimeTypeStrategyNewCommand,
                  vtkFileExtensionMimeTypeStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkFoldCase"), vtkFoldCaseNewCommand,
                  vtkFoldCaseCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkForceMimeTypeStrategy"), vtkForceMimeTypeStrategyNewCommand,
                  vtkForceMimeTypeStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkMimeTypes"), vtkMimeTypesNewCommand,
                  vtkMimeTypesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkNGramExtraction"), vtkNGramExtractionNewCommand,
                  vtkNGramExtractionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPlainTextExtractionStrategy"), vtkPlainTextExtractionStrategyNewCommand,
                  vtkPlainTextExtractionStrategyCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPointwiseMutualInformation"), vtkPointwiseMutualInformationNewCommand,
                  vtkPointwiseMutualInformationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPowerWeighting"), vtkPowerWeightingNewCommand,
                  vtkPowerWeightingCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkScaleDimension"), vtkScaleDimensionNewCommand,
                  vtkScaleDimensionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkSelectArraySlices"), vtkSelectArraySlicesNewCommand,
                  vtkSelectArraySlicesCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTextExtraction"), vtkTextExtractionNewCommand,
                  vtkTextExtractionCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTokenLengthFilter"), vtkTokenLengthFilterNewCommand,
                  vtkTokenLengthFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTokenValueFilter"), vtkTokenValueFilterNewCommand,
                  vtkTokenValueFilterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTokenizer"), vtkTokenizerNewCommand,
                  vtkTokenizerCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkUnityMatrixWeighting"), vtkUnityMatrixWeightingNewCommand,
                  vtkUnityMatrixWeightingCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkQtXMLProcessor"), vtkQtXMLProcessorNewCommand,
                  vtkQtXMLProcessorCommand);
  char pkgName[]="vtkTextAnalysisTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
