// python wrapper for vtkTextExtraction
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTextExtraction.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTextExtraction(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTextExtraction(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextExtractionNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextExtractionNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkTextExtraction_Doc();


static PyObject *
PyvtkTextExtraction_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtraction *op = static_cast<vtkTextExtraction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkTextExtraction::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTextExtraction_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtraction *op = static_cast<vtkTextExtraction *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkTextExtraction::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTextExtraction_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtraction *op = static_cast<vtkTextExtraction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTextExtraction *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkTextExtraction::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTextExtraction_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkTextExtraction *tempr = vtkTextExtraction::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTextExtraction_ClearStrategies(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearStrategies");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtraction *op = static_cast<vtkTextExtraction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearStrategies();
      }
    else
      {
      op->vtkTextExtraction::ClearStrategies();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTextExtraction_PrependStrategy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "PrependStrategy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtraction *op = static_cast<vtkTextExtraction *>(vp);

  vtkTextExtractionStrategy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTextExtractionStrategy"))
    {
    if (ap.IsBound())
      {
      op->PrependStrategy(temp0);
      }
    else
      {
      op->vtkTextExtraction::PrependStrategy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTextExtraction_AppendStrategy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AppendStrategy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtraction *op = static_cast<vtkTextExtraction *>(vp);

  vtkTextExtractionStrategy *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkTextExtractionStrategy"))
    {
    if (ap.IsBound())
      {
      op->AppendStrategy(temp0);
      }
    else
      {
      op->vtkTextExtraction::AppendStrategy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTextExtraction_SetOutputArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtraction *op = static_cast<vtkTextExtraction *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputArray(temp0);
      }
    else
      {
      op->vtkTextExtraction::SetOutputArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTextExtraction_GetOutputArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtraction *op = static_cast<vtkTextExtraction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetOutputArray() :
      op->vtkTextExtraction::GetOutputArray());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkTextExtraction_Methods[] = {
  {(char*)"GetClassName", PyvtkTextExtraction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTextExtraction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTextExtraction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextExtraction\nC++: vtkTextExtraction *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTextExtraction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextExtraction\nC++: vtkTextExtraction *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"ClearStrategies", PyvtkTextExtraction_ClearStrategies, 1,
   (char*)"V.ClearStrategies()\nC++: void ClearStrategies()\n\nClear the list of strategies.\n"},
  {(char*)"PrependStrategy", PyvtkTextExtraction_PrependStrategy, 1,
   (char*)"V.PrependStrategy(vtkTextExtractionStrategy)\nC++: void PrependStrategy(vtkTextExtractionStrategy *strategy)\n\nPrepend a strategy to the list of strategies.  vtkTextExtraction\nassumes ownership of the supplied object.\n"},
  {(char*)"AppendStrategy", PyvtkTextExtraction_AppendStrategy, 1,
   (char*)"V.AppendStrategy(vtkTextExtractionStrategy)\nC++: void AppendStrategy(vtkTextExtractionStrategy *strategy)\n\nAppend a strategy to the list of strategies.  vtkTextExtraction\nassumes ownership of the supplied object.\n"},
  {(char*)"SetOutputArray", PyvtkTextExtraction_SetOutputArray, 1,
   (char*)"V.SetOutputArray(string)\nC++: void SetOutputArray(char *)\n\nSpecifies the name of the output text array.  Default: \"text\".\n"},
  {(char*)"GetOutputArray", PyvtkTextExtraction_GetOutputArray, 1,
   (char*)"V.GetOutputArray() -> string\nC++: char *GetOutputArray()\n\nSpecifies the name of the output text array.  Default: \"text\".\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTextExtraction_StaticNew()
{
  return vtkTextExtraction::New();
}

PyObject *PyVTKClass_vtkTextExtractionNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTextExtraction_StaticNew,
    PyvtkTextExtraction_Methods,
    "vtkTextExtraction", modulename,
    NULL, NULL,
    PyvtkTextExtraction_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkTextExtraction_Doc()
{
  static const char *docstring[] = {
    "vtkTextExtraction - Extracts text from documents based on their MIME\ntype.\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "Given a table containing document ids, URIs, Mime types and document\ncontents, extracts plain text from each document, and generates a\nlist of 'tags' that delineate ranges of text.  The actual work of\nextracting text and generating tags is performed by an ordered list\nof vtkTextExtractionStrategy objects.\n\nBy default, vtkTextExtraction has just a single strategy for\nextracting plain text documents",
    ".  Callers will almost certainly want\nto supplement or replace the default with their own strategies.\n\nInputs:\n  Input port 0: (required) A vtkTable containing document ids, Mime\ntypes and\n    document contents (which could be binary).\n\nOutputs:\n  Output port 0: The same table with an additional \"text\" column that\ncontains the\n    text extracted from each document.\n  Output port 1: A table of docu",
    "ment tags that includes \"document\",\n\"uri\", \"begin\",\n    \"end\", and \"type\" columns.\n\nUse SetInputArrayToProcess(0, ...) to specify the input table column\nthat contains document ids (must be a vtkIdTypeArray).  Default:\n\"document\".\n\nUse SetInputArrayToProcess(1, ...) to specify the input table column\nthat contains URIs (must be a vtkStringArray).  Default: \"uri\".\n\nUse SetInputArrayToProcess(2, ...) ",
    "to specify the input table column\nthat contains Mime types (must be a vtkStringArray).  Default:\n\"mime_type\".\n\nUse SetInputArrayToProcess(3, ...) to specify the input table column\nthat contains document contents (must be a vtkStringArray).  Default:\n\"content\".\n\nCaveats:\n\nThe input document contents array must be a string array, even though\nthe individual document contents may be binary data.\n\nSee ",
    "Also:\n\nvtkTextExtractionStrategy, vtkPlainTextExtractionStrategy\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTextExtraction(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTextExtractionNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTextExtraction", o) != 0)
    {
    Py_DECREF(o);
    }

}

