// python wrapper for vtkTextExtractionStrategy
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTextExtractionStrategy.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTextExtractionStrategy(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTextExtractionStrategy(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextExtractionStrategyNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextExtractionStrategyNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkTextExtractionStrategy_Doc();


static PyObject *
PyvtkTextExtractionStrategy_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtractionStrategy *op = static_cast<vtkTextExtractionStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkTextExtractionStrategy::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTextExtractionStrategy_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtractionStrategy *op = static_cast<vtkTextExtractionStrategy *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkTextExtractionStrategy::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTextExtractionStrategy_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTextExtractionStrategy *op = static_cast<vtkTextExtractionStrategy *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTextExtractionStrategy *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkTextExtractionStrategy::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}

static PyMethodDef PyvtkTextExtractionStrategy_Methods[] = {
  {(char*)"GetClassName", PyvtkTextExtractionStrategy_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTextExtractionStrategy_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTextExtractionStrategy_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextExtractionStrategy\nC++: vtkTextExtractionStrategy *NewInstance()\n\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkTextExtractionStrategyNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkTextExtractionStrategy_Methods,
    "vtkTextExtractionStrategy", modulename,
    NULL, NULL,
    PyvtkTextExtractionStrategy_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkTextExtractionStrategy_Doc()
{
  static const char *docstring[] = {
    "vtkTextExtractionStrategy - Abstract interface for an object that can\nextract\n\n",
    "Superclass: vtkObject\n\n",
    "Concrete derivatives of vtkTextExtractionStrategy implement\nstrategies for extracting text from a resource, given its Mime type\nand content.\n\nSee Also:\n\nvtkTextExtraction, vtkPlainTextExtractionStrategy.\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTextExtractionStrategy(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTextExtractionStrategyNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTextExtractionStrategy", o) != 0)
    {
    Py_DECREF(o);
    }

}

