// python wrapper for vtkTokenLengthFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkTokenLengthFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTokenLengthFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTokenLengthFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTokenLengthFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTokenLengthFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkTokenLengthFilter_Doc();


static PyObject *
PyvtkTokenLengthFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenLengthFilter *op = static_cast<vtkTokenLengthFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkTokenLengthFilter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTokenLengthFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenLengthFilter *op = static_cast<vtkTokenLengthFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkTokenLengthFilter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTokenLengthFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenLengthFilter *op = static_cast<vtkTokenLengthFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTokenLengthFilter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkTokenLengthFilter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTokenLengthFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkTokenLengthFilter *tempr = vtkTokenLengthFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTokenLengthFilter_SetBegin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBegin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenLengthFilter *op = static_cast<vtkTokenLengthFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBegin(temp0);
      }
    else
      {
      op->vtkTokenLengthFilter::SetBegin(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTokenLengthFilter_GetBegin(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBegin");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenLengthFilter *op = static_cast<vtkTokenLengthFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetBegin() :
      op->vtkTokenLengthFilter::GetBegin());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTokenLengthFilter_SetEnd(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnd");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenLengthFilter *op = static_cast<vtkTokenLengthFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEnd(temp0);
      }
    else
      {
      op->vtkTokenLengthFilter::SetEnd(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTokenLengthFilter_GetEnd(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetEnd");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenLengthFilter *op = static_cast<vtkTokenLengthFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetEnd() :
      op->vtkTokenLengthFilter::GetEnd());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkTokenLengthFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkTokenLengthFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTokenLengthFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTokenLengthFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTokenLengthFilter\nC++: vtkTokenLengthFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTokenLengthFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTokenLengthFilter\nC++: vtkTokenLengthFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetBegin", PyvtkTokenLengthFilter_SetBegin, 1,
   (char*)"V.SetBegin(int)\nC++: void SetBegin(int a)\n\nControls the half-open range of token lengths that will be\nremoved.  The default of [0, 0) will not remove any tokens, so\nyou must change Begin and End to see any results from the filter!\n"},
  {(char*)"GetBegin", PyvtkTokenLengthFilter_GetBegin, 1,
   (char*)"V.GetBegin() -> int\nC++: int GetBegin()\n\nControls the half-open range of token lengths that will be\nremoved.  The default of [0, 0) will not remove any tokens, so\nyou must change Begin and End to see any results from the filter!\n"},
  {(char*)"SetEnd", PyvtkTokenLengthFilter_SetEnd, 1,
   (char*)"V.SetEnd(int)\nC++: void SetEnd(int a)\n\nControls the half-open range of token lengths that will be\nremoved.  The default of [0, 0) will not remove any tokens, so\nyou must change Begin and End to see any results from the filter!\n"},
  {(char*)"GetEnd", PyvtkTokenLengthFilter_GetEnd, 1,
   (char*)"V.GetEnd() -> int\nC++: int GetEnd()\n\nControls the half-open range of token lengths that will be\nremoved.  The default of [0, 0) will not remove any tokens, so\nyou must change Begin and End to see any results from the filter!\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTokenLengthFilter_StaticNew()
{
  return vtkTokenLengthFilter::New();
}

PyObject *PyVTKClass_vtkTokenLengthFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTokenLengthFilter_StaticNew,
    PyvtkTokenLengthFilter_Methods,
    "vtkTokenLengthFilter", modulename,
    NULL, NULL,
    PyvtkTokenLengthFilter_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkTokenLengthFilter_Doc()
{
  static const char *docstring[] = {
    "vtkTokenLengthFilter - Filters tokens based on their length (number\nof characters).\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "Parameters:\n  Begin, End: Defines a half-open range of token lengths [Begin, End)\nthat will be removed\n    from the output.  Tokens for which Begin <= token-length < End is\ntrue will be removed.\n\nInputs:\n  Input port 0: (required) A vtkTable containing a column of text.\n\nOutputs:\n  Output port 0: The same table, with (potentally) fewer rows.\n\nUse SetInputArrayToProcess(0, ...) to specify the \"text",
    "\" array.\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTokenLengthFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTokenLengthFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTokenLengthFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

