// python wrapper for vtkTokenValueFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkUnicodeString.h"
#include "vtkTokenValueFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkTokenValueFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkTokenValueFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTokenValueFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTokenValueFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkTokenValueFilter_Doc();


static PyObject *
PyvtkTokenValueFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenValueFilter *op = static_cast<vtkTokenValueFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkTokenValueFilter::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTokenValueFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenValueFilter *op = static_cast<vtkTokenValueFilter *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkTokenValueFilter::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTokenValueFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenValueFilter *op = static_cast<vtkTokenValueFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkTokenValueFilter *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkTokenValueFilter::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkTokenValueFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkTokenValueFilter *tempr = vtkTokenValueFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkTokenValueFilter_AddStopWordValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddStopWordValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenValueFilter *op = static_cast<vtkTokenValueFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AddStopWordValues();
      }
    else
      {
      op->vtkTokenValueFilter::AddStopWordValues();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTokenValueFilter_AddValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenValueFilter *op = static_cast<vtkTokenValueFilter *>(vp);

  vtkUnicodeString temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->AddValue(temp0);
      }
    else
      {
      op->vtkTokenValueFilter::AddValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkTokenValueFilter_ClearValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkTokenValueFilter *op = static_cast<vtkTokenValueFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearValues();
      }
    else
      {
      op->vtkTokenValueFilter::ClearValues();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkTokenValueFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkTokenValueFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkTokenValueFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkTokenValueFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTokenValueFilter\nC++: vtkTokenValueFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkTokenValueFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTokenValueFilter\nC++: vtkTokenValueFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"AddStopWordValues", PyvtkTokenValueFilter_AddStopWordValues, 1,
   (char*)"V.AddStopWordValues()\nC++: void AddStopWordValues()\n\nConvenience function that adds a list of typical stop-words to\nthe list of token values that will be discarded.\n"},
  {(char*)"AddValue", PyvtkTokenValueFilter_AddValue, 1,
   (char*)"V.AddValue(unicode)\nC++: void AddValue(const vtkUnicodeString &value)\n\nAdds a new value to the list of token values that will be\ndiscarded.\n"},
  {(char*)"ClearValues", PyvtkTokenValueFilter_ClearValues, 1,
   (char*)"V.ClearValues()\nC++: void ClearValues()\n\nClears the list of discardable token values.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkTokenValueFilter_StaticNew()
{
  return vtkTokenValueFilter::New();
}

PyObject *PyVTKClass_vtkTokenValueFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkTokenValueFilter_StaticNew,
    PyvtkTokenValueFilter_Methods,
    "vtkTokenValueFilter", modulename,
    NULL, NULL,
    PyvtkTokenValueFilter_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkTokenValueFilter_Doc()
{
  static const char *docstring[] = {
    "vtkTokenValueFilter - Filters tokens based on their value.\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "vtkTokenValueFilter removes tokens from the pipeline based on whether\nthey match a list of token values.  Typically, this is useful for\nhandling lists of \"stop words\" that should be removed from the token\nstream before further analysis.\n\nInputs:\n  Input port 0: (required) A vtkTable containing a column of text.\n\nOutputs:\n  Output port 0: The same table, with (potentally) fewer rows.\n\nUse SetInputA",
    "rrayToProcess(0, ...) to specify the \"text\" array.\n\nUse AddValue() to append a new token value to the list of values to\nbe discarded. By default, the list of values to be discarded is\nempty, so you must call AddValue() before using vtkTokenValueFilter\nto see any changes in output!\n\nThanks:\n\nDeveloped by Timothy M. Shead (tshead@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkTokenValueFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkTokenValueFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkTokenValueFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

