// tcl wrapper for vtkTokenizer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTokenizer.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTokenizerNewCommand()
{
  vtkTokenizer *temp = vtkTokenizer::New();
  return static_cast<ClientData>(temp);
}

int vtkTableAlgorithmCppCommand(vtkTableAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTokenizerCppCommand(vtkTokenizer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTokenizerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTokenizerCppCommand(static_cast<vtkTokenizer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTokenizerCppCommand(vtkTokenizer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTokenizer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTableAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTokenizer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTokenizer");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTokenizer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTokenizer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTokenizer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTokenizer");
    return TCL_OK;
    }
    }
  if ((!strcmp("DropPunctuation",argv[1]))&&(argc == 2))
    {
    op->DropPunctuation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DropWhitespace",argv[1]))&&(argc == 2))
    {
    op->DropWhitespace();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeepPunctuation",argv[1]))&&(argc == 2))
    {
    op->KeepPunctuation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeepWhitespace",argv[1]))&&(argc == 2))
    {
    op->KeepWhitespace();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("KeepLogosyllabic",argv[1]))&&(argc == 2))
    {
    op->KeepLogosyllabic();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClearDroppedDelimiters",argv[1]))&&(argc == 2))
    {
    op->ClearDroppedDelimiters();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClearKeptDelimiters",argv[1]))&&(argc == 2))
    {
    op->ClearKeptDelimiters();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTokenizerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTokenizer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DropPunctuation\n",NULL);
    Tcl_AppendResult(interp,"  DropWhitespace\n",NULL);
    Tcl_AppendResult(interp,"  KeepPunctuation\n",NULL);
    Tcl_AppendResult(interp,"  KeepWhitespace\n",NULL);
    Tcl_AppendResult(interp,"  KeepLogosyllabic\n",NULL);
    Tcl_AppendResult(interp,"  ClearDroppedDelimiters\n",NULL);
    Tcl_AppendResult(interp,"  ClearKeptDelimiters\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "DropPunctuation" );
    Tcl_DStringAppendElement ( &dString, "DropWhitespace" );
    Tcl_DStringAppendElement ( &dString, "KeepPunctuation" );
    Tcl_DStringAppendElement ( &dString, "KeepWhitespace" );
    Tcl_DStringAppendElement ( &dString, "KeepLogosyllabic" );
    Tcl_DStringAppendElement ( &dString, "ClearDroppedDelimiters" );
    Tcl_DStringAppendElement ( &dString, "ClearKeptDelimiters" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTableAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTokenizer *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DropPunctuation */
    if ( strcmp ( argv[2], "DropPunctuation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DropPunctuation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DropPunctuation */
    Tcl_DStringAppendElement ( &dString, " Convenience functions to specify delimiters, mainly intended for use from Python and\n the ParaView server manager.  C++ developers are strongly encouraged to use\n AddDroppedDelimiters(...) and AddKeptDelimiters(...) instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void DropPunctuation();" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for DropPunctuation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DropWhitespace */
    if ( strcmp ( argv[2], "DropWhitespace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DropWhitespace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DropWhitespace */
    Tcl_DStringAppendElement ( &dString, " Convenience functions to specify delimiters, mainly intended for use from Python and\n the ParaView server manager.  C++ developers are strongly encouraged to use\n AddDroppedDelimiters(...) and AddKeptDelimiters(...) instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void DropWhitespace();" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for DropWhitespace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: KeepPunctuation */
    if ( strcmp ( argv[2], "KeepPunctuation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "KeepPunctuation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for KeepPunctuation */
    Tcl_DStringAppendElement ( &dString, " Convenience functions to specify delimiters, mainly intended for use from Python and\n the ParaView server manager.  C++ developers are strongly encouraged to use\n AddDroppedDelimiters(...) and AddKeptDelimiters(...) instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void KeepPunctuation();" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for KeepPunctuation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: KeepWhitespace */
    if ( strcmp ( argv[2], "KeepWhitespace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "KeepWhitespace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for KeepWhitespace */
    Tcl_DStringAppendElement ( &dString, " Convenience functions to specify delimiters, mainly intended for use from Python and\n the ParaView server manager.  C++ developers are strongly encouraged to use\n AddDroppedDelimiters(...) and AddKeptDelimiters(...) instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void KeepWhitespace();" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for KeepWhitespace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: KeepLogosyllabic */
    if ( strcmp ( argv[2], "KeepLogosyllabic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "KeepLogosyllabic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for KeepLogosyllabic */
    Tcl_DStringAppendElement ( &dString, " Convenience functions to specify delimiters, mainly intended for use from Python and\n the ParaView server manager.  C++ developers are strongly encouraged to use\n AddDroppedDelimiters(...) and AddKeptDelimiters(...) instead.\n" );
    Tcl_DStringAppendElement ( &dString, "void KeepLogosyllabic();" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for KeepLogosyllabic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearDroppedDelimiters */
    if ( strcmp ( argv[2], "ClearDroppedDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearDroppedDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearDroppedDelimiters */
    Tcl_DStringAppendElement ( &dString, " Clears the set of \"dropped\" delimiters.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearDroppedDelimiters();" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for ClearDroppedDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearKeptDelimiters */
    if ( strcmp ( argv[2], "ClearKeptDelimiters" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearKeptDelimiters" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearKeptDelimiters */
    Tcl_DStringAppendElement ( &dString, " Clears the set of \"kept\" delimiters.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearKeptDelimiters();" );
    Tcl_DStringAppendElement ( &dString, "vtkTokenizer" );
    /* Closing for ClearKeptDelimiters */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTableAlgorithmCppCommand(static_cast<vtkTableAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
