// python wrapper for vtkUnityMatrixWeighting
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkUnityMatrixWeighting.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkUnityMatrixWeighting(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkUnityMatrixWeighting(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkUnityMatrixWeightingNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkUnityMatrixWeightingNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkArrayDataAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkArrayDataAlgorithmNew
#endif

static const char **PyvtkUnityMatrixWeighting_Doc();


static PyObject *
PyvtkUnityMatrixWeighting_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnityMatrixWeighting *op = static_cast<vtkUnityMatrixWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkUnityMatrixWeighting::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkUnityMatrixWeighting_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnityMatrixWeighting *op = static_cast<vtkUnityMatrixWeighting *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkUnityMatrixWeighting::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkUnityMatrixWeighting_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnityMatrixWeighting *op = static_cast<vtkUnityMatrixWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkUnityMatrixWeighting *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkUnityMatrixWeighting::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkUnityMatrixWeighting_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkUnityMatrixWeighting *tempr = vtkUnityMatrixWeighting::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkUnityMatrixWeighting_GetFeatureDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFeatureDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnityMatrixWeighting *op = static_cast<vtkUnityMatrixWeighting *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFeatureDimension() :
      op->vtkUnityMatrixWeighting::GetFeatureDimension());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkUnityMatrixWeighting_SetFeatureDimension(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFeatureDimension");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkUnityMatrixWeighting *op = static_cast<vtkUnityMatrixWeighting *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFeatureDimension(temp0);
      }
    else
      {
      op->vtkUnityMatrixWeighting::SetFeatureDimension(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkUnityMatrixWeighting_Methods[] = {
  {(char*)"GetClassName", PyvtkUnityMatrixWeighting_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkUnityMatrixWeighting_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkUnityMatrixWeighting_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkUnityMatrixWeighting\nC++: vtkUnityMatrixWeighting *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkUnityMatrixWeighting_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkUnityMatrixWeighting\nC++: vtkUnityMatrixWeighting *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetFeatureDimension", PyvtkUnityMatrixWeighting_GetFeatureDimension, 1,
   (char*)"V.GetFeatureDimension() -> int\nC++: int GetFeatureDimension()\n\nControls the feature dimension.  Default: 0\n"},
  {(char*)"SetFeatureDimension", PyvtkUnityMatrixWeighting_SetFeatureDimension, 1,
   (char*)"V.SetFeatureDimension(int)\nC++: void SetFeatureDimension(int a)\n\nControls the feature dimension.  Default: 0\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkUnityMatrixWeighting_StaticNew()
{
  return vtkUnityMatrixWeighting::New();
}

PyObject *PyVTKClass_vtkUnityMatrixWeightingNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkUnityMatrixWeighting_StaticNew,
    PyvtkUnityMatrixWeighting_Methods,
    "vtkUnityMatrixWeighting", modulename,
    NULL, NULL,
    PyvtkUnityMatrixWeighting_Doc(),
    PyVTKClass_vtkArrayDataAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkUnityMatrixWeighting_Doc()
{
  static const char *docstring[] = {
    "vtkUnityMatrixWeighting - Term weight strategy where every term has\nweight 1.\n\n",
    "Superclass: vtkArrayDataAlgorithm\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkUnityMatrixWeighting(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkUnityMatrixWeightingNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkUnityMatrixWeighting", o) != 0)
    {
    Py_DECREF(o);
    }

}

