// tcl wrapper for vtkDataRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkDataRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkDataRepresentationNewCommand()
{
  vtkDataRepresentation *temp = vtkDataRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkPassInputTypeAlgorithmCppCommand(vtkPassInputTypeAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkDataRepresentationCppCommand(vtkDataRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkDataRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkDataRepresentationCppCommand(static_cast<vtkDataRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkDataRepresentationCppCommand(vtkDataRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkDataRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPassInputTypeAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkDataRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkDataRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkDataRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputConnection",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInputConnection(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnnotationLink",argv[1]))&&(argc == 2))
    {
    vtkAnnotationLink  *temp20;
    temp20 = (op)->GetAnnotationLink();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAnnotationLink");
    return TCL_OK;
    }
  if ((!strcmp("SetAnnotationLink",argv[1]))&&(argc == 3))
    {
    vtkAnnotationLink  *temp0;
    error = 0;

    temp0 = (vtkAnnotationLink *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAnnotationLink"),interp,error));
    if (!error)
    {
    op->SetAnnotationLink(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Select",argv[1]))&&(argc == 4))
    {
    vtkView  *temp0;
    vtkSelection  *temp1;
    error = 0;

    temp0 = (vtkView *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkView"),interp,error));
    temp1 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->Select(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Select",argv[1]))&&(argc == 5))
    {
    vtkView  *temp0;
    vtkSelection  *temp1;
    bool   temp2;
    error = 0;

    temp0 = (vtkView *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkView"),interp,error));
    temp1 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkSelection"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi ? true : false;
    if (!error)
    {
    op->Select(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Annotate",argv[1]))&&(argc == 4))
    {
    vtkView  *temp0;
    vtkAnnotationLayers  *temp1;
    error = 0;

    temp0 = (vtkView *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkView"),interp,error));
    temp1 = (vtkAnnotationLayers *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAnnotationLayers"),interp,error));
    if (!error)
    {
    op->Annotate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Annotate",argv[1]))&&(argc == 5))
    {
    vtkView  *temp0;
    vtkAnnotationLayers  *temp1;
    bool   temp2;
    error = 0;

    temp0 = (vtkView *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkView"),interp,error));
    temp1 = (vtkAnnotationLayers *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAnnotationLayers"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi ? true : false;
    if (!error)
    {
    op->Annotate(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectable",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetSelectable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectable",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetSelectable();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SelectableOn",argv[1]))&&(argc == 2))
    {
    op->SelectableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectableOff",argv[1]))&&(argc == 2))
    {
    op->SelectableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateSelection",argv[1]))&&(argc == 3))
    {
    vtkSelection  *temp0;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    op->UpdateSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateSelection",argv[1]))&&(argc == 4))
    {
    vtkSelection  *temp0;
    bool   temp1;
    error = 0;

    temp0 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSelection"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    op->UpdateSelection(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateAnnotations",argv[1]))&&(argc == 3))
    {
    vtkAnnotationLayers  *temp0;
    error = 0;

    temp0 = (vtkAnnotationLayers *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAnnotationLayers"),interp,error));
    if (!error)
    {
    op->UpdateAnnotations(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdateAnnotations",argv[1]))&&(argc == 4))
    {
    vtkAnnotationLayers  *temp0;
    bool   temp1;
    error = 0;

    temp0 = (vtkAnnotationLayers *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAnnotationLayers"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    op->UpdateAnnotations(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInternalAnnotationOutputPort",argv[1]))&&(argc == 2))
    {
    vtkAlgorithmOutput  *temp20;
    temp20 = (op)->GetInternalAnnotationOutputPort();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
  if ((!strcmp("GetInternalAnnotationOutputPort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInternalAnnotationOutputPort(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInternalAnnotationOutputPort",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInternalAnnotationOutputPort(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInternalSelectionOutputPort",argv[1]))&&(argc == 2))
    {
    vtkAlgorithmOutput  *temp20;
    temp20 = (op)->GetInternalSelectionOutputPort();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
  if ((!strcmp("GetInternalSelectionOutputPort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInternalSelectionOutputPort(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInternalSelectionOutputPort",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInternalSelectionOutputPort(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInternalOutputPort",argv[1]))&&(argc == 2))
    {
    vtkAlgorithmOutput  *temp20;
    temp20 = (op)->GetInternalOutputPort();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
  if ((!strcmp("GetInternalOutputPort",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInternalOutputPort(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInternalOutputPort",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    vtkAlgorithmOutput  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetInternalOutputPort(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAlgorithmOutput");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectionType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionArrayNames",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetSelectionArrayNames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionArrayNames",argv[1]))&&(argc == 2))
    {
    vtkStringArray  *temp20;
    temp20 = (op)->GetSelectionArrayNames();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkStringArray");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetSelectionArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetSelectionArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("ConvertSelection",argv[1]))&&(argc == 4))
    {
    vtkView  *temp0;
    vtkSelection  *temp1;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkView *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkView"),interp,error));
    temp1 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    temp20 = (op)->ConvertSelection(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkDataRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkDataRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputConnection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAnnotationLink\n",NULL);
    Tcl_AppendResult(interp,"  SetAnnotationLink\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Select\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Select\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Annotate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  Annotate\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectable\n",NULL);
    Tcl_AppendResult(interp,"  SelectableOn\n",NULL);
    Tcl_AppendResult(interp,"  SelectableOff\n",NULL);
    Tcl_AppendResult(interp,"  UpdateSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateSelection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  UpdateAnnotations\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdateAnnotations\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalAnnotationOutputPort\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalAnnotationOutputPort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalAnnotationOutputPort\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalSelectionOutputPort\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalSelectionOutputPort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalSelectionOutputPort\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalOutputPort\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalOutputPort\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInternalOutputPort\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionType\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionArrayNames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionArrayNames\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionArrayName\n",NULL);
    Tcl_AppendResult(interp,"  ConvertSelection\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationLink" );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationLink" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "Select" );
    Tcl_DStringAppendElement ( &dString, "Select" );
    Tcl_DStringAppendElement ( &dString, "Annotate" );
    Tcl_DStringAppendElement ( &dString, "Annotate" );
    Tcl_DStringAppendElement ( &dString, "SetSelectable" );
    Tcl_DStringAppendElement ( &dString, "GetSelectable" );
    Tcl_DStringAppendElement ( &dString, "SelectableOn" );
    Tcl_DStringAppendElement ( &dString, "SelectableOff" );
    Tcl_DStringAppendElement ( &dString, "UpdateSelection" );
    Tcl_DStringAppendElement ( &dString, "UpdateSelection" );
    Tcl_DStringAppendElement ( &dString, "UpdateAnnotations" );
    Tcl_DStringAppendElement ( &dString, "UpdateAnnotations" );
    Tcl_DStringAppendElement ( &dString, "GetInternalAnnotationOutputPort" );
    Tcl_DStringAppendElement ( &dString, "GetInternalAnnotationOutputPort" );
    Tcl_DStringAppendElement ( &dString, "GetInternalAnnotationOutputPort" );
    Tcl_DStringAppendElement ( &dString, "GetInternalSelectionOutputPort" );
    Tcl_DStringAppendElement ( &dString, "GetInternalSelectionOutputPort" );
    Tcl_DStringAppendElement ( &dString, "GetInternalSelectionOutputPort" );
    Tcl_DStringAppendElement ( &dString, "GetInternalOutputPort" );
    Tcl_DStringAppendElement ( &dString, "GetInternalOutputPort" );
    Tcl_DStringAppendElement ( &dString, "GetInternalOutputPort" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionType" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionType" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionArrayNames" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionArrayNames" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionArrayName" );
    Tcl_DStringAppendElement ( &dString, "ConvertSelection" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPassInputTypeAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkDataRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputConnection */
    if ( strcmp ( argv[2], "GetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Convenience override method for obtaining the input connection\n without specifying the port or index.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput *GetInputConnection(int port=0, int index=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnnotationLink */
    if ( strcmp ( argv[2], "GetAnnotationLink" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnnotationLink" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnnotationLink */
    Tcl_DStringAppendElement ( &dString, " The annotation link for this representation.\n To link annotations, set the same vtkAnnotationLink object in\n multiple representations.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLink *GetAnnotationLink();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetAnnotationLink */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnnotationLink */
    if ( strcmp ( argv[2], "SetAnnotationLink" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnnotationLink" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLink" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnnotationLink */
    Tcl_DStringAppendElement ( &dString, " The annotation link for this representation.\n To link annotations, set the same vtkAnnotationLink object in\n multiple representations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAnnotationLink(vtkAnnotationLink *link);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for SetAnnotationLink */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Apply a theme to this representation.\n Subclasses should override this method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme(vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Select */
    if ( strcmp ( argv[2], "Select" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Select" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Select */
    Tcl_DStringAppendElement ( &dString, " The view calls this method when a selection occurs.\n The representation takes this selection and converts it into\n a selection on its data by calling ConvertSelection,\n then calls UpdateSelection with the converted selection.\n Subclasses should not overrride this method, but should instead\n override ConvertSelection.\n The optional third argument specifies whether the selection should be\n added to the previous selection on this representation.\n" );
    Tcl_DStringAppendElement ( &dString, "void Select(vtkView *view, vtkSelection *selection);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for Select */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Select */
    if ( strcmp ( argv[2], "Select" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Select" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Select */
    Tcl_DStringAppendElement ( &dString, " The view calls this method when a selection occurs.\n The representation takes this selection and converts it into\n a selection on its data by calling ConvertSelection,\n then calls UpdateSelection with the converted selection.\n Subclasses should not overrride this method, but should instead\n override ConvertSelection.\n The optional third argument specifies whether the selection should be\n added to the previous selection on this representation.\n" );
    Tcl_DStringAppendElement ( &dString, "void Select(vtkView *view, vtkSelection *selection, bool extend);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for Select */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Annotate */
    if ( strcmp ( argv[2], "Annotate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Annotate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLayers" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Annotate */
    Tcl_DStringAppendElement ( &dString, " Analagous to Select(). The view calls this method when it needs to\n change the underlying annotations (some views might perform the\n creation of annotations). The representation takes the annotations\n and converts them into a selection on its data by calling ConvertAnnotations,\n then calls UpdateAnnotations with the converted selection.\n Subclasses should not overrride this method, but should instead\n override ConvertSelection.\n The optional third argument specifies  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void Annotate(vtkView *view, vtkAnnotationLayers *annotations);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for Annotate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Annotate */
    if ( strcmp ( argv[2], "Annotate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Annotate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLayers" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Annotate */
    Tcl_DStringAppendElement ( &dString, " Analagous to Select(). The view calls this method when it needs to\n change the underlying annotations (some views might perform the\n creation of annotations). The representation takes the annotations\n and converts them into a selection on its data by calling ConvertAnnotations,\n then calls UpdateAnnotations with the converted selection.\n Subclasses should not overrride this method, but should instead\n override ConvertSelection.\n The optional third argument specifies  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void Annotate(vtkView *view, vtkAnnotationLayers *annotations, bool extend);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for Annotate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectable */
    if ( strcmp ( argv[2], "SetSelectable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectable */
    Tcl_DStringAppendElement ( &dString, " Whether this representation is able to handle a selection.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectable(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for SetSelectable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectable */
    if ( strcmp ( argv[2], "GetSelectable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectable */
    Tcl_DStringAppendElement ( &dString, " Whether this representation is able to handle a selection.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetSelectable();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetSelectable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectableOn */
    if ( strcmp ( argv[2], "SelectableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectableOn */
    Tcl_DStringAppendElement ( &dString, " Whether this representation is able to handle a selection.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for SelectableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectableOff */
    if ( strcmp ( argv[2], "SelectableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectableOff */
    Tcl_DStringAppendElement ( &dString, " Whether this representation is able to handle a selection.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for SelectableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateSelection */
    if ( strcmp ( argv[2], "UpdateSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateSelection */
    Tcl_DStringAppendElement ( &dString, " Updates the selection in the selection link and fires a selection\n change event. Subclasses should not overrride this method,\n but should instead override ConvertSelection.\n The optional second argument specifies whether the selection should be\n added to the previous selection on this representation.\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateSelection(vtkSelection *selection);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for UpdateSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateSelection */
    if ( strcmp ( argv[2], "UpdateSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateSelection */
    Tcl_DStringAppendElement ( &dString, " Updates the selection in the selection link and fires a selection\n change event. Subclasses should not overrride this method,\n but should instead override ConvertSelection.\n The optional second argument specifies whether the selection should be\n added to the previous selection on this representation.\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateSelection(vtkSelection *selection, bool extend);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for UpdateSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateAnnotations */
    if ( strcmp ( argv[2], "UpdateAnnotations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateAnnotations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLayers" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateAnnotations */
    Tcl_DStringAppendElement ( &dString, " Updates the selection in the selection link and fires a selection\n change event. Subclasses should not overrride this method,\n but should instead override ConvertSelection.\n The optional second argument specifies whether the selection should be\n added to the previous selection on this representation.\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateAnnotations(vtkAnnotationLayers *annotations);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for UpdateAnnotations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateAnnotations */
    if ( strcmp ( argv[2], "UpdateAnnotations" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateAnnotations" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAnnotationLayers" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateAnnotations */
    Tcl_DStringAppendElement ( &dString, " Updates the selection in the selection link and fires a selection\n change event. Subclasses should not overrride this method,\n but should instead override ConvertSelection.\n The optional second argument specifies whether the selection should be\n added to the previous selection on this representation.\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateAnnotations(vtkAnnotationLayers *annotations, bool extend);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for UpdateAnnotations */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalAnnotationOutputPort */
    if ( strcmp ( argv[2], "GetInternalAnnotationOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalAnnotationOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalAnnotationOutputPort */
    Tcl_DStringAppendElement ( &dString, " The output port that contains the annotations whose selections are\n localized for a particular input data object.\n This should be used when connecting the internal pipelines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetInternalAnnotationOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalAnnotationOutputPort */
    if ( strcmp ( argv[2], "GetInternalAnnotationOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalAnnotationOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalAnnotationOutputPort */
    Tcl_DStringAppendElement ( &dString, " The output port that contains the annotations whose selections are\n localized for a particular input data object.\n This should be used when connecting the internal pipelines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetInternalAnnotationOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalAnnotationOutputPort */
    if ( strcmp ( argv[2], "GetInternalAnnotationOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalAnnotationOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalAnnotationOutputPort */
    Tcl_DStringAppendElement ( &dString, " The output port that contains the annotations whose selections are\n localized for a particular input data object.\n This should be used when connecting the internal pipelines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetInternalAnnotationOutputPort(int port, int conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetInternalAnnotationOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalSelectionOutputPort */
    if ( strcmp ( argv[2], "GetInternalSelectionOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalSelectionOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalSelectionOutputPort */
    Tcl_DStringAppendElement ( &dString, " The output port that contains the selection associated with the\n current annotation (normally the interactive selection).\n This should be used when connecting the internal pipelines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetInternalSelectionOutputPort();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetInternalSelectionOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalSelectionOutputPort */
    if ( strcmp ( argv[2], "GetInternalSelectionOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalSelectionOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalSelectionOutputPort */
    Tcl_DStringAppendElement ( &dString, " The output port that contains the selection associated with the\n current annotation (normally the interactive selection).\n This should be used when connecting the internal pipelines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetInternalSelectionOutputPort(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetInternalSelectionOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalSelectionOutputPort */
    if ( strcmp ( argv[2], "GetInternalSelectionOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalSelectionOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalSelectionOutputPort */
    Tcl_DStringAppendElement ( &dString, " The output port that contains the selection associated with the\n current annotation (normally the interactive selection).\n This should be used when connecting the internal pipelines.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetInternalSelectionOutputPort(int port, int conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetInternalSelectionOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalOutputPort */
    if ( strcmp ( argv[2], "GetInternalOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalOutputPort */
    Tcl_DStringAppendElement ( &dString, " Retrieves an output port for the input data object at the specified port\n and connection index. This may be connected to the representation's\n internal pipeline.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetInternalOutputPort();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetInternalOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalOutputPort */
    if ( strcmp ( argv[2], "GetInternalOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalOutputPort */
    Tcl_DStringAppendElement ( &dString, " Retrieves an output port for the input data object at the specified port\n and connection index. This may be connected to the representation's\n internal pipeline.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetInternalOutputPort(int port);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetInternalOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInternalOutputPort */
    if ( strcmp ( argv[2], "GetInternalOutputPort" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInternalOutputPort" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInternalOutputPort */
    Tcl_DStringAppendElement ( &dString, " Retrieves an output port for the input data object at the specified port\n and connection index. This may be connected to the representation's\n internal pipeline.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAlgorithmOutput *GetInternalOutputPort(int port, int conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetInternalOutputPort */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionType */
    if ( strcmp ( argv[2], "SetSelectionType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionType */
    Tcl_DStringAppendElement ( &dString, " Set the selection type produced by this view.\n This should be one of the content type constants defined in\n vtkSelectionNode.h. Common values are\n vtkSelectionNode::INDICES\n vtkSelectionNode::PEDIGREEIDS\n vtkSelectionNode::VALUES\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for SetSelectionType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionType */
    if ( strcmp ( argv[2], "GetSelectionType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionType */
    Tcl_DStringAppendElement ( &dString, " Set the selection type produced by this view.\n This should be one of the content type constants defined in\n vtkSelectionNode.h. Common values are\n vtkSelectionNode::INDICES\n vtkSelectionNode::PEDIGREEIDS\n vtkSelectionNode::VALUES\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionType();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetSelectionType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionArrayNames */
    if ( strcmp ( argv[2], "SetSelectionArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionArrayNames */
    Tcl_DStringAppendElement ( &dString, " If a VALUES selection, the arrays used to produce a selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionArrayNames(vtkStringArray *names);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for SetSelectionArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionArrayNames */
    if ( strcmp ( argv[2], "GetSelectionArrayNames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionArrayNames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionArrayNames */
    Tcl_DStringAppendElement ( &dString, " If a VALUES selection, the arrays used to produce a selection.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray *GetSelectionArrayNames();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetSelectionArrayNames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionArrayName */
    if ( strcmp ( argv[2], "SetSelectionArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionArrayName */
    Tcl_DStringAppendElement ( &dString, " If a VALUES selection, the array used to produce a selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectionArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for SetSelectionArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionArrayName */
    if ( strcmp ( argv[2], "GetSelectionArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionArrayName */
    Tcl_DStringAppendElement ( &dString, " If a VALUES selection, the array used to produce a selection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetSelectionArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for GetSelectionArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertSelection */
    if ( strcmp ( argv[2], "ConvertSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertSelection */
    Tcl_DStringAppendElement ( &dString, " Convert the selection to a type appropriate for sharing with other\n representations through vtkAnnotationLink, possibly using the view.\n For the superclass, we just return the same selection.\n Subclasses may do something more fancy, like convert the selection\n from a frustrum to a list of pedigree ids.  If the selection cannot\n be applied to this representation, return NULL.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkSelection *ConvertSelection(vtkView *view, vtkSelection *selection);" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    /* Closing for ConvertSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPassInputTypeAlgorithmCppCommand(static_cast<vtkPassInputTypeAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
