// tcl wrapper for vtkHierarchicalGraphPipeline object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkHierarchicalGraphPipeline.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkHierarchicalGraphPipelineNewCommand()
{
  vtkHierarchicalGraphPipeline *temp = vtkHierarchicalGraphPipeline::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkHierarchicalGraphPipelineCppCommand(vtkHierarchicalGraphPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkHierarchicalGraphPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkHierarchicalGraphPipelineCppCommand(static_cast<vtkHierarchicalGraphPipeline *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkHierarchicalGraphPipelineCppCommand(vtkHierarchicalGraphPipeline *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkHierarchicalGraphPipeline",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkHierarchicalGraphPipeline  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHierarchicalGraphPipeline");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkHierarchicalGraphPipeline  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHierarchicalGraphPipeline");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkHierarchicalGraphPipeline  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHierarchicalGraphPipeline");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActor",argv[1]))&&(argc == 2))
    {
    vtkActor  *temp20;
    temp20 = (op)->GetActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkActor");
    return TCL_OK;
    }
  if ((!strcmp("GetLabelActor",argv[1]))&&(argc == 2))
    {
    vtkActor2D  *temp20;
    temp20 = (op)->GetLabelActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetBundlingStrength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBundlingStrength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBundlingStrength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBundlingStrength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorEdgesByArray",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorEdgesByArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorEdgesByArray",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorEdgesByArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesByArrayOn",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesByArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesByArrayOff",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesByArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityOn",argv[1]))&&(argc == 2))
    {
    op->VisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VisibilityOff",argv[1]))&&(argc == 2))
    {
    op->VisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ConvertSelection",argv[1]))&&(argc == 4))
    {
    vtkDataRepresentation  *temp0;
    vtkSelection  *temp1;
    vtkSelection  *temp20;
    error = 0;

    temp0 = (vtkDataRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataRepresentation"),interp,error));
    temp1 = (vtkSelection *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkSelection"),interp,error));
    if (!error)
    {
    temp20 = (op)->ConvertSelection(temp0,temp1);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSelection");
    return TCL_OK;
    }
    }
  if ((!strcmp("PrepareInputConnections",argv[1]))&&(argc == 5))
    {
    vtkAlgorithmOutput  *temp0;
    vtkAlgorithmOutput  *temp1;
    vtkAlgorithmOutput  *temp2;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    temp1 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    temp2 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->PrepareInputConnections(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHoverArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetHoverArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHoverArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetHoverArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetSplineType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSplineType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSplineType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSplineType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RegisterProgress",argv[1]))&&(argc == 3))
    {
    vtkRenderView  *temp0;
    error = 0;

    temp0 = (vtkRenderView *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderView"),interp,error));
    if (!error)
    {
    op->RegisterProgress(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkHierarchicalGraphPipelineCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkHierarchicalGraphPipeline:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActor\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelActor\n",NULL);
    Tcl_AppendResult(interp,"  SetBundlingStrength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBundlingStrength\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetColorEdgesByArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorEdgesByArray\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesByArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesByArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVisibility\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  VisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  ConvertSelection\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PrepareInputConnections\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHoverArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHoverArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetSplineType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSplineType\n",NULL);
    Tcl_AppendResult(interp,"  RegisterProgress\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetActor" );
    Tcl_DStringAppendElement ( &dString, "GetLabelActor" );
    Tcl_DStringAppendElement ( &dString, "SetBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "SetLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "GetColorEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesByArrayOn" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesByArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetVisibility" );
    Tcl_DStringAppendElement ( &dString, "VisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "VisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "ConvertSelection" );
    Tcl_DStringAppendElement ( &dString, "PrepareInputConnections" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "SetHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetSplineType" );
    Tcl_DStringAppendElement ( &dString, "GetSplineType" );
    Tcl_DStringAppendElement ( &dString, "RegisterProgress" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkHierarchicalGraphPipeline *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActor */
    if ( strcmp ( argv[2], "GetActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActor */
    Tcl_DStringAppendElement ( &dString, " The actor associated with the hierarchical graph.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkActor *GetActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelActor */
    if ( strcmp ( argv[2], "GetLabelActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelActor */
    Tcl_DStringAppendElement ( &dString, " The actor associated with the hierarchical graph.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkActor2D *GetLabelActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetLabelActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBundlingStrength */
    if ( strcmp ( argv[2], "SetBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBundlingStrength */
    Tcl_DStringAppendElement ( &dString, " The bundling strength for the bundled edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBundlingStrength(double strength);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for SetBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBundlingStrength */
    if ( strcmp ( argv[2], "GetBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBundlingStrength */
    Tcl_DStringAppendElement ( &dString, " The bundling strength for the bundled edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetBundlingStrength();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelArrayName */
    if ( strcmp ( argv[2], "SetLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The edge label array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for SetLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelArrayName */
    if ( strcmp ( argv[2], "GetLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The edge label array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetLabelArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelVisibility */
    if ( strcmp ( argv[2], "SetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " The edge label visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelVisibility(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for SetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelVisibility */
    if ( strcmp ( argv[2], "GetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " The edge label visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LabelVisibilityOn */
    if ( strcmp ( argv[2], "LabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " The edge label visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void LabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for LabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LabelVisibilityOff */
    if ( strcmp ( argv[2], "LabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " The edge label visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "void LabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for LabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelTextProperty */
    if ( strcmp ( argv[2], "SetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " The edge label text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelTextProperty(vtkTextProperty *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for SetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelTextProperty */
    if ( strcmp ( argv[2], "GetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " The edge label text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorArrayName */
    if ( strcmp ( argv[2], "SetColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The edge color array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for SetColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorArrayName */
    if ( strcmp ( argv[2], "GetColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The edge color array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetColorArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorEdgesByArray */
    if ( strcmp ( argv[2], "SetColorEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorEdgesByArray */
    Tcl_DStringAppendElement ( &dString, " Whether to color the edges by an array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorEdgesByArray(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for SetColorEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorEdgesByArray */
    if ( strcmp ( argv[2], "GetColorEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorEdgesByArray */
    Tcl_DStringAppendElement ( &dString, " Whether to color the edges by an array.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetColorEdgesByArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetColorEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesByArrayOn */
    if ( strcmp ( argv[2], "ColorEdgesByArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesByArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesByArrayOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color the edges by an array.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesByArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for ColorEdgesByArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesByArrayOff */
    if ( strcmp ( argv[2], "ColorEdgesByArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesByArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesByArrayOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color the edges by an array.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesByArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for ColorEdgesByArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVisibility */
    if ( strcmp ( argv[2], "SetVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVisibility */
    Tcl_DStringAppendElement ( &dString, " The visibility of this graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVisibility(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for SetVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVisibility */
    if ( strcmp ( argv[2], "GetVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVisibility */
    Tcl_DStringAppendElement ( &dString, " The visibility of this graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VisibilityOn */
    if ( strcmp ( argv[2], "VisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VisibilityOn */
    Tcl_DStringAppendElement ( &dString, " The visibility of this graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void VisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for VisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VisibilityOff */
    if ( strcmp ( argv[2], "VisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VisibilityOff */
    Tcl_DStringAppendElement ( &dString, " The visibility of this graph.\n" );
    Tcl_DStringAppendElement ( &dString, "void VisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for VisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ConvertSelection */
    if ( strcmp ( argv[2], "ConvertSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ConvertSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation" );
    Tcl_DStringAppendElement ( &dString, "vtkSelection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ConvertSelection */
    Tcl_DStringAppendElement ( &dString, " Returns a new selection relevant to this graph based on an input\n selection and the view that this graph is contained in.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkSelection *ConvertSelection(vtkDataRepresentation *rep, vtkSelection *sel);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for ConvertSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PrepareInputConnections */
    if ( strcmp ( argv[2], "PrepareInputConnections" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PrepareInputConnections" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PrepareInputConnections */
    Tcl_DStringAppendElement ( &dString, " Sets the input connections for this graph.\n graphConn is the input graph connection.\n treeConn is the input tree connection.\n annConn is the annotation link connection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PrepareInputConnections(vtkAlgorithmOutput *graphConn, vtkAlgorithmOutput *treeConn, vtkAlgorithmOutput *annConn);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for PrepareInputConnections */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Applies the view theme to this graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme(vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHoverArrayName */
    if ( strcmp ( argv[2], "SetHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHoverArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use while hovering over an edge.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHoverArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for SetHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHoverArrayName */
    if ( strcmp ( argv[2], "GetHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHoverArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use while hovering over an edge.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetHoverArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSplineType */
    if ( strcmp ( argv[2], "SetSplineType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplineType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplineType */
    Tcl_DStringAppendElement ( &dString, " The spline mode to use in vtkSplineGraphEdges.\n vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.\n vtkSplineGraphEdges::BSPLINE uses a b-spline.\n The default is BSPLINE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSplineType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for SetSplineType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSplineType */
    if ( strcmp ( argv[2], "GetSplineType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplineType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplineType */
    Tcl_DStringAppendElement ( &dString, " The spline mode to use in vtkSplineGraphEdges.\n vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.\n vtkSplineGraphEdges::BSPLINE uses a b-spline.\n The default is BSPLINE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetSplineType();" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for GetSplineType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RegisterProgress */
    if ( strcmp ( argv[2], "RegisterProgress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RegisterProgress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RegisterProgress */
    Tcl_DStringAppendElement ( &dString, " Register progress with a view.\n" );
    Tcl_DStringAppendElement ( &dString, "void RegisterProgress(vtkRenderView *view);" );
    Tcl_DStringAppendElement ( &dString, "vtkHierarchicalGraphPipeline" );
    /* Closing for RegisterProgress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
