// tcl wrapper for vtkIcicleView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkIcicleView.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkIcicleViewNewCommand()
{
  vtkIcicleView *temp = vtkIcicleView::New();
  return static_cast<ClientData>(temp);
}

int vtkTreeAreaViewCppCommand(vtkTreeAreaView *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkIcicleViewCppCommand(vtkIcicleView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkIcicleViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkIcicleViewCppCommand(static_cast<vtkIcicleView *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkIcicleViewCppCommand(vtkIcicleView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkIcicleView",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTreeAreaViewCppCommand(static_cast<vtkTreeAreaView *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTreeAreaView"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkIcicleView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIcicleView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkIcicleView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIcicleView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkIcicleView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkIcicleView");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTopToBottom",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetTopToBottom(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTopToBottom",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetTopToBottom();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TopToBottomOn",argv[1]))&&(argc == 2))
    {
    op->TopToBottomOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TopToBottomOff",argv[1]))&&(argc == 2))
    {
    op->TopToBottomOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRootWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRootWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRootWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRootWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLayerThickness",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLayerThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayerThickness",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLayerThickness();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseGradientColoring",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseGradientColoring(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseGradientColoring",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseGradientColoring();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseGradientColoringOn",argv[1]))&&(argc == 2))
    {
    op->UseGradientColoringOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseGradientColoringOff",argv[1]))&&(argc == 2))
    {
    op->UseGradientColoringOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkIcicleViewCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTreeAreaViewCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkIcicleView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTopToBottom\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTopToBottom\n",NULL);
    Tcl_AppendResult(interp,"  TopToBottomOn\n",NULL);
    Tcl_AppendResult(interp,"  TopToBottomOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRootWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRootWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetLayerThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayerThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetUseGradientColoring\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseGradientColoring\n",NULL);
    Tcl_AppendResult(interp,"  UseGradientColoringOn\n",NULL);
    Tcl_AppendResult(interp,"  UseGradientColoringOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTreeAreaViewCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetTopToBottom" );
    Tcl_DStringAppendElement ( &dString, "GetTopToBottom" );
    Tcl_DStringAppendElement ( &dString, "TopToBottomOn" );
    Tcl_DStringAppendElement ( &dString, "TopToBottomOff" );
    Tcl_DStringAppendElement ( &dString, "SetRootWidth" );
    Tcl_DStringAppendElement ( &dString, "GetRootWidth" );
    Tcl_DStringAppendElement ( &dString, "SetLayerThickness" );
    Tcl_DStringAppendElement ( &dString, "GetLayerThickness" );
    Tcl_DStringAppendElement ( &dString, "SetUseGradientColoring" );
    Tcl_DStringAppendElement ( &dString, "GetUseGradientColoring" );
    Tcl_DStringAppendElement ( &dString, "UseGradientColoringOn" );
    Tcl_DStringAppendElement ( &dString, "UseGradientColoringOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTreeAreaViewCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkIcicleView *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTopToBottom */
    if ( strcmp ( argv[2], "SetTopToBottom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTopToBottom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTopToBottom */
    Tcl_DStringAppendElement ( &dString, " Sets whether the stacks go from top to bottom or bottom to top.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTopToBottom(bool value);" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for SetTopToBottom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTopToBottom */
    if ( strcmp ( argv[2], "GetTopToBottom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTopToBottom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTopToBottom */
    Tcl_DStringAppendElement ( &dString, " Sets whether the stacks go from top to bottom or bottom to top.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetTopToBottom();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for GetTopToBottom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TopToBottomOn */
    if ( strcmp ( argv[2], "TopToBottomOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TopToBottomOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TopToBottomOn */
    Tcl_DStringAppendElement ( &dString, " Sets whether the stacks go from top to bottom or bottom to top.\n" );
    Tcl_DStringAppendElement ( &dString, "void TopToBottomOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for TopToBottomOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TopToBottomOff */
    if ( strcmp ( argv[2], "TopToBottomOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TopToBottomOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TopToBottomOff */
    Tcl_DStringAppendElement ( &dString, " Sets whether the stacks go from top to bottom or bottom to top.\n" );
    Tcl_DStringAppendElement ( &dString, "void TopToBottomOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for TopToBottomOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRootWidth */
    if ( strcmp ( argv[2], "SetRootWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRootWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRootWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the root node\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRootWidth(double width);" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for SetRootWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRootWidth */
    if ( strcmp ( argv[2], "GetRootWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRootWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRootWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the root node\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetRootWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for GetRootWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayerThickness */
    if ( strcmp ( argv[2], "SetLayerThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayerThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayerThickness */
    Tcl_DStringAppendElement ( &dString, " Set the thickness of each layer\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayerThickness(double thickness);" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for SetLayerThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayerThickness */
    if ( strcmp ( argv[2], "GetLayerThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayerThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayerThickness */
    Tcl_DStringAppendElement ( &dString, " Set the thickness of each layer\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetLayerThickness();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for GetLayerThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseGradientColoring */
    if ( strcmp ( argv[2], "SetUseGradientColoring" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseGradientColoring" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseGradientColoring */
    Tcl_DStringAppendElement ( &dString, " Turn on/off gradient coloring.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseGradientColoring(bool value);" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for SetUseGradientColoring */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseGradientColoring */
    if ( strcmp ( argv[2], "GetUseGradientColoring" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseGradientColoring" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseGradientColoring */
    Tcl_DStringAppendElement ( &dString, " Turn on/off gradient coloring.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseGradientColoring();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for GetUseGradientColoring */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseGradientColoringOn */
    if ( strcmp ( argv[2], "UseGradientColoringOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseGradientColoringOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseGradientColoringOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off gradient coloring.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseGradientColoringOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for UseGradientColoringOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseGradientColoringOff */
    if ( strcmp ( argv[2], "UseGradientColoringOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseGradientColoringOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseGradientColoringOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off gradient coloring.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseGradientColoringOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkIcicleView" );
    /* Closing for UseGradientColoringOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTreeAreaViewCppCommand(static_cast<vtkTreeAreaView *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
