// tcl wrapper for vtkParallelCoordinatesHistogramRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelCoordinatesHistogramRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkParallelCoordinatesHistogramRepresentationNewCommand()
{
  vtkParallelCoordinatesHistogramRepresentation *temp = vtkParallelCoordinatesHistogramRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkParallelCoordinatesRepresentationCppCommand(vtkParallelCoordinatesRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParallelCoordinatesHistogramRepresentationCppCommand(vtkParallelCoordinatesHistogramRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParallelCoordinatesHistogramRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParallelCoordinatesHistogramRepresentationCppCommand(static_cast<vtkParallelCoordinatesHistogramRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParallelCoordinatesHistogramRepresentationCppCommand(vtkParallelCoordinatesHistogramRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParallelCoordinatesHistogramRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkParallelCoordinatesRepresentationCppCommand(static_cast<vtkParallelCoordinatesRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkParallelCoordinatesRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParallelCoordinatesHistogramRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesHistogramRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParallelCoordinatesHistogramRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesHistogramRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParallelCoordinatesHistogramRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesHistogramRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseHistograms",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseHistograms(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseHistograms",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseHistograms();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseHistogramsOn",argv[1]))&&(argc == 2))
    {
    op->UseHistogramsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseHistogramsOff",argv[1]))&&(argc == 2))
    {
    op->UseHistogramsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShowOutliers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowOutliers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShowOutliers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowOutliers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShowOutliersOn",argv[1]))&&(argc == 2))
    {
    op->ShowOutliersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowOutliersOff",argv[1]))&&(argc == 2))
    {
    op->ShowOutliersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHistogramLookupTableRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetHistogramLookupTableRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHistogramLookupTableRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetHistogramLookupTableRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHistogramLookupTableRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetHistogramLookupTableRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfHistogramBins",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetNumberOfHistogramBins(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfHistogramBins",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetNumberOfHistogramBins();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPreferredNumberOfOutliers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPreferredNumberOfOutliers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPreferredNumberOfOutliers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPreferredNumberOfOutliers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SwapAxisPositions",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SwapAxisPositions(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkParallelCoordinatesHistogramRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkParallelCoordinatesRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParallelCoordinatesHistogramRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUseHistograms\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseHistograms\n",NULL);
    Tcl_AppendResult(interp,"  UseHistogramsOn\n",NULL);
    Tcl_AppendResult(interp,"  UseHistogramsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetShowOutliers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShowOutliers\n",NULL);
    Tcl_AppendResult(interp,"  ShowOutliersOn\n",NULL);
    Tcl_AppendResult(interp,"  ShowOutliersOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramLookupTableRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHistogramLookupTableRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetHistogramLookupTableRange\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfHistogramBins\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfHistogramBins\n",NULL);
    Tcl_AppendResult(interp,"  SetPreferredNumberOfOutliers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPreferredNumberOfOutliers\n",NULL);
    Tcl_AppendResult(interp,"  SwapAxisPositions\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkParallelCoordinatesRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "SetUseHistograms" );
    Tcl_DStringAppendElement ( &dString, "GetUseHistograms" );
    Tcl_DStringAppendElement ( &dString, "UseHistogramsOn" );
    Tcl_DStringAppendElement ( &dString, "UseHistogramsOff" );
    Tcl_DStringAppendElement ( &dString, "SetShowOutliers" );
    Tcl_DStringAppendElement ( &dString, "GetShowOutliers" );
    Tcl_DStringAppendElement ( &dString, "ShowOutliersOn" );
    Tcl_DStringAppendElement ( &dString, "ShowOutliersOff" );
    Tcl_DStringAppendElement ( &dString, "SetHistogramLookupTableRange" );
    Tcl_DStringAppendElement ( &dString, "SetHistogramLookupTableRange" );
    Tcl_DStringAppendElement ( &dString, "GetHistogramLookupTableRange" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfHistogramBins" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHistogramBins" );
    Tcl_DStringAppendElement ( &dString, "SetPreferredNumberOfOutliers" );
    Tcl_DStringAppendElement ( &dString, "GetPreferredNumberOfOutliers" );
    Tcl_DStringAppendElement ( &dString, "SwapAxisPositions" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkParallelCoordinatesRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkParallelCoordinatesHistogramRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Apply the theme to this view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme(vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseHistograms */
    if ( strcmp ( argv[2], "SetUseHistograms" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseHistograms" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseHistograms */
    Tcl_DStringAppendElement ( &dString, " Whether to use the histogram rendering mode or the superclass's line rendering mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseHistograms(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for SetUseHistograms */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseHistograms */
    if ( strcmp ( argv[2], "GetUseHistograms" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseHistograms" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseHistograms */
    Tcl_DStringAppendElement ( &dString, " Whether to use the histogram rendering mode or the superclass's line rendering mode\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseHistograms();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for GetUseHistograms */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseHistogramsOn */
    if ( strcmp ( argv[2], "UseHistogramsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseHistogramsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseHistogramsOn */
    Tcl_DStringAppendElement ( &dString, " Whether to use the histogram rendering mode or the superclass's line rendering mode\n" );
    Tcl_DStringAppendElement ( &dString, "void UseHistogramsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for UseHistogramsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseHistogramsOff */
    if ( strcmp ( argv[2], "UseHistogramsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseHistogramsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseHistogramsOff */
    Tcl_DStringAppendElement ( &dString, " Whether to use the histogram rendering mode or the superclass's line rendering mode\n" );
    Tcl_DStringAppendElement ( &dString, "void UseHistogramsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for UseHistogramsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShowOutliers */
    if ( strcmp ( argv[2], "SetShowOutliers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowOutliers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowOutliers */
    Tcl_DStringAppendElement ( &dString, " Whether to compute and show outlier lines\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShowOutliers(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for SetShowOutliers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowOutliers */
    if ( strcmp ( argv[2], "GetShowOutliers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowOutliers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowOutliers */
    Tcl_DStringAppendElement ( &dString, " Whether to compute and show outlier lines\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShowOutliers();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for GetShowOutliers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowOutliersOn */
    if ( strcmp ( argv[2], "ShowOutliersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowOutliersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowOutliersOn */
    Tcl_DStringAppendElement ( &dString, " Whether to compute and show outlier lines\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowOutliersOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for ShowOutliersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowOutliersOff */
    if ( strcmp ( argv[2], "ShowOutliersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowOutliersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowOutliersOff */
    Tcl_DStringAppendElement ( &dString, " Whether to compute and show outlier lines\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowOutliersOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for ShowOutliersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHistogramLookupTableRange */
    if ( strcmp ( argv[2], "SetHistogramLookupTableRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHistogramLookupTableRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHistogramLookupTableRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHistogramLookupTableRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for SetHistogramLookupTableRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHistogramLookupTableRange */
    if ( strcmp ( argv[2], "SetHistogramLookupTableRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHistogramLookupTableRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHistogramLookupTableRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHistogramLookupTableRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for SetHistogramLookupTableRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHistogramLookupTableRange */
    if ( strcmp ( argv[2], "GetHistogramLookupTableRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHistogramLookupTableRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHistogramLookupTableRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetHistogramLookupTableRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for GetHistogramLookupTableRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfHistogramBins */
    if ( strcmp ( argv[2], "SetNumberOfHistogramBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfHistogramBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfHistogramBins */
    Tcl_DStringAppendElement ( &dString, " The number of histogram bins on either side of each pair of axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfHistogramBins(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for SetNumberOfHistogramBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfHistogramBins */
    if ( strcmp ( argv[2], "GetNumberOfHistogramBins" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHistogramBins" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfHistogramBins */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetNumberOfHistogramBins();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for GetNumberOfHistogramBins */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPreferredNumberOfOutliers */
    if ( strcmp ( argv[2], "SetPreferredNumberOfOutliers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPreferredNumberOfOutliers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPreferredNumberOfOutliers */
    Tcl_DStringAppendElement ( &dString, " Target maximum number of outliers to be drawn, although not guaranteed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPreferredNumberOfOutliers(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for SetPreferredNumberOfOutliers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreferredNumberOfOutliers */
    if ( strcmp ( argv[2], "GetPreferredNumberOfOutliers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreferredNumberOfOutliers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreferredNumberOfOutliers */
    Tcl_DStringAppendElement ( &dString, " Target maximum number of outliers to be drawn, although not guaranteed.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPreferredNumberOfOutliers();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for GetPreferredNumberOfOutliers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwapAxisPositions */
    if ( strcmp ( argv[2], "SwapAxisPositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwapAxisPositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwapAxisPositions */
    Tcl_DStringAppendElement ( &dString, " Calls superclass swap, and assures that only histograms affected by the \n swap get recomputed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SwapAxisPositions(int position1, int position2);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesHistogramRepresentation" );
    /* Closing for SwapAxisPositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkParallelCoordinatesRepresentationCppCommand(static_cast<vtkParallelCoordinatesRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
