// tcl wrapper for vtkParallelCoordinatesRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelCoordinatesRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkParallelCoordinatesRepresentationNewCommand()
{
  vtkParallelCoordinatesRepresentation *temp = vtkParallelCoordinatesRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderedRepresentationCppCommand(vtkRenderedRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParallelCoordinatesRepresentationCppCommand(vtkParallelCoordinatesRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParallelCoordinatesRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParallelCoordinatesRepresentationCppCommand(static_cast<vtkParallelCoordinatesRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParallelCoordinatesRepresentationCppCommand(vtkParallelCoordinatesRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParallelCoordinatesRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderedRepresentationCppCommand(static_cast<vtkRenderedRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderedRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParallelCoordinatesRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParallelCoordinatesRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParallelCoordinatesRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHoverText",argv[1]))&&(argc == 5))
    {
    vtkView  *temp0;
    int      temp1;
    int      temp2;
    const char    *temp20;
    error = 0;

    temp0 = (vtkView *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkView"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetHoverText(temp0,temp1,temp2);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisTitles",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetAxisTitles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisTitles",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetAxisTitles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetPlotTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAxes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAxes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSamples",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSamples();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfAxisLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfAxisLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAxisLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAxisLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SwapAxisPositions",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->SwapAxisPositions(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXCoordinateOfPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    temp20 = (op)->SetXCoordinateOfPosition(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXCoordinateOfPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetXCoordinateOfPosition(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPositionNearXCoordinate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->GetPositionNearXCoordinate(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetUseCurves",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseCurves(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseCurves",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseCurves();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseCurvesOn",argv[1]))&&(argc == 2))
    {
    op->UseCurvesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseCurvesOff",argv[1]))&&(argc == 2))
    {
    op->UseCurvesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCurveResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCurveResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurveResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurveResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLineOpacity",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLineOpacity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFontSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLineColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetLineColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetAxisColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAxisColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetAxisLabelColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetAxisLabelColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLineOpacity",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLineOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFontSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLineColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetLineColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLineColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetLineColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAxisColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetAxisColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisLabelColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetAxisLabelColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAxisLabelColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetAxisLabelColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAngleBrushThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAngleBrushThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAngleBrushThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAngleBrushThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFunctionBrushThreshold",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFunctionBrushThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFunctionBrushThreshold",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFunctionBrushThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResetAxes",argv[1]))&&(argc == 2))
    {
    op->ResetAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LassoSelect",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    vtkPoints  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->LassoSelect(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkParallelCoordinatesRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderedRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParallelCoordinatesRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHoverText\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisTitles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisTitles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAxes\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSamples\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfAxisLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAxisLabels\n",NULL);
    Tcl_AppendResult(interp,"  SwapAxisPositions\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetXCoordinateOfPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetXCoordinateOfPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPositionNearXCoordinate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetUseCurves\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseCurves\n",NULL);
    Tcl_AppendResult(interp,"  UseCurvesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseCurvesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCurveResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurveResolution\n",NULL);
    Tcl_AppendResult(interp,"  GetLineOpacity\n",NULL);
    Tcl_AppendResult(interp,"  GetFontSize\n",NULL);
    Tcl_AppendResult(interp,"  GetLineColor\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisColor\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLabelColor\n",NULL);
    Tcl_AppendResult(interp,"  SetLineOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLineColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLineColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabelColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabelColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAngleBrushThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAngleBrushThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetFunctionBrushThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFunctionBrushThreshold\n",NULL);
    Tcl_AppendResult(interp,"  ResetAxes\n",NULL);
    Tcl_AppendResult(interp,"  LassoSelect\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderedRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "GetHoverText" );
    Tcl_DStringAppendElement ( &dString, "SetAxisTitles" );
    Tcl_DStringAppendElement ( &dString, "SetAxisTitles" );
    Tcl_DStringAppendElement ( &dString, "SetPlotTitle" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAxes" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSamples" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfAxisLabels" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAxisLabels" );
    Tcl_DStringAppendElement ( &dString, "SwapAxisPositions" );
    Tcl_DStringAppendElement ( &dString, "SetXCoordinateOfPosition" );
    Tcl_DStringAppendElement ( &dString, "GetXCoordinateOfPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPositionNearXCoordinate" );
    Tcl_DStringAppendElement ( &dString, "SetUseCurves" );
    Tcl_DStringAppendElement ( &dString, "GetUseCurves" );
    Tcl_DStringAppendElement ( &dString, "UseCurvesOn" );
    Tcl_DStringAppendElement ( &dString, "UseCurvesOff" );
    Tcl_DStringAppendElement ( &dString, "SetCurveResolution" );
    Tcl_DStringAppendElement ( &dString, "GetCurveResolution" );
    Tcl_DStringAppendElement ( &dString, "GetLineOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetLineColor" );
    Tcl_DStringAppendElement ( &dString, "GetAxisColor" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelColor" );
    Tcl_DStringAppendElement ( &dString, "SetLineOpacity" );
    Tcl_DStringAppendElement ( &dString, "SetFontSize" );
    Tcl_DStringAppendElement ( &dString, "SetLineColor" );
    Tcl_DStringAppendElement ( &dString, "SetLineColor" );
    Tcl_DStringAppendElement ( &dString, "SetAxisColor" );
    Tcl_DStringAppendElement ( &dString, "SetAxisColor" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelColor" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelColor" );
    Tcl_DStringAppendElement ( &dString, "SetAngleBrushThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetAngleBrushThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetFunctionBrushThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetFunctionBrushThreshold" );
    Tcl_DStringAppendElement ( &dString, "ResetAxes" );
    Tcl_DStringAppendElement ( &dString, "LassoSelect" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderedRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkParallelCoordinatesRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Apply the theme to this view.  CellColor is used for line coloring\n and titles.  EdgeLabelColor is used for axis color. CellOpacity is \n used for line opacity.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme(vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHoverText */
    if ( strcmp ( argv[2], "GetHoverText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHoverText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkView" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHoverText */
    Tcl_DStringAppendElement ( &dString, " Returns the hover text at an x,y location.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetHoverText(vtkView *view, int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetHoverText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisTitles */
    if ( strcmp ( argv[2], "SetAxisTitles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisTitles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisTitles */
    Tcl_DStringAppendElement ( &dString, " Set/Get the axis titles\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisTitles(vtkStringArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetAxisTitles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisTitles */
    if ( strcmp ( argv[2], "SetAxisTitles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisTitles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisTitles */
    Tcl_DStringAppendElement ( &dString, " Set/Get the axis titles\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisTitles(vtkAlgorithmOutput *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetAxisTitles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotTitle */
    if ( strcmp ( argv[2], "SetPlotTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotTitle */
    Tcl_DStringAppendElement ( &dString, " Set the title for the entire plot\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotTitle(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetPlotTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAxes */
    if ( strcmp ( argv[2], "GetNumberOfAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAxes */
    Tcl_DStringAppendElement ( &dString, " Get the number of axes in the plot\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetNumberOfAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSamples */
    if ( strcmp ( argv[2], "GetNumberOfSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSamples */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSamples();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetNumberOfSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfAxisLabels */
    if ( strcmp ( argv[2], "SetNumberOfAxisLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfAxisLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfAxisLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of labels to display on each axis\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfAxisLabels(int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetNumberOfAxisLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAxisLabels */
    if ( strcmp ( argv[2], "GetNumberOfAxisLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAxisLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAxisLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of labels to display on each axis\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfAxisLabels();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetNumberOfAxisLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwapAxisPositions */
    if ( strcmp ( argv[2], "SwapAxisPositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwapAxisPositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwapAxisPositions */
    Tcl_DStringAppendElement ( &dString, " Move an axis to a particular screen position.  Using these\n methods requires an Update() before they will work properly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SwapAxisPositions(int position1, int position2);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SwapAxisPositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXCoordinateOfPosition */
    if ( strcmp ( argv[2], "SetXCoordinateOfPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXCoordinateOfPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXCoordinateOfPosition */
    Tcl_DStringAppendElement ( &dString, " Move an axis to a particular screen position.  Using these\n methods requires an Update() before they will work properly.\n" );
    Tcl_DStringAppendElement ( &dString, "int SetXCoordinateOfPosition(int position, double xcoord);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetXCoordinateOfPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXCoordinateOfPosition */
    if ( strcmp ( argv[2], "GetXCoordinateOfPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXCoordinateOfPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXCoordinateOfPosition */
    Tcl_DStringAppendElement ( &dString, " Move an axis to a particular screen position.  Using these\n methods requires an Update() before they will work properly.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetXCoordinateOfPosition(int axis);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetXCoordinateOfPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPositionNearXCoordinate */
    if ( strcmp ( argv[2], "GetPositionNearXCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPositionNearXCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPositionNearXCoordinate */
    Tcl_DStringAppendElement ( &dString, " Move an axis to a particular screen position.  Using these\n methods requires an Update() before they will work properly.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPositionNearXCoordinate(double xcoord);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetPositionNearXCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseCurves */
    if ( strcmp ( argv[2], "SetUseCurves" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseCurves" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseCurves */
    Tcl_DStringAppendElement ( &dString, " Whether or not to display using curves\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseCurves(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetUseCurves */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseCurves */
    if ( strcmp ( argv[2], "GetUseCurves" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseCurves" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseCurves */
    Tcl_DStringAppendElement ( &dString, " Whether or not to display using curves\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseCurves();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetUseCurves */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseCurvesOn */
    if ( strcmp ( argv[2], "UseCurvesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseCurvesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseCurvesOn */
    Tcl_DStringAppendElement ( &dString, " Whether or not to display using curves\n" );
    Tcl_DStringAppendElement ( &dString, "void UseCurvesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for UseCurvesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseCurvesOff */
    if ( strcmp ( argv[2], "UseCurvesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseCurvesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseCurvesOff */
    Tcl_DStringAppendElement ( &dString, " Whether or not to display using curves\n" );
    Tcl_DStringAppendElement ( &dString, "void UseCurvesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for UseCurvesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurveResolution */
    if ( strcmp ( argv[2], "SetCurveResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurveResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurveResolution */
    Tcl_DStringAppendElement ( &dString, " Resolution of the curves displayed, enabled by setting UseCurves\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurveResolution(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetCurveResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurveResolution */
    if ( strcmp ( argv[2], "GetCurveResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurveResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurveResolution */
    Tcl_DStringAppendElement ( &dString, " Resolution of the curves displayed, enabled by setting UseCurves\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCurveResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetCurveResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineOpacity */
    if ( strcmp ( argv[2], "GetLineOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineOpacity */
    Tcl_DStringAppendElement ( &dString, " Access plot properties\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLineOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetLineOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontSize */
    if ( strcmp ( argv[2], "GetFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontSize */
    Tcl_DStringAppendElement ( &dString, " Access plot properties\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFontSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineColor */
    if ( strcmp ( argv[2], "GetLineColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetLineColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetLineColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisColor */
    if ( strcmp ( argv[2], "GetAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetAxisColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisLabelColor */
    if ( strcmp ( argv[2], "GetAxisLabelColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLabelColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetAxisLabelColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetAxisLabelColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineOpacity */
    if ( strcmp ( argv[2], "SetLineOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineOpacity */
    Tcl_DStringAppendElement ( &dString, " Access plot properties\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineOpacity(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetLineOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontSize */
    if ( strcmp ( argv[2], "SetFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontSize */
    Tcl_DStringAppendElement ( &dString, " Access plot properties\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontSize(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineColor */
    if ( strcmp ( argv[2], "SetLineColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLineColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetLineColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineColor */
    if ( strcmp ( argv[2], "SetLineColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLineColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetLineColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisColor */
    if ( strcmp ( argv[2], "SetAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisColor */
    if ( strcmp ( argv[2], "SetAxisColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetAxisColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLabelColor */
    if ( strcmp ( argv[2], "SetAxisLabelColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLabelColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisLabelColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetAxisLabelColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLabelColor */
    if ( strcmp ( argv[2], "SetAxisLabelColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLabelColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisLabelColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetAxisLabelColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAngleBrushThreshold */
    if ( strcmp ( argv[2], "SetAngleBrushThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAngleBrushThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAngleBrushThreshold */
    Tcl_DStringAppendElement ( &dString, " Maximum angle difference (in degrees) of selection using angle/function brushes\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAngleBrushThreshold(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetAngleBrushThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAngleBrushThreshold */
    if ( strcmp ( argv[2], "GetAngleBrushThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngleBrushThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngleBrushThreshold */
    Tcl_DStringAppendElement ( &dString, " Maximum angle difference (in degrees) of selection using angle/function brushes\n" );
    Tcl_DStringAppendElement ( &dString, "double GetAngleBrushThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetAngleBrushThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFunctionBrushThreshold */
    if ( strcmp ( argv[2], "SetFunctionBrushThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFunctionBrushThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFunctionBrushThreshold */
    Tcl_DStringAppendElement ( &dString, " Maximum angle difference (in degrees) of selection using angle/function brushes\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFunctionBrushThreshold(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for SetFunctionBrushThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFunctionBrushThreshold */
    if ( strcmp ( argv[2], "GetFunctionBrushThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFunctionBrushThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFunctionBrushThreshold */
    Tcl_DStringAppendElement ( &dString, " Maximum angle difference (in degrees) of selection using angle/function brushes\n" );
    Tcl_DStringAppendElement ( &dString, "double GetFunctionBrushThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for GetFunctionBrushThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetAxes */
    if ( strcmp ( argv[2], "ResetAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetAxes */
    Tcl_DStringAppendElement ( &dString, " Reset the axes to their default positions and orders\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for ResetAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LassoSelect */
    if ( strcmp ( argv[2], "LassoSelect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LassoSelect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LassoSelect */
    Tcl_DStringAppendElement ( &dString, " Do a selection of the lines.  See the main description for how to use these functions.  \n RangeSelect is currently stubbed out.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void LassoSelect(int brushClass, int brushOperator, vtkPoints *brushPoints);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesRepresentation" );
    /* Closing for LassoSelect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderedRepresentationCppCommand(static_cast<vtkRenderedRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
