// tcl wrapper for vtkParallelCoordinatesView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkParallelCoordinatesView.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkParallelCoordinatesViewNewCommand()
{
  vtkParallelCoordinatesView *temp = vtkParallelCoordinatesView::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderViewCppCommand(vtkRenderView *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkParallelCoordinatesViewCppCommand(vtkParallelCoordinatesView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkParallelCoordinatesViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkParallelCoordinatesViewCppCommand(static_cast<vtkParallelCoordinatesView *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkParallelCoordinatesViewCppCommand(vtkParallelCoordinatesView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkParallelCoordinatesView",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderViewCppCommand(static_cast<vtkRenderView *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderView"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkParallelCoordinatesView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkParallelCoordinatesView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesView");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkParallelCoordinatesView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkParallelCoordinatesView");
    return TCL_OK;
    }
  if ((!strcmp("SetBrushMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBrushMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBrushModeToLasso",argv[1]))&&(argc == 2))
    {
    op->SetBrushModeToLasso();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBrushModeToAngle",argv[1]))&&(argc == 2))
    {
    op->SetBrushModeToAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBrushModeToFunction",argv[1]))&&(argc == 2))
    {
    op->SetBrushModeToFunction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBrushModeToAxisThreshold",argv[1]))&&(argc == 2))
    {
    op->SetBrushModeToAxisThreshold();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBrushMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBrushMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBrushOperator",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBrushOperator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBrushOperatorToAdd",argv[1]))&&(argc == 2))
    {
    op->SetBrushOperatorToAdd();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBrushOperatorToSubtract",argv[1]))&&(argc == 2))
    {
    op->SetBrushOperatorToSubtract();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBrushOperatorToIntersect",argv[1]))&&(argc == 2))
    {
    op->SetBrushOperatorToIntersect();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBrushOperatorToReplace",argv[1]))&&(argc == 2))
    {
    op->SetBrushOperatorToReplace();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBrushOperator",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBrushOperator();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInspectMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInspectMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInspectModeToManipulateAxes",argv[1]))&&(argc == 2))
    {
    op->SetInspectModeToManipulateAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInpsectModeToSelectData",argv[1]))&&(argc == 2))
    {
    op->SetInpsectModeToSelectData();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInspectMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInspectMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumNumberOfBrushPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumNumberOfBrushPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumNumberOfBrushPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumNumberOfBrushPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentBrushClass",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCurrentBrushClass(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentBrushClass",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentBrushClass();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkParallelCoordinatesViewCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderViewCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkParallelCoordinatesView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetBrushMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBrushModeToLasso\n",NULL);
    Tcl_AppendResult(interp,"  SetBrushModeToAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetBrushModeToFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetBrushModeToAxisThreshold\n",NULL);
    Tcl_AppendResult(interp,"  GetBrushMode\n",NULL);
    Tcl_AppendResult(interp,"  SetBrushOperator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBrushOperatorToAdd\n",NULL);
    Tcl_AppendResult(interp,"  SetBrushOperatorToSubtract\n",NULL);
    Tcl_AppendResult(interp,"  SetBrushOperatorToIntersect\n",NULL);
    Tcl_AppendResult(interp,"  SetBrushOperatorToReplace\n",NULL);
    Tcl_AppendResult(interp,"  GetBrushOperator\n",NULL);
    Tcl_AppendResult(interp,"  SetInspectMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInspectModeToManipulateAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetInpsectModeToSelectData\n",NULL);
    Tcl_AppendResult(interp,"  GetInspectMode\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumNumberOfBrushPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumNumberOfBrushPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentBrushClass\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentBrushClass\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderViewCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetBrushMode" );
    Tcl_DStringAppendElement ( &dString, "SetBrushModeToLasso" );
    Tcl_DStringAppendElement ( &dString, "SetBrushModeToAngle" );
    Tcl_DStringAppendElement ( &dString, "SetBrushModeToFunction" );
    Tcl_DStringAppendElement ( &dString, "SetBrushModeToAxisThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetBrushMode" );
    Tcl_DStringAppendElement ( &dString, "SetBrushOperator" );
    Tcl_DStringAppendElement ( &dString, "SetBrushOperatorToAdd" );
    Tcl_DStringAppendElement ( &dString, "SetBrushOperatorToSubtract" );
    Tcl_DStringAppendElement ( &dString, "SetBrushOperatorToIntersect" );
    Tcl_DStringAppendElement ( &dString, "SetBrushOperatorToReplace" );
    Tcl_DStringAppendElement ( &dString, "GetBrushOperator" );
    Tcl_DStringAppendElement ( &dString, "SetInspectMode" );
    Tcl_DStringAppendElement ( &dString, "SetInspectModeToManipulateAxes" );
    Tcl_DStringAppendElement ( &dString, "SetInpsectModeToSelectData" );
    Tcl_DStringAppendElement ( &dString, "GetInspectMode" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfBrushPoints" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfBrushPoints" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentBrushClass" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentBrushClass" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderViewCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkParallelCoordinatesView *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrushMode */
    if ( strcmp ( argv[2], "SetBrushMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrushMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrushMode */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBrushMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetBrushMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrushModeToLasso */
    if ( strcmp ( argv[2], "SetBrushModeToLasso" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrushModeToLasso" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrushModeToLasso */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBrushModeToLasso();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetBrushModeToLasso */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrushModeToAngle */
    if ( strcmp ( argv[2], "SetBrushModeToAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrushModeToAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrushModeToAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBrushModeToAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetBrushModeToAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrushModeToFunction */
    if ( strcmp ( argv[2], "SetBrushModeToFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrushModeToFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrushModeToFunction */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBrushModeToFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetBrushModeToFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrushModeToAxisThreshold */
    if ( strcmp ( argv[2], "SetBrushModeToAxisThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrushModeToAxisThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrushModeToAxisThreshold */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBrushModeToAxisThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetBrushModeToAxisThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBrushMode */
    if ( strcmp ( argv[2], "GetBrushMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBrushMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBrushMode */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetBrushMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for GetBrushMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrushOperator */
    if ( strcmp ( argv[2], "SetBrushOperator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrushOperator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrushOperator */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBrushOperator(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetBrushOperator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrushOperatorToAdd */
    if ( strcmp ( argv[2], "SetBrushOperatorToAdd" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrushOperatorToAdd" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrushOperatorToAdd */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBrushOperatorToAdd();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetBrushOperatorToAdd */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrushOperatorToSubtract */
    if ( strcmp ( argv[2], "SetBrushOperatorToSubtract" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrushOperatorToSubtract" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrushOperatorToSubtract */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBrushOperatorToSubtract();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetBrushOperatorToSubtract */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrushOperatorToIntersect */
    if ( strcmp ( argv[2], "SetBrushOperatorToIntersect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrushOperatorToIntersect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrushOperatorToIntersect */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBrushOperatorToIntersect();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetBrushOperatorToIntersect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBrushOperatorToReplace */
    if ( strcmp ( argv[2], "SetBrushOperatorToReplace" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBrushOperatorToReplace" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBrushOperatorToReplace */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBrushOperatorToReplace();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetBrushOperatorToReplace */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBrushOperator */
    if ( strcmp ( argv[2], "GetBrushOperator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBrushOperator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBrushOperator */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetBrushOperator();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for GetBrushOperator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInspectMode */
    if ( strcmp ( argv[2], "SetInspectMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInspectMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInspectMode */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInspectMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetInspectMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInspectModeToManipulateAxes */
    if ( strcmp ( argv[2], "SetInspectModeToManipulateAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInspectModeToManipulateAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInspectModeToManipulateAxes */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInspectModeToManipulateAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetInspectModeToManipulateAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInpsectModeToSelectData */
    if ( strcmp ( argv[2], "SetInpsectModeToSelectData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInpsectModeToSelectData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInpsectModeToSelectData */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInpsectModeToSelectData();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetInpsectModeToSelectData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInspectMode */
    if ( strcmp ( argv[2], "GetInspectMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInspectMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInspectMode */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetInspectMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for GetInspectMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumNumberOfBrushPoints */
    if ( strcmp ( argv[2], "SetMaximumNumberOfBrushPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumNumberOfBrushPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumNumberOfBrushPoints */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumNumberOfBrushPoints(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetMaximumNumberOfBrushPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumNumberOfBrushPoints */
    if ( strcmp ( argv[2], "GetMaximumNumberOfBrushPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumNumberOfBrushPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumNumberOfBrushPoints */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumNumberOfBrushPoints();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for GetMaximumNumberOfBrushPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentBrushClass */
    if ( strcmp ( argv[2], "SetCurrentBrushClass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentBrushClass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentBrushClass */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentBrushClass(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for SetCurrentBrushClass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentBrushClass */
    if ( strcmp ( argv[2], "GetCurrentBrushClass" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentBrushClass" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentBrushClass */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetCurrentBrushClass();" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for GetCurrentBrushClass */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme(vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkParallelCoordinatesView" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderViewCppCommand(static_cast<vtkRenderView *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
