// tcl wrapper for vtkRenderView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderView.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRenderViewNewCommand()
{
  vtkRenderView *temp = vtkRenderView::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderViewBaseCppCommand(vtkRenderViewBase *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRenderViewCppCommand(vtkRenderView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRenderViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRenderViewCppCommand(static_cast<vtkRenderView *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRenderViewCppCommand(vtkRenderView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderView",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderViewBaseCppCommand(static_cast<vtkRenderViewBase *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderViewBase"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderView");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindowInteractor"),interp,error));
    if (!error)
    {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractorStyle",argv[1]))&&(argc == 3))
    {
    vtkInteractorObserver  *temp0;
    error = 0;

    temp0 = (vtkInteractorObserver *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkInteractorObserver"),interp,error));
    if (!error)
    {
    op->SetInteractorStyle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractorStyle",argv[1]))&&(argc == 2))
    {
    vtkInteractorObserver  *temp20;
    temp20 = (op)->GetInteractorStyle();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInteractorObserver");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderWindow",argv[1]))&&(argc == 3))
    {
    vtkRenderWindow  *temp0;
    error = 0;

    temp0 = (vtkRenderWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindow"),interp,error));
    if (!error)
    {
    op->SetRenderWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractionMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteractionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractionModeTo2D",argv[1]))&&(argc == 2))
    {
    op->SetInteractionModeTo2D();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractionModeTo3D",argv[1]))&&(argc == 2))
    {
    op->SetInteractionModeTo3D();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTransform",argv[1]))&&(argc == 3))
    {
    vtkAbstractTransform  *temp0;
    error = 0;

    temp0 = (vtkAbstractTransform *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractTransform"),interp,error));
    if (!error)
    {
    op->SetTransform(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTransform",argv[1]))&&(argc == 2))
    {
    vtkAbstractTransform  *temp20;
    temp20 = (op)->GetTransform();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractTransform");
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayHoverText",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDisplayHoverText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayHoverText",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDisplayHoverText();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisplayHoverTextOn",argv[1]))&&(argc == 2))
    {
    op->DisplayHoverTextOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayHoverTextOff",argv[1]))&&(argc == 2))
    {
    op->DisplayHoverTextOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectionModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectionModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSelectionMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionModeToSurface",argv[1]))&&(argc == 2))
    {
    op->SetSelectionModeToSurface();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSelectionModeToFrustum",argv[1]))&&(argc == 2))
    {
    op->SetSelectionModeToFrustum();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddLabels",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->AddLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveLabels",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->RemoveLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIconTexture",argv[1]))&&(argc == 3))
    {
    vtkTexture  *temp0;
    error = 0;

    temp0 = (vtkTexture *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTexture"),interp,error));
    if (!error)
    {
    op->SetIconTexture(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconTexture",argv[1]))&&(argc == 2))
    {
    vtkTexture  *temp20;
    temp20 = (op)->GetIconTexture();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexture");
    return TCL_OK;
    }
  if ((!strcmp("SetIconSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetIconSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetIconSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetIconSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIconSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetIconSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDisplaySize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDisplaySize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisplaySize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetDisplaySize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelPlacementMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelPlacementMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelPlacementMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelPlacementMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelPlacementModeToNoOverlap",argv[1]))&&(argc == 2))
    {
    op->SetLabelPlacementModeToNoOverlap();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelPlacementModeToAll",argv[1]))&&(argc == 2))
    {
    op->SetLabelPlacementModeToAll();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelRenderMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelRenderMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelRenderMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelRenderMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelRenderModeToFreetype",argv[1]))&&(argc == 2))
    {
    op->SetLabelRenderModeToFreetype();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelRenderModeToQt",argv[1]))&&(argc == 2))
    {
    op->SetLabelRenderModeToQt();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRenderOnMouseMove",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetRenderOnMouseMove(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderOnMouseMove",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetRenderOnMouseMove();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RenderOnMouseMoveOn",argv[1]))&&(argc == 2))
    {
    op->RenderOnMouseMoveOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RenderOnMouseMoveOff",argv[1]))&&(argc == 2))
    {
    op->RenderOnMouseMoveOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRenderViewCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderViewBaseCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractorStyle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractorStyle\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractionMode\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractionModeTo2D\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractionModeTo3D\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTransform\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTransform\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayHoverText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayHoverText\n",NULL);
    Tcl_AppendResult(interp,"  DisplayHoverTextOn\n",NULL);
    Tcl_AppendResult(interp,"  DisplayHoverTextOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectionMode\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionModeToSurface\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectionModeToFrustum\n",NULL);
    Tcl_AppendResult(interp,"  AddLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetIconTexture\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIconTexture\n",NULL);
    Tcl_AppendResult(interp,"  SetIconSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetIconSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetIconSize\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplaySize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplaySize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelPlacementMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelPlacementMode\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelPlacementModeToNoOverlap\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelPlacementModeToAll\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelRenderMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelRenderMode\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelRenderModeToFreetype\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelRenderModeToQt\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderOnMouseMove\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderOnMouseMove\n",NULL);
    Tcl_AppendResult(interp,"  RenderOnMouseMoveOn\n",NULL);
    Tcl_AppendResult(interp,"  RenderOnMouseMoveOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderViewBaseCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    Tcl_DStringAppendElement ( &dString, "SetInteractorStyle" );
    Tcl_DStringAppendElement ( &dString, "GetInteractorStyle" );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "SetInteractionMode" );
    Tcl_DStringAppendElement ( &dString, "GetInteractionMode" );
    Tcl_DStringAppendElement ( &dString, "SetInteractionModeTo2D" );
    Tcl_DStringAppendElement ( &dString, "SetInteractionModeTo3D" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayHoverText" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayHoverText" );
    Tcl_DStringAppendElement ( &dString, "DisplayHoverTextOn" );
    Tcl_DStringAppendElement ( &dString, "DisplayHoverTextOff" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMode" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSelectionMode" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToSurface" );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToFrustum" );
    Tcl_DStringAppendElement ( &dString, "AddLabels" );
    Tcl_DStringAppendElement ( &dString, "RemoveLabels" );
    Tcl_DStringAppendElement ( &dString, "SetIconTexture" );
    Tcl_DStringAppendElement ( &dString, "GetIconTexture" );
    Tcl_DStringAppendElement ( &dString, "SetIconSize" );
    Tcl_DStringAppendElement ( &dString, "SetIconSize" );
    Tcl_DStringAppendElement ( &dString, "GetIconSize" );
    Tcl_DStringAppendElement ( &dString, "SetDisplaySize" );
    Tcl_DStringAppendElement ( &dString, "SetDisplaySize" );
    Tcl_DStringAppendElement ( &dString, "SetLabelPlacementMode" );
    Tcl_DStringAppendElement ( &dString, "GetLabelPlacementMode" );
    Tcl_DStringAppendElement ( &dString, "SetLabelPlacementModeToNoOverlap" );
    Tcl_DStringAppendElement ( &dString, "SetLabelPlacementModeToAll" );
    Tcl_DStringAppendElement ( &dString, "SetLabelRenderMode" );
    Tcl_DStringAppendElement ( &dString, "GetLabelRenderMode" );
    Tcl_DStringAppendElement ( &dString, "SetLabelRenderModeToFreetype" );
    Tcl_DStringAppendElement ( &dString, "SetLabelRenderModeToQt" );
    Tcl_DStringAppendElement ( &dString, "SetRenderOnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "GetRenderOnMouseMove" );
    Tcl_DStringAppendElement ( &dString, "RenderOnMouseMoveOn" );
    Tcl_DStringAppendElement ( &dString, "RenderOnMouseMoveOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderViewBaseCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRenderView *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractor */
    if ( strcmp ( argv[2], "SetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractor */
    Tcl_DStringAppendElement ( &dString, " The render window interactor. Note that this requires special\n handling in order to do correctly - see the notes in the detailed\n description of vtkRenderViewBase.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractor(vtkRenderWindowInteractor *interactor);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractorStyle */
    if ( strcmp ( argv[2], "SetInteractorStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractorStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkInteractorObserver" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractorStyle */
    Tcl_DStringAppendElement ( &dString, " The interactor style associated with the render view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractorStyle(vtkInteractorObserver *style);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetInteractorStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractorStyle */
    if ( strcmp ( argv[2], "GetInteractorStyle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractorStyle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractorStyle */
    Tcl_DStringAppendElement ( &dString, " Get the interactor style associated with the render view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkInteractorObserver *GetInteractorStyle();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetInteractorStyle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderWindow */
    if ( strcmp ( argv[2], "SetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderWindow */
    Tcl_DStringAppendElement ( &dString, " Set the render window for this view. Note that this requires special\n handling in order to do correctly - see the notes in the detailed\n description of vtkRenderViewBase.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderWindow(vtkRenderWindow *win);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractionMode */
    if ( strcmp ( argv[2], "SetInteractionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractionMode */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetInteractionMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetInteractionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractionMode */
    if ( strcmp ( argv[2], "GetInteractionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractionMode */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetInteractionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetInteractionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractionModeTo2D */
    if ( strcmp ( argv[2], "SetInteractionModeTo2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractionModeTo2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractionModeTo2D */
    Tcl_DStringAppendElement ( &dString, " Set the interaction mode for the view. Choices are:\n vtkRenderView::INTERACTION_MODE_2D - 2D interactor\n vtkRenderView::INTERACTION_MODE_3D - 3D interactor\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractionModeTo2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetInteractionModeTo2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractionModeTo3D */
    if ( strcmp ( argv[2], "SetInteractionModeTo3D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractionModeTo3D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractionModeTo3D */
    Tcl_DStringAppendElement ( &dString, " Set the interaction mode for the view. Choices are:\n vtkRenderView::INTERACTION_MODE_2D - 2D interactor\n vtkRenderView::INTERACTION_MODE_3D - 3D interactor\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractionModeTo3D();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetInteractionModeTo3D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Updates the representations, then calls Render() on the render window\n associated with this view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Applies a view theme to this view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme(vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTransform */
    if ( strcmp ( argv[2], "SetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTransform */
    Tcl_DStringAppendElement ( &dString, " Set the view's transform. All vtkRenderedRepresentations\n added to this view should use this transform.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTransform(vtkAbstractTransform *transform);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTransform */
    if ( strcmp ( argv[2], "GetTransform" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTransform" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTransform */
    Tcl_DStringAppendElement ( &dString, " Set the view's transform. All vtkRenderedRepresentations\n added to this view should use this transform.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractTransform *GetTransform();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetTransform */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayHoverText */
    if ( strcmp ( argv[2], "SetDisplayHoverText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayHoverText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayHoverText */
    Tcl_DStringAppendElement ( &dString, " Whether the view should display hover text.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDisplayHoverText(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetDisplayHoverText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplayHoverText */
    if ( strcmp ( argv[2], "GetDisplayHoverText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayHoverText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayHoverText */
    Tcl_DStringAppendElement ( &dString, " Whether the view should display hover text.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDisplayHoverText();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetDisplayHoverText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayHoverTextOn */
    if ( strcmp ( argv[2], "DisplayHoverTextOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayHoverTextOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayHoverTextOn */
    Tcl_DStringAppendElement ( &dString, " Whether the view should display hover text.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisplayHoverTextOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for DisplayHoverTextOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayHoverTextOff */
    if ( strcmp ( argv[2], "DisplayHoverTextOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayHoverTextOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayHoverTextOff */
    Tcl_DStringAppendElement ( &dString, " Whether the view should display hover text.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisplayHoverTextOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for DisplayHoverTextOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionMode */
    if ( strcmp ( argv[2], "SetSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionModeMinValue */
    if ( strcmp ( argv[2], "GetSelectionModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetSelectionModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionModeMaxValue */
    if ( strcmp ( argv[2], "GetSelectionModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetSelectionModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectionMode */
    if ( strcmp ( argv[2], "GetSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionModeToSurface */
    if ( strcmp ( argv[2], "SetSelectionModeToSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionModeToSurface */
    Tcl_DStringAppendElement ( &dString, " Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionModeToSurface();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetSelectionModeToSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectionModeToFrustum */
    if ( strcmp ( argv[2], "SetSelectionModeToFrustum" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectionModeToFrustum" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectionModeToFrustum */
    Tcl_DStringAppendElement ( &dString, " Sets the selection mode for the render view.\n SURFACE selection uses vtkHardwareSelector to perform a selection\n of visible cells.\n FRUSTUM selection just creates a view frustum selection, which will\n select everything in the frustum.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectionModeToFrustum();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetSelectionModeToFrustum */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddLabels */
    if ( strcmp ( argv[2], "AddLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddLabels */
    Tcl_DStringAppendElement ( &dString, " Add labels from an input connection with an associated text\n property. The output must be a vtkLabelHierarchy (normally the\n output of vtkPointSetToLabelHierarchy).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddLabels(vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for AddLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveLabels */
    if ( strcmp ( argv[2], "RemoveLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveLabels */
    Tcl_DStringAppendElement ( &dString, " Remove labels from an input connection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveLabels(vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for RemoveLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconTexture */
    if ( strcmp ( argv[2], "SetIconTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTexture" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconTexture */
    Tcl_DStringAppendElement ( &dString, " Set the icon sheet to use for rendering icons.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetIconTexture(vtkTexture *texture);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetIconTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconTexture */
    if ( strcmp ( argv[2], "GetIconTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconTexture */
    Tcl_DStringAppendElement ( &dString, " Set the icon sheet to use for rendering icons.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture *GetIconTexture();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetIconTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconSize */
    if ( strcmp ( argv[2], "SetIconSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetIconSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetIconSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIconSize */
    if ( strcmp ( argv[2], "SetIconSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIconSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIconSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetIconSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetIconSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIconSize */
    if ( strcmp ( argv[2], "GetIconSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIconSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIconSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetIconSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetIconSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplaySize */
    if ( strcmp ( argv[2], "SetDisplaySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplaySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplaySize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplaySize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetDisplaySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplaySize */
    if ( strcmp ( argv[2], "SetDisplaySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplaySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplaySize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplaySize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetDisplaySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelPlacementMode */
    if ( strcmp ( argv[2], "SetLabelPlacementMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelPlacementMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelPlacementMode */
    Tcl_DStringAppendElement ( &dString, " Label placement mode.\n NO_OVERLAP uses vtkLabelPlacementMapper, which has a faster startup time and\n works with 2D or 3D labels.\n ALL displays all labels (Warning: This may cause incredibly slow render\n times on datasets with more than a few hundred labels).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelPlacementMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetLabelPlacementMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelPlacementMode */
    if ( strcmp ( argv[2], "GetLabelPlacementMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelPlacementMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelPlacementMode */
    Tcl_DStringAppendElement ( &dString, " Label placement mode.\n NO_OVERLAP uses vtkLabelPlacementMapper, which has a faster startup time and\n works with 2D or 3D labels.\n ALL displays all labels (Warning: This may cause incredibly slow render\n times on datasets with more than a few hundred labels).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLabelPlacementMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetLabelPlacementMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelPlacementModeToNoOverlap */
    if ( strcmp ( argv[2], "SetLabelPlacementModeToNoOverlap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelPlacementModeToNoOverlap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelPlacementModeToNoOverlap */
    Tcl_DStringAppendElement ( &dString, " Label placement mode.\n NO_OVERLAP uses vtkLabelPlacementMapper, which has a faster startup time and\n works with 2D or 3D labels.\n ALL displays all labels (Warning: This may cause incredibly slow render\n times on datasets with more than a few hundred labels).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelPlacementModeToNoOverlap();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetLabelPlacementModeToNoOverlap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelPlacementModeToAll */
    if ( strcmp ( argv[2], "SetLabelPlacementModeToAll" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelPlacementModeToAll" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelPlacementModeToAll */
    Tcl_DStringAppendElement ( &dString, " Label placement mode.\n NO_OVERLAP uses vtkLabelPlacementMapper, which has a faster startup time and\n works with 2D or 3D labels.\n ALL displays all labels (Warning: This may cause incredibly slow render\n times on datasets with more than a few hundred labels).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelPlacementModeToAll();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetLabelPlacementModeToAll */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelRenderMode */
    if ( strcmp ( argv[2], "SetLabelRenderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelRenderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelRenderMode */
    Tcl_DStringAppendElement ( &dString, " Label render mode.\n FREETYPE uses the freetype label rendering.\n QT uses more advanced Qt-based label rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelRenderMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetLabelRenderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelRenderMode */
    if ( strcmp ( argv[2], "GetLabelRenderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelRenderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelRenderMode */
    Tcl_DStringAppendElement ( &dString, " Label render mode.\n FREETYPE uses the freetype label rendering.\n QT uses more advanced Qt-based label rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetLabelRenderMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetLabelRenderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelRenderModeToFreetype */
    if ( strcmp ( argv[2], "SetLabelRenderModeToFreetype" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelRenderModeToFreetype" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelRenderModeToFreetype */
    Tcl_DStringAppendElement ( &dString, " Label render mode.\n FREETYPE uses the freetype label rendering.\n QT uses more advanced Qt-based label rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelRenderModeToFreetype();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetLabelRenderModeToFreetype */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelRenderModeToQt */
    if ( strcmp ( argv[2], "SetLabelRenderModeToQt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelRenderModeToQt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelRenderModeToQt */
    Tcl_DStringAppendElement ( &dString, " Label render mode.\n FREETYPE uses the freetype label rendering.\n QT uses more advanced Qt-based label rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelRenderModeToQt();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetLabelRenderModeToQt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderOnMouseMove */
    if ( strcmp ( argv[2], "SetRenderOnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderOnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderOnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Whether to render on every mouse move.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRenderOnMouseMove(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for SetRenderOnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderOnMouseMove */
    if ( strcmp ( argv[2], "GetRenderOnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderOnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderOnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Whether to render on every mouse move.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetRenderOnMouseMove();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for GetRenderOnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOnMouseMoveOn */
    if ( strcmp ( argv[2], "RenderOnMouseMoveOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOnMouseMoveOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOnMouseMoveOn */
    Tcl_DStringAppendElement ( &dString, " Whether to render on every mouse move.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderOnMouseMoveOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for RenderOnMouseMoveOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOnMouseMoveOff */
    if ( strcmp ( argv[2], "RenderOnMouseMoveOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOnMouseMoveOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOnMouseMoveOff */
    Tcl_DStringAppendElement ( &dString, " Whether to render on every mouse move.\n" );
    Tcl_DStringAppendElement ( &dString, "void RenderOnMouseMoveOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderView" );
    /* Closing for RenderOnMouseMoveOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderViewBaseCppCommand(static_cast<vtkRenderViewBase *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
