// tcl wrapper for vtkRenderedHierarchyRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderedHierarchyRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRenderedHierarchyRepresentationNewCommand()
{
  vtkRenderedHierarchyRepresentation *temp = vtkRenderedHierarchyRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderedGraphRepresentationCppCommand(vtkRenderedGraphRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRenderedHierarchyRepresentationCppCommand(vtkRenderedHierarchyRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRenderedHierarchyRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRenderedHierarchyRepresentationCppCommand(static_cast<vtkRenderedHierarchyRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRenderedHierarchyRepresentationCppCommand(vtkRenderedHierarchyRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderedHierarchyRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderedGraphRepresentationCppCommand(static_cast<vtkRenderedGraphRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderedGraphRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderedHierarchyRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderedHierarchyRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderedHierarchyRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderedHierarchyRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderedHierarchyRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderedHierarchyRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGraphEdgeLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeLabelArrayName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphEdgeLabelArrayName(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphEdgeLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGraphEdgeLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGraphEdgeLabelArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphEdgeLabelArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGraphEdgeLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeLabelVisibility",argv[1]))&&(argc == 4))
    {
    bool   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphEdgeLabelVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphEdgeLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGraphEdgeLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGraphEdgeLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphEdgeLabelVisibility(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GraphEdgeLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->GraphEdgeLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GraphEdgeLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->GraphEdgeLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGraphEdgeColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGraphEdgeColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeColorArrayName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphEdgeColorArrayName(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphEdgeColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGraphEdgeColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGraphEdgeColorArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphEdgeColorArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorGraphEdgesByArray",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorGraphEdgesByArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorGraphEdgesByArray",argv[1]))&&(argc == 4))
    {
    bool   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetColorGraphEdgesByArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorGraphEdgesByArray",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorGraphEdgesByArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorGraphEdgesByArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColorGraphEdgesByArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorGraphEdgesByArrayOn",argv[1]))&&(argc == 2))
    {
    op->ColorGraphEdgesByArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorGraphEdgesByArrayOff",argv[1]))&&(argc == 2))
    {
    op->ColorGraphEdgesByArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGraphEdgeColorToSplineFraction",argv[1]))&&(argc == 2))
    {
    op->SetGraphEdgeColorToSplineFraction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGraphEdgeColorToSplineFraction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGraphEdgeColorToSplineFraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGraphVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphVisibility",argv[1]))&&(argc == 4))
    {
    bool   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGraphVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGraphVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphVisibility(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GraphVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->GraphVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GraphVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->GraphVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBundlingStrength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBundlingStrength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBundlingStrength",argv[1]))&&(argc == 4))
    {
    double   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetBundlingStrength(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBundlingStrength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBundlingStrength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBundlingStrength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBundlingStrength(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphSplineType",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphSplineType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphSplineType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphSplineType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeLabelFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGraphEdgeLabelFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeLabelFontSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphEdgeLabelFontSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphEdgeLabelFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGraphEdgeLabelFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGraphEdgeLabelFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphEdgeLabelFontSize(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRenderedHierarchyRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderedGraphRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderedHierarchyRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelArrayName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GraphEdgeLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  GraphEdgeLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeColorArrayName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorGraphEdgesByArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorGraphEdgesByArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColorGraphEdgesByArray\n",NULL);
    Tcl_AppendResult(interp,"  GetColorGraphEdgesByArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ColorGraphEdgesByArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorGraphEdgesByArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeColorToSplineFraction\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeColorToSplineFraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GraphVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  GraphVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBundlingStrength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBundlingStrength\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBundlingStrength\n",NULL);
    Tcl_AppendResult(interp,"  GetBundlingStrength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphSplineType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphSplineType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelFontSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelFontSize\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelFontSize\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderedGraphRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GraphEdgeLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "GraphEdgeLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorGraphEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "SetColorGraphEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "GetColorGraphEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "GetColorGraphEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "ColorGraphEdgesByArrayOn" );
    Tcl_DStringAppendElement ( &dString, "ColorGraphEdgesByArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorToSplineFraction" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorToSplineFraction" );
    Tcl_DStringAppendElement ( &dString, "SetGraphVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetGraphVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetGraphVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetGraphVisibility" );
    Tcl_DStringAppendElement ( &dString, "GraphVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "GraphVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "SetBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "SetGraphSplineType" );
    Tcl_DStringAppendElement ( &dString, "GetGraphSplineType" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelFontSize" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderedGraphRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRenderedHierarchyRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelArrayName */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelArrayName */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelArrayName(const char *name, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelArrayName */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " \n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetGraphEdgeLabelArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelArrayName */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " \n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetGraphEdgeLabelArrayName(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelVisibility */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelVisibility(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelVisibility */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelVisibility(bool vis, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelVisibility */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetGraphEdgeLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelVisibility */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetGraphEdgeLabelVisibility(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GraphEdgeLabelVisibilityOn */
    if ( strcmp ( argv[2], "GraphEdgeLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GraphEdgeLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GraphEdgeLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GraphEdgeLabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GraphEdgeLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GraphEdgeLabelVisibilityOff */
    if ( strcmp ( argv[2], "GraphEdgeLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GraphEdgeLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GraphEdgeLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GraphEdgeLabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GraphEdgeLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeColorArrayName */
    if ( strcmp ( argv[2], "SetGraphEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeColorArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeColorArrayName */
    if ( strcmp ( argv[2], "SetGraphEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeColorArrayName(const char *name, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeColorArrayName */
    if ( strcmp ( argv[2], "GetGraphEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetGraphEdgeColorArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeColorArrayName */
    if ( strcmp ( argv[2], "GetGraphEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetGraphEdgeColorArrayName(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorGraphEdgesByArray */
    if ( strcmp ( argv[2], "SetColorGraphEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorGraphEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorGraphEdgesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorGraphEdgesByArray(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetColorGraphEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorGraphEdgesByArray */
    if ( strcmp ( argv[2], "SetColorGraphEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorGraphEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorGraphEdgesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorGraphEdgesByArray(bool vis, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetColorGraphEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorGraphEdgesByArray */
    if ( strcmp ( argv[2], "GetColorGraphEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorGraphEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorGraphEdgesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetColorGraphEdgesByArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetColorGraphEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorGraphEdgesByArray */
    if ( strcmp ( argv[2], "GetColorGraphEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorGraphEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorGraphEdgesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetColorGraphEdgesByArray(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetColorGraphEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorGraphEdgesByArrayOn */
    if ( strcmp ( argv[2], "ColorGraphEdgesByArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorGraphEdgesByArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorGraphEdgesByArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ColorGraphEdgesByArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for ColorGraphEdgesByArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorGraphEdgesByArrayOff */
    if ( strcmp ( argv[2], "ColorGraphEdgesByArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorGraphEdgesByArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorGraphEdgesByArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ColorGraphEdgesByArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for ColorGraphEdgesByArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeColorToSplineFraction */
    if ( strcmp ( argv[2], "SetGraphEdgeColorToSplineFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorToSplineFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeColorToSplineFraction */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeColorToSplineFraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphEdgeColorToSplineFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeColorToSplineFraction */
    if ( strcmp ( argv[2], "SetGraphEdgeColorToSplineFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorToSplineFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeColorToSplineFraction */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeColorToSplineFraction(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphEdgeColorToSplineFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphVisibility */
    if ( strcmp ( argv[2], "SetGraphVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphVisibility(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphVisibility */
    if ( strcmp ( argv[2], "SetGraphVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphVisibility(bool vis, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphVisibility */
    if ( strcmp ( argv[2], "GetGraphVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetGraphVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphVisibility */
    if ( strcmp ( argv[2], "GetGraphVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetGraphVisibility(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GraphVisibilityOn */
    if ( strcmp ( argv[2], "GraphVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GraphVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GraphVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GraphVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GraphVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GraphVisibilityOff */
    if ( strcmp ( argv[2], "GraphVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GraphVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GraphVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GraphVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GraphVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBundlingStrength */
    if ( strcmp ( argv[2], "SetBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBundlingStrength */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBundlingStrength(double strength);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBundlingStrength */
    if ( strcmp ( argv[2], "SetBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBundlingStrength */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBundlingStrength(double strength, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBundlingStrength */
    if ( strcmp ( argv[2], "GetBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBundlingStrength */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetBundlingStrength();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBundlingStrength */
    if ( strcmp ( argv[2], "GetBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBundlingStrength */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetBundlingStrength(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphSplineType */
    if ( strcmp ( argv[2], "SetGraphSplineType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphSplineType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphSplineType */
    Tcl_DStringAppendElement ( &dString, " Sets the spline type for the graph edges.\n vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.\n vtkSplineGraphEdges::BSPLINE uses a b-spline.\n The default is BSPLINE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphSplineType(int type, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphSplineType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphSplineType */
    if ( strcmp ( argv[2], "GetGraphSplineType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphSplineType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphSplineType */
    Tcl_DStringAppendElement ( &dString, " Sets the spline type for the graph edges.\n vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.\n vtkSplineGraphEdges::BSPLINE uses a b-spline.\n The default is BSPLINE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGraphSplineType(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphSplineType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelFontSize */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelFontSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelFontSize(int size);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphEdgeLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelFontSize */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelFontSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelFontSize(int size, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for SetGraphEdgeLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelFontSize */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelFontSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGraphEdgeLabelFontSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphEdgeLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelFontSize */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelFontSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGraphEdgeLabelFontSize(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedHierarchyRepresentation" );
    /* Closing for GetGraphEdgeLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderedGraphRepresentationCppCommand(static_cast<vtkRenderedGraphRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
