// python wrapper for vtkRenderedSurfaceRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkRenderedSurfaceRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkRenderedSurfaceRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkRenderedSurfaceRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRenderedSurfaceRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRenderedSurfaceRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkRenderedRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkRenderedRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkRenderedRepresentationNew
#endif

static const char **PyvtkRenderedSurfaceRepresentation_Doc();


static PyObject *
PyvtkRenderedSurfaceRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderedSurfaceRepresentation *op = static_cast<vtkRenderedSurfaceRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkRenderedSurfaceRepresentation::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRenderedSurfaceRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderedSurfaceRepresentation *op = static_cast<vtkRenderedSurfaceRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkRenderedSurfaceRepresentation::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRenderedSurfaceRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderedSurfaceRepresentation *op = static_cast<vtkRenderedSurfaceRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkRenderedSurfaceRepresentation *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkRenderedSurfaceRepresentation::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkRenderedSurfaceRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkRenderedSurfaceRepresentation *tempr = vtkRenderedSurfaceRepresentation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRenderedSurfaceRepresentation_SetCellColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCellColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderedSurfaceRepresentation *op = static_cast<vtkRenderedSurfaceRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCellColorArrayName(temp0);
      }
    else
      {
      op->vtkRenderedSurfaceRepresentation::SetCellColorArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRenderedSurfaceRepresentation_GetCellColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCellColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderedSurfaceRepresentation *op = static_cast<vtkRenderedSurfaceRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetCellColorArrayName() :
      op->vtkRenderedSurfaceRepresentation::GetCellColorArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRenderedSurfaceRepresentation_ApplyViewTheme(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ApplyViewTheme");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderedSurfaceRepresentation *op = static_cast<vtkRenderedSurfaceRepresentation *>(vp);

  vtkViewTheme *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewTheme"))
    {
    if (ap.IsBound())
      {
      op->ApplyViewTheme(temp0);
      }
    else
      {
      op->vtkRenderedSurfaceRepresentation::ApplyViewTheme(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkRenderedSurfaceRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkRenderedSurfaceRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkRenderedSurfaceRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkRenderedSurfaceRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderedSurfaceRepresentation\nC++: vtkRenderedSurfaceRepresentation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkRenderedSurfaceRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderedSurfaceRepresentation\nC++: vtkRenderedSurfaceRepresentation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetCellColorArrayName", PyvtkRenderedSurfaceRepresentation_SetCellColorArrayName, 1,
   (char*)"V.SetCellColorArrayName(string)\nC++: virtual void SetCellColorArrayName(const char *arrayName)\n\n"},
  {(char*)"GetCellColorArrayName", PyvtkRenderedSurfaceRepresentation_GetCellColorArrayName, 1,
   (char*)"V.GetCellColorArrayName() -> string\nC++: virtual const char *GetCellColorArrayName()\n\n"},
  {(char*)"ApplyViewTheme", PyvtkRenderedSurfaceRepresentation_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme(vtkViewTheme *theme)\n\nApply a theme to this representation.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkRenderedSurfaceRepresentation_StaticNew()
{
  return vtkRenderedSurfaceRepresentation::New();
}

PyObject *PyVTKClass_vtkRenderedSurfaceRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkRenderedSurfaceRepresentation_StaticNew,
    PyvtkRenderedSurfaceRepresentation_Methods,
    "vtkRenderedSurfaceRepresentation", modulename,
    NULL, NULL,
    PyvtkRenderedSurfaceRepresentation_Doc(),
    PyVTKClass_vtkRenderedRepresentationNew(modulename));
  return cls;
}

const char **PyvtkRenderedSurfaceRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkRenderedSurfaceRepresentation - Displays a geometric dataset as a\nsurface.\n\n",
    "Superclass: vtkRenderedRepresentation\n\n",
    "vtkRenderedSurfaceRepresentation is used to show a geometric dataset\nin a view. The representation uses a vtkGeometryFilter to convert the\ndataset to polygonal data (e.g. volumetric data is converted to its\nexternal surface). The representation may then be added to\nvtkRenderView.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkRenderedSurfaceRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkRenderedSurfaceRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkRenderedSurfaceRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

