// tcl wrapper for vtkRenderedTreeAreaRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderedTreeAreaRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRenderedTreeAreaRepresentationNewCommand()
{
  vtkRenderedTreeAreaRepresentation *temp = vtkRenderedTreeAreaRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderedRepresentationCppCommand(vtkRenderedRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRenderedTreeAreaRepresentationCppCommand(vtkRenderedTreeAreaRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRenderedTreeAreaRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRenderedTreeAreaRepresentationCppCommand(static_cast<vtkRenderedTreeAreaRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRenderedTreeAreaRepresentationCppCommand(vtkRenderedTreeAreaRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderedTreeAreaRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderedRepresentationCppCommand(static_cast<vtkRenderedRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderedRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderedTreeAreaRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderedTreeAreaRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderedTreeAreaRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderedTreeAreaRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderedTreeAreaRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderedTreeAreaRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelRenderMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelRenderMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAreaLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAreaLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAreaLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAreaSizeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAreaSizeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaSizeArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAreaSizeArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAreaLabelPriorityArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAreaLabelPriorityArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaLabelPriorityArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAreaLabelPriorityArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGraphEdgeLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGraphEdgeLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeLabelArrayName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphEdgeLabelArrayName(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphEdgeLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGraphEdgeLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGraphEdgeLabelArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphEdgeLabelArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetGraphEdgeLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeLabelTextProperty",argv[1]))&&(argc == 4))
    {
    vtkTextProperty  *temp0;
    int      temp1;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphEdgeLabelTextProperty(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphEdgeLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetGraphEdgeLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetGraphEdgeLabelTextProperty",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkTextProperty  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphEdgeLabelTextProperty(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAreaHoverArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAreaHoverArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaHoverArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetAreaHoverArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAreaLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAreaLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAreaLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AreaLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->AreaLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AreaLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->AreaLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAreaLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetAreaLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetAreaLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetGraphEdgeLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetGraphEdgeLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeLabelVisibility",argv[1]))&&(argc == 4))
    {
    bool   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphEdgeLabelVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphEdgeLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetGraphEdgeLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGraphEdgeLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphEdgeLabelVisibility(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GraphEdgeLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->GraphEdgeLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GraphEdgeLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->GraphEdgeLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAreaColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAreaColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAreaColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorAreasByArray",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorAreasByArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorAreasByArray",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorAreasByArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorAreasByArrayOn",argv[1]))&&(argc == 2))
    {
    op->ColorAreasByArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorAreasByArrayOff",argv[1]))&&(argc == 2))
    {
    op->ColorAreasByArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGraphEdgeColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGraphEdgeColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeColorArrayName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphEdgeColorArrayName(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphEdgeColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGraphEdgeColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGraphEdgeColorArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphEdgeColorArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphEdgeColorToSplineFraction",argv[1]))&&(argc == 2))
    {
    op->SetGraphEdgeColorToSplineFraction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGraphEdgeColorToSplineFraction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGraphEdgeColorToSplineFraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorGraphEdgesByArray",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorGraphEdgesByArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorGraphEdgesByArray",argv[1]))&&(argc == 4))
    {
    bool   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetColorGraphEdgesByArray(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorGraphEdgesByArray",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorGraphEdgesByArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetColorGraphEdgesByArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetColorGraphEdgesByArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ColorGraphEdgesByArrayOn",argv[1]))&&(argc == 2))
    {
    op->ColorGraphEdgesByArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorGraphEdgesByArrayOff",argv[1]))&&(argc == 2))
    {
    op->ColorGraphEdgesByArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGraphHoverArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetGraphHoverArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphHoverArrayName",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphHoverArrayName(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphHoverArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGraphHoverArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGraphHoverArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphHoverArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShrinkPercentage",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetShrinkPercentage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShrinkPercentage",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetShrinkPercentage();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGraphBundlingStrength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGraphBundlingStrength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphBundlingStrength",argv[1]))&&(argc == 4))
    {
    double   temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphBundlingStrength(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphBundlingStrength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGraphBundlingStrength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGraphBundlingStrength",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphBundlingStrength(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphSplineType",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGraphSplineType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGraphSplineType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGraphSplineType(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAreaLayoutStrategy",argv[1]))&&(argc == 3))
    {
    vtkAreaLayoutStrategy  *temp0;
    error = 0;

    temp0 = (vtkAreaLayoutStrategy *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAreaLayoutStrategy"),interp,error));
    if (!error)
    {
    op->SetAreaLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaLayoutStrategy",argv[1]))&&(argc == 2))
    {
    vtkAreaLayoutStrategy  *temp20;
    temp20 = (op)->GetAreaLayoutStrategy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAreaLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SetAreaToPolyData",argv[1]))&&(argc == 3))
    {
    vtkPolyDataAlgorithm  *temp0;
    error = 0;

    temp0 = (vtkPolyDataAlgorithm *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyDataAlgorithm"),interp,error));
    if (!error)
    {
    op->SetAreaToPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaToPolyData",argv[1]))&&(argc == 2))
    {
    vtkPolyDataAlgorithm  *temp20;
    temp20 = (op)->GetAreaToPolyData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("SetUseRectangularCoordinates",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseRectangularCoordinates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseRectangularCoordinates",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseRectangularCoordinates();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseRectangularCoordinatesOn",argv[1]))&&(argc == 2))
    {
    op->UseRectangularCoordinatesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseRectangularCoordinatesOff",argv[1]))&&(argc == 2))
    {
    op->UseRectangularCoordinatesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAreaLabelMapper",argv[1]))&&(argc == 3))
    {
    vtkLabeledDataMapper  *temp0;
    error = 0;

    temp0 = (vtkLabeledDataMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLabeledDataMapper"),interp,error));
    if (!error)
    {
    op->SetAreaLabelMapper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaLabelMapper",argv[1]))&&(argc == 2))
    {
    vtkLabeledDataMapper  *temp20;
    temp20 = (op)->GetAreaLabelMapper();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLabeledDataMapper");
    return TCL_OK;
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeScalarBarVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeScalarBarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeScalarBarVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeScalarBarVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRenderedTreeAreaRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderedRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderedTreeAreaRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelRenderMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaSizeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaSizeArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaLabelPriorityArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaLabelPriorityArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelArrayName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelTextProperty\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaHoverArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaHoverArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  AreaLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  AreaLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeLabelVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GraphEdgeLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  GraphEdgeLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetColorAreasByArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorAreasByArray\n",NULL);
    Tcl_AppendResult(interp,"  ColorAreasByArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorAreasByArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeColorArrayName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphEdgeColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeColorToSplineFraction\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphEdgeColorToSplineFraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorGraphEdgesByArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorGraphEdgesByArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColorGraphEdgesByArray\n",NULL);
    Tcl_AppendResult(interp,"  GetColorGraphEdgesByArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ColorGraphEdgesByArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorGraphEdgesByArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphHoverArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphHoverArrayName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphHoverArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphHoverArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetShrinkPercentage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShrinkPercentage\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphBundlingStrength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphBundlingStrength\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphBundlingStrength\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphBundlingStrength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphSplineType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGraphSplineType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaLayoutStrategy\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaToPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaToPolyData\n",NULL);
    Tcl_AppendResult(interp,"  SetUseRectangularCoordinates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseRectangularCoordinates\n",NULL);
    Tcl_AppendResult(interp,"  UseRectangularCoordinatesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseRectangularCoordinatesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaLabelMapper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaLabelMapper\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeScalarBarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeScalarBarVisibility\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderedRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetLabelRenderMode" );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetAreaSizeArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAreaSizeArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetAreaHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAreaHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "AreaLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "AreaLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GraphEdgeLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "GraphEdgeLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetAreaColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAreaColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorAreasByArray" );
    Tcl_DStringAppendElement ( &dString, "GetColorAreasByArray" );
    Tcl_DStringAppendElement ( &dString, "ColorAreasByArrayOn" );
    Tcl_DStringAppendElement ( &dString, "ColorAreasByArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorToSplineFraction" );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorToSplineFraction" );
    Tcl_DStringAppendElement ( &dString, "SetColorGraphEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "SetColorGraphEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "GetColorGraphEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "GetColorGraphEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "ColorGraphEdgesByArrayOn" );
    Tcl_DStringAppendElement ( &dString, "ColorGraphEdgesByArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetGraphHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGraphHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGraphHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGraphHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetShrinkPercentage" );
    Tcl_DStringAppendElement ( &dString, "GetShrinkPercentage" );
    Tcl_DStringAppendElement ( &dString, "SetGraphBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "SetGraphBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "GetGraphBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "GetGraphBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "SetGraphSplineType" );
    Tcl_DStringAppendElement ( &dString, "GetGraphSplineType" );
    Tcl_DStringAppendElement ( &dString, "SetAreaLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetAreaLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetAreaToPolyData" );
    Tcl_DStringAppendElement ( &dString, "GetAreaToPolyData" );
    Tcl_DStringAppendElement ( &dString, "SetUseRectangularCoordinates" );
    Tcl_DStringAppendElement ( &dString, "GetUseRectangularCoordinates" );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOn" );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOff" );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelMapper" );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelMapper" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeScalarBarVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeScalarBarVisibility" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderedRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRenderedTreeAreaRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelRenderMode */
    if ( strcmp ( argv[2], "SetLabelRenderMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelRenderMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelRenderMode */
    Tcl_DStringAppendElement ( &dString, " Set the label render mode.\n QT - Use vtkQtTreeRingLabeler with fitted labeling\n   and unicode support. Requires VTK_USE_QT to be on.\n FREETYPE - Use standard freetype text rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelRenderMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetLabelRenderMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaLabelArrayName */
    if ( strcmp ( argv[2], "SetAreaLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAreaLabelArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetAreaLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaLabelArrayName */
    if ( strcmp ( argv[2], "GetAreaLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetAreaLabelArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetAreaLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaSizeArrayName */
    if ( strcmp ( argv[2], "SetAreaSizeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaSizeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaSizeArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area sizes. Default is \"size\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAreaSizeArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetAreaSizeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaSizeArrayName */
    if ( strcmp ( argv[2], "GetAreaSizeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaSizeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaSizeArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area sizes. Default is \"size\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetAreaSizeArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetAreaSizeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaLabelPriorityArrayName */
    if ( strcmp ( argv[2], "SetAreaLabelPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaLabelPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area labeling priority.\n Default is \"GraphVertexDegree\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAreaLabelPriorityArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetAreaLabelPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaLabelPriorityArrayName */
    if ( strcmp ( argv[2], "GetAreaLabelPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaLabelPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area labeling priority.\n Default is \"GraphVertexDegree\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetAreaLabelPriorityArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetAreaLabelPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelArrayName */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for edge labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelArrayName */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for edge labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelArrayName(const char *name, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelArrayName */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for edge labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetGraphEdgeLabelArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelArrayName */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for edge labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetGraphEdgeLabelArrayName(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelTextProperty */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " The text property for the graph edge labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelTextProperty(vtkTextProperty *tp);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphEdgeLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelTextProperty */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " The text property for the graph edge labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelTextProperty(vtkTextProperty *tp, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphEdgeLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelTextProperty */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " The text property for the graph edge labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetGraphEdgeLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphEdgeLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelTextProperty */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " The text property for the graph edge labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetGraphEdgeLabelTextProperty(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphEdgeLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaHoverArrayName */
    if ( strcmp ( argv[2], "SetAreaHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaHoverArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the array whose value appears when the mouse hovers\n over a rectangle in the treemap.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAreaHoverArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetAreaHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaHoverArrayName */
    if ( strcmp ( argv[2], "GetAreaHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaHoverArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the array whose value appears when the mouse hovers\n over a rectangle in the treemap.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetAreaHoverArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetAreaHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaLabelVisibility */
    if ( strcmp ( argv[2], "SetAreaLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show area labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAreaLabelVisibility(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetAreaLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaLabelVisibility */
    if ( strcmp ( argv[2], "GetAreaLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show area labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetAreaLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetAreaLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AreaLabelVisibilityOn */
    if ( strcmp ( argv[2], "AreaLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AreaLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AreaLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show area labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AreaLabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for AreaLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AreaLabelVisibilityOff */
    if ( strcmp ( argv[2], "AreaLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AreaLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AreaLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show area labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AreaLabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for AreaLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaLabelTextProperty */
    if ( strcmp ( argv[2], "SetAreaLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " The text property for the area labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAreaLabelTextProperty(vtkTextProperty *tp);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetAreaLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaLabelTextProperty */
    if ( strcmp ( argv[2], "GetAreaLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " The text property for the area labels.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetAreaLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetAreaLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelVisibility */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelVisibility(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeLabelVisibility */
    if ( strcmp ( argv[2], "SetGraphEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeLabelVisibility(bool vis, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelVisibility */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetGraphEdgeLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeLabelVisibility */
    if ( strcmp ( argv[2], "GetGraphEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetGraphEdgeLabelVisibility(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GraphEdgeLabelVisibilityOn */
    if ( strcmp ( argv[2], "GraphEdgeLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GraphEdgeLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GraphEdgeLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void GraphEdgeLabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GraphEdgeLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GraphEdgeLabelVisibilityOff */
    if ( strcmp ( argv[2], "GraphEdgeLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GraphEdgeLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GraphEdgeLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void GraphEdgeLabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GraphEdgeLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaColorArrayName */
    if ( strcmp ( argv[2], "SetAreaColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring vertices.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAreaColorArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetAreaColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaColorArrayName */
    if ( strcmp ( argv[2], "GetAreaColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring vertices.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAreaColorArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetAreaColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorAreasByArray */
    if ( strcmp ( argv[2], "SetColorAreasByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorAreasByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorAreasByArray */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorAreasByArray(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetColorAreasByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorAreasByArray */
    if ( strcmp ( argv[2], "GetColorAreasByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorAreasByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorAreasByArray */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetColorAreasByArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetColorAreasByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorAreasByArrayOn */
    if ( strcmp ( argv[2], "ColorAreasByArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorAreasByArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorAreasByArrayOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorAreasByArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for ColorAreasByArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorAreasByArrayOff */
    if ( strcmp ( argv[2], "ColorAreasByArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorAreasByArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorAreasByArrayOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorAreasByArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for ColorAreasByArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeColorArrayName */
    if ( strcmp ( argv[2], "SetGraphEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeColorArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeColorArrayName */
    if ( strcmp ( argv[2], "SetGraphEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeColorArrayName(const char *name, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeColorArrayName */
    if ( strcmp ( argv[2], "GetGraphEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetGraphEdgeColorArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphEdgeColorArrayName */
    if ( strcmp ( argv[2], "GetGraphEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetGraphEdgeColorArrayName(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeColorToSplineFraction */
    if ( strcmp ( argv[2], "SetGraphEdgeColorToSplineFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorToSplineFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeColorToSplineFraction */
    Tcl_DStringAppendElement ( &dString, " Set the color to be the spline fraction\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeColorToSplineFraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphEdgeColorToSplineFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphEdgeColorToSplineFraction */
    if ( strcmp ( argv[2], "SetGraphEdgeColorToSplineFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphEdgeColorToSplineFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphEdgeColorToSplineFraction */
    Tcl_DStringAppendElement ( &dString, " Set the color to be the spline fraction\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphEdgeColorToSplineFraction(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphEdgeColorToSplineFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorGraphEdgesByArray */
    if ( strcmp ( argv[2], "SetColorGraphEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorGraphEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorGraphEdgesByArray */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorGraphEdgesByArray(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetColorGraphEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorGraphEdgesByArray */
    if ( strcmp ( argv[2], "SetColorGraphEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorGraphEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorGraphEdgesByArray */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorGraphEdgesByArray(bool vis, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetColorGraphEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorGraphEdgesByArray */
    if ( strcmp ( argv[2], "GetColorGraphEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorGraphEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorGraphEdgesByArray */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetColorGraphEdgesByArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetColorGraphEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorGraphEdgesByArray */
    if ( strcmp ( argv[2], "GetColorGraphEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorGraphEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorGraphEdgesByArray */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetColorGraphEdgesByArray(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetColorGraphEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorGraphEdgesByArrayOn */
    if ( strcmp ( argv[2], "ColorGraphEdgesByArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorGraphEdgesByArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorGraphEdgesByArrayOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorGraphEdgesByArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for ColorGraphEdgesByArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorGraphEdgesByArrayOff */
    if ( strcmp ( argv[2], "ColorGraphEdgesByArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorGraphEdgesByArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorGraphEdgesByArrayOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorGraphEdgesByArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for ColorGraphEdgesByArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphHoverArrayName */
    if ( strcmp ( argv[2], "SetGraphHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphHoverArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the array whose value appears when the mouse hovers\n over a graph edge.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphHoverArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphHoverArrayName */
    if ( strcmp ( argv[2], "SetGraphHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphHoverArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the array whose value appears when the mouse hovers\n over a graph edge.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphHoverArrayName(const char *name, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphHoverArrayName */
    if ( strcmp ( argv[2], "GetGraphHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphHoverArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the array whose value appears when the mouse hovers\n over a graph edge.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetGraphHoverArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphHoverArrayName */
    if ( strcmp ( argv[2], "GetGraphHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphHoverArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the array whose value appears when the mouse hovers\n over a graph edge.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetGraphHoverArrayName(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShrinkPercentage */
    if ( strcmp ( argv[2], "SetShrinkPercentage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShrinkPercentage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShrinkPercentage */
    Tcl_DStringAppendElement ( &dString, " Set the region shrink percentage between 0.0 and 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShrinkPercentage(double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetShrinkPercentage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShrinkPercentage */
    if ( strcmp ( argv[2], "GetShrinkPercentage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShrinkPercentage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShrinkPercentage */
    Tcl_DStringAppendElement ( &dString, " Set the region shrink percentage between 0.0 and 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetShrinkPercentage();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetShrinkPercentage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphBundlingStrength */
    if ( strcmp ( argv[2], "SetGraphBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphBundlingStrength */
    Tcl_DStringAppendElement ( &dString, " Set the bundling strength.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphBundlingStrength(double strength);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphBundlingStrength */
    if ( strcmp ( argv[2], "SetGraphBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphBundlingStrength */
    Tcl_DStringAppendElement ( &dString, " Set the bundling strength.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphBundlingStrength(double strength, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphBundlingStrength */
    if ( strcmp ( argv[2], "GetGraphBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphBundlingStrength */
    Tcl_DStringAppendElement ( &dString, " Set the bundling strength.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetGraphBundlingStrength();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphBundlingStrength */
    if ( strcmp ( argv[2], "GetGraphBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphBundlingStrength */
    Tcl_DStringAppendElement ( &dString, " Set the bundling strength.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetGraphBundlingStrength(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphSplineType */
    if ( strcmp ( argv[2], "SetGraphSplineType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphSplineType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphSplineType */
    Tcl_DStringAppendElement ( &dString, " Sets the spline type for the graph edges.\n vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.\n vtkSplineGraphEdges::BSPLINE uses a b-spline.\n The default is BSPLINE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGraphSplineType(int type, int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetGraphSplineType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGraphSplineType */
    if ( strcmp ( argv[2], "GetGraphSplineType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGraphSplineType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGraphSplineType */
    Tcl_DStringAppendElement ( &dString, " Sets the spline type for the graph edges.\n vtkSplineGraphEdges::CUSTOM uses a vtkCardinalSpline.\n vtkSplineGraphEdges::BSPLINE uses a b-spline.\n The default is BSPLINE.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGraphSplineType(int idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetGraphSplineType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaLayoutStrategy */
    if ( strcmp ( argv[2], "SetAreaLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The layout strategy for producing spatial regions for the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAreaLayoutStrategy(vtkAreaLayoutStrategy *strategy);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetAreaLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaLayoutStrategy */
    if ( strcmp ( argv[2], "GetAreaLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The layout strategy for producing spatial regions for the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAreaLayoutStrategy *GetAreaLayoutStrategy();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetAreaLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaToPolyData */
    if ( strcmp ( argv[2], "SetAreaToPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaToPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataAlgorithm" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaToPolyData */
    Tcl_DStringAppendElement ( &dString, " The filter for converting areas to polydata. This may e.g. be\n vtkTreeMapToPolyData or vtkTreeRingToPolyData.\n The filter must take a vtkTree as input and produce vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAreaToPolyData(vtkPolyDataAlgorithm *areaToPoly);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetAreaToPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaToPolyData */
    if ( strcmp ( argv[2], "GetAreaToPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaToPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaToPolyData */
    Tcl_DStringAppendElement ( &dString, " The filter for converting areas to polydata. This may e.g. be\n vtkTreeMapToPolyData or vtkTreeRingToPolyData.\n The filter must take a vtkTree as input and produce vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataAlgorithm *GetAreaToPolyData();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetAreaToPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseRectangularCoordinates */
    if ( strcmp ( argv[2], "SetUseRectangularCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseRectangularCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseRectangularCoordinates */
    Tcl_DStringAppendElement ( &dString, " Whether the area represents radial or rectangular coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseRectangularCoordinates(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetUseRectangularCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseRectangularCoordinates */
    if ( strcmp ( argv[2], "GetUseRectangularCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseRectangularCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseRectangularCoordinates */
    Tcl_DStringAppendElement ( &dString, " Whether the area represents radial or rectangular coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetUseRectangularCoordinates();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetUseRectangularCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseRectangularCoordinatesOn */
    if ( strcmp ( argv[2], "UseRectangularCoordinatesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRectangularCoordinatesOn */
    Tcl_DStringAppendElement ( &dString, " Whether the area represents radial or rectangular coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseRectangularCoordinatesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for UseRectangularCoordinatesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseRectangularCoordinatesOff */
    if ( strcmp ( argv[2], "UseRectangularCoordinatesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRectangularCoordinatesOff */
    Tcl_DStringAppendElement ( &dString, " Whether the area represents radial or rectangular coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseRectangularCoordinatesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for UseRectangularCoordinatesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaLabelMapper */
    if ( strcmp ( argv[2], "SetAreaLabelMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledDataMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaLabelMapper */
    Tcl_DStringAppendElement ( &dString, " The mapper for rendering labels on areas. This may e.g. be\n vtkDynamic2DLabelMapper or vtkTreeMapLabelMapper.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAreaLabelMapper(vtkLabeledDataMapper *mapper);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetAreaLabelMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaLabelMapper */
    if ( strcmp ( argv[2], "GetAreaLabelMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaLabelMapper */
    Tcl_DStringAppendElement ( &dString, " The mapper for rendering labels on areas. This may e.g. be\n vtkDynamic2DLabelMapper or vtkTreeMapLabelMapper.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLabeledDataMapper *GetAreaLabelMapper();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetAreaLabelMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Apply the theme to this view.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme(vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeScalarBarVisibility */
    if ( strcmp ( argv[2], "SetEdgeScalarBarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeScalarBarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeScalarBarVisibility */
    Tcl_DStringAppendElement ( &dString, " Visibility of scalar bar actor for edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeScalarBarVisibility(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for SetEdgeScalarBarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeScalarBarVisibility */
    if ( strcmp ( argv[2], "GetEdgeScalarBarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeScalarBarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeScalarBarVisibility */
    Tcl_DStringAppendElement ( &dString, " Visibility of scalar bar actor for edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetEdgeScalarBarVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedTreeAreaRepresentation" );
    /* Closing for GetEdgeScalarBarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderedRepresentationCppCommand(static_cast<vtkRenderedRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
