// tcl wrapper for vtkTreeAreaView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeAreaView.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTreeAreaViewNewCommand()
{
  vtkTreeAreaView *temp = vtkTreeAreaView::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderViewCppCommand(vtkRenderView *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTreeAreaViewCppCommand(vtkTreeAreaView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTreeAreaViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTreeAreaViewCppCommand(static_cast<vtkTreeAreaView *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTreeAreaViewCppCommand(vtkTreeAreaView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTreeAreaView",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderViewCppCommand(static_cast<vtkRenderView *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderView"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTreeAreaView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeAreaView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTreeAreaView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeAreaView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTreeAreaView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeAreaView");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTreeFromInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    vtkDataRepresentation  *temp20;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetTreeFromInputConnection(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTreeFromInput",argv[1]))&&(argc == 3))
    {
    vtkTree  *temp0;
    vtkDataRepresentation  *temp20;
    error = 0;

    temp0 = (vtkTree *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTree"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetTreeFromInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphFromInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    vtkDataRepresentation  *temp20;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetGraphFromInputConnection(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGraphFromInput",argv[1]))&&(argc == 3))
    {
    vtkGraph  *temp0;
    vtkDataRepresentation  *temp20;
    error = 0;

    temp0 = (vtkGraph *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraph"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetGraphFromInput(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAreaLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAreaLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAreaLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAreaSizeArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAreaSizeArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaSizeArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAreaSizeArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLabelPriorityArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelPriorityArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelPriorityArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLabelPriorityArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAreaHoverArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAreaHoverArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaHoverArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAreaHoverArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAreaLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetAreaLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetAreaLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AreaLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->AreaLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AreaLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->AreaLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EdgeLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->EdgeLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EdgeLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->EdgeLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAreaColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetAreaColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetAreaColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorAreas",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorAreas(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorAreas",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorAreas();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorAreasOn",argv[1]))&&(argc == 2))
    {
    op->ColorAreasOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorAreasOff",argv[1]))&&(argc == 2))
    {
    op->ColorAreasOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeColorToSplineFraction",argv[1]))&&(argc == 2))
    {
    op->SetEdgeColorToSplineFraction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetShrinkPercentage",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetShrinkPercentage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShrinkPercentage",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetShrinkPercentage();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorEdges",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorEdges(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorEdges",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorEdges();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesOn",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesOff",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBundlingStrength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetBundlingStrength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBundlingStrength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetBundlingStrength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAreaLabelFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAreaLabelFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAreaLabelFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAreaLabelFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelFontSize",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEdgeLabelFontSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelFontSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEdgeLabelFontSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    vtkAreaLayoutStrategy  *temp0;
    error = 0;

    temp0 = (vtkAreaLayoutStrategy *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAreaLayoutStrategy"),interp,error));
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayoutStrategy",argv[1]))&&(argc == 2))
    {
    vtkAreaLayoutStrategy  *temp20;
    temp20 = (op)->GetLayoutStrategy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAreaLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SetUseRectangularCoordinates",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseRectangularCoordinates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseRectangularCoordinates",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseRectangularCoordinates();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseRectangularCoordinatesOn",argv[1]))&&(argc == 2))
    {
    op->UseRectangularCoordinatesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseRectangularCoordinatesOff",argv[1]))&&(argc == 2))
    {
    op->UseRectangularCoordinatesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeScalarBarVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeScalarBarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeScalarBarVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeScalarBarVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTreeAreaViewCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderViewCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTreeAreaView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTreeFromInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTreeFromInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphFromInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGraphFromInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaSizeArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaSizeArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelPriorityArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelPriorityArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaHoverArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaHoverArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  AreaLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  AreaLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  EdgeLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  EdgeLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetColorAreas\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorAreas\n",NULL);
    Tcl_AppendResult(interp,"  ColorAreasOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorAreasOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeColorToSplineFraction\n",NULL);
    Tcl_AppendResult(interp,"  SetShrinkPercentage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShrinkPercentage\n",NULL);
    Tcl_AppendResult(interp,"  SetColorEdges\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorEdges\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBundlingStrength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBundlingStrength\n",NULL);
    Tcl_AppendResult(interp,"  SetAreaLabelFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAreaLabelFontSize\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelFontSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelFontSize\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutStrategy\n",NULL);
    Tcl_AppendResult(interp,"  SetUseRectangularCoordinates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseRectangularCoordinates\n",NULL);
    Tcl_AppendResult(interp,"  UseRectangularCoordinatesOn\n",NULL);
    Tcl_AppendResult(interp,"  UseRectangularCoordinatesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeScalarBarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeScalarBarVisibility\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderViewCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetTreeFromInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetTreeFromInput" );
    Tcl_DStringAppendElement ( &dString, "SetGraphFromInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetGraphFromInput" );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetAreaSizeArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAreaSizeArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetLabelPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetLabelPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetAreaHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAreaHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "AreaLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "AreaLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetAreaColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAreaColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorAreas" );
    Tcl_DStringAppendElement ( &dString, "GetColorAreas" );
    Tcl_DStringAppendElement ( &dString, "ColorAreasOn" );
    Tcl_DStringAppendElement ( &dString, "ColorAreasOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorToSplineFraction" );
    Tcl_DStringAppendElement ( &dString, "SetShrinkPercentage" );
    Tcl_DStringAppendElement ( &dString, "GetShrinkPercentage" );
    Tcl_DStringAppendElement ( &dString, "SetColorEdges" );
    Tcl_DStringAppendElement ( &dString, "GetColorEdges" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOn" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOff" );
    Tcl_DStringAppendElement ( &dString, "SetBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrength" );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelFontSize" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetUseRectangularCoordinates" );
    Tcl_DStringAppendElement ( &dString, "GetUseRectangularCoordinates" );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOn" );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeScalarBarVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeScalarBarVisibility" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderViewCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTreeAreaView *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTreeFromInputConnection */
    if ( strcmp ( argv[2], "SetTreeFromInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTreeFromInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTreeFromInputConnection */
    Tcl_DStringAppendElement ( &dString, " Set the tree and graph representations to the appropriate input ports.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SetTreeFromInputConnection(vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetTreeFromInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTreeFromInput */
    if ( strcmp ( argv[2], "SetTreeFromInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTreeFromInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTree" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTreeFromInput */
    Tcl_DStringAppendElement ( &dString, " Set the tree and graph representations to the appropriate input ports.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SetTreeFromInput(vtkTree *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetTreeFromInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphFromInputConnection */
    if ( strcmp ( argv[2], "SetGraphFromInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphFromInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphFromInputConnection */
    Tcl_DStringAppendElement ( &dString, " Set the tree and graph representations to the appropriate input ports.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SetGraphFromInputConnection(vtkAlgorithmOutput *conn);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetGraphFromInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGraphFromInput */
    if ( strcmp ( argv[2], "SetGraphFromInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGraphFromInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraph" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGraphFromInput */
    Tcl_DStringAppendElement ( &dString, " Set the tree and graph representations to the appropriate input ports.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataRepresentation *SetGraphFromInput(vtkGraph *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetGraphFromInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaLabelArrayName */
    if ( strcmp ( argv[2], "SetAreaLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAreaLabelArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetAreaLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaLabelArrayName */
    if ( strcmp ( argv[2], "GetAreaLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAreaLabelArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetAreaLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaSizeArrayName */
    if ( strcmp ( argv[2], "SetAreaSizeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaSizeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaSizeArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area sizes. Default is \"size\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAreaSizeArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetAreaSizeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaSizeArrayName */
    if ( strcmp ( argv[2], "GetAreaSizeArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaSizeArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaSizeArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area sizes. Default is \"size\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAreaSizeArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetAreaSizeArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelPriorityArrayName */
    if ( strcmp ( argv[2], "SetLabelPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area labeling priority.\n Default is \"GraphVertexDegree\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelPriorityArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetLabelPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelPriorityArrayName */
    if ( strcmp ( argv[2], "GetLabelPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for area labeling priority.\n Default is \"GraphVertexDegree\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLabelPriorityArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetLabelPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelArrayName */
    if ( strcmp ( argv[2], "SetEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for edge labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeLabelArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelArrayName */
    if ( strcmp ( argv[2], "GetEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for edge labeling.  Default is \"label\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeLabelArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaHoverArrayName */
    if ( strcmp ( argv[2], "SetAreaHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaHoverArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the array whose value appears when the mouse hovers\n over a rectangle in the treemap.\n This must be a string array.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAreaHoverArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetAreaHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaHoverArrayName */
    if ( strcmp ( argv[2], "GetAreaHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaHoverArrayName */
    Tcl_DStringAppendElement ( &dString, " The name of the array whose value appears when the mouse hovers\n over a rectangle in the treemap.\n This must be a string array.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAreaHoverArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetAreaHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaLabelVisibility */
    if ( strcmp ( argv[2], "SetAreaLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show area labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAreaLabelVisibility(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetAreaLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaLabelVisibility */
    if ( strcmp ( argv[2], "GetAreaLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show area labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetAreaLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetAreaLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AreaLabelVisibilityOn */
    if ( strcmp ( argv[2], "AreaLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AreaLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AreaLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show area labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AreaLabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for AreaLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AreaLabelVisibilityOff */
    if ( strcmp ( argv[2], "AreaLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AreaLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AreaLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show area labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AreaLabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for AreaLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelVisibility */
    if ( strcmp ( argv[2], "SetEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeLabelVisibility(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelVisibility */
    if ( strcmp ( argv[2], "GetEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetEdgeLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeLabelVisibilityOn */
    if ( strcmp ( argv[2], "EdgeLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgeLabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for EdgeLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeLabelVisibilityOff */
    if ( strcmp ( argv[2], "EdgeLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Whether to show edge labels.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void EdgeLabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for EdgeLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaColorArrayName */
    if ( strcmp ( argv[2], "SetAreaColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring vertices.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAreaColorArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetAreaColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaColorArrayName */
    if ( strcmp ( argv[2], "GetAreaColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring vertices.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAreaColorArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetAreaColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorAreas */
    if ( strcmp ( argv[2], "SetColorAreas" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorAreas" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorAreas */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorAreas(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetColorAreas */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorAreas */
    if ( strcmp ( argv[2], "GetColorAreas" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorAreas" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorAreas */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetColorAreas();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetColorAreas */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorAreasOn */
    if ( strcmp ( argv[2], "ColorAreasOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorAreasOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorAreasOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorAreasOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for ColorAreasOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorAreasOff */
    if ( strcmp ( argv[2], "ColorAreasOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorAreasOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorAreasOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color vertices.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorAreasOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for ColorAreasOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeColorArrayName */
    if ( strcmp ( argv[2], "SetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeColorArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeColorArrayName */
    if ( strcmp ( argv[2], "GetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, " The array to use for coloring edges.  Default is \"color\".\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeColorArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeColorToSplineFraction */
    if ( strcmp ( argv[2], "SetEdgeColorToSplineFraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorToSplineFraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeColorToSplineFraction */
    Tcl_DStringAppendElement ( &dString, " Set the color to be the spline fraction\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeColorToSplineFraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetEdgeColorToSplineFraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShrinkPercentage */
    if ( strcmp ( argv[2], "SetShrinkPercentage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShrinkPercentage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShrinkPercentage */
    Tcl_DStringAppendElement ( &dString, " Set the region shrink percentage between 0.0 and 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShrinkPercentage(double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetShrinkPercentage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShrinkPercentage */
    if ( strcmp ( argv[2], "GetShrinkPercentage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShrinkPercentage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShrinkPercentage */
    Tcl_DStringAppendElement ( &dString, " Set the region shrink percentage between 0.0 and 1.0.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetShrinkPercentage();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetShrinkPercentage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorEdges */
    if ( strcmp ( argv[2], "SetColorEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorEdges */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetColorEdges(bool vis);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetColorEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorEdges */
    if ( strcmp ( argv[2], "GetColorEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorEdges */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetColorEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetColorEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesOn */
    if ( strcmp ( argv[2], "ColorEdgesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesOn */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for ColorEdgesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesOff */
    if ( strcmp ( argv[2], "ColorEdgesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesOff */
    Tcl_DStringAppendElement ( &dString, " Whether to color edges.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for ColorEdgesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBundlingStrength */
    if ( strcmp ( argv[2], "SetBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBundlingStrength */
    Tcl_DStringAppendElement ( &dString, " Set the bundling strength.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBundlingStrength(double strength);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBundlingStrength */
    if ( strcmp ( argv[2], "GetBundlingStrength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBundlingStrength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBundlingStrength */
    Tcl_DStringAppendElement ( &dString, " Set the bundling strength.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBundlingStrength();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetBundlingStrength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAreaLabelFontSize */
    if ( strcmp ( argv[2], "SetAreaLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAreaLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAreaLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of the font used for area labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAreaLabelFontSize(const int size);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetAreaLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAreaLabelFontSize */
    if ( strcmp ( argv[2], "GetAreaLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAreaLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAreaLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of the font used for area labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetAreaLabelFontSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetAreaLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelFontSize */
    if ( strcmp ( argv[2], "SetEdgeLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of the font used for edge labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLabelFontSize(const int size);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetEdgeLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelFontSize */
    if ( strcmp ( argv[2], "GetEdgeLabelFontSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelFontSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelFontSize */
    Tcl_DStringAppendElement ( &dString, " The size of the font used for edge labeling\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEdgeLabelFontSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetEdgeLabelFontSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The layout strategy for producing spatial regions for the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategy(vtkAreaLayoutStrategy *strategy);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutStrategy */
    if ( strcmp ( argv[2], "GetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " The layout strategy for producing spatial regions for the tree.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkAreaLayoutStrategy *GetLayoutStrategy();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseRectangularCoordinates */
    if ( strcmp ( argv[2], "SetUseRectangularCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseRectangularCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseRectangularCoordinates */
    Tcl_DStringAppendElement ( &dString, " Whether the area represents radial or rectangular coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseRectangularCoordinates(bool rect);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetUseRectangularCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseRectangularCoordinates */
    if ( strcmp ( argv[2], "GetUseRectangularCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseRectangularCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseRectangularCoordinates */
    Tcl_DStringAppendElement ( &dString, " Whether the area represents radial or rectangular coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseRectangularCoordinates();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetUseRectangularCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseRectangularCoordinatesOn */
    if ( strcmp ( argv[2], "UseRectangularCoordinatesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRectangularCoordinatesOn */
    Tcl_DStringAppendElement ( &dString, " Whether the area represents radial or rectangular coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseRectangularCoordinatesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for UseRectangularCoordinatesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseRectangularCoordinatesOff */
    if ( strcmp ( argv[2], "UseRectangularCoordinatesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseRectangularCoordinatesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseRectangularCoordinatesOff */
    Tcl_DStringAppendElement ( &dString, " Whether the area represents radial or rectangular coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseRectangularCoordinatesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for UseRectangularCoordinatesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeScalarBarVisibility */
    if ( strcmp ( argv[2], "SetEdgeScalarBarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeScalarBarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeScalarBarVisibility */
    Tcl_DStringAppendElement ( &dString, " Visibility of scalar bar actor for edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeScalarBarVisibility(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for SetEdgeScalarBarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeScalarBarVisibility */
    if ( strcmp ( argv[2], "GetEdgeScalarBarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeScalarBarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeScalarBarVisibility */
    Tcl_DStringAppendElement ( &dString, " Visibility of scalar bar actor for edges.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetEdgeScalarBarVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeAreaView" );
    /* Closing for GetEdgeScalarBarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderViewCppCommand(static_cast<vtkRenderView *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
