// tcl wrapper for vtkTreeMapView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeMapView.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTreeMapViewNewCommand()
{
  vtkTreeMapView *temp = vtkTreeMapView::New();
  return static_cast<ClientData>(temp);
}

int vtkTreeAreaViewCppCommand(vtkTreeAreaView *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTreeMapViewCppCommand(vtkTreeMapView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTreeMapViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTreeMapViewCppCommand(static_cast<vtkTreeMapView *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTreeMapViewCppCommand(vtkTreeMapView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTreeMapView",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTreeAreaViewCppCommand(static_cast<vtkTreeAreaView *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTreeAreaView"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTreeMapView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeMapView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTreeMapView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeMapView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTreeMapView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeMapView");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    vtkAreaLayoutStrategy  *temp0;
    error = 0;

    temp0 = (vtkAreaLayoutStrategy *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAreaLayoutStrategy"),interp,error));
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayoutStrategyToBox",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToBox();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToSliceAndDice",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToSliceAndDice();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToSquarify",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToSquarify();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFontSizeRange",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetFontSizeRange(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFontSizeRange",argv[1]))&&(argc == 5))
    {
    int    temp0[3];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (!error)
    {
    op->GetFontSizeRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTreeMapViewCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTreeAreaViewCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTreeMapView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToBox\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToSliceAndDice\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToSquarify\n",NULL);
    Tcl_AppendResult(interp,"  SetFontSizeRange\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetFontSizeRange\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTreeAreaViewCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToBox" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSliceAndDice" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSquarify" );
    Tcl_DStringAppendElement ( &dString, "SetFontSizeRange" );
    Tcl_DStringAppendElement ( &dString, "GetFontSizeRange" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTreeAreaViewCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTreeMapView *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAreaLayoutStrategy" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Sets the treemap layout strategy\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategy(vtkAreaLayoutStrategy *s);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Sets the treemap layout strategy\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategy(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToBox */
    if ( strcmp ( argv[2], "SetLayoutStrategyToBox" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToBox" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToBox */
    Tcl_DStringAppendElement ( &dString, " Sets the treemap layout strategy\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategyToBox();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for SetLayoutStrategyToBox */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToSliceAndDice */
    if ( strcmp ( argv[2], "SetLayoutStrategyToSliceAndDice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSliceAndDice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToSliceAndDice */
    Tcl_DStringAppendElement ( &dString, " Sets the treemap layout strategy\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategyToSliceAndDice();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for SetLayoutStrategyToSliceAndDice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToSquarify */
    if ( strcmp ( argv[2], "SetLayoutStrategyToSquarify" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSquarify" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToSquarify */
    Tcl_DStringAppendElement ( &dString, " Sets the treemap layout strategy\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategyToSquarify();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for SetLayoutStrategyToSquarify */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontSizeRange */
    if ( strcmp ( argv[2], "SetFontSizeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontSizeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontSizeRange */
    Tcl_DStringAppendElement ( &dString, " The sizes of the fonts used for labeling.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFontSizeRange(const int maxSize, const int minSize, const int delta=4);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for SetFontSizeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontSizeRange */
    if ( strcmp ( argv[2], "GetFontSizeRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontSizeRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontSizeRange */
    Tcl_DStringAppendElement ( &dString, " The sizes of the fonts used for labeling.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetFontSizeRange(int range\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeMapView" );
    /* Closing for GetFontSizeRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTreeAreaViewCppCommand(static_cast<vtkTreeAreaView *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
