// tcl wrapper for vtkTreeRingView object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkTreeRingView.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkTreeRingViewNewCommand()
{
  vtkTreeRingView *temp = vtkTreeRingView::New();
  return static_cast<ClientData>(temp);
}

int vtkTreeAreaViewCppCommand(vtkTreeAreaView *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkTreeRingViewCppCommand(vtkTreeRingView *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkTreeRingViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkTreeRingViewCppCommand(static_cast<vtkTreeRingView *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkTreeRingViewCppCommand(vtkTreeRingView *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkTreeRingView",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkTreeAreaViewCppCommand(static_cast<vtkTreeAreaView *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkTreeAreaView"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkTreeRingView  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeRingView");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkTreeRingView  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeRingView");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkTreeRingView  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTreeRingView");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRootAngles",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRootAngles(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRootAtCenter",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetRootAtCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRootAtCenter",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetRootAtCenter();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RootAtCenterOn",argv[1]))&&(argc == 2))
    {
    op->RootAtCenterOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RootAtCenterOff",argv[1]))&&(argc == 2))
    {
    op->RootAtCenterOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayerThickness",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLayerThickness(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayerThickness",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLayerThickness();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInteriorRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInteriorRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteriorRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInteriorRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInteriorLogSpacingValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInteriorLogSpacingValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteriorLogSpacingValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetInteriorLogSpacingValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkTreeRingViewCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkTreeAreaViewCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkTreeRingView:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRootAngles\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRootAtCenter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRootAtCenter\n",NULL);
    Tcl_AppendResult(interp,"  RootAtCenterOn\n",NULL);
    Tcl_AppendResult(interp,"  RootAtCenterOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLayerThickness\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayerThickness\n",NULL);
    Tcl_AppendResult(interp,"  SetInteriorRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteriorRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetInteriorLogSpacingValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteriorLogSpacingValue\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkTreeAreaViewCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetRootAngles" );
    Tcl_DStringAppendElement ( &dString, "SetRootAtCenter" );
    Tcl_DStringAppendElement ( &dString, "GetRootAtCenter" );
    Tcl_DStringAppendElement ( &dString, "RootAtCenterOn" );
    Tcl_DStringAppendElement ( &dString, "RootAtCenterOff" );
    Tcl_DStringAppendElement ( &dString, "SetLayerThickness" );
    Tcl_DStringAppendElement ( &dString, "GetLayerThickness" );
    Tcl_DStringAppendElement ( &dString, "SetInteriorRadius" );
    Tcl_DStringAppendElement ( &dString, "GetInteriorRadius" );
    Tcl_DStringAppendElement ( &dString, "SetInteriorLogSpacingValue" );
    Tcl_DStringAppendElement ( &dString, "GetInteriorLogSpacingValue" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkTreeAreaViewCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkTreeRingView *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRootAngles */
    if ( strcmp ( argv[2], "SetRootAngles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRootAngles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRootAngles */
    Tcl_DStringAppendElement ( &dString, " Set the root angles for laying out the hierarchy.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRootAngles(double start, double end);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for SetRootAngles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRootAtCenter */
    if ( strcmp ( argv[2], "SetRootAtCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRootAtCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRootAtCenter */
    Tcl_DStringAppendElement ( &dString, " Sets whether the root is at the center or around the outside.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRootAtCenter(bool value);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for SetRootAtCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRootAtCenter */
    if ( strcmp ( argv[2], "GetRootAtCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRootAtCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRootAtCenter */
    Tcl_DStringAppendElement ( &dString, " Sets whether the root is at the center or around the outside.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetRootAtCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for GetRootAtCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RootAtCenterOn */
    if ( strcmp ( argv[2], "RootAtCenterOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RootAtCenterOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RootAtCenterOn */
    Tcl_DStringAppendElement ( &dString, " Sets whether the root is at the center or around the outside.\n" );
    Tcl_DStringAppendElement ( &dString, "void RootAtCenterOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for RootAtCenterOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RootAtCenterOff */
    if ( strcmp ( argv[2], "RootAtCenterOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RootAtCenterOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RootAtCenterOff */
    Tcl_DStringAppendElement ( &dString, " Sets whether the root is at the center or around the outside.\n" );
    Tcl_DStringAppendElement ( &dString, "void RootAtCenterOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for RootAtCenterOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayerThickness */
    if ( strcmp ( argv[2], "SetLayerThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayerThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayerThickness */
    Tcl_DStringAppendElement ( &dString, " Set the thickness of each layer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayerThickness(double thickness);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for SetLayerThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayerThickness */
    if ( strcmp ( argv[2], "GetLayerThickness" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayerThickness" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayerThickness */
    Tcl_DStringAppendElement ( &dString, " Set the thickness of each layer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetLayerThickness();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for GetLayerThickness */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteriorRadius */
    if ( strcmp ( argv[2], "SetInteriorRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteriorRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteriorRadius */
    Tcl_DStringAppendElement ( &dString, " Set the interior radius of the tree\n (i.e. the size of the \"hole\" in the center).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteriorRadius(double thickness);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for SetInteriorRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteriorRadius */
    if ( strcmp ( argv[2], "GetInteriorRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteriorRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteriorRadius */
    Tcl_DStringAppendElement ( &dString, " Set the interior radius of the tree\n (i.e. the size of the \"hole\" in the center).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetInteriorRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for GetInteriorRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteriorLogSpacingValue */
    if ( strcmp ( argv[2], "SetInteriorLogSpacingValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteriorLogSpacingValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteriorLogSpacingValue */
    Tcl_DStringAppendElement ( &dString, " Set the log spacing factor for the invisible interior tree\n used for routing edges of the overlaid graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteriorLogSpacingValue(double thickness);" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for SetInteriorLogSpacingValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteriorLogSpacingValue */
    if ( strcmp ( argv[2], "GetInteriorLogSpacingValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteriorLogSpacingValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteriorLogSpacingValue */
    Tcl_DStringAppendElement ( &dString, " Set the log spacing factor for the invisible interior tree\n used for routing edges of the overlaid graph.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetInteriorLogSpacingValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkTreeRingView" );
    /* Closing for GetInteriorLogSpacingValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkTreeAreaViewCppCommand(static_cast<vtkTreeAreaView *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
