#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkConvertSelectionDomainCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkConvertSelectionDomainNewCommand();
int vtkDataRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkDataRepresentationNewCommand();
int vtkEmptyRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkEmptyRepresentationNewCommand();
int vtkGraphLayoutViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkGraphLayoutViewNewCommand();
int vtkHierarchicalGraphPipelineCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHierarchicalGraphPipelineNewCommand();
int vtkHierarchicalGraphViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkHierarchicalGraphViewNewCommand();
int vtkIcicleViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkIcicleViewNewCommand();
int vtkInteractorStyleAreaSelectHoverCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleAreaSelectHoverNewCommand();
int vtkInteractorStyleTreeMapHoverCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkInteractorStyleTreeMapHoverNewCommand();
int vtkRenderedSurfaceRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderedSurfaceRepresentationNewCommand();
int vtkRenderedGraphRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderedGraphRepresentationNewCommand();
int vtkRenderedRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderedRepresentationNewCommand();
int vtkRenderedTreeAreaRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderedTreeAreaRepresentationNewCommand();
int vtkRenderedHierarchyRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderedHierarchyRepresentationNewCommand();
int vtkRenderViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderViewNewCommand();
int vtkRenderViewBaseCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkRenderViewBaseNewCommand();
int vtkTreeAreaViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeAreaViewNewCommand();
int vtkTreeMapViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeMapViewNewCommand();
int vtkTreeRingViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkTreeRingViewNewCommand();
int vtkViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkViewNewCommand();
int vtkViewUpdaterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkViewUpdaterNewCommand();
int vtkParallelCoordinatesHistogramRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParallelCoordinatesHistogramRepresentationNewCommand();
int vtkParallelCoordinatesRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParallelCoordinatesRepresentationNewCommand();
int vtkParallelCoordinatesViewCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkParallelCoordinatesViewNewCommand();
int vtkPipelineGraphSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[]);
ClientData vtkPipelineGraphSourceNewCommand();

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkviewstcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkviewstcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkviewstcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkviewstcl_Init(interp);
}


int VTK_EXPORT Vtkviewstcl_Init(Tcl_Interp *interp)
{

  vtkTclCreateNew(interp,const_cast<char *>("vtkConvertSelectionDomain"), vtkConvertSelectionDomainNewCommand,
                  vtkConvertSelectionDomainCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkDataRepresentation"), vtkDataRepresentationNewCommand,
                  vtkDataRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkEmptyRepresentation"), vtkEmptyRepresentationNewCommand,
                  vtkEmptyRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkGraphLayoutView"), vtkGraphLayoutViewNewCommand,
                  vtkGraphLayoutViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHierarchicalGraphPipeline"), vtkHierarchicalGraphPipelineNewCommand,
                  vtkHierarchicalGraphPipelineCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkHierarchicalGraphView"), vtkHierarchicalGraphViewNewCommand,
                  vtkHierarchicalGraphViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkIcicleView"), vtkIcicleViewNewCommand,
                  vtkIcicleViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleAreaSelectHover"), vtkInteractorStyleAreaSelectHoverNewCommand,
                  vtkInteractorStyleAreaSelectHoverCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkInteractorStyleTreeMapHover"), vtkInteractorStyleTreeMapHoverNewCommand,
                  vtkInteractorStyleTreeMapHoverCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderedSurfaceRepresentation"), vtkRenderedSurfaceRepresentationNewCommand,
                  vtkRenderedSurfaceRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderedGraphRepresentation"), vtkRenderedGraphRepresentationNewCommand,
                  vtkRenderedGraphRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderedRepresentation"), vtkRenderedRepresentationNewCommand,
                  vtkRenderedRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderedTreeAreaRepresentation"), vtkRenderedTreeAreaRepresentationNewCommand,
                  vtkRenderedTreeAreaRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderedHierarchyRepresentation"), vtkRenderedHierarchyRepresentationNewCommand,
                  vtkRenderedHierarchyRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderView"), vtkRenderViewNewCommand,
                  vtkRenderViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkRenderViewBase"), vtkRenderViewBaseNewCommand,
                  vtkRenderViewBaseCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeAreaView"), vtkTreeAreaViewNewCommand,
                  vtkTreeAreaViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeMapView"), vtkTreeMapViewNewCommand,
                  vtkTreeMapViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkTreeRingView"), vtkTreeRingViewNewCommand,
                  vtkTreeRingViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkView"), vtkViewNewCommand,
                  vtkViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkViewUpdater"), vtkViewUpdaterNewCommand,
                  vtkViewUpdaterCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParallelCoordinatesHistogramRepresentation"), vtkParallelCoordinatesHistogramRepresentationNewCommand,
                  vtkParallelCoordinatesHistogramRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParallelCoordinatesRepresentation"), vtkParallelCoordinatesRepresentationNewCommand,
                  vtkParallelCoordinatesRepresentationCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkParallelCoordinatesView"), vtkParallelCoordinatesViewNewCommand,
                  vtkParallelCoordinatesViewCommand);
  vtkTclCreateNew(interp,const_cast<char *>("vtkPipelineGraphSource"), vtkPipelineGraphSourceNewCommand,
                  vtkPipelineGraphSourceCommand);
  char pkgName[]="vtkViewsTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
