// tcl wrapper for vtkEncodedGradientEstimator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEncodedGradientEstimator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkEncodedGradientEstimatorCppCommand(vtkEncodedGradientEstimator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkEncodedGradientEstimatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkEncodedGradientEstimatorCppCommand(static_cast<vtkEncodedGradientEstimator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkEncodedGradientEstimatorCppCommand(vtkEncodedGradientEstimator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkEncodedGradientEstimator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkEncodedGradientEstimator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEncodedGradientEstimator");
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetInput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetGradientMagnitudeScale",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGradientMagnitudeScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientMagnitudeScale",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetGradientMagnitudeScale();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGradientMagnitudeBias",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGradientMagnitudeBias(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGradientMagnitudeBias",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetGradientMagnitudeBias();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundsClip",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBoundsClip(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundsClipMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoundsClipMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBoundsClipMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoundsClipMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBoundsClip",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBoundsClip();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BoundsClipOn",argv[1]))&&(argc == 2))
    {
    op->BoundsClipOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BoundsClipOff",argv[1]))&&(argc == 2))
    {
    op->BoundsClipOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    int      temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    int    temp0[6];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp0[4] = tempi;
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp0[5] = tempi;
    if (!error)
    {
    op->SetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("Update",argv[1]))&&(argc == 2))
    {
    op->Update();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEncodedNormalIndex",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEncodedNormalIndex(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEncodedNormalIndex",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEncodedNormalIndex(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfThreads",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfThreads(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfThreadsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreadsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfThreadsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreadsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfThreads",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreads();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDirectionEncoder",argv[1]))&&(argc == 3))
    {
    vtkDirectionEncoder  *temp0;
    error = 0;

    temp0 = (vtkDirectionEncoder *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDirectionEncoder"),interp,error));
    if (!error)
    {
    op->SetDirectionEncoder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDirectionEncoder",argv[1]))&&(argc == 2))
    {
    vtkDirectionEncoder  *temp20;
    temp20 = (op)->GetDirectionEncoder();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDirectionEncoder");
    return TCL_OK;
    }
  if ((!strcmp("SetComputeGradientMagnitudes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeGradientMagnitudes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeGradientMagnitudes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeGradientMagnitudes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeGradientMagnitudesOn",argv[1]))&&(argc == 2))
    {
    op->ComputeGradientMagnitudesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeGradientMagnitudesOff",argv[1]))&&(argc == 2))
    {
    op->ComputeGradientMagnitudesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCylinderClip",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCylinderClip(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCylinderClip",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCylinderClip();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CylinderClipOn",argv[1]))&&(argc == 2))
    {
    op->CylinderClipOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CylinderClipOff",argv[1]))&&(argc == 2))
    {
    op->CylinderClipOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLastUpdateTimeInSeconds",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLastUpdateTimeInSeconds();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastUpdateTimeInCPUSeconds",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetLastUpdateTimeInCPUSeconds();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUseCylinderClip",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseCylinderClip();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetZeroNormalThreshold",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetZeroNormalThreshold(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZeroNormalThreshold",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetZeroNormalThreshold();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetZeroPad",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZeroPad(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZeroPadMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZeroPadMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZeroPadMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZeroPadMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZeroPad",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZeroPad();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ZeroPadOn",argv[1]))&&(argc == 2))
    {
    op->ZeroPadOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ZeroPadOff",argv[1]))&&(argc == 2))
    {
    op->ZeroPadOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInputSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetInputSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetInputAspect",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetInputAspect();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkEncodedGradientEstimatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkEncodedGradientEstimator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInput\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientMagnitudeScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientMagnitudeScale\n",NULL);
    Tcl_AppendResult(interp,"  SetGradientMagnitudeBias\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientMagnitudeBias\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundsClip\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundsClipMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundsClipMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundsClip\n",NULL);
    Tcl_AppendResult(interp,"  BoundsClipOn\n",NULL);
    Tcl_AppendResult(interp,"  BoundsClipOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  Update\n",NULL);
    Tcl_AppendResult(interp,"  GetEncodedNormalIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEncodedNormalIndex\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfThreads\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreadsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreadsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreads\n",NULL);
    Tcl_AppendResult(interp,"  SetDirectionEncoder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDirectionEncoder\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeGradientMagnitudes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeGradientMagnitudes\n",NULL);
    Tcl_AppendResult(interp,"  ComputeGradientMagnitudesOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeGradientMagnitudesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCylinderClip\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCylinderClip\n",NULL);
    Tcl_AppendResult(interp,"  CylinderClipOn\n",NULL);
    Tcl_AppendResult(interp,"  CylinderClipOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLastUpdateTimeInSeconds\n",NULL);
    Tcl_AppendResult(interp,"  GetLastUpdateTimeInCPUSeconds\n",NULL);
    Tcl_AppendResult(interp,"  GetUseCylinderClip\n",NULL);
    Tcl_AppendResult(interp,"  SetZeroNormalThreshold\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroNormalThreshold\n",NULL);
    Tcl_AppendResult(interp,"  SetZeroPad\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroPadMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroPadMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroPad\n",NULL);
    Tcl_AppendResult(interp,"  ZeroPadOn\n",NULL);
    Tcl_AppendResult(interp,"  ZeroPadOff\n",NULL);
    Tcl_AppendResult(interp,"  GetInputSize\n",NULL);
    Tcl_AppendResult(interp,"  GetInputAspect\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    Tcl_DStringAppendElement ( &dString, "SetGradientMagnitudeScale" );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeScale" );
    Tcl_DStringAppendElement ( &dString, "SetGradientMagnitudeBias" );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeBias" );
    Tcl_DStringAppendElement ( &dString, "SetBoundsClip" );
    Tcl_DStringAppendElement ( &dString, "GetBoundsClipMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBoundsClipMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetBoundsClip" );
    Tcl_DStringAppendElement ( &dString, "BoundsClipOn" );
    Tcl_DStringAppendElement ( &dString, "BoundsClipOff" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "Update" );
    Tcl_DStringAppendElement ( &dString, "GetEncodedNormalIndex" );
    Tcl_DStringAppendElement ( &dString, "GetEncodedNormalIndex" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreadsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreadsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "SetDirectionEncoder" );
    Tcl_DStringAppendElement ( &dString, "GetDirectionEncoder" );
    Tcl_DStringAppendElement ( &dString, "SetComputeGradientMagnitudes" );
    Tcl_DStringAppendElement ( &dString, "GetComputeGradientMagnitudes" );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientMagnitudesOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientMagnitudesOff" );
    Tcl_DStringAppendElement ( &dString, "SetCylinderClip" );
    Tcl_DStringAppendElement ( &dString, "GetCylinderClip" );
    Tcl_DStringAppendElement ( &dString, "CylinderClipOn" );
    Tcl_DStringAppendElement ( &dString, "CylinderClipOff" );
    Tcl_DStringAppendElement ( &dString, "GetLastUpdateTimeInSeconds" );
    Tcl_DStringAppendElement ( &dString, "GetLastUpdateTimeInCPUSeconds" );
    Tcl_DStringAppendElement ( &dString, "GetUseCylinderClip" );
    Tcl_DStringAppendElement ( &dString, "SetZeroNormalThreshold" );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalThreshold" );
    Tcl_DStringAppendElement ( &dString, "SetZeroPad" );
    Tcl_DStringAppendElement ( &dString, "GetZeroPadMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetZeroPadMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetZeroPad" );
    Tcl_DStringAppendElement ( &dString, "ZeroPadOn" );
    Tcl_DStringAppendElement ( &dString, "ZeroPadOff" );
    Tcl_DStringAppendElement ( &dString, "GetInputSize" );
    Tcl_DStringAppendElement ( &dString, "GetInputAspect" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar input for which the normals will be \n calculated\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput(vtkImageData *);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInput */
    if ( strcmp ( argv[2], "GetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scalar input for which the normals will be \n calculated\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGradientMagnitudeScale */
    if ( strcmp ( argv[2], "SetGradientMagnitudeScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGradientMagnitudeScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGradientMagnitudeScale */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scale and bias for the gradient magnitude\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGradientMagnitudeScale(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetGradientMagnitudeScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientMagnitudeScale */
    if ( strcmp ( argv[2], "GetGradientMagnitudeScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientMagnitudeScale */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scale and bias for the gradient magnitude\n" );
    Tcl_DStringAppendElement ( &dString, "float GetGradientMagnitudeScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetGradientMagnitudeScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGradientMagnitudeBias */
    if ( strcmp ( argv[2], "SetGradientMagnitudeBias" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGradientMagnitudeBias" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGradientMagnitudeBias */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scale and bias for the gradient magnitude\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGradientMagnitudeBias(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetGradientMagnitudeBias */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientMagnitudeBias */
    if ( strcmp ( argv[2], "GetGradientMagnitudeBias" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientMagnitudeBias" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientMagnitudeBias */
    Tcl_DStringAppendElement ( &dString, " Set/Get the scale and bias for the gradient magnitude\n" );
    Tcl_DStringAppendElement ( &dString, "float GetGradientMagnitudeBias();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetGradientMagnitudeBias */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundsClip */
    if ( strcmp ( argv[2], "SetBoundsClip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundsClip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundsClip */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundsClip(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetBoundsClip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundsClipMinValue */
    if ( strcmp ( argv[2], "GetBoundsClipMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundsClipMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundsClipMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBoundsClipMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetBoundsClipMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundsClipMaxValue */
    if ( strcmp ( argv[2], "GetBoundsClipMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundsClipMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundsClipMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBoundsClipMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetBoundsClipMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundsClip */
    if ( strcmp ( argv[2], "GetBoundsClip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundsClip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundsClip */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBoundsClip();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetBoundsClip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundsClipOn */
    if ( strcmp ( argv[2], "BoundsClipOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundsClipOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundsClipOn */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundsClipOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for BoundsClipOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BoundsClipOff */
    if ( strcmp ( argv[2], "BoundsClipOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BoundsClipOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BoundsClipOff */
    Tcl_DStringAppendElement ( &dString, " Turn on / off the bounding of the normal computation by\n the this->Bounds bounding box\n" );
    Tcl_DStringAppendElement ( &dString, "void BoundsClipOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for BoundsClipOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(int, int, int, int, int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(int a\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Set / Get the bounds of the computation (used if \n this->ComputationBounds is 1.) The bounds are specified\n xmin, xmax, ymin, ymax, zmin, zmax.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Update */
    if ( strcmp ( argv[2], "Update" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Update" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Update */
    Tcl_DStringAppendElement ( &dString, " Recompute the encoded normals and gradient magnitudes.\n" );
    Tcl_DStringAppendElement ( &dString, "void Update(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for Update */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEncodedNormalIndex */
    if ( strcmp ( argv[2], "GetEncodedNormalIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEncodedNormalIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEncodedNormalIndex */
    Tcl_DStringAppendElement ( &dString, " Get the encoded normal at an x,y,z location in the volume\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEncodedNormalIndex(vtkIdType xyz_index);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetEncodedNormalIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEncodedNormalIndex */
    if ( strcmp ( argv[2], "GetEncodedNormalIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEncodedNormalIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEncodedNormalIndex */
    Tcl_DStringAppendElement ( &dString, " Get the encoded normal at an x,y,z location in the volume\n" );
    Tcl_DStringAppendElement ( &dString, "int GetEncodedNormalIndex(int x_index, int y_index, int z_index);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetEncodedNormalIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfThreads */
    if ( strcmp ( argv[2], "SetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of threads to create when encoding normals\n This defaults to the number of available processors on the machine\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfThreads(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThreadsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfThreadsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreadsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThreadsMinValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of threads to create when encoding normals\n This defaults to the number of available processors on the machine\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThreadsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetNumberOfThreadsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThreadsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfThreadsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreadsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThreadsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of threads to create when encoding normals\n This defaults to the number of available processors on the machine\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThreadsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetNumberOfThreadsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThreads */
    if ( strcmp ( argv[2], "GetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, " Get/Set the number of threads to create when encoding normals\n This defaults to the number of available processors on the machine\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThreads();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDirectionEncoder */
    if ( strcmp ( argv[2], "SetDirectionEncoder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDirectionEncoder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDirectionEncoder" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDirectionEncoder */
    Tcl_DStringAppendElement ( &dString, " Set / Get the direction encoder used to encode normal directions\n to fit within two bytes\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDirectionEncoder(vtkDirectionEncoder *direnc);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetDirectionEncoder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDirectionEncoder */
    if ( strcmp ( argv[2], "GetDirectionEncoder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDirectionEncoder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDirectionEncoder */
    Tcl_DStringAppendElement ( &dString, " Set / Get the direction encoder used to encode normal directions\n to fit within two bytes\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDirectionEncoder *GetDirectionEncoder();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetDirectionEncoder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeGradientMagnitudes */
    if ( strcmp ( argv[2], "SetComputeGradientMagnitudes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeGradientMagnitudes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeGradientMagnitudes */
    Tcl_DStringAppendElement ( &dString, " If you don't want to compute gradient magnitudes (but you\n do want normals for shading) this can be used. Be careful - if\n if you a non-constant gradient magnitude transfer function and\n you turn this on, it may crash\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeGradientMagnitudes(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetComputeGradientMagnitudes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeGradientMagnitudes */
    if ( strcmp ( argv[2], "GetComputeGradientMagnitudes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeGradientMagnitudes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeGradientMagnitudes */
    Tcl_DStringAppendElement ( &dString, " If you don't want to compute gradient magnitudes (but you\n do want normals for shading) this can be used. Be careful - if\n if you a non-constant gradient magnitude transfer function and\n you turn this on, it may crash\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeGradientMagnitudes();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetComputeGradientMagnitudes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeGradientMagnitudesOn */
    if ( strcmp ( argv[2], "ComputeGradientMagnitudesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientMagnitudesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeGradientMagnitudesOn */
    Tcl_DStringAppendElement ( &dString, " If you don't want to compute gradient magnitudes (but you\n do want normals for shading) this can be used. Be careful - if\n if you a non-constant gradient magnitude transfer function and\n you turn this on, it may crash\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeGradientMagnitudesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for ComputeGradientMagnitudesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeGradientMagnitudesOff */
    if ( strcmp ( argv[2], "ComputeGradientMagnitudesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientMagnitudesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeGradientMagnitudesOff */
    Tcl_DStringAppendElement ( &dString, " If you don't want to compute gradient magnitudes (but you\n do want normals for shading) this can be used. Be careful - if\n if you a non-constant gradient magnitude transfer function and\n you turn this on, it may crash\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeGradientMagnitudesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for ComputeGradientMagnitudesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCylinderClip */
    if ( strcmp ( argv[2], "SetCylinderClip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCylinderClip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCylinderClip */
    Tcl_DStringAppendElement ( &dString, " If the data in each slice is only contained within a circle circumscribed\n within the slice, and the slice is square, then don't compute anything\n outside the circle. This circle through the slices forms a cylinder.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCylinderClip(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetCylinderClip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCylinderClip */
    if ( strcmp ( argv[2], "GetCylinderClip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCylinderClip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCylinderClip */
    Tcl_DStringAppendElement ( &dString, " If the data in each slice is only contained within a circle circumscribed\n within the slice, and the slice is square, then don't compute anything\n outside the circle. This circle through the slices forms a cylinder.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCylinderClip();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetCylinderClip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CylinderClipOn */
    if ( strcmp ( argv[2], "CylinderClipOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CylinderClipOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CylinderClipOn */
    Tcl_DStringAppendElement ( &dString, " If the data in each slice is only contained within a circle circumscribed\n within the slice, and the slice is square, then don't compute anything\n outside the circle. This circle through the slices forms a cylinder.\n" );
    Tcl_DStringAppendElement ( &dString, "void CylinderClipOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for CylinderClipOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CylinderClipOff */
    if ( strcmp ( argv[2], "CylinderClipOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CylinderClipOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CylinderClipOff */
    Tcl_DStringAppendElement ( &dString, " If the data in each slice is only contained within a circle circumscribed\n within the slice, and the slice is square, then don't compute anything\n outside the circle. This circle through the slices forms a cylinder.\n" );
    Tcl_DStringAppendElement ( &dString, "void CylinderClipOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for CylinderClipOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastUpdateTimeInSeconds */
    if ( strcmp ( argv[2], "GetLastUpdateTimeInSeconds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastUpdateTimeInSeconds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastUpdateTimeInSeconds */
    Tcl_DStringAppendElement ( &dString, " Get the time required for the last update in seconds or cpu seconds\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLastUpdateTimeInSeconds();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetLastUpdateTimeInSeconds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastUpdateTimeInCPUSeconds */
    if ( strcmp ( argv[2], "GetLastUpdateTimeInCPUSeconds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastUpdateTimeInCPUSeconds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastUpdateTimeInCPUSeconds */
    Tcl_DStringAppendElement ( &dString, " Get the time required for the last update in seconds or cpu seconds\n" );
    Tcl_DStringAppendElement ( &dString, "float GetLastUpdateTimeInCPUSeconds();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetLastUpdateTimeInCPUSeconds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseCylinderClip */
    if ( strcmp ( argv[2], "GetUseCylinderClip" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseCylinderClip" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseCylinderClip */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetUseCylinderClip();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetUseCylinderClip */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZeroNormalThreshold */
    if ( strcmp ( argv[2], "SetZeroNormalThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZeroNormalThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZeroNormalThreshold */
    Tcl_DStringAppendElement ( &dString, " Set / Get the ZeroNormalThreshold - this defines the minimum magnitude \n of a gradient that is considered sufficient to define a \n direction. Gradients with magnitudes at or less than this value are given\n a \"zero normal\" index. These are handled specially in the shader, \n and you can set the intensity of light for these zero normals in\n the gradient shader.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZeroNormalThreshold(float v);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetZeroNormalThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroNormalThreshold */
    if ( strcmp ( argv[2], "GetZeroNormalThreshold" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalThreshold" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroNormalThreshold */
    Tcl_DStringAppendElement ( &dString, " Set / Get the ZeroNormalThreshold - this defines the minimum magnitude \n of a gradient that is considered sufficient to define a \n direction. Gradients with magnitudes at or less than this value are given\n a \"zero normal\" index. These are handled specially in the shader, \n and you can set the intensity of light for these zero normals in\n the gradient shader.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetZeroNormalThreshold();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetZeroNormalThreshold */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZeroPad */
    if ( strcmp ( argv[2], "SetZeroPad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZeroPad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZeroPad */
    Tcl_DStringAppendElement ( &dString, " Assume that the data value outside the volume is zero when\n computing normals.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZeroPad(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for SetZeroPad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroPadMinValue */
    if ( strcmp ( argv[2], "GetZeroPadMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroPadMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroPadMinValue */
    Tcl_DStringAppendElement ( &dString, " Assume that the data value outside the volume is zero when\n computing normals.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZeroPadMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetZeroPadMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroPadMaxValue */
    if ( strcmp ( argv[2], "GetZeroPadMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroPadMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroPadMaxValue */
    Tcl_DStringAppendElement ( &dString, " Assume that the data value outside the volume is zero when\n computing normals.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZeroPadMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetZeroPadMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroPad */
    if ( strcmp ( argv[2], "GetZeroPad" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroPad" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroPad */
    Tcl_DStringAppendElement ( &dString, " Assume that the data value outside the volume is zero when\n computing normals.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZeroPad();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetZeroPad */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZeroPadOn */
    if ( strcmp ( argv[2], "ZeroPadOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZeroPadOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZeroPadOn */
    Tcl_DStringAppendElement ( &dString, " Assume that the data value outside the volume is zero when\n computing normals.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZeroPadOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for ZeroPadOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZeroPadOff */
    if ( strcmp ( argv[2], "ZeroPadOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZeroPadOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZeroPadOff */
    Tcl_DStringAppendElement ( &dString, " Assume that the data value outside the volume is zero when\n computing normals.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZeroPadOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for ZeroPadOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputSize */
    if ( strcmp ( argv[2], "GetInputSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetInputSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetInputSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputAspect */
    if ( strcmp ( argv[2], "GetInputAspect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputAspect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputAspect */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetInputAspect();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    /* Closing for GetInputAspect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
