// tcl wrapper for vtkEncodedGradientShader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkEncodedGradientShader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkEncodedGradientShaderNewCommand()
{
  vtkEncodedGradientShader *temp = vtkEncodedGradientShader::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkEncodedGradientShaderCppCommand(vtkEncodedGradientShader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkEncodedGradientShaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkEncodedGradientShaderCppCommand(static_cast<vtkEncodedGradientShader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkEncodedGradientShaderCppCommand(vtkEncodedGradientShader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkEncodedGradientShader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkEncodedGradientShader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEncodedGradientShader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkEncodedGradientShader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEncodedGradientShader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkEncodedGradientShader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEncodedGradientShader");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetZeroNormalDiffuseIntensity",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetZeroNormalDiffuseIntensity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZeroNormalDiffuseIntensityMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetZeroNormalDiffuseIntensityMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZeroNormalDiffuseIntensityMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetZeroNormalDiffuseIntensityMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZeroNormalDiffuseIntensity",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetZeroNormalDiffuseIntensity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetZeroNormalSpecularIntensity",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetZeroNormalSpecularIntensity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZeroNormalSpecularIntensityMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetZeroNormalSpecularIntensityMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZeroNormalSpecularIntensityMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetZeroNormalSpecularIntensityMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetZeroNormalSpecularIntensity",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetZeroNormalSpecularIntensity();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateShadingTable",argv[1]))&&(argc == 5))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    vtkEncodedGradientEstimator  *temp2;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    temp2 = (vtkEncodedGradientEstimator *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkEncodedGradientEstimator"),interp,error));
    if (!error)
    {
    op->UpdateShadingTable(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActiveComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetActiveComponent(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveComponentMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActiveComponentMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActiveComponentMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActiveComponentMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetActiveComponent",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActiveComponent();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkEncodedGradientShaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkEncodedGradientShader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetZeroNormalDiffuseIntensity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroNormalDiffuseIntensityMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroNormalDiffuseIntensityMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroNormalDiffuseIntensity\n",NULL);
    Tcl_AppendResult(interp,"  SetZeroNormalSpecularIntensity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroNormalSpecularIntensityMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroNormalSpecularIntensityMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetZeroNormalSpecularIntensity\n",NULL);
    Tcl_AppendResult(interp,"  UpdateShadingTable\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveComponentMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveComponentMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveComponent\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetZeroNormalDiffuseIntensity" );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalDiffuseIntensityMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalDiffuseIntensityMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalDiffuseIntensity" );
    Tcl_DStringAppendElement ( &dString, "SetZeroNormalSpecularIntensity" );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalSpecularIntensityMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalSpecularIntensityMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalSpecularIntensity" );
    Tcl_DStringAppendElement ( &dString, "UpdateShadingTable" );
    Tcl_DStringAppendElement ( &dString, "SetActiveComponent" );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponentMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponentMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponent" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkEncodedGradientShader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZeroNormalDiffuseIntensity */
    if ( strcmp ( argv[2], "SetZeroNormalDiffuseIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZeroNormalDiffuseIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZeroNormalDiffuseIntensity */
    Tcl_DStringAppendElement ( &dString, " Set / Get the intensity diffuse / specular light used for the\n zero normals. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetZeroNormalDiffuseIntensity(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for SetZeroNormalDiffuseIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroNormalDiffuseIntensityMinValue */
    if ( strcmp ( argv[2], "GetZeroNormalDiffuseIntensityMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalDiffuseIntensityMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroNormalDiffuseIntensityMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the intensity diffuse / specular light used for the\n zero normals. \n" );
    Tcl_DStringAppendElement ( &dString, "float GetZeroNormalDiffuseIntensityMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for GetZeroNormalDiffuseIntensityMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroNormalDiffuseIntensityMaxValue */
    if ( strcmp ( argv[2], "GetZeroNormalDiffuseIntensityMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalDiffuseIntensityMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroNormalDiffuseIntensityMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the intensity diffuse / specular light used for the\n zero normals. \n" );
    Tcl_DStringAppendElement ( &dString, "float GetZeroNormalDiffuseIntensityMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for GetZeroNormalDiffuseIntensityMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroNormalDiffuseIntensity */
    if ( strcmp ( argv[2], "GetZeroNormalDiffuseIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalDiffuseIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroNormalDiffuseIntensity */
    Tcl_DStringAppendElement ( &dString, " Set / Get the intensity diffuse / specular light used for the\n zero normals. \n" );
    Tcl_DStringAppendElement ( &dString, "float GetZeroNormalDiffuseIntensity();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for GetZeroNormalDiffuseIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZeroNormalSpecularIntensity */
    if ( strcmp ( argv[2], "SetZeroNormalSpecularIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZeroNormalSpecularIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZeroNormalSpecularIntensity */
    Tcl_DStringAppendElement ( &dString, " Set / Get the intensity diffuse / specular light used for the\n zero normals. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetZeroNormalSpecularIntensity(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for SetZeroNormalSpecularIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroNormalSpecularIntensityMinValue */
    if ( strcmp ( argv[2], "GetZeroNormalSpecularIntensityMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalSpecularIntensityMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroNormalSpecularIntensityMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the intensity diffuse / specular light used for the\n zero normals. \n" );
    Tcl_DStringAppendElement ( &dString, "float GetZeroNormalSpecularIntensityMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for GetZeroNormalSpecularIntensityMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroNormalSpecularIntensityMaxValue */
    if ( strcmp ( argv[2], "GetZeroNormalSpecularIntensityMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalSpecularIntensityMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroNormalSpecularIntensityMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the intensity diffuse / specular light used for the\n zero normals. \n" );
    Tcl_DStringAppendElement ( &dString, "float GetZeroNormalSpecularIntensityMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for GetZeroNormalSpecularIntensityMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZeroNormalSpecularIntensity */
    if ( strcmp ( argv[2], "GetZeroNormalSpecularIntensity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZeroNormalSpecularIntensity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZeroNormalSpecularIntensity */
    Tcl_DStringAppendElement ( &dString, " Set / Get the intensity diffuse / specular light used for the\n zero normals. \n" );
    Tcl_DStringAppendElement ( &dString, "float GetZeroNormalSpecularIntensity();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for GetZeroNormalSpecularIntensity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateShadingTable */
    if ( strcmp ( argv[2], "UpdateShadingTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateShadingTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientEstimator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateShadingTable */
    Tcl_DStringAppendElement ( &dString, " Cause the shading table to be updated\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateShadingTable(vtkRenderer *ren, vtkVolume *vol, vtkEncodedGradientEstimator *gradest);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for UpdateShadingTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveComponent */
    if ( strcmp ( argv[2], "SetActiveComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveComponent */
    Tcl_DStringAppendElement ( &dString, " Set the active component for shading. This component's \n ambient / diffuse / specular / specular power values will\n be used to create the shading table. The default is 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "void SetActiveComponent(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for SetActiveComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveComponentMinValue */
    if ( strcmp ( argv[2], "GetActiveComponentMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponentMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveComponentMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the active component for shading. This component's \n ambient / diffuse / specular / specular power values will\n be used to create the shading table. The default is 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveComponentMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for GetActiveComponentMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveComponentMaxValue */
    if ( strcmp ( argv[2], "GetActiveComponentMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponentMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveComponentMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the active component for shading. This component's \n ambient / diffuse / specular / specular power values will\n be used to create the shading table. The default is 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveComponentMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for GetActiveComponentMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveComponent */
    if ( strcmp ( argv[2], "GetActiveComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveComponent */
    Tcl_DStringAppendElement ( &dString, " Set the active component for shading. This component's \n ambient / diffuse / specular / specular power values will\n be used to create the shading table. The default is 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActiveComponent();" );
    Tcl_DStringAppendElement ( &dString, "vtkEncodedGradientShader" );
    /* Closing for GetActiveComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
