// tcl wrapper for vtkFixedPointRayCastImage object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFixedPointRayCastImage.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkFixedPointRayCastImageNewCommand()
{
  vtkFixedPointRayCastImage *temp = vtkFixedPointRayCastImage::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFixedPointRayCastImageCppCommand(vtkFixedPointRayCastImage *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkFixedPointRayCastImageCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkFixedPointRayCastImageCppCommand(static_cast<vtkFixedPointRayCastImage *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFixedPointRayCastImageCppCommand(vtkFixedPointRayCastImage *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkFixedPointRayCastImage",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkFixedPointRayCastImage  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointRayCastImage");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkFixedPointRayCastImage  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointRayCastImage");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkFixedPointRayCastImage  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointRayCastImage");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageViewportSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetImageViewportSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageViewportSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetImageViewportSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageViewportSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetImageViewportSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImageMemorySize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetImageMemorySize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageMemorySize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetImageMemorySize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageMemorySize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetImageMemorySize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImageInUseSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetImageInUseSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageInUseSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetImageInUseSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageInUseSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetImageInUseSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImageOrigin",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetImageOrigin(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageOrigin",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetImageOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageOrigin",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetImageOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllocateImage",argv[1]))&&(argc == 2))
    {
    op->AllocateImage();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ClearImage",argv[1]))&&(argc == 2))
    {
    op->ClearImage();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetZBufferSize",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetZBufferSize(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetZBufferSize",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetZBufferSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZBufferSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetZBufferSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetZBufferOrigin",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetZBufferOrigin(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetZBufferOrigin",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetZBufferOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZBufferOrigin",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetZBufferOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetUseZBuffer",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseZBuffer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseZBufferMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseZBufferMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUseZBufferMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseZBufferMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetUseZBuffer",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseZBuffer();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseZBufferOn",argv[1]))&&(argc == 2))
    {
    op->UseZBufferOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseZBufferOff",argv[1]))&&(argc == 2))
    {
    op->UseZBufferOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetZBufferValue",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    float    temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetZBufferValue(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("AllocateZBuffer",argv[1]))&&(argc == 2))
    {
    op->AllocateZBuffer();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkFixedPointRayCastImageCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFixedPointRayCastImage:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetImageViewportSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetImageViewportSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetImageViewportSize\n",NULL);
    Tcl_AppendResult(interp,"  SetImageMemorySize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetImageMemorySize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetImageMemorySize\n",NULL);
    Tcl_AppendResult(interp,"  SetImageInUseSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetImageInUseSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetImageInUseSize\n",NULL);
    Tcl_AppendResult(interp,"  SetImageOrigin\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetImageOrigin\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetImageOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  AllocateImage\n",NULL);
    Tcl_AppendResult(interp,"  ClearImage\n",NULL);
    Tcl_AppendResult(interp,"  SetZBufferSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetZBufferSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetZBufferSize\n",NULL);
    Tcl_AppendResult(interp,"  SetZBufferOrigin\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetZBufferOrigin\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetZBufferOrigin\n",NULL);
    Tcl_AppendResult(interp,"  SetUseZBuffer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseZBufferMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetUseZBufferMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetUseZBuffer\n",NULL);
    Tcl_AppendResult(interp,"  UseZBufferOn\n",NULL);
    Tcl_AppendResult(interp,"  UseZBufferOff\n",NULL);
    Tcl_AppendResult(interp,"  GetZBufferValue\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AllocateZBuffer\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetImageViewportSize" );
    Tcl_DStringAppendElement ( &dString, "SetImageViewportSize" );
    Tcl_DStringAppendElement ( &dString, "GetImageViewportSize" );
    Tcl_DStringAppendElement ( &dString, "SetImageMemorySize" );
    Tcl_DStringAppendElement ( &dString, "SetImageMemorySize" );
    Tcl_DStringAppendElement ( &dString, "GetImageMemorySize" );
    Tcl_DStringAppendElement ( &dString, "SetImageInUseSize" );
    Tcl_DStringAppendElement ( &dString, "SetImageInUseSize" );
    Tcl_DStringAppendElement ( &dString, "GetImageInUseSize" );
    Tcl_DStringAppendElement ( &dString, "SetImageOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetImageOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetImageOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "AllocateImage" );
    Tcl_DStringAppendElement ( &dString, "ClearImage" );
    Tcl_DStringAppendElement ( &dString, "SetZBufferSize" );
    Tcl_DStringAppendElement ( &dString, "SetZBufferSize" );
    Tcl_DStringAppendElement ( &dString, "GetZBufferSize" );
    Tcl_DStringAppendElement ( &dString, "SetZBufferOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetZBufferOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetZBufferOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetUseZBuffer" );
    Tcl_DStringAppendElement ( &dString, "GetUseZBufferMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetUseZBufferMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetUseZBuffer" );
    Tcl_DStringAppendElement ( &dString, "UseZBufferOn" );
    Tcl_DStringAppendElement ( &dString, "UseZBufferOff" );
    Tcl_DStringAppendElement ( &dString, "GetZBufferValue" );
    Tcl_DStringAppendElement ( &dString, "AllocateZBuffer" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFixedPointRayCastImage *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageViewportSize */
    if ( strcmp ( argv[2], "SetImageViewportSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageViewportSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageViewportSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetImageViewportSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetImageViewportSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageViewportSize */
    if ( strcmp ( argv[2], "SetImageViewportSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageViewportSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageViewportSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetImageViewportSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetImageViewportSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageViewportSize */
    if ( strcmp ( argv[2], "GetImageViewportSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageViewportSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageViewportSize */
    Tcl_DStringAppendElement ( &dString, " Set / Get the ImageViewportSize. This is the size of the\n whole viewport in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetImageViewportSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetImageViewportSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageMemorySize */
    if ( strcmp ( argv[2], "SetImageMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageMemorySize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetImageMemorySize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetImageMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageMemorySize */
    if ( strcmp ( argv[2], "SetImageMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageMemorySize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetImageMemorySize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetImageMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageMemorySize */
    if ( strcmp ( argv[2], "GetImageMemorySize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageMemorySize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageMemorySize */
    Tcl_DStringAppendElement ( &dString, " Set / Get the ImageMemorySize. This is the size in pixels\n of the Image ivar. This will be a power of two in order\n to ensure that the texture can be rendered by graphics\n hardware that requires power of two textures.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetImageMemorySize();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetImageMemorySize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageInUseSize */
    if ( strcmp ( argv[2], "SetImageInUseSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageInUseSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageInUseSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetImageInUseSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetImageInUseSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageInUseSize */
    if ( strcmp ( argv[2], "SetImageInUseSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageInUseSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageInUseSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetImageInUseSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetImageInUseSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageInUseSize */
    if ( strcmp ( argv[2], "GetImageInUseSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageInUseSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageInUseSize */
    Tcl_DStringAppendElement ( &dString, " Set / Get the size of the image we are actually using. As\n long as the memory size is big enough, but not too big,\n we won't bother deleting and re-allocated, we'll just \n continue to use the memory size we have. This size will\n always be equal to or less than the ImageMemorySize.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetImageInUseSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetImageInUseSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageOrigin */
    if ( strcmp ( argv[2], "SetImageOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetImageOrigin(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetImageOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageOrigin */
    if ( strcmp ( argv[2], "SetImageOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetImageOrigin(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetImageOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageOrigin */
    if ( strcmp ( argv[2], "GetImageOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageOrigin */
    Tcl_DStringAppendElement ( &dString, " Set / Get the origin of the image. This is the starting \n pixel within the whole viewport that our Image starts on.\n That is, we could be generating just a subregion of the\n whole viewport due to the fact that our volume occupies \n only a portion of the viewport. The Image pixels will\n start from this location.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetImageOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetImageOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageSampleDistance */
    if ( strcmp ( argv[2], "SetImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Set / Get the ImageSampleDistance that will be used for \n rendering. This is a copy of the value stored in the\n mapper. It is stored here for sharing between all mappers\n that are participating in the creation of this image.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageSampleDistance(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleDistance */
    if ( strcmp ( argv[2], "GetImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Set / Get the ImageSampleDistance that will be used for \n rendering. This is a copy of the value stored in the\n mapper. It is stored here for sharing between all mappers\n that are participating in the creation of this image.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetImageSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllocateImage */
    if ( strcmp ( argv[2], "AllocateImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllocateImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllocateImage */
    Tcl_DStringAppendElement ( &dString, " Call this method once the ImageMemorySize has been set\n the allocate the image. If an image already exists,\n it will be deleted first.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllocateImage();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for AllocateImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearImage */
    if ( strcmp ( argv[2], "ClearImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearImage */
    Tcl_DStringAppendElement ( &dString, " Clear the image to (0,0,0,0) for each pixel.\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearImage();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for ClearImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZBufferSize */
    if ( strcmp ( argv[2], "SetZBufferSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZBufferSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZBufferSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetZBufferSize(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetZBufferSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZBufferSize */
    if ( strcmp ( argv[2], "SetZBufferSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZBufferSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZBufferSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetZBufferSize(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetZBufferSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZBufferSize */
    if ( strcmp ( argv[2], "GetZBufferSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZBufferSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZBufferSize */
    Tcl_DStringAppendElement ( &dString, " Set / Get the size of the ZBuffer in pixels. The zbuffer will\n be captured for the region of the screen covered by the\n ImageInUseSize image. However, due to subsampling, the size\n of the ImageInUseSize image may be smaller than this ZBuffer\n image which will be captured at screen resolution.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetZBufferSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetZBufferSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZBufferOrigin */
    if ( strcmp ( argv[2], "SetZBufferOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZBufferOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZBufferOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetZBufferOrigin(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetZBufferOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZBufferOrigin */
    if ( strcmp ( argv[2], "SetZBufferOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZBufferOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZBufferOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetZBufferOrigin(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetZBufferOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZBufferOrigin */
    if ( strcmp ( argv[2], "GetZBufferOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZBufferOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZBufferOrigin */
    Tcl_DStringAppendElement ( &dString, " Set / Get the origin of the ZBuffer. This is the distance\n from the lower left corner of the viewport where the ZBuffer\n started (multiply the ImageOrigin by the ImageSampleDistance)\n This is the pixel location on the full resolution viewport\n where the ZBuffer capture will start. These values are used \n to convert the (x,y) pixel location within the ImageInUseSize \n image into a ZBuffer location.\n" );
    Tcl_DStringAppendElement ( &dString, "int *GetZBufferOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetZBufferOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseZBuffer */
    if ( strcmp ( argv[2], "SetUseZBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseZBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseZBuffer */
    Tcl_DStringAppendElement ( &dString, " The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseZBuffer(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for SetUseZBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseZBufferMinValue */
    if ( strcmp ( argv[2], "GetUseZBufferMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseZBufferMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseZBufferMinValue */
    Tcl_DStringAppendElement ( &dString, " The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseZBufferMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetUseZBufferMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseZBufferMaxValue */
    if ( strcmp ( argv[2], "GetUseZBufferMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseZBufferMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseZBufferMaxValue */
    Tcl_DStringAppendElement ( &dString, " The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseZBufferMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetUseZBufferMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseZBuffer */
    if ( strcmp ( argv[2], "GetUseZBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseZBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseZBuffer */
    Tcl_DStringAppendElement ( &dString, " The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseZBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetUseZBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseZBufferOn */
    if ( strcmp ( argv[2], "UseZBufferOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseZBufferOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseZBufferOn */
    Tcl_DStringAppendElement ( &dString, " The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n" );
    Tcl_DStringAppendElement ( &dString, "void UseZBufferOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for UseZBufferOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseZBufferOff */
    if ( strcmp ( argv[2], "UseZBufferOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseZBufferOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseZBufferOff */
    Tcl_DStringAppendElement ( &dString, " The UseZBuffer flag indicates whether the ZBuffer is in use.\n The ZBuffer is captured and used when IntermixIntersectingGeometry\n is on in the mapper, and when there are props that have been\n rendered before the current volume. \n" );
    Tcl_DStringAppendElement ( &dString, "void UseZBufferOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for UseZBufferOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZBufferValue */
    if ( strcmp ( argv[2], "GetZBufferValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZBufferValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZBufferValue */
    Tcl_DStringAppendElement ( &dString, " Get the ZBuffer value corresponding to location (x,y) where (x,y)\n are indexing into the ImageInUse image. This must be converted to\n the zbuffer image coordinates. Nearest neighbor value is returned.\n If UseZBuffer is off, then 1.0 is always returned.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetZBufferValue(int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for GetZBufferValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllocateZBuffer */
    if ( strcmp ( argv[2], "AllocateZBuffer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllocateZBuffer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllocateZBuffer */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AllocateZBuffer();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    /* Closing for AllocateZBuffer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
