// tcl wrapper for vtkFixedPointVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFixedPointVolumeRayCastMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkFixedPointVolumeRayCastMapperNewCommand()
{
  vtkFixedPointVolumeRayCastMapper *temp = vtkFixedPointVolumeRayCastMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkVolumeMapperCppCommand(vtkVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFixedPointVolumeRayCastMapperCppCommand(vtkFixedPointVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkFixedPointVolumeRayCastMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkFixedPointVolumeRayCastMapperCppCommand(static_cast<vtkFixedPointVolumeRayCastMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFixedPointVolumeRayCastMapperCppCommand(vtkFixedPointVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkFixedPointVolumeRayCastMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkVolumeMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointVolumeRayCastMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointVolumeRayCastMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkFixedPointVolumeRayCastMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointVolumeRayCastMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractiveSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetInteractiveSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractiveSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetInteractiveSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoAdjustSampleDistances",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAdjustSampleDistances(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoAdjustSampleDistancesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustSampleDistancesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustSampleDistances",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistances();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustSampleDistancesOn",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustSampleDistancesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustSampleDistancesOff",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustSampleDistancesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLockSampleDistanceToInputSpacing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLockSampleDistanceToInputSpacing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLockSampleDistanceToInputSpacingMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLockSampleDistanceToInputSpacingMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLockSampleDistanceToInputSpacingMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLockSampleDistanceToInputSpacingMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLockSampleDistanceToInputSpacing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLockSampleDistanceToInputSpacing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LockSampleDistanceToInputSpacingOn",argv[1]))&&(argc == 2))
    {
    op->LockSampleDistanceToInputSpacingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LockSampleDistanceToInputSpacingOff",argv[1]))&&(argc == 2))
    {
    op->LockSampleDistanceToInputSpacingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfThreads",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfThreads(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfThreads",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreads();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntermixIntersectingGeometry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntermixIntersectingGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntermixIntersectingGeometryMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntermixIntersectingGeometryMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntermixIntersectingGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IntermixIntersectingGeometryOn",argv[1]))&&(argc == 2))
    {
    op->IntermixIntersectingGeometryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IntermixIntersectingGeometryOff",argv[1]))&&(argc == 2))
    {
    op->IntermixIntersectingGeometryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeRequiredImageSampleDistance",argv[1]))&&(argc == 4))
    {
    float    temp0;
    vtkRenderer  *temp1;
    float    temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    temp20 = (op)->ComputeRequiredImageSampleDistance(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeRequiredImageSampleDistance",argv[1]))&&(argc == 5))
    {
    float    temp0;
    vtkRenderer  *temp1;
    vtkVolume  *temp2;
    float    temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    temp1 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkRenderer"),interp,error));
    temp2 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    temp20 = (op)->ComputeRequiredImageSampleDistance(temp0,temp1,temp2);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ToFixedPointPosition",argv[1]))&&(argc == 3))
    {
    float    temp0;
    unsigned int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->ToFixedPointPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ToFixedPointDirection",argv[1]))&&(argc == 3))
    {
    float    temp0;
    unsigned int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    temp20 = (op)->ToFixedPointDirection(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderWindow",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->GetRenderWindow();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("GetMIPHelper",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastMIPHelper  *temp20;
    temp20 = (op)->GetMIPHelper();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointVolumeRayCastMIPHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeHelper",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastCompositeHelper  *temp20;
    temp20 = (op)->GetCompositeHelper();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointVolumeRayCastCompositeHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeGOHelper",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastCompositeGOHelper  *temp20;
    temp20 = (op)->GetCompositeGOHelper();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointVolumeRayCastCompositeGOHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeGOShadeHelper",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastCompositeGOShadeHelper  *temp20;
    temp20 = (op)->GetCompositeGOShadeHelper();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointVolumeRayCastCompositeGOShadeHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetCompositeShadeHelper",argv[1]))&&(argc == 2))
    {
    vtkFixedPointVolumeRayCastCompositeShadeHelper  *temp20;
    temp20 = (op)->GetCompositeShadeHelper();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointVolumeRayCastCompositeShadeHelper");
    return TCL_OK;
    }
  if ((!strcmp("GetTableShift",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetTableShift();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetTableScale",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetTableScale();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetShadingRequired",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShadingRequired();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGradientOpacityRequired",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGradientOpacityRequired();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentScalars",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetCurrentScalars();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("GetPreviousScalars",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetPreviousScalars();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("GetVolume",argv[1]))&&(argc == 2))
    {
    vtkVolume  *temp20;
    temp20 = (op)->GetVolume();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolume");
    return TCL_OK;
    }
  if ((!strcmp("InitializeRayInfo",argv[1]))&&(argc == 3))
    {
    vtkVolume  *temp0;
    error = 0;

    temp0 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    op->InitializeRayInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShouldUseNearestNeighborInterpolation",argv[1]))&&(argc == 3))
    {
    vtkVolume  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    temp20 = (op)->ShouldUseNearestNeighborInterpolation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRayCastImage",argv[1]))&&(argc == 3))
    {
    vtkFixedPointRayCastImage  *temp0;
    error = 0;

    temp0 = (vtkFixedPointRayCastImage *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkFixedPointRayCastImage"),interp,error));
    if (!error)
    {
    op->SetRayCastImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRayCastImage",argv[1]))&&(argc == 2))
    {
    vtkFixedPointRayCastImage  *temp20;
    temp20 = (op)->GetRayCastImage();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedPointRayCastImage");
    return TCL_OK;
    }
  if ((!strcmp("PerVolumeInitialization",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    op->PerVolumeInitialization(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PerSubVolumeInitialization",argv[1]))&&(argc == 5))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->PerSubVolumeInitialization(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderSubVolume",argv[1]))&&(argc == 2))
    {
    op->RenderSubVolume();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayRenderedImage",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    op->DisplayRenderedImage(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AbortRender",argv[1]))&&(argc == 2))
    {
    op->AbortRender();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEstimatedRenderTime",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    float    temp20;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetEstimatedRenderTime(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEstimatedRenderTime",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    float    temp20;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetEstimatedRenderTime(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFinalColorWindow",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFinalColorWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFinalColorWindow",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetFinalColorWindow();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFinalColorLevel",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFinalColorLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFinalColorLevel",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetFinalColorLevel();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFlipMIPComparison",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFlipMIPComparison();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkFixedPointVolumeRayCastMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFixedPointVolumeRayCastMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractiveSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractiveSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAdjustSampleDistances\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistancesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistancesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistances\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustSampleDistancesOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustSampleDistancesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLockSampleDistanceToInputSpacing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLockSampleDistanceToInputSpacingMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLockSampleDistanceToInputSpacingMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLockSampleDistanceToInputSpacing\n",NULL);
    Tcl_AppendResult(interp,"  LockSampleDistanceToInputSpacingOn\n",NULL);
    Tcl_AppendResult(interp,"  LockSampleDistanceToInputSpacingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfThreads\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreads\n",NULL);
    Tcl_AppendResult(interp,"  SetIntermixIntersectingGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometryMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometryMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometry\n",NULL);
    Tcl_AppendResult(interp,"  IntermixIntersectingGeometryOn\n",NULL);
    Tcl_AppendResult(interp,"  IntermixIntersectingGeometryOff\n",NULL);
    Tcl_AppendResult(interp,"  ComputeRequiredImageSampleDistance\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeRequiredImageSampleDistance\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ToFixedPointPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ToFixedPointDirection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetMIPHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeGOHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeGOShadeHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetCompositeShadeHelper\n",NULL);
    Tcl_AppendResult(interp,"  GetTableShift\n",NULL);
    Tcl_AppendResult(interp,"  GetTableScale\n",NULL);
    Tcl_AppendResult(interp,"  GetShadingRequired\n",NULL);
    Tcl_AppendResult(interp,"  GetGradientOpacityRequired\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentScalars\n",NULL);
    Tcl_AppendResult(interp,"  GetPreviousScalars\n",NULL);
    Tcl_AppendResult(interp,"  GetVolume\n",NULL);
    Tcl_AppendResult(interp,"  InitializeRayInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ShouldUseNearestNeighborInterpolation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRayCastImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRayCastImage\n",NULL);
    Tcl_AppendResult(interp,"  PerVolumeInitialization\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  PerSubVolumeInitialization\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RenderSubVolume\n",NULL);
    Tcl_AppendResult(interp,"  DisplayRenderedImage\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  AbortRender\n",NULL);
    Tcl_AppendResult(interp,"  GetEstimatedRenderTime\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetEstimatedRenderTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFinalColorWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFinalColorWindow\n",NULL);
    Tcl_AppendResult(interp,"  SetFinalColorLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFinalColorLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetFlipMIPComparison\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetInteractiveSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetInteractiveSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustSampleDistances" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistances" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOn" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOff" );
    Tcl_DStringAppendElement ( &dString, "SetLockSampleDistanceToInputSpacing" );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacingMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacingMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacing" );
    Tcl_DStringAppendElement ( &dString, "LockSampleDistanceToInputSpacingOn" );
    Tcl_DStringAppendElement ( &dString, "LockSampleDistanceToInputSpacingOff" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "SetIntermixIntersectingGeometry" );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometry" );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOn" );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOff" );
    Tcl_DStringAppendElement ( &dString, "ComputeRequiredImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "ComputeRequiredImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ToFixedPointPosition" );
    Tcl_DStringAppendElement ( &dString, "ToFixedPointDirection" );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    Tcl_DStringAppendElement ( &dString, "GetMIPHelper" );
    Tcl_DStringAppendElement ( &dString, "GetCompositeHelper" );
    Tcl_DStringAppendElement ( &dString, "GetCompositeGOHelper" );
    Tcl_DStringAppendElement ( &dString, "GetCompositeGOShadeHelper" );
    Tcl_DStringAppendElement ( &dString, "GetCompositeShadeHelper" );
    Tcl_DStringAppendElement ( &dString, "GetTableShift" );
    Tcl_DStringAppendElement ( &dString, "GetTableScale" );
    Tcl_DStringAppendElement ( &dString, "GetShadingRequired" );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacityRequired" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentScalars" );
    Tcl_DStringAppendElement ( &dString, "GetPreviousScalars" );
    Tcl_DStringAppendElement ( &dString, "GetVolume" );
    Tcl_DStringAppendElement ( &dString, "InitializeRayInfo" );
    Tcl_DStringAppendElement ( &dString, "ShouldUseNearestNeighborInterpolation" );
    Tcl_DStringAppendElement ( &dString, "SetRayCastImage" );
    Tcl_DStringAppendElement ( &dString, "GetRayCastImage" );
    Tcl_DStringAppendElement ( &dString, "PerVolumeInitialization" );
    Tcl_DStringAppendElement ( &dString, "PerSubVolumeInitialization" );
    Tcl_DStringAppendElement ( &dString, "RenderSubVolume" );
    Tcl_DStringAppendElement ( &dString, "DisplayRenderedImage" );
    Tcl_DStringAppendElement ( &dString, "AbortRender" );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedRenderTime" );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorWindow" );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorWindow" );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorLevel" );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorLevel" );
    Tcl_DStringAppendElement ( &dString, "GetFlipMIPComparison" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkVolumeMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkFixedPointVolumeRayCastMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSampleDistance */
    if ( strcmp ( argv[2], "SetSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the distance between samples used for rendering \n when AutoAdjustSampleDistances is off, or when this mapper\n has more than 1 second allocated to it for rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSampleDistance(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSampleDistance */
    if ( strcmp ( argv[2], "GetSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the distance between samples used for rendering \n when AutoAdjustSampleDistances is off, or when this mapper\n has more than 1 second allocated to it for rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractiveSampleDistance */
    if ( strcmp ( argv[2], "SetInteractiveSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractiveSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractiveSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the distance between samples when interactive rendering is happening.\n In this case, interactive is defined as this volume mapper having less than 1\n second allocated for rendering. When AutoAdjustSampleDistance is On, and the\n allocated render time is less than 1 second, then this InteractiveSampleDistance\n will be used instead of the SampleDistance above.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInteractiveSampleDistance(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetInteractiveSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractiveSampleDistance */
    if ( strcmp ( argv[2], "GetInteractiveSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractiveSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractiveSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Set/Get the distance between samples when interactive rendering is happening.\n In this case, interactive is defined as this volume mapper having less than 1\n second allocated for rendering. When AutoAdjustSampleDistance is On, and the\n allocated render time is less than 1 second, then this InteractiveSampleDistance\n will be used instead of the SampleDistance above.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetInteractiveSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetInteractiveSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageSampleDistance */
    if ( strcmp ( argv[2], "SetImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageSampleDistance(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetImageSampleDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetImageSampleDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleDistance */
    if ( strcmp ( argv[2], "GetImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels. This value\n will be adjusted to meet a desired frame rate when AutoAdjustSampleDistances\n is on.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetImageSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumImageSampleDistance */
    if ( strcmp ( argv[2], "SetMinimumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumImageSampleDistance(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetMinimumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumImageSampleDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumImageSampleDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumImageSampleDistance */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumImageSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumImageSampleDistance */
    if ( strcmp ( argv[2], "SetMaximumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumImageSampleDistance(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetMaximumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumImageSampleDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumImageSampleDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumImageSampleDistance */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumImageSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoAdjustSampleDistances */
    if ( strcmp ( argv[2], "SetAutoAdjustSampleDistances" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustSampleDistances" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAdjustSampleDistances */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoAdjustSampleDistances(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetAutoAdjustSampleDistances */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustSampleDistancesMinValue */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistancesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistancesMinValue */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustSampleDistancesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistancesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustSampleDistancesMaxValue */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistancesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistancesMaxValue */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustSampleDistancesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistancesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustSampleDistances */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistances" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistances" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistances */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustSampleDistances();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistances */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustSampleDistancesOn */
    if ( strcmp ( argv[2], "AutoAdjustSampleDistancesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustSampleDistancesOn */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustSampleDistancesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for AutoAdjustSampleDistancesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustSampleDistancesOff */
    if ( strcmp ( argv[2], "AutoAdjustSampleDistancesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustSampleDistancesOff */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n and the SampleDistance will be varied to achieve the allocated \n render time of this prop (controlled by the desired update rate \n and any culling in use). If this is an interactive render (more \n than 1 frame per second) the SampleDistance will be increased, \n otherwise it will not be altered (a binary decision, as opposed\n to the ImageSampleDistance which will vary continuously).\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustSampleDistancesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for AutoAdjustSampleDistancesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLockSampleDistanceToInputSpacing */
    if ( strcmp ( argv[2], "SetLockSampleDistanceToInputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLockSampleDistanceToInputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLockSampleDistanceToInputSpacing */
    Tcl_DStringAppendElement ( &dString, " Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLockSampleDistanceToInputSpacing(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetLockSampleDistanceToInputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLockSampleDistanceToInputSpacingMinValue */
    if ( strcmp ( argv[2], "GetLockSampleDistanceToInputSpacingMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacingMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLockSampleDistanceToInputSpacingMinValue */
    Tcl_DStringAppendElement ( &dString, " Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLockSampleDistanceToInputSpacingMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetLockSampleDistanceToInputSpacingMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLockSampleDistanceToInputSpacingMaxValue */
    if ( strcmp ( argv[2], "GetLockSampleDistanceToInputSpacingMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacingMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLockSampleDistanceToInputSpacingMaxValue */
    Tcl_DStringAppendElement ( &dString, " Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLockSampleDistanceToInputSpacingMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetLockSampleDistanceToInputSpacingMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLockSampleDistanceToInputSpacing */
    if ( strcmp ( argv[2], "GetLockSampleDistanceToInputSpacing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLockSampleDistanceToInputSpacing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLockSampleDistanceToInputSpacing */
    Tcl_DStringAppendElement ( &dString, " Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLockSampleDistanceToInputSpacing();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetLockSampleDistanceToInputSpacing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LockSampleDistanceToInputSpacingOn */
    if ( strcmp ( argv[2], "LockSampleDistanceToInputSpacingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LockSampleDistanceToInputSpacingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LockSampleDistanceToInputSpacingOn */
    Tcl_DStringAppendElement ( &dString, " Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n" );
    Tcl_DStringAppendElement ( &dString, "void LockSampleDistanceToInputSpacingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for LockSampleDistanceToInputSpacingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LockSampleDistanceToInputSpacingOff */
    if ( strcmp ( argv[2], "LockSampleDistanceToInputSpacingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LockSampleDistanceToInputSpacingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LockSampleDistanceToInputSpacingOff */
    Tcl_DStringAppendElement ( &dString, " Automatically compute the sample distance from the data spacing.  When\n the number of voxels is 8, the sample distance will be roughly 1/200\n the average voxel size. The distance will grow proportionally to\n numVoxels^(1/3) until it reaches 1/2 average voxel size when number of\n voxels is 1E6. Note that ScalarOpacityUnitDistance is still taken into\n account and if different than 1, will effect the sample distance.\n" );
    Tcl_DStringAppendElement ( &dString, "void LockSampleDistanceToInputSpacingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for LockSampleDistanceToInputSpacingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfThreads */
    if ( strcmp ( argv[2], "SetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of threads to use. This by default is equal to\n the number of available processors detected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfThreads(int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThreads */
    if ( strcmp ( argv[2], "GetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of threads to use. This by default is equal to\n the number of available processors detected.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThreads();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntermixIntersectingGeometry */
    if ( strcmp ( argv[2], "SetIntermixIntersectingGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntermixIntersectingGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntermixIntersectingGeometry */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntermixIntersectingGeometry(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetIntermixIntersectingGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntermixIntersectingGeometryMinValue */
    if ( strcmp ( argv[2], "GetIntermixIntersectingGeometryMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntermixIntersectingGeometryMinValue */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntermixIntersectingGeometryMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetIntermixIntersectingGeometryMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntermixIntersectingGeometryMaxValue */
    if ( strcmp ( argv[2], "GetIntermixIntersectingGeometryMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntermixIntersectingGeometryMaxValue */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntermixIntersectingGeometryMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetIntermixIntersectingGeometryMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntermixIntersectingGeometry */
    if ( strcmp ( argv[2], "GetIntermixIntersectingGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntermixIntersectingGeometry */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntermixIntersectingGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetIntermixIntersectingGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntermixIntersectingGeometryOn */
    if ( strcmp ( argv[2], "IntermixIntersectingGeometryOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntermixIntersectingGeometryOn */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "void IntermixIntersectingGeometryOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for IntermixIntersectingGeometryOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntermixIntersectingGeometryOff */
    if ( strcmp ( argv[2], "IntermixIntersectingGeometryOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntermixIntersectingGeometryOff */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "void IntermixIntersectingGeometryOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for IntermixIntersectingGeometryOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeRequiredImageSampleDistance */
    if ( strcmp ( argv[2], "ComputeRequiredImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeRequiredImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeRequiredImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " What is the image sample distance required to achieve the desired time?\n A version of this method is provided that does not require the volume\n argument since if you are using an LODProp3D you may not know this information.\n If you use this version you must be certain that the ray cast mapper is\n only used for one volume (and not shared among multiple volumes)\n" );
    Tcl_DStringAppendElement ( &dString, "float ComputeRequiredImageSampleDistance(float desiredTime, vtkRenderer *ren);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for ComputeRequiredImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeRequiredImageSampleDistance */
    if ( strcmp ( argv[2], "ComputeRequiredImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeRequiredImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeRequiredImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " What is the image sample distance required to achieve the desired time?\n A version of this method is provided that does not require the volume\n argument since if you are using an LODProp3D you may not know this information.\n If you use this version you must be certain that the ray cast mapper is\n only used for one volume (and not shared among multiple volumes)\n" );
    Tcl_DStringAppendElement ( &dString, "float ComputeRequiredImageSampleDistance(float desiredTime, vtkRenderer *ren, vtkVolume *vol);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for ComputeRequiredImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n Initialize rendering for this volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void Render(vtkRenderer *, vtkVolume *);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToFixedPointPosition */
    if ( strcmp ( argv[2], "ToFixedPointPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToFixedPointPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToFixedPointPosition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned int ToFixedPointPosition(float val);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for ToFixedPointPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ToFixedPointDirection */
    if ( strcmp ( argv[2], "ToFixedPointDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ToFixedPointDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ToFixedPointDirection */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "unsigned int ToFixedPointDirection(float dir);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for ToFixedPointDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderWindow */
    if ( strcmp ( argv[2], "GetRenderWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderWindow */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *GetRenderWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetRenderWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMIPHelper */
    if ( strcmp ( argv[2], "GetMIPHelper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMIPHelper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMIPHelper */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMIPHelper *GetMIPHelper();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetMIPHelper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompositeHelper */
    if ( strcmp ( argv[2], "GetCompositeHelper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositeHelper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositeHelper */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastCompositeHelper *GetCompositeHelper();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetCompositeHelper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompositeGOHelper */
    if ( strcmp ( argv[2], "GetCompositeGOHelper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositeGOHelper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositeGOHelper */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastCompositeGOHelper *GetCompositeGOHelper();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetCompositeGOHelper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompositeGOShadeHelper */
    if ( strcmp ( argv[2], "GetCompositeGOShadeHelper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositeGOShadeHelper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositeGOShadeHelper */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastCompositeGOShadeHelper *GetCompositeGOShadeHelper();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetCompositeGOShadeHelper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompositeShadeHelper */
    if ( strcmp ( argv[2], "GetCompositeShadeHelper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompositeShadeHelper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompositeShadeHelper */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastCompositeShadeHelper *GetCompositeShadeHelper();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetCompositeShadeHelper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTableShift */
    if ( strcmp ( argv[2], "GetTableShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTableShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTableShift */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetTableShift();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetTableShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTableScale */
    if ( strcmp ( argv[2], "GetTableScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTableScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTableScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetTableScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetTableScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShadingRequired */
    if ( strcmp ( argv[2], "GetShadingRequired" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShadingRequired" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShadingRequired */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetShadingRequired();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetShadingRequired */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGradientOpacityRequired */
    if ( strcmp ( argv[2], "GetGradientOpacityRequired" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGradientOpacityRequired" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGradientOpacityRequired */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetGradientOpacityRequired();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetGradientOpacityRequired */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentScalars */
    if ( strcmp ( argv[2], "GetCurrentScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentScalars */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetCurrentScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetCurrentScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPreviousScalars */
    if ( strcmp ( argv[2], "GetPreviousScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPreviousScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPreviousScalars */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetPreviousScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetPreviousScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolume */
    if ( strcmp ( argv[2], "GetVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolume */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume *GetVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeRayInfo */
    if ( strcmp ( argv[2], "InitializeRayInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeRayInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeRayInfo */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void InitializeRayInfo(vtkVolume *vol);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for InitializeRayInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShouldUseNearestNeighborInterpolation */
    if ( strcmp ( argv[2], "ShouldUseNearestNeighborInterpolation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShouldUseNearestNeighborInterpolation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShouldUseNearestNeighborInterpolation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int ShouldUseNearestNeighborInterpolation(vtkVolume *vol);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for ShouldUseNearestNeighborInterpolation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRayCastImage */
    if ( strcmp ( argv[2], "SetRayCastImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRayCastImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRayCastImage */
    Tcl_DStringAppendElement ( &dString, " Set / Get the underlying image object. One will be automatically\n created - only need to set it when using from an AMR mapper which\n renders multiple times into the same image.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRayCastImage(vtkFixedPointRayCastImage *);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetRayCastImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRayCastImage */
    if ( strcmp ( argv[2], "GetRayCastImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRayCastImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRayCastImage */
    Tcl_DStringAppendElement ( &dString, " Set / Get the underlying image object. One will be automatically\n created - only need to set it when using from an AMR mapper which\n renders multiple times into the same image.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointRayCastImage *GetRayCastImage();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetRayCastImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PerVolumeInitialization */
    if ( strcmp ( argv[2], "PerVolumeInitialization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PerVolumeInitialization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PerVolumeInitialization */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PerVolumeInitialization(vtkRenderer *, vtkVolume *);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for PerVolumeInitialization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PerSubVolumeInitialization */
    if ( strcmp ( argv[2], "PerSubVolumeInitialization" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PerSubVolumeInitialization" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PerSubVolumeInitialization */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PerSubVolumeInitialization(vtkRenderer *, vtkVolume *, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for PerSubVolumeInitialization */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderSubVolume */
    if ( strcmp ( argv[2], "RenderSubVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderSubVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderSubVolume */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RenderSubVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for RenderSubVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayRenderedImage */
    if ( strcmp ( argv[2], "DisplayRenderedImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayRenderedImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayRenderedImage */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void DisplayRenderedImage(vtkRenderer *, vtkVolume *);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for DisplayRenderedImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AbortRender */
    if ( strcmp ( argv[2], "AbortRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AbortRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AbortRender */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AbortRender();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for AbortRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEstimatedRenderTime */
    if ( strcmp ( argv[2], "GetEstimatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEstimatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " Get an estimate of the rendering time for a given volume / renderer.\n Only valid if this mapper has been used to render that volume for\n that renderer previously. Estimate is good when the viewing parameters\n have not changed much since that last render.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetEstimatedRenderTime(vtkRenderer *ren, vtkVolume *vol);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetEstimatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEstimatedRenderTime */
    if ( strcmp ( argv[2], "GetEstimatedRenderTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEstimatedRenderTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEstimatedRenderTime */
    Tcl_DStringAppendElement ( &dString, " Get an estimate of the rendering time for a given volume / renderer.\n Only valid if this mapper has been used to render that volume for\n that renderer previously. Estimate is good when the viewing parameters\n have not changed much since that last render.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetEstimatedRenderTime(vtkRenderer *ren);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetEstimatedRenderTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFinalColorWindow */
    if ( strcmp ( argv[2], "SetFinalColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFinalColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFinalColorWindow(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetFinalColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFinalColorWindow */
    if ( strcmp ( argv[2], "GetFinalColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFinalColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetFinalColorWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetFinalColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFinalColorLevel */
    if ( strcmp ( argv[2], "SetFinalColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFinalColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFinalColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFinalColorLevel(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for SetFinalColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFinalColorLevel */
    if ( strcmp ( argv[2], "GetFinalColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFinalColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFinalColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the window / level applied to the final color.\n This allows brightness / contrast adjustments on the\n final image.\n window is the width of the window.\n level is the center of the window.\n Initial window value is 1.0\n Initial level value is 0.5\n window cannot be null but can be negative, this way\n values will be reversed.\n |window| can be larger than 1.0\n level can be any real value.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetFinalColorLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetFinalColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFlipMIPComparison */
    if ( strcmp ( argv[2], "GetFlipMIPComparison" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFlipMIPComparison" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFlipMIPComparison */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetFlipMIPComparison();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedPointVolumeRayCastMapper" );
    /* Closing for GetFlipMIPComparison */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkVolumeMapperCppCommand(static_cast<vtkVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
