// tcl wrapper for vtkRecursiveSphereDirectionEncoder object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRecursiveSphereDirectionEncoder.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRecursiveSphereDirectionEncoderNewCommand()
{
  vtkRecursiveSphereDirectionEncoder *temp = vtkRecursiveSphereDirectionEncoder::New();
  return static_cast<ClientData>(temp);
}

int vtkDirectionEncoderCppCommand(vtkDirectionEncoder *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRecursiveSphereDirectionEncoderCppCommand(vtkRecursiveSphereDirectionEncoder *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRecursiveSphereDirectionEncoderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRecursiveSphereDirectionEncoderCppCommand(static_cast<vtkRecursiveSphereDirectionEncoder *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRecursiveSphereDirectionEncoderCppCommand(vtkRecursiveSphereDirectionEncoder *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRecursiveSphereDirectionEncoder",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDirectionEncoderCppCommand(static_cast<vtkDirectionEncoder *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDirectionEncoder"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRecursiveSphereDirectionEncoder  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRecursiveSphereDirectionEncoder");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRecursiveSphereDirectionEncoder  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRecursiveSphereDirectionEncoder");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRecursiveSphereDirectionEncoder  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRecursiveSphereDirectionEncoder");
    return TCL_OK;
    }
  if ((!strcmp("GetEncodedDirection",argv[1]))&&(argc == 5))
    {
    float  temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->GetEncodedDirection(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDecodedGradient",argv[1]))&&(argc == 3))
    {
    int      temp0;
    float   *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDecodedGradient(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEncodedDirections",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEncodedDirections();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRecursionDepth",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRecursionDepth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRecursionDepthMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRecursionDepthMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRecursionDepthMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRecursionDepthMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRecursionDepth",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRecursionDepth();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRecursiveSphereDirectionEncoderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDirectionEncoderCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRecursiveSphereDirectionEncoder:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetEncodedDirection\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDecodedGradient\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEncodedDirections\n",NULL);
    Tcl_AppendResult(interp,"  SetRecursionDepth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRecursionDepthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRecursionDepthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRecursionDepth\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDirectionEncoderCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetEncodedDirection" );
    Tcl_DStringAppendElement ( &dString, "GetDecodedGradient" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEncodedDirections" );
    Tcl_DStringAppendElement ( &dString, "SetRecursionDepth" );
    Tcl_DStringAppendElement ( &dString, "GetRecursionDepthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRecursionDepthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRecursionDepth" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDirectionEncoderCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct the object. Initialize the index table which will be\n used to map the normal into a patch on the recursively subdivided\n sphere.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkRecursiveSphereDirectionEncoder *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEncodedDirection */
    if ( strcmp ( argv[2], "GetEncodedDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEncodedDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEncodedDirection */
    Tcl_DStringAppendElement ( &dString, " Given a normal vector n, return the encoded direction  \n" );
    Tcl_DStringAppendElement ( &dString, "int GetEncodedDirection(float n\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for GetEncodedDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDecodedGradient */
    if ( strcmp ( argv[2], "GetDecodedGradient" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDecodedGradient" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDecodedGradient */
    Tcl_DStringAppendElement ( &dString, "/ Given an encoded value, return a pointer to the normal vector\n" );
    Tcl_DStringAppendElement ( &dString, "float *GetDecodedGradient(int value);" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for GetDecodedGradient */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEncodedDirections */
    if ( strcmp ( argv[2], "GetNumberOfEncodedDirections" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEncodedDirections" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEncodedDirections */
    Tcl_DStringAppendElement ( &dString, " Return the number of encoded directions\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEncodedDirections(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for GetNumberOfEncodedDirections */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRecursionDepth */
    if ( strcmp ( argv[2], "SetRecursionDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRecursionDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRecursionDepth */
    Tcl_DStringAppendElement ( &dString, " Set / Get the recursion depth for the subdivision. This\n indicates how many time one triangle on the initial 8-sided\n sphere model is replaced by four triangles formed by connecting\n triangle edge midpoints. A recursion level of 0 yields 8 triangles\n with 6 unique vertices. The normals are the vectors from the\n sphere center through the vertices. The number of directions\n will be 11 since the four normals with 0 z values will be\n duplicated in the table - once with + ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRecursionDepth(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for SetRecursionDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRecursionDepthMinValue */
    if ( strcmp ( argv[2], "GetRecursionDepthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRecursionDepthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRecursionDepthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the recursion depth for the subdivision. This\n indicates how many time one triangle on the initial 8-sided\n sphere model is replaced by four triangles formed by connecting\n triangle edge midpoints. A recursion level of 0 yields 8 triangles\n with 6 unique vertices. The normals are the vectors from the\n sphere center through the vertices. The number of directions\n will be 11 since the four normals with 0 z values will be\n duplicated in the table - once with + ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRecursionDepthMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for GetRecursionDepthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRecursionDepthMaxValue */
    if ( strcmp ( argv[2], "GetRecursionDepthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRecursionDepthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRecursionDepthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set / Get the recursion depth for the subdivision. This\n indicates how many time one triangle on the initial 8-sided\n sphere model is replaced by four triangles formed by connecting\n triangle edge midpoints. A recursion level of 0 yields 8 triangles\n with 6 unique vertices. The normals are the vectors from the\n sphere center through the vertices. The number of directions\n will be 11 since the four normals with 0 z values will be\n duplicated in the table - once with + ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRecursionDepthMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for GetRecursionDepthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRecursionDepth */
    if ( strcmp ( argv[2], "GetRecursionDepth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRecursionDepth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRecursionDepth */
    Tcl_DStringAppendElement ( &dString, " Set / Get the recursion depth for the subdivision. This\n indicates how many time one triangle on the initial 8-sided\n sphere model is replaced by four triangles formed by connecting\n triangle edge midpoints. A recursion level of 0 yields 8 triangles\n with 6 unique vertices. The normals are the vectors from the\n sphere center through the vertices. The number of directions\n will be 11 since the four normals with 0 z values will be\n duplicated in the table - once with + ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRecursionDepth();" );
    Tcl_DStringAppendElement ( &dString, "vtkRecursiveSphereDirectionEncoder" );
    /* Closing for GetRecursionDepth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDirectionEncoderCppCommand(static_cast<vtkDirectionEncoder *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
