// tcl wrapper for vtkUnstructuredGridVolumeRayCastMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUnstructuredGridVolumeRayCastMapper.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkUnstructuredGridVolumeRayCastMapperNewCommand()
{
  vtkUnstructuredGridVolumeRayCastMapper *temp = vtkUnstructuredGridVolumeRayCastMapper::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridVolumeMapperCppCommand(vtkUnstructuredGridVolumeMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkUnstructuredGridVolumeRayCastMapperCppCommand(vtkUnstructuredGridVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkUnstructuredGridVolumeRayCastMapperCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkUnstructuredGridVolumeRayCastMapperCppCommand(static_cast<vtkUnstructuredGridVolumeRayCastMapper *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkUnstructuredGridVolumeRayCastMapperCppCommand(vtkUnstructuredGridVolumeRayCastMapper *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkUnstructuredGridVolumeRayCastMapper",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridVolumeMapperCppCommand(static_cast<vtkUnstructuredGridVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridVolumeMapper"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridVolumeRayCastMapper  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridVolumeRayCastMapper");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridVolumeRayCastMapper  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridVolumeRayCastMapper");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkUnstructuredGridVolumeRayCastMapper  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridVolumeRayCastMapper");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMinimumImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMinimumImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumImageSampleDistance",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumImageSampleDistance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumImageSampleDistanceMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistanceMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumImageSampleDistanceMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistanceMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumImageSampleDistance",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetMaximumImageSampleDistance();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoAdjustSampleDistances",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoAdjustSampleDistances(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoAdjustSampleDistancesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistancesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustSampleDistancesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistancesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAutoAdjustSampleDistances",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoAdjustSampleDistances();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustSampleDistancesOn",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustSampleDistancesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoAdjustSampleDistancesOff",argv[1]))&&(argc == 2))
    {
    op->AutoAdjustSampleDistancesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfThreads",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfThreads(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfThreads",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThreads();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIntermixIntersectingGeometry",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIntermixIntersectingGeometry(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIntermixIntersectingGeometryMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometryMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntermixIntersectingGeometryMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometryMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIntermixIntersectingGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIntermixIntersectingGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IntermixIntersectingGeometryOn",argv[1]))&&(argc == 2))
    {
    op->IntermixIntersectingGeometryOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IntermixIntersectingGeometryOff",argv[1]))&&(argc == 2))
    {
    op->IntermixIntersectingGeometryOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRayCastFunction",argv[1]))&&(argc == 3))
    {
    vtkUnstructuredGridVolumeRayCastFunction  *temp0;
    error = 0;

    temp0 = (vtkUnstructuredGridVolumeRayCastFunction *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnstructuredGridVolumeRayCastFunction"),interp,error));
    if (!error)
    {
    op->SetRayCastFunction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRayCastFunction",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridVolumeRayCastFunction  *temp20;
    temp20 = (op)->GetRayCastFunction();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridVolumeRayCastFunction");
    return TCL_OK;
    }
  if ((!strcmp("SetRayIntegrator",argv[1]))&&(argc == 3))
    {
    vtkUnstructuredGridVolumeRayIntegrator  *temp0;
    error = 0;

    temp0 = (vtkUnstructuredGridVolumeRayIntegrator *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkUnstructuredGridVolumeRayIntegrator"),interp,error));
    if (!error)
    {
    op->SetRayIntegrator(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRayIntegrator",argv[1]))&&(argc == 2))
    {
    vtkUnstructuredGridVolumeRayIntegrator  *temp20;
    temp20 = (op)->GetRayIntegrator();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnstructuredGridVolumeRayIntegrator");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 4))
    {
    vtkRenderer  *temp0;
    vtkVolume  *temp1;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkVolume *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkVolume"),interp,error));
    if (!error)
    {
    op->Render(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageInUseSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetImageInUseSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetImageOrigin",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetImageOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetImageViewportSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetImageViewportSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("CastRays",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->CastRays(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkUnstructuredGridVolumeRayCastMapperCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkUnstructuredGridVolumeRayCastMapper:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumImageSampleDistance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistanceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistanceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumImageSampleDistance\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoAdjustSampleDistances\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistancesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistancesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoAdjustSampleDistances\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustSampleDistancesOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoAdjustSampleDistancesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfThreads\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThreads\n",NULL);
    Tcl_AppendResult(interp,"  SetIntermixIntersectingGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometryMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometryMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetIntermixIntersectingGeometry\n",NULL);
    Tcl_AppendResult(interp,"  IntermixIntersectingGeometryOn\n",NULL);
    Tcl_AppendResult(interp,"  IntermixIntersectingGeometryOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRayCastFunction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRayCastFunction\n",NULL);
    Tcl_AppendResult(interp,"  SetRayIntegrator\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRayIntegrator\n",NULL);
    Tcl_AppendResult(interp,"  Render\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageInUseSize\n",NULL);
    Tcl_AppendResult(interp,"  GetImageOrigin\n",NULL);
    Tcl_AppendResult(interp,"  GetImageViewportSize\n",NULL);
    Tcl_AppendResult(interp,"  CastRays\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridVolumeMapperCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistance" );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustSampleDistances" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistances" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOn" );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOff" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    Tcl_DStringAppendElement ( &dString, "SetIntermixIntersectingGeometry" );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometry" );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOn" );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOff" );
    Tcl_DStringAppendElement ( &dString, "SetRayCastFunction" );
    Tcl_DStringAppendElement ( &dString, "GetRayCastFunction" );
    Tcl_DStringAppendElement ( &dString, "SetRayIntegrator" );
    Tcl_DStringAppendElement ( &dString, "GetRayIntegrator" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "GetImageInUseSize" );
    Tcl_DStringAppendElement ( &dString, "GetImageOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetImageViewportSize" );
    Tcl_DStringAppendElement ( &dString, "CastRays" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridVolumeMapperCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkUnstructuredGridVolumeRayCastMapper *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageSampleDistance */
    if ( strcmp ( argv[2], "SetImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageSampleDistance(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for SetImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetImageSampleDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetImageSampleDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSampleDistance */
    if ( strcmp ( argv[2], "GetImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " Sampling distance in the XY image dimensions. Default value of 1 meaning\n 1 ray cast per pixel. If set to 0.5, 4 rays will be cast per pixel. If\n set to 2.0, 1 ray will be cast for every 4 (2 by 2) pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetImageSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumImageSampleDistance */
    if ( strcmp ( argv[2], "SetMinimumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumImageSampleDistance(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for SetMinimumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumImageSampleDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumImageSampleDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumImageSampleDistance */
    if ( strcmp ( argv[2], "GetMinimumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the minimum image sample distance allow when the image\n sample distance is being automatically adjusted\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMinimumImageSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetMinimumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumImageSampleDistance */
    if ( strcmp ( argv[2], "SetMaximumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumImageSampleDistance(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for SetMaximumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumImageSampleDistanceMinValue */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistanceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistanceMinValue */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumImageSampleDistanceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistanceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumImageSampleDistanceMaxValue */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistanceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistanceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistanceMaxValue */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumImageSampleDistanceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistanceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumImageSampleDistance */
    if ( strcmp ( argv[2], "GetMaximumImageSampleDistance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumImageSampleDistance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumImageSampleDistance */
    Tcl_DStringAppendElement ( &dString, " This is the maximum image sample distance allow when the image\n sample distance is being automatically adjusted\n" );
    Tcl_DStringAppendElement ( &dString, "float GetMaximumImageSampleDistance();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetMaximumImageSampleDistance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoAdjustSampleDistances */
    if ( strcmp ( argv[2], "SetAutoAdjustSampleDistances" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoAdjustSampleDistances" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoAdjustSampleDistances */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoAdjustSampleDistances(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for SetAutoAdjustSampleDistances */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustSampleDistancesMinValue */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistancesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistancesMinValue */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustSampleDistancesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistancesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustSampleDistancesMaxValue */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistancesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistancesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistancesMaxValue */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustSampleDistancesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistancesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoAdjustSampleDistances */
    if ( strcmp ( argv[2], "GetAutoAdjustSampleDistances" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoAdjustSampleDistances" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoAdjustSampleDistances */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoAdjustSampleDistances();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetAutoAdjustSampleDistances */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustSampleDistancesOn */
    if ( strcmp ( argv[2], "AutoAdjustSampleDistancesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustSampleDistancesOn */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustSampleDistancesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for AutoAdjustSampleDistancesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoAdjustSampleDistancesOff */
    if ( strcmp ( argv[2], "AutoAdjustSampleDistancesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoAdjustSampleDistancesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoAdjustSampleDistancesOff */
    Tcl_DStringAppendElement ( &dString, " If AutoAdjustSampleDistances is on, the the ImageSampleDistance\n will be varied to achieve the allocated render time of this \n prop (controlled by the desired update rate and any culling in\n use). \n" );
    Tcl_DStringAppendElement ( &dString, "void AutoAdjustSampleDistancesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for AutoAdjustSampleDistancesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfThreads */
    if ( strcmp ( argv[2], "SetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of threads to use. This by default is equal to\n the number of available processors detected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfThreads(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for SetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThreads */
    if ( strcmp ( argv[2], "GetNumberOfThreads" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThreads" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThreads */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of threads to use. This by default is equal to\n the number of available processors detected.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThreads();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetNumberOfThreads */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIntermixIntersectingGeometry */
    if ( strcmp ( argv[2], "SetIntermixIntersectingGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIntermixIntersectingGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIntermixIntersectingGeometry */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIntermixIntersectingGeometry(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for SetIntermixIntersectingGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntermixIntersectingGeometryMinValue */
    if ( strcmp ( argv[2], "GetIntermixIntersectingGeometryMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntermixIntersectingGeometryMinValue */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntermixIntersectingGeometryMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetIntermixIntersectingGeometryMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntermixIntersectingGeometryMaxValue */
    if ( strcmp ( argv[2], "GetIntermixIntersectingGeometryMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometryMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntermixIntersectingGeometryMaxValue */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntermixIntersectingGeometryMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetIntermixIntersectingGeometryMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIntermixIntersectingGeometry */
    if ( strcmp ( argv[2], "GetIntermixIntersectingGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIntermixIntersectingGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIntermixIntersectingGeometry */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIntermixIntersectingGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetIntermixIntersectingGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntermixIntersectingGeometryOn */
    if ( strcmp ( argv[2], "IntermixIntersectingGeometryOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntermixIntersectingGeometryOn */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "void IntermixIntersectingGeometryOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for IntermixIntersectingGeometryOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IntermixIntersectingGeometryOff */
    if ( strcmp ( argv[2], "IntermixIntersectingGeometryOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IntermixIntersectingGeometryOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IntermixIntersectingGeometryOff */
    Tcl_DStringAppendElement ( &dString, " If IntermixIntersectingGeometry is turned on, the zbuffer will be\n captured and used to limit the traversal of the rays.\n" );
    Tcl_DStringAppendElement ( &dString, "void IntermixIntersectingGeometryOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for IntermixIntersectingGeometryOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRayCastFunction */
    if ( strcmp ( argv[2], "SetRayCastFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRayCastFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastFunction" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRayCastFunction */
    Tcl_DStringAppendElement ( &dString, " Set/Get the helper class for casting rays.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRayCastFunction(vtkUnstructuredGridVolumeRayCastFunction *f);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for SetRayCastFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRayCastFunction */
    if ( strcmp ( argv[2], "GetRayCastFunction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRayCastFunction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRayCastFunction */
    Tcl_DStringAppendElement ( &dString, " Set/Get the helper class for casting rays.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastFunction *GetRayCastFunction();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetRayCastFunction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRayIntegrator */
    if ( strcmp ( argv[2], "SetRayIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRayIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayIntegrator" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRayIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the helper class for integrating rays.  If set to NULL, a\n default integrator will be assigned.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRayIntegrator(vtkUnstructuredGridVolumeRayIntegrator *ri);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for SetRayIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRayIntegrator */
    if ( strcmp ( argv[2], "GetRayIntegrator" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRayIntegrator" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRayIntegrator */
    Tcl_DStringAppendElement ( &dString, " Set/Get the helper class for integrating rays.  If set to NULL, a\n default integrator will be assigned.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayIntegrator *GetRayIntegrator();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetRayIntegrator */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkVolume" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n Initialize rendering for this volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void Render(vtkRenderer *, vtkVolume *);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE\n Release any graphics resources that are being consumed by this mapper.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageInUseSize */
    if ( strcmp ( argv[2], "GetImageInUseSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageInUseSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageInUseSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetImageInUseSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetImageInUseSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageOrigin */
    if ( strcmp ( argv[2], "GetImageOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageOrigin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetImageOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetImageOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageViewportSize */
    if ( strcmp ( argv[2], "GetImageViewportSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageViewportSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageViewportSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetImageViewportSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for GetImageViewportSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CastRays */
    if ( strcmp ( argv[2], "CastRays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CastRays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CastRays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void CastRays(int threadID, int threadCount);" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGridVolumeRayCastMapper" );
    /* Closing for CastRays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridVolumeMapperCppCommand(static_cast<vtkUnstructuredGridVolumeMapper *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
