// tcl wrapper for vtkVolumeOutlineSource object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeOutlineSource.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVolumeOutlineSourceNewCommand()
{
  vtkVolumeOutlineSource *temp = vtkVolumeOutlineSource::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVolumeOutlineSourceCppCommand(vtkVolumeOutlineSource *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVolumeOutlineSourceCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVolumeOutlineSourceCppCommand(static_cast<vtkVolumeOutlineSource *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVolumeOutlineSourceCppCommand(vtkVolumeOutlineSource *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVolumeOutlineSource",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVolumeOutlineSource  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeOutlineSource");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVolumeOutlineSource  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeOutlineSource");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVolumeOutlineSource  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeOutlineSource");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVolumeMapper",argv[1]))&&(argc == 3))
    {
    vtkVolumeMapper  *temp0;
    error = 0;

    temp0 = (vtkVolumeMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVolumeMapper"),interp,error));
    if (!error)
    {
    op->SetVolumeMapper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolumeMapper",argv[1]))&&(argc == 2))
    {
    vtkVolumeMapper  *temp20;
    temp20 = (op)->GetVolumeMapper();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeMapper");
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateScalars",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateScalarsOn",argv[1]))&&(argc == 2))
    {
    op->GenerateScalarsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateScalarsOff",argv[1]))&&(argc == 2))
    {
    op->GenerateScalarsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateScalars",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateScalars();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateOutline",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateOutline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateOutlineOn",argv[1]))&&(argc == 2))
    {
    op->GenerateOutlineOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateOutlineOff",argv[1]))&&(argc == 2))
    {
    op->GenerateOutlineOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateOutline",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateOutline();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateFaces",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateFaces(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GenerateFacesOn",argv[1]))&&(argc == 2))
    {
    op->GenerateFacesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateFacesOff",argv[1]))&&(argc == 2))
    {
    op->GenerateFacesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGenerateFaces",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateFaces();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetActivePlaneId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetActivePlaneId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActivePlaneId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetActivePlaneId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetActivePlaneColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetActivePlaneColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetActivePlaneColor",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetActivePlaneColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActivePlaneColor",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetActivePlaneColor();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVolumeOutlineSourceCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVolumeOutlineSource:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVolumeMapper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeMapper\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateScalarsOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateScalarsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateScalars\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateOutline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateOutlineOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateOutlineOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateOutline\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateFaces\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GenerateFacesOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateFacesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateFaces\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetColor\n",NULL);
    Tcl_AppendResult(interp,"  SetActivePlaneId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActivePlaneId\n",NULL);
    Tcl_AppendResult(interp,"  SetActivePlaneColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetActivePlaneColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActivePlaneColor\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetVolumeMapper" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeMapper" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateScalars" );
    Tcl_DStringAppendElement ( &dString, "GenerateScalarsOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateScalarsOff" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateScalars" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateOutline" );
    Tcl_DStringAppendElement ( &dString, "GenerateOutlineOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateOutlineOff" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateOutline" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateFaces" );
    Tcl_DStringAppendElement ( &dString, "GenerateFacesOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateFacesOff" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateFaces" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneId" );
    Tcl_DStringAppendElement ( &dString, "GetActivePlaneId" );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneColor" );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneColor" );
    Tcl_DStringAppendElement ( &dString, "GetActivePlaneColor" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkVolumeOutlineSource *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVolumeMapper */
    if ( strcmp ( argv[2], "SetVolumeMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVolumeMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVolumeMapper */
    Tcl_DStringAppendElement ( &dString, " Set the mapper that has the cropping region that the outline will\n be generated for.  The mapper must have an input, because the\n bounds of the data must be computed in order to generate the\n outline.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVolumeMapper(vtkVolumeMapper *mapper);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for SetVolumeMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeMapper */
    if ( strcmp ( argv[2], "GetVolumeMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeMapper */
    Tcl_DStringAppendElement ( &dString, " Set the mapper that has the cropping region that the outline will\n be generated for.  The mapper must have an input, because the\n bounds of the data must be computed in order to generate the\n outline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper *GetVolumeMapper();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GetVolumeMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateScalars */
    if ( strcmp ( argv[2], "SetGenerateScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateScalars */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate color scalars for the output.  By default,\n the output has no scalars and the color must be set in the\n property of the actor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateScalars(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for SetGenerateScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateScalarsOn */
    if ( strcmp ( argv[2], "GenerateScalarsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateScalarsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateScalarsOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate color scalars for the output.  By default,\n the output has no scalars and the color must be set in the\n property of the actor.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateScalarsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GenerateScalarsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateScalarsOff */
    if ( strcmp ( argv[2], "GenerateScalarsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateScalarsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateScalarsOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate color scalars for the output.  By default,\n the output has no scalars and the color must be set in the\n property of the actor.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateScalarsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GenerateScalarsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateScalars */
    if ( strcmp ( argv[2], "GetGenerateScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateScalars */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate color scalars for the output.  By default,\n the output has no scalars and the color must be set in the\n property of the actor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GetGenerateScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateOutline */
    if ( strcmp ( argv[2], "SetGenerateOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateOutline */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate an outline wherever an input face was\n cut by a plane.  This is on by default. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateOutline(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for SetGenerateOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateOutlineOn */
    if ( strcmp ( argv[2], "GenerateOutlineOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateOutlineOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateOutlineOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate an outline wherever an input face was\n cut by a plane.  This is on by default. \n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateOutlineOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GenerateOutlineOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateOutlineOff */
    if ( strcmp ( argv[2], "GenerateOutlineOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateOutlineOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateOutlineOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate an outline wherever an input face was\n cut by a plane.  This is on by default. \n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateOutlineOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GenerateOutlineOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateOutline */
    if ( strcmp ( argv[2], "GetGenerateOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateOutline */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate an outline wherever an input face was\n cut by a plane.  This is on by default. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateOutline();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GetGenerateOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateFaces */
    if ( strcmp ( argv[2], "SetGenerateFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateFaces */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate polygonal faces for the output.  By default,\n only lines are generated.  The faces will form a closed, watertight\n surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateFaces(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for SetGenerateFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateFacesOn */
    if ( strcmp ( argv[2], "GenerateFacesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateFacesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateFacesOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate polygonal faces for the output.  By default,\n only lines are generated.  The faces will form a closed, watertight\n surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateFacesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GenerateFacesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateFacesOff */
    if ( strcmp ( argv[2], "GenerateFacesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateFacesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateFacesOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate polygonal faces for the output.  By default,\n only lines are generated.  The faces will form a closed, watertight\n surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateFacesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GenerateFacesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateFaces */
    if ( strcmp ( argv[2], "GetGenerateFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateFaces */
    Tcl_DStringAppendElement ( &dString, " Set whether to generate polygonal faces for the output.  By default,\n only lines are generated.  The faces will form a closed, watertight\n surface.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateFaces();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GetGenerateFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColor */
    if ( strcmp ( argv[2], "SetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for SetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColor */
    if ( strcmp ( argv[2], "GetColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GetColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActivePlaneId */
    if ( strcmp ( argv[2], "SetActivePlaneId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActivePlaneId */
    Tcl_DStringAppendElement ( &dString, " Set the active plane, e.g. to display which plane is currently being\n modified by an interaction.  Set this to -1 if there is no active plane.\n The default value is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetActivePlaneId(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for SetActivePlaneId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActivePlaneId */
    if ( strcmp ( argv[2], "GetActivePlaneId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActivePlaneId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActivePlaneId */
    Tcl_DStringAppendElement ( &dString, " Set the active plane, e.g. to display which plane is currently being\n modified by an interaction.  Set this to -1 if there is no active plane.\n The default value is -1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetActivePlaneId();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GetActivePlaneId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActivePlaneColor */
    if ( strcmp ( argv[2], "SetActivePlaneColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActivePlaneColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetActivePlaneColor(double, double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for SetActivePlaneColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActivePlaneColor */
    if ( strcmp ( argv[2], "SetActivePlaneColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActivePlaneColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActivePlaneColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetActivePlaneColor(double a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for SetActivePlaneColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActivePlaneColor */
    if ( strcmp ( argv[2], "GetActivePlaneColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActivePlaneColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActivePlaneColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetActivePlaneColor();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeOutlineSource" );
    /* Closing for GetActivePlaneColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
