// tcl wrapper for vtkVolumePicker object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumePicker.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVolumePickerNewCommand()
{
  vtkVolumePicker *temp = vtkVolumePicker::New();
  return static_cast<ClientData>(temp);
}

int vtkCellPickerCppCommand(vtkCellPicker *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVolumePickerCppCommand(vtkVolumePicker *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVolumePickerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVolumePickerCppCommand(static_cast<vtkVolumePicker *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVolumePickerCppCommand(vtkVolumePicker *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVolumePicker",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkCellPickerCppCommand(static_cast<vtkCellPicker *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkCellPicker"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVolumePicker  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumePicker");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVolumePicker  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumePicker");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVolumePicker  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumePicker");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPickCroppingPlanes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPickCroppingPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PickCroppingPlanesOn",argv[1]))&&(argc == 2))
    {
    op->PickCroppingPlanesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PickCroppingPlanesOff",argv[1]))&&(argc == 2))
    {
    op->PickCroppingPlanesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPickCroppingPlanes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPickCroppingPlanes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCroppingPlaneId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCroppingPlaneId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVolumePickerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkCellPickerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVolumePicker:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPickCroppingPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PickCroppingPlanesOn\n",NULL);
    Tcl_AppendResult(interp,"  PickCroppingPlanesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPickCroppingPlanes\n",NULL);
    Tcl_AppendResult(interp,"  GetCroppingPlaneId\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkCellPickerCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetPickCroppingPlanes" );
    Tcl_DStringAppendElement ( &dString, "PickCroppingPlanesOn" );
    Tcl_DStringAppendElement ( &dString, "PickCroppingPlanesOff" );
    Tcl_DStringAppendElement ( &dString, "GetPickCroppingPlanes" );
    Tcl_DStringAppendElement ( &dString, "GetCroppingPlaneId" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkCellPickerCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkVolumePicker *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPickCroppingPlanes */
    if ( strcmp ( argv[2], "SetPickCroppingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPickCroppingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPickCroppingPlanes */
    Tcl_DStringAppendElement ( &dString, " Set whether to pick the cropping planes of props that have them.\n If this is set, then the pick will be done on the cropping planes\n rather than on the data. The GetCroppingPlaneId() method will return\n the index of the cropping plane of the volume that was picked.  This\n setting is only relevant to the picking of volumes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPickCroppingPlanes(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker" );
    /* Closing for SetPickCroppingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickCroppingPlanesOn */
    if ( strcmp ( argv[2], "PickCroppingPlanesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickCroppingPlanesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickCroppingPlanesOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to pick the cropping planes of props that have them.\n If this is set, then the pick will be done on the cropping planes\n rather than on the data. The GetCroppingPlaneId() method will return\n the index of the cropping plane of the volume that was picked.  This\n setting is only relevant to the picking of volumes.\n" );
    Tcl_DStringAppendElement ( &dString, "void PickCroppingPlanesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker" );
    /* Closing for PickCroppingPlanesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PickCroppingPlanesOff */
    if ( strcmp ( argv[2], "PickCroppingPlanesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PickCroppingPlanesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PickCroppingPlanesOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to pick the cropping planes of props that have them.\n If this is set, then the pick will be done on the cropping planes\n rather than on the data. The GetCroppingPlaneId() method will return\n the index of the cropping plane of the volume that was picked.  This\n setting is only relevant to the picking of volumes.\n" );
    Tcl_DStringAppendElement ( &dString, "void PickCroppingPlanesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker" );
    /* Closing for PickCroppingPlanesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickCroppingPlanes */
    if ( strcmp ( argv[2], "GetPickCroppingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickCroppingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickCroppingPlanes */
    Tcl_DStringAppendElement ( &dString, " Set whether to pick the cropping planes of props that have them.\n If this is set, then the pick will be done on the cropping planes\n rather than on the data. The GetCroppingPlaneId() method will return\n the index of the cropping plane of the volume that was picked.  This\n setting is only relevant to the picking of volumes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPickCroppingPlanes();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker" );
    /* Closing for GetPickCroppingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCroppingPlaneId */
    if ( strcmp ( argv[2], "GetCroppingPlaneId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCroppingPlaneId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCroppingPlaneId */
    Tcl_DStringAppendElement ( &dString, " Get the index of the cropping plane that the pick ray passed\n through on its way to the prop. This will be set regardless\n of whether PickCroppingPlanes is on.  The crop planes are ordered\n as follows: xmin, xmax, ymin, ymax, zmin, zmax.  If the volume is\n not cropped, the value will bet set to -1.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCroppingPlaneId();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumePicker" );
    /* Closing for GetCroppingPlaneId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkCellPickerCppCommand(static_cast<vtkCellPicker *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
