// tcl wrapper for vtkVolumeRayCastSpaceLeapingImageFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkVolumeRayCastSpaceLeapingImageFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkVolumeRayCastSpaceLeapingImageFilterNewCommand()
{
  vtkVolumeRayCastSpaceLeapingImageFilter *temp = vtkVolumeRayCastSpaceLeapingImageFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkVolumeRayCastSpaceLeapingImageFilterCppCommand(vtkVolumeRayCastSpaceLeapingImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkVolumeRayCastSpaceLeapingImageFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkVolumeRayCastSpaceLeapingImageFilterCppCommand(static_cast<vtkVolumeRayCastSpaceLeapingImageFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkVolumeRayCastSpaceLeapingImageFilterCppCommand(vtkVolumeRayCastSpaceLeapingImageFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkVolumeRayCastSpaceLeapingImageFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkVolumeRayCastSpaceLeapingImageFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeRayCastSpaceLeapingImageFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkVolumeRayCastSpaceLeapingImageFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeRayCastSpaceLeapingImageFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkVolumeRayCastSpaceLeapingImageFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeRayCastSpaceLeapingImageFilter");
    return TCL_OK;
    }
  if ((!strcmp("SetCurrentScalars",argv[1]))&&(argc == 3))
    {
    vtkDataArray  *temp0;
    error = 0;

    temp0 = (vtkDataArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataArray"),interp,error));
    if (!error)
    {
    op->SetCurrentScalars(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentScalars",argv[1]))&&(argc == 2))
    {
    vtkDataArray  *temp20;
    temp20 = (op)->GetCurrentScalars();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataArray");
    return TCL_OK;
    }
  if ((!strcmp("SetIndependentComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIndependentComponents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetIndependentComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIndependentComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeGradientOpacity",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeGradientOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeGradientOpacity",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeGradientOpacity();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeGradientOpacityOn",argv[1]))&&(argc == 2))
    {
    op->ComputeGradientOpacityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeGradientOpacityOff",argv[1]))&&(argc == 2))
    {
    op->ComputeGradientOpacityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetComputeMinMax",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetComputeMinMax(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetComputeMinMax",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetComputeMinMax();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeMinMaxOn",argv[1]))&&(argc == 2))
    {
    op->ComputeMinMaxOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeMinMaxOff",argv[1]))&&(argc == 2))
    {
    op->ComputeMinMaxOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUpdateGradientOpacityFlags",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUpdateGradientOpacityFlags(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUpdateGradientOpacityFlags",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUpdateGradientOpacityFlags();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateGradientOpacityFlagsOn",argv[1]))&&(argc == 2))
    {
    op->UpdateGradientOpacityFlagsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateGradientOpacityFlagsOff",argv[1]))&&(argc == 2))
    {
    op->UpdateGradientOpacityFlagsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLastMinMaxBuildTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetLastMinMaxBuildTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastMinMaxFlagTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetLastMinMaxFlagTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTableShift",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetTableShift(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTableShift",argv[1]))&&(argc == 6))
    {
    float  temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetTableShift(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTableShift",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetTableShift();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTableScale",argv[1]))&&(argc == 6))
    {
    float    temp0;
    float    temp1;
    float    temp2;
    float    temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetTableScale(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTableScale",argv[1]))&&(argc == 6))
    {
    float  temp0[4];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    op->SetTableScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTableScale",argv[1]))&&(argc == 2))
    {
    float   *temp20;
    temp20 = (op)->GetTableScale();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTableSize",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetTableSize(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTableSize",argv[1]))&&(argc == 6))
    {
    int    temp0[4];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp0[2] = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp0[3] = tempi;
    if (!error)
    {
    op->SetTableSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTableSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetTableSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i %i ",temp20[0],temp20[1],temp20[2],temp20[3]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfIndependentComponents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfIndependentComponents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCache",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetCache(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkVolumeRayCastSpaceLeapingImageFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkVolumeRayCastSpaceLeapingImageFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentScalars\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentScalars\n",NULL);
    Tcl_AppendResult(interp,"  SetIndependentComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetIndependentComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeGradientOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeGradientOpacity\n",NULL);
    Tcl_AppendResult(interp,"  ComputeGradientOpacityOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeGradientOpacityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetComputeMinMax\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetComputeMinMax\n",NULL);
    Tcl_AppendResult(interp,"  ComputeMinMaxOn\n",NULL);
    Tcl_AppendResult(interp,"  ComputeMinMaxOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUpdateGradientOpacityFlags\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUpdateGradientOpacityFlags\n",NULL);
    Tcl_AppendResult(interp,"  UpdateGradientOpacityFlagsOn\n",NULL);
    Tcl_AppendResult(interp,"  UpdateGradientOpacityFlagsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLastMinMaxBuildTime\n",NULL);
    Tcl_AppendResult(interp,"  GetLastMinMaxFlagTime\n",NULL);
    Tcl_AppendResult(interp,"  SetTableShift\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTableShift\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTableShift\n",NULL);
    Tcl_AppendResult(interp,"  SetTableScale\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTableScale\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTableScale\n",NULL);
    Tcl_AppendResult(interp,"  SetTableSize\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTableSize\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTableSize\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfIndependentComponents\n",NULL);
    Tcl_AppendResult(interp,"  SetCache\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentScalars" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentScalars" );
    Tcl_DStringAppendElement ( &dString, "SetIndependentComponents" );
    Tcl_DStringAppendElement ( &dString, "GetIndependentComponents" );
    Tcl_DStringAppendElement ( &dString, "SetComputeGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetComputeGradientOpacity" );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientOpacityOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientOpacityOff" );
    Tcl_DStringAppendElement ( &dString, "SetComputeMinMax" );
    Tcl_DStringAppendElement ( &dString, "GetComputeMinMax" );
    Tcl_DStringAppendElement ( &dString, "ComputeMinMaxOn" );
    Tcl_DStringAppendElement ( &dString, "ComputeMinMaxOff" );
    Tcl_DStringAppendElement ( &dString, "SetUpdateGradientOpacityFlags" );
    Tcl_DStringAppendElement ( &dString, "GetUpdateGradientOpacityFlags" );
    Tcl_DStringAppendElement ( &dString, "UpdateGradientOpacityFlagsOn" );
    Tcl_DStringAppendElement ( &dString, "UpdateGradientOpacityFlagsOff" );
    Tcl_DStringAppendElement ( &dString, "GetLastMinMaxBuildTime" );
    Tcl_DStringAppendElement ( &dString, "GetLastMinMaxFlagTime" );
    Tcl_DStringAppendElement ( &dString, "SetTableShift" );
    Tcl_DStringAppendElement ( &dString, "SetTableShift" );
    Tcl_DStringAppendElement ( &dString, "GetTableShift" );
    Tcl_DStringAppendElement ( &dString, "SetTableScale" );
    Tcl_DStringAppendElement ( &dString, "SetTableScale" );
    Tcl_DStringAppendElement ( &dString, "GetTableScale" );
    Tcl_DStringAppendElement ( &dString, "SetTableSize" );
    Tcl_DStringAppendElement ( &dString, "SetTableSize" );
    Tcl_DStringAppendElement ( &dString, "GetTableSize" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIndependentComponents" );
    Tcl_DStringAppendElement ( &dString, "SetCache" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkVolumeRayCastSpaceLeapingImageFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentScalars */
    if ( strcmp ( argv[2], "SetCurrentScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentScalars */
    Tcl_DStringAppendElement ( &dString, " Set the scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCurrentScalars(vtkDataArray *);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetCurrentScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentScalars */
    if ( strcmp ( argv[2], "GetCurrentScalars" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentScalars" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentScalars */
    Tcl_DStringAppendElement ( &dString, " Set the scalars.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataArray *GetCurrentScalars();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetCurrentScalars */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIndependentComponents */
    if ( strcmp ( argv[2], "SetIndependentComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIndependentComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIndependentComponents */
    Tcl_DStringAppendElement ( &dString, " Do we use independent components, or dependent components ?\n" );
    Tcl_DStringAppendElement ( &dString, "void SetIndependentComponents(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetIndependentComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIndependentComponents */
    if ( strcmp ( argv[2], "GetIndependentComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIndependentComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIndependentComponents */
    Tcl_DStringAppendElement ( &dString, " Do we use independent components, or dependent components ?\n" );
    Tcl_DStringAppendElement ( &dString, "int GetIndependentComponents();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetIndependentComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeGradientOpacity */
    if ( strcmp ( argv[2], "SetComputeGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Compute gradient opacity ?\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeGradientOpacity(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetComputeGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeGradientOpacity */
    if ( strcmp ( argv[2], "GetComputeGradientOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeGradientOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeGradientOpacity */
    Tcl_DStringAppendElement ( &dString, " Compute gradient opacity ?\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeGradientOpacity();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetComputeGradientOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeGradientOpacityOn */
    if ( strcmp ( argv[2], "ComputeGradientOpacityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientOpacityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeGradientOpacityOn */
    Tcl_DStringAppendElement ( &dString, " Compute gradient opacity ?\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeGradientOpacityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for ComputeGradientOpacityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeGradientOpacityOff */
    if ( strcmp ( argv[2], "ComputeGradientOpacityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeGradientOpacityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeGradientOpacityOff */
    Tcl_DStringAppendElement ( &dString, " Compute gradient opacity ?\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeGradientOpacityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for ComputeGradientOpacityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetComputeMinMax */
    if ( strcmp ( argv[2], "SetComputeMinMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetComputeMinMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetComputeMinMax */
    Tcl_DStringAppendElement ( &dString, " Compute the min max structure ?.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetComputeMinMax(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetComputeMinMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetComputeMinMax */
    if ( strcmp ( argv[2], "GetComputeMinMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetComputeMinMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetComputeMinMax */
    Tcl_DStringAppendElement ( &dString, " Compute the min max structure ?.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetComputeMinMax();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetComputeMinMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeMinMaxOn */
    if ( strcmp ( argv[2], "ComputeMinMaxOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeMinMaxOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeMinMaxOn */
    Tcl_DStringAppendElement ( &dString, " Compute the min max structure ?.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeMinMaxOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for ComputeMinMaxOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeMinMaxOff */
    if ( strcmp ( argv[2], "ComputeMinMaxOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeMinMaxOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeMinMaxOff */
    Tcl_DStringAppendElement ( &dString, " Compute the min max structure ?.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeMinMaxOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for ComputeMinMaxOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUpdateGradientOpacityFlags */
    if ( strcmp ( argv[2], "SetUpdateGradientOpacityFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUpdateGradientOpacityFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUpdateGradientOpacityFlags */
    Tcl_DStringAppendElement ( &dString, " Update the gradient opacity flags. (The scalar opacity flags are always\n updated upon execution of this filter.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUpdateGradientOpacityFlags(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetUpdateGradientOpacityFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUpdateGradientOpacityFlags */
    if ( strcmp ( argv[2], "GetUpdateGradientOpacityFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUpdateGradientOpacityFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUpdateGradientOpacityFlags */
    Tcl_DStringAppendElement ( &dString, " Update the gradient opacity flags. (The scalar opacity flags are always\n updated upon execution of this filter.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUpdateGradientOpacityFlags();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetUpdateGradientOpacityFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateGradientOpacityFlagsOn */
    if ( strcmp ( argv[2], "UpdateGradientOpacityFlagsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateGradientOpacityFlagsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateGradientOpacityFlagsOn */
    Tcl_DStringAppendElement ( &dString, " Update the gradient opacity flags. (The scalar opacity flags are always\n updated upon execution of this filter.)\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateGradientOpacityFlagsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for UpdateGradientOpacityFlagsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateGradientOpacityFlagsOff */
    if ( strcmp ( argv[2], "UpdateGradientOpacityFlagsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateGradientOpacityFlagsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateGradientOpacityFlagsOff */
    Tcl_DStringAppendElement ( &dString, " Update the gradient opacity flags. (The scalar opacity flags are always\n updated upon execution of this filter.)\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateGradientOpacityFlagsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for UpdateGradientOpacityFlagsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastMinMaxBuildTime */
    if ( strcmp ( argv[2], "GetLastMinMaxBuildTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastMinMaxBuildTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastMinMaxBuildTime */
    Tcl_DStringAppendElement ( &dString, " Get the last execution time. This is updated every\n time the scalars or the gradient opacity values are computed\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetLastMinMaxBuildTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetLastMinMaxBuildTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastMinMaxFlagTime */
    if ( strcmp ( argv[2], "GetLastMinMaxFlagTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastMinMaxFlagTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastMinMaxFlagTime */
    Tcl_DStringAppendElement ( &dString, " Get the last execution time. This is updated every time the flags bits\n are re-computed.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetLastMinMaxFlagTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetLastMinMaxFlagTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTableShift */
    if ( strcmp ( argv[2], "SetTableShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTableShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTableShift */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTableShift(float, float, float, float);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetTableShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTableShift */
    if ( strcmp ( argv[2], "SetTableShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTableShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTableShift */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTableShift(float a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetTableShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTableShift */
    if ( strcmp ( argv[2], "GetTableShift" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTableShift" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTableShift */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetTableShift();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetTableShift */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTableScale */
    if ( strcmp ( argv[2], "SetTableScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTableScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTableScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTableScale(float, float, float, float);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetTableScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTableScale */
    if ( strcmp ( argv[2], "SetTableScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTableScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTableScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTableScale(float a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetTableScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTableScale */
    if ( strcmp ( argv[2], "GetTableScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTableScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTableScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float *GetTableScale();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetTableScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTableSize */
    if ( strcmp ( argv[2], "SetTableSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTableSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTableSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTableSize(int, int, int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetTableSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTableSize */
    if ( strcmp ( argv[2], "SetTableSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTableSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTableSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTableSize(int a\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetTableSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTableSize */
    if ( strcmp ( argv[2], "GetTableSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTableSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTableSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetTableSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetTableSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfIndependentComponents */
    if ( strcmp ( argv[2], "GetNumberOfIndependentComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfIndependentComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfIndependentComponents */
    Tcl_DStringAppendElement ( &dString, " Get the number of independent components for which we need to keep track\n of min/max\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfIndependentComponents();" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for GetNumberOfIndependentComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCache */
    if ( strcmp ( argv[2], "SetCache" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCache" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCache */
    Tcl_DStringAppendElement ( &dString, " INTERNAL - Do not use\n Set the last cached min-max volume, as used by\n vtkFixedPointVolumeRayCastMapper.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCache(vtkImageData *imageCache);" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeRayCastSpaceLeapingImageFilter" );
    /* Closing for SetCache */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
