// tcl wrapper for vtkAngleRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAngleRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkWidgetRepresentationCppCommand(vtkWidgetRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAngleRepresentationCppCommand(vtkAngleRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAngleRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAngleRepresentationCppCommand(static_cast<vtkAngleRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAngleRepresentationCppCommand(vtkAngleRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAngleRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWidgetRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAngleRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAngleRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetAngle",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetAngle();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPoint1WorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint1WorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCenterWorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetCenterWorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2WorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint2WorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint1DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint1DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCenterDisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCenterDisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint2DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint1DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint1DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCenterDisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetCenterDisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2DisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint2DisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHandleRepresentation",argv[1]))&&(argc == 3))
    {
    vtkHandleRepresentation  *temp0;
    error = 0;

    temp0 = (vtkHandleRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkHandleRepresentation"),interp,error));
    if (!error)
    {
    op->SetHandleRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("InstantiateHandleRepresentation",argv[1]))&&(argc == 2))
    {
    op->InstantiateHandleRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPoint1Representation",argv[1]))&&(argc == 2))
    {
    vtkHandleRepresentation  *temp20;
    temp20 = (op)->GetPoint1Representation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHandleRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetCenterRepresentation",argv[1]))&&(argc == 2))
    {
    vtkHandleRepresentation  *temp20;
    temp20 = (op)->GetCenterRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHandleRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetPoint2Representation",argv[1]))&&(argc == 2))
    {
    vtkHandleRepresentation  *temp20;
    temp20 = (op)->GetPoint2Representation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHandleRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToleranceMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetToleranceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetToleranceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetRay1Visibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRay1Visibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRay1Visibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRay1Visibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Ray1VisibilityOn",argv[1]))&&(argc == 2))
    {
    op->Ray1VisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Ray1VisibilityOff",argv[1]))&&(argc == 2))
    {
    op->Ray1VisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRay2Visibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRay2Visibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRay2Visibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRay2Visibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Ray2VisibilityOn",argv[1]))&&(argc == 2))
    {
    op->Ray2VisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Ray2VisibilityOff",argv[1]))&&(argc == 2))
    {
    op->Ray2VisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetArcVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetArcVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArcVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetArcVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ArcVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->ArcVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ArcVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->ArcVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeInteractionState",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->StartWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CenterWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->CenterWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAngleRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAngleRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  GetAngle\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1WorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCenterWorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2WorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCenterDisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCenterDisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2DisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InstantiateHandleRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1Representation\n",NULL);
    Tcl_AppendResult(interp,"  GetCenterRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2Representation\n",NULL);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetRay1Visibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRay1Visibility\n",NULL);
    Tcl_AppendResult(interp,"  Ray1VisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  Ray1VisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRay2Visibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRay2Visibility\n",NULL);
    Tcl_AppendResult(interp,"  Ray2VisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  Ray2VisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetArcVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetArcVisibility\n",NULL);
    Tcl_AppendResult(interp,"  ArcVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  ArcVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  ComputeInteractionState\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  StartWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  CenterWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  WidgetInteraction\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "GetAngle" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1WorldPosition" );
    Tcl_DStringAppendElement ( &dString, "GetCenterWorldPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2WorldPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "SetCenterDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetCenterDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2DisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "SetHandleRepresentation" );
    Tcl_DStringAppendElement ( &dString, "InstantiateHandleRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Representation" );
    Tcl_DStringAppendElement ( &dString, "GetCenterRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Representation" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetRay1Visibility" );
    Tcl_DStringAppendElement ( &dString, "GetRay1Visibility" );
    Tcl_DStringAppendElement ( &dString, "Ray1VisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "Ray1VisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetRay2Visibility" );
    Tcl_DStringAppendElement ( &dString, "GetRay2Visibility" );
    Tcl_DStringAppendElement ( &dString, "Ray2VisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "Ray2VisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetArcVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetArcVisibility" );
    Tcl_DStringAppendElement ( &dString, "ArcVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "ArcVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "CenterWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAngle */
    if ( strcmp ( argv[2], "GetAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAngle */
    Tcl_DStringAppendElement ( &dString, " This representation and all subclasses must keep an angle (in degrees)\n consistent with the state of the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetAngle() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1WorldPosition */
    if ( strcmp ( argv[2], "GetPoint1WorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1WorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1WorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint1WorldPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetPoint1WorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenterWorldPosition */
    if ( strcmp ( argv[2], "GetCenterWorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenterWorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenterWorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCenterWorldPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetCenterWorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2WorldPosition */
    if ( strcmp ( argv[2], "GetPoint2WorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2WorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2WorldPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint2WorldPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetPoint2WorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1DisplayPosition */
    if ( strcmp ( argv[2], "SetPoint1DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint1DisplayPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for SetPoint1DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCenterDisplayPosition */
    if ( strcmp ( argv[2], "SetCenterDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenterDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenterDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCenterDisplayPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for SetCenterDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2DisplayPosition */
    if ( strcmp ( argv[2], "SetPoint2DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint2DisplayPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for SetPoint2DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1DisplayPosition */
    if ( strcmp ( argv[2], "GetPoint1DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint1DisplayPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetPoint1DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenterDisplayPosition */
    if ( strcmp ( argv[2], "GetCenterDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenterDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenterDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetCenterDisplayPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetCenterDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2DisplayPosition */
    if ( strcmp ( argv[2], "GetPoint2DisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2DisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2DisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Methods to Set/Get the coordinates of the three points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetPoint2DisplayPosition(double pos\\[3\\]) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetPoint2DisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleRepresentation */
    if ( strcmp ( argv[2], "SetHandleRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkHandleRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleRepresentation */
    Tcl_DStringAppendElement ( &dString, " This method is used to specify the type of handle representation to use\n for the three internal vtkHandleWidgets within vtkAngleRepresentation.\n To use this method, create a dummy vtkHandleRepresentation (or\n subclass), and then invoke this method with this dummy. Then the\n vtkAngleRepresentation uses this dummy to clone three\n vtkHandleRepresentations of the same type. Make sure you set the handle\n representation before the widget is enabled. (The method\n Instantiat ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleRepresentation(vtkHandleRepresentation *handle);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for SetHandleRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InstantiateHandleRepresentation */
    if ( strcmp ( argv[2], "InstantiateHandleRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InstantiateHandleRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InstantiateHandleRepresentation */
    Tcl_DStringAppendElement ( &dString, " This method is used to specify the type of handle representation to use\n for the three internal vtkHandleWidgets within vtkAngleRepresentation.\n To use this method, create a dummy vtkHandleRepresentation (or\n subclass), and then invoke this method with this dummy. Then the\n vtkAngleRepresentation uses this dummy to clone three\n vtkHandleRepresentations of the same type. Make sure you set the handle\n representation before the widget is enabled. (The method\n Instantiat ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void InstantiateHandleRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for InstantiateHandleRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1Representation */
    if ( strcmp ( argv[2], "GetPoint1Representation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Representation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1Representation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle representations used for the vtkAngleRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHandleRepresentation *GetPoint1Representation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetPoint1Representation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenterRepresentation */
    if ( strcmp ( argv[2], "GetCenterRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenterRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenterRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle representations used for the vtkAngleRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHandleRepresentation *GetCenterRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetCenterRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2Representation */
    if ( strcmp ( argv[2], "GetPoint2Representation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Representation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2Representation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle representations used for the vtkAngleRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHandleRepresentation *GetPoint2Representation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetPoint2Representation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the end points\n of the representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTolerance(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMinValue */
    if ( strcmp ( argv[2], "GetToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the end points\n of the representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetToleranceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMaxValue */
    if ( strcmp ( argv[2], "GetToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the end points\n of the representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetToleranceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the end points\n of the representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Specify the format to use for labelling the angle. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the angle value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFormat(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Specify the format to use for labelling the angle. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the angle value.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRay1Visibility */
    if ( strcmp ( argv[2], "SetRay1Visibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRay1Visibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRay1Visibility */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRay1Visibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for SetRay1Visibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRay1Visibility */
    if ( strcmp ( argv[2], "GetRay1Visibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRay1Visibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRay1Visibility */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRay1Visibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetRay1Visibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Ray1VisibilityOn */
    if ( strcmp ( argv[2], "Ray1VisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Ray1VisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Ray1VisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "void Ray1VisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for Ray1VisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Ray1VisibilityOff */
    if ( strcmp ( argv[2], "Ray1VisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Ray1VisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Ray1VisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "void Ray1VisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for Ray1VisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRay2Visibility */
    if ( strcmp ( argv[2], "SetRay2Visibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRay2Visibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRay2Visibility */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRay2Visibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for SetRay2Visibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRay2Visibility */
    if ( strcmp ( argv[2], "GetRay2Visibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRay2Visibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRay2Visibility */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRay2Visibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetRay2Visibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Ray2VisibilityOn */
    if ( strcmp ( argv[2], "Ray2VisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Ray2VisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Ray2VisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "void Ray2VisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for Ray2VisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Ray2VisibilityOff */
    if ( strcmp ( argv[2], "Ray2VisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Ray2VisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Ray2VisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "void Ray2VisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for Ray2VisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArcVisibility */
    if ( strcmp ( argv[2], "SetArcVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArcVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArcVisibility */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetArcVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for SetArcVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArcVisibility */
    if ( strcmp ( argv[2], "GetArcVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArcVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArcVisibility */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetArcVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for GetArcVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ArcVisibilityOn */
    if ( strcmp ( argv[2], "ArcVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ArcVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ArcVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "void ArcVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for ArcVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ArcVisibilityOff */
    if ( strcmp ( argv[2], "ArcVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ArcVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ArcVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Special methods for turning off the rays and arc that define the cone\n and arc of the angle.\n" );
    Tcl_DStringAppendElement ( &dString, "void ArcVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for ArcVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeInteractionState */
    if ( strcmp ( argv[2], "ComputeInteractionState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInteractionState */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ComputeInteractionState(int X, int Y, int modify=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for ComputeInteractionState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWidgetInteraction */
    if ( strcmp ( argv[2], "StartWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWidgetInteraction(double e\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for StartWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CenterWidgetInteraction */
    if ( strcmp ( argv[2], "CenterWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CenterWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CenterWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CenterWidgetInteraction(double e\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for CenterWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WidgetInteraction */
    if ( strcmp ( argv[2], "WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WidgetInteraction(double e\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAngleRepresentation" );
    /* Closing for WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
