// tcl wrapper for vtkBezierContourLineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBezierContourLineInterpolator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBezierContourLineInterpolatorNewCommand()
{
  vtkBezierContourLineInterpolator *temp = vtkBezierContourLineInterpolator::New();
  return static_cast<ClientData>(temp);
}

int vtkContourLineInterpolatorCppCommand(vtkContourLineInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBezierContourLineInterpolatorCppCommand(vtkBezierContourLineInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBezierContourLineInterpolatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBezierContourLineInterpolatorCppCommand(static_cast<vtkBezierContourLineInterpolator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBezierContourLineInterpolatorCppCommand(vtkBezierContourLineInterpolator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBezierContourLineInterpolator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkContourLineInterpolatorCppCommand(static_cast<vtkContourLineInterpolator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkContourLineInterpolator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBezierContourLineInterpolator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBezierContourLineInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBezierContourLineInterpolator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBezierContourLineInterpolator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBezierContourLineInterpolator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBezierContourLineInterpolator");
    return TCL_OK;
    }
    }
  if ((!strcmp("InterpolateLine",argv[1]))&&(argc == 6))
    {
    vtkRenderer  *temp0;
    vtkContourRepresentation  *temp1;
    int      temp2;
    int      temp3;
    int      temp20;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    temp1 = (vtkContourRepresentation *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkContourRepresentation"),interp,error));
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    temp20 = (op)->InterpolateLine(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaximumCurveError",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumCurveError(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumCurveErrorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumCurveErrorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumCurveErrorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumCurveErrorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumCurveError",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumCurveError();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumCurveLineSegments",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMaximumCurveLineSegments(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumCurveLineSegmentsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumCurveLineSegmentsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumCurveLineSegmentsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumCurveLineSegmentsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaximumCurveLineSegments",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMaximumCurveLineSegments();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSpan",argv[1]))&&(argc == 5))
    {
    int      temp0;
    vtkIntArray  *temp1;
    vtkContourRepresentation  *temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkIntArray *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkIntArray"),interp,error));
    temp2 = (vtkContourRepresentation *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkContourRepresentation"),interp,error));
    if (!error)
    {
    op->GetSpan(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBezierContourLineInterpolatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkContourLineInterpolatorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBezierContourLineInterpolator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  InterpolateLine\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumCurveError\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumCurveErrorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumCurveErrorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumCurveError\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumCurveLineSegments\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumCurveLineSegmentsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumCurveLineSegmentsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumCurveLineSegments\n",NULL);
    Tcl_AppendResult(interp,"  GetSpan\t with 3 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkContourLineInterpolatorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "InterpolateLine" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumCurveError" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveErrorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveErrorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveError" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumCurveLineSegments" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveLineSegmentsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveLineSegmentsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveLineSegments" );
    Tcl_DStringAppendElement ( &dString, "GetSpan" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkContourLineInterpolatorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBezierContourLineInterpolator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InterpolateLine */
    if ( strcmp ( argv[2], "InterpolateLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InterpolateLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InterpolateLine */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int InterpolateLine(vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2);" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for InterpolateLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumCurveError */
    if ( strcmp ( argv[2], "SetMaximumCurveError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumCurveError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumCurveError */
    Tcl_DStringAppendElement ( &dString, " The difference between a line segment connecting two points and the curve\n connecting the same points. In the limit of the length of the curve \n dx -> 0, the two values will be the same. The smaller this number, the \n finer the bezier curve will be interpolated. Default is 0.005\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumCurveError(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for SetMaximumCurveError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumCurveErrorMinValue */
    if ( strcmp ( argv[2], "GetMaximumCurveErrorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveErrorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumCurveErrorMinValue */
    Tcl_DStringAppendElement ( &dString, " The difference between a line segment connecting two points and the curve\n connecting the same points. In the limit of the length of the curve \n dx -> 0, the two values will be the same. The smaller this number, the \n finer the bezier curve will be interpolated. Default is 0.005\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumCurveErrorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for GetMaximumCurveErrorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumCurveErrorMaxValue */
    if ( strcmp ( argv[2], "GetMaximumCurveErrorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveErrorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumCurveErrorMaxValue */
    Tcl_DStringAppendElement ( &dString, " The difference between a line segment connecting two points and the curve\n connecting the same points. In the limit of the length of the curve \n dx -> 0, the two values will be the same. The smaller this number, the \n finer the bezier curve will be interpolated. Default is 0.005\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumCurveErrorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for GetMaximumCurveErrorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumCurveError */
    if ( strcmp ( argv[2], "GetMaximumCurveError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumCurveError */
    Tcl_DStringAppendElement ( &dString, " The difference between a line segment connecting two points and the curve\n connecting the same points. In the limit of the length of the curve \n dx -> 0, the two values will be the same. The smaller this number, the \n finer the bezier curve will be interpolated. Default is 0.005\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumCurveError();" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for GetMaximumCurveError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumCurveLineSegments */
    if ( strcmp ( argv[2], "SetMaximumCurveLineSegments" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumCurveLineSegments" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumCurveLineSegments */
    Tcl_DStringAppendElement ( &dString, " Maximum number of bezier line segments between two nodes. Larger values\n create a finer interpolation. Default is 100.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumCurveLineSegments(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for SetMaximumCurveLineSegments */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumCurveLineSegmentsMinValue */
    if ( strcmp ( argv[2], "GetMaximumCurveLineSegmentsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveLineSegmentsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumCurveLineSegmentsMinValue */
    Tcl_DStringAppendElement ( &dString, " Maximum number of bezier line segments between two nodes. Larger values\n create a finer interpolation. Default is 100.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumCurveLineSegmentsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for GetMaximumCurveLineSegmentsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumCurveLineSegmentsMaxValue */
    if ( strcmp ( argv[2], "GetMaximumCurveLineSegmentsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveLineSegmentsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumCurveLineSegmentsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Maximum number of bezier line segments between two nodes. Larger values\n create a finer interpolation. Default is 100.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumCurveLineSegmentsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for GetMaximumCurveLineSegmentsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumCurveLineSegments */
    if ( strcmp ( argv[2], "GetMaximumCurveLineSegments" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumCurveLineSegments" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumCurveLineSegments */
    Tcl_DStringAppendElement ( &dString, " Maximum number of bezier line segments between two nodes. Larger values\n create a finer interpolation. Default is 100.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMaximumCurveLineSegments();" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for GetMaximumCurveLineSegments */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSpan */
    if ( strcmp ( argv[2], "GetSpan" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSpan" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIntArray" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSpan */
    Tcl_DStringAppendElement ( &dString, " Span of the interpolator. ie. the number of control points its supposed\n to interpolate given a node. \n\n The first argument is the current nodeIndex.\n ie, you'd be trying to interpolate between nodes \"nodeIndex\" and \n \"nodeIndex-1\", unless you're closing the contour in which case, you're\n trying to interpolate \"nodeIndex\" and \"Node=0\". The node span is \n returned in a vtkIntArray. \n\n The node span is returned in a vtkIntArray. The node span returned by \n t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetSpan(int nodeIndex, vtkIntArray *nodeIndices, vtkContourRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkBezierContourLineInterpolator" );
    /* Closing for GetSpan */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkContourLineInterpolatorCppCommand(static_cast<vtkContourLineInterpolator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
