// tcl wrapper for vtkBorderWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBorderWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBorderWidgetNewCommand()
{
  vtkBorderWidget *temp = vtkBorderWidget::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractWidgetCppCommand(vtkAbstractWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBorderWidgetCppCommand(vtkBorderWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBorderWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBorderWidgetCppCommand(static_cast<vtkBorderWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBorderWidgetCppCommand(vtkBorderWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBorderWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBorderWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBorderWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBorderWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBorderWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBorderWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBorderWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSelectable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSelectable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SelectableOn",argv[1]))&&(argc == 2))
    {
    op->SelectableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SelectableOff",argv[1]))&&(argc == 2))
    {
    op->SelectableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResizable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResizable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResizable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResizable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ResizableOn",argv[1]))&&(argc == 2))
    {
    op->ResizableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResizableOff",argv[1]))&&(argc == 2))
    {
    op->ResizableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    vtkBorderRepresentation  *temp0;
    error = 0;

    temp0 = (vtkBorderRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkBorderRepresentation"),interp,error));
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorderRepresentation",argv[1]))&&(argc == 2))
    {
    vtkBorderRepresentation  *temp20;
    temp20 = (op)->GetBorderRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBorderRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultRepresentation",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBorderWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBorderWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectable\n",NULL);
    Tcl_AppendResult(interp,"  SelectableOn\n",NULL);
    Tcl_AppendResult(interp,"  SelectableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetResizable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResizable\n",NULL);
    Tcl_AppendResult(interp,"  ResizableOn\n",NULL);
    Tcl_AppendResult(interp,"  ResizableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultRepresentation\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetSelectable" );
    Tcl_DStringAppendElement ( &dString, "GetSelectable" );
    Tcl_DStringAppendElement ( &dString, "SelectableOn" );
    Tcl_DStringAppendElement ( &dString, "SelectableOff" );
    Tcl_DStringAppendElement ( &dString, "SetResizable" );
    Tcl_DStringAppendElement ( &dString, "GetResizable" );
    Tcl_DStringAppendElement ( &dString, "ResizableOn" );
    Tcl_DStringAppendElement ( &dString, "ResizableOff" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetBorderRepresentation" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Method to instantiate class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBorderWidget *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectable */
    if ( strcmp ( argv[2], "SetSelectable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectable */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the interior region of the widget can be selected or\n not. If not, then events (such as left mouse down) allow the user to\n \"move\" the widget, and no selection is possible. Otherwise the\n SelectRegion() method is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectable(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for SetSelectable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectable */
    if ( strcmp ( argv[2], "GetSelectable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectable */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the interior region of the widget can be selected or\n not. If not, then events (such as left mouse down) allow the user to\n \"move\" the widget, and no selection is possible. Otherwise the\n SelectRegion() method is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSelectable();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for GetSelectable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectableOn */
    if ( strcmp ( argv[2], "SelectableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectableOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the interior region of the widget can be selected or\n not. If not, then events (such as left mouse down) allow the user to\n \"move\" the widget, and no selection is possible. Otherwise the\n SelectRegion() method is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for SelectableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SelectableOff */
    if ( strcmp ( argv[2], "SelectableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SelectableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SelectableOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the interior region of the widget can be selected or\n not. If not, then events (such as left mouse down) allow the user to\n \"move\" the widget, and no selection is possible. Otherwise the\n SelectRegion() method is invoked.\n" );
    Tcl_DStringAppendElement ( &dString, "void SelectableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for SelectableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResizable */
    if ( strcmp ( argv[2], "SetResizable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResizable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResizable */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the boundary of the widget can be resized.\n If not, the cursor will not change to \"resize\" type when mouse\n over the boundary.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResizable(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for SetResizable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResizable */
    if ( strcmp ( argv[2], "GetResizable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResizable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResizable */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the boundary of the widget can be resized.\n If not, the cursor will not change to \"resize\" type when mouse\n over the boundary.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetResizable();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for GetResizable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResizableOn */
    if ( strcmp ( argv[2], "ResizableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResizableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResizableOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the boundary of the widget can be resized.\n If not, the cursor will not change to \"resize\" type when mouse\n over the boundary.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResizableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for ResizableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResizableOff */
    if ( strcmp ( argv[2], "ResizableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResizableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResizableOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the boundary of the widget can be resized.\n If not, the cursor will not change to \"resize\" type when mouse\n over the boundary.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResizableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for ResizableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkWidgetRepresentation used to represent this\n widget in the scene. Note that the representation is a subclass of vtkProp\n so it can be added to the renderer independent of the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation(vtkBorderRepresentation *r);" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderRepresentation */
    if ( strcmp ( argv[2], "GetBorderRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderRepresentation */
    Tcl_DStringAppendElement ( &dString, " Return the representation as a vtkBorderRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderRepresentation *GetBorderRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for GetBorderRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultRepresentation */
    if ( strcmp ( argv[2], "CreateDefaultRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultRepresentation */
    Tcl_DStringAppendElement ( &dString, " Create the default widget representation if one is not set. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateDefaultRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkBorderWidget" );
    /* Closing for CreateDefaultRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
