// tcl wrapper for vtkBrokenLineWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkBrokenLineWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkBrokenLineWidgetNewCommand()
{
  vtkBrokenLineWidget *temp = vtkBrokenLineWidget::New();
  return static_cast<ClientData>(temp);
}

int vtk3DWidgetCppCommand(vtk3DWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkBrokenLineWidgetCppCommand(vtkBrokenLineWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkBrokenLineWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkBrokenLineWidgetCppCommand(static_cast<vtkBrokenLineWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkBrokenLineWidgetCppCommand(vtkBrokenLineWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkBrokenLineWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtk3DWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkBrokenLineWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBrokenLineWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkBrokenLineWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBrokenLineWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkBrokenLineWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBrokenLineWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
    {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProjectToPlane",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProjectToPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectToPlane",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectToPlane();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ProjectToPlaneOn",argv[1]))&&(argc == 2))
    {
    op->ProjectToPlaneOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ProjectToPlaneOff",argv[1]))&&(argc == 2))
    {
    op->ProjectToPlaneOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneSource",argv[1]))&&(argc == 3))
    {
    vtkPlaneSource  *temp0;
    error = 0;

    temp0 = (vtkPlaneSource *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlaneSource"),interp,error));
    if (!error)
    {
    op->SetPlaneSource(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProjectionNormal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProjectionNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionNormalMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormalMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionNormalMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormalMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionNormal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToXAxes",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToXAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToYAxes",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToYAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToZAxes",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToZAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToOblique",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToOblique();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionPosition",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetProjectionPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionPosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProjectionPosition();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPolyData",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GetPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHandleProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetHandleProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedHandleProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetSelectedHandleProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLineProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetLineProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetLineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedLineProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetSelectedLineProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedLineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedLineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfHandles",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfHandles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfHandles",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfHandles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHandlePosition",argv[1]))&&(argc == 6))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetHandlePosition(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSummedLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSummedLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InitializeHandles",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->InitializeHandles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProcessEvents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProcessEvents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProcessEventsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProcessEventsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProcessEventsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProcessEventsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProcessEvents",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProcessEvents();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ProcessEventsOn",argv[1]))&&(argc == 2))
    {
    op->ProcessEventsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ProcessEventsOff",argv[1]))&&(argc == 2))
    {
    op->ProcessEventsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleSizeFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHandleSizeFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleSizeFactorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHandleSizeFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHandleSizeFactorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHandleSizeFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHandleSizeFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHandleSizeFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkBrokenLineWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkBrokenLineWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectToPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectToPlane\n",NULL);
    Tcl_AppendResult(interp,"  ProjectToPlaneOn\n",NULL);
    Tcl_AppendResult(interp,"  ProjectToPlaneOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneSource\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormalMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormalMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToXAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToYAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToZAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToOblique\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedHandleProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLineProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedLineProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedLineProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfHandles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfHandles\n",NULL);
    Tcl_AppendResult(interp,"  SetHandlePosition\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSummedLength\n",NULL);
    Tcl_AppendResult(interp,"  InitializeHandles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessEvents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessEventsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessEventsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProcessEvents\n",NULL);
    Tcl_AppendResult(interp,"  ProcessEventsOn\n",NULL);
    Tcl_AppendResult(interp,"  ProcessEventsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleSizeFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleSizeFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleSizeFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleSizeFactor\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "SetProjectToPlane" );
    Tcl_DStringAppendElement ( &dString, "GetProjectToPlane" );
    Tcl_DStringAppendElement ( &dString, "ProjectToPlaneOn" );
    Tcl_DStringAppendElement ( &dString, "ProjectToPlaneOff" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneSource" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormal" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormal" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToXAxes" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToYAxes" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToZAxes" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToOblique" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionPosition" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    Tcl_DStringAppendElement ( &dString, "SetHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "GetHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLineProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLineProperty" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedLineProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedLineProperty" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfHandles" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHandles" );
    Tcl_DStringAppendElement ( &dString, "SetHandlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetSummedLength" );
    Tcl_DStringAppendElement ( &dString, "InitializeHandles" );
    Tcl_DStringAppendElement ( &dString, "SetProcessEvents" );
    Tcl_DStringAppendElement ( &dString, "GetProcessEventsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetProcessEventsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetProcessEvents" );
    Tcl_DStringAppendElement ( &dString, "ProcessEventsOn" );
    Tcl_DStringAppendElement ( &dString, "ProcessEventsOff" );
    Tcl_DStringAppendElement ( &dString, "SetHandleSizeFactor" );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeFactor" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtk3DWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkBrokenLineWidget *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectToPlane */
    if ( strcmp ( argv[2], "SetProjectToPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectToPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectToPlane */
    Tcl_DStringAppendElement ( &dString, " Force the broken line widget to be projected onto one of the orthogonal planes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the broken line to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectToPlane(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetProjectToPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectToPlane */
    if ( strcmp ( argv[2], "GetProjectToPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectToPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectToPlane */
    Tcl_DStringAppendElement ( &dString, " Force the broken line widget to be projected onto one of the orthogonal planes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the broken line to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectToPlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetProjectToPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProjectToPlaneOn */
    if ( strcmp ( argv[2], "ProjectToPlaneOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProjectToPlaneOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProjectToPlaneOn */
    Tcl_DStringAppendElement ( &dString, " Force the broken line widget to be projected onto one of the orthogonal planes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the broken line to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n" );
    Tcl_DStringAppendElement ( &dString, "void ProjectToPlaneOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for ProjectToPlaneOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProjectToPlaneOff */
    if ( strcmp ( argv[2], "ProjectToPlaneOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProjectToPlaneOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProjectToPlaneOff */
    Tcl_DStringAppendElement ( &dString, " Force the broken line widget to be projected onto one of the orthogonal planes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the broken line to the plane if it is orginally\n not aligned.  The normal in SetProjectionNormal is 0,1,2 for YZ,XZ,XY\n planes respectively and 3 for arbitrary oblique planes when the widget\n is tied to a vtkPlaneSource.\n" );
    Tcl_DStringAppendElement ( &dString, "void ProjectToPlaneOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for ProjectToPlaneOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlaneSource */
    if ( strcmp ( argv[2], "SetPlaneSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneSource" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneSource */
    Tcl_DStringAppendElement ( &dString, " Set up a reference to a vtkPlaneSource that could be from another widget\n object, e.g. a vtkPolyDataSourceWidget.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneSource(vtkPlaneSource *plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetPlaneSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormal */
    if ( strcmp ( argv[2], "SetProjectionNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormal */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormal(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetProjectionNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormalMinValue */
    if ( strcmp ( argv[2], "GetProjectionNormalMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormalMinValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormalMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetProjectionNormalMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormalMaxValue */
    if ( strcmp ( argv[2], "GetProjectionNormalMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormalMaxValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormalMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetProjectionNormalMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormal */
    if ( strcmp ( argv[2], "GetProjectionNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormal */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetProjectionNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToXAxes */
    if ( strcmp ( argv[2], "SetProjectionNormalToXAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToXAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToXAxes */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToXAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetProjectionNormalToXAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToYAxes */
    if ( strcmp ( argv[2], "SetProjectionNormalToYAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToYAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToYAxes */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToYAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetProjectionNormalToYAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToZAxes */
    if ( strcmp ( argv[2], "SetProjectionNormalToZAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToZAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToZAxes */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToZAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetProjectionNormalToZAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToOblique */
    if ( strcmp ( argv[2], "SetProjectionNormalToOblique" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToOblique" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToOblique */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToOblique();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetProjectionNormalToOblique */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionPosition */
    if ( strcmp ( argv[2], "SetProjectionPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionPosition */
    Tcl_DStringAppendElement ( &dString, " Set the position of broken line handles and points in terms of a plane's\n position. i.e., if ProjectionNormal is 0, all of the x-coordinate\n values of the points are set to position. Any value can be passed (and is\n ignored) to update the broken line points when Projection normal is set to 3\n for arbritrary plane orientations.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionPosition(double position);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetProjectionPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionPosition */
    if ( strcmp ( argv[2], "GetProjectionPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionPosition */
    Tcl_DStringAppendElement ( &dString, " Set the position of broken line handles and points in terms of a plane's\n position. i.e., if ProjectionNormal is 0, all of the x-coordinate\n values of the points are set to position. Any value can be passed (and is\n ignored) to update the broken line points when Projection normal is set to 3\n for arbritrary plane orientations.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetProjectionPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetProjectionPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyData */
    if ( strcmp ( argv[2], "GetPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyData */
    Tcl_DStringAppendElement ( &dString, " Grab the polydata (including points) that defines the broken line.  The\n polydata consists of points and line segments numbering nHandles\n and nHandles - 1, respectively. Points are guaranteed to be up-to-date when\n either the InteractionEvent or  EndInteraction events are invoked. The\n user provides the vtkPolyData and the points and polyline are added to it.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPolyData(vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleProperty */
    if ( strcmp ( argv[2], "SetHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties (the spheres are the handles). The\n properties of the handles when selected and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHandleProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleProperty */
    if ( strcmp ( argv[2], "GetHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties (the spheres are the handles). The\n properties of the handles when selected and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetHandleProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedHandleProperty */
    if ( strcmp ( argv[2], "SetSelectedHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties (the spheres are the handles). The\n properties of the handles when selected and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectedHandleProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetSelectedHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedHandleProperty */
    if ( strcmp ( argv[2], "GetSelectedHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties (the spheres are the handles). The\n properties of the handles when selected and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedHandleProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetSelectedHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineProperty */
    if ( strcmp ( argv[2], "SetLineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLineProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetLineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineProperty */
    if ( strcmp ( argv[2], "GetLineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetLineProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetLineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedLineProperty */
    if ( strcmp ( argv[2], "SetSelectedLineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedLineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedLineProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectedLineProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetSelectedLineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedLineProperty */
    if ( strcmp ( argv[2], "GetSelectedLineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedLineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedLineProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedLineProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetSelectedLineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfHandles */
    if ( strcmp ( argv[2], "SetNumberOfHandles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfHandles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfHandles */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of handles for this widget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfHandles(int npts);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetNumberOfHandles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfHandles */
    if ( strcmp ( argv[2], "GetNumberOfHandles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHandles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfHandles */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of handles for this widget.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfHandles();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetNumberOfHandles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandlePosition */
    if ( strcmp ( argv[2], "SetHandlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the broken line handles. Call GetNumberOfHandles\n to determine the valid range of handle indices.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandlePosition(int handle, double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetHandlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSummedLength */
    if ( strcmp ( argv[2], "GetSummedLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSummedLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSummedLength */
    Tcl_DStringAppendElement ( &dString, " Get the summed lengths of the individual straight line segments.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSummedLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetSummedLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeHandles */
    if ( strcmp ( argv[2], "InitializeHandles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeHandles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeHandles */
    Tcl_DStringAppendElement ( &dString, " Convenience method to allocate and set the handles from a vtkPoints\n instance.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeHandles(vtkPoints *points);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for InitializeHandles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProcessEvents */
    if ( strcmp ( argv[2], "SetProcessEvents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProcessEvents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProcessEvents */
    Tcl_DStringAppendElement ( &dString, " Turn on / off event processing for this widget. If off, the widget will\n not respond to user interaction\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProcessEvents(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetProcessEvents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessEventsMinValue */
    if ( strcmp ( argv[2], "GetProcessEventsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessEventsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessEventsMinValue */
    Tcl_DStringAppendElement ( &dString, " Turn on / off event processing for this widget. If off, the widget will\n not respond to user interaction\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProcessEventsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetProcessEventsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessEventsMaxValue */
    if ( strcmp ( argv[2], "GetProcessEventsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessEventsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessEventsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Turn on / off event processing for this widget. If off, the widget will\n not respond to user interaction\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProcessEventsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetProcessEventsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProcessEvents */
    if ( strcmp ( argv[2], "GetProcessEvents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProcessEvents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProcessEvents */
    Tcl_DStringAppendElement ( &dString, " Turn on / off event processing for this widget. If off, the widget will\n not respond to user interaction\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProcessEvents();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetProcessEvents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProcessEventsOn */
    if ( strcmp ( argv[2], "ProcessEventsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProcessEventsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProcessEventsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on / off event processing for this widget. If off, the widget will\n not respond to user interaction\n" );
    Tcl_DStringAppendElement ( &dString, "void ProcessEventsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for ProcessEventsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProcessEventsOff */
    if ( strcmp ( argv[2], "ProcessEventsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProcessEventsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProcessEventsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on / off event processing for this widget. If off, the widget will\n not respond to user interaction\n" );
    Tcl_DStringAppendElement ( &dString, "void ProcessEventsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for ProcessEventsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleSizeFactor */
    if ( strcmp ( argv[2], "SetHandleSizeFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleSizeFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleSizeFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size factor to be applied to the handle radii.\n Default: 1.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleSizeFactor(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for SetHandleSizeFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleSizeFactorMinValue */
    if ( strcmp ( argv[2], "GetHandleSizeFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleSizeFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size factor to be applied to the handle radii.\n Default: 1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHandleSizeFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetHandleSizeFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleSizeFactorMaxValue */
    if ( strcmp ( argv[2], "GetHandleSizeFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleSizeFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size factor to be applied to the handle radii.\n Default: 1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHandleSizeFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetHandleSizeFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleSizeFactor */
    if ( strcmp ( argv[2], "GetHandleSizeFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleSizeFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size factor to be applied to the handle radii.\n Default: 1.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHandleSizeFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkBrokenLineWidget" );
    /* Closing for GetHandleSizeFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
