// tcl wrapper for vtkButtonRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkButtonRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkWidgetRepresentationCppCommand(vtkWidgetRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkButtonRepresentationCppCommand(vtkButtonRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkButtonRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkButtonRepresentationCppCommand(static_cast<vtkButtonRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkButtonRepresentationCppCommand(vtkButtonRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkButtonRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWidgetRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkButtonRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkButtonRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfStates",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfStates(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfStatesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfStatesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfStatesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfStatesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("NextState",argv[1]))&&(argc == 2))
    {
    op->NextState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PreviousState",argv[1]))&&(argc == 2))
    {
    op->PreviousState();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Highlight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Highlight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHighlightState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHighlightState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkButtonRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkButtonRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfStates\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfStatesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfStatesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetState\n",NULL);
    Tcl_AppendResult(interp,"  SetState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NextState\n",NULL);
    Tcl_AppendResult(interp,"  PreviousState\n",NULL);
    Tcl_AppendResult(interp,"  Highlight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHighlightState\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfStates" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfStatesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfStatesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetState" );
    Tcl_DStringAppendElement ( &dString, "SetState" );
    Tcl_DStringAppendElement ( &dString, "NextState" );
    Tcl_DStringAppendElement ( &dString, "PreviousState" );
    Tcl_DStringAppendElement ( &dString, "Highlight" );
    Tcl_DStringAppendElement ( &dString, "GetHighlightState" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfStates */
    if ( strcmp ( argv[2], "SetNumberOfStates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfStates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfStates */
    Tcl_DStringAppendElement ( &dString, " Retrieve the current button state.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfStates(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for SetNumberOfStates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfStatesMinValue */
    if ( strcmp ( argv[2], "GetNumberOfStatesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfStatesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfStatesMinValue */
    Tcl_DStringAppendElement ( &dString, " Retrieve the current button state.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfStatesMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for GetNumberOfStatesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfStatesMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfStatesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfStatesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfStatesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Retrieve the current button state.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfStatesMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for GetNumberOfStatesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetState */
    if ( strcmp ( argv[2], "GetState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetState */
    Tcl_DStringAppendElement ( &dString, " Retrieve the current button state.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetState();" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for GetState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetState */
    if ( strcmp ( argv[2], "SetState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetState */
    Tcl_DStringAppendElement ( &dString, " Manipulate the state. Note that the NextState() and PreviousState() methods\n use modulo traveral. The \"state\" integral value will be clamped within\n the possible state values (0<=state<NumberOfStates). Note that subclasses\n will override these methods in many cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetState(int state);" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for SetState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NextState */
    if ( strcmp ( argv[2], "NextState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NextState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NextState */
    Tcl_DStringAppendElement ( &dString, " Manipulate the state. Note that the NextState() and PreviousState() methods\n use modulo traveral. The \"state\" integral value will be clamped within\n the possible state values (0<=state<NumberOfStates). Note that subclasses\n will override these methods in many cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void NextState();" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for NextState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PreviousState */
    if ( strcmp ( argv[2], "PreviousState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PreviousState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PreviousState */
    Tcl_DStringAppendElement ( &dString, " Manipulate the state. Note that the NextState() and PreviousState() methods\n use modulo traveral. The \"state\" integral value will be clamped within\n the possible state values (0<=state<NumberOfStates). Note that subclasses\n will override these methods in many cases.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PreviousState();" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for PreviousState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Highlight */
    if ( strcmp ( argv[2], "Highlight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Highlight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Highlight */
    Tcl_DStringAppendElement ( &dString, " These methods control the appearance of the button as it is being\n interacted with. Subclasses will behave differently depending on their\n particulars.  HighlightHovering is used when the mouse pointer moves\n over the button. HighlightSelecting is set when the button is selected.\n Otherwise, the HighlightNormal is used. The Highlight() method will throw\n a vtkCommand::HighlightEvent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Highlight(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for Highlight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHighlightState */
    if ( strcmp ( argv[2], "GetHighlightState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHighlightState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHighlightState */
    Tcl_DStringAppendElement ( &dString, " These methods control the appearance of the button as it is being\n interacted with. Subclasses will behave differently depending on their\n particulars.  HighlightHovering is used when the mouse pointer moves\n over the button. HighlightSelecting is set when the button is selected.\n Otherwise, the HighlightNormal is used. The Highlight() method will throw\n a vtkCommand::HighlightEvent.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHighlightState();" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for GetHighlightState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Satisfy some of vtkProp's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkButtonRepresentation" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
