// tcl wrapper for vtkCaptionRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCaptionRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCaptionRepresentationNewCommand()
{
  vtkCaptionRepresentation *temp = vtkCaptionRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkBorderRepresentationCppCommand(vtkBorderRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCaptionRepresentationCppCommand(vtkCaptionRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCaptionRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCaptionRepresentationCppCommand(static_cast<vtkCaptionRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCaptionRepresentationCppCommand(vtkCaptionRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCaptionRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkBorderRepresentationCppCommand(static_cast<vtkBorderRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkBorderRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCaptionRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCaptionRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCaptionRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAnchorPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetAnchorPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnchorPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetAnchorPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCaptionActor2D",argv[1]))&&(argc == 3))
    {
    vtkCaptionActor2D  *temp0;
    error = 0;

    temp0 = (vtkCaptionActor2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCaptionActor2D"),interp,error));
    if (!error)
    {
    op->SetCaptionActor2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaptionActor2D",argv[1]))&&(argc == 2))
    {
    vtkCaptionActor2D  *temp20;
    temp20 = (op)->GetCaptionActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetAnchorRepresentation",argv[1]))&&(argc == 3))
    {
    vtkPointHandleRepresentation3D  *temp0;
    error = 0;

    temp0 = (vtkPointHandleRepresentation3D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPointHandleRepresentation3D"),interp,error));
    if (!error)
    {
    op->SetAnchorRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnchorRepresentation",argv[1]))&&(argc == 2))
    {
    vtkPointHandleRepresentation3D  *temp20;
    temp20 = (op)->GetAnchorRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointHandleRepresentation3D");
    return TCL_OK;
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSize",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors2D",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFontFactor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetFontFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFontFactorMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFontFactorMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontFactorMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFontFactorMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFontFactor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetFontFactor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCaptionRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkBorderRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCaptionRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAnchorPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCaptionActor2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaptionActor2D\n",NULL);
    Tcl_AppendResult(interp,"  SetAnchorRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnchorRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  GetSize\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActors2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetFontFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFactorMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFactorMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetFontFactor\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkBorderRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetAnchorPosition" );
    Tcl_DStringAppendElement ( &dString, "GetAnchorPosition" );
    Tcl_DStringAppendElement ( &dString, "SetCaptionActor2D" );
    Tcl_DStringAppendElement ( &dString, "GetCaptionActor2D" );
    Tcl_DStringAppendElement ( &dString, "SetAnchorRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetAnchorRepresentation" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetFontFactor" );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetFontFactor" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkBorderRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCaptionRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard VTK class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnchorPosition */
    if ( strcmp ( argv[2], "SetAnchorPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnchorPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnchorPosition */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the anchor (i.e., the point that the caption is anchored to).\n Note that the position should be specified in world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAnchorPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for SetAnchorPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnchorPosition */
    if ( strcmp ( argv[2], "GetAnchorPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnchorPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnchorPosition */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the anchor (i.e., the point that the caption is anchored to).\n Note that the position should be specified in world coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetAnchorPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for GetAnchorPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCaptionActor2D */
    if ( strcmp ( argv[2], "SetCaptionActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCaptionActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCaptionActor2D */
    Tcl_DStringAppendElement ( &dString, " Specify the vtkCaptionActor2D to manage. If not specified, then one\n is automatically created.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCaptionActor2D(vtkCaptionActor2D *captionActor);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for SetCaptionActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaptionActor2D */
    if ( strcmp ( argv[2], "GetCaptionActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaptionActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaptionActor2D */
    Tcl_DStringAppendElement ( &dString, " Specify the vtkCaptionActor2D to manage. If not specified, then one\n is automatically created.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D *GetCaptionActor2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for GetCaptionActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnchorRepresentation */
    if ( strcmp ( argv[2], "SetAnchorRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnchorRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnchorRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set and get the instances of vtkPointHandleRepresention3D used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAnchorRepresentation(vtkPointHandleRepresentation3D *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for SetAnchorRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnchorRepresentation */
    if ( strcmp ( argv[2], "GetAnchorRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnchorRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnchorRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set and get the instances of vtkPointHandleRepresention3D used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D *GetAnchorRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for GetAnchorRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " Satisfy the superclasses API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSize */
    if ( strcmp ( argv[2], "GetSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSize */
    Tcl_DStringAppendElement ( &dString, " Satisfy the superclasses API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetSize(double size\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for GetSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors2D */
    if ( strcmp ( argv[2], "GetActors2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors2D */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors2D(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for GetActors2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " These methods are necessary to make this representation behave as\n a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFontFactor */
    if ( strcmp ( argv[2], "SetFontFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFontFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFontFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts \n of the caption when the text actor's ScaledText is OFF \n" );
    Tcl_DStringAppendElement ( &dString, "void SetFontFactor(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for SetFontFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFactorMinValue */
    if ( strcmp ( argv[2], "GetFontFactorMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFactorMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts \n of the caption when the text actor's ScaledText is OFF \n" );
    Tcl_DStringAppendElement ( &dString, "double GetFontFactorMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for GetFontFactorMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFactorMaxValue */
    if ( strcmp ( argv[2], "GetFontFactorMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFactorMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFactorMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts \n of the caption when the text actor's ScaledText is OFF \n" );
    Tcl_DStringAppendElement ( &dString, "double GetFontFactorMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for GetFontFactorMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFontFactor */
    if ( strcmp ( argv[2], "GetFontFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFontFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFontFactor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls the overall size of the fonts \n of the caption when the text actor's ScaledText is OFF \n" );
    Tcl_DStringAppendElement ( &dString, "double GetFontFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    /* Closing for GetFontFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkBorderRepresentationCppCommand(static_cast<vtkBorderRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
