// tcl wrapper for vtkCaptionWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCaptionWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCaptionWidgetNewCommand()
{
  vtkCaptionWidget *temp = vtkCaptionWidget::New();
  return static_cast<ClientData>(temp);
}

int vtkBorderWidgetCppCommand(vtkBorderWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCaptionWidgetCppCommand(vtkCaptionWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCaptionWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCaptionWidgetCppCommand(static_cast<vtkCaptionWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCaptionWidgetCppCommand(vtkCaptionWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCaptionWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkBorderWidgetCppCommand(static_cast<vtkBorderWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkBorderWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCaptionWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCaptionWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCaptionWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    vtkCaptionRepresentation  *temp0;
    error = 0;

    temp0 = (vtkCaptionRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCaptionRepresentation"),interp,error));
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCaptionActor2D",argv[1]))&&(argc == 3))
    {
    vtkCaptionActor2D  *temp0;
    error = 0;

    temp0 = (vtkCaptionActor2D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCaptionActor2D"),interp,error));
    if (!error)
    {
    op->SetCaptionActor2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaptionActor2D",argv[1]))&&(argc == 2))
    {
    vtkCaptionActor2D  *temp20;
    temp20 = (op)->GetCaptionActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCaptionActor2D");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultRepresentation",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCaptionWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkBorderWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCaptionWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCaptionActor2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaptionActor2D\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultRepresentation\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkBorderWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetCaptionActor2D" );
    Tcl_DStringAppendElement ( &dString, "GetCaptionActor2D" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkBorderWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCaptionWidget *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard VTK class methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Override superclasses' SetEnabled() method because the caption leader\n has its own dedicated widget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled(int enabling);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkWidgetRepresentation used to represent this\n widget in the scene. Note that the representation is a subclass of vtkProp\n so it can be added to the renderer independent of the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation(vtkCaptionRepresentation *r);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCaptionActor2D */
    if ( strcmp ( argv[2], "SetCaptionActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCaptionActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCaptionActor2D */
    Tcl_DStringAppendElement ( &dString, " Specify a vtkCaptionActor2D to manage. This is convenient, alternative\n method to SetRepresentation(). It internally create a vtkCaptionRepresentation\n and then invokes vtkCaptionRepresentation::SetCaptionActor2D().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCaptionActor2D(vtkCaptionActor2D *capActor);" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget" );
    /* Closing for SetCaptionActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaptionActor2D */
    if ( strcmp ( argv[2], "GetCaptionActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaptionActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaptionActor2D */
    Tcl_DStringAppendElement ( &dString, " Specify a vtkCaptionActor2D to manage. This is convenient, alternative\n method to SetRepresentation(). It internally create a vtkCaptionRepresentation\n and then invokes vtkCaptionRepresentation::SetCaptionActor2D().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionActor2D *GetCaptionActor2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget" );
    /* Closing for GetCaptionActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultRepresentation */
    if ( strcmp ( argv[2], "CreateDefaultRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultRepresentation */
    Tcl_DStringAppendElement ( &dString, " Create the default widget representation if one is not set. \n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkCaptionWidget" );
    /* Closing for CreateDefaultRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkBorderWidgetCppCommand(static_cast<vtkBorderWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
