// tcl wrapper for vtkCheckerboardRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCheckerboardRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCheckerboardRepresentationNewCommand()
{
  vtkCheckerboardRepresentation *temp = vtkCheckerboardRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkWidgetRepresentationCppCommand(vtkWidgetRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCheckerboardRepresentationCppCommand(vtkCheckerboardRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkCheckerboardRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCheckerboardRepresentationCppCommand(static_cast<vtkCheckerboardRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCheckerboardRepresentationCppCommand(vtkCheckerboardRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCheckerboardRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWidgetRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCheckerboardRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCheckerboardRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCheckerboardRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCheckerboardRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCheckerboardRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCheckerboardRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCheckerboard",argv[1]))&&(argc == 3))
    {
    vtkImageCheckerboard  *temp0;
    error = 0;

    temp0 = (vtkImageCheckerboard *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageCheckerboard"),interp,error));
    if (!error)
    {
    op->SetCheckerboard(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCheckerboard",argv[1]))&&(argc == 2))
    {
    vtkImageCheckerboard  *temp20;
    temp20 = (op)->GetCheckerboard();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageCheckerboard");
    return TCL_OK;
    }
  if ((!strcmp("SetImageActor",argv[1]))&&(argc == 3))
    {
    vtkImageActor  *temp0;
    error = 0;

    temp0 = (vtkImageActor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageActor"),interp,error));
    if (!error)
    {
    op->SetImageActor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageActor",argv[1]))&&(argc == 2))
    {
    vtkImageActor  *temp20;
    temp20 = (op)->GetImageActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageActor");
    return TCL_OK;
    }
  if ((!strcmp("SetCornerOffset",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCornerOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCornerOffsetMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCornerOffsetMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCornerOffsetMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCornerOffsetMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCornerOffset",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCornerOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SliderValueChanged",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SliderValueChanged(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTopRepresentation",argv[1]))&&(argc == 3))
    {
    vtkSliderRepresentation3D  *temp0;
    error = 0;

    temp0 = (vtkSliderRepresentation3D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSliderRepresentation3D"),interp,error));
    if (!error)
    {
    op->SetTopRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRightRepresentation",argv[1]))&&(argc == 3))
    {
    vtkSliderRepresentation3D  *temp0;
    error = 0;

    temp0 = (vtkSliderRepresentation3D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSliderRepresentation3D"),interp,error));
    if (!error)
    {
    op->SetRightRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBottomRepresentation",argv[1]))&&(argc == 3))
    {
    vtkSliderRepresentation3D  *temp0;
    error = 0;

    temp0 = (vtkSliderRepresentation3D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSliderRepresentation3D"),interp,error));
    if (!error)
    {
    op->SetBottomRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLeftRepresentation",argv[1]))&&(argc == 3))
    {
    vtkSliderRepresentation3D  *temp0;
    error = 0;

    temp0 = (vtkSliderRepresentation3D *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSliderRepresentation3D"),interp,error));
    if (!error)
    {
    op->SetLeftRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTopRepresentation",argv[1]))&&(argc == 2))
    {
    vtkSliderRepresentation3D  *temp20;
    temp20 = (op)->GetTopRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSliderRepresentation3D");
    return TCL_OK;
    }
  if ((!strcmp("GetRightRepresentation",argv[1]))&&(argc == 2))
    {
    vtkSliderRepresentation3D  *temp20;
    temp20 = (op)->GetRightRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSliderRepresentation3D");
    return TCL_OK;
    }
  if ((!strcmp("GetBottomRepresentation",argv[1]))&&(argc == 2))
    {
    vtkSliderRepresentation3D  *temp20;
    temp20 = (op)->GetBottomRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSliderRepresentation3D");
    return TCL_OK;
    }
  if ((!strcmp("GetLeftRepresentation",argv[1]))&&(argc == 2))
    {
    vtkSliderRepresentation3D  *temp20;
    temp20 = (op)->GetLeftRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSliderRepresentation3D");
    return TCL_OK;
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCheckerboardRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCheckerboardRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCheckerboard\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCheckerboard\n",NULL);
    Tcl_AppendResult(interp,"  SetImageActor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageActor\n",NULL);
    Tcl_AppendResult(interp,"  SetCornerOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerOffsetMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerOffsetMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetCornerOffset\n",NULL);
    Tcl_AppendResult(interp,"  SliderValueChanged\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTopRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRightRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBottomRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTopRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  GetRightRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  GetBottomRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboard" );
    Tcl_DStringAppendElement ( &dString, "GetCheckerboard" );
    Tcl_DStringAppendElement ( &dString, "SetImageActor" );
    Tcl_DStringAppendElement ( &dString, "GetImageActor" );
    Tcl_DStringAppendElement ( &dString, "SetCornerOffset" );
    Tcl_DStringAppendElement ( &dString, "GetCornerOffsetMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetCornerOffsetMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetCornerOffset" );
    Tcl_DStringAppendElement ( &dString, "SliderValueChanged" );
    Tcl_DStringAppendElement ( &dString, "SetTopRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetRightRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetBottomRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetLeftRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetTopRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetRightRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetBottomRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetLeftRepresentation" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkCheckerboardRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCheckerboard */
    if ( strcmp ( argv[2], "SetCheckerboard" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCheckerboard" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageCheckerboard" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCheckerboard */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkImageCheckerboard to manipulate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCheckerboard(vtkImageCheckerboard *chkrbrd);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for SetCheckerboard */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCheckerboard */
    if ( strcmp ( argv[2], "GetCheckerboard" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCheckerboard" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCheckerboard */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkImageCheckerboard to manipulate.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCheckerboard *GetCheckerboard();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetCheckerboard */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageActor */
    if ( strcmp ( argv[2], "SetImageActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageActor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageActor */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkImageActor to decorate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageActor(vtkImageActor *imageActor);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for SetImageActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageActor */
    if ( strcmp ( argv[2], "GetImageActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageActor */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkImageActor to decorate.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageActor *GetImageActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetImageActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCornerOffset */
    if ( strcmp ( argv[2], "SetCornerOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCornerOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCornerOffset */
    Tcl_DStringAppendElement ( &dString, " Specify the offset of the ends of the sliders (on the boundary edges of\n the image) from the corner of the image. The offset is expressed as a\n normalized fraction of the border edges.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCornerOffset(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for SetCornerOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCornerOffsetMinValue */
    if ( strcmp ( argv[2], "GetCornerOffsetMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCornerOffsetMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCornerOffsetMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the offset of the ends of the sliders (on the boundary edges of\n the image) from the corner of the image. The offset is expressed as a\n normalized fraction of the border edges.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCornerOffsetMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetCornerOffsetMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCornerOffsetMaxValue */
    if ( strcmp ( argv[2], "GetCornerOffsetMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCornerOffsetMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCornerOffsetMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the offset of the ends of the sliders (on the boundary edges of\n the image) from the corner of the image. The offset is expressed as a\n normalized fraction of the border edges.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCornerOffsetMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetCornerOffsetMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCornerOffset */
    if ( strcmp ( argv[2], "GetCornerOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCornerOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCornerOffset */
    Tcl_DStringAppendElement ( &dString, " Specify the offset of the ends of the sliders (on the boundary edges of\n the image) from the corner of the image. The offset is expressed as a\n normalized fraction of the border edges.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCornerOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetCornerOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SliderValueChanged */
    if ( strcmp ( argv[2], "SliderValueChanged" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SliderValueChanged" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SliderValueChanged */
    Tcl_DStringAppendElement ( &dString, " This method is invoked by the vtkCheckerboardWidget() when a value of some\n slider has changed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SliderValueChanged(int sliderNum);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for SliderValueChanged */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTopRepresentation */
    if ( strcmp ( argv[2], "SetTopRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTopRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTopRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTopRepresentation(vtkSliderRepresentation3D *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for SetTopRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRightRepresentation */
    if ( strcmp ( argv[2], "SetRightRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRightRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRightRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRightRepresentation(vtkSliderRepresentation3D *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for SetRightRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBottomRepresentation */
    if ( strcmp ( argv[2], "SetBottomRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBottomRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBottomRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBottomRepresentation(vtkSliderRepresentation3D *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for SetBottomRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftRepresentation */
    if ( strcmp ( argv[2], "SetLeftRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation3D" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftRepresentation(vtkSliderRepresentation3D *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for SetLeftRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTopRepresentation */
    if ( strcmp ( argv[2], "GetTopRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTopRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTopRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation3D *GetTopRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetTopRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightRepresentation */
    if ( strcmp ( argv[2], "GetRightRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation3D *GetRightRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetRightRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBottomRepresentation */
    if ( strcmp ( argv[2], "GetBottomRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBottomRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBottomRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation3D *GetBottomRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetBottomRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftRepresentation */
    if ( strcmp ( argv[2], "GetLeftRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set and get the instances of vtkSliderRepresention used to implement this\n representation. Normally default representations are created, but you can\n specify the ones you want to use.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation3D *GetLeftRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetLeftRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " Methods required by superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " Methods required by superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Methods required by superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *w);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Methods required by superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods required by superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods required by superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods required by superclass.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkCheckerboardRepresentation" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
