// tcl wrapper for vtkConstrainedPointHandleRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkConstrainedPointHandleRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkConstrainedPointHandleRepresentationNewCommand()
{
  vtkConstrainedPointHandleRepresentation *temp = vtkConstrainedPointHandleRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkHandleRepresentationCppCommand(vtkHandleRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkConstrainedPointHandleRepresentationCppCommand(vtkConstrainedPointHandleRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkConstrainedPointHandleRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkConstrainedPointHandleRepresentationCppCommand(static_cast<vtkConstrainedPointHandleRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkConstrainedPointHandleRepresentationCppCommand(vtkConstrainedPointHandleRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkConstrainedPointHandleRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkHandleRepresentationCppCommand(static_cast<vtkHandleRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkHandleRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkConstrainedPointHandleRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkConstrainedPointHandleRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkConstrainedPointHandleRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkConstrainedPointHandleRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkConstrainedPointHandleRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkConstrainedPointHandleRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCursorShape",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetCursorShape(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCursorShape",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetCursorShape();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetActiveCursorShape",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetActiveCursorShape(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveCursorShape",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetActiveCursorShape();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProjectionNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionNormalMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormalMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionNormalMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormalMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionNormal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToXAxis",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToXAxis();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToYAxis",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToYAxis();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToZAxis",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToZAxis();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToOblique",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToOblique();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetObliquePlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->SetObliquePlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObliquePlane",argv[1]))&&(argc == 2))
    {
    vtkPlane  *temp20;
    temp20 = (op)->GetObliquePlane();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlane");
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionPosition",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetProjectionPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionPosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProjectionPosition();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AddBoundingPlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->AddBoundingPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveBoundingPlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->RemoveBoundingPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllBoundingPlanes",argv[1]))&&(argc == 2))
    {
    op->RemoveAllBoundingPlanes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBoundingPlanes",argv[1]))&&(argc == 3))
    {
    vtkPlaneCollection  *temp0;
    error = 0;

    temp0 = (vtkPlaneCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlaneCollection"),interp,error));
    if (!error)
    {
    op->SetBoundingPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBoundingPlanes",argv[1]))&&(argc == 2))
    {
    vtkPlaneCollection  *temp20;
    temp20 = (op)->GetBoundingPlanes();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlaneCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetBoundingPlanes",argv[1]))&&(argc == 3))
    {
    vtkPlanes  *temp0;
    error = 0;

    temp0 = (vtkPlanes *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlanes"),interp,error));
    if (!error)
    {
    op->SetBoundingPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetActiveProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetActiveProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->StartWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeInteractionState",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Highlight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Highlight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkConstrainedPointHandleRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkHandleRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkConstrainedPointHandleRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorShape\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveCursorShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveCursorShape\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormalMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormalMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToXAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToYAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToZAxis\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToOblique\n",NULL);
    Tcl_AppendResult(interp,"  SetObliquePlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetObliquePlane\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionPosition\n",NULL);
    Tcl_AppendResult(interp,"  AddBoundingPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBoundingPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllBoundingPlanes\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundingPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBoundingPlanes\n",NULL);
    Tcl_AppendResult(interp,"  SetBoundingPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  StartWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  WidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeInteractionState\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Highlight\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkHandleRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetCursorShape" );
    Tcl_DStringAppendElement ( &dString, "GetCursorShape" );
    Tcl_DStringAppendElement ( &dString, "SetActiveCursorShape" );
    Tcl_DStringAppendElement ( &dString, "GetActiveCursorShape" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormal" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormal" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToXAxis" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToYAxis" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToZAxis" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToOblique" );
    Tcl_DStringAppendElement ( &dString, "SetObliquePlane" );
    Tcl_DStringAppendElement ( &dString, "GetObliquePlane" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionPosition" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionPosition" );
    Tcl_DStringAppendElement ( &dString, "AddBoundingPlane" );
    Tcl_DStringAppendElement ( &dString, "RemoveBoundingPlane" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllBoundingPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetBoundingPlanes" );
    Tcl_DStringAppendElement ( &dString, "GetBoundingPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetBoundingPlanes" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedProperty" );
    Tcl_DStringAppendElement ( &dString, "GetActiveProperty" );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "Highlight" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkHandleRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkConstrainedPointHandleRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorShape */
    if ( strcmp ( argv[2], "SetCursorShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorShape */
    Tcl_DStringAppendElement ( &dString, " Specify the cursor shape. Keep in mind that the shape will be\n aligned with the  constraining plane by orienting it such that\n the x axis of the geometry lies along the normal of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorShape(vtkPolyData *cursorShape);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetCursorShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorShape */
    if ( strcmp ( argv[2], "GetCursorShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorShape */
    Tcl_DStringAppendElement ( &dString, " Specify the cursor shape. Keep in mind that the shape will be\n aligned with the  constraining plane by orienting it such that\n the x axis of the geometry lies along the normal of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetCursorShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetCursorShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveCursorShape */
    if ( strcmp ( argv[2], "SetActiveCursorShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveCursorShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveCursorShape */
    Tcl_DStringAppendElement ( &dString, " Specify the shape of the cursor (handle) when it is active.\n This is the geometry that will be used when the mouse is\n close to the handle or if the user is manipulating the handle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetActiveCursorShape(vtkPolyData *activeShape);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetActiveCursorShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveCursorShape */
    if ( strcmp ( argv[2], "GetActiveCursorShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveCursorShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveCursorShape */
    Tcl_DStringAppendElement ( &dString, " Specify the shape of the cursor (handle) when it is active.\n This is the geometry that will be used when the mouse is\n close to the handle or if the user is manipulating the handle.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetActiveCursorShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetActiveCursorShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormal */
    if ( strcmp ( argv[2], "SetProjectionNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormal */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is\n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormal(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetProjectionNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormalMinValue */
    if ( strcmp ( argv[2], "GetProjectionNormalMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormalMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is\n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormalMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetProjectionNormalMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormalMaxValue */
    if ( strcmp ( argv[2], "GetProjectionNormalMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormalMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is\n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormalMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetProjectionNormalMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormal */
    if ( strcmp ( argv[2], "GetProjectionNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormal */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal to lie along the x, y, or z axis,\n or to be oblique. If it is oblique, then the plane is\n defined in the ObliquePlane ivar.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetProjectionNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToXAxis */
    if ( strcmp ( argv[2], "SetProjectionNormalToXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToXAxis */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToXAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetProjectionNormalToXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToYAxis */
    if ( strcmp ( argv[2], "SetProjectionNormalToYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToYAxis */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToYAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetProjectionNormalToYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToZAxis */
    if ( strcmp ( argv[2], "SetProjectionNormalToZAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToZAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToZAxis */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToZAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetProjectionNormalToZAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToOblique */
    if ( strcmp ( argv[2], "SetProjectionNormalToOblique" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToOblique" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToOblique */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToOblique();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetProjectionNormalToOblique */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetObliquePlane */
    if ( strcmp ( argv[2], "SetObliquePlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetObliquePlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetObliquePlane */
    Tcl_DStringAppendElement ( &dString, " If the ProjectionNormal is set to Oblique, then this is the\n oblique plane used to constrain the handle position\n" );
    Tcl_DStringAppendElement ( &dString, "void SetObliquePlane(vtkPlane *);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetObliquePlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObliquePlane */
    if ( strcmp ( argv[2], "GetObliquePlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObliquePlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObliquePlane */
    Tcl_DStringAppendElement ( &dString, " If the ProjectionNormal is set to Oblique, then this is the\n oblique plane used to constrain the handle position\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlane *GetObliquePlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetObliquePlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionPosition */
    if ( strcmp ( argv[2], "SetProjectionPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionPosition */
    Tcl_DStringAppendElement ( &dString, " The position of the bounding plane from the origin along the\n normal. The origin and normal are defined in the oblique plane\n when the ProjectionNormal is Oblique. For the X, Y, and Z\n axes projection normals, the normal is the axis direction, and\n the origin is (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionPosition(double position);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetProjectionPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionPosition */
    if ( strcmp ( argv[2], "GetProjectionPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionPosition */
    Tcl_DStringAppendElement ( &dString, " The position of the bounding plane from the origin along the\n normal. The origin and normal are defined in the oblique plane\n when the ProjectionNormal is Oblique. For the X, Y, and Z\n axes projection normals, the normal is the axis direction, and\n the origin is (0,0,0).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetProjectionPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetProjectionPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddBoundingPlane */
    if ( strcmp ( argv[2], "AddBoundingPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddBoundingPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddBoundingPlane */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these constraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddBoundingPlane(vtkPlane *plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for AddBoundingPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveBoundingPlane */
    if ( strcmp ( argv[2], "RemoveBoundingPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveBoundingPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveBoundingPlane */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these constraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveBoundingPlane(vtkPlane *plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for RemoveBoundingPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllBoundingPlanes */
    if ( strcmp ( argv[2], "RemoveAllBoundingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllBoundingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllBoundingPlanes */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these constraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllBoundingPlanes();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for RemoveAllBoundingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundingPlanes */
    if ( strcmp ( argv[2], "SetBoundingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundingPlanes */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these constraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBoundingPlanes(vtkPlaneCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetBoundingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBoundingPlanes */
    if ( strcmp ( argv[2], "GetBoundingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBoundingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBoundingPlanes */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these constraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneCollection *GetBoundingPlanes();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetBoundingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBoundingPlanes */
    if ( strcmp ( argv[2], "SetBoundingPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBoundingPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlanes" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBoundingPlanes */
    Tcl_DStringAppendElement ( &dString, " A collection of plane equations used to bound the position of the point.\n This is in addition to confining the point to a plane - these constraints\n are meant to, for example, keep a point within the extent of an image.\n Using a set of plane equations allows for more complex bounds (such as\n bounding a point to an oblique reliced image that has hexagonal shape)\n than a simple extent.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBoundingPlanes(vtkPlanes *planes);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetBoundingPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point in display coordinates.  These are\n convenience methods that extend the superclasses' GetHandlePosition()\n method. Note that only the x-y coordinate values are used\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point in display coordinates.  These are\n convenience methods that extend the superclasses' GetHandlePosition()\n method. Note that only the x-y coordinate values are used\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition(double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point in display coordinates.  These are\n convenience methods that extend the superclasses' GetHandlePosition()\n method. Note that only the x-y coordinate values are used\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPosition(double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProperty */
    if ( strcmp ( argv[2], "GetProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProperty */
    Tcl_DStringAppendElement ( &dString, " This is the property used when the handle is not active\n (the mouse is not near the handle)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedProperty */
    if ( strcmp ( argv[2], "GetSelectedProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedProperty */
    Tcl_DStringAppendElement ( &dString, " This is the property used when the mouse is near the\n handle (but the user is not yet interacting with it)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetSelectedProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveProperty */
    if ( strcmp ( argv[2], "GetActiveProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveProperty */
    Tcl_DStringAppendElement ( &dString, " This is the property used when the user is interacting\n with the handle.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetActiveProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetActiveProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderer */
    if ( strcmp ( argv[2], "SetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderer */
    Tcl_DStringAppendElement ( &dString, " Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderer(vtkRenderer *ren);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWidgetInteraction */
    if ( strcmp ( argv[2], "StartWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWidgetInteraction(double eventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for StartWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WidgetInteraction */
    if ( strcmp ( argv[2], "WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WidgetInteraction(double eventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeInteractionState */
    if ( strcmp ( argv[2], "ComputeInteractionState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInteractionState */
    Tcl_DStringAppendElement ( &dString, " Subclasses of vtkConstrainedPointHandleRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ComputeInteractionState(int X, int Y, int modify);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for ComputeInteractionState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayPosition */
    if ( strcmp ( argv[2], "SetDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Method overridden from Superclass. computes the world\n co-ordinates using GetIntersectionPosition()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDisplayPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for SetDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Highlight */
    if ( strcmp ( argv[2], "Highlight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Highlight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Highlight */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Highlight(int highlight);" );
    Tcl_DStringAppendElement ( &dString, "vtkConstrainedPointHandleRepresentation" );
    /* Closing for Highlight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkHandleRepresentationCppCommand(static_cast<vtkHandleRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
