// tcl wrapper for vtkContourWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkContourWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkContourWidgetNewCommand()
{
  vtkContourWidget *temp = vtkContourWidget::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractWidgetCppCommand(vtkAbstractWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkContourWidgetCppCommand(vtkContourWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkContourWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkContourWidgetCppCommand(static_cast<vtkContourWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkContourWidgetCppCommand(vtkContourWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkContourWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkContourWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkContourWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkContourWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    vtkContourRepresentation  *temp0;
    error = 0;

    temp0 = (vtkContourRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkContourRepresentation"),interp,error));
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContourRepresentation",argv[1]))&&(argc == 2))
    {
    vtkContourRepresentation  *temp20;
    temp20 = (op)->GetContourRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkContourRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultRepresentation",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CloseLoop",argv[1]))&&(argc == 2))
    {
    op->CloseLoop();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetWidgetState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetWidgetState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWidgetState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAllowNodePicking",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllowNodePicking(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAllowNodePicking",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAllowNodePicking();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AllowNodePickingOn",argv[1]))&&(argc == 2))
    {
    op->AllowNodePickingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllowNodePickingOff",argv[1]))&&(argc == 2))
    {
    op->AllowNodePickingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFollowCursor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFollowCursor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFollowCursor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFollowCursor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FollowCursorOn",argv[1]))&&(argc == 2))
    {
    op->FollowCursorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FollowCursorOff",argv[1]))&&(argc == 2))
    {
    op->FollowCursorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetContinuousDraw",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetContinuousDraw(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetContinuousDraw",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetContinuousDraw();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ContinuousDrawOn",argv[1]))&&(argc == 2))
    {
    op->ContinuousDrawOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ContinuousDrawOff",argv[1]))&&(argc == 2))
    {
    op->ContinuousDrawOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 5))
    {
    vtkPolyData  *temp0;
    int      temp1;
    vtkIdList  *temp2;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = (vtkIdList *)(vtkTclGetPointerFromObject(argv[4],const_cast<char *>("vtkIdList"),interp,error));
    if (!error)
    {
    op->Initialize(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Initialize",argv[1]))&&(argc == 2))
    {
    op->Initialize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkContourWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkContourWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContourRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  CloseLoop\n",NULL);
    Tcl_AppendResult(interp,"  SetWidgetState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetState\n",NULL);
    Tcl_AppendResult(interp,"  SetAllowNodePicking\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAllowNodePicking\n",NULL);
    Tcl_AppendResult(interp,"  AllowNodePickingOn\n",NULL);
    Tcl_AppendResult(interp,"  AllowNodePickingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFollowCursor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFollowCursor\n",NULL);
    Tcl_AppendResult(interp,"  FollowCursorOn\n",NULL);
    Tcl_AppendResult(interp,"  FollowCursorOff\n",NULL);
    Tcl_AppendResult(interp,"  SetContinuousDraw\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetContinuousDraw\n",NULL);
    Tcl_AppendResult(interp,"  ContinuousDrawOn\n",NULL);
    Tcl_AppendResult(interp,"  ContinuousDrawOff\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  Initialize\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetContourRepresentation" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
    Tcl_DStringAppendElement ( &dString, "CloseLoop" );
    Tcl_DStringAppendElement ( &dString, "SetWidgetState" );
    Tcl_DStringAppendElement ( &dString, "GetWidgetState" );
    Tcl_DStringAppendElement ( &dString, "SetAllowNodePicking" );
    Tcl_DStringAppendElement ( &dString, "GetAllowNodePicking" );
    Tcl_DStringAppendElement ( &dString, "AllowNodePickingOn" );
    Tcl_DStringAppendElement ( &dString, "AllowNodePickingOff" );
    Tcl_DStringAppendElement ( &dString, "SetFollowCursor" );
    Tcl_DStringAppendElement ( &dString, "GetFollowCursor" );
    Tcl_DStringAppendElement ( &dString, "FollowCursorOn" );
    Tcl_DStringAppendElement ( &dString, "FollowCursorOff" );
    Tcl_DStringAppendElement ( &dString, "SetContinuousDraw" );
    Tcl_DStringAppendElement ( &dString, "GetContinuousDraw" );
    Tcl_DStringAppendElement ( &dString, "ContinuousDrawOn" );
    Tcl_DStringAppendElement ( &dString, "ContinuousDrawOff" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkContourWidget *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " The method for activating and deactivating this widget. This method\n must be overridden because it is a composite widget and does more than\n its superclasses' vtkAbstractWidget::SetEnabled() method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkWidgetRepresentation used to represent this\n widget in the scene. Note that the representation is a subclass of vtkProp\n so it can be added to the renderer independent of the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation(vtkContourRepresentation *r);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContourRepresentation */
    if ( strcmp ( argv[2], "GetContourRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContourRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContourRepresentation */
    Tcl_DStringAppendElement ( &dString, " Return the representation as a vtkContourRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkContourRepresentation *GetContourRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for GetContourRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultRepresentation */
    if ( strcmp ( argv[2], "CreateDefaultRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultRepresentation */
    Tcl_DStringAppendElement ( &dString, " Create the default widget representation if one is not set.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for CreateDefaultRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CloseLoop */
    if ( strcmp ( argv[2], "CloseLoop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CloseLoop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CloseLoop */
    Tcl_DStringAppendElement ( &dString, " Convenient method to close the contour loop.\n" );
    Tcl_DStringAppendElement ( &dString, "void CloseLoop();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for CloseLoop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWidgetState */
    if ( strcmp ( argv[2], "SetWidgetState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWidgetState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWidgetState */
    Tcl_DStringAppendElement ( &dString, " Convenient method to change what state the widget is in.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWidgetState(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for SetWidgetState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidgetState */
    if ( strcmp ( argv[2], "GetWidgetState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidgetState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidgetState */
    Tcl_DStringAppendElement ( &dString, " Convenient method to determine the state of the method\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWidgetState();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for GetWidgetState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllowNodePicking */
    if ( strcmp ( argv[2], "SetAllowNodePicking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllowNodePicking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllowNodePicking */
    Tcl_DStringAppendElement ( &dString, " Set / Get the AllowNodePicking value. This ivar indicates whether the nodes\n and points between nodes can be picked/un-picked by Ctrl+Click on the node.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAllowNodePicking(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for SetAllowNodePicking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAllowNodePicking */
    if ( strcmp ( argv[2], "GetAllowNodePicking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAllowNodePicking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAllowNodePicking */
    Tcl_DStringAppendElement ( &dString, " Set / Get the AllowNodePicking value. This ivar indicates whether the nodes\n and points between nodes can be picked/un-picked by Ctrl+Click on the node.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAllowNodePicking();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for GetAllowNodePicking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowNodePickingOn */
    if ( strcmp ( argv[2], "AllowNodePickingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowNodePickingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowNodePickingOn */
    Tcl_DStringAppendElement ( &dString, " Set / Get the AllowNodePicking value. This ivar indicates whether the nodes\n and points between nodes can be picked/un-picked by Ctrl+Click on the node.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowNodePickingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for AllowNodePickingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllowNodePickingOff */
    if ( strcmp ( argv[2], "AllowNodePickingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllowNodePickingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllowNodePickingOff */
    Tcl_DStringAppendElement ( &dString, " Set / Get the AllowNodePicking value. This ivar indicates whether the nodes\n and points between nodes can be picked/un-picked by Ctrl+Click on the node.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllowNodePickingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for AllowNodePickingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFollowCursor */
    if ( strcmp ( argv[2], "SetFollowCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFollowCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFollowCursor */
    Tcl_DStringAppendElement ( &dString, " Follow the cursor ? If this is ON, during definition, the last node of the\n contour will automatically follow the cursor, without waiting for the\n point to be dropped. This may be useful for some interpolators, such as the\n live-wire interpolator to see the shape of the contour that will be placed\n as you move the mouse cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFollowCursor(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for SetFollowCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFollowCursor */
    if ( strcmp ( argv[2], "GetFollowCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFollowCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFollowCursor */
    Tcl_DStringAppendElement ( &dString, " Follow the cursor ? If this is ON, during definition, the last node of the\n contour will automatically follow the cursor, without waiting for the\n point to be dropped. This may be useful for some interpolators, such as the\n live-wire interpolator to see the shape of the contour that will be placed\n as you move the mouse cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFollowCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for GetFollowCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FollowCursorOn */
    if ( strcmp ( argv[2], "FollowCursorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FollowCursorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FollowCursorOn */
    Tcl_DStringAppendElement ( &dString, " Follow the cursor ? If this is ON, during definition, the last node of the\n contour will automatically follow the cursor, without waiting for the\n point to be dropped. This may be useful for some interpolators, such as the\n live-wire interpolator to see the shape of the contour that will be placed\n as you move the mouse cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "void FollowCursorOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for FollowCursorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FollowCursorOff */
    if ( strcmp ( argv[2], "FollowCursorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FollowCursorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FollowCursorOff */
    Tcl_DStringAppendElement ( &dString, " Follow the cursor ? If this is ON, during definition, the last node of the\n contour will automatically follow the cursor, without waiting for the\n point to be dropped. This may be useful for some interpolators, such as the\n live-wire interpolator to see the shape of the contour that will be placed\n as you move the mouse cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "void FollowCursorOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for FollowCursorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetContinuousDraw */
    if ( strcmp ( argv[2], "SetContinuousDraw" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetContinuousDraw" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetContinuousDraw */
    Tcl_DStringAppendElement ( &dString, " Define a contour by continuously drawing with the mouse cursor.\n Press and hold the left mouse button down to continuously draw.\n Releasing the left mouse button switches into a snap drawing mode.\n Terminate the contour by pressing the right mouse button.  If you\n do not want to see the nodes as they are added to the contour, set the\n opacity to 0 of the representation's property.  If you do not want to\n see the last active node as it is being added, set the opacity t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetContinuousDraw(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for SetContinuousDraw */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContinuousDraw */
    if ( strcmp ( argv[2], "GetContinuousDraw" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContinuousDraw" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContinuousDraw */
    Tcl_DStringAppendElement ( &dString, " Define a contour by continuously drawing with the mouse cursor.\n Press and hold the left mouse button down to continuously draw.\n Releasing the left mouse button switches into a snap drawing mode.\n Terminate the contour by pressing the right mouse button.  If you\n do not want to see the nodes as they are added to the contour, set the\n opacity to 0 of the representation's property.  If you do not want to\n see the last active node as it is being added, set the opacity t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetContinuousDraw();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for GetContinuousDraw */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ContinuousDrawOn */
    if ( strcmp ( argv[2], "ContinuousDrawOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ContinuousDrawOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ContinuousDrawOn */
    Tcl_DStringAppendElement ( &dString, " Define a contour by continuously drawing with the mouse cursor.\n Press and hold the left mouse button down to continuously draw.\n Releasing the left mouse button switches into a snap drawing mode.\n Terminate the contour by pressing the right mouse button.  If you\n do not want to see the nodes as they are added to the contour, set the\n opacity to 0 of the representation's property.  If you do not want to\n see the last active node as it is being added, set the opacity t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ContinuousDrawOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for ContinuousDrawOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ContinuousDrawOff */
    if ( strcmp ( argv[2], "ContinuousDrawOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ContinuousDrawOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ContinuousDrawOff */
    Tcl_DStringAppendElement ( &dString, " Define a contour by continuously drawing with the mouse cursor.\n Press and hold the left mouse button down to continuously draw.\n Releasing the left mouse button switches into a snap drawing mode.\n Terminate the contour by pressing the right mouse button.  If you\n do not want to see the nodes as they are added to the contour, set the\n opacity to 0 of the representation's property.  If you do not want to\n see the last active node as it is being added, set the opacity t ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void ContinuousDrawOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for ContinuousDrawOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkIdList" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the contour widget from a user supplied set of points. The\n state of the widget decides if you are still defining the widget, or\n if you've finished defining (added the last point) are manipulating\n it. Note that if the polydata supplied is closed, the state will be\n set to manipulate.\n  State: Define = 0, Manipulate = 1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize(vtkPolyData *poly, int state=1, vtkIdList *idList=NULL);" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Initialize */
    if ( strcmp ( argv[2], "Initialize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Initialize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Initialize */
    Tcl_DStringAppendElement ( &dString, " Initialize the contour widget from a user supplied set of points. The\n state of the widget decides if you are still defining the widget, or\n if you've finished defining (added the last point) are manipulating\n it. Note that if the polydata supplied is closed, the state will be\n set to manipulate.\n  State: Define = 0, Manipulate = 1.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Initialize();" );
    Tcl_DStringAppendElement ( &dString, "vtkContourWidget" );
    /* Closing for Initialize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
