// tcl wrapper for vtkFixedSizeHandleRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkFixedSizeHandleRepresentation3D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkFixedSizeHandleRepresentation3DNewCommand()
{
  vtkFixedSizeHandleRepresentation3D *temp = vtkFixedSizeHandleRepresentation3D::New();
  return static_cast<ClientData>(temp);
}

int vtkPolygonalHandleRepresentation3DCppCommand(vtkPolygonalHandleRepresentation3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkFixedSizeHandleRepresentation3DCppCommand(vtkFixedSizeHandleRepresentation3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkFixedSizeHandleRepresentation3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkFixedSizeHandleRepresentation3DCppCommand(static_cast<vtkFixedSizeHandleRepresentation3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkFixedSizeHandleRepresentation3DCppCommand(vtkFixedSizeHandleRepresentation3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkFixedSizeHandleRepresentation3D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolygonalHandleRepresentation3DCppCommand(static_cast<vtkPolygonalHandleRepresentation3D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolygonalHandleRepresentation3D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkFixedSizeHandleRepresentation3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedSizeHandleRepresentation3D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkFixedSizeHandleRepresentation3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedSizeHandleRepresentation3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkFixedSizeHandleRepresentation3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkFixedSizeHandleRepresentation3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSphereSource",argv[1]))&&(argc == 2))
    {
    vtkSphereSource  *temp20;
    temp20 = (op)->GetSphereSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereSource");
    return TCL_OK;
    }
  if ((!strcmp("SetHandleSizeInPixels",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHandleSizeInPixels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleSizeInPixels",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHandleSizeInPixels();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleSizeToleranceInPixels",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHandleSizeToleranceInPixels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleSizeToleranceInPixels",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHandleSizeToleranceInPixels();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkFixedSizeHandleRepresentation3DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolygonalHandleRepresentation3DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkFixedSizeHandleRepresentation3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSphereSource\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleSizeInPixels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleSizeInPixels\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleSizeToleranceInPixels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleSizeToleranceInPixels\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolygonalHandleRepresentation3DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetSphereSource" );
    Tcl_DStringAppendElement ( &dString, "SetHandleSizeInPixels" );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeInPixels" );
    Tcl_DStringAppendElement ( &dString, "SetHandleSizeToleranceInPixels" );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeToleranceInPixels" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolygonalHandleRepresentation3DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkFixedSizeHandleRepresentation3D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard vtk methods\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard vtk methods\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard vtk methods\n" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard vtk methods\n" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphereSource */
    if ( strcmp ( argv[2], "GetSphereSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphereSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphereSource */
    Tcl_DStringAppendElement ( &dString, " Get the object used to render the spherical handle marker\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereSource *GetSphereSource();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D" );
    /* Closing for GetSphereSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleSizeInPixels */
    if ( strcmp ( argv[2], "SetHandleSizeInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleSizeInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleSizeInPixels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the required handle size in pixels. Defaults to a width of\n 10 pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleSizeInPixels(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D" );
    /* Closing for SetHandleSizeInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleSizeInPixels */
    if ( strcmp ( argv[2], "GetHandleSizeInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleSizeInPixels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the required handle size in pixels. Defaults to a width of\n 10 pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHandleSizeInPixels();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D" );
    /* Closing for GetHandleSizeInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleSizeToleranceInPixels */
    if ( strcmp ( argv[2], "SetHandleSizeToleranceInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleSizeToleranceInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleSizeToleranceInPixels */
    Tcl_DStringAppendElement ( &dString, " Specify the acceptable handle size tolerance. During each render, the\n handle 3D source will be updated to automatically match a display size\n as specified by HandleSizeInPixels. This update will be done if the\n handle size is larger than a tolerance. Default value of this\n tolerance is half a pixel.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleSizeToleranceInPixels(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D" );
    /* Closing for SetHandleSizeToleranceInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleSizeToleranceInPixels */
    if ( strcmp ( argv[2], "GetHandleSizeToleranceInPixels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleSizeToleranceInPixels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleSizeToleranceInPixels */
    Tcl_DStringAppendElement ( &dString, " Specify the acceptable handle size tolerance. During each render, the\n handle 3D source will be updated to automatically match a display size\n as specified by HandleSizeInPixels. This update will be done if the\n handle size is larger than a tolerance. Default value of this\n tolerance is half a pixel.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHandleSizeToleranceInPixels();" );
    Tcl_DStringAppendElement ( &dString, "vtkFixedSizeHandleRepresentation3D" );
    /* Closing for GetHandleSizeToleranceInPixels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolygonalHandleRepresentation3DCppCommand(static_cast<vtkPolygonalHandleRepresentation3D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
