// tcl wrapper for vtkImageCroppingRegionsWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageCroppingRegionsWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageCroppingRegionsWidgetNewCommand()
{
  vtkImageCroppingRegionsWidget *temp = vtkImageCroppingRegionsWidget::New();
  return static_cast<ClientData>(temp);
}

int vtk3DWidgetCppCommand(vtk3DWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageCroppingRegionsWidgetCppCommand(vtkImageCroppingRegionsWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageCroppingRegionsWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageCroppingRegionsWidgetCppCommand(static_cast<vtkImageCroppingRegionsWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageCroppingRegionsWidgetCppCommand(vtkImageCroppingRegionsWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageCroppingRegionsWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtk3DWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageCroppingRegionsWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageCroppingRegionsWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageCroppingRegionsWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageCroppingRegionsWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageCroppingRegionsWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageCroppingRegionsWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlanePositions",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPlanePositions();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPlanePositions",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetPlanePositions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlanePositions",argv[1]))&&(argc == 8))
    {
    float  temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetPlanePositions(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlanePositions",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetPlanePositions(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCroppingRegionFlags",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCroppingRegionFlags(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCroppingRegionFlags",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCroppingRegionFlags();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSliceOrientation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceOrientation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSliceOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSliceOrientationToXY",argv[1]))&&(argc == 2))
    {
    op->SetSliceOrientationToXY();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceOrientationToYZ",argv[1]))&&(argc == 2))
    {
    op->SetSliceOrientationToYZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceOrientationToXZ",argv[1]))&&(argc == 2))
    {
    op->SetSliceOrientationToXZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSlice",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSlice(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSlice",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSlice();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLine1Color",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetLine1Color(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLine1Color",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetLine1Color(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLine1Color",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetLine1Color(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLine2Color",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetLine2Color(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLine2Color",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetLine2Color(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLine2Color",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetLine2Color(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLine3Color",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetLine3Color(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLine3Color",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetLine3Color(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLine3Color",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetLine3Color(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLine4Color",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetLine4Color(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLine4Color",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetLine4Color(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLine4Color",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetLine4Color(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVolumeMapper",argv[1]))&&(argc == 3))
    {
    vtkVolumeMapper  *temp0;
    error = 0;

    temp0 = (vtkVolumeMapper *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkVolumeMapper"),interp,error));
    if (!error)
    {
    op->SetVolumeMapper(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolumeMapper",argv[1]))&&(argc == 2))
    {
    vtkVolumeMapper  *temp20;
    temp20 = (op)->GetVolumeMapper();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkVolumeMapper");
    return TCL_OK;
    }
  if ((!strcmp("UpdateAccordingToInput",argv[1]))&&(argc == 2))
    {
    op->UpdateAccordingToInput();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MoveHorizontalLine",argv[1]))&&(argc == 2))
    {
    op->MoveHorizontalLine();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MoveVerticalLine",argv[1]))&&(argc == 2))
    {
    op->MoveVerticalLine();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MoveIntersectingLines",argv[1]))&&(argc == 2))
    {
    op->MoveIntersectingLines();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UpdateCursorIcon",argv[1]))&&(argc == 2))
    {
    op->UpdateCursorIcon();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnButtonPress",argv[1]))&&(argc == 2))
    {
    op->OnButtonPress();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnButtonRelease",argv[1]))&&(argc == 2))
    {
    op->OnButtonRelease();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OnMouseMove",argv[1]))&&(argc == 2))
    {
    op->OnMouseMove();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageCroppingRegionsWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageCroppingRegionsWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlanePositions\n",NULL);
    Tcl_AppendResult(interp,"  SetPlanePositions\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPlanePositions\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPlanePositions\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCroppingRegionFlags\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCroppingRegionFlags\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceOrientationToXY\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceOrientationToYZ\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceOrientationToXZ\n",NULL);
    Tcl_AppendResult(interp,"  SetSlice\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSlice\n",NULL);
    Tcl_AppendResult(interp,"  SetLine1Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLine1Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLine1Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLine2Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLine2Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLine2Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLine3Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLine3Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLine3Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLine4Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLine4Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLine4Color\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetVolumeMapper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolumeMapper\n",NULL);
    Tcl_AppendResult(interp,"  UpdateAccordingToInput\n",NULL);
    Tcl_AppendResult(interp,"  MoveHorizontalLine\n",NULL);
    Tcl_AppendResult(interp,"  MoveVerticalLine\n",NULL);
    Tcl_AppendResult(interp,"  MoveIntersectingLines\n",NULL);
    Tcl_AppendResult(interp,"  UpdateCursorIcon\n",NULL);
    Tcl_AppendResult(interp,"  OnButtonPress\n",NULL);
    Tcl_AppendResult(interp,"  OnButtonRelease\n",NULL);
    Tcl_AppendResult(interp,"  OnMouseMove\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetPlanePositions" );
    Tcl_DStringAppendElement ( &dString, "SetPlanePositions" );
    Tcl_DStringAppendElement ( &dString, "SetPlanePositions" );
    Tcl_DStringAppendElement ( &dString, "SetPlanePositions" );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlags" );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionFlags" );
    Tcl_DStringAppendElement ( &dString, "GetSliceOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToXY" );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToYZ" );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToXZ" );
    Tcl_DStringAppendElement ( &dString, "SetSlice" );
    Tcl_DStringAppendElement ( &dString, "GetSlice" );
    Tcl_DStringAppendElement ( &dString, "SetLine1Color" );
    Tcl_DStringAppendElement ( &dString, "SetLine1Color" );
    Tcl_DStringAppendElement ( &dString, "GetLine1Color" );
    Tcl_DStringAppendElement ( &dString, "SetLine2Color" );
    Tcl_DStringAppendElement ( &dString, "SetLine2Color" );
    Tcl_DStringAppendElement ( &dString, "GetLine2Color" );
    Tcl_DStringAppendElement ( &dString, "SetLine3Color" );
    Tcl_DStringAppendElement ( &dString, "SetLine3Color" );
    Tcl_DStringAppendElement ( &dString, "GetLine3Color" );
    Tcl_DStringAppendElement ( &dString, "SetLine4Color" );
    Tcl_DStringAppendElement ( &dString, "SetLine4Color" );
    Tcl_DStringAppendElement ( &dString, "GetLine4Color" );
    Tcl_DStringAppendElement ( &dString, "SetVolumeMapper" );
    Tcl_DStringAppendElement ( &dString, "GetVolumeMapper" );
    Tcl_DStringAppendElement ( &dString, "UpdateAccordingToInput" );
    Tcl_DStringAppendElement ( &dString, "MoveHorizontalLine" );
    Tcl_DStringAppendElement ( &dString, "MoveVerticalLine" );
    Tcl_DStringAppendElement ( &dString, "MoveIntersectingLines" );
    Tcl_DStringAppendElement ( &dString, "UpdateCursorIcon" );
    Tcl_DStringAppendElement ( &dString, "OnButtonPress" );
    Tcl_DStringAppendElement ( &dString, "OnButtonRelease" );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtk3DWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageCroppingRegionsWidget *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Place/Adjust widget within bounds\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the widget\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled(int enabling);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlanePositions */
    if ( strcmp ( argv[2], "GetPlanePositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlanePositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlanePositions */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetPlanePositions();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for GetPlanePositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlanePositions */
    if ( strcmp ( argv[2], "SetPlanePositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlanePositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlanePositions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the plane positions that represent the cropped region.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlanePositions(double pos\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetPlanePositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlanePositions */
    if ( strcmp ( argv[2], "SetPlanePositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlanePositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlanePositions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the plane positions that represent the cropped region.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlanePositions(float pos\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetPlanePositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlanePositions */
    if ( strcmp ( argv[2], "SetPlanePositions" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlanePositions" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlanePositions */
    Tcl_DStringAppendElement ( &dString, " Set/Get the plane positions that represent the cropped region.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlanePositions(double xMin, double xMax, double yMin, double yMax, double zMin, double zMax);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetPlanePositions */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCroppingRegionFlags */
    if ( strcmp ( argv[2], "SetCroppingRegionFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCroppingRegionFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCroppingRegionFlags */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cropping region flags\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCroppingRegionFlags(int flags);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetCroppingRegionFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCroppingRegionFlags */
    if ( strcmp ( argv[2], "GetCroppingRegionFlags" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCroppingRegionFlags" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCroppingRegionFlags */
    Tcl_DStringAppendElement ( &dString, " Set/Get the cropping region flags\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCroppingRegionFlags();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for GetCroppingRegionFlags */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceOrientation */
    if ( strcmp ( argv[2], "GetSliceOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceOrientation */
    Tcl_DStringAppendElement ( &dString, " Set/get the slice orientation\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSliceOrientation();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for GetSliceOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceOrientation */
    if ( strcmp ( argv[2], "SetSliceOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceOrientation */
    Tcl_DStringAppendElement ( &dString, " Set/get the slice orientation\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceOrientation(int orientation);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetSliceOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceOrientationToXY */
    if ( strcmp ( argv[2], "SetSliceOrientationToXY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToXY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceOrientationToXY */
    Tcl_DStringAppendElement ( &dString, " Set/get the slice orientation\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceOrientationToXY();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetSliceOrientationToXY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceOrientationToYZ */
    if ( strcmp ( argv[2], "SetSliceOrientationToYZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToYZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceOrientationToYZ */
    Tcl_DStringAppendElement ( &dString, " Set/get the slice orientation\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceOrientationToYZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetSliceOrientationToYZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceOrientationToXZ */
    if ( strcmp ( argv[2], "SetSliceOrientationToXZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceOrientationToXZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceOrientationToXZ */
    Tcl_DStringAppendElement ( &dString, " Set/get the slice orientation\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSliceOrientationToXZ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetSliceOrientationToXZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlice */
    if ( strcmp ( argv[2], "SetSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlice */
    Tcl_DStringAppendElement ( &dString, " Set/Get the slice number\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSlice(int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlice */
    if ( strcmp ( argv[2], "GetSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlice */
    Tcl_DStringAppendElement ( &dString, " Set/Get the slice number\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSlice();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for GetSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLine1Color */
    if ( strcmp ( argv[2], "SetLine1Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLine1Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLine1Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 1 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLine1Color(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetLine1Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLine1Color */
    if ( strcmp ( argv[2], "SetLine1Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLine1Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLine1Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 1 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLine1Color(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetLine1Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLine1Color */
    if ( strcmp ( argv[2], "GetLine1Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLine1Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLine1Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 1 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetLine1Color(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for GetLine1Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLine2Color */
    if ( strcmp ( argv[2], "SetLine2Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLine2Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLine2Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 2 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLine2Color(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetLine2Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLine2Color */
    if ( strcmp ( argv[2], "SetLine2Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLine2Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLine2Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 2 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLine2Color(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetLine2Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLine2Color */
    if ( strcmp ( argv[2], "GetLine2Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLine2Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLine2Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 2 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetLine2Color(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for GetLine2Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLine3Color */
    if ( strcmp ( argv[2], "SetLine3Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLine3Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLine3Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 3 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLine3Color(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetLine3Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLine3Color */
    if ( strcmp ( argv[2], "SetLine3Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLine3Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLine3Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 3 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLine3Color(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetLine3Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLine3Color */
    if ( strcmp ( argv[2], "GetLine3Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLine3Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLine3Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 3 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetLine3Color(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for GetLine3Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLine4Color */
    if ( strcmp ( argv[2], "SetLine4Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLine4Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLine4Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 4 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLine4Color(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetLine4Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLine4Color */
    if ( strcmp ( argv[2], "SetLine4Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLine4Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLine4Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 4 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLine4Color(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetLine4Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLine4Color */
    if ( strcmp ( argv[2], "GetLine4Color" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLine4Color" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLine4Color */
    Tcl_DStringAppendElement ( &dString, " Set/Get line 4 color\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetLine4Color(double rgb\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for GetLine4Color */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVolumeMapper */
    if ( strcmp ( argv[2], "SetVolumeMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVolumeMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVolumeMapper */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input volume mapper\n Update the widget according to its mapper\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVolumeMapper(vtkVolumeMapper *mapper);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for SetVolumeMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolumeMapper */
    if ( strcmp ( argv[2], "GetVolumeMapper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolumeMapper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolumeMapper */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input volume mapper\n Update the widget according to its mapper\n" );
    Tcl_DStringAppendElement ( &dString, "vtkVolumeMapper *GetVolumeMapper();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for GetVolumeMapper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateAccordingToInput */
    if ( strcmp ( argv[2], "UpdateAccordingToInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateAccordingToInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateAccordingToInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input volume mapper\n Update the widget according to its mapper\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateAccordingToInput();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for UpdateAccordingToInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MoveHorizontalLine */
    if ( strcmp ( argv[2], "MoveHorizontalLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MoveHorizontalLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MoveHorizontalLine */
    Tcl_DStringAppendElement ( &dString, " Callbacks for user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "void MoveHorizontalLine();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for MoveHorizontalLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MoveVerticalLine */
    if ( strcmp ( argv[2], "MoveVerticalLine" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MoveVerticalLine" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MoveVerticalLine */
    Tcl_DStringAppendElement ( &dString, " Callbacks for user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "void MoveVerticalLine();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for MoveVerticalLine */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MoveIntersectingLines */
    if ( strcmp ( argv[2], "MoveIntersectingLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MoveIntersectingLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MoveIntersectingLines */
    Tcl_DStringAppendElement ( &dString, " Callbacks for user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "void MoveIntersectingLines();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for MoveIntersectingLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateCursorIcon */
    if ( strcmp ( argv[2], "UpdateCursorIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateCursorIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateCursorIcon */
    Tcl_DStringAppendElement ( &dString, " Callbacks for user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdateCursorIcon();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for UpdateCursorIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnButtonPress */
    if ( strcmp ( argv[2], "OnButtonPress" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnButtonPress" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnButtonPress */
    Tcl_DStringAppendElement ( &dString, " Callbacks for user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "void OnButtonPress();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for OnButtonPress */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnButtonRelease */
    if ( strcmp ( argv[2], "OnButtonRelease" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnButtonRelease" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnButtonRelease */
    Tcl_DStringAppendElement ( &dString, " Callbacks for user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "void OnButtonRelease();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for OnButtonRelease */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OnMouseMove */
    if ( strcmp ( argv[2], "OnMouseMove" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OnMouseMove" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OnMouseMove */
    Tcl_DStringAppendElement ( &dString, " Callbacks for user interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "void OnMouseMove();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageCroppingRegionsWidget" );
    /* Closing for OnMouseMove */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
