// tcl wrapper for vtkImageTracerWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageTracerWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageTracerWidgetNewCommand()
{
  vtkImageTracerWidget *temp = vtkImageTracerWidget::New();
  return static_cast<ClientData>(temp);
}

int vtk3DWidgetCppCommand(vtk3DWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageTracerWidgetCppCommand(vtkImageTracerWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageTracerWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageTracerWidgetCppCommand(static_cast<vtkImageTracerWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageTracerWidgetCppCommand(vtkImageTracerWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageTracerWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtk3DWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageTracerWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageTracerWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageTracerWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageTracerWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageTracerWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageTracerWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
    {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHandleProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetHandleProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedHandleProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetSelectedHandleProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLineProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetLineProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetLineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedLineProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetSelectedLineProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedLineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedLineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->SetViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetProjectToPlane",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProjectToPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectToPlane",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectToPlane();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ProjectToPlaneOn",argv[1]))&&(argc == 2))
    {
    op->ProjectToPlaneOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ProjectToPlaneOff",argv[1]))&&(argc == 2))
    {
    op->ProjectToPlaneOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormal",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProjectionNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionNormalMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormalMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionNormalMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormalMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProjectionNormal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetProjectionNormal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToXAxes",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToXAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToYAxes",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToYAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionNormalToZAxes",argv[1]))&&(argc == 2))
    {
    op->SetProjectionNormalToZAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProjectionPosition",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetProjectionPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProjectionPosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetProjectionPosition();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSnapToImage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSnapToImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSnapToImage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSnapToImage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SnapToImageOn",argv[1]))&&(argc == 2))
    {
    op->SnapToImageOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SnapToImageOff",argv[1]))&&(argc == 2))
    {
    op->SnapToImageOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAutoClose",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAutoClose(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAutoClose",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAutoClose();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AutoCloseOn",argv[1]))&&(argc == 2))
    {
    op->AutoCloseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AutoCloseOff",argv[1]))&&(argc == 2))
    {
    op->AutoCloseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCaptureRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCaptureRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCaptureRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCaptureRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPath",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GetPath(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlyphSource",argv[1]))&&(argc == 2))
    {
    vtkGlyphSource2D  *temp20;
    temp20 = (op)->GetGlyphSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyphSource2D");
    return TCL_OK;
    }
  if ((!strcmp("SetImageSnapType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetImageSnapType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImageSnapTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageSnapTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSnapTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageSnapTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetImageSnapType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetImageSnapType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHandlePosition",argv[1]))&&(argc == 6))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetHandlePosition(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandlePosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetHandlePosition(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfHandles",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfHandles();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInteraction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteraction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteraction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InteractionOn",argv[1]))&&(argc == 2))
    {
    op->InteractionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractionOff",argv[1]))&&(argc == 2))
    {
    op->InteractionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeHandles",argv[1]))&&(argc == 3))
    {
    vtkPoints  *temp0;
    error = 0;

    temp0 = (vtkPoints *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPoints"),interp,error));
    if (!error)
    {
    op->InitializeHandles(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsClosed",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsClosed();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleLeftMouseButton",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHandleLeftMouseButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleLeftMouseButton",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHandleLeftMouseButton();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HandleLeftMouseButtonOn",argv[1]))&&(argc == 2))
    {
    op->HandleLeftMouseButtonOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HandleLeftMouseButtonOff",argv[1]))&&(argc == 2))
    {
    op->HandleLeftMouseButtonOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleMiddleMouseButton",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHandleMiddleMouseButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleMiddleMouseButton",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHandleMiddleMouseButton();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HandleMiddleMouseButtonOn",argv[1]))&&(argc == 2))
    {
    op->HandleMiddleMouseButtonOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HandleMiddleMouseButtonOff",argv[1]))&&(argc == 2))
    {
    op->HandleMiddleMouseButtonOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleRightMouseButton",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHandleRightMouseButton(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleRightMouseButton",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHandleRightMouseButton();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HandleRightMouseButtonOn",argv[1]))&&(argc == 2))
    {
    op->HandleRightMouseButtonOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HandleRightMouseButtonOff",argv[1]))&&(argc == 2))
    {
    op->HandleRightMouseButtonOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->SetProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageTracerWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageTracerWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedHandleProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLineProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedLineProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedLineProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectToPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectToPlane\n",NULL);
    Tcl_AppendResult(interp,"  ProjectToPlaneOn\n",NULL);
    Tcl_AppendResult(interp,"  ProjectToPlaneOff\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormalMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormalMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionNormal\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToXAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToYAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionNormalToZAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetProjectionPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProjectionPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetSnapToImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSnapToImage\n",NULL);
    Tcl_AppendResult(interp,"  SnapToImageOn\n",NULL);
    Tcl_AppendResult(interp,"  SnapToImageOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAutoClose\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAutoClose\n",NULL);
    Tcl_AppendResult(interp,"  AutoCloseOn\n",NULL);
    Tcl_AppendResult(interp,"  AutoCloseOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCaptureRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCaptureRadius\n",NULL);
    Tcl_AppendResult(interp,"  GetPath\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphSource\n",NULL);
    Tcl_AppendResult(interp,"  SetImageSnapType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSnapTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSnapTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetImageSnapType\n",NULL);
    Tcl_AppendResult(interp,"  SetHandlePosition\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetHandlePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfHandles\n",NULL);
    Tcl_AppendResult(interp,"  SetInteraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteraction\n",NULL);
    Tcl_AppendResult(interp,"  InteractionOn\n",NULL);
    Tcl_AppendResult(interp,"  InteractionOff\n",NULL);
    Tcl_AppendResult(interp,"  InitializeHandles\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsClosed\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleLeftMouseButton\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleLeftMouseButton\n",NULL);
    Tcl_AppendResult(interp,"  HandleLeftMouseButtonOn\n",NULL);
    Tcl_AppendResult(interp,"  HandleLeftMouseButtonOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleMiddleMouseButton\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleMiddleMouseButton\n",NULL);
    Tcl_AppendResult(interp,"  HandleMiddleMouseButtonOn\n",NULL);
    Tcl_AppendResult(interp,"  HandleMiddleMouseButtonOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleRightMouseButton\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleRightMouseButton\n",NULL);
    Tcl_AppendResult(interp,"  HandleRightMouseButtonOn\n",NULL);
    Tcl_AppendResult(interp,"  HandleRightMouseButtonOff\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetProp\t with 1 arg\n",NULL);
#endif
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "SetHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "GetHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLineProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLineProperty" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedLineProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedLineProperty" );
    Tcl_DStringAppendElement ( &dString, "SetViewProp" );
    Tcl_DStringAppendElement ( &dString, "SetProjectToPlane" );
    Tcl_DStringAppendElement ( &dString, "GetProjectToPlane" );
    Tcl_DStringAppendElement ( &dString, "ProjectToPlaneOn" );
    Tcl_DStringAppendElement ( &dString, "ProjectToPlaneOff" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormal" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormal" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToXAxes" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToYAxes" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToZAxes" );
    Tcl_DStringAppendElement ( &dString, "SetProjectionPosition" );
    Tcl_DStringAppendElement ( &dString, "GetProjectionPosition" );
    Tcl_DStringAppendElement ( &dString, "SetSnapToImage" );
    Tcl_DStringAppendElement ( &dString, "GetSnapToImage" );
    Tcl_DStringAppendElement ( &dString, "SnapToImageOn" );
    Tcl_DStringAppendElement ( &dString, "SnapToImageOff" );
    Tcl_DStringAppendElement ( &dString, "SetAutoClose" );
    Tcl_DStringAppendElement ( &dString, "GetAutoClose" );
    Tcl_DStringAppendElement ( &dString, "AutoCloseOn" );
    Tcl_DStringAppendElement ( &dString, "AutoCloseOff" );
    Tcl_DStringAppendElement ( &dString, "SetCaptureRadius" );
    Tcl_DStringAppendElement ( &dString, "GetCaptureRadius" );
    Tcl_DStringAppendElement ( &dString, "GetPath" );
    Tcl_DStringAppendElement ( &dString, "GetGlyphSource" );
    Tcl_DStringAppendElement ( &dString, "SetImageSnapType" );
    Tcl_DStringAppendElement ( &dString, "GetImageSnapTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSnapTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetImageSnapType" );
    Tcl_DStringAppendElement ( &dString, "SetHandlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetHandlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHandles" );
    Tcl_DStringAppendElement ( &dString, "SetInteraction" );
    Tcl_DStringAppendElement ( &dString, "GetInteraction" );
    Tcl_DStringAppendElement ( &dString, "InteractionOn" );
    Tcl_DStringAppendElement ( &dString, "InteractionOff" );
    Tcl_DStringAppendElement ( &dString, "InitializeHandles" );
    Tcl_DStringAppendElement ( &dString, "IsClosed" );
    Tcl_DStringAppendElement ( &dString, "SetHandleLeftMouseButton" );
    Tcl_DStringAppendElement ( &dString, "GetHandleLeftMouseButton" );
    Tcl_DStringAppendElement ( &dString, "HandleLeftMouseButtonOn" );
    Tcl_DStringAppendElement ( &dString, "HandleLeftMouseButtonOff" );
    Tcl_DStringAppendElement ( &dString, "SetHandleMiddleMouseButton" );
    Tcl_DStringAppendElement ( &dString, "GetHandleMiddleMouseButton" );
    Tcl_DStringAppendElement ( &dString, "HandleMiddleMouseButtonOn" );
    Tcl_DStringAppendElement ( &dString, "HandleMiddleMouseButtonOff" );
    Tcl_DStringAppendElement ( &dString, "SetHandleRightMouseButton" );
    Tcl_DStringAppendElement ( &dString, "GetHandleRightMouseButton" );
    Tcl_DStringAppendElement ( &dString, "HandleRightMouseButtonOn" );
    Tcl_DStringAppendElement ( &dString, "HandleRightMouseButtonOff" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetProp" );
#endif
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtk3DWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageTracerWidget *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleProperty */
    if ( strcmp ( argv[2], "SetHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties (the 2D glyphs are the handles). The\n properties of the handles when selected and normal can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHandleProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleProperty */
    if ( strcmp ( argv[2], "GetHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties (the 2D glyphs are the handles). The\n properties of the handles when selected and normal can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetHandleProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedHandleProperty */
    if ( strcmp ( argv[2], "SetSelectedHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties (the 2D glyphs are the handles). The\n properties of the handles when selected and normal can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectedHandleProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetSelectedHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedHandleProperty */
    if ( strcmp ( argv[2], "GetSelectedHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties (the 2D glyphs are the handles). The\n properties of the handles when selected and normal can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedHandleProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetSelectedHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineProperty */
    if ( strcmp ( argv[2], "SetLineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLineProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetLineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineProperty */
    if ( strcmp ( argv[2], "GetLineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetLineProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetLineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedLineProperty */
    if ( strcmp ( argv[2], "SetSelectedLineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedLineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedLineProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectedLineProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetSelectedLineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedLineProperty */
    if ( strcmp ( argv[2], "GetSelectedLineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedLineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedLineProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedLineProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetSelectedLineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewProp */
    if ( strcmp ( argv[2], "SetViewProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewProp */
    Tcl_DStringAppendElement ( &dString, " Set the prop, usually a vtkImageActor, to trace over.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewProp(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetViewProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectToPlane */
    if ( strcmp ( argv[2], "SetProjectToPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectToPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectToPlane */
    Tcl_DStringAppendElement ( &dString, " Force handles to be on a specific ortho plane. Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectToPlane(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetProjectToPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectToPlane */
    if ( strcmp ( argv[2], "GetProjectToPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectToPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectToPlane */
    Tcl_DStringAppendElement ( &dString, " Force handles to be on a specific ortho plane. Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectToPlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetProjectToPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProjectToPlaneOn */
    if ( strcmp ( argv[2], "ProjectToPlaneOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProjectToPlaneOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProjectToPlaneOn */
    Tcl_DStringAppendElement ( &dString, " Force handles to be on a specific ortho plane. Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ProjectToPlaneOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for ProjectToPlaneOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ProjectToPlaneOff */
    if ( strcmp ( argv[2], "ProjectToPlaneOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ProjectToPlaneOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ProjectToPlaneOff */
    Tcl_DStringAppendElement ( &dString, " Force handles to be on a specific ortho plane. Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void ProjectToPlaneOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for ProjectToPlaneOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormal */
    if ( strcmp ( argv[2], "SetProjectionNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormal */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormal(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetProjectionNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormalMinValue */
    if ( strcmp ( argv[2], "GetProjectionNormalMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormalMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormalMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetProjectionNormalMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormalMaxValue */
    if ( strcmp ( argv[2], "GetProjectionNormalMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormalMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormalMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormalMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetProjectionNormalMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionNormal */
    if ( strcmp ( argv[2], "GetProjectionNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionNormal */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetProjectionNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetProjectionNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToXAxes */
    if ( strcmp ( argv[2], "SetProjectionNormalToXAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToXAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToXAxes */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToXAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetProjectionNormalToXAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToYAxes */
    if ( strcmp ( argv[2], "SetProjectionNormalToYAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToYAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToYAxes */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToYAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetProjectionNormalToYAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionNormalToZAxes */
    if ( strcmp ( argv[2], "SetProjectionNormalToZAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionNormalToZAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionNormalToZAxes */
    Tcl_DStringAppendElement ( &dString, " Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionNormalToZAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetProjectionNormalToZAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProjectionPosition */
    if ( strcmp ( argv[2], "SetProjectionPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProjectionPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProjectionPosition */
    Tcl_DStringAppendElement ( &dString, " Set the position of the widgets' handles in terms of a plane's position.\n e.g., if ProjectionNormal is 0, all of the x-coordinate values of the\n handles are set to ProjectionPosition.  No attempt is made to ensure that\n the position is within the bounds of either the underlying image data or\n the prop on which tracing is performed.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProjectionPosition(double position);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetProjectionPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProjectionPosition */
    if ( strcmp ( argv[2], "GetProjectionPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProjectionPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProjectionPosition */
    Tcl_DStringAppendElement ( &dString, " Set the position of the widgets' handles in terms of a plane's position.\n e.g., if ProjectionNormal is 0, all of the x-coordinate values of the\n handles are set to ProjectionPosition.  No attempt is made to ensure that\n the position is within the bounds of either the underlying image data or\n the prop on which tracing is performed.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetProjectionPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetProjectionPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSnapToImage */
    if ( strcmp ( argv[2], "SetSnapToImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSnapToImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSnapToImage */
    Tcl_DStringAppendElement ( &dString, " Force snapping to image data while tracing. Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSnapToImage(int snap);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetSnapToImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSnapToImage */
    if ( strcmp ( argv[2], "GetSnapToImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSnapToImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSnapToImage */
    Tcl_DStringAppendElement ( &dString, " Force snapping to image data while tracing. Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSnapToImage();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetSnapToImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SnapToImageOn */
    if ( strcmp ( argv[2], "SnapToImageOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SnapToImageOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SnapToImageOn */
    Tcl_DStringAppendElement ( &dString, " Force snapping to image data while tracing. Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SnapToImageOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SnapToImageOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SnapToImageOff */
    if ( strcmp ( argv[2], "SnapToImageOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SnapToImageOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SnapToImageOff */
    Tcl_DStringAppendElement ( &dString, " Force snapping to image data while tracing. Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SnapToImageOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SnapToImageOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAutoClose */
    if ( strcmp ( argv[2], "SetAutoClose" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAutoClose" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAutoClose */
    Tcl_DStringAppendElement ( &dString, " In concert with a CaptureRadius value, automatically\n form a closed path by connecting first to last path points.\n Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAutoClose(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetAutoClose */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAutoClose */
    if ( strcmp ( argv[2], "GetAutoClose" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAutoClose" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAutoClose */
    Tcl_DStringAppendElement ( &dString, " In concert with a CaptureRadius value, automatically\n form a closed path by connecting first to last path points.\n Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAutoClose();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetAutoClose */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoCloseOn */
    if ( strcmp ( argv[2], "AutoCloseOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoCloseOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoCloseOn */
    Tcl_DStringAppendElement ( &dString, " In concert with a CaptureRadius value, automatically\n form a closed path by connecting first to last path points.\n Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoCloseOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for AutoCloseOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AutoCloseOff */
    if ( strcmp ( argv[2], "AutoCloseOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AutoCloseOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AutoCloseOff */
    Tcl_DStringAppendElement ( &dString, " In concert with a CaptureRadius value, automatically\n form a closed path by connecting first to last path points.\n Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AutoCloseOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for AutoCloseOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCaptureRadius */
    if ( strcmp ( argv[2], "SetCaptureRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCaptureRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCaptureRadius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the capture radius for automatic path closing.  For image\n data, capture radius should be half the distance between voxel/pixel\n centers.\n Default is 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCaptureRadius(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetCaptureRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCaptureRadius */
    if ( strcmp ( argv[2], "GetCaptureRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCaptureRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCaptureRadius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the capture radius for automatic path closing.  For image\n data, capture radius should be half the distance between voxel/pixel\n centers.\n Default is 1.0\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCaptureRadius();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetCaptureRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPath */
    if ( strcmp ( argv[2], "GetPath" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPath" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPath */
    Tcl_DStringAppendElement ( &dString, " Grab the points and lines that define the traced path. These point values\n are guaranteed to be up-to-date when either the InteractionEvent or\n EndInteraction events are invoked. The user provides the vtkPolyData and\n the points and cells representing the line are added to it.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPath(vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetPath */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlyphSource */
    if ( strcmp ( argv[2], "GetGlyphSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlyphSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlyphSource */
    Tcl_DStringAppendElement ( &dString, " Get the handles' geometric representation via vtkGlyphSource2D.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D *GetGlyphSource();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetGlyphSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetImageSnapType */
    if ( strcmp ( argv[2], "SetImageSnapType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetImageSnapType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetImageSnapType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of snapping to image data: center of a pixel/voxel or\n nearest point defining a pixel/voxel.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetImageSnapType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetImageSnapType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSnapTypeMinValue */
    if ( strcmp ( argv[2], "GetImageSnapTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSnapTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSnapTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of snapping to image data: center of a pixel/voxel or\n nearest point defining a pixel/voxel.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImageSnapTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetImageSnapTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSnapTypeMaxValue */
    if ( strcmp ( argv[2], "GetImageSnapTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSnapTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSnapTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of snapping to image data: center of a pixel/voxel or\n nearest point defining a pixel/voxel.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImageSnapTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetImageSnapTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageSnapType */
    if ( strcmp ( argv[2], "GetImageSnapType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageSnapType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageSnapType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of snapping to image data: center of a pixel/voxel or\n nearest point defining a pixel/voxel.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetImageSnapType();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetImageSnapType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandlePosition */
    if ( strcmp ( argv[2], "SetHandlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle position in terms of a zero-based array of handles.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandlePosition(int handle, double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetHandlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandlePosition */
    if ( strcmp ( argv[2], "GetHandlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle position in terms of a zero-based array of handles.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetHandlePosition(int handle);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetHandlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfHandles */
    if ( strcmp ( argv[2], "GetNumberOfHandles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHandles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfHandles */
    Tcl_DStringAppendElement ( &dString, " Get the number of handles.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfHandles();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetNumberOfHandles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteraction */
    if ( strcmp ( argv[2], "SetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteraction */
    Tcl_DStringAppendElement ( &dString, " Enable/disable mouse interaction when the widget is visible.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInteraction(int interact);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteraction */
    if ( strcmp ( argv[2], "GetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteraction */
    Tcl_DStringAppendElement ( &dString, " Enable/disable mouse interaction when the widget is visible.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInteraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InteractionOn */
    if ( strcmp ( argv[2], "InteractionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InteractionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InteractionOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable mouse interaction when the widget is visible.\n" );
    Tcl_DStringAppendElement ( &dString, "void InteractionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for InteractionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InteractionOff */
    if ( strcmp ( argv[2], "InteractionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InteractionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InteractionOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable mouse interaction when the widget is visible.\n" );
    Tcl_DStringAppendElement ( &dString, "void InteractionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for InteractionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeHandles */
    if ( strcmp ( argv[2], "InitializeHandles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeHandles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPoints" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeHandles */
    Tcl_DStringAppendElement ( &dString, " Initialize the widget with a set of points and generate\n lines between them.  If AutoClose is on it will handle the\n case wherein the first and last points are congruent.\n" );
    Tcl_DStringAppendElement ( &dString, "void InitializeHandles(vtkPoints *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for InitializeHandles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsClosed */
    if ( strcmp ( argv[2], "IsClosed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsClosed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsClosed */
    Tcl_DStringAppendElement ( &dString, " Is the path closed or open?\n" );
    Tcl_DStringAppendElement ( &dString, "int IsClosed();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for IsClosed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleLeftMouseButton */
    if ( strcmp ( argv[2], "SetHandleLeftMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleLeftMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleLeftMouseButton */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleLeftMouseButton(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetHandleLeftMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleLeftMouseButton */
    if ( strcmp ( argv[2], "GetHandleLeftMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleLeftMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleLeftMouseButton */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHandleLeftMouseButton();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetHandleLeftMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandleLeftMouseButtonOn */
    if ( strcmp ( argv[2], "HandleLeftMouseButtonOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleLeftMouseButtonOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleLeftMouseButtonOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "void HandleLeftMouseButtonOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for HandleLeftMouseButtonOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandleLeftMouseButtonOff */
    if ( strcmp ( argv[2], "HandleLeftMouseButtonOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleLeftMouseButtonOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleLeftMouseButtonOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "void HandleLeftMouseButtonOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for HandleLeftMouseButtonOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleMiddleMouseButton */
    if ( strcmp ( argv[2], "SetHandleMiddleMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleMiddleMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleMiddleMouseButton */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleMiddleMouseButton(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetHandleMiddleMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleMiddleMouseButton */
    if ( strcmp ( argv[2], "GetHandleMiddleMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleMiddleMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleMiddleMouseButton */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHandleMiddleMouseButton();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetHandleMiddleMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandleMiddleMouseButtonOn */
    if ( strcmp ( argv[2], "HandleMiddleMouseButtonOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleMiddleMouseButtonOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleMiddleMouseButtonOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "void HandleMiddleMouseButtonOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for HandleMiddleMouseButtonOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandleMiddleMouseButtonOff */
    if ( strcmp ( argv[2], "HandleMiddleMouseButtonOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleMiddleMouseButtonOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleMiddleMouseButtonOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "void HandleMiddleMouseButtonOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for HandleMiddleMouseButtonOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleRightMouseButton */
    if ( strcmp ( argv[2], "SetHandleRightMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleRightMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleRightMouseButton */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleRightMouseButton(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetHandleRightMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleRightMouseButton */
    if ( strcmp ( argv[2], "GetHandleRightMouseButton" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleRightMouseButton" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleRightMouseButton */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHandleRightMouseButton();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for GetHandleRightMouseButton */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandleRightMouseButtonOn */
    if ( strcmp ( argv[2], "HandleRightMouseButtonOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleRightMouseButtonOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleRightMouseButtonOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "void HandleRightMouseButtonOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for HandleRightMouseButtonOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandleRightMouseButtonOff */
    if ( strcmp ( argv[2], "HandleRightMouseButtonOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleRightMouseButtonOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleRightMouseButtonOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable mouse button events\n" );
    Tcl_DStringAppendElement ( &dString, "void HandleRightMouseButtonOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for HandleRightMouseButtonOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetProp */
    if ( strcmp ( argv[2], "SetProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProp */
    Tcl_DStringAppendElement ( &dString, " @deprecated Replaced by vtkImageTracerWidget::SetViewProp() as of VTK 5.0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProp(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageTracerWidget" );
    /* Closing for SetProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
