// tcl wrapper for vtkOrientedGlyphContourRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkOrientedGlyphContourRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkOrientedGlyphContourRepresentationNewCommand()
{
  vtkOrientedGlyphContourRepresentation *temp = vtkOrientedGlyphContourRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkContourRepresentationCppCommand(vtkContourRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkOrientedGlyphContourRepresentationCppCommand(vtkOrientedGlyphContourRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkOrientedGlyphContourRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkOrientedGlyphContourRepresentationCppCommand(static_cast<vtkOrientedGlyphContourRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkOrientedGlyphContourRepresentationCppCommand(vtkOrientedGlyphContourRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkOrientedGlyphContourRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkContourRepresentationCppCommand(static_cast<vtkContourRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkContourRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkOrientedGlyphContourRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOrientedGlyphContourRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkOrientedGlyphContourRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOrientedGlyphContourRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkOrientedGlyphContourRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkOrientedGlyphContourRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCursorShape",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetCursorShape(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCursorShape",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetCursorShape();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetActiveCursorShape",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetActiveCursorShape(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActiveCursorShape",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetActiveCursorShape();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("GetProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetActiveProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetActiveProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetLinesProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetLinesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->StartWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeInteractionState",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetContourRepresentationAsPolyData",argv[1]))&&(argc == 2))
    {
    vtkPolyData  *temp20;
    temp20 = (op)->GetContourRepresentationAsPolyData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
  if ((!strcmp("SetAlwaysOnTop",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAlwaysOnTop(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAlwaysOnTop",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAlwaysOnTop();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AlwaysOnTopOn",argv[1]))&&(argc == 2))
    {
    op->AlwaysOnTopOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AlwaysOnTopOff",argv[1]))&&(argc == 2))
    {
    op->AlwaysOnTopOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLineColor",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetLineColor(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShowSelectedNodes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowSelectedNodes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkOrientedGlyphContourRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkContourRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkOrientedGlyphContourRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorShape\n",NULL);
    Tcl_AppendResult(interp,"  SetActiveCursorShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveCursorShape\n",NULL);
    Tcl_AppendResult(interp,"  GetProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetActiveProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetLinesProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  StartWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  WidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeInteractionState\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  GetContourRepresentationAsPolyData\n",NULL);
    Tcl_AppendResult(interp,"  SetAlwaysOnTop\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAlwaysOnTop\n",NULL);
    Tcl_AppendResult(interp,"  AlwaysOnTopOn\n",NULL);
    Tcl_AppendResult(interp,"  AlwaysOnTopOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLineColor\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetShowSelectedNodes\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkContourRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetCursorShape" );
    Tcl_DStringAppendElement ( &dString, "GetCursorShape" );
    Tcl_DStringAppendElement ( &dString, "SetActiveCursorShape" );
    Tcl_DStringAppendElement ( &dString, "GetActiveCursorShape" );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    Tcl_DStringAppendElement ( &dString, "GetActiveProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLinesProperty" );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "GetContourRepresentationAsPolyData" );
    Tcl_DStringAppendElement ( &dString, "SetAlwaysOnTop" );
    Tcl_DStringAppendElement ( &dString, "GetAlwaysOnTop" );
    Tcl_DStringAppendElement ( &dString, "AlwaysOnTopOn" );
    Tcl_DStringAppendElement ( &dString, "AlwaysOnTopOff" );
    Tcl_DStringAppendElement ( &dString, "SetLineColor" );
    Tcl_DStringAppendElement ( &dString, "SetShowSelectedNodes" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkContourRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkOrientedGlyphContourRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorShape */
    if ( strcmp ( argv[2], "SetCursorShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorShape */
    Tcl_DStringAppendElement ( &dString, " Specify the cursor shape. Keep in mind that the shape will be\n aligned with the  constraining plane by orienting it such that\n the x axis of the geometry lies along the normal of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCursorShape(vtkPolyData *cursorShape);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for SetCursorShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorShape */
    if ( strcmp ( argv[2], "GetCursorShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorShape */
    Tcl_DStringAppendElement ( &dString, " Specify the cursor shape. Keep in mind that the shape will be\n aligned with the  constraining plane by orienting it such that\n the x axis of the geometry lies along the normal of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetCursorShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for GetCursorShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetActiveCursorShape */
    if ( strcmp ( argv[2], "SetActiveCursorShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetActiveCursorShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetActiveCursorShape */
    Tcl_DStringAppendElement ( &dString, " Specify the shape of the cursor (handle) when it is active.\n This is the geometry that will be used when the mouse is\n close to the handle or if the user is manipulating the handle.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetActiveCursorShape(vtkPolyData *activeShape);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for SetActiveCursorShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveCursorShape */
    if ( strcmp ( argv[2], "GetActiveCursorShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveCursorShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveCursorShape */
    Tcl_DStringAppendElement ( &dString, " Specify the shape of the cursor (handle) when it is active.\n This is the geometry that will be used when the mouse is\n close to the handle or if the user is manipulating the handle.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetActiveCursorShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for GetActiveCursorShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProperty */
    if ( strcmp ( argv[2], "GetProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProperty */
    Tcl_DStringAppendElement ( &dString, " This is the property used when the handle is not active \n (the mouse is not near the handle)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for GetProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActiveProperty */
    if ( strcmp ( argv[2], "GetActiveProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActiveProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActiveProperty */
    Tcl_DStringAppendElement ( &dString, " This is the property used when the user is interacting\n with the handle.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetActiveProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for GetActiveProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLinesProperty */
    if ( strcmp ( argv[2], "GetLinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLinesProperty */
    Tcl_DStringAppendElement ( &dString, " This is the property used by the lines.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetLinesProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for GetLinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRenderer */
    if ( strcmp ( argv[2], "SetRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRenderer */
    Tcl_DStringAppendElement ( &dString, " Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRenderer(vtkRenderer *ren);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for SetRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWidgetInteraction */
    if ( strcmp ( argv[2], "StartWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWidgetInteraction(double eventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for StartWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WidgetInteraction */
    if ( strcmp ( argv[2], "WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WidgetInteraction(double eventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeInteractionState */
    if ( strcmp ( argv[2], "ComputeInteractionState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInteractionState */
    Tcl_DStringAppendElement ( &dString, " Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ComputeInteractionState(int X, int Y, int modified=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for ComputeInteractionState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetContourRepresentationAsPolyData */
    if ( strcmp ( argv[2], "GetContourRepresentationAsPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetContourRepresentationAsPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetContourRepresentationAsPolyData */
    Tcl_DStringAppendElement ( &dString, " Get the points in this contour as a vtkPolyData. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkPolyData *GetContourRepresentationAsPolyData();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for GetContourRepresentationAsPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAlwaysOnTop */
    if ( strcmp ( argv[2], "SetAlwaysOnTop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlwaysOnTop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlwaysOnTop */
    Tcl_DStringAppendElement ( &dString, " Controls whether the contour widget should always appear on top\n of other actors in the scene. (In effect, this will disable OpenGL\n Depth buffer tests while rendering the contour).\n Default is to set it to false.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAlwaysOnTop(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for SetAlwaysOnTop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAlwaysOnTop */
    if ( strcmp ( argv[2], "GetAlwaysOnTop" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAlwaysOnTop" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAlwaysOnTop */
    Tcl_DStringAppendElement ( &dString, " Controls whether the contour widget should always appear on top\n of other actors in the scene. (In effect, this will disable OpenGL\n Depth buffer tests while rendering the contour).\n Default is to set it to false.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAlwaysOnTop();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for GetAlwaysOnTop */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AlwaysOnTopOn */
    if ( strcmp ( argv[2], "AlwaysOnTopOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AlwaysOnTopOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AlwaysOnTopOn */
    Tcl_DStringAppendElement ( &dString, " Controls whether the contour widget should always appear on top\n of other actors in the scene. (In effect, this will disable OpenGL\n Depth buffer tests while rendering the contour).\n Default is to set it to false.\n" );
    Tcl_DStringAppendElement ( &dString, "void AlwaysOnTopOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for AlwaysOnTopOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AlwaysOnTopOff */
    if ( strcmp ( argv[2], "AlwaysOnTopOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AlwaysOnTopOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AlwaysOnTopOff */
    Tcl_DStringAppendElement ( &dString, " Controls whether the contour widget should always appear on top\n of other actors in the scene. (In effect, this will disable OpenGL\n Depth buffer tests while rendering the contour).\n Default is to set it to false.\n" );
    Tcl_DStringAppendElement ( &dString, "void AlwaysOnTopOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for AlwaysOnTopOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineColor */
    if ( strcmp ( argv[2], "SetLineColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineColor */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the line color.\n Ideally one should use GetLinesProperty()->SetColor().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineColor(double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for SetLineColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShowSelectedNodes */
    if ( strcmp ( argv[2], "SetShowSelectedNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowSelectedNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowSelectedNodes */
    Tcl_DStringAppendElement ( &dString, " A flag to indicate whether to show the Selected nodes\n Default is to set it to false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShowSelectedNodes(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkOrientedGlyphContourRepresentation" );
    /* Closing for SetShowSelectedNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkContourRepresentationCppCommand(static_cast<vtkContourRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
