// tcl wrapper for vtkPlaneWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPlaneWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPlaneWidgetNewCommand()
{
  vtkPlaneWidget *temp = vtkPlaneWidget::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataSourceWidgetCppCommand(vtkPolyDataSourceWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPlaneWidgetCppCommand(vtkPlaneWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPlaneWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPlaneWidgetCppCommand(static_cast<vtkPlaneWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPlaneWidgetCppCommand(vtkPlaneWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPlaneWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataSourceWidgetCppCommand(static_cast<vtkPolyDataSourceWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataSourceWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPlaneWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlaneWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPlaneWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlaneWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPlaneWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlaneWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
    {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPoint1(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint1",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPoint1();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPoint1",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPoint2(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPoint2();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPoint2",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCenter(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCenter();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetNormal(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetNormal();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepresentationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepresentationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRepresentationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepresentationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRepresentation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepresentation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationToOff",argv[1]))&&(argc == 2))
    {
    op->SetRepresentationToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationToOutline",argv[1]))&&(argc == 2))
    {
    op->SetRepresentationToOutline();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationToWireframe",argv[1]))&&(argc == 2))
    {
    op->SetRepresentationToWireframe();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationToSurface",argv[1]))&&(argc == 2))
    {
    op->SetRepresentationToSurface();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalToXAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalToXAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalToXAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalToXAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalToXAxisOn",argv[1]))&&(argc == 2))
    {
    op->NormalToXAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalToXAxisOff",argv[1]))&&(argc == 2))
    {
    op->NormalToXAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalToYAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalToYAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalToYAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalToYAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalToYAxisOn",argv[1]))&&(argc == 2))
    {
    op->NormalToYAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalToYAxisOff",argv[1]))&&(argc == 2))
    {
    op->NormalToYAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalToZAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalToZAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalToZAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalToZAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalToZAxisOn",argv[1]))&&(argc == 2))
    {
    op->NormalToZAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalToZAxisOff",argv[1]))&&(argc == 2))
    {
    op->NormalToZAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPolyData",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GetPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->GetPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolyDataAlgorithm",argv[1]))&&(argc == 2))
    {
    vtkPolyDataAlgorithm  *temp20;
    temp20 = (op)->GetPolyDataAlgorithm();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("UpdatePlacement",argv[1]))&&(argc == 2))
    {
    op->UpdatePlacement();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetPlaneProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlaneProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetPlaneProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedPlaneProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedPlaneProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPlaneWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataSourceWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPlaneWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNormal\n",NULL);
    Tcl_AppendResult(interp,"  GetNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationToOutline\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationToWireframe\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationToSurface\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalToXAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalToXAxis\n",NULL);
    Tcl_AppendResult(interp,"  NormalToXAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalToXAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalToYAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalToYAxis\n",NULL);
    Tcl_AppendResult(interp,"  NormalToYAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalToYAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalToZAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalToZAxis\n",NULL);
    Tcl_AppendResult(interp,"  NormalToZAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalToZAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyDataAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePlacement\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPlaneProperty\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataSourceWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToOff" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToOutline" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToWireframe" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToSurface" );
    Tcl_DStringAppendElement ( &dString, "SetNormalToXAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNormalToXAxis" );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOn" );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOff" );
    Tcl_DStringAppendElement ( &dString, "SetNormalToYAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNormalToYAxis" );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOn" );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOff" );
    Tcl_DStringAppendElement ( &dString, "SetNormalToZAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNormalToZAxis" );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOn" );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOff" );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    Tcl_DStringAppendElement ( &dString, "GetPlane" );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "UpdatePlacement" );
    Tcl_DStringAppendElement ( &dString, "GetHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPlaneProperty" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataSourceWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPlaneWidget *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResolution */
    if ( strcmp ( argv[2], "SetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the resolution (number of subdivisions) of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResolution(int r);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResolution */
    if ( strcmp ( argv[2], "GetResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the resolution (number of subdivisions) of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrigin();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetOrigin(double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the first axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint1(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the first axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint1(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1 */
    if ( strcmp ( argv[2], "GetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the first axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPoint1();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1 */
    if ( strcmp ( argv[2], "GetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the first axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPoint1(double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the second axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint2(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the second axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint2(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2 */
    if ( strcmp ( argv[2], "GetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the second axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPoint2();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2 */
    if ( strcmp ( argv[2], "GetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the second axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPoint2(double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCenter */
    if ( strcmp ( argv[2], "SetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenter */
    Tcl_DStringAppendElement ( &dString, " Get the center of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCenter(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCenter */
    if ( strcmp ( argv[2], "SetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenter */
    Tcl_DStringAppendElement ( &dString, " Get the center of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCenter(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenter */
    if ( strcmp ( argv[2], "GetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenter */
    Tcl_DStringAppendElement ( &dString, " Get the center of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetCenter();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenter */
    if ( strcmp ( argv[2], "GetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenter */
    Tcl_DStringAppendElement ( &dString, " Get the center of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetCenter(double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormal(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormal(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetNormal();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetNormal(double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentationMinValue */
    if ( strcmp ( argv[2], "GetRepresentationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentationMinValue */
    Tcl_DStringAppendElement ( &dString, " Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepresentationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetRepresentationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentationMaxValue */
    if ( strcmp ( argv[2], "GetRepresentationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepresentationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetRepresentationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentation */
    if ( strcmp ( argv[2], "GetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationToOff */
    if ( strcmp ( argv[2], "SetRepresentationToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationToOff */
    Tcl_DStringAppendElement ( &dString, " Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationToOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetRepresentationToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationToOutline */
    if ( strcmp ( argv[2], "SetRepresentationToOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationToOutline */
    Tcl_DStringAppendElement ( &dString, " Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationToOutline();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetRepresentationToOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationToWireframe */
    if ( strcmp ( argv[2], "SetRepresentationToWireframe" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToWireframe" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationToWireframe */
    Tcl_DStringAppendElement ( &dString, " Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationToWireframe();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetRepresentationToWireframe */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationToSurface */
    if ( strcmp ( argv[2], "SetRepresentationToSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationToSurface */
    Tcl_DStringAppendElement ( &dString, " Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationToSurface();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetRepresentationToSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalToXAxis */
    if ( strcmp ( argv[2], "SetNormalToXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalToXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalToXAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalToXAxis(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetNormalToXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalToXAxis */
    if ( strcmp ( argv[2], "GetNormalToXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalToXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalToXAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalToXAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetNormalToXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToXAxisOn */
    if ( strcmp ( argv[2], "NormalToXAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToXAxisOn */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToXAxisOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for NormalToXAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToXAxisOff */
    if ( strcmp ( argv[2], "NormalToXAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToXAxisOff */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToXAxisOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for NormalToXAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalToYAxis */
    if ( strcmp ( argv[2], "SetNormalToYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalToYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalToYAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalToYAxis(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetNormalToYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalToYAxis */
    if ( strcmp ( argv[2], "GetNormalToYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalToYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalToYAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalToYAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetNormalToYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToYAxisOn */
    if ( strcmp ( argv[2], "NormalToYAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToYAxisOn */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToYAxisOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for NormalToYAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToYAxisOff */
    if ( strcmp ( argv[2], "NormalToYAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToYAxisOff */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToYAxisOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for NormalToYAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalToZAxis */
    if ( strcmp ( argv[2], "SetNormalToZAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalToZAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalToZAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalToZAxis(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetNormalToZAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalToZAxis */
    if ( strcmp ( argv[2], "GetNormalToZAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalToZAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalToZAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalToZAxis();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetNormalToZAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToZAxisOn */
    if ( strcmp ( argv[2], "NormalToZAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToZAxisOn */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToZAxisOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for NormalToZAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToZAxisOff */
    if ( strcmp ( argv[2], "NormalToZAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToZAxisOff */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToZAxisOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for NormalToZAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyData */
    if ( strcmp ( argv[2], "GetPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyData */
    Tcl_DStringAppendElement ( &dString, " Grab the polydata (including points) that defines the plane.  The\n polydata consists of (res+1)*(res+1) points, and res*res quadrilateral\n polygons, where res is the resolution of the plane. These point values\n are guaranteed to be up-to-date when either the InteractionEvent or\n EndInteraction events are invoked. The user provides the vtkPolyData and\n the points and polyplane are added to it.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPolyData(vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlane */
    if ( strcmp ( argv[2], "GetPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlane */
    Tcl_DStringAppendElement ( &dString, " Get the planes describing the implicit function defined by the plane\n widget. The user must provide the instance of the class vtkPlane. Note\n that vtkPlane is a subclass of vtkImplicitFunction, meaning that it can\n be used by a variety of filters to perform clipping, cutting, and\n selection of data.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPlane(vtkPlane *plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyDataAlgorithm */
    if ( strcmp ( argv[2], "GetPolyDataAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyDataAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Satisfies superclass API.  This returns a pointer to the underlying\n PolyData.  Make changes to this before calling the initial PlaceWidget()\n to have the initial placement follow suit.  Or, make changes after the\n widget has been initialised and call UpdatePlacement() to realise.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataAlgorithm *GetPolyDataAlgorithm();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetPolyDataAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdatePlacement */
    if ( strcmp ( argv[2], "UpdatePlacement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdatePlacement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdatePlacement */
    Tcl_DStringAppendElement ( &dString, " Satisfies superclass API.  This will change the state of the widget to\n match changes that have been made to the underlying PolyDataSource\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdatePlacement(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for UpdatePlacement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleProperty */
    if ( strcmp ( argv[2], "GetHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetHandleProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedHandleProperty */
    if ( strcmp ( argv[2], "GetSelectedHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedHandleProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetSelectedHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlaneProperty */
    if ( strcmp ( argv[2], "SetPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Get the plane properties. The properties of the plane when selected \n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlaneProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for SetPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaneProperty */
    if ( strcmp ( argv[2], "GetPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Get the plane properties. The properties of the plane when selected \n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetPlaneProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPlaneProperty */
    if ( strcmp ( argv[2], "GetSelectedPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Get the plane properties. The properties of the plane when selected \n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedPlaneProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneWidget" );
    /* Closing for GetSelectedPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataSourceWidgetCppCommand(static_cast<vtkPolyDataSourceWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
