// tcl wrapper for vtkPointHandleRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointHandleRepresentation3D.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPointHandleRepresentation3DNewCommand()
{
  vtkPointHandleRepresentation3D *temp = vtkPointHandleRepresentation3D::New();
  return static_cast<ClientData>(temp);
}

int vtkHandleRepresentationCppCommand(vtkHandleRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPointHandleRepresentation3DCppCommand(vtkPointHandleRepresentation3D *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPointHandleRepresentation3DCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPointHandleRepresentation3DCppCommand(static_cast<vtkPointHandleRepresentation3D *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPointHandleRepresentation3DCppCommand(vtkPointHandleRepresentation3D *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPointHandleRepresentation3D",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkHandleRepresentationCppCommand(static_cast<vtkHandleRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkHandleRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPointHandleRepresentation3D  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointHandleRepresentation3D");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPointHandleRepresentation3D  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointHandleRepresentation3D");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPointHandleRepresentation3D  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointHandleRepresentation3D");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetWorldPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDisplayPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetDisplayPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutline",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutline",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutline();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutlineOn",argv[1]))&&(argc == 2))
    {
    op->OutlineOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutlineOff",argv[1]))&&(argc == 2))
    {
    op->OutlineOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXShadows",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXShadows(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXShadows",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXShadows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("XShadowsOn",argv[1]))&&(argc == 2))
    {
    op->XShadowsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("XShadowsOff",argv[1]))&&(argc == 2))
    {
    op->XShadowsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetYShadows",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYShadows(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYShadows",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYShadows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("YShadowsOn",argv[1]))&&(argc == 2))
    {
    op->YShadowsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("YShadowsOff",argv[1]))&&(argc == 2))
    {
    op->YShadowsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetZShadows",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZShadows(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZShadows",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZShadows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ZShadowsOn",argv[1]))&&(argc == 2))
    {
    op->ZShadowsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ZShadowsOff",argv[1]))&&(argc == 2))
    {
    op->ZShadowsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTranslationMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTranslationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslationMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTranslationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TranslationModeOn",argv[1]))&&(argc == 2))
    {
    op->TranslationModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TranslationModeOff",argv[1]))&&(argc == 2))
    {
    op->TranslationModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllOn",argv[1]))&&(argc == 2))
    {
    op->AllOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllOff",argv[1]))&&(argc == 2))
    {
    op->AllOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSelectedProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetSelectedProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetHotSpotSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHotSpotSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHotSpotSizeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHotSpotSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHotSpotSizeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHotSpotSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHotSpotSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHotSpotSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHandleSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->StartWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeInteractionState",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ShallowCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->ShallowCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("DeepCopy",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->DeepCopy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetActors",argv[1]))&&(argc == 3))
    {
    vtkPropCollection  *temp0;
    error = 0;

    temp0 = (vtkPropCollection *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPropCollection"),interp,error));
    if (!error)
    {
    op->GetActors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Highlight",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->Highlight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSmoothMotion",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSmoothMotion(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSmoothMotion",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSmoothMotion();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SmoothMotionOn",argv[1]))&&(argc == 2))
    {
    op->SmoothMotionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SmoothMotionOff",argv[1]))&&(argc == 2))
    {
    op->SmoothMotionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPointHandleRepresentation3DCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkHandleRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPointHandleRepresentation3D:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutline\n",NULL);
    Tcl_AppendResult(interp,"  OutlineOn\n",NULL);
    Tcl_AppendResult(interp,"  OutlineOff\n",NULL);
    Tcl_AppendResult(interp,"  SetXShadows\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXShadows\n",NULL);
    Tcl_AppendResult(interp,"  XShadowsOn\n",NULL);
    Tcl_AppendResult(interp,"  XShadowsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetYShadows\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYShadows\n",NULL);
    Tcl_AppendResult(interp,"  YShadowsOn\n",NULL);
    Tcl_AppendResult(interp,"  YShadowsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetZShadows\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZShadows\n",NULL);
    Tcl_AppendResult(interp,"  ZShadowsOn\n",NULL);
    Tcl_AppendResult(interp,"  ZShadowsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslationMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslationMode\n",NULL);
    Tcl_AppendResult(interp,"  TranslationModeOn\n",NULL);
    Tcl_AppendResult(interp,"  TranslationModeOff\n",NULL);
    Tcl_AppendResult(interp,"  AllOn\n",NULL);
    Tcl_AppendResult(interp,"  AllOff\n",NULL);
    Tcl_AppendResult(interp,"  SetProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetHotSpotSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHotSpotSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHotSpotSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHotSpotSize\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  StartWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  WidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeInteractionState\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  ShallowCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  DeepCopy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetActors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  Highlight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSmoothMotion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSmoothMotion\n",NULL);
    Tcl_AppendResult(interp,"  SmoothMotionOn\n",NULL);
    Tcl_AppendResult(interp,"  SmoothMotionOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkHandleRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetWorldPosition" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayPosition" );
    Tcl_DStringAppendElement ( &dString, "SetOutline" );
    Tcl_DStringAppendElement ( &dString, "GetOutline" );
    Tcl_DStringAppendElement ( &dString, "OutlineOn" );
    Tcl_DStringAppendElement ( &dString, "OutlineOff" );
    Tcl_DStringAppendElement ( &dString, "SetXShadows" );
    Tcl_DStringAppendElement ( &dString, "GetXShadows" );
    Tcl_DStringAppendElement ( &dString, "XShadowsOn" );
    Tcl_DStringAppendElement ( &dString, "XShadowsOff" );
    Tcl_DStringAppendElement ( &dString, "SetYShadows" );
    Tcl_DStringAppendElement ( &dString, "GetYShadows" );
    Tcl_DStringAppendElement ( &dString, "YShadowsOn" );
    Tcl_DStringAppendElement ( &dString, "YShadowsOff" );
    Tcl_DStringAppendElement ( &dString, "SetZShadows" );
    Tcl_DStringAppendElement ( &dString, "GetZShadows" );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOn" );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOff" );
    Tcl_DStringAppendElement ( &dString, "SetTranslationMode" );
    Tcl_DStringAppendElement ( &dString, "GetTranslationMode" );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOn" );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOff" );
    Tcl_DStringAppendElement ( &dString, "AllOn" );
    Tcl_DStringAppendElement ( &dString, "AllOff" );
    Tcl_DStringAppendElement ( &dString, "SetProperty" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedProperty" );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedProperty" );
    Tcl_DStringAppendElement ( &dString, "SetHotSpotSize" );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSize" );
    Tcl_DStringAppendElement ( &dString, "SetHandleSize" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "Highlight" );
    Tcl_DStringAppendElement ( &dString, "SetSmoothMotion" );
    Tcl_DStringAppendElement ( &dString, "GetSmoothMotion" );
    Tcl_DStringAppendElement ( &dString, "SmoothMotionOn" );
    Tcl_DStringAppendElement ( &dString, "SmoothMotionOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkHandleRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPointHandleRepresentation3D *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWorldPosition */
    if ( strcmp ( argv[2], "SetWorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWorldPosition */
    Tcl_DStringAppendElement ( &dString, " Set the position of the point in world and display coordinates. Note \n that if the position is set outside of the bounding box, it will be \n clamped to the boundary of the bounding box. This method overloads\n the superclasses' SetWorldPosition() and SetDisplayPosition() in \n order to set the focal point of the cursor properly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWorldPosition(double p\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetWorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayPosition */
    if ( strcmp ( argv[2], "SetDisplayPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayPosition */
    Tcl_DStringAppendElement ( &dString, " Set the position of the point in world and display coordinates. Note \n that if the position is set outside of the bounding box, it will be \n clamped to the boundary of the bounding box. This method overloads\n the superclasses' SetWorldPosition() and SetDisplayPosition() in \n order to set the focal point of the cursor properly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDisplayPosition(double p\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetDisplayPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutline */
    if ( strcmp ( argv[2], "SetOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutline */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutline(int o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutline */
    if ( strcmp ( argv[2], "GetOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutline */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutline();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineOn */
    if ( strcmp ( argv[2], "OutlineOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for OutlineOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineOff */
    if ( strcmp ( argv[2], "OutlineOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for OutlineOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXShadows */
    if ( strcmp ( argv[2], "SetXShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXShadows(int o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetXShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXShadows */
    if ( strcmp ( argv[2], "GetXShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXShadows();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetXShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XShadowsOn */
    if ( strcmp ( argv[2], "XShadowsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XShadowsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XShadowsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void XShadowsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for XShadowsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XShadowsOff */
    if ( strcmp ( argv[2], "XShadowsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XShadowsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XShadowsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void XShadowsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for XShadowsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYShadows */
    if ( strcmp ( argv[2], "SetYShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYShadows(int o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetYShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYShadows */
    if ( strcmp ( argv[2], "GetYShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetYShadows();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetYShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YShadowsOn */
    if ( strcmp ( argv[2], "YShadowsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YShadowsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YShadowsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void YShadowsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for YShadowsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YShadowsOff */
    if ( strcmp ( argv[2], "YShadowsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YShadowsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YShadowsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void YShadowsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for YShadowsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZShadows */
    if ( strcmp ( argv[2], "SetZShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZShadows(int o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetZShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZShadows */
    if ( strcmp ( argv[2], "GetZShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZShadows();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetZShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZShadowsOn */
    if ( strcmp ( argv[2], "ZShadowsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZShadowsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZShadowsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for ZShadowsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZShadowsOff */
    if ( strcmp ( argv[2], "ZShadowsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZShadowsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZShadowsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for ZShadowsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslationMode */
    if ( strcmp ( argv[2], "SetTranslationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslationMode */
    Tcl_DStringAppendElement ( &dString, " If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated and sized simultaneously as the\n point moves (i.e., the left and middle mouse buttons act the same). If\n translation mode is off, the cursor does not scale itself (based on the\n specified handle size), and the bounding box and shadows do not move or\n size themselves as the cursor focal point moves, which is constrained by\n the bounds of the point representation. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslationMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetTranslationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslationMode */
    if ( strcmp ( argv[2], "GetTranslationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslationMode */
    Tcl_DStringAppendElement ( &dString, " If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated and sized simultaneously as the\n point moves (i.e., the left and middle mouse buttons act the same). If\n translation mode is off, the cursor does not scale itself (based on the\n specified handle size), and the bounding box and shadows do not move or\n size themselves as the cursor focal point moves, which is constrained by\n the bounds of the point representation. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTranslationMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetTranslationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationModeOn */
    if ( strcmp ( argv[2], "TranslationModeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationModeOn */
    Tcl_DStringAppendElement ( &dString, " If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated and sized simultaneously as the\n point moves (i.e., the left and middle mouse buttons act the same). If\n translation mode is off, the cursor does not scale itself (based on the\n specified handle size), and the bounding box and shadows do not move or\n size themselves as the cursor focal point moves, which is constrained by\n the bounds of the point representation. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationModeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for TranslationModeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationModeOff */
    if ( strcmp ( argv[2], "TranslationModeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationModeOff */
    Tcl_DStringAppendElement ( &dString, " If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated and sized simultaneously as the\n point moves (i.e., the left and middle mouse buttons act the same). If\n translation mode is off, the cursor does not scale itself (based on the\n specified handle size), and the bounding box and shadows do not move or\n size themselves as the cursor focal point moves, which is constrained by\n the bounds of the point representation. ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationModeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for TranslationModeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllOn */
    if ( strcmp ( argv[2], "AllOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllOn */
    Tcl_DStringAppendElement ( &dString, " Convenience methods to turn outline and shadows on and off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for AllOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllOff */
    if ( strcmp ( argv[2], "AllOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllOff */
    Tcl_DStringAppendElement ( &dString, " Convenience methods to turn outline and shadows on and off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for AllOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProperty */
    if ( strcmp ( argv[2], "SetProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties when unselected and selected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedProperty */
    if ( strcmp ( argv[2], "SetSelectedProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties when unselected and selected.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSelectedProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetSelectedProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProperty */
    if ( strcmp ( argv[2], "GetProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties when unselected and selected.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedProperty */
    if ( strcmp ( argv[2], "GetSelectedProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the handle properties when unselected and selected.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetSelectedProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHotSpotSize */
    if ( strcmp ( argv[2], "SetHotSpotSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHotSpotSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHotSpotSize */
    Tcl_DStringAppendElement ( &dString, " Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHotSpotSize(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetHotSpotSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHotSpotSizeMinValue */
    if ( strcmp ( argv[2], "GetHotSpotSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHotSpotSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHotSpotSizeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetHotSpotSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHotSpotSizeMaxValue */
    if ( strcmp ( argv[2], "GetHotSpotSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHotSpotSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHotSpotSizeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetHotSpotSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHotSpotSize */
    if ( strcmp ( argv[2], "GetHotSpotSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHotSpotSize */
    Tcl_DStringAppendElement ( &dString, " Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHotSpotSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetHotSpotSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleSize */
    if ( strcmp ( argv[2], "SetHandleSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleSize */
    Tcl_DStringAppendElement ( &dString, " Overload the superclasses SetHandleSize() method to update internal variables.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHandleSize(double size);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetHandleSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class properly act like a vtkWidgetRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetBounds();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class properly act like a vtkWidgetRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWidgetInteraction */
    if ( strcmp ( argv[2], "StartWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class properly act like a vtkWidgetRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWidgetInteraction(double eventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for StartWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WidgetInteraction */
    if ( strcmp ( argv[2], "WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class properly act like a vtkWidgetRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WidgetInteraction(double eventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeInteractionState */
    if ( strcmp ( argv[2], "ComputeInteractionState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInteractionState */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class properly act like a vtkWidgetRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ComputeInteractionState(int X, int Y, int modify=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for ComputeInteractionState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class properly act like a vtkWidgetRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShallowCopy */
    if ( strcmp ( argv[2], "ShallowCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShallowCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShallowCopy */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShallowCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for ShallowCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeepCopy */
    if ( strcmp ( argv[2], "DeepCopy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeepCopy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeepCopy */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void DeepCopy(vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for DeepCopy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetActors */
    if ( strcmp ( argv[2], "GetActors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetActors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPropCollection" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetActors */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetActors(vtkPropCollection *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetActors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Methods to make this class behave as a vtkProp.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Highlight */
    if ( strcmp ( argv[2], "Highlight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Highlight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Highlight */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void Highlight(int highlight);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for Highlight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSmoothMotion */
    if ( strcmp ( argv[2], "SetSmoothMotion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSmoothMotion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSmoothMotion */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smooth motion of the handle. See the documentation of\n MoveFocusRequest for details. By default, SmoothMotion is ON. However,\n in certain applications the user may want to turn it off. For instance\n when using certain specific PointPlacer's with the representation such\n as the vtkCellCentersPointPlacer, which causes the representation to\n snap to the center of cells, or using a vtkPolygonalSurfacePointPlacer\n which constrains the widget to the surface of a ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSmoothMotion(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SetSmoothMotion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSmoothMotion */
    if ( strcmp ( argv[2], "GetSmoothMotion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSmoothMotion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSmoothMotion */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smooth motion of the handle. See the documentation of\n MoveFocusRequest for details. By default, SmoothMotion is ON. However,\n in certain applications the user may want to turn it off. For instance\n when using certain specific PointPlacer's with the representation such\n as the vtkCellCentersPointPlacer, which causes the representation to\n snap to the center of cells, or using a vtkPolygonalSurfacePointPlacer\n which constrains the widget to the surface of a ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSmoothMotion();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for GetSmoothMotion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SmoothMotionOn */
    if ( strcmp ( argv[2], "SmoothMotionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SmoothMotionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SmoothMotionOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smooth motion of the handle. See the documentation of\n MoveFocusRequest for details. By default, SmoothMotion is ON. However,\n in certain applications the user may want to turn it off. For instance\n when using certain specific PointPlacer's with the representation such\n as the vtkCellCentersPointPlacer, which causes the representation to\n snap to the center of cells, or using a vtkPolygonalSurfacePointPlacer\n which constrains the widget to the surface of a ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SmoothMotionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SmoothMotionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SmoothMotionOff */
    if ( strcmp ( argv[2], "SmoothMotionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SmoothMotionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SmoothMotionOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off smooth motion of the handle. See the documentation of\n MoveFocusRequest for details. By default, SmoothMotion is ON. However,\n in certain applications the user may want to turn it off. For instance\n when using certain specific PointPlacer's with the representation such\n as the vtkCellCentersPointPlacer, which causes the representation to\n snap to the center of cells, or using a vtkPolygonalSurfacePointPlacer\n which constrains the widget to the surface of a ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SmoothMotionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointHandleRepresentation3D" );
    /* Closing for SmoothMotionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkHandleRepresentationCppCommand(static_cast<vtkHandleRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
