// tcl wrapper for vtkResliceCursorRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceCursorRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkWidgetRepresentationCppCommand(vtkWidgetRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkResliceCursorRepresentationCppCommand(vtkResliceCursorRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkResliceCursorRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkResliceCursorRepresentationCppCommand(static_cast<vtkResliceCursorRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkResliceCursorRepresentationCppCommand(vtkResliceCursorRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkResliceCursorRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWidgetRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkResliceCursorRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursorRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SetTolerance",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTolerance(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetToleranceMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetToleranceMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetToleranceMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetToleranceMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTolerance",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTolerance();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShowReslicedImage",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowReslicedImage(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShowReslicedImage",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowReslicedImage();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShowReslicedImageOn",argv[1]))&&(argc == 2))
    {
    op->ShowReslicedImageOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowReslicedImageOff",argv[1]))&&(argc == 2))
    {
    op->ShowReslicedImageOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRestrictPlaneToVolume",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRestrictPlaneToVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRestrictPlaneToVolume",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRestrictPlaneToVolume();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RestrictPlaneToVolumeOn",argv[1]))&&(argc == 2))
    {
    op->RestrictPlaneToVolumeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RestrictPlaneToVolumeOff",argv[1]))&&(argc == 2))
    {
    op->RestrictPlaneToVolumeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetThicknessLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetThicknessLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThicknessLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetThicknessLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetThicknessLabelText",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetThicknessLabelText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetThicknessLabelPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetThicknessLabelPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWorldThicknessLabelPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetWorldThicknessLabelPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetResliceAxes",argv[1]))&&(argc == 2))
    {
    vtkMatrix4x4  *temp20;
    temp20 = (op)->GetResliceAxes();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMatrix4x4");
    return TCL_OK;
    }
  if ((!strcmp("GetReslice",argv[1]))&&(argc == 2))
    {
    vtkImageAlgorithm  *temp20;
    temp20 = (op)->GetReslice();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("GetImageActor",argv[1]))&&(argc == 2))
    {
    vtkImageActor  *temp20;
    temp20 = (op)->GetImageActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageActor");
    return TCL_OK;
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("GetColorMap",argv[1]))&&(argc == 2))
    {
    vtkImageMapToColors  *temp20;
    temp20 = (op)->GetColorMap();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMapToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetColorMap",argv[1]))&&(argc == 3))
    {
    vtkImageMapToColors  *temp0;
    error = 0;

    temp0 = (vtkImageMapToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageMapToColors"),interp,error));
    if (!error)
    {
    op->SetColorMap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWindowLevel",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetWindowLevel(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindowLevel",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetWindowLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindow",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWindow();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLevel",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLevel();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetResliceCursor",argv[1]))&&(argc == 2))
    {
    vtkResliceCursor  *temp20;
    temp20 = (op)->GetResliceCursor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursor");
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayText",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplayText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayText",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayText();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisplayTextOn",argv[1]))&&(argc == 2))
    {
    op->DisplayTextOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayTextOff",argv[1]))&&(argc == 2))
    {
    op->DisplayTextOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetUseImageActor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseImageActor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseImageActor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseImageActor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseImageActorOn",argv[1]))&&(argc == 2))
    {
    op->UseImageActorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseImageActorOff",argv[1]))&&(argc == 2))
    {
    op->UseImageActorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetManipulationMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetManipulationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetManipulationMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetManipulationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ActivateText",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->ActivateText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ManageTextDisplay",argv[1]))&&(argc == 2))
    {
    op->ManageTextDisplay();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InitializeReslicePlane",argv[1]))&&(argc == 2))
    {
    op->InitializeReslicePlane();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetCamera",argv[1]))&&(argc == 2))
    {
    op->ResetCamera();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCursorAlgorithm",argv[1]))&&(argc == 2))
    {
    vtkResliceCursorPolyDataAlgorithm  *temp20;
    temp20 = (op)->GetCursorAlgorithm();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursorPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("GetPlaneSource",argv[1]))&&(argc == 2))
    {
    vtkPlaneSource  *temp20;
    temp20 = (op)->GetPlaneSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPlaneSource");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkResliceCursorRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkResliceCursorRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetTolerance\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetToleranceMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTolerance\n",NULL);
    Tcl_AppendResult(interp,"  SetShowReslicedImage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShowReslicedImage\n",NULL);
    Tcl_AppendResult(interp,"  ShowReslicedImageOn\n",NULL);
    Tcl_AppendResult(interp,"  ShowReslicedImageOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRestrictPlaneToVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRestrictPlaneToVolume\n",NULL);
    Tcl_AppendResult(interp,"  RestrictPlaneToVolumeOn\n",NULL);
    Tcl_AppendResult(interp,"  RestrictPlaneToVolumeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetThicknessLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThicknessLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  GetThicknessLabelText\n",NULL);
    Tcl_AppendResult(interp,"  GetThicknessLabelPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWorldThicknessLabelPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceAxes\n",NULL);
    Tcl_AppendResult(interp,"  GetReslice\n",NULL);
    Tcl_AppendResult(interp,"  GetImageActor\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMap\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowLevel\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceCursor\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayText\n",NULL);
    Tcl_AppendResult(interp,"  DisplayTextOn\n",NULL);
    Tcl_AppendResult(interp,"  DisplayTextOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetUseImageActor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseImageActor\n",NULL);
    Tcl_AppendResult(interp,"  UseImageActorOn\n",NULL);
    Tcl_AppendResult(interp,"  UseImageActorOff\n",NULL);
    Tcl_AppendResult(interp,"  SetManipulationMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetManipulationMode\n",NULL);
    Tcl_AppendResult(interp,"  ActivateText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ManageTextDisplay\n",NULL);
    Tcl_AppendResult(interp,"  InitializeReslicePlane\n",NULL);
    Tcl_AppendResult(interp,"  ResetCamera\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneSource\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    Tcl_DStringAppendElement ( &dString, "SetShowReslicedImage" );
    Tcl_DStringAppendElement ( &dString, "GetShowReslicedImage" );
    Tcl_DStringAppendElement ( &dString, "ShowReslicedImageOn" );
    Tcl_DStringAppendElement ( &dString, "ShowReslicedImageOff" );
    Tcl_DStringAppendElement ( &dString, "SetRestrictPlaneToVolume" );
    Tcl_DStringAppendElement ( &dString, "GetRestrictPlaneToVolume" );
    Tcl_DStringAppendElement ( &dString, "RestrictPlaneToVolumeOn" );
    Tcl_DStringAppendElement ( &dString, "RestrictPlaneToVolumeOff" );
    Tcl_DStringAppendElement ( &dString, "SetThicknessLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetThicknessLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetThicknessLabelText" );
    Tcl_DStringAppendElement ( &dString, "GetThicknessLabelPosition" );
    Tcl_DStringAppendElement ( &dString, "GetWorldThicknessLabelPosition" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxes" );
    Tcl_DStringAppendElement ( &dString, "GetReslice" );
    Tcl_DStringAppendElement ( &dString, "GetImageActor" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetColorMap" );
    Tcl_DStringAppendElement ( &dString, "SetColorMap" );
    Tcl_DStringAppendElement ( &dString, "SetWindowLevel" );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevel" );
    Tcl_DStringAppendElement ( &dString, "GetWindow" );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    Tcl_DStringAppendElement ( &dString, "GetResliceCursor" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayText" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayText" );
    Tcl_DStringAppendElement ( &dString, "DisplayTextOn" );
    Tcl_DStringAppendElement ( &dString, "DisplayTextOff" );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetUseImageActor" );
    Tcl_DStringAppendElement ( &dString, "GetUseImageActor" );
    Tcl_DStringAppendElement ( &dString, "UseImageActorOn" );
    Tcl_DStringAppendElement ( &dString, "UseImageActorOff" );
    Tcl_DStringAppendElement ( &dString, "SetManipulationMode" );
    Tcl_DStringAppendElement ( &dString, "GetManipulationMode" );
    Tcl_DStringAppendElement ( &dString, "ActivateText" );
    Tcl_DStringAppendElement ( &dString, "ManageTextDisplay" );
    Tcl_DStringAppendElement ( &dString, "InitializeReslicePlane" );
    Tcl_DStringAppendElement ( &dString, "ResetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCursorAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneSource" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTolerance */
    if ( strcmp ( argv[2], "SetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTolerance(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMinValue */
    if ( strcmp ( argv[2], "GetToleranceMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMinValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetToleranceMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetToleranceMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetToleranceMaxValue */
    if ( strcmp ( argv[2], "GetToleranceMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetToleranceMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetToleranceMaxValue */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetToleranceMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetToleranceMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTolerance */
    if ( strcmp ( argv[2], "GetTolerance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTolerance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTolerance */
    Tcl_DStringAppendElement ( &dString, " The tolerance representing the distance to the representation (in\n pixels) in which the cursor is considered near enough to the\n representation to be active.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTolerance();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetTolerance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShowReslicedImage */
    if ( strcmp ( argv[2], "SetShowReslicedImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowReslicedImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowReslicedImage */
    Tcl_DStringAppendElement ( &dString, " Show the resliced image ?\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowReslicedImage(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetShowReslicedImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowReslicedImage */
    if ( strcmp ( argv[2], "GetShowReslicedImage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowReslicedImage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowReslicedImage */
    Tcl_DStringAppendElement ( &dString, " Show the resliced image ?\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShowReslicedImage();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetShowReslicedImage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowReslicedImageOn */
    if ( strcmp ( argv[2], "ShowReslicedImageOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowReslicedImageOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowReslicedImageOn */
    Tcl_DStringAppendElement ( &dString, " Show the resliced image ?\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowReslicedImageOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for ShowReslicedImageOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowReslicedImageOff */
    if ( strcmp ( argv[2], "ShowReslicedImageOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowReslicedImageOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowReslicedImageOff */
    Tcl_DStringAppendElement ( &dString, " Show the resliced image ?\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowReslicedImageOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for ShowReslicedImageOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRestrictPlaneToVolume */
    if ( strcmp ( argv[2], "SetRestrictPlaneToVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRestrictPlaneToVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRestrictPlaneToVolume */
    Tcl_DStringAppendElement ( &dString, " Make sure that the resliced image remains within the volume.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRestrictPlaneToVolume(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetRestrictPlaneToVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRestrictPlaneToVolume */
    if ( strcmp ( argv[2], "GetRestrictPlaneToVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRestrictPlaneToVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRestrictPlaneToVolume */
    Tcl_DStringAppendElement ( &dString, " Make sure that the resliced image remains within the volume.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRestrictPlaneToVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetRestrictPlaneToVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RestrictPlaneToVolumeOn */
    if ( strcmp ( argv[2], "RestrictPlaneToVolumeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RestrictPlaneToVolumeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RestrictPlaneToVolumeOn */
    Tcl_DStringAppendElement ( &dString, " Make sure that the resliced image remains within the volume.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void RestrictPlaneToVolumeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for RestrictPlaneToVolumeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RestrictPlaneToVolumeOff */
    if ( strcmp ( argv[2], "RestrictPlaneToVolumeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RestrictPlaneToVolumeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RestrictPlaneToVolumeOff */
    Tcl_DStringAppendElement ( &dString, " Make sure that the resliced image remains within the volume.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void RestrictPlaneToVolumeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for RestrictPlaneToVolumeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThicknessLabelFormat */
    if ( strcmp ( argv[2], "SetThicknessLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThicknessLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThicknessLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Specify the format to use for labelling the distance. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the thickness value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThicknessLabelFormat(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetThicknessLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThicknessLabelFormat */
    if ( strcmp ( argv[2], "GetThicknessLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThicknessLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThicknessLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Specify the format to use for labelling the distance. Note that an empty\n string results in no label, or a format string without a \"%\" character\n will not print the thickness value.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetThicknessLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetThicknessLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThicknessLabelText */
    if ( strcmp ( argv[2], "GetThicknessLabelText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThicknessLabelText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThicknessLabelText */
    Tcl_DStringAppendElement ( &dString, " Get the text shown in the widget's label.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual char *GetThicknessLabelText();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetThicknessLabelText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThicknessLabelPosition */
    if ( strcmp ( argv[2], "GetThicknessLabelPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThicknessLabelPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThicknessLabelPosition */
    Tcl_DStringAppendElement ( &dString, " Get the position of the widget's label in display coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetThicknessLabelPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetThicknessLabelPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWorldThicknessLabelPosition */
    if ( strcmp ( argv[2], "GetWorldThicknessLabelPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWorldThicknessLabelPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWorldThicknessLabelPosition */
    Tcl_DStringAppendElement ( &dString, " Get the position of the widget's label in display coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GetWorldThicknessLabelPosition(double pos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetWorldThicknessLabelPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " These are methods that satisfy vtkWidgetRepresentation's API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceAxes */
    if ( strcmp ( argv[2], "GetResliceAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceAxes */
    Tcl_DStringAppendElement ( &dString, " Get the current reslice class and reslice axes\n" );
    Tcl_DStringAppendElement ( &dString, "vtkMatrix4x4 *GetResliceAxes();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetResliceAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReslice */
    if ( strcmp ( argv[2], "GetReslice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReslice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReslice */
    Tcl_DStringAppendElement ( &dString, " Get the current reslice class and reslice axes\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageAlgorithm *GetReslice();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetReslice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImageActor */
    if ( strcmp ( argv[2], "GetImageActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImageActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImageActor */
    Tcl_DStringAppendElement ( &dString, " Get the displayed image actor\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageActor *GetImageActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetImageActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the internal lookuptable (lut) to one defined by the user, or,\n alternatively, to the lut of another Reslice cusror widget.  In this way,\n a set of three orthogonal planes can share the same lut so that\n window-levelling is performed uniformly among planes.  The default\n internal lut can be re- set/allocated by setting to 0 (NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLookupTable(vtkScalarsToColors *);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the internal lookuptable (lut) to one defined by the user, or,\n alternatively, to the lut of another Reslice cusror widget.  In this way,\n a set of three orthogonal planes can share the same lut so that\n window-levelling is performed uniformly among planes.  The default\n internal lut can be re- set/allocated by setting to 0 (NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorMap */
    if ( strcmp ( argv[2], "GetColorMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorMap */
    Tcl_DStringAppendElement ( &dString, " Convenience method to get the vtkImageMapToColors filter used by this\n widget.  The user can properly render other transparent actors in a\n scene by calling the filter's SetOutputFormatToRGB and\n PassAlphaToOutputOff.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapToColors *GetColorMap();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetColorMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorMap */
    if ( strcmp ( argv[2], "SetColorMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorMap */
    Tcl_DStringAppendElement ( &dString, " Convenience method to get the vtkImageMapToColors filter used by this\n widget.  The user can properly render other transparent actors in a\n scene by calling the filter's SetOutputFormatToRGB and\n PassAlphaToOutputOff.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorMap(vtkImageMapToColors *);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetColorMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowLevel */
    if ( strcmp ( argv[2], "SetWindowLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current window and level values.  SetWindowLevel should\n only be called after SetInput.  If a shared lookup table is being used,\n a callback is required to update the window level values without having\n to update the lookup table again.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowLevel(double window, double level, int copy=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetWindowLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowLevel */
    if ( strcmp ( argv[2], "GetWindowLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current window and level values.  SetWindowLevel should\n only be called after SetInput.  If a shared lookup table is being used,\n a callback is required to update the window level values without having\n to update the lookup table again.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetWindowLevel(double wl\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetWindowLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindow */
    if ( strcmp ( argv[2], "GetWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current window and level values.  SetWindowLevel should\n only be called after SetInput.  If a shared lookup table is being used,\n a callback is required to update the window level values without having\n to update the lookup table again.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevel */
    if ( strcmp ( argv[2], "GetLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current window and level values.  SetWindowLevel should\n only be called after SetInput.  If a shared lookup table is being used,\n a callback is required to update the window level values without having\n to update the lookup table again.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceCursor */
    if ( strcmp ( argv[2], "GetResliceCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceCursor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkResliceCursor *GetResliceCursor() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetResliceCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayText */
    if ( strcmp ( argv[2], "SetDisplayText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayText */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplayText(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetDisplayText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplayText */
    if ( strcmp ( argv[2], "GetDisplayText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayText */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDisplayText();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetDisplayText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayTextOn */
    if ( strcmp ( argv[2], "DisplayTextOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayTextOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayTextOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisplayTextOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for DisplayTextOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayTextOff */
    if ( strcmp ( argv[2], "DisplayTextOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayTextOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayTextOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisplayTextOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for DisplayTextOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextProperty */
    if ( strcmp ( argv[2], "SetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property for the image data and window-level annotation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextProperty(vtkTextProperty *tprop);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextProperty */
    if ( strcmp ( argv[2], "GetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property for the image data and window-level annotation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseImageActor */
    if ( strcmp ( argv[2], "SetUseImageActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseImageActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseImageActor */
    Tcl_DStringAppendElement ( &dString, " Render as a 2D image, or render as a plane with a texture in physical\n space.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseImageActor(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetUseImageActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseImageActor */
    if ( strcmp ( argv[2], "GetUseImageActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseImageActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseImageActor */
    Tcl_DStringAppendElement ( &dString, " Render as a 2D image, or render as a plane with a texture in physical\n space.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseImageActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetUseImageActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseImageActorOn */
    if ( strcmp ( argv[2], "UseImageActorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseImageActorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseImageActorOn */
    Tcl_DStringAppendElement ( &dString, " Render as a 2D image, or render as a plane with a texture in physical\n space.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseImageActorOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for UseImageActorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseImageActorOff */
    if ( strcmp ( argv[2], "UseImageActorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseImageActorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseImageActorOff */
    Tcl_DStringAppendElement ( &dString, " Render as a 2D image, or render as a plane with a texture in physical\n space.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseImageActorOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for UseImageActorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetManipulationMode */
    if ( strcmp ( argv[2], "SetManipulationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetManipulationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetManipulationMode */
    Tcl_DStringAppendElement ( &dString, " INTERNAL - Do not use\n Set the manipulation mode. This is done by the widget\n" );
    Tcl_DStringAppendElement ( &dString, "void SetManipulationMode(int m);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for SetManipulationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetManipulationMode */
    if ( strcmp ( argv[2], "GetManipulationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetManipulationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetManipulationMode */
    Tcl_DStringAppendElement ( &dString, " INTERNAL - Do not use\n Set the manipulation mode. This is done by the widget\n" );
    Tcl_DStringAppendElement ( &dString, "int GetManipulationMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetManipulationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ActivateText */
    if ( strcmp ( argv[2], "ActivateText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ActivateText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ActivateText */
    Tcl_DStringAppendElement ( &dString, " INTERNAL - Do not use.\n Internal methods used by the widget to manage text displays\n for annotations.\n" );
    Tcl_DStringAppendElement ( &dString, "void ActivateText(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for ActivateText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ManageTextDisplay */
    if ( strcmp ( argv[2], "ManageTextDisplay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ManageTextDisplay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ManageTextDisplay */
    Tcl_DStringAppendElement ( &dString, " INTERNAL - Do not use.\n Internal methods used by the widget to manage text displays\n for annotations.\n" );
    Tcl_DStringAppendElement ( &dString, "void ManageTextDisplay();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for ManageTextDisplay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InitializeReslicePlane */
    if ( strcmp ( argv[2], "InitializeReslicePlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InitializeReslicePlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InitializeReslicePlane */
    Tcl_DStringAppendElement ( &dString, " Initialize the reslice planes and the camera center. This is done\n automatically, the first time we render.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void InitializeReslicePlane();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for InitializeReslicePlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCamera */
    if ( strcmp ( argv[2], "ResetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCamera */
    Tcl_DStringAppendElement ( &dString, " Initialize the reslice planes and the camera center. This is done\n automatically, the first time we render.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ResetCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for ResetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorAlgorithm */
    if ( strcmp ( argv[2], "GetCursorAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Get the underlying cursor source.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkResliceCursorPolyDataAlgorithm *GetCursorAlgorithm() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetCursorAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaneSource */
    if ( strcmp ( argv[2], "GetPlaneSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneSource */
    Tcl_DStringAppendElement ( &dString, " Get the plane source on which the texture (the thin/thick resliced\n image is displayed)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPlaneSource *GetPlaneSource();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorRepresentation" );
    /* Closing for GetPlaneSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
