// tcl wrapper for vtkResliceImageViewer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkResliceImageViewer.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkResliceImageViewerNewCommand()
{
  vtkResliceImageViewer *temp = vtkResliceImageViewer::New();
  return static_cast<ClientData>(temp);
}

int vtkImageViewer2CppCommand(vtkImageViewer2 *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkResliceImageViewerCppCommand(vtkResliceImageViewer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkResliceImageViewerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkResliceImageViewerCppCommand(static_cast<vtkResliceImageViewer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkResliceImageViewerCppCommand(vtkResliceImageViewer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkResliceImageViewer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkImageViewer2CppCommand(static_cast<vtkImageViewer2 *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkImageViewer2"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkResliceImageViewer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceImageViewer");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkResliceImageViewer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceImageViewer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkResliceImageViewer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceImageViewer");
    return TCL_OK;
    }
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkImageData  *temp0;
    error = 0;

    temp0 = (vtkImageData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageData"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInputConnection",argv[1]))&&(argc == 3))
    {
    vtkAlgorithmOutput  *temp0;
    error = 0;

    temp0 = (vtkAlgorithmOutput *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAlgorithmOutput"),interp,error));
    if (!error)
    {
    op->SetInputConnection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorWindow",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColorWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetColorLevel",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetColorLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResliceCursorWidget",argv[1]))&&(argc == 2))
    {
    vtkResliceCursorWidget  *temp20;
    temp20 = (op)->GetResliceCursorWidget();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursorWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetResliceMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResliceMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResliceMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResliceMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResliceModeToAxisAligned",argv[1]))&&(argc == 2))
    {
    op->SetResliceModeToAxisAligned();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResliceModeToOblique",argv[1]))&&(argc == 2))
    {
    op->SetResliceModeToOblique();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetResliceCursor",argv[1]))&&(argc == 2))
    {
    vtkResliceCursor  *temp20;
    temp20 = (op)->GetResliceCursor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceCursor");
    return TCL_OK;
    }
  if ((!strcmp("SetResliceCursor",argv[1]))&&(argc == 3))
    {
    vtkResliceCursor  *temp0;
    error = 0;

    temp0 = (vtkResliceCursor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkResliceCursor"),interp,error));
    if (!error)
    {
    op->SetResliceCursor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkScalarsToColors  *temp0;
    error = 0;

    temp0 = (vtkScalarsToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkScalarsToColors"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkScalarsToColors  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkScalarsToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetThickMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThickMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThickMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThickMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPointPlacer",argv[1]))&&(argc == 2))
    {
    vtkBoundedPlanePointPlacer  *temp20;
    temp20 = (op)->GetPointPlacer();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkBoundedPlanePointPlacer");
    return TCL_OK;
    }
  if ((!strcmp("GetMeasurements",argv[1]))&&(argc == 2))
    {
    vtkResliceImageViewerMeasurements  *temp20;
    temp20 = (op)->GetMeasurements();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkResliceImageViewerMeasurements");
    return TCL_OK;
    }
  if ((!strcmp("GetInteractor",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->GetInteractor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SetSliceScrollOnMouseWheel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSliceScrollOnMouseWheel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceScrollOnMouseWheel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceScrollOnMouseWheel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SliceScrollOnMouseWheelOn",argv[1]))&&(argc == 2))
    {
    op->SliceScrollOnMouseWheelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SliceScrollOnMouseWheelOff",argv[1]))&&(argc == 2))
    {
    op->SliceScrollOnMouseWheelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IncrementSlice",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->IncrementSlice(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkResliceImageViewerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkImageViewer2CppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkResliceImageViewer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInputConnection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetColorLevel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceCursorWidget\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceMode\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceModeToAxisAligned\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceModeToOblique\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceCursor\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceCursor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetThickMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThickMode\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  GetPointPlacer\n",NULL);
    Tcl_AppendResult(interp,"  GetMeasurements\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractor\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceScrollOnMouseWheel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceScrollOnMouseWheel\n",NULL);
    Tcl_AppendResult(interp,"  SliceScrollOnMouseWheelOn\n",NULL);
    Tcl_AppendResult(interp,"  SliceScrollOnMouseWheelOff\n",NULL);
    Tcl_AppendResult(interp,"  IncrementSlice\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkImageViewer2CppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    Tcl_DStringAppendElement ( &dString, "SetColorWindow" );
    Tcl_DStringAppendElement ( &dString, "SetColorLevel" );
    Tcl_DStringAppendElement ( &dString, "GetResliceCursorWidget" );
    Tcl_DStringAppendElement ( &dString, "GetResliceMode" );
    Tcl_DStringAppendElement ( &dString, "SetResliceMode" );
    Tcl_DStringAppendElement ( &dString, "SetResliceModeToAxisAligned" );
    Tcl_DStringAppendElement ( &dString, "SetResliceModeToOblique" );
    Tcl_DStringAppendElement ( &dString, "GetResliceCursor" );
    Tcl_DStringAppendElement ( &dString, "SetResliceCursor" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetThickMode" );
    Tcl_DStringAppendElement ( &dString, "GetThickMode" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "GetPointPlacer" );
    Tcl_DStringAppendElement ( &dString, "GetMeasurements" );
    Tcl_DStringAppendElement ( &dString, "GetInteractor" );
    Tcl_DStringAppendElement ( &dString, "SetSliceScrollOnMouseWheel" );
    Tcl_DStringAppendElement ( &dString, "GetSliceScrollOnMouseWheel" );
    Tcl_DStringAppendElement ( &dString, "SliceScrollOnMouseWheelOn" );
    Tcl_DStringAppendElement ( &dString, "SliceScrollOnMouseWheelOff" );
    Tcl_DStringAppendElement ( &dString, "IncrementSlice" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkImageViewer2CppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkResliceImageViewer *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard VTK methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Render the resulting image.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input image to the viewer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInput(vtkImageData *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputConnection */
    if ( strcmp ( argv[2], "SetInputConnection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputConnection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAlgorithmOutput" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputConnection */
    Tcl_DStringAppendElement ( &dString, " Set/Get the input image to the viewer.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInputConnection(vtkAlgorithmOutput *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetInputConnection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorWindow */
    if ( strcmp ( argv[2], "SetColorWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorWindow */
    Tcl_DStringAppendElement ( &dString, " Set window and level for mapping pixels to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorWindow(double s);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetColorWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorLevel */
    if ( strcmp ( argv[2], "SetColorLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorLevel */
    Tcl_DStringAppendElement ( &dString, " Set window and level for mapping pixels to colors.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorLevel(double s);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetColorLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceCursorWidget */
    if ( strcmp ( argv[2], "GetResliceCursorWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceCursorWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceCursorWidget */
    Tcl_DStringAppendElement ( &dString, " Get the internal render window, renderer, image actor, and\n image map instances.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursorWidget *GetResliceCursorWidget();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for GetResliceCursorWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceMode */
    if ( strcmp ( argv[2], "GetResliceMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceMode */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetResliceMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for GetResliceMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceMode */
    if ( strcmp ( argv[2], "SetResliceMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceMode */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetResliceMode(int resliceMode);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetResliceMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceModeToAxisAligned */
    if ( strcmp ( argv[2], "SetResliceModeToAxisAligned" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceModeToAxisAligned" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceModeToAxisAligned */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetResliceModeToAxisAligned();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetResliceModeToAxisAligned */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceModeToOblique */
    if ( strcmp ( argv[2], "SetResliceModeToOblique" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceModeToOblique" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceModeToOblique */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetResliceModeToOblique();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetResliceModeToOblique */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceCursor */
    if ( strcmp ( argv[2], "GetResliceCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceCursor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the reslice cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursor *GetResliceCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for GetResliceCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceCursor */
    if ( strcmp ( argv[2], "SetResliceCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkResliceCursor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceCursor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the reslice cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResliceCursor(vtkResliceCursor *rc);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetResliceCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set the lookup table\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLookupTable(vtkScalarsToColors *);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set the lookup table\n" );
    Tcl_DStringAppendElement ( &dString, "vtkScalarsToColors *GetLookupTable();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThickMode */
    if ( strcmp ( argv[2], "SetThickMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThickMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThickMode */
    Tcl_DStringAppendElement ( &dString, " Switch to / from thick mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetThickMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetThickMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThickMode */
    if ( strcmp ( argv[2], "GetThickMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThickMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThickMode */
    Tcl_DStringAppendElement ( &dString, " Switch to / from thick mode\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetThickMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for GetThickMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Reset all views back to initial state\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Reset();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointPlacer */
    if ( strcmp ( argv[2], "GetPointPlacer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointPlacer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointPlacer */
    Tcl_DStringAppendElement ( &dString, " Get the point placer.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkBoundedPlanePointPlacer *GetPointPlacer();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for GetPointPlacer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMeasurements */
    if ( strcmp ( argv[2], "GetMeasurements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMeasurements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMeasurements */
    Tcl_DStringAppendElement ( &dString, " Get the measurements manager\n" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewerMeasurements *GetMeasurements();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for GetMeasurements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractor */
    if ( strcmp ( argv[2], "GetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractor */
    Tcl_DStringAppendElement ( &dString, " Get the render window interactor\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor *GetInteractor();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for GetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceScrollOnMouseWheel */
    if ( strcmp ( argv[2], "SetSliceScrollOnMouseWheel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceScrollOnMouseWheel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceScrollOnMouseWheel */
    Tcl_DStringAppendElement ( &dString, " Scroll slices on the mouse wheel ? In the case of MPR\n view, it moves one \"normalized spacing\" in the direction of the normal to\n the resliced plane, provided the new center will continue to lie within\n the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceScrollOnMouseWheel(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SetSliceScrollOnMouseWheel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceScrollOnMouseWheel */
    if ( strcmp ( argv[2], "GetSliceScrollOnMouseWheel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceScrollOnMouseWheel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceScrollOnMouseWheel */
    Tcl_DStringAppendElement ( &dString, " Scroll slices on the mouse wheel ? In the case of MPR\n view, it moves one \"normalized spacing\" in the direction of the normal to\n the resliced plane, provided the new center will continue to lie within\n the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSliceScrollOnMouseWheel();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for GetSliceScrollOnMouseWheel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SliceScrollOnMouseWheelOn */
    if ( strcmp ( argv[2], "SliceScrollOnMouseWheelOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SliceScrollOnMouseWheelOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SliceScrollOnMouseWheelOn */
    Tcl_DStringAppendElement ( &dString, " Scroll slices on the mouse wheel ? In the case of MPR\n view, it moves one \"normalized spacing\" in the direction of the normal to\n the resliced plane, provided the new center will continue to lie within\n the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void SliceScrollOnMouseWheelOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SliceScrollOnMouseWheelOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SliceScrollOnMouseWheelOff */
    if ( strcmp ( argv[2], "SliceScrollOnMouseWheelOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SliceScrollOnMouseWheelOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SliceScrollOnMouseWheelOff */
    Tcl_DStringAppendElement ( &dString, " Scroll slices on the mouse wheel ? In the case of MPR\n view, it moves one \"normalized spacing\" in the direction of the normal to\n the resliced plane, provided the new center will continue to lie within\n the volume.\n" );
    Tcl_DStringAppendElement ( &dString, "void SliceScrollOnMouseWheelOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for SliceScrollOnMouseWheelOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IncrementSlice */
    if ( strcmp ( argv[2], "IncrementSlice" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IncrementSlice" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IncrementSlice */
    Tcl_DStringAppendElement ( &dString, " Increment/Decrement slice by 'n' slices\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void IncrementSlice(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkResliceImageViewer" );
    /* Closing for IncrementSlice */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkImageViewer2CppCommand(static_cast<vtkImageViewer2 *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
