// tcl wrapper for vtkSeedWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSeedWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSeedWidgetNewCommand()
{
  vtkSeedWidget *temp = vtkSeedWidget::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractWidgetCppCommand(vtkAbstractWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSeedWidgetCppCommand(vtkSeedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSeedWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSeedWidgetCppCommand(static_cast<vtkSeedWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSeedWidgetCppCommand(vtkSeedWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSeedWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSeedWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSeedWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSeedWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSeedWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSeedWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSeedWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCurrentRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->SetCurrentRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindowInteractor"),interp,error));
    if (!error)
    {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    vtkSeedRepresentation  *temp0;
    error = 0;

    temp0 = (vtkSeedRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSeedRepresentation"),interp,error));
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSeedRepresentation",argv[1]))&&(argc == 2))
    {
    vtkSeedRepresentation  *temp20;
    temp20 = (op)->GetSeedRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSeedRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultRepresentation",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetProcessEvents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetProcessEvents(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CompleteInteraction",argv[1]))&&(argc == 2))
    {
    op->CompleteInteraction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RestartInteraction",argv[1]))&&(argc == 2))
    {
    op->RestartInteraction();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateNewHandle",argv[1]))&&(argc == 2))
    {
    vtkHandleWidget  *temp20;
    temp20 = (op)->CreateNewHandle();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHandleWidget");
    return TCL_OK;
    }
  if ((!strcmp("DeleteSeed",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->DeleteSeed(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSeed",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkHandleWidget  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSeed(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkHandleWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWidgetState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetWidgetState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSeedWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSeedWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSeedRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  SetProcessEvents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CompleteInteraction\n",NULL);
    Tcl_AppendResult(interp,"  RestartInteraction\n",NULL);
    Tcl_AppendResult(interp,"  CreateNewHandle\n",NULL);
    Tcl_AppendResult(interp,"  DeleteSeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSeed\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetWidgetState\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentRenderer" );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetSeedRepresentation" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetProcessEvents" );
    Tcl_DStringAppendElement ( &dString, "CompleteInteraction" );
    Tcl_DStringAppendElement ( &dString, "RestartInteraction" );
    Tcl_DStringAppendElement ( &dString, "CreateNewHandle" );
    Tcl_DStringAppendElement ( &dString, "DeleteSeed" );
    Tcl_DStringAppendElement ( &dString, "GetSeed" );
    Tcl_DStringAppendElement ( &dString, "GetWidgetState" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSeedWidget *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for a VTK class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " The method for activating and deactivating this widget. This method\n must be overridden because it is a composite widget and does more than\n its superclasses' vtkAbstractWidget::SetEnabled() method.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentRenderer */
    if ( strcmp ( argv[2], "SetCurrentRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentRenderer */
    Tcl_DStringAppendElement ( &dString, " Set the current renderer. This method also propagates to all the child\n handle widgets, if any exist\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCurrentRenderer(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for SetCurrentRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractor */
    if ( strcmp ( argv[2], "SetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractor */
    Tcl_DStringAppendElement ( &dString, " Set the interactor. This method also propagates to all the child\n handle widgets, if any exist\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetInteractor(vtkRenderWindowInteractor *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for SetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSeedRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkWidgetRepresentation used to represent this\n widget in the scene. Note that the representation is a subclass of vtkProp\n so it can be added to the renderer independent of the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation(vtkSeedRepresentation *rep);" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSeedRepresentation */
    if ( strcmp ( argv[2], "GetSeedRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeedRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeedRepresentation */
    Tcl_DStringAppendElement ( &dString, " Return the representation as a vtkSeedRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedRepresentation *GetSeedRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for GetSeedRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultRepresentation */
    if ( strcmp ( argv[2], "CreateDefaultRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultRepresentation */
    Tcl_DStringAppendElement ( &dString, " Create the default widget representation if one is not set.\n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for CreateDefaultRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetProcessEvents */
    if ( strcmp ( argv[2], "SetProcessEvents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetProcessEvents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetProcessEvents */
    Tcl_DStringAppendElement ( &dString, " Methods to change the whether the widget responds to interaction.\n Overridden to pass the state to component widgets.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetProcessEvents(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for SetProcessEvents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CompleteInteraction */
    if ( strcmp ( argv[2], "CompleteInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CompleteInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CompleteInteraction */
    Tcl_DStringAppendElement ( &dString, " Method to be called when the seed widget should stop responding to\n the place point interaction. The seed widget, when defined allows you\n place seeds by clicking on the render window. Use this method to\n indicate that you would like to stop placing seeds interactively. If\n you'd like the widget to stop responding to *any* user interaction\n simply disable event processing by the widget by calling\n   widget->ProcessEventsOff()\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CompleteInteraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for CompleteInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RestartInteraction */
    if ( strcmp ( argv[2], "RestartInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RestartInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RestartInteraction */
    Tcl_DStringAppendElement ( &dString, " Method to be called when the seed widget should start responding\n to the interaction.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void RestartInteraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for RestartInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateNewHandle */
    if ( strcmp ( argv[2], "CreateNewHandle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateNewHandle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateNewHandle */
    Tcl_DStringAppendElement ( &dString, " Use this method to programmatically create a new handle. In interactive\n mode, (when the widget is in the PlacingSeeds state) this method is\n automatically invoked. The method returns the handle created.\n A valid seed representation must exist for the widget to create a new\n handle.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkHandleWidget *CreateNewHandle();" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for CreateNewHandle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeleteSeed */
    if ( strcmp ( argv[2], "DeleteSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeleteSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeleteSeed */
    Tcl_DStringAppendElement ( &dString, " Delete the nth seed.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeleteSeed(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for DeleteSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSeed */
    if ( strcmp ( argv[2], "GetSeed" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSeed" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSeed */
    Tcl_DStringAppendElement ( &dString, " Get the nth seed\n" );
    Tcl_DStringAppendElement ( &dString, "vtkHandleWidget *GetSeed(int n);" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for GetSeed */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWidgetState */
    if ( strcmp ( argv[2], "GetWidgetState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWidgetState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWidgetState */
    Tcl_DStringAppendElement ( &dString, " Get the widget state.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetWidgetState();" );
    Tcl_DStringAppendElement ( &dString, "vtkSeedWidget" );
    /* Closing for GetWidgetState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
