// tcl wrapper for vtkSliderWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSliderWidget.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSliderWidgetNewCommand()
{
  vtkSliderWidget *temp = vtkSliderWidget::New();
  return static_cast<ClientData>(temp);
}

int vtkAbstractWidgetCppCommand(vtkAbstractWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSliderWidgetCppCommand(vtkSliderWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSliderWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSliderWidgetCppCommand(static_cast<vtkSliderWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSliderWidgetCppCommand(vtkSliderWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSliderWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkAbstractWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSliderWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSliderWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSliderWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSliderWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSliderWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSliderWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    vtkSliderRepresentation  *temp0;
    error = 0;

    temp0 = (vtkSliderRepresentation *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSliderRepresentation"),interp,error));
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliderRepresentation",argv[1]))&&(argc == 2))
    {
    vtkSliderRepresentation  *temp20;
    temp20 = (op)->GetSliderRepresentation();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSliderRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAnimationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnimationModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAnimationModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAnimationModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAnimationModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAnimationMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAnimationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationModeToOff",argv[1]))&&(argc == 2))
    {
    op->SetAnimationModeToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationModeToJump",argv[1]))&&(argc == 2))
    {
    op->SetAnimationModeToJump();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnimationModeToAnimate",argv[1]))&&(argc == 2))
    {
    op->SetAnimationModeToAnimate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfAnimationSteps",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfAnimationSteps(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAnimationStepsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAnimationStepsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfAnimationStepsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAnimationStepsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfAnimationSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAnimationSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CreateDefaultRepresentation",argv[1]))&&(argc == 2))
    {
    op->CreateDefaultRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSliderWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSliderWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimationMode\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationModeToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationModeToJump\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimationModeToAnimate\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfAnimationSteps\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAnimationStepsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAnimationStepsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAnimationSteps\n",NULL);
    Tcl_AppendResult(interp,"  CreateDefaultRepresentation\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetSliderRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetAnimationMode" );
    Tcl_DStringAppendElement ( &dString, "GetAnimationModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAnimationModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAnimationMode" );
    Tcl_DStringAppendElement ( &dString, "SetAnimationModeToOff" );
    Tcl_DStringAppendElement ( &dString, "SetAnimationModeToJump" );
    Tcl_DStringAppendElement ( &dString, "SetAnimationModeToAnimate" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfAnimationSteps" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAnimationStepsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAnimationStepsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAnimationSteps" );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkAbstractWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSliderWidget *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard macros.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard macros.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard macros.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard macros.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Specify an instance of vtkWidgetRepresentation used to represent this\n widget in the scene. Note that the representation is a subclass of vtkProp\n so it can be added to the renderer independent of the widget.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation(vtkSliderRepresentation *r);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliderRepresentation */
    if ( strcmp ( argv[2], "GetSliderRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliderRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliderRepresentation */
    Tcl_DStringAppendElement ( &dString, " Return the representation as a vtkSliderRepresentation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation *GetSliderRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for GetSliderRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnimationMode */
    if ( strcmp ( argv[2], "SetAnimationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnimationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnimationMode */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAnimationMode(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for SetAnimationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnimationModeMinValue */
    if ( strcmp ( argv[2], "GetAnimationModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnimationModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnimationModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAnimationModeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for GetAnimationModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnimationModeMaxValue */
    if ( strcmp ( argv[2], "GetAnimationModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnimationModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnimationModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAnimationModeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for GetAnimationModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnimationMode */
    if ( strcmp ( argv[2], "GetAnimationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnimationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnimationMode */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAnimationMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for GetAnimationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnimationModeToOff */
    if ( strcmp ( argv[2], "SetAnimationModeToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnimationModeToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnimationModeToOff */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAnimationModeToOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for SetAnimationModeToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnimationModeToJump */
    if ( strcmp ( argv[2], "SetAnimationModeToJump" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnimationModeToJump" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnimationModeToJump */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAnimationModeToJump();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for SetAnimationModeToJump */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnimationModeToAnimate */
    if ( strcmp ( argv[2], "SetAnimationModeToAnimate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnimationModeToAnimate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnimationModeToAnimate */
    Tcl_DStringAppendElement ( &dString, " Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAnimationModeToAnimate();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for SetAnimationModeToAnimate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfAnimationSteps */
    if ( strcmp ( argv[2], "SetNumberOfAnimationSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfAnimationSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfAnimationSteps */
    Tcl_DStringAppendElement ( &dString, " Specify the number of animation steps to take if the animation mode\n is set to animate.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfAnimationSteps(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for SetNumberOfAnimationSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAnimationStepsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfAnimationStepsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAnimationStepsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAnimationStepsMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of animation steps to take if the animation mode\n is set to animate.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfAnimationStepsMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for GetNumberOfAnimationStepsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAnimationStepsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfAnimationStepsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAnimationStepsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAnimationStepsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the number of animation steps to take if the animation mode\n is set to animate.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfAnimationStepsMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for GetNumberOfAnimationStepsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAnimationSteps */
    if ( strcmp ( argv[2], "GetNumberOfAnimationSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAnimationSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAnimationSteps */
    Tcl_DStringAppendElement ( &dString, " Specify the number of animation steps to take if the animation mode\n is set to animate.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfAnimationSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for GetNumberOfAnimationSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateDefaultRepresentation */
    if ( strcmp ( argv[2], "CreateDefaultRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateDefaultRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateDefaultRepresentation */
    Tcl_DStringAppendElement ( &dString, " Create the default widget representation if one is not set. \n" );
    Tcl_DStringAppendElement ( &dString, "void CreateDefaultRepresentation();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderWidget" );
    /* Closing for CreateDefaultRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkAbstractWidgetCppCommand(static_cast<vtkAbstractWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
