// tcl wrapper for vtkMeshQuality object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkMeshQuality.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkMeshQualityNewCommand()
{
  vtkMeshQuality *temp = vtkMeshQuality::New();
  return static_cast<ClientData>(temp);
}

int vtkDataSetAlgorithmCppCommand(vtkDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkMeshQualityCppCommand(vtkMeshQuality *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkMeshQualityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkMeshQualityCppCommand(static_cast<vtkMeshQuality *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkMeshQualityCppCommand(vtkMeshQuality *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkMeshQuality",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkMeshQuality  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMeshQuality");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkMeshQuality  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMeshQuality");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkMeshQuality  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkMeshQuality");
    return TCL_OK;
    }
  if ((!strcmp("SetSaveCellQuality",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSaveCellQuality(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSaveCellQuality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSaveCellQuality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SaveCellQualityOn",argv[1]))&&(argc == 2))
    {
    op->SaveCellQualityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SaveCellQualityOff",argv[1]))&&(argc == 2))
    {
    op->SaveCellQualityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTriangleQualityMeasure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTriangleQualityMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTriangleQualityMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToArea",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToArea();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToEdgeRatio",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToEdgeRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToAspectRatio",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToAspectRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToRadiusRatio",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToRadiusRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToAspectFrobenius",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToAspectFrobenius();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToMinAngle",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToMinAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToMaxAngle",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToMaxAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToCondition",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToCondition();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToScaledJacobian",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToScaledJacobian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToRelativeSizeSquared",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToRelativeSizeSquared();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToShape",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToShape();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToShapeAndSize",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToShapeAndSize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTriangleQualityMeasureToDistortion",argv[1]))&&(argc == 2))
    {
    op->SetTriangleQualityMeasureToDistortion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetQuadQualityMeasure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetQuadQualityMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetQuadQualityMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToEdgeRatio",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToEdgeRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToAspectRatio",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToAspectRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToRadiusRatio",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToRadiusRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToMedAspectFrobenius",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToMedAspectFrobenius();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToMaxAspectFrobenius",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToMaxAspectFrobenius();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToMaxEdgeRatios",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToMaxEdgeRatios();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToSkew",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToSkew();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToTaper",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToTaper();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToWarpage",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToWarpage();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToArea",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToArea();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToStretch",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToStretch();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToMinAngle",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToMinAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToMaxAngle",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToMaxAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToOddy",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToOddy();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToCondition",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToCondition();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToJacobian",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToJacobian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToScaledJacobian",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToScaledJacobian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToShear",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToShear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToShape",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToShape();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToRelativeSizeSquared",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToRelativeSizeSquared();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToShapeAndSize",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToShapeAndSize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToShearAndSize",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToShearAndSize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetQuadQualityMeasureToDistortion",argv[1]))&&(argc == 2))
    {
    op->SetQuadQualityMeasureToDistortion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTetQualityMeasure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTetQualityMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTetQualityMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToEdgeRatio",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToEdgeRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToAspectRatio",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToAspectRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToRadiusRatio",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToRadiusRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToAspectFrobenius",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToAspectFrobenius();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToMinAngle",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToMinAngle();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToCollapseRatio",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToCollapseRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToAspectBeta",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToAspectBeta();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToAspectGamma",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToAspectGamma();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToVolume",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToVolume();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToCondition",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToCondition();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToJacobian",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToJacobian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToScaledJacobian",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToScaledJacobian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToShape",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToShape();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToRelativeSizeSquared",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToRelativeSizeSquared();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToShapeAndSize",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToShapeAndSize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTetQualityMeasureToDistortion",argv[1]))&&(argc == 2))
    {
    op->SetTetQualityMeasureToDistortion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasure",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHexQualityMeasure(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHexQualityMeasure",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHexQualityMeasure();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToEdgeRatio",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToEdgeRatio();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToMedAspectFrobenius",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToMedAspectFrobenius();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToMaxAspectFrobenius",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToMaxAspectFrobenius();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToMaxEdgeRatios",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToMaxEdgeRatios();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToSkew",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToSkew();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToTaper",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToTaper();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToVolume",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToVolume();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToStretch",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToStretch();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToDiagonal",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToDiagonal();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToDimension",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToDimension();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToOddy",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToOddy();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToCondition",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToCondition();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToJacobian",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToJacobian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToScaledJacobian",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToScaledJacobian();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToShear",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToShear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToShape",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToShape();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToRelativeSizeSquared",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToRelativeSizeSquared();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToShapeAndSize",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToShapeAndSize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToShearAndSize",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToShearAndSize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHexQualityMeasureToDistortion",argv[1]))&&(argc == 2))
    {
    op->SetHexQualityMeasureToDistortion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TriangleArea",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleArea(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleEdgeRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleEdgeRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleAspectRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleAspectRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleRadiusRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleRadiusRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleAspectFrobenius",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleAspectFrobenius(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleMinAngle",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleMinAngle(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleMaxAngle",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleMaxAngle(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleCondition",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleCondition(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleScaledJacobian",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleScaledJacobian(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleRelativeSizeSquared",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleRelativeSizeSquared(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleShape",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleShape(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleShapeAndSize",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleShapeAndSize(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TriangleDistortion",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TriangleDistortion(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadEdgeRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadEdgeRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadAspectRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadAspectRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadRadiusRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadRadiusRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadMedAspectFrobenius",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadMedAspectFrobenius(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadMaxAspectFrobenius",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadMaxAspectFrobenius(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadMinAngle",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadMinAngle(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadMaxEdgeRatios",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadMaxEdgeRatios(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadSkew",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadSkew(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadTaper",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadTaper(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadWarpage",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadWarpage(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadArea",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadArea(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadStretch",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadStretch(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadMaxAngle",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadMaxAngle(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadOddy",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadOddy(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadCondition",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadCondition(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadJacobian",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadJacobian(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadScaledJacobian",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadScaledJacobian(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadShear",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadShear(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadShape",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadShape(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadRelativeSizeSquared",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadRelativeSizeSquared(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadShapeAndSize",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadShapeAndSize(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadShearAndSize",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadShearAndSize(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("QuadDistortion",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->QuadDistortion(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetEdgeRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetEdgeRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetAspectRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetAspectRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetRadiusRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetRadiusRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetAspectFrobenius",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetAspectFrobenius(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetMinAngle",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetMinAngle(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetCollapseRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetCollapseRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetAspectBeta",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetAspectBeta(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetAspectGamma",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetAspectGamma(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetVolume",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetVolume(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetCondition",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetCondition(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetJacobian",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetJacobian(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetScaledJacobian",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetScaledJacobian(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetShape",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetShape(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetRelativeSizeSquared",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetRelativeSizeSquared(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetShapeandSize",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetShapeandSize(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("TetDistortion",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->TetDistortion(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexEdgeRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexEdgeRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexMedAspectFrobenius",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexMedAspectFrobenius(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexMaxAspectFrobenius",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexMaxAspectFrobenius(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexMaxEdgeRatio",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexMaxEdgeRatio(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexSkew",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexSkew(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexTaper",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexTaper(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexVolume",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexVolume(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexStretch",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexStretch(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexDiagonal",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexDiagonal(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexDimension",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexDimension(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexOddy",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexOddy(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexCondition",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexCondition(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexJacobian",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexJacobian(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexScaledJacobian",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexScaledJacobian(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexShear",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexShear(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexShape",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexShape(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexRelativeSizeSquared",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexRelativeSizeSquared(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexShapeAndSize",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexShapeAndSize(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexShearAndSize",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexShearAndSize(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HexDistortion",argv[1]))&&(argc == 3))
    {
    vtkCell  *temp0;
    double   temp20;
    error = 0;

    temp0 = (vtkCell *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCell"),interp,error));
    if (!error)
    {
    temp20 = (op)->HexDistortion(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRatio",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRatio",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRatio();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RatioOn",argv[1]))&&(argc == 2))
    {
    op->RatioOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RatioOff",argv[1]))&&(argc == 2))
    {
    op->RatioOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVolume",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVolume",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVolume();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VolumeOn",argv[1]))&&(argc == 2))
    {
    op->VolumeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VolumeOff",argv[1]))&&(argc == 2))
    {
    op->VolumeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCompatibilityMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCompatibilityMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCompatibilityMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCompatibilityMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CompatibilityModeOn",argv[1]))&&(argc == 2))
    {
    op->CompatibilityModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CompatibilityModeOff",argv[1]))&&(argc == 2))
    {
    op->CompatibilityModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkMeshQualityCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkMeshQuality:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  SetSaveCellQuality\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSaveCellQuality\n",NULL);
    Tcl_AppendResult(interp,"  SaveCellQualityOn\n",NULL);
    Tcl_AppendResult(interp,"  SaveCellQualityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTriangleQualityMeasure\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToArea\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToEdgeRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToAspectRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToRadiusRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToAspectFrobenius\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToMinAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToMaxAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToCondition\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToScaledJacobian\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToRelativeSizeSquared\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToShape\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToShapeAndSize\n",NULL);
    Tcl_AppendResult(interp,"  SetTriangleQualityMeasureToDistortion\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetQuadQualityMeasure\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToEdgeRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToAspectRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToRadiusRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToMedAspectFrobenius\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToMaxAspectFrobenius\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToMaxEdgeRatios\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToSkew\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToTaper\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToWarpage\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToArea\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToStretch\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToMinAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToMaxAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToOddy\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToCondition\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToJacobian\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToScaledJacobian\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToShear\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToShape\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToRelativeSizeSquared\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToShapeAndSize\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToShearAndSize\n",NULL);
    Tcl_AppendResult(interp,"  SetQuadQualityMeasureToDistortion\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTetQualityMeasure\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToEdgeRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToAspectRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToRadiusRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToAspectFrobenius\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToMinAngle\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToCollapseRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToAspectBeta\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToAspectGamma\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToVolume\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToCondition\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToJacobian\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToScaledJacobian\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToShape\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToRelativeSizeSquared\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToShapeAndSize\n",NULL);
    Tcl_AppendResult(interp,"  SetTetQualityMeasureToDistortion\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasure\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHexQualityMeasure\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToEdgeRatio\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToMedAspectFrobenius\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToMaxAspectFrobenius\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToMaxEdgeRatios\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToSkew\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToTaper\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToVolume\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToStretch\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToDiagonal\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToDimension\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToOddy\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToCondition\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToJacobian\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToScaledJacobian\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToShear\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToShape\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToRelativeSizeSquared\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToShapeAndSize\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToShearAndSize\n",NULL);
    Tcl_AppendResult(interp,"  SetHexQualityMeasureToDistortion\n",NULL);
    Tcl_AppendResult(interp,"  TriangleArea\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleEdgeRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleAspectRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleRadiusRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleAspectFrobenius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleMinAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleMaxAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleCondition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleScaledJacobian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleRelativeSizeSquared\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleShapeAndSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TriangleDistortion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadEdgeRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadAspectRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadRadiusRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadMedAspectFrobenius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadMaxAspectFrobenius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadMinAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadMaxEdgeRatios\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadSkew\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadTaper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadWarpage\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadArea\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadStretch\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadMaxAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadOddy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadCondition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadJacobian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadScaledJacobian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadShear\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadRelativeSizeSquared\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadShapeAndSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadShearAndSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  QuadDistortion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetEdgeRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetAspectRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetRadiusRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetAspectFrobenius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetMinAngle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetCollapseRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetAspectBeta\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetAspectGamma\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetCondition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetJacobian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetScaledJacobian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetRelativeSizeSquared\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetShapeandSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  TetDistortion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexEdgeRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexMedAspectFrobenius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexMaxAspectFrobenius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexMaxEdgeRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexSkew\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexTaper\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexStretch\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexDiagonal\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexDimension\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexOddy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexCondition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexJacobian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexScaledJacobian\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexShear\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexRelativeSizeSquared\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexShapeAndSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexShearAndSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HexDistortion\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRatio\n",NULL);
    Tcl_AppendResult(interp,"  RatioOn\n",NULL);
    Tcl_AppendResult(interp,"  RatioOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVolume\n",NULL);
    Tcl_AppendResult(interp,"  VolumeOn\n",NULL);
    Tcl_AppendResult(interp,"  VolumeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCompatibilityMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCompatibilityMode\n",NULL);
    Tcl_AppendResult(interp,"  CompatibilityModeOn\n",NULL);
    Tcl_AppendResult(interp,"  CompatibilityModeOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "SetSaveCellQuality" );
    Tcl_DStringAppendElement ( &dString, "GetSaveCellQuality" );
    Tcl_DStringAppendElement ( &dString, "SaveCellQualityOn" );
    Tcl_DStringAppendElement ( &dString, "SaveCellQualityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasure" );
    Tcl_DStringAppendElement ( &dString, "GetTriangleQualityMeasure" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToArea" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToEdgeRatio" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToAspectRatio" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToRadiusRatio" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToMinAngle" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToMaxAngle" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToCondition" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToScaledJacobian" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToRelativeSizeSquared" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToShape" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToShapeAndSize" );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToDistortion" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasure" );
    Tcl_DStringAppendElement ( &dString, "GetQuadQualityMeasure" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToEdgeRatio" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToAspectRatio" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToRadiusRatio" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToMedAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToMaxAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToMaxEdgeRatios" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToSkew" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToTaper" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToWarpage" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToArea" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToStretch" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToMinAngle" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToMaxAngle" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToOddy" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToCondition" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToJacobian" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToScaledJacobian" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToShear" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToShape" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToRelativeSizeSquared" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToShapeAndSize" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToShearAndSize" );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToDistortion" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasure" );
    Tcl_DStringAppendElement ( &dString, "GetTetQualityMeasure" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToEdgeRatio" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToAspectRatio" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToRadiusRatio" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToMinAngle" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToCollapseRatio" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToAspectBeta" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToAspectGamma" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToVolume" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToCondition" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToJacobian" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToScaledJacobian" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToShape" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToRelativeSizeSquared" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToShapeAndSize" );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToDistortion" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasure" );
    Tcl_DStringAppendElement ( &dString, "GetHexQualityMeasure" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToEdgeRatio" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToMedAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToMaxAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToMaxEdgeRatios" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToSkew" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToTaper" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToVolume" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToStretch" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToDiagonal" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToDimension" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToOddy" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToCondition" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToJacobian" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToScaledJacobian" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToShear" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToShape" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToRelativeSizeSquared" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToShapeAndSize" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToShearAndSize" );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToDistortion" );
    Tcl_DStringAppendElement ( &dString, "TriangleArea" );
    Tcl_DStringAppendElement ( &dString, "TriangleEdgeRatio" );
    Tcl_DStringAppendElement ( &dString, "TriangleAspectRatio" );
    Tcl_DStringAppendElement ( &dString, "TriangleRadiusRatio" );
    Tcl_DStringAppendElement ( &dString, "TriangleAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "TriangleMinAngle" );
    Tcl_DStringAppendElement ( &dString, "TriangleMaxAngle" );
    Tcl_DStringAppendElement ( &dString, "TriangleCondition" );
    Tcl_DStringAppendElement ( &dString, "TriangleScaledJacobian" );
    Tcl_DStringAppendElement ( &dString, "TriangleRelativeSizeSquared" );
    Tcl_DStringAppendElement ( &dString, "TriangleShape" );
    Tcl_DStringAppendElement ( &dString, "TriangleShapeAndSize" );
    Tcl_DStringAppendElement ( &dString, "TriangleDistortion" );
    Tcl_DStringAppendElement ( &dString, "QuadEdgeRatio" );
    Tcl_DStringAppendElement ( &dString, "QuadAspectRatio" );
    Tcl_DStringAppendElement ( &dString, "QuadRadiusRatio" );
    Tcl_DStringAppendElement ( &dString, "QuadMedAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "QuadMaxAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "QuadMinAngle" );
    Tcl_DStringAppendElement ( &dString, "QuadMaxEdgeRatios" );
    Tcl_DStringAppendElement ( &dString, "QuadSkew" );
    Tcl_DStringAppendElement ( &dString, "QuadTaper" );
    Tcl_DStringAppendElement ( &dString, "QuadWarpage" );
    Tcl_DStringAppendElement ( &dString, "QuadArea" );
    Tcl_DStringAppendElement ( &dString, "QuadStretch" );
    Tcl_DStringAppendElement ( &dString, "QuadMaxAngle" );
    Tcl_DStringAppendElement ( &dString, "QuadOddy" );
    Tcl_DStringAppendElement ( &dString, "QuadCondition" );
    Tcl_DStringAppendElement ( &dString, "QuadJacobian" );
    Tcl_DStringAppendElement ( &dString, "QuadScaledJacobian" );
    Tcl_DStringAppendElement ( &dString, "QuadShear" );
    Tcl_DStringAppendElement ( &dString, "QuadShape" );
    Tcl_DStringAppendElement ( &dString, "QuadRelativeSizeSquared" );
    Tcl_DStringAppendElement ( &dString, "QuadShapeAndSize" );
    Tcl_DStringAppendElement ( &dString, "QuadShearAndSize" );
    Tcl_DStringAppendElement ( &dString, "QuadDistortion" );
    Tcl_DStringAppendElement ( &dString, "TetEdgeRatio" );
    Tcl_DStringAppendElement ( &dString, "TetAspectRatio" );
    Tcl_DStringAppendElement ( &dString, "TetRadiusRatio" );
    Tcl_DStringAppendElement ( &dString, "TetAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "TetMinAngle" );
    Tcl_DStringAppendElement ( &dString, "TetCollapseRatio" );
    Tcl_DStringAppendElement ( &dString, "TetAspectBeta" );
    Tcl_DStringAppendElement ( &dString, "TetAspectGamma" );
    Tcl_DStringAppendElement ( &dString, "TetVolume" );
    Tcl_DStringAppendElement ( &dString, "TetCondition" );
    Tcl_DStringAppendElement ( &dString, "TetJacobian" );
    Tcl_DStringAppendElement ( &dString, "TetScaledJacobian" );
    Tcl_DStringAppendElement ( &dString, "TetShape" );
    Tcl_DStringAppendElement ( &dString, "TetRelativeSizeSquared" );
    Tcl_DStringAppendElement ( &dString, "TetShapeandSize" );
    Tcl_DStringAppendElement ( &dString, "TetDistortion" );
    Tcl_DStringAppendElement ( &dString, "HexEdgeRatio" );
    Tcl_DStringAppendElement ( &dString, "HexMedAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "HexMaxAspectFrobenius" );
    Tcl_DStringAppendElement ( &dString, "HexMaxEdgeRatio" );
    Tcl_DStringAppendElement ( &dString, "HexSkew" );
    Tcl_DStringAppendElement ( &dString, "HexTaper" );
    Tcl_DStringAppendElement ( &dString, "HexVolume" );
    Tcl_DStringAppendElement ( &dString, "HexStretch" );
    Tcl_DStringAppendElement ( &dString, "HexDiagonal" );
    Tcl_DStringAppendElement ( &dString, "HexDimension" );
    Tcl_DStringAppendElement ( &dString, "HexOddy" );
    Tcl_DStringAppendElement ( &dString, "HexCondition" );
    Tcl_DStringAppendElement ( &dString, "HexJacobian" );
    Tcl_DStringAppendElement ( &dString, "HexScaledJacobian" );
    Tcl_DStringAppendElement ( &dString, "HexShear" );
    Tcl_DStringAppendElement ( &dString, "HexShape" );
    Tcl_DStringAppendElement ( &dString, "HexRelativeSizeSquared" );
    Tcl_DStringAppendElement ( &dString, "HexShapeAndSize" );
    Tcl_DStringAppendElement ( &dString, "HexShearAndSize" );
    Tcl_DStringAppendElement ( &dString, "HexDistortion" );
    Tcl_DStringAppendElement ( &dString, "SetRatio" );
    Tcl_DStringAppendElement ( &dString, "GetRatio" );
    Tcl_DStringAppendElement ( &dString, "RatioOn" );
    Tcl_DStringAppendElement ( &dString, "RatioOff" );
    Tcl_DStringAppendElement ( &dString, "SetVolume" );
    Tcl_DStringAppendElement ( &dString, "GetVolume" );
    Tcl_DStringAppendElement ( &dString, "VolumeOn" );
    Tcl_DStringAppendElement ( &dString, "VolumeOff" );
    Tcl_DStringAppendElement ( &dString, "SetCompatibilityMode" );
    Tcl_DStringAppendElement ( &dString, "GetCompatibilityMode" );
    Tcl_DStringAppendElement ( &dString, "CompatibilityModeOn" );
    Tcl_DStringAppendElement ( &dString, "CompatibilityModeOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkMeshQuality *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSaveCellQuality */
    if ( strcmp ( argv[2], "SetSaveCellQuality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSaveCellQuality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSaveCellQuality */
    Tcl_DStringAppendElement ( &dString, " This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSaveCellQuality(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetSaveCellQuality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSaveCellQuality */
    if ( strcmp ( argv[2], "GetSaveCellQuality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSaveCellQuality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSaveCellQuality */
    Tcl_DStringAppendElement ( &dString, " This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSaveCellQuality();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for GetSaveCellQuality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SaveCellQualityOn */
    if ( strcmp ( argv[2], "SaveCellQualityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SaveCellQualityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SaveCellQualityOn */
    Tcl_DStringAppendElement ( &dString, " This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SaveCellQualityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SaveCellQualityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SaveCellQualityOff */
    if ( strcmp ( argv[2], "SaveCellQualityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SaveCellQualityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SaveCellQualityOff */
    Tcl_DStringAppendElement ( &dString, " This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n" );
    Tcl_DStringAppendElement ( &dString, "void SaveCellQualityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SaveCellQualityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasure */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasure */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasure(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTriangleQualityMeasure */
    if ( strcmp ( argv[2], "GetTriangleQualityMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTriangleQualityMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTriangleQualityMeasure */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTriangleQualityMeasure();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for GetTriangleQualityMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToArea */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToArea */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToArea();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToEdgeRatio */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToEdgeRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToEdgeRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToEdgeRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToEdgeRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToEdgeRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToAspectRatio */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToAspectRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToAspectRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToAspectRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToAspectRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToAspectRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToRadiusRatio */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToRadiusRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToRadiusRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToRadiusRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToRadiusRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToRadiusRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToAspectFrobenius */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToAspectFrobenius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToMinAngle */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToMinAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToMinAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToMinAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToMinAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToMinAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToMaxAngle */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToMaxAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToMaxAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToMaxAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToMaxAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToMaxAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToCondition */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToCondition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToCondition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToCondition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToCondition();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToCondition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToScaledJacobian */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToScaledJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToScaledJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToScaledJacobian */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToScaledJacobian();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToScaledJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToRelativeSizeSquared */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToRelativeSizeSquared" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToRelativeSizeSquared" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToRelativeSizeSquared */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToRelativeSizeSquared();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToRelativeSizeSquared */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToShape */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToShape */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToShapeAndSize */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToShapeAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToShapeAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToShapeAndSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToShapeAndSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToShapeAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTriangleQualityMeasureToDistortion */
    if ( strcmp ( argv[2], "SetTriangleQualityMeasureToDistortion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTriangleQualityMeasureToDistortion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTriangleQualityMeasureToDistortion */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTriangleQualityMeasureToDistortion();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTriangleQualityMeasureToDistortion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasure */
    if ( strcmp ( argv[2], "SetQuadQualityMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasure */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasure(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetQuadQualityMeasure */
    if ( strcmp ( argv[2], "GetQuadQualityMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetQuadQualityMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetQuadQualityMeasure */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetQuadQualityMeasure();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for GetQuadQualityMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToEdgeRatio */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToEdgeRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToEdgeRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToEdgeRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToEdgeRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToEdgeRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToAspectRatio */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToAspectRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToAspectRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToAspectRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToAspectRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToAspectRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToRadiusRatio */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToRadiusRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToRadiusRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToRadiusRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToRadiusRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToRadiusRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToMedAspectFrobenius */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToMedAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToMedAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToMedAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToMedAspectFrobenius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToMedAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToMaxAspectFrobenius */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToMaxAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToMaxAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToMaxAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToMaxAspectFrobenius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToMaxAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToMaxEdgeRatios */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToMaxEdgeRatios" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToMaxEdgeRatios" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToMaxEdgeRatios */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToMaxEdgeRatios();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToMaxEdgeRatios */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToSkew */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToSkew" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToSkew" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToSkew */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToSkew();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToSkew */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToTaper */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToTaper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToTaper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToTaper */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToTaper();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToTaper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToWarpage */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToWarpage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToWarpage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToWarpage */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToWarpage();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToWarpage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToArea */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToArea */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToArea();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToStretch */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToStretch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToStretch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToStretch */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToStretch();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToStretch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToMinAngle */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToMinAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToMinAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToMinAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToMinAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToMinAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToMaxAngle */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToMaxAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToMaxAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToMaxAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToMaxAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToMaxAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToOddy */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToOddy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToOddy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToOddy */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToOddy();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToOddy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToCondition */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToCondition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToCondition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToCondition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToCondition();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToCondition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToJacobian */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToJacobian */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToJacobian();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToScaledJacobian */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToScaledJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToScaledJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToScaledJacobian */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToScaledJacobian();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToScaledJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToShear */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToShear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToShear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToShear */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToShear();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToShear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToShape */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToShape */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToRelativeSizeSquared */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToRelativeSizeSquared" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToRelativeSizeSquared" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToRelativeSizeSquared */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToRelativeSizeSquared();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToRelativeSizeSquared */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToShapeAndSize */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToShapeAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToShapeAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToShapeAndSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToShapeAndSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToShapeAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToShearAndSize */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToShearAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToShearAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToShearAndSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToShearAndSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToShearAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetQuadQualityMeasureToDistortion */
    if ( strcmp ( argv[2], "SetQuadQualityMeasureToDistortion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetQuadQualityMeasureToDistortion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetQuadQualityMeasureToDistortion */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetQuadQualityMeasureToDistortion();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetQuadQualityMeasureToDistortion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasure */
    if ( strcmp ( argv[2], "SetTetQualityMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasure */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasure(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTetQualityMeasure */
    if ( strcmp ( argv[2], "GetTetQualityMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTetQualityMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTetQualityMeasure */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTetQualityMeasure();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for GetTetQualityMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToEdgeRatio */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToEdgeRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToEdgeRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToEdgeRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToEdgeRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToEdgeRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToAspectRatio */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToAspectRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToAspectRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToAspectRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToAspectRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToAspectRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToRadiusRatio */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToRadiusRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToRadiusRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToRadiusRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToRadiusRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToRadiusRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToAspectFrobenius */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToAspectFrobenius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToMinAngle */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToMinAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToMinAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToMinAngle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToMinAngle();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToMinAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToCollapseRatio */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToCollapseRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToCollapseRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToCollapseRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToCollapseRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToCollapseRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToAspectBeta */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToAspectBeta" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToAspectBeta" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToAspectBeta */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToAspectBeta();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToAspectBeta */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToAspectGamma */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToAspectGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToAspectGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToAspectGamma */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToAspectGamma();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToAspectGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToVolume */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToVolume */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToCondition */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToCondition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToCondition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToCondition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToCondition();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToCondition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToJacobian */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToJacobian */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToJacobian();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToScaledJacobian */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToScaledJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToScaledJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToScaledJacobian */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToScaledJacobian();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToScaledJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToShape */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToShape */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToRelativeSizeSquared */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToRelativeSizeSquared" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToRelativeSizeSquared" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToRelativeSizeSquared */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToRelativeSizeSquared();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToRelativeSizeSquared */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToShapeAndSize */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToShapeAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToShapeAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToShapeAndSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToShapeAndSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToShapeAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTetQualityMeasureToDistortion */
    if ( strcmp ( argv[2], "SetTetQualityMeasureToDistortion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTetQualityMeasureToDistortion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTetQualityMeasureToDistortion */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTetQualityMeasureToDistortion();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetTetQualityMeasureToDistortion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasure */
    if ( strcmp ( argv[2], "SetHexQualityMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasure */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasure(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHexQualityMeasure */
    if ( strcmp ( argv[2], "GetHexQualityMeasure" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHexQualityMeasure" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHexQualityMeasure */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHexQualityMeasure();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for GetHexQualityMeasure */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToEdgeRatio */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToEdgeRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToEdgeRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToEdgeRatio */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToEdgeRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToEdgeRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToMedAspectFrobenius */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToMedAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToMedAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToMedAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToMedAspectFrobenius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToMedAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToMaxAspectFrobenius */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToMaxAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToMaxAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToMaxAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToMaxAspectFrobenius();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToMaxAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToMaxEdgeRatios */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToMaxEdgeRatios" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToMaxEdgeRatios" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToMaxEdgeRatios */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToMaxEdgeRatios();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToMaxEdgeRatios */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToSkew */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToSkew" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToSkew" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToSkew */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToSkew();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToSkew */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToTaper */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToTaper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToTaper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToTaper */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToTaper();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToTaper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToVolume */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToVolume */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToStretch */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToStretch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToStretch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToStretch */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToStretch();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToStretch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToDiagonal */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToDiagonal */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToDiagonal();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToDimension */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToDimension */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToDimension();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToOddy */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToOddy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToOddy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToOddy */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToOddy();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToOddy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToCondition */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToCondition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToCondition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToCondition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToCondition();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToCondition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToJacobian */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToJacobian */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToJacobian();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToScaledJacobian */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToScaledJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToScaledJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToScaledJacobian */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToScaledJacobian();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToScaledJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToShear */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToShear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToShear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToShear */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToShear();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToShear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToShape */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToShape */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToShape();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToRelativeSizeSquared */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToRelativeSizeSquared" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToRelativeSizeSquared" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToRelativeSizeSquared */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToRelativeSizeSquared();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToRelativeSizeSquared */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToShapeAndSize */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToShapeAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToShapeAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToShapeAndSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToShapeAndSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToShapeAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToShearAndSize */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToShearAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToShearAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToShearAndSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToShearAndSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToShearAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHexQualityMeasureToDistortion */
    if ( strcmp ( argv[2], "SetHexQualityMeasureToDistortion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHexQualityMeasureToDistortion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHexQualityMeasureToDistortion */
    Tcl_DStringAppendElement ( &dString, " Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHexQualityMeasureToDistortion();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetHexQualityMeasureToDistortion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleArea */
    if ( strcmp ( argv[2], "TriangleArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleArea */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the area of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleArea(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleEdgeRatio */
    if ( strcmp ( argv[2], "TriangleEdgeRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleEdgeRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleEdgeRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the edge ratio of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a triangle \\f$t\\f$ is: \n \\f$\\frac{|t|_\\infty}{|t|_0}\\f$,\n where \\f$|t|_\\infty\\f$ and \\f$|t|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$t\\f$.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleEdgeRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleEdgeRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleAspectRatio */
    if ( strcmp ( argv[2], "TriangleAspectRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleAspectRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleAspectRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the aspect ratio of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The aspect ratio of a triangle \\f$t\\f$ is: \n \\f$\\frac{|t|_\\infty}{2\\sqrt{3}r}\\f$,\n where \\f$|t|_\\infty\\f$ and \\f$r\\f$ respectively denote the greatest edge \n length and the inradius of \\f$t\\f$.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleAspectRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleAspectRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleRadiusRatio */
    if ( strcmp ( argv[2], "TriangleRadiusRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleRadiusRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleRadiusRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the radius ratio of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The radius ratio of a triangle \\f$t\\f$ is: \n \\f$\\frac{R}{2r}\\f$,\n where \\f$R\\f$ and \\f$r\\f$ respectively denote the circumradius and \n the inradius of \\f$t\\f$.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleRadiusRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleRadiusRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleAspectFrobenius */
    if ( strcmp ( argv[2], "TriangleAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the Frobenius condition number\n of the transformation matrix from an equilateral triangle to a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The Frobenius aspect of a triangle \\f$t\\f$, when the reference element is \n equilateral, is: \n \\f$\\frac{|t|^2_2}{2\\sqrt{3}{\\cal A}}\\f$,\n where  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleAspectFrobenius(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleMinAngle */
    if ( strcmp ( argv[2], "TriangleMinAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleMinAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleMinAngle */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the minimal (nonoriented) angle\n of a triangle, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleMinAngle(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleMinAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleMaxAngle */
    if ( strcmp ( argv[2], "TriangleMaxAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleMaxAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleMaxAngle */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal (nonoriented) angle\n of a triangle, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleMaxAngle(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleMaxAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleCondition */
    if ( strcmp ( argv[2], "TriangleCondition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleCondition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleCondition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleCondition(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleCondition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleScaledJacobian */
    if ( strcmp ( argv[2], "TriangleScaledJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleScaledJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleScaledJacobian */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the scaled Jacobian of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleScaledJacobian(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleScaledJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleRelativeSizeSquared */
    if ( strcmp ( argv[2], "TriangleRelativeSizeSquared" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleRelativeSizeSquared" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleRelativeSizeSquared */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the square of the relative size of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleRelativeSizeSquared(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleRelativeSizeSquared */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleShape */
    if ( strcmp ( argv[2], "TriangleShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleShape */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the shape of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleShape(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleShapeAndSize */
    if ( strcmp ( argv[2], "TriangleShapeAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleShapeAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleShapeAndSize */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the product of shape and relative size of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleShapeAndSize(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleShapeAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TriangleDistortion */
    if ( strcmp ( argv[2], "TriangleDistortion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TriangleDistortion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TriangleDistortion */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the distortion of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TriangleDistortion(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TriangleDistortion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadEdgeRatio */
    if ( strcmp ( argv[2], "QuadEdgeRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadEdgeRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadEdgeRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the edge ratio of a quadrilateral.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a quadrilateral \\f$q\\f$ is: \n \\f$\\frac{|q|_\\infty}{|q|_0}\\f$,\n where \\f$|q|_\\infty\\f$ and \\f$|q|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$q\\f$.\n" );
    Tcl_DStringAppendElement ( &dString, "static double QuadEdgeRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadEdgeRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadAspectRatio */
    if ( strcmp ( argv[2], "QuadAspectRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadAspectRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadAspectRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the aspect ratio of a planar \n quadrilateral.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The aspect ratio of a planar quadrilateral \\f$q\\f$ is: \n \\f$\\frac{|q|_1|q|_\\infty}{4{\\cal A}}\\f$,\n where \\f$|q|_1\\f$, \\f$|q|_\\infty\\f$ and \\f${\\ ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static double QuadAspectRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadAspectRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadRadiusRatio */
    if ( strcmp ( argv[2], "QuadRadiusRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadRadiusRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadRadiusRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the radius ratio of a planar \n quadrilateral. The name is only used by analogy with the triangle radius \n ratio, because in general a quadrilateral does not have a circumcircle nor\n an incircle. \n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The radi ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static double QuadRadiusRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadRadiusRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadMedAspectFrobenius */
    if ( strcmp ( argv[2], "QuadMedAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadMedAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadMedAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the average Frobenius aspect of \n the 4 corner triangles of a planar quadrilateral, when the reference \n triangle elements are right isosceles at the quadrangle vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The Frobenius aspect of a triangle ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static double QuadMedAspectFrobenius(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadMedAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadMaxAspectFrobenius */
    if ( strcmp ( argv[2], "QuadMaxAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadMaxAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadMaxAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 4 corner triangles of a planar quadrilateral, when the reference \n triangle elements are right isosceles at the quadrangle vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The Frobenius aspect of a triangle ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static double QuadMaxAspectFrobenius(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadMaxAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadMinAngle */
    if ( strcmp ( argv[2], "QuadMinAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadMinAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadMinAngle */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the minimal (nonoriented) angle\n of a quadrilateral, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double QuadMinAngle(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadMinAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadMaxEdgeRatios */
    if ( strcmp ( argv[2], "QuadMaxEdgeRatios" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadMaxEdgeRatios" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadMaxEdgeRatios */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadMaxEdgeRatios(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadMaxEdgeRatios */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadSkew */
    if ( strcmp ( argv[2], "QuadSkew" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadSkew" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadSkew */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadSkew(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadSkew */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadTaper */
    if ( strcmp ( argv[2], "QuadTaper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadTaper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadTaper */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadTaper(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadTaper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadWarpage */
    if ( strcmp ( argv[2], "QuadWarpage" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadWarpage" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadWarpage */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadWarpage(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadWarpage */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadArea */
    if ( strcmp ( argv[2], "QuadArea" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadArea" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadArea */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadArea(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadArea */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadStretch */
    if ( strcmp ( argv[2], "QuadStretch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadStretch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadStretch */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadStretch(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadStretch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadMaxAngle */
    if ( strcmp ( argv[2], "QuadMaxAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadMaxAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadMaxAngle */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadMaxAngle(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadMaxAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadOddy */
    if ( strcmp ( argv[2], "QuadOddy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadOddy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadOddy */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadOddy(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadOddy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadCondition */
    if ( strcmp ( argv[2], "QuadCondition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadCondition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadCondition */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadCondition(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadCondition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadJacobian */
    if ( strcmp ( argv[2], "QuadJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadJacobian */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadJacobian(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadScaledJacobian */
    if ( strcmp ( argv[2], "QuadScaledJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadScaledJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadScaledJacobian */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadScaledJacobian(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadScaledJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadShear */
    if ( strcmp ( argv[2], "QuadShear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadShear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadShear */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadShear(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadShear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadShape */
    if ( strcmp ( argv[2], "QuadShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadShape */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadShape(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadRelativeSizeSquared */
    if ( strcmp ( argv[2], "QuadRelativeSizeSquared" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadRelativeSizeSquared" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadRelativeSizeSquared */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadRelativeSizeSquared(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadRelativeSizeSquared */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadShapeAndSize */
    if ( strcmp ( argv[2], "QuadShapeAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadShapeAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadShapeAndSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadShapeAndSize(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadShapeAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadShearAndSize */
    if ( strcmp ( argv[2], "QuadShearAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadShearAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadShearAndSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadShearAndSize(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadShearAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: QuadDistortion */
    if ( strcmp ( argv[2], "QuadDistortion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "QuadDistortion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for QuadDistortion */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static double QuadDistortion(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for QuadDistortion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetEdgeRatio */
    if ( strcmp ( argv[2], "TetEdgeRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetEdgeRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetEdgeRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the edge ratio of a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a tetrahedron \\f$K\\f$ is: \n \\f$\\frac{|K|_\\infty}{|K|_0}\\f$,\n where \\f$|K|_\\infty\\f$ and \\f$|K|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$K\\f$.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetEdgeRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetEdgeRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetAspectRatio */
    if ( strcmp ( argv[2], "TetAspectRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetAspectRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetAspectRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the aspect ratio of a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The aspect ratio of a tetrahedron \\f$K\\f$ is: \n \\f$\\frac{|K|_\\infty}{2\\sqrt{6}r}\\f$,\n where \\f$|K|_\\infty\\f$ and \\f$r\\f$ respectively denote the greatest edge \n length and the inradius of \\f$K\\f$.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetAspectRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetAspectRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetRadiusRatio */
    if ( strcmp ( argv[2], "TetRadiusRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetRadiusRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetRadiusRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the radius ratio of a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The radius ratio of a tetrahedron \\f$K\\f$ is: \n \\f$\\frac{R}{3r}\\f$,\n where \\f$R\\f$ and \\f$r\\f$ respectively denote the circumradius and \n the inradius of \\f$K\\f$.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetRadiusRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetRadiusRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetAspectFrobenius */
    if ( strcmp ( argv[2], "TetAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the Frobenius condition number\n of the transformation matrix from a regular tetrahedron to a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The Frobenius aspect of a tetrahedron \\f$K\\f$, when the reference element is \n regular, is: \n \\f$\\frac{\\frac{3}{2}(l_{11}+l_{22}+l_{33}) - (l_{12 ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetAspectFrobenius(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetMinAngle */
    if ( strcmp ( argv[2], "TetMinAngle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetMinAngle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetMinAngle */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the minimal (nonoriented) dihedral\n angle of a tetrahedron, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetMinAngle(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetMinAngle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetCollapseRatio */
    if ( strcmp ( argv[2], "TetCollapseRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetCollapseRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetCollapseRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetCollapseRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetCollapseRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetAspectBeta */
    if ( strcmp ( argv[2], "TetAspectBeta" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetAspectBeta" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetAspectBeta */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetAspectBeta(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetAspectBeta */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetAspectGamma */
    if ( strcmp ( argv[2], "TetAspectGamma" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetAspectGamma" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetAspectGamma */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetAspectGamma(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetAspectGamma */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetVolume */
    if ( strcmp ( argv[2], "TetVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetVolume */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetVolume(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetCondition */
    if ( strcmp ( argv[2], "TetCondition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetCondition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetCondition */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetCondition(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetCondition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetJacobian */
    if ( strcmp ( argv[2], "TetJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetJacobian */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetJacobian(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetScaledJacobian */
    if ( strcmp ( argv[2], "TetScaledJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetScaledJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetScaledJacobian */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetScaledJacobian(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetScaledJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetShape */
    if ( strcmp ( argv[2], "TetShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetShape */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetShape(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetRelativeSizeSquared */
    if ( strcmp ( argv[2], "TetRelativeSizeSquared" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetRelativeSizeSquared" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetRelativeSizeSquared */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetRelativeSizeSquared(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetRelativeSizeSquared */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetShapeandSize */
    if ( strcmp ( argv[2], "TetShapeandSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetShapeandSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetShapeandSize */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetShapeandSize(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetShapeandSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TetDistortion */
    if ( strcmp ( argv[2], "TetDistortion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TetDistortion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TetDistortion */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double TetDistortion(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for TetDistortion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexEdgeRatio */
    if ( strcmp ( argv[2], "HexEdgeRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexEdgeRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexEdgeRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the edge ratio of a hexahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a hexahedron \\f$H\\f$ is: \n \\f$\\frac{|H|_\\infty}{|H|_0}\\f$,\n where \\f$|H|_\\infty\\f$ and \\f$|H|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$H\\f$.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexEdgeRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexEdgeRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexMedAspectFrobenius */
    if ( strcmp ( argv[2], "HexMedAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexMedAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexMedAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the average Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexMedAspectFrobenius(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexMedAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexMaxAspectFrobenius */
    if ( strcmp ( argv[2], "HexMaxAspectFrobenius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexMaxAspectFrobenius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexMaxAspectFrobenius */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexMaxAspectFrobenius(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexMaxAspectFrobenius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexMaxEdgeRatio */
    if ( strcmp ( argv[2], "HexMaxEdgeRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexMaxEdgeRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexMaxEdgeRatio */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexMaxEdgeRatio(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexMaxEdgeRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexSkew */
    if ( strcmp ( argv[2], "HexSkew" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexSkew" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexSkew */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexSkew(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexSkew */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexTaper */
    if ( strcmp ( argv[2], "HexTaper" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexTaper" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexTaper */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexTaper(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexTaper */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexVolume */
    if ( strcmp ( argv[2], "HexVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexVolume */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexVolume(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexStretch */
    if ( strcmp ( argv[2], "HexStretch" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexStretch" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexStretch */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexStretch(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexStretch */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexDiagonal */
    if ( strcmp ( argv[2], "HexDiagonal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexDiagonal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexDiagonal */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexDiagonal(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexDiagonal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexDimension */
    if ( strcmp ( argv[2], "HexDimension" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexDimension" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexDimension */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexDimension(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexDimension */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexOddy */
    if ( strcmp ( argv[2], "HexOddy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexOddy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexOddy */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexOddy(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexOddy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexCondition */
    if ( strcmp ( argv[2], "HexCondition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexCondition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexCondition */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexCondition(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexCondition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexJacobian */
    if ( strcmp ( argv[2], "HexJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexJacobian */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexJacobian(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexScaledJacobian */
    if ( strcmp ( argv[2], "HexScaledJacobian" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexScaledJacobian" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexScaledJacobian */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexScaledJacobian(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexScaledJacobian */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexShear */
    if ( strcmp ( argv[2], "HexShear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexShear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexShear */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexShear(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexShear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexShape */
    if ( strcmp ( argv[2], "HexShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexShape */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexShape(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexRelativeSizeSquared */
    if ( strcmp ( argv[2], "HexRelativeSizeSquared" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexRelativeSizeSquared" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexRelativeSizeSquared */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexRelativeSizeSquared(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexRelativeSizeSquared */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexShapeAndSize */
    if ( strcmp ( argv[2], "HexShapeAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexShapeAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexShapeAndSize */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexShapeAndSize(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexShapeAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexShearAndSize */
    if ( strcmp ( argv[2], "HexShearAndSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexShearAndSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexShearAndSize */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexShearAndSize(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexShearAndSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HexDistortion */
    if ( strcmp ( argv[2], "HexDistortion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HexDistortion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCell" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HexDistortion */
    Tcl_DStringAppendElement ( &dString, " This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n" );
    Tcl_DStringAppendElement ( &dString, "static double HexDistortion(vtkCell *cell);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for HexDistortion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRatio */
    if ( strcmp ( argv[2], "SetRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRatio */
    Tcl_DStringAppendElement ( &dString, " These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRatio(int r);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRatio */
    if ( strcmp ( argv[2], "GetRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRatio */
    Tcl_DStringAppendElement ( &dString, " These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRatio();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for GetRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RatioOn */
    if ( strcmp ( argv[2], "RatioOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RatioOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RatioOn */
    Tcl_DStringAppendElement ( &dString, " These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n" );
    Tcl_DStringAppendElement ( &dString, "void RatioOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for RatioOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RatioOff */
    if ( strcmp ( argv[2], "RatioOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RatioOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RatioOff */
    Tcl_DStringAppendElement ( &dString, " These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n" );
    Tcl_DStringAppendElement ( &dString, "void RatioOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for RatioOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVolume */
    if ( strcmp ( argv[2], "SetVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVolume */
    Tcl_DStringAppendElement ( &dString, " These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off( ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVolume(int cv);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVolume */
    if ( strcmp ( argv[2], "GetVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVolume */
    Tcl_DStringAppendElement ( &dString, " These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off( ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetVolume();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for GetVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VolumeOn */
    if ( strcmp ( argv[2], "VolumeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VolumeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VolumeOn */
    Tcl_DStringAppendElement ( &dString, " These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off( ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void VolumeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for VolumeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VolumeOff */
    if ( strcmp ( argv[2], "VolumeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VolumeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VolumeOff */
    Tcl_DStringAppendElement ( &dString, " These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off( ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void VolumeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for VolumeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCompatibilityMode */
    if ( strcmp ( argv[2], "SetCompatibilityMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCompatibilityMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCompatibilityMode */
    Tcl_DStringAppendElement ( &dString, " CompatibilityMode governs whether, when both a quality function\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityM ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCompatibilityMode(int cm);" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for SetCompatibilityMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCompatibilityMode */
    if ( strcmp ( argv[2], "GetCompatibilityMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCompatibilityMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCompatibilityMode */
    Tcl_DStringAppendElement ( &dString, " CompatibilityMode governs whether, when both a quality function\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityM ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCompatibilityMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for GetCompatibilityMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CompatibilityModeOn */
    if ( strcmp ( argv[2], "CompatibilityModeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CompatibilityModeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CompatibilityModeOn */
    Tcl_DStringAppendElement ( &dString, " CompatibilityMode governs whether, when both a quality function\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityM ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CompatibilityModeOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for CompatibilityModeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CompatibilityModeOff */
    if ( strcmp ( argv[2], "CompatibilityModeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CompatibilityModeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CompatibilityModeOff */
    Tcl_DStringAppendElement ( &dString, " CompatibilityMode governs whether, when both a quality function\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityM ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void CompatibilityModeOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkMeshQuality" );
    /* Closing for CompatibilityModeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataSetAlgorithmCppCommand(static_cast<vtkDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
