// tcl wrapper for vtkAxisActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAxisActor.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkAxisActorNewCommand()
{
  vtkAxisActor *temp = vtkAxisActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActorCppCommand(vtkActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAxisActorCppCommand(vtkAxisActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkAxisActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAxisActorCppCommand(static_cast<vtkAxisActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAxisActorCppCommand(vtkAxisActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAxisActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAxisActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAxisActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkAxisActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor");
    return TCL_OK;
    }
  if ((!strcmp("GetPoint1Coordinate",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetPoint1Coordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPoint1(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2Coordinate",argv[1]))&&(argc == 2))
    {
    vtkCoordinate  *temp20;
    temp20 = (op)->GetPoint2Coordinate();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCoordinate");
    return TCL_OK;
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPoint2(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->SetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBounds",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->SetBounds(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->GetBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMinorTicksVisible",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMinorTicksVisible(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinorTicksVisible",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMinorTicksVisible();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("MinorTicksVisibleOn",argv[1]))&&(argc == 2))
    {
    op->MinorTicksVisibleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MinorTicksVisibleOff",argv[1]))&&(argc == 2))
    {
    op->MinorTicksVisibleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetMajorTickSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMajorTickSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMajorTickSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMajorTickSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinorTickSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinorTickSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinorTickSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinorTickSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTickLocation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTickLocation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTickLocationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickLocationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTickLocationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickLocationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTickLocation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickLocation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTickLocationToInside",argv[1]))&&(argc == 2))
    {
    op->SetTickLocationToInside();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTickLocationToOutside",argv[1]))&&(argc == 2))
    {
    op->SetTickLocationToOutside();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTickLocationToBoth",argv[1]))&&(argc == 2))
    {
    op->SetTickLocationToBoth();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAxisVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AxisVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->AxisVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AxisVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->AxisVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTickVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTickVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTickVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTickVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TickVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->TickVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TickVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->TickVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->LabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTitleVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTitleVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TitleVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->TitleVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TitleVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->TitleVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetAxisLinesProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetAxisLinesProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisLinesProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetAxisLinesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetGridlinesProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetGridlinesProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridlinesProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetGridlinesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetInnerGridlinesProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetInnerGridlinesProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInnerGridlinesProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetInnerGridlinesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetGridpolysProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetGridpolysProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridpolysProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetGridpolysProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetDrawGridlines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawGridlines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawGridlines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawGridlines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawGridlinesOn",argv[1]))&&(argc == 2))
    {
    op->DrawGridlinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawGridlinesOff",argv[1]))&&(argc == 2))
    {
    op->DrawGridlinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawInnerGridlines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawInnerGridlines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawInnerGridlines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawInnerGridlines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawInnerGridlinesOn",argv[1]))&&(argc == 2))
    {
    op->DrawInnerGridlinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawInnerGridlinesOff",argv[1]))&&(argc == 2))
    {
    op->DrawInnerGridlinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGridlineXLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGridlineXLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridlineXLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGridlineXLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGridlineYLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGridlineYLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridlineYLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGridlineYLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGridlineZLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGridlineZLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGridlineZLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGridlineZLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawGridpolys",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawGridpolys(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawGridpolys",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawGridpolys();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawGridpolysOn",argv[1]))&&(argc == 2))
    {
    op->DrawGridpolysOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawGridpolysOff",argv[1]))&&(argc == 2))
    {
    op->DrawGridpolysOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAxisType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisTypeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisTypeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAxisTypeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisTypeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAxisType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisTypeToX",argv[1]))&&(argc == 2))
    {
    op->SetAxisTypeToX();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisTypeToY",argv[1]))&&(argc == 2))
    {
    op->SetAxisTypeToY();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisTypeToZ",argv[1]))&&(argc == 2))
    {
    op->SetAxisTypeToZ();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisPosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAxisPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisPositionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisPositionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAxisPositionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisPositionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAxisPosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAxisPosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisPositionToMinMin",argv[1]))&&(argc == 2))
    {
    op->SetAxisPositionToMinMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisPositionToMinMax",argv[1]))&&(argc == 2))
    {
    op->SetAxisPositionToMinMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisPositionToMaxMax",argv[1]))&&(argc == 2))
    {
    op->SetAxisPositionToMaxMax();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAxisPositionToMaxMin",argv[1]))&&(argc == 2))
    {
    op->SetAxisPositionToMaxMin();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCamera",argv[1]))&&(argc == 3))
    {
    vtkCamera  *temp0;
    error = 0;

    temp0 = (vtkCamera *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkCamera"),interp,error));
    if (!error)
    {
    op->SetCamera(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCamera",argv[1]))&&(argc == 2))
    {
    vtkCamera  *temp20;
    temp20 = (op)->GetCamera();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCamera");
    return TCL_OK;
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOverlay",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOverlay(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeMaxLabelLength",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->ComputeMaxLabelLength(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ComputeTitleLength",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    double   temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->ComputeTitleLength(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLabelScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLabelScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitleScale",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTitleScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinorStart",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinorStart(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinorStart",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinorStart();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMajorStart",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetMajorStart(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMajorStart",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetMajorStart(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDeltaMinor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDeltaMinor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDeltaMinor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDeltaMinor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDeltaMajor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDeltaMajor(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDeltaMajor",argv[1]))&&(argc == 4))
    {
    int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetDeltaMajor(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMinorRangeStart",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinorRangeStart(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinorRangeStart",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinorRangeStart();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMajorRangeStart",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMajorRangeStart(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMajorRangeStart",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMajorRangeStart();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDeltaRangeMinor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDeltaRangeMinor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDeltaRangeMinor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDeltaRangeMinor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDeltaRangeMajor",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDeltaRangeMajor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDeltaRangeMajor",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDeltaRangeMajor();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLabels",argv[1]))&&(argc == 3))
    {
    vtkStringArray  *temp0;
    error = 0;

    temp0 = (vtkStringArray *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkStringArray"),interp,error));
    if (!error)
    {
    op->SetLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildAxis",argv[1]))&&(argc == 4))
    {
    vtkViewport  *temp0;
    bool   temp1;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    op->BuildAxis(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleActor",argv[1]))&&(argc == 2))
    {
    vtkAxisFollower  *temp20;
    temp20 = (op)->GetTitleActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisFollower");
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLabelsBuilt",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLabelsBuilt();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCalculateTitleOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCalculateTitleOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCalculateTitleOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCalculateTitleOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CalculateTitleOffsetOn",argv[1]))&&(argc == 2))
    {
    op->CalculateTitleOffsetOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CalculateTitleOffsetOff",argv[1]))&&(argc == 2))
    {
    op->CalculateTitleOffsetOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCalculateLabelOffset",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCalculateLabelOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCalculateLabelOffset",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCalculateLabelOffset();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CalculateLabelOffsetOn",argv[1]))&&(argc == 2))
    {
    op->CalculateLabelOffsetOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CalculateLabelOffsetOff",argv[1]))&&(argc == 2))
    {
    op->CalculateLabelOffsetOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUse2DMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUse2DMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUse2DMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUse2DMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVerticalOffsetXTitle2D",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetVerticalOffsetXTitle2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVerticalOffsetXTitle2D",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetVerticalOffsetXTitle2D();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHorizontalOffsetYTitle2D",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHorizontalOffsetYTitle2D(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHorizontalOffsetYTitle2D",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHorizontalOffsetYTitle2D();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSaveTitlePosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSaveTitlePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSaveTitlePosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSaveTitlePosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAxisActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAxisActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1Coordinate\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2Coordinate\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRange\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetMinorTicksVisible\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinorTicksVisible\n",NULL);
    Tcl_AppendResult(interp,"  MinorTicksVisibleOn\n",NULL);
    Tcl_AppendResult(interp,"  MinorTicksVisibleOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetMajorTickSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMajorTickSize\n",NULL);
    Tcl_AppendResult(interp,"  SetMinorTickSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinorTickSize\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLocation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLocationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLocationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTickLocation\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLocationToInside\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLocationToOutside\n",NULL);
    Tcl_AppendResult(interp,"  SetTickLocationToBoth\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisVisibility\n",NULL);
    Tcl_AppendResult(interp,"  AxisVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  AxisVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTickVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTickVisibility\n",NULL);
    Tcl_AppendResult(interp,"  TickVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  TickVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  LabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleVisibility\n",NULL);
    Tcl_AppendResult(interp,"  TitleVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  TitleVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLinesProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLinesProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetGridlinesProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGridlinesProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetInnerGridlinesProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInnerGridlinesProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetGridpolysProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGridpolysProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawGridlines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawGridlines\n",NULL);
    Tcl_AppendResult(interp,"  DrawGridlinesOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawGridlinesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawInnerGridlines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawInnerGridlines\n",NULL);
    Tcl_AppendResult(interp,"  DrawInnerGridlinesOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawInnerGridlinesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGridlineXLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGridlineXLength\n",NULL);
    Tcl_AppendResult(interp,"  SetGridlineYLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGridlineYLength\n",NULL);
    Tcl_AppendResult(interp,"  SetGridlineZLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGridlineZLength\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawGridpolys\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawGridpolys\n",NULL);
    Tcl_AppendResult(interp,"  DrawGridpolysOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawGridpolysOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisTypeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisTypeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisType\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisTypeToX\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisTypeToY\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisTypeToZ\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisPosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisPositionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisPositionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisPositionToMinMin\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisPositionToMinMax\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisPositionToMaxMax\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisPositionToMaxMin\n",NULL);
    Tcl_AppendResult(interp,"  SetCamera\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCamera\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOverlay\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ComputeMaxLabelLength\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  ComputeTitleLength\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMinorStart\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinorStart\n",NULL);
    Tcl_AppendResult(interp,"  GetMajorStart\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMajorStart\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetDeltaMinor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDeltaMinor\n",NULL);
    Tcl_AppendResult(interp,"  GetDeltaMajor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDeltaMajor\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMinorRangeStart\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinorRangeStart\n",NULL);
    Tcl_AppendResult(interp,"  SetMajorRangeStart\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMajorRangeStart\n",NULL);
    Tcl_AppendResult(interp,"  SetDeltaRangeMinor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDeltaRangeMinor\n",NULL);
    Tcl_AppendResult(interp,"  SetDeltaRangeMajor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDeltaRangeMajor\n",NULL);
    Tcl_AppendResult(interp,"  SetLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  BuildAxis\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleActor\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLabelsBuilt\n",NULL);
    Tcl_AppendResult(interp,"  SetCalculateTitleOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCalculateTitleOffset\n",NULL);
    Tcl_AppendResult(interp,"  CalculateTitleOffsetOn\n",NULL);
    Tcl_AppendResult(interp,"  CalculateTitleOffsetOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCalculateLabelOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCalculateLabelOffset\n",NULL);
    Tcl_AppendResult(interp,"  CalculateLabelOffsetOn\n",NULL);
    Tcl_AppendResult(interp,"  CalculateLabelOffsetOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUse2DMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUse2DMode\n",NULL);
    Tcl_AppendResult(interp,"  SetVerticalOffsetXTitle2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVerticalOffsetXTitle2D\n",NULL);
    Tcl_AppendResult(interp,"  SetHorizontalOffsetYTitle2D\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHorizontalOffsetYTitle2D\n",NULL);
    Tcl_AppendResult(interp,"  SetSaveTitlePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSaveTitlePosition\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Coordinate" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Coordinate" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetMinorTicksVisible" );
    Tcl_DStringAppendElement ( &dString, "GetMinorTicksVisible" );
    Tcl_DStringAppendElement ( &dString, "MinorTicksVisibleOn" );
    Tcl_DStringAppendElement ( &dString, "MinorTicksVisibleOff" );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "SetMajorTickSize" );
    Tcl_DStringAppendElement ( &dString, "GetMajorTickSize" );
    Tcl_DStringAppendElement ( &dString, "SetMinorTickSize" );
    Tcl_DStringAppendElement ( &dString, "GetMinorTickSize" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocation" );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTickLocation" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToInside" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToOutside" );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToBoth" );
    Tcl_DStringAppendElement ( &dString, "SetAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetAxisVisibility" );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetTickVisibility" );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetTitleVisibility" );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLinesProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLinesProperty" );
    Tcl_DStringAppendElement ( &dString, "SetGridlinesProperty" );
    Tcl_DStringAppendElement ( &dString, "GetGridlinesProperty" );
    Tcl_DStringAppendElement ( &dString, "SetInnerGridlinesProperty" );
    Tcl_DStringAppendElement ( &dString, "GetInnerGridlinesProperty" );
    Tcl_DStringAppendElement ( &dString, "SetGridpolysProperty" );
    Tcl_DStringAppendElement ( &dString, "GetGridpolysProperty" );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridlines" );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridlines" );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOn" );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawInnerGridlines" );
    Tcl_DStringAppendElement ( &dString, "GetDrawInnerGridlines" );
    Tcl_DStringAppendElement ( &dString, "DrawInnerGridlinesOn" );
    Tcl_DStringAppendElement ( &dString, "DrawInnerGridlinesOff" );
    Tcl_DStringAppendElement ( &dString, "SetGridlineXLength" );
    Tcl_DStringAppendElement ( &dString, "GetGridlineXLength" );
    Tcl_DStringAppendElement ( &dString, "SetGridlineYLength" );
    Tcl_DStringAppendElement ( &dString, "GetGridlineYLength" );
    Tcl_DStringAppendElement ( &dString, "SetGridlineZLength" );
    Tcl_DStringAppendElement ( &dString, "GetGridlineZLength" );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridpolys" );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridpolys" );
    Tcl_DStringAppendElement ( &dString, "DrawGridpolysOn" );
    Tcl_DStringAppendElement ( &dString, "DrawGridpolysOff" );
    Tcl_DStringAppendElement ( &dString, "SetAxisType" );
    Tcl_DStringAppendElement ( &dString, "GetAxisTypeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAxisTypeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAxisType" );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToX" );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToY" );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToZ" );
    Tcl_DStringAppendElement ( &dString, "SetAxisPosition" );
    Tcl_DStringAppendElement ( &dString, "GetAxisPositionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAxisPositionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAxisPosition" );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMinMin" );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMinMax" );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMaxMax" );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMaxMin" );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "ComputeMaxLabelLength" );
    Tcl_DStringAppendElement ( &dString, "ComputeTitleLength" );
    Tcl_DStringAppendElement ( &dString, "SetLabelScale" );
    Tcl_DStringAppendElement ( &dString, "SetTitleScale" );
    Tcl_DStringAppendElement ( &dString, "SetMinorStart" );
    Tcl_DStringAppendElement ( &dString, "GetMinorStart" );
    Tcl_DStringAppendElement ( &dString, "GetMajorStart" );
    Tcl_DStringAppendElement ( &dString, "SetMajorStart" );
    Tcl_DStringAppendElement ( &dString, "SetDeltaMinor" );
    Tcl_DStringAppendElement ( &dString, "GetDeltaMinor" );
    Tcl_DStringAppendElement ( &dString, "GetDeltaMajor" );
    Tcl_DStringAppendElement ( &dString, "SetDeltaMajor" );
    Tcl_DStringAppendElement ( &dString, "SetMinorRangeStart" );
    Tcl_DStringAppendElement ( &dString, "GetMinorRangeStart" );
    Tcl_DStringAppendElement ( &dString, "SetMajorRangeStart" );
    Tcl_DStringAppendElement ( &dString, "GetMajorRangeStart" );
    Tcl_DStringAppendElement ( &dString, "SetDeltaRangeMinor" );
    Tcl_DStringAppendElement ( &dString, "GetDeltaRangeMinor" );
    Tcl_DStringAppendElement ( &dString, "SetDeltaRangeMajor" );
    Tcl_DStringAppendElement ( &dString, "GetDeltaRangeMajor" );
    Tcl_DStringAppendElement ( &dString, "SetLabels" );
    Tcl_DStringAppendElement ( &dString, "BuildAxis" );
    Tcl_DStringAppendElement ( &dString, "GetTitleActor" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsBuilt" );
    Tcl_DStringAppendElement ( &dString, "SetCalculateTitleOffset" );
    Tcl_DStringAppendElement ( &dString, "GetCalculateTitleOffset" );
    Tcl_DStringAppendElement ( &dString, "CalculateTitleOffsetOn" );
    Tcl_DStringAppendElement ( &dString, "CalculateTitleOffsetOff" );
    Tcl_DStringAppendElement ( &dString, "SetCalculateLabelOffset" );
    Tcl_DStringAppendElement ( &dString, "GetCalculateLabelOffset" );
    Tcl_DStringAppendElement ( &dString, "CalculateLabelOffsetOn" );
    Tcl_DStringAppendElement ( &dString, "CalculateLabelOffsetOff" );
    Tcl_DStringAppendElement ( &dString, "SetUse2DMode" );
    Tcl_DStringAppendElement ( &dString, "GetUse2DMode" );
    Tcl_DStringAppendElement ( &dString, "SetVerticalOffsetXTitle2D" );
    Tcl_DStringAppendElement ( &dString, "GetVerticalOffsetXTitle2D" );
    Tcl_DStringAppendElement ( &dString, "SetHorizontalOffsetYTitle2D" );
    Tcl_DStringAppendElement ( &dString, "GetHorizontalOffsetYTitle2D" );
    Tcl_DStringAppendElement ( &dString, "SetSaveTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetSaveTitlePosition" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkAxisActor *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1Coordinate */
    if ( strcmp ( argv[2], "GetPoint1Coordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1Coordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1Coordinate */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the first point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCoordinate *GetPoint1Coordinate();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetPoint1Coordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the first point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint1(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the first point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint1(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2Coordinate */
    if ( strcmp ( argv[2], "GetPoint2Coordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2Coordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2Coordinate */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the second point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkCoordinate *GetPoint2Coordinate();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetPoint2Coordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the second point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint2(double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Specify the position of the second point defining the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPoint2(double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(double, double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRange */
    if ( strcmp ( argv[2], "SetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetRange(double a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRange */
    if ( strcmp ( argv[2], "GetRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRange */
    Tcl_DStringAppendElement ( &dString, " Specify the (min,max) axis range. This will be used in the generation\n of labels, if labels are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, " Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBounds */
    if ( strcmp ( argv[2], "SetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBounds */
    Tcl_DStringAppendElement ( &dString, " Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBounds(double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetBounds(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, " Set or get the bounds for this Actor as (Xmin,Xmax,Ymin,Ymax,Zmin,Zmax).\n" );
    Tcl_DStringAppendElement ( &dString, "void GetBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFormat(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels on the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelFormat();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinorTicksVisible */
    if ( strcmp ( argv[2], "SetMinorTicksVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinorTicksVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinorTicksVisible */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the minor ticks are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinorTicksVisible(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMinorTicksVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinorTicksVisible */
    if ( strcmp ( argv[2], "GetMinorTicksVisible" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorTicksVisible" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorTicksVisible */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the minor ticks are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMinorTicksVisible();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMinorTicksVisible */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MinorTicksVisibleOn */
    if ( strcmp ( argv[2], "MinorTicksVisibleOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MinorTicksVisibleOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MinorTicksVisibleOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the minor ticks are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "void MinorTicksVisibleOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for MinorTicksVisibleOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MinorTicksVisibleOff */
    if ( strcmp ( argv[2], "MinorTicksVisibleOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MinorTicksVisibleOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MinorTicksVisibleOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the minor ticks are visible.\n" );
    Tcl_DStringAppendElement ( &dString, "void MinorTicksVisibleOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for MinorTicksVisibleOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitle */
    if ( strcmp ( argv[2], "SetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the axis actor,\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitle(const char *t);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the axis actor,\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMajorTickSize */
    if ( strcmp ( argv[2], "SetMajorTickSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMajorTickSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMajorTickSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the major tick marks\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMajorTickSize(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMajorTickSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMajorTickSize */
    if ( strcmp ( argv[2], "GetMajorTickSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMajorTickSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMajorTickSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the major tick marks\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMajorTickSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMajorTickSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinorTickSize */
    if ( strcmp ( argv[2], "SetMinorTickSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinorTickSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinorTickSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the major tick marks\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinorTickSize(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMinorTickSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinorTickSize */
    if ( strcmp ( argv[2], "GetMinorTickSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorTickSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorTickSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the size of the major tick marks\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinorTickSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMinorTickSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLocation */
    if ( strcmp ( argv[2], "SetTickLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the ticks.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocation(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTickLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLocationMinValue */
    if ( strcmp ( argv[2], "GetTickLocationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLocationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the ticks.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickLocationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTickLocationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLocationMaxValue */
    if ( strcmp ( argv[2], "GetTickLocationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLocationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLocationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the ticks.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickLocationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTickLocationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickLocation */
    if ( strcmp ( argv[2], "GetTickLocation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickLocation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickLocation */
    Tcl_DStringAppendElement ( &dString, " Set/Get the location of the ticks.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickLocation();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTickLocation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLocationToInside */
    if ( strcmp ( argv[2], "SetTickLocationToInside" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToInside" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocationToInside */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocationToInside(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTickLocationToInside */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLocationToOutside */
    if ( strcmp ( argv[2], "SetTickLocationToOutside" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToOutside" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocationToOutside */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocationToOutside(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTickLocationToOutside */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickLocationToBoth */
    if ( strcmp ( argv[2], "SetTickLocationToBoth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickLocationToBoth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickLocationToBoth */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTickLocationToBoth(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTickLocationToBoth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisVisibility */
    if ( strcmp ( argv[2], "SetAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisVisibility */
    if ( strcmp ( argv[2], "GetAxisVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AxisVisibilityOn */
    if ( strcmp ( argv[2], "AxisVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxisVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "void AxisVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for AxisVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AxisVisibilityOff */
    if ( strcmp ( argv[2], "AxisVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AxisVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AxisVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis line.\n" );
    Tcl_DStringAppendElement ( &dString, "void AxisVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for AxisVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTickVisibility */
    if ( strcmp ( argv[2], "SetTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTickVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTickVisibility */
    if ( strcmp ( argv[2], "GetTickVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTickVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTickVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTickVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTickVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TickVisibilityOn */
    if ( strcmp ( argv[2], "TickVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TickVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "void TickVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for TickVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TickVisibilityOff */
    if ( strcmp ( argv[2], "TickVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TickVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TickVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis tick marks.\n" );
    Tcl_DStringAppendElement ( &dString, "void TickVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for TickVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelVisibility */
    if ( strcmp ( argv[2], "SetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelVisibility */
    if ( strcmp ( argv[2], "GetLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LabelVisibilityOn */
    if ( strcmp ( argv[2], "LabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void LabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for LabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LabelVisibilityOff */
    if ( strcmp ( argv[2], "LabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void LabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for LabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleVisibility */
    if ( strcmp ( argv[2], "SetTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitleVisibility(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleVisibility */
    if ( strcmp ( argv[2], "GetTitleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTitleVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TitleVisibilityOn */
    if ( strcmp ( argv[2], "TitleVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TitleVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "void TitleVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for TitleVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TitleVisibilityOff */
    if ( strcmp ( argv[2], "TitleVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TitleVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TitleVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get visibility of the axis title.\n" );
    Tcl_DStringAppendElement ( &dString, "void TitleVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for TitleVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleTextProperty */
    if ( strcmp ( argv[2], "SetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the axis title text property. \n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleTextProperty */
    if ( strcmp ( argv[2], "GetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the axis title text property. \n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTitleTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelTextProperty */
    if ( strcmp ( argv[2], "SetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the axis labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelTextProperty */
    if ( strcmp ( argv[2], "GetLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the axis labels text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLinesProperty */
    if ( strcmp ( argv[2], "SetAxisLinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set axis actor property (axis and its ticks)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisLinesProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisLinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisLinesProperty */
    if ( strcmp ( argv[2], "GetAxisLinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set axis actor property (axis and its ticks)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetAxisLinesProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisLinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridlinesProperty */
    if ( strcmp ( argv[2], "SetGridlinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridlinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridlinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set gridlines actor property (outer grid lines)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridlinesProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetGridlinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridlinesProperty */
    if ( strcmp ( argv[2], "GetGridlinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridlinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridlinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set gridlines actor property (outer grid lines)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetGridlinesProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetGridlinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInnerGridlinesProperty */
    if ( strcmp ( argv[2], "SetInnerGridlinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInnerGridlinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInnerGridlinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set inner gridlines actor property\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInnerGridlinesProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetInnerGridlinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInnerGridlinesProperty */
    if ( strcmp ( argv[2], "GetInnerGridlinesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInnerGridlinesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInnerGridlinesProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set inner gridlines actor property\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetInnerGridlinesProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetInnerGridlinesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridpolysProperty */
    if ( strcmp ( argv[2], "SetGridpolysProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridpolysProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridpolysProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set gridPolys actor property (grid quads)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridpolysProperty(vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetGridpolysProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridpolysProperty */
    if ( strcmp ( argv[2], "GetGridpolysProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridpolysProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridpolysProperty */
    Tcl_DStringAppendElement ( &dString, " Get/Set gridPolys actor property (grid quads)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetGridpolysProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetGridpolysProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawGridlines */
    if ( strcmp ( argv[2], "SetDrawGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawGridlines */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawGridlines(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDrawGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawGridlines */
    if ( strcmp ( argv[2], "GetDrawGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawGridlines */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawGridlines();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDrawGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawGridlinesOn */
    if ( strcmp ( argv[2], "DrawGridlinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawGridlinesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawGridlinesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawGridlinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawGridlinesOff */
    if ( strcmp ( argv[2], "DrawGridlinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawGridlinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawGridlinesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawGridlinesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawGridlinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawInnerGridlines */
    if ( strcmp ( argv[2], "SetDrawInnerGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawInnerGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawInnerGridlines */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether inner gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawInnerGridlines(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDrawInnerGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawInnerGridlines */
    if ( strcmp ( argv[2], "GetDrawInnerGridlines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawInnerGridlines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawInnerGridlines */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether inner gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawInnerGridlines();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDrawInnerGridlines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawInnerGridlinesOn */
    if ( strcmp ( argv[2], "DrawInnerGridlinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawInnerGridlinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawInnerGridlinesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether inner gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawInnerGridlinesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawInnerGridlinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawInnerGridlinesOff */
    if ( strcmp ( argv[2], "DrawInnerGridlinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawInnerGridlinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawInnerGridlinesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether inner gridlines should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawInnerGridlinesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawInnerGridlinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridlineXLength */
    if ( strcmp ( argv[2], "SetGridlineXLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridlineXLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridlineXLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridlineXLength(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetGridlineXLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridlineXLength */
    if ( strcmp ( argv[2], "GetGridlineXLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridlineXLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridlineXLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGridlineXLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetGridlineXLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridlineYLength */
    if ( strcmp ( argv[2], "SetGridlineYLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridlineYLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridlineYLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridlineYLength(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetGridlineYLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridlineYLength */
    if ( strcmp ( argv[2], "GetGridlineYLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridlineYLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridlineYLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGridlineYLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetGridlineYLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGridlineZLength */
    if ( strcmp ( argv[2], "SetGridlineZLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGridlineZLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGridlineZLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGridlineZLength(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetGridlineZLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGridlineZLength */
    if ( strcmp ( argv[2], "GetGridlineZLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGridlineZLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGridlineZLength */
    Tcl_DStringAppendElement ( &dString, " Set/Get the length to use when drawing gridlines.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGridlineZLength();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetGridlineZLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawGridpolys */
    if ( strcmp ( argv[2], "SetDrawGridpolys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawGridpolys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawGridpolys */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridpolys should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawGridpolys(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDrawGridpolys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawGridpolys */
    if ( strcmp ( argv[2], "GetDrawGridpolys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawGridpolys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawGridpolys */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridpolys should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawGridpolys();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDrawGridpolys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawGridpolysOn */
    if ( strcmp ( argv[2], "DrawGridpolysOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawGridpolysOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawGridpolysOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridpolys should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawGridpolysOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawGridpolysOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawGridpolysOff */
    if ( strcmp ( argv[2], "DrawGridpolysOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawGridpolysOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawGridpolysOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether gridpolys should be drawn.\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawGridpolysOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for DrawGridpolysOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisType */
    if ( strcmp ( argv[2], "SetAxisType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisType(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisTypeMinValue */
    if ( strcmp ( argv[2], "GetAxisTypeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisTypeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisTypeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisTypeMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisTypeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisTypeMaxValue */
    if ( strcmp ( argv[2], "GetAxisTypeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisTypeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisTypeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisTypeMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisTypeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisType */
    if ( strcmp ( argv[2], "GetAxisType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisType */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisType();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisTypeToX */
    if ( strcmp ( argv[2], "SetAxisTypeToX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisTypeToX */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisTypeToX(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisTypeToX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisTypeToY */
    if ( strcmp ( argv[2], "SetAxisTypeToY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisTypeToY */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisTypeToY(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisTypeToY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisTypeToZ */
    if ( strcmp ( argv[2], "SetAxisTypeToZ" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisTypeToZ" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisTypeToZ */
    Tcl_DStringAppendElement ( &dString, " Set/Get the type of this axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisTypeToZ(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisTypeToZ */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisPosition */
    if ( strcmp ( argv[2], "SetAxisPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and\n Z values are minimum. For a y-type axis, MAXMIN corresponds to the\n y-edge where X values are maximum and Z values are minimum.\n\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisPosition(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisPositionMinValue */
    if ( strcmp ( argv[2], "GetAxisPositionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisPositionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisPositionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and\n Z values are minimum. For a y-type axis, MAXMIN corresponds to the\n y-edge where X values are maximum and Z values are minimum.\n\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisPositionMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisPositionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisPositionMaxValue */
    if ( strcmp ( argv[2], "GetAxisPositionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisPositionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisPositionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and\n Z values are minimum. For a y-type axis, MAXMIN corresponds to the\n y-edge where X values are maximum and Z values are minimum.\n\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisPositionMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisPositionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisPosition */
    if ( strcmp ( argv[2], "GetAxisPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of this axis (in relation to an an\n assumed bounding box).  For an x-type axis, MINMIN corresponds\n to the x-edge in the bounding box where Y values are minimum and\n Z values are minimum. For a y-type axis, MAXMIN corresponds to the\n y-edge where X values are maximum and Z values are minimum.\n\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAxisPosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetAxisPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisPositionToMinMin */
    if ( strcmp ( argv[2], "SetAxisPositionToMinMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMinMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisPositionToMinMin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisPositionToMinMin(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisPositionToMinMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisPositionToMinMax */
    if ( strcmp ( argv[2], "SetAxisPositionToMinMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMinMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisPositionToMinMax */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisPositionToMinMax(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisPositionToMinMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisPositionToMaxMax */
    if ( strcmp ( argv[2], "SetAxisPositionToMaxMax" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMaxMax" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisPositionToMaxMax */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisPositionToMaxMax(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisPositionToMaxMax */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisPositionToMaxMin */
    if ( strcmp ( argv[2], "SetAxisPositionToMaxMin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisPositionToMaxMin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisPositionToMaxMin */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAxisPositionToMaxMin(void);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetAxisPositionToMaxMin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCamera */
    if ( strcmp ( argv[2], "SetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkCamera" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera for this axis.  The camera is used by the\n labels to 'follow' the camera and be legible from any viewpoint.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCamera(vtkCamera *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCamera */
    if ( strcmp ( argv[2], "GetCamera" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCamera" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCamera */
    Tcl_DStringAppendElement ( &dString, " Set/Get the camera for this axis.  The camera is used by the\n labels to 'follow' the camera and be legible from any viewpoint.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCamera *GetCamera();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetCamera */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for RenderTranslucentGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOverlay */
    if ( strcmp ( argv[2], "RenderOverlay" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOverlay" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOverlay */
    Tcl_DStringAppendElement ( &dString, " Draw the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOverlay(vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for RenderOverlay */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, " Draw the axis.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasTranslucentPolygonalGeometry();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, " Release any graphics resources that are being consumed by this actor.\n The parameter window could be used to determine which graphic\n resources to release.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReleaseGraphicsResources(vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeMaxLabelLength */
    if ( strcmp ( argv[2], "ComputeMaxLabelLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeMaxLabelLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeMaxLabelLength */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double ComputeMaxLabelLength(const double\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for ComputeMaxLabelLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeTitleLength */
    if ( strcmp ( argv[2], "ComputeTitleLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeTitleLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeTitleLength */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double ComputeTitleLength(const double\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for ComputeTitleLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelScale */
    if ( strcmp ( argv[2], "SetLabelScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelScale(const double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabelScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleScale */
    if ( strcmp ( argv[2], "SetTitleScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleScale */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTitleScale(const double);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetTitleScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinorStart */
    if ( strcmp ( argv[2], "SetMinorStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinorStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinorStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinorStart(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMinorStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinorStart */
    if ( strcmp ( argv[2], "GetMinorStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinorStart();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMinorStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMajorStart */
    if ( strcmp ( argv[2], "GetMajorStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMajorStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMajorStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMajorStart(int axis);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMajorStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMajorStart */
    if ( strcmp ( argv[2], "SetMajorStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMajorStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMajorStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points,\n and the delta values that determine their spacing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMajorStart(int axis, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMajorStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDeltaMinor */
    if ( strcmp ( argv[2], "SetDeltaMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeltaMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeltaMinor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDeltaMinor(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDeltaMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDeltaMinor */
    if ( strcmp ( argv[2], "GetDeltaMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeltaMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeltaMinor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetDeltaMinor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDeltaMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDeltaMajor */
    if ( strcmp ( argv[2], "GetDeltaMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeltaMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeltaMajor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double GetDeltaMajor(int axis);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDeltaMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDeltaMajor */
    if ( strcmp ( argv[2], "SetDeltaMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeltaMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeltaMajor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetDeltaMajor(int axis, double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDeltaMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinorRangeStart */
    if ( strcmp ( argv[2], "SetMinorRangeStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinorRangeStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinorRangeStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinorRangeStart(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMinorRangeStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinorRangeStart */
    if ( strcmp ( argv[2], "GetMinorRangeStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinorRangeStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinorRangeStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinorRangeStart();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMinorRangeStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMajorRangeStart */
    if ( strcmp ( argv[2], "SetMajorRangeStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMajorRangeStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMajorRangeStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMajorRangeStart(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetMajorRangeStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMajorRangeStart */
    if ( strcmp ( argv[2], "GetMajorRangeStart" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMajorRangeStart" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMajorRangeStart */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMajorRangeStart();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetMajorRangeStart */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDeltaRangeMinor */
    if ( strcmp ( argv[2], "SetDeltaRangeMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeltaRangeMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeltaRangeMinor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDeltaRangeMinor(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDeltaRangeMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDeltaRangeMinor */
    if ( strcmp ( argv[2], "GetDeltaRangeMinor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeltaRangeMinor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeltaRangeMinor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDeltaRangeMinor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDeltaRangeMinor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDeltaRangeMajor */
    if ( strcmp ( argv[2], "SetDeltaRangeMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeltaRangeMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeltaRangeMajor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDeltaRangeMajor(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetDeltaRangeMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDeltaRangeMajor */
    if ( strcmp ( argv[2], "GetDeltaRangeMajor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeltaRangeMajor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeltaRangeMajor */
    Tcl_DStringAppendElement ( &dString, " Set/Get the starting position for minor and major tick points on\n the range and the delta values that determine their spacing. The\n range and the position need not be identical. ie the displayed\n values need not match the actual positions in 3D space.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDeltaRangeMajor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetDeltaRangeMajor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabels */
    if ( strcmp ( argv[2], "SetLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkStringArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabels */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetLabels(vtkStringArray *labels);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildAxis */
    if ( strcmp ( argv[2], "BuildAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildAxis */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void BuildAxis(vtkViewport *viewport, bool);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for BuildAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleActor */
    if ( strcmp ( argv[2], "GetTitleActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleActor */
    Tcl_DStringAppendElement ( &dString, " Get title actor and it is responsible for drawing\n title text.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisFollower *GetTitleActor();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetTitleActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLabelsBuilt */
    if ( strcmp ( argv[2], "GetNumberOfLabelsBuilt" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLabelsBuilt" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLabelsBuilt */
    Tcl_DStringAppendElement ( &dString, " Get total numbe of labels built. Once built\n this count does not change.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLabelsBuilt();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetNumberOfLabelsBuilt */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCalculateTitleOffset */
    if ( strcmp ( argv[2], "SetCalculateTitleOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCalculateTitleOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCalculateTitleOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate title offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCalculateTitleOffset(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetCalculateTitleOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCalculateTitleOffset */
    if ( strcmp ( argv[2], "GetCalculateTitleOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCalculateTitleOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCalculateTitleOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate title offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCalculateTitleOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetCalculateTitleOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CalculateTitleOffsetOn */
    if ( strcmp ( argv[2], "CalculateTitleOffsetOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CalculateTitleOffsetOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CalculateTitleOffsetOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate title offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void CalculateTitleOffsetOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for CalculateTitleOffsetOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CalculateTitleOffsetOff */
    if ( strcmp ( argv[2], "CalculateTitleOffsetOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CalculateTitleOffsetOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CalculateTitleOffsetOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate title offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void CalculateTitleOffsetOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for CalculateTitleOffsetOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCalculateLabelOffset */
    if ( strcmp ( argv[2], "SetCalculateLabelOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCalculateLabelOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCalculateLabelOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate label offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCalculateLabelOffset(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetCalculateLabelOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCalculateLabelOffset */
    if ( strcmp ( argv[2], "GetCalculateLabelOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCalculateLabelOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCalculateLabelOffset */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate label offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCalculateLabelOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetCalculateLabelOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CalculateLabelOffsetOn */
    if ( strcmp ( argv[2], "CalculateLabelOffsetOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CalculateLabelOffsetOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CalculateLabelOffsetOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate label offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void CalculateLabelOffsetOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for CalculateLabelOffsetOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CalculateLabelOffsetOff */
    if ( strcmp ( argv[2], "CalculateLabelOffsetOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CalculateLabelOffsetOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CalculateLabelOffsetOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get flag whether to calculate label offset.\n Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void CalculateLabelOffsetOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for CalculateLabelOffsetOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUse2DMode */
    if ( strcmp ( argv[2], "SetUse2DMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUse2DMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUse2DMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUse2DMode(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetUse2DMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUse2DMode */
    if ( strcmp ( argv[2], "GetUse2DMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUse2DMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUse2DMode */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUse2DMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetUse2DMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVerticalOffsetXTitle2D */
    if ( strcmp ( argv[2], "SetVerticalOffsetXTitle2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVerticalOffsetXTitle2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVerticalOffsetXTitle2D */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode the vertical offset for X title in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "void SetVerticalOffsetXTitle2D(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetVerticalOffsetXTitle2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVerticalOffsetXTitle2D */
    if ( strcmp ( argv[2], "GetVerticalOffsetXTitle2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVerticalOffsetXTitle2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVerticalOffsetXTitle2D */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode the vertical offset for X title in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "double GetVerticalOffsetXTitle2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetVerticalOffsetXTitle2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHorizontalOffsetYTitle2D */
    if ( strcmp ( argv[2], "SetHorizontalOffsetYTitle2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHorizontalOffsetYTitle2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHorizontalOffsetYTitle2D */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode the horizontal offset for Y title in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHorizontalOffsetYTitle2D(double a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetHorizontalOffsetYTitle2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHorizontalOffsetYTitle2D */
    if ( strcmp ( argv[2], "GetHorizontalOffsetYTitle2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHorizontalOffsetYTitle2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHorizontalOffsetYTitle2D */
    Tcl_DStringAppendElement ( &dString, " Set/Get the 2D mode the horizontal offset for Y title in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHorizontalOffsetYTitle2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetHorizontalOffsetYTitle2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSaveTitlePosition */
    if ( strcmp ( argv[2], "SetSaveTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSaveTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSaveTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether title position must be saved in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSaveTitlePosition(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for SetSaveTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSaveTitlePosition */
    if ( strcmp ( argv[2], "GetSaveTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSaveTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSaveTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether title position must be saved in 2D mode\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSaveTitlePosition();" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor" );
    /* Closing for GetSaveTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActorCppCommand(static_cast<vtkActor *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
