// tcl wrapper for vtkExodusIIReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExodusIIReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkExodusIIReaderNewCommand()
{
  vtkExodusIIReader *temp = vtkExodusIIReader::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExodusIIReaderCppCommand(vtkExodusIIReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExodusIIReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExodusIIReaderCppCommand(static_cast<vtkExodusIIReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExodusIIReaderCppCommand(vtkExodusIIReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExodusIIReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExodusIIReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusIIReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExodusIIReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusIIReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExodusIIReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusIIReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMetadataMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMetadataMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXMLFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXMLFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXMLFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXMLFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStep",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStep",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimeStep();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetModeShape",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetModeShape(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStepRange",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetTimeStepRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStepRange",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetTimeStepRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeStepRange",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetTimeStepRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGenerateObjectIdCellArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateObjectIdCellArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateObjectIdCellArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateObjectIdCellArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateObjectIdCellArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateObjectIdCellArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateObjectIdCellArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateObjectIdCellArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetObjectIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetObjectIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateGlobalElementIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateGlobalElementIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateGlobalElementIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateGlobalElementIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalElementIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalElementIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalElementIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalElementIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateGlobalNodeIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateGlobalNodeIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateGlobalNodeIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateGlobalNodeIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalNodeIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalNodeIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalNodeIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalNodeIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateImplicitElementIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateImplicitElementIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateImplicitElementIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateImplicitElementIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateImplicitElementIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateImplicitElementIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateImplicitElementIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateImplicitElementIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateImplicitNodeIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateImplicitNodeIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateImplicitNodeIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateImplicitNodeIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateImplicitNodeIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateImplicitNodeIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateImplicitNodeIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateImplicitNodeIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateFileIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateFileIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateFileIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateFileIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateFileIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateFileIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateFileIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateFileIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetFileId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFileId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFileId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalElementIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGlobalElementIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPedigreeElementIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPedigreeElementIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalElementID",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalElementID(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalElementID",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalElementID(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImplicitElementIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetImplicitElementIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalFaceIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGlobalFaceIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPedigreeFaceIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPedigreeFaceIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalFaceID",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalFaceID(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalFaceID",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalFaceID(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImplicitFaceIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetImplicitFaceIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalEdgeIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGlobalEdgeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPedigreeEdgeIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPedigreeEdgeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalEdgeID",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalEdgeID(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalEdgeID",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalEdgeID(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImplicitEdgeIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetImplicitEdgeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalNodeIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGlobalNodeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPedigreeNodeIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPedigreeNodeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalNodeID",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalNodeID(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalNodeID",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalNodeID(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetImplicitNodeIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetImplicitNodeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetApplyDisplacements",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetApplyDisplacements(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetApplyDisplacements",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetApplyDisplacements();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ApplyDisplacementsOn",argv[1]))&&(argc == 2))
    {
    op->ApplyDisplacementsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ApplyDisplacementsOff",argv[1]))&&(argc == 2))
    {
    op->ApplyDisplacementsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplacementMagnitude",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDisplacementMagnitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplacementMagnitude",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetDisplacementMagnitude();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHasModeShapes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHasModeShapes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHasModeShapes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHasModeShapes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasModeShapesOn",argv[1]))&&(argc == 2))
    {
    op->HasModeShapesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasModeShapesOff",argv[1]))&&(argc == 2))
    {
    op->HasModeShapesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetModeShapeTime",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetModeShapeTime(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetModeShapeTime",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetModeShapeTime();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAnimateModeShapes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAnimateModeShapes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnimateModeShapes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAnimateModeShapes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AnimateModeShapesOn",argv[1]))&&(argc == 2))
    {
    op->AnimateModeShapesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AnimateModeShapesOff",argv[1]))&&(argc == 2))
    {
    op->AnimateModeShapesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDimensionality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimensionality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTimeSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTimeSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfNodesInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNodesInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfEdgesInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdgesInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfFacesInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFacesInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfElementsInFile",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfElementsInFile();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetObjectTypeFromName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetObjectTypeFromName(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectTypeName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetObjectTypeName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfNodes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfObjects",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfObjects(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEntriesInObject",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfEntriesInObject(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectId",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetObjectId(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectName",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetObjectName(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectIndex",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetObjectIndex(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectIndex",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetObjectIndex(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetObjectStatus(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetObjectStatus(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetObjectStatus",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetObjectStatus(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetObjectStatus",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetObjectStatus(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfObjectArrays",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfObjectArrays(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectArrayName",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetObjectArrayName(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectArrayIndex",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetObjectArrayIndex(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfObjectArrayComponents",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfObjectArrayComponents(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetObjectArrayStatus(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetObjectArrayStatus(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetObjectArrayStatus",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetObjectArrayStatus(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetObjectArrayStatus",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetObjectArrayStatus(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfObjectAttributes",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfObjectAttributes(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectAttributeName",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetObjectAttributeName(temp0,temp1,temp2);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectAttributeIndex",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->GetObjectAttributeIndex(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectAttributeStatus",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetObjectAttributeStatus(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetObjectAttributeStatus",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (!error)
    {
    temp20 = (op)->GetObjectAttributeStatus(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetObjectAttributeStatus",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetObjectAttributeStatus(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetObjectAttributeStatus",argv[1]))&&(argc == 6))
    {
    int      temp0;
    int      temp1;
    char    *temp2;
    int      temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = argv[4];
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetObjectAttributeStatus(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTotalNumberOfNodes",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetTotalNumberOfNodes();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTotalNumberOfEdges",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetTotalNumberOfEdges();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTotalNumberOfFaces",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetTotalNumberOfFaces();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTotalNumberOfElements",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetTotalNumberOfElements();
    char tempResult[1024];
    sprintf(tempResult,"%lli",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPartArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPartArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPartArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPartArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartArrayID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPartArrayID(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartBlockInfo",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPartBlockInfo(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPartArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPartArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPartArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPartArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPartArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPartArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfMaterialArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfMaterialArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaterialArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetMaterialArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaterialArrayID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetMaterialArrayID(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaterialArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetMaterialArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaterialArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetMaterialArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaterialArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetMaterialArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaterialArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetMaterialArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAssemblyArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAssemblyArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAssemblyArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAssemblyArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssemblyArrayID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetAssemblyArrayID(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAssemblyArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAssemblyArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAssemblyArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAssemblyArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssemblyArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAssemblyArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssemblyArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetAssemblyArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfHierarchyArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfHierarchyArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHierarchyArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetHierarchyArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHierarchyArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetHierarchyArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHierarchyArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetHierarchyArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHierarchyArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetHierarchyArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHierarchyArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetHierarchyArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplayType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ExodusModelMetadataOn",argv[1]))&&(argc == 2))
    {
    op->ExodusModelMetadataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExodusModelMetadataOff",argv[1]))&&(argc == 2))
    {
    op->ExodusModelMetadataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExodusModelMetadata",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExodusModelMetadata(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExodusModelMetadata",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExodusModelMetadata();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExodusModel",argv[1]))&&(argc == 2))
    {
    vtkExodusModel  *temp20;
    temp20 = (op)->GetExodusModel();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusModel");
    return TCL_OK;
    }
  if ((!strcmp("SetPackExodusModelOntoOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPackExodusModelOntoOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPackExodusModelOntoOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPackExodusModelOntoOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PackExodusModelOntoOutputOn",argv[1]))&&(argc == 2))
    {
    op->PackExodusModelOntoOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PackExodusModelOntoOutputOff",argv[1]))&&(argc == 2))
    {
    op->PackExodusModelOntoOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsValidVariable",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->IsValidVariable(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVariableID",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetVariableID(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAllArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeSeriesData",argv[1]))&&(argc == 6))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    vtkFloatArray  *temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkFloatArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetTimeSeriesData(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEdgeBlockArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdgeBlockArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeBlockArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdgeBlockArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeBlockArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetEdgeBlockArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeBlockArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEdgeBlockArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfFaceBlockArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFaceBlockArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFaceBlockArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFaceBlockArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFaceBlockArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetFaceBlockArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFaceBlockArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetFaceBlockArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfElementBlockArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfElementBlockArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElementBlockArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetElementBlockArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetElementBlockArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetElementBlockArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetElementBlockArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetElementBlockArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfGlobalResultArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfGlobalResultArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalResultArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalResultArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalResultArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetGlobalResultArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGlobalResultArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetGlobalResultArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPointResultArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPointResultArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointResultArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointResultArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointResultArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPointResultArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointResultArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPointResultArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEdgeResultArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdgeResultArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeResultArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdgeResultArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeResultArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetEdgeResultArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeResultArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEdgeResultArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfFaceResultArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFaceResultArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFaceResultArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFaceResultArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFaceResultArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetFaceResultArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFaceResultArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetFaceResultArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfElementResultArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfElementResultArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElementResultArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetElementResultArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetElementResultArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetElementResultArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetElementResultArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetElementResultArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfNodeMapArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNodeMapArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNodeMapArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNodeMapArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNodeMapArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNodeMapArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNodeMapArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetNodeMapArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEdgeMapArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdgeMapArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeMapArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdgeMapArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeMapArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetEdgeMapArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeMapArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEdgeMapArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfFaceMapArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFaceMapArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFaceMapArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFaceMapArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFaceMapArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetFaceMapArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFaceMapArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetFaceMapArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfElementMapArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfElementMapArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElementMapArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetElementMapArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetElementMapArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetElementMapArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetElementMapArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetElementMapArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfNodeSetArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNodeSetArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNodeSetArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNodeSetArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNodeSetArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNodeSetArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNodeSetArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetNodeSetArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSideSetArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSideSetArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSideSetArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSideSetArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSideSetArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetSideSetArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSideSetArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSideSetArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEdgeSetArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdgeSetArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeSetArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdgeSetArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeSetArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetEdgeSetArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeSetArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEdgeSetArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfFaceSetArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFaceSetArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFaceSetArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFaceSetArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFaceSetArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetFaceSetArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFaceSetArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetFaceSetArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfElementSetArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfElementSetArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElementSetArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetElementSetArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetElementSetArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetElementSetArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetElementSetArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetElementSetArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfNodeSetResultArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNodeSetResultArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNodeSetResultArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNodeSetResultArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNodeSetResultArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNodeSetResultArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNodeSetResultArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetNodeSetResultArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSideSetResultArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSideSetResultArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSideSetResultArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSideSetResultArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSideSetResultArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetSideSetResultArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSideSetResultArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSideSetResultArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfEdgeSetResultArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfEdgeSetResultArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEdgeSetResultArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetEdgeSetResultArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeSetResultArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetEdgeSetResultArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeSetResultArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetEdgeSetResultArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfFaceSetResultArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfFaceSetResultArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetFaceSetResultArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetFaceSetResultArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFaceSetResultArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetFaceSetResultArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFaceSetResultArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetFaceSetResultArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfElementSetResultArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfElementSetResultArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetElementSetResultArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetElementSetResultArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetElementSetResultArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetElementSetResultArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetElementSetResultArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetElementSetResultArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFastPathObjectType",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFastPathObjectType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFastPathIdType",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFastPathIdType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetFastPathObjectId",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFastPathObjectId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("Reset",argv[1]))&&(argc == 2))
    {
    op->Reset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetSettings",argv[1]))&&(argc == 2))
    {
    op->ResetSettings();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ResetCache",argv[1]))&&(argc == 2))
    {
    op->ResetCache();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCacheSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCacheSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCacheSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCacheSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateTimeInformation",argv[1]))&&(argc == 2))
    {
    op->UpdateTimeInformation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Dump",argv[1]))&&(argc == 2))
    {
    op->Dump();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetSIL",argv[1]))&&(argc == 2))
    {
    vtkGraph  *temp20;
    temp20 = (op)->GetSIL();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraph");
    return TCL_OK;
    }
  if ((!strcmp("GetSILUpdateStamp",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSILUpdateStamp();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetProducedFastPathOutput",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetProducedFastPathOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExodusIIReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExodusIIReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    Tcl_AppendResult(interp,"  GetMetadataMTime\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetXMLFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXMLFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStep\n",NULL);
    Tcl_AppendResult(interp,"  SetModeShape\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStepRange\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateObjectIdCellArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateObjectIdCellArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateObjectIdCellArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateObjectIdCellArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateGlobalElementIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateGlobalElementIdArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalElementIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalElementIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateGlobalNodeIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateGlobalNodeIdArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalNodeIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalNodeIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateImplicitElementIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateImplicitElementIdArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateImplicitElementIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateImplicitElementIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateImplicitNodeIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateImplicitNodeIdArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateImplicitNodeIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateImplicitNodeIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateFileIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateFileIdArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateFileIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateFileIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetFileId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileId\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalElementIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetPedigreeElementIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalElementID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalElementID\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetImplicitElementIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalFaceIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetPedigreeFaceIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalFaceID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalFaceID\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetImplicitFaceIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalEdgeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetPedigreeEdgeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalEdgeID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalEdgeID\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetImplicitEdgeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalNodeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetPedigreeNodeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalNodeID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalNodeID\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetImplicitNodeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetApplyDisplacements\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetApplyDisplacements\n",NULL);
    Tcl_AppendResult(interp,"  ApplyDisplacementsOn\n",NULL);
    Tcl_AppendResult(interp,"  ApplyDisplacementsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplacementMagnitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplacementMagnitude\n",NULL);
    Tcl_AppendResult(interp,"  SetHasModeShapes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHasModeShapes\n",NULL);
    Tcl_AppendResult(interp,"  HasModeShapesOn\n",NULL);
    Tcl_AppendResult(interp,"  HasModeShapesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetModeShapeTime\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetModeShapeTime\n",NULL);
    Tcl_AppendResult(interp,"  SetAnimateModeShapes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnimateModeShapes\n",NULL);
    Tcl_AppendResult(interp,"  AnimateModeShapesOn\n",NULL);
    Tcl_AppendResult(interp,"  AnimateModeShapesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensionality\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTimeSteps\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNodesInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdgesInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFacesInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfElementsInFile\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectTypeFromName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectTypeName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNodes\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfObjects\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEntriesInObject\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectId\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectIndex\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectIndex\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetObjectStatus\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetObjectStatus\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfObjectArrays\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectArrayName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectArrayIndex\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfObjectArrayComponents\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetObjectArrayStatus\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetObjectArrayStatus\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfObjectAttributes\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectAttributeName\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectAttributeIndex\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectAttributeStatus\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetObjectAttributeStatus\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetObjectAttributeStatus\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetObjectAttributeStatus\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfNodes\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfEdges\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfFaces\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfElements\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPartArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPartBlockInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPartArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPartArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfMaterialArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialArrayID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAssemblyArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetAssemblyArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAssemblyArrayID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAssemblyArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAssemblyArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAssemblyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAssemblyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfHierarchyArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchyArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHierarchyArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHierarchyArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayType\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ExodusModelMetadataOn\n",NULL);
    Tcl_AppendResult(interp,"  ExodusModelMetadataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetExodusModelMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExodusModelMetadata\n",NULL);
    Tcl_AppendResult(interp,"  GetExodusModel\n",NULL);
    Tcl_AppendResult(interp,"  SetPackExodusModelOntoOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPackExodusModelOntoOutput\n",NULL);
    Tcl_AppendResult(interp,"  PackExodusModelOntoOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  PackExodusModelOntoOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  IsValidVariable\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAllArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeSeriesData\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdgeBlockArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeBlockArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeBlockArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeBlockArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFaceBlockArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceBlockArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceBlockArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFaceBlockArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfElementBlockArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetElementBlockArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetElementBlockArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetElementBlockArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfGlobalResultArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalResultArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGlobalResultArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPointResultArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetPointResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointResultArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointResultArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdgeResultArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeResultArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeResultArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFaceResultArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceResultArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFaceResultArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfElementResultArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetElementResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetElementResultArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetElementResultArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNodeMapArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeMapArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeMapArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNodeMapArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdgeMapArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeMapArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeMapArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeMapArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFaceMapArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceMapArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceMapArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFaceMapArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfElementMapArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetElementMapArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetElementMapArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetElementMapArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNodeSetArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeSetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeSetArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNodeSetArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSideSetArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetSideSetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSideSetArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSideSetArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdgeSetArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeSetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeSetArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeSetArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFaceSetArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceSetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceSetArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFaceSetArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfElementSetArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetElementSetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetElementSetArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetElementSetArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNodeSetResultArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeSetResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeSetResultArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNodeSetResultArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSideSetResultArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetSideSetResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSideSetResultArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSideSetResultArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfEdgeSetResultArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeSetResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeSetResultArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeSetResultArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfFaceSetResultArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceSetResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFaceSetResultArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFaceSetResultArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfElementSetResultArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetElementSetResultArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetElementSetResultArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetElementSetResultArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetFastPathObjectType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFastPathIdType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetFastPathObjectId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  Reset\n",NULL);
    Tcl_AppendResult(interp,"  ResetSettings\n",NULL);
    Tcl_AppendResult(interp,"  ResetCache\n",NULL);
    Tcl_AppendResult(interp,"  SetCacheSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCacheSize\n",NULL);
    Tcl_AppendResult(interp,"  UpdateTimeInformation\n",NULL);
    Tcl_AppendResult(interp,"  Dump\n",NULL);
    Tcl_AppendResult(interp,"  GetSIL\n",NULL);
    Tcl_AppendResult(interp,"  GetSILUpdateStamp\n",NULL);
    Tcl_AppendResult(interp,"  GetProducedFastPathOutput\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    Tcl_DStringAppendElement ( &dString, "GetMetadataMTime" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetXMLFileName" );
    Tcl_DStringAppendElement ( &dString, "GetXMLFileName" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "SetModeShape" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateObjectIdCellArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateObjectIdCellArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateObjectIdCellArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateObjectIdCellArrayOff" );
    Tcl_DStringAppendElement ( &dString, "GetObjectIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalElementIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalElementIdArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalNodeIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalNodeIdArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateImplicitElementIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateImplicitElementIdArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateImplicitElementIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateImplicitElementIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateImplicitNodeIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateImplicitNodeIdArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateImplicitNodeIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateImplicitNodeIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateFileIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateFileIdArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateFileIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateFileIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetFileId" );
    Tcl_DStringAppendElement ( &dString, "GetFileId" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeElementIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementID" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementID" );
    Tcl_DStringAppendElement ( &dString, "GetImplicitElementIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalFaceIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeFaceIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalFaceID" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalFaceID" );
    Tcl_DStringAppendElement ( &dString, "GetImplicitFaceIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalEdgeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeEdgeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalEdgeID" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalEdgeID" );
    Tcl_DStringAppendElement ( &dString, "GetImplicitEdgeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeNodeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeID" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeID" );
    Tcl_DStringAppendElement ( &dString, "GetImplicitNodeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetApplyDisplacements" );
    Tcl_DStringAppendElement ( &dString, "GetApplyDisplacements" );
    Tcl_DStringAppendElement ( &dString, "ApplyDisplacementsOn" );
    Tcl_DStringAppendElement ( &dString, "ApplyDisplacementsOff" );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementMagnitude" );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementMagnitude" );
    Tcl_DStringAppendElement ( &dString, "SetHasModeShapes" );
    Tcl_DStringAppendElement ( &dString, "GetHasModeShapes" );
    Tcl_DStringAppendElement ( &dString, "HasModeShapesOn" );
    Tcl_DStringAppendElement ( &dString, "HasModeShapesOff" );
    Tcl_DStringAppendElement ( &dString, "SetModeShapeTime" );
    Tcl_DStringAppendElement ( &dString, "GetModeShapeTime" );
    Tcl_DStringAppendElement ( &dString, "SetAnimateModeShapes" );
    Tcl_DStringAppendElement ( &dString, "GetAnimateModeShapes" );
    Tcl_DStringAppendElement ( &dString, "AnimateModeShapesOn" );
    Tcl_DStringAppendElement ( &dString, "AnimateModeShapesOff" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetDimensionality" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodesInFile" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgesInFile" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFacesInFile" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementsInFile" );
    Tcl_DStringAppendElement ( &dString, "GetObjectTypeFromName" );
    Tcl_DStringAppendElement ( &dString, "GetObjectTypeName" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodes" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfObjects" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEntriesInObject" );
    Tcl_DStringAppendElement ( &dString, "GetObjectId" );
    Tcl_DStringAppendElement ( &dString, "GetObjectName" );
    Tcl_DStringAppendElement ( &dString, "GetObjectIndex" );
    Tcl_DStringAppendElement ( &dString, "GetObjectIndex" );
    Tcl_DStringAppendElement ( &dString, "GetObjectStatus" );
    Tcl_DStringAppendElement ( &dString, "GetObjectStatus" );
    Tcl_DStringAppendElement ( &dString, "SetObjectStatus" );
    Tcl_DStringAppendElement ( &dString, "SetObjectStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfObjectArrays" );
    Tcl_DStringAppendElement ( &dString, "GetObjectArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetObjectArrayIndex" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfObjectArrayComponents" );
    Tcl_DStringAppendElement ( &dString, "GetObjectArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetObjectArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetObjectArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetObjectArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfObjectAttributes" );
    Tcl_DStringAppendElement ( &dString, "GetObjectAttributeName" );
    Tcl_DStringAppendElement ( &dString, "GetObjectAttributeIndex" );
    Tcl_DStringAppendElement ( &dString, "GetObjectAttributeStatus" );
    Tcl_DStringAppendElement ( &dString, "GetObjectAttributeStatus" );
    Tcl_DStringAppendElement ( &dString, "SetObjectAttributeStatus" );
    Tcl_DStringAppendElement ( &dString, "SetObjectAttributeStatus" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfNodes" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfEdges" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfFaces" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfElements" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPartArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayID" );
    Tcl_DStringAppendElement ( &dString, "GetPartBlockInfo" );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMaterialArrays" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayID" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAssemblyArrays" );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayID" );
    Tcl_DStringAppendElement ( &dString, "SetAssemblyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetAssemblyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHierarchyArrays" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetHierarchyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetHierarchyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayType" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayType" );
    Tcl_DStringAppendElement ( &dString, "ExodusModelMetadataOn" );
    Tcl_DStringAppendElement ( &dString, "ExodusModelMetadataOff" );
    Tcl_DStringAppendElement ( &dString, "SetExodusModelMetadata" );
    Tcl_DStringAppendElement ( &dString, "GetExodusModelMetadata" );
    Tcl_DStringAppendElement ( &dString, "GetExodusModel" );
    Tcl_DStringAppendElement ( &dString, "SetPackExodusModelOntoOutput" );
    Tcl_DStringAppendElement ( &dString, "GetPackExodusModelOntoOutput" );
    Tcl_DStringAppendElement ( &dString, "PackExodusModelOntoOutputOn" );
    Tcl_DStringAppendElement ( &dString, "PackExodusModelOntoOutputOff" );
    Tcl_DStringAppendElement ( &dString, "IsValidVariable" );
    Tcl_DStringAppendElement ( &dString, "GetVariableID" );
    Tcl_DStringAppendElement ( &dString, "SetAllArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetTimeSeriesData" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeBlockArrays" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeBlockArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaceBlockArrays" );
    Tcl_DStringAppendElement ( &dString, "GetFaceBlockArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetFaceBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetFaceBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementBlockArrays" );
    Tcl_DStringAppendElement ( &dString, "GetElementBlockArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetElementBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetElementBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfGlobalResultArrays" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetGlobalResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointResultArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPointResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPointResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetPointResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeResultArrays" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaceResultArrays" );
    Tcl_DStringAppendElement ( &dString, "GetFaceResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetFaceResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetFaceResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementResultArrays" );
    Tcl_DStringAppendElement ( &dString, "GetElementResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetElementResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetElementResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodeMapArrays" );
    Tcl_DStringAppendElement ( &dString, "GetNodeMapArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetNodeMapArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetNodeMapArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeMapArrays" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeMapArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeMapArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeMapArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaceMapArrays" );
    Tcl_DStringAppendElement ( &dString, "GetFaceMapArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetFaceMapArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetFaceMapArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementMapArrays" );
    Tcl_DStringAppendElement ( &dString, "GetElementMapArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetElementMapArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetElementMapArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodeSetArrays" );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetNodeSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSideSetArrays" );
    Tcl_DStringAppendElement ( &dString, "GetSideSetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetSideSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetSideSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeSetArrays" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeSetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaceSetArrays" );
    Tcl_DStringAppendElement ( &dString, "GetFaceSetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetFaceSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetFaceSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementSetArrays" );
    Tcl_DStringAppendElement ( &dString, "GetElementSetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetElementSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetElementSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodeSetResultArrays" );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetNodeSetResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSideSetResultArrays" );
    Tcl_DStringAppendElement ( &dString, "GetSideSetResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetSideSetResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetSideSetResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeSetResultArrays" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeSetResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeSetResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeSetResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaceSetResultArrays" );
    Tcl_DStringAppendElement ( &dString, "GetFaceSetResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetFaceSetResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetFaceSetResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementSetResultArrays" );
    Tcl_DStringAppendElement ( &dString, "GetElementSetResultArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetElementSetResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetElementSetResultArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetFastPathObjectType" );
    Tcl_DStringAppendElement ( &dString, "SetFastPathIdType" );
    Tcl_DStringAppendElement ( &dString, "SetFastPathObjectId" );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    Tcl_DStringAppendElement ( &dString, "ResetSettings" );
    Tcl_DStringAppendElement ( &dString, "ResetCache" );
    Tcl_DStringAppendElement ( &dString, "SetCacheSize" );
    Tcl_DStringAppendElement ( &dString, "GetCacheSize" );
    Tcl_DStringAppendElement ( &dString, "UpdateTimeInformation" );
    Tcl_DStringAppendElement ( &dString, "Dump" );
    Tcl_DStringAppendElement ( &dString, "GetSIL" );
    Tcl_DStringAppendElement ( &dString, "GetSILUpdateStamp" );
    Tcl_DStringAppendElement ( &dString, "GetProducedFastPathOutput" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExodusIIReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Determine if the file can be readed with this reader.\n" );
    Tcl_DStringAppendElement ( &dString, "int CanReadFile(const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Return the object's MTime. This is overridden to include the timestamp of its internal class.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMetadataMTime */
    if ( strcmp ( argv[2], "GetMetadataMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMetadataMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMetadataMTime */
    Tcl_DStringAppendElement ( &dString, " Return the MTime of the internal data structure.\n This is really only intended for use by vtkPExodusIIReader in order\n to determine if the filename is newer than the metadata.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned long GetMetadataMTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetMetadataMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of the Exodus file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName(const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of the Exodus file.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXMLFileName */
    if ( strcmp ( argv[2], "SetXMLFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXMLFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXMLFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of the xml file.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetXMLFileName(const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetXMLFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXMLFileName */
    if ( strcmp ( argv[2], "GetXMLFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXMLFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXMLFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of the xml file.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXMLFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetXMLFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStep */
    if ( strcmp ( argv[2], "SetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Which TimeStep to read.    \n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStep(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStep */
    if ( strcmp ( argv[2], "GetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Which TimeStep to read.    \n" );
    Tcl_DStringAppendElement ( &dString, "int GetTimeStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModeShape */
    if ( strcmp ( argv[2], "SetModeShape" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModeShape" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModeShape */
    Tcl_DStringAppendElement ( &dString, " Convenience method to set the mode-shape which is same as\n this->SetTimeStep(val-1);\n" );
    Tcl_DStringAppendElement ( &dString, "void SetModeShape(int val);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetModeShape */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStepRange */
    if ( strcmp ( argv[2], "GetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetTimeStepRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepRange */
    if ( strcmp ( argv[2], "SetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepRange(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepRange */
    if ( strcmp ( argv[2], "SetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepRange(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateObjectIdCellArray */
    if ( strcmp ( argv[2], "SetGenerateObjectIdCellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateObjectIdCellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateObjectIdCellArray */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName(). For cells representing elements from\n an Exodus element block, this is set to the element block ID. For\n cells representing edges from an Exodus edge block, this is the\n edge block ID. Similarly, ths is the face block ID for cells\n representing faces from an Exod ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGenerateObjectIdCellArray(int g);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetGenerateObjectIdCellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateObjectIdCellArray */
    if ( strcmp ( argv[2], "GetGenerateObjectIdCellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateObjectIdCellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateObjectIdCellArray */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName(). For cells representing elements from\n an Exodus element block, this is set to the element block ID. For\n cells representing edges from an Exodus edge block, this is the\n edge block ID. Similarly, ths is the face block ID for cells\n representing faces from an Exod ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateObjectIdCellArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGenerateObjectIdCellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateObjectIdCellArrayOn */
    if ( strcmp ( argv[2], "GenerateObjectIdCellArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateObjectIdCellArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateObjectIdCellArrayOn */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName(). For cells representing elements from\n an Exodus element block, this is set to the element block ID. For\n cells representing edges from an Exodus edge block, this is the\n edge block ID. Similarly, ths is the face block ID for cells\n representing faces from an Exod ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateObjectIdCellArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateObjectIdCellArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateObjectIdCellArrayOff */
    if ( strcmp ( argv[2], "GenerateObjectIdCellArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateObjectIdCellArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateObjectIdCellArrayOff */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName(). For cells representing elements from\n an Exodus element block, this is set to the element block ID. For\n cells representing edges from an Exodus edge block, this is the\n edge block ID. Similarly, ths is the face block ID for cells\n representing faces from an Exod ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateObjectIdCellArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateObjectIdCellArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectIdArrayName */
    if ( strcmp ( argv[2], "GetObjectIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName(). For cells representing elements from\n an Exodus element block, this is set to the element block ID. For\n cells representing edges from an Exodus edge block, this is the\n edge block ID. Similarly, ths is the face block ID for cells\n representing faces from an Exod ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetObjectIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateGlobalElementIdArray */
    if ( strcmp ( argv[2], "SetGenerateGlobalElementIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalElementIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateGlobalElementIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGenerateGlobalElementIdArray(int g);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetGenerateGlobalElementIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateGlobalElementIdArray */
    if ( strcmp ( argv[2], "GetGenerateGlobalElementIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalElementIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateGlobalElementIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateGlobalElementIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGenerateGlobalElementIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalElementIdArrayOn */
    if ( strcmp ( argv[2], "GenerateGlobalElementIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalElementIdArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalElementIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateGlobalElementIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalElementIdArrayOff */
    if ( strcmp ( argv[2], "GenerateGlobalElementIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalElementIdArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalElementIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateGlobalElementIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateGlobalNodeIdArray */
    if ( strcmp ( argv[2], "SetGenerateGlobalNodeIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalNodeIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateGlobalNodeIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGenerateGlobalNodeIdArray(int g);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetGenerateGlobalNodeIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateGlobalNodeIdArray */
    if ( strcmp ( argv[2], "GetGenerateGlobalNodeIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalNodeIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateGlobalNodeIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateGlobalNodeIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGenerateGlobalNodeIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalNodeIdArrayOn */
    if ( strcmp ( argv[2], "GenerateGlobalNodeIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalNodeIdArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalNodeIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateGlobalNodeIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalNodeIdArrayOff */
    if ( strcmp ( argv[2], "GenerateGlobalNodeIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalNodeIdArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalNodeIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateGlobalNodeIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateImplicitElementIdArray */
    if ( strcmp ( argv[2], "SetGenerateImplicitElementIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateImplicitElementIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateImplicitElementIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGenerateImplicitElementIdArray(int g);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetGenerateImplicitElementIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateImplicitElementIdArray */
    if ( strcmp ( argv[2], "GetGenerateImplicitElementIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateImplicitElementIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateImplicitElementIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateImplicitElementIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGenerateImplicitElementIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateImplicitElementIdArrayOn */
    if ( strcmp ( argv[2], "GenerateImplicitElementIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateImplicitElementIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateImplicitElementIdArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateImplicitElementIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateImplicitElementIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateImplicitElementIdArrayOff */
    if ( strcmp ( argv[2], "GenerateImplicitElementIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateImplicitElementIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateImplicitElementIdArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateImplicitElementIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateImplicitElementIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateImplicitNodeIdArray */
    if ( strcmp ( argv[2], "SetGenerateImplicitNodeIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateImplicitNodeIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateImplicitNodeIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGenerateImplicitNodeIdArray(int g);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetGenerateImplicitNodeIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateImplicitNodeIdArray */
    if ( strcmp ( argv[2], "GetGenerateImplicitNodeIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateImplicitNodeIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateImplicitNodeIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateImplicitNodeIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGenerateImplicitNodeIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateImplicitNodeIdArrayOn */
    if ( strcmp ( argv[2], "GenerateImplicitNodeIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateImplicitNodeIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateImplicitNodeIdArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateImplicitNodeIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateImplicitNodeIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateImplicitNodeIdArrayOff */
    if ( strcmp ( argv[2], "GenerateImplicitNodeIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateImplicitNodeIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateImplicitNodeIdArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateImplicitNodeIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateImplicitNodeIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateFileIdArray */
    if ( strcmp ( argv[2], "SetGenerateFileIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateFileIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateFileIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGenerateFileIdArray(int f);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetGenerateFileIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateFileIdArray */
    if ( strcmp ( argv[2], "GetGenerateFileIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateFileIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateFileIdArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateFileIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGenerateFileIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateFileIdArrayOn */
    if ( strcmp ( argv[2], "GenerateFileIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateFileIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateFileIdArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateFileIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateFileIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateFileIdArrayOff */
    if ( strcmp ( argv[2], "GenerateFileIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateFileIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateFileIdArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GenerateFileIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GenerateFileIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileId */
    if ( strcmp ( argv[2], "SetFileId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileId */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileId(int f);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetFileId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileId */
    if ( strcmp ( argv[2], "GetFileId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileId */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetFileId();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFileId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalElementIdArrayName */
    if ( strcmp ( argv[2], "GetGlobalElementIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalElementIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetGlobalElementIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalElementIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPedigreeElementIdArrayName */
    if ( strcmp ( argv[2], "GetPedigreeElementIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeElementIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPedigreeElementIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetPedigreeElementIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPedigreeElementIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalElementID */
    if ( strcmp ( argv[2], "GetGlobalElementID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalElementID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalElementID(vtkDataSet *data, int localID);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalElementID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalElementID */
    if ( strcmp ( argv[2], "GetGlobalElementID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalElementID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalElementID(vtkDataSet *data, int localID, int searchType);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalElementID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImplicitElementIdArrayName */
    if ( strcmp ( argv[2], "GetImplicitElementIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImplicitElementIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImplicitElementIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetImplicitElementIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetImplicitElementIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalFaceIdArrayName */
    if ( strcmp ( argv[2], "GetGlobalFaceIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalFaceIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalFaceIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetGlobalFaceIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalFaceIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPedigreeFaceIdArrayName */
    if ( strcmp ( argv[2], "GetPedigreeFaceIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeFaceIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPedigreeFaceIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetPedigreeFaceIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPedigreeFaceIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalFaceID */
    if ( strcmp ( argv[2], "GetGlobalFaceID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalFaceID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalFaceID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalFaceID(vtkDataSet *data, int localID);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalFaceID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalFaceID */
    if ( strcmp ( argv[2], "GetGlobalFaceID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalFaceID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalFaceID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalFaceID(vtkDataSet *data, int localID, int searchType);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalFaceID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImplicitFaceIdArrayName */
    if ( strcmp ( argv[2], "GetImplicitFaceIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImplicitFaceIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImplicitFaceIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetImplicitFaceIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetImplicitFaceIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalEdgeIdArrayName */
    if ( strcmp ( argv[2], "GetGlobalEdgeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalEdgeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalEdgeIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetGlobalEdgeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalEdgeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPedigreeEdgeIdArrayName */
    if ( strcmp ( argv[2], "GetPedigreeEdgeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeEdgeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPedigreeEdgeIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetPedigreeEdgeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPedigreeEdgeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalEdgeID */
    if ( strcmp ( argv[2], "GetGlobalEdgeID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalEdgeID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalEdgeID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalEdgeID(vtkDataSet *data, int localID);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalEdgeID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalEdgeID */
    if ( strcmp ( argv[2], "GetGlobalEdgeID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalEdgeID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalEdgeID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalEdgeID(vtkDataSet *data, int localID, int searchType);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalEdgeID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImplicitEdgeIdArrayName */
    if ( strcmp ( argv[2], "GetImplicitEdgeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImplicitEdgeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImplicitEdgeIdArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetImplicitEdgeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetImplicitEdgeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalNodeIdArrayName */
    if ( strcmp ( argv[2], "GetGlobalNodeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalNodeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetGlobalNodeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalNodeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPedigreeNodeIdArrayName */
    if ( strcmp ( argv[2], "GetPedigreeNodeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeNodeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPedigreeNodeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetPedigreeNodeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPedigreeNodeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalNodeID */
    if ( strcmp ( argv[2], "GetGlobalNodeID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalNodeID */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalNodeID(vtkDataSet *data, int localID);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalNodeID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalNodeID */
    if ( strcmp ( argv[2], "GetGlobalNodeID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalNodeID */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalNodeID(vtkDataSet *data, int localID, int searchType);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalNodeID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetImplicitNodeIdArrayName */
    if ( strcmp ( argv[2], "GetImplicitNodeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetImplicitNodeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetImplicitNodeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetImplicitNodeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetImplicitNodeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetApplyDisplacements */
    if ( strcmp ( argv[2], "SetApplyDisplacements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetApplyDisplacements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetApplyDisplacements */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetApplyDisplacements(int d);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetApplyDisplacements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetApplyDisplacements */
    if ( strcmp ( argv[2], "GetApplyDisplacements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetApplyDisplacements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetApplyDisplacements */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetApplyDisplacements();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetApplyDisplacements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyDisplacementsOn */
    if ( strcmp ( argv[2], "ApplyDisplacementsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyDisplacementsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyDisplacementsOn */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void ApplyDisplacementsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for ApplyDisplacementsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyDisplacementsOff */
    if ( strcmp ( argv[2], "ApplyDisplacementsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyDisplacementsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyDisplacementsOff */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void ApplyDisplacementsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for ApplyDisplacementsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplacementMagnitude */
    if ( strcmp ( argv[2], "SetDisplacementMagnitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementMagnitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplacementMagnitude */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDisplacementMagnitude(float s);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetDisplacementMagnitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplacementMagnitude */
    if ( strcmp ( argv[2], "GetDisplacementMagnitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementMagnitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplacementMagnitude */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetDisplacementMagnitude();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetDisplacementMagnitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHasModeShapes */
    if ( strcmp ( argv[2], "SetHasModeShapes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHasModeShapes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHasModeShapes */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.\n By default, HasModeShapes is false unless two time values in the Exodus file are identical,\n in which case it is true.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetHasModeShapes(int ms);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetHasModeShapes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHasModeShapes */
    if ( strcmp ( argv[2], "GetHasModeShapes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHasModeShapes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHasModeShapes */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.\n By default, HasModeShapes is false unless two time values in the Exodus file are identical,\n in which case it is true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHasModeShapes();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetHasModeShapes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasModeShapesOn */
    if ( strcmp ( argv[2], "HasModeShapesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasModeShapesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasModeShapesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.\n By default, HasModeShapes is false unless two time values in the Exodus file are identical,\n in which case it is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void HasModeShapesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for HasModeShapesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasModeShapesOff */
    if ( strcmp ( argv[2], "HasModeShapesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasModeShapesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasModeShapesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.\n By default, HasModeShapes is false unless two time values in the Exodus file are identical,\n in which case it is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void HasModeShapesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for HasModeShapesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetModeShapeTime */
    if ( strcmp ( argv[2], "SetModeShapeTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetModeShapeTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetModeShapeTime */
    Tcl_DStringAppendElement ( &dString, " Set/Get the time used to animate mode shapes.\n This is a number between 0 and 1 that is used to scale the \\a DisplacementMagnitude\n in a sinusoidal pattern. Specifically, the displacement vector for each vertex is scaled by\n \\f$ \\mathrm{DisplacementMagnitude} cos( 2\\pi \\mathrm{ModeShapeTime} ) \\f$ before it is\n added to the vertex coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetModeShapeTime(double phase);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetModeShapeTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetModeShapeTime */
    if ( strcmp ( argv[2], "GetModeShapeTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetModeShapeTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetModeShapeTime */
    Tcl_DStringAppendElement ( &dString, " Set/Get the time used to animate mode shapes.\n This is a number between 0 and 1 that is used to scale the \\a DisplacementMagnitude\n in a sinusoidal pattern. Specifically, the displacement vector for each vertex is scaled by\n \\f$ \\mathrm{DisplacementMagnitude} cos( 2\\pi \\mathrm{ModeShapeTime} ) \\f$ before it is\n added to the vertex coordinates.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetModeShapeTime();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetModeShapeTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnimateModeShapes */
    if ( strcmp ( argv[2], "SetAnimateModeShapes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnimateModeShapes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnimateModeShapes */
    Tcl_DStringAppendElement ( &dString, " If this flag is on (the default) and HasModeShapes is also on, then this\n reader will report a continuous time range \\[0,1\\] and animate the\n displacements in a periodic sinusoid.  If this flag is off and\n HasModeShapes is on, this reader ignores time.  This flag has no effect if\n HasModeShapes is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAnimateModeShapes(int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetAnimateModeShapes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnimateModeShapes */
    if ( strcmp ( argv[2], "GetAnimateModeShapes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnimateModeShapes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnimateModeShapes */
    Tcl_DStringAppendElement ( &dString, " If this flag is on (the default) and HasModeShapes is also on, then this\n reader will report a continuous time range \\[0,1\\] and animate the\n displacements in a periodic sinusoid.  If this flag is off and\n HasModeShapes is on, this reader ignores time.  This flag has no effect if\n HasModeShapes is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAnimateModeShapes();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetAnimateModeShapes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AnimateModeShapesOn */
    if ( strcmp ( argv[2], "AnimateModeShapesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AnimateModeShapesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AnimateModeShapesOn */
    Tcl_DStringAppendElement ( &dString, " If this flag is on (the default) and HasModeShapes is also on, then this\n reader will report a continuous time range \\[0,1\\] and animate the\n displacements in a periodic sinusoid.  If this flag is off and\n HasModeShapes is on, this reader ignores time.  This flag has no effect if\n HasModeShapes is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AnimateModeShapesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for AnimateModeShapesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AnimateModeShapesOff */
    if ( strcmp ( argv[2], "AnimateModeShapesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AnimateModeShapesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AnimateModeShapesOff */
    Tcl_DStringAppendElement ( &dString, " If this flag is on (the default) and HasModeShapes is also on, then this\n reader will report a continuous time range \\[0,1\\] and animate the\n displacements in a periodic sinusoid.  If this flag is off and\n HasModeShapes is on, this reader ignores time.  This flag has no effect if\n HasModeShapes is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AnimateModeShapesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for AnimateModeShapesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensionality */
    if ( strcmp ( argv[2], "GetDimensionality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensionality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensionality */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDimensionality();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetDimensionality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTimeSteps */
    if ( strcmp ( argv[2], "GetNumberOfTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTimeSteps */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTimeSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNodesInFile */
    if ( strcmp ( argv[2], "GetNumberOfNodesInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodesInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNodesInFile */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNodesInFile();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfNodesInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdgesInFile */
    if ( strcmp ( argv[2], "GetNumberOfEdgesInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgesInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdgesInFile */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdgesInFile();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfEdgesInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFacesInFile */
    if ( strcmp ( argv[2], "GetNumberOfFacesInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFacesInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFacesInFile */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFacesInFile();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfFacesInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfElementsInFile */
    if ( strcmp ( argv[2], "GetNumberOfElementsInFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementsInFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElementsInFile */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfElementsInFile();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfElementsInFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectTypeFromName */
    if ( strcmp ( argv[2], "GetObjectTypeFromName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectTypeFromName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectTypeFromName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectTypeFromName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectTypeFromName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectTypeName */
    if ( strcmp ( argv[2], "GetObjectTypeName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectTypeName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectTypeName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetObjectTypeName(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectTypeName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNodes */
    if ( strcmp ( argv[2], "GetNumberOfNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNodes */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNodes();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfObjects */
    if ( strcmp ( argv[2], "GetNumberOfObjects" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfObjects" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfObjects */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfObjects(int objectType);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfObjects */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEntriesInObject */
    if ( strcmp ( argv[2], "GetNumberOfEntriesInObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEntriesInObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEntriesInObject */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEntriesInObject(int objectType, int objectIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfEntriesInObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectId */
    if ( strcmp ( argv[2], "GetObjectId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectId */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectId(int objectType, int objectIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectName */
    if ( strcmp ( argv[2], "GetObjectName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetObjectName(int objectType, int objectIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectIndex */
    if ( strcmp ( argv[2], "GetObjectIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectIndex */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectIndex(int objectType, const char *objectName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectIndex */
    if ( strcmp ( argv[2], "GetObjectIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectIndex */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectIndex(int objectType, int id);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectStatus */
    if ( strcmp ( argv[2], "GetObjectStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectStatus(int objectType, int objectIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectStatus */
    if ( strcmp ( argv[2], "GetObjectStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectStatus(int objectType, const char *objectName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetObjectStatus */
    if ( strcmp ( argv[2], "SetObjectStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetObjectStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetObjectStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetObjectStatus(int objectType, int objectIndex, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetObjectStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetObjectStatus */
    if ( strcmp ( argv[2], "SetObjectStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetObjectStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetObjectStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetObjectStatus(int objectType, const char *objectName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetObjectStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfObjectArrays */
    if ( strcmp ( argv[2], "GetNumberOfObjectArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfObjectArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfObjectArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfObjectArrays(int objectType);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfObjectArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectArrayName */
    if ( strcmp ( argv[2], "GetObjectArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetObjectArrayName(int objectType, int arrayIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectArrayIndex */
    if ( strcmp ( argv[2], "GetObjectArrayIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectArrayIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectArrayIndex */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectArrayIndex(int objectType, const char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectArrayIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfObjectArrayComponents */
    if ( strcmp ( argv[2], "GetNumberOfObjectArrayComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfObjectArrayComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfObjectArrayComponents */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfObjectArrayComponents(int objectType, int arrayIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfObjectArrayComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectArrayStatus */
    if ( strcmp ( argv[2], "GetObjectArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectArrayStatus(int objectType, int arrayIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectArrayStatus */
    if ( strcmp ( argv[2], "GetObjectArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectArrayStatus(int objectType, const char *arrayName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetObjectArrayStatus */
    if ( strcmp ( argv[2], "SetObjectArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetObjectArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetObjectArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetObjectArrayStatus(int objectType, int arrayIndex, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetObjectArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetObjectArrayStatus */
    if ( strcmp ( argv[2], "SetObjectArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetObjectArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetObjectArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetObjectArrayStatus(int objectType, const char *arrayName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetObjectArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfObjectAttributes */
    if ( strcmp ( argv[2], "GetNumberOfObjectAttributes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfObjectAttributes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfObjectAttributes */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfObjectAttributes(int objectType, int objectIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfObjectAttributes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectAttributeName */
    if ( strcmp ( argv[2], "GetObjectAttributeName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectAttributeName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectAttributeName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetObjectAttributeName(int objectType, int objectIndex, int attribIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectAttributeName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectAttributeIndex */
    if ( strcmp ( argv[2], "GetObjectAttributeIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectAttributeIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectAttributeIndex */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectAttributeIndex(int objectType, int objectIndex, const char *attribName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectAttributeIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectAttributeStatus */
    if ( strcmp ( argv[2], "GetObjectAttributeStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectAttributeStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectAttributeStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectAttributeStatus(int objectType, int objectIndex, int attribIndex);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectAttributeStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetObjectAttributeStatus */
    if ( strcmp ( argv[2], "GetObjectAttributeStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetObjectAttributeStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetObjectAttributeStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetObjectAttributeStatus(int objectType, int objectIndex, const char *attribName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetObjectAttributeStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetObjectAttributeStatus */
    if ( strcmp ( argv[2], "SetObjectAttributeStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetObjectAttributeStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetObjectAttributeStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetObjectAttributeStatus(int objectType, int objectIndex, int attribIndex, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetObjectAttributeStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetObjectAttributeStatus */
    if ( strcmp ( argv[2], "SetObjectAttributeStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetObjectAttributeStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetObjectAttributeStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetObjectAttributeStatus(int objectType, int objectIndex, const char *attribName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetObjectAttributeStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfNodes */
    if ( strcmp ( argv[2], "GetTotalNumberOfNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfNodes */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetTotalNumberOfNodes();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetTotalNumberOfNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfEdges */
    if ( strcmp ( argv[2], "GetTotalNumberOfEdges" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfEdges" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfEdges */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetTotalNumberOfEdges();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetTotalNumberOfEdges */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfFaces */
    if ( strcmp ( argv[2], "GetTotalNumberOfFaces" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfFaces" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfFaces */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetTotalNumberOfFaces();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetTotalNumberOfFaces */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfElements */
    if ( strcmp ( argv[2], "GetTotalNumberOfElements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfElements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfElements */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkIdType GetTotalNumberOfElements();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetTotalNumberOfElements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPartArrays */
    if ( strcmp ( argv[2], "GetNumberOfPartArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPartArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPartArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPartArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfPartArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayName */
    if ( strcmp ( argv[2], "GetPartArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPartArrayName(int arrayIdx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPartArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayID */
    if ( strcmp ( argv[2], "GetPartArrayID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPartArrayID(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPartArrayID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartBlockInfo */
    if ( strcmp ( argv[2], "GetPartBlockInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartBlockInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartBlockInfo */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPartBlockInfo(int arrayIdx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPartBlockInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPartArrayStatus */
    if ( strcmp ( argv[2], "SetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPartArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPartArrayStatus */
    if ( strcmp ( argv[2], "SetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPartArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayStatus */
    if ( strcmp ( argv[2], "GetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPartArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayStatus */
    if ( strcmp ( argv[2], "GetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPartArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfMaterialArrays */
    if ( strcmp ( argv[2], "GetNumberOfMaterialArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMaterialArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfMaterialArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfMaterialArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfMaterialArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterialArrayName */
    if ( strcmp ( argv[2], "GetMaterialArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetMaterialArrayName(int arrayIdx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetMaterialArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterialArrayID */
    if ( strcmp ( argv[2], "GetMaterialArrayID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialArrayID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMaterialArrayID(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetMaterialArrayID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialArrayStatus */
    if ( strcmp ( argv[2], "SetMaterialArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaterialArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetMaterialArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialArrayStatus */
    if ( strcmp ( argv[2], "SetMaterialArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaterialArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetMaterialArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterialArrayStatus */
    if ( strcmp ( argv[2], "GetMaterialArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMaterialArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetMaterialArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterialArrayStatus */
    if ( strcmp ( argv[2], "GetMaterialArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMaterialArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetMaterialArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAssemblyArrays */
    if ( strcmp ( argv[2], "GetNumberOfAssemblyArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAssemblyArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAssemblyArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfAssemblyArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfAssemblyArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssemblyArrayName */
    if ( strcmp ( argv[2], "GetAssemblyArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssemblyArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAssemblyArrayName(int arrayIdx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetAssemblyArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssemblyArrayID */
    if ( strcmp ( argv[2], "GetAssemblyArrayID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssemblyArrayID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAssemblyArrayID(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetAssemblyArrayID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAssemblyArrayStatus */
    if ( strcmp ( argv[2], "SetAssemblyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAssemblyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAssemblyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAssemblyArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetAssemblyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAssemblyArrayStatus */
    if ( strcmp ( argv[2], "SetAssemblyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAssemblyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAssemblyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAssemblyArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetAssemblyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssemblyArrayStatus */
    if ( strcmp ( argv[2], "GetAssemblyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssemblyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAssemblyArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetAssemblyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssemblyArrayStatus */
    if ( strcmp ( argv[2], "GetAssemblyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssemblyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAssemblyArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetAssemblyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfHierarchyArrays */
    if ( strcmp ( argv[2], "GetNumberOfHierarchyArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHierarchyArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfHierarchyArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfHierarchyArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfHierarchyArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchyArrayName */
    if ( strcmp ( argv[2], "GetHierarchyArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchyArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetHierarchyArrayName(int arrayIdx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetHierarchyArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHierarchyArrayStatus */
    if ( strcmp ( argv[2], "SetHierarchyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHierarchyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHierarchyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHierarchyArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetHierarchyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHierarchyArrayStatus */
    if ( strcmp ( argv[2], "SetHierarchyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHierarchyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHierarchyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHierarchyArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetHierarchyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchyArrayStatus */
    if ( strcmp ( argv[2], "GetHierarchyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetHierarchyArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetHierarchyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchyArrayStatus */
    if ( strcmp ( argv[2], "GetHierarchyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetHierarchyArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetHierarchyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplayType */
    if ( strcmp ( argv[2], "GetDisplayType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetDisplayType();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetDisplayType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayType */
    if ( strcmp ( argv[2], "SetDisplayType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDisplayType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetDisplayType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExodusModelMetadataOn */
    if ( strcmp ( argv[2], "ExodusModelMetadataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExodusModelMetadataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExodusModelMetadataOn */
    Tcl_DStringAppendElement ( &dString, "   There is a great deal of model information lost when an Exodus II\n   file is read in to a vtkMultiBlockDataSet.  Turn this option ON \n   if you want this metadata to be read in to a vtkExodusModel object.\n   The default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExodusModelMetadataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for ExodusModelMetadataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExodusModelMetadataOff */
    if ( strcmp ( argv[2], "ExodusModelMetadataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExodusModelMetadataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExodusModelMetadataOff */
    Tcl_DStringAppendElement ( &dString, "   There is a great deal of model information lost when an Exodus II\n   file is read in to a vtkMultiBlockDataSet.  Turn this option ON \n   if you want this metadata to be read in to a vtkExodusModel object.\n   The default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExodusModelMetadataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for ExodusModelMetadataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExodusModelMetadata */
    if ( strcmp ( argv[2], "SetExodusModelMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExodusModelMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExodusModelMetadata */
    Tcl_DStringAppendElement ( &dString, "   There is a great deal of model information lost when an Exodus II\n   file is read in to a vtkMultiBlockDataSet.  Turn this option ON \n   if you want this metadata to be read in to a vtkExodusModel object.\n   The default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExodusModelMetadata(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetExodusModelMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExodusModelMetadata */
    if ( strcmp ( argv[2], "GetExodusModelMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExodusModelMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExodusModelMetadata */
    Tcl_DStringAppendElement ( &dString, "   There is a great deal of model information lost when an Exodus II\n   file is read in to a vtkMultiBlockDataSet.  Turn this option ON \n   if you want this metadata to be read in to a vtkExodusModel object.\n   The default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExodusModelMetadata();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetExodusModelMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExodusModel */
    if ( strcmp ( argv[2], "GetExodusModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExodusModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExodusModel */
    Tcl_DStringAppendElement ( &dString, "   Returns the object which encapsulates the model metadata.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel *GetExodusModel();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetExodusModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPackExodusModelOntoOutput */
    if ( strcmp ( argv[2], "SetPackExodusModelOntoOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPackExodusModelOntoOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPackExodusModelOntoOutput */
    Tcl_DStringAppendElement ( &dString, "  By default, the ExodusModel metadata (if requested with\n  ExodusModelMetadataOn()) is also encoded into field arrays \n  and attached to the output unstructured grid.  Set this OFF\n  if you don't want this to happen.  (The vtkExodusIIWriter and\n  the vtkEnSightWriter can unpack this metadata from the field\n  arrays and use it when writing out Exodus or EnSight files.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPackExodusModelOntoOutput(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetPackExodusModelOntoOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPackExodusModelOntoOutput */
    if ( strcmp ( argv[2], "GetPackExodusModelOntoOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPackExodusModelOntoOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPackExodusModelOntoOutput */
    Tcl_DStringAppendElement ( &dString, "  By default, the ExodusModel metadata (if requested with\n  ExodusModelMetadataOn()) is also encoded into field arrays \n  and attached to the output unstructured grid.  Set this OFF\n  if you don't want this to happen.  (The vtkExodusIIWriter and\n  the vtkEnSightWriter can unpack this metadata from the field\n  arrays and use it when writing out Exodus or EnSight files.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPackExodusModelOntoOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPackExodusModelOntoOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PackExodusModelOntoOutputOn */
    if ( strcmp ( argv[2], "PackExodusModelOntoOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PackExodusModelOntoOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PackExodusModelOntoOutputOn */
    Tcl_DStringAppendElement ( &dString, "  By default, the ExodusModel metadata (if requested with\n  ExodusModelMetadataOn()) is also encoded into field arrays \n  and attached to the output unstructured grid.  Set this OFF\n  if you don't want this to happen.  (The vtkExodusIIWriter and\n  the vtkEnSightWriter can unpack this metadata from the field\n  arrays and use it when writing out Exodus or EnSight files.)\n" );
    Tcl_DStringAppendElement ( &dString, "void PackExodusModelOntoOutputOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for PackExodusModelOntoOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PackExodusModelOntoOutputOff */
    if ( strcmp ( argv[2], "PackExodusModelOntoOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PackExodusModelOntoOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PackExodusModelOntoOutputOff */
    Tcl_DStringAppendElement ( &dString, "  By default, the ExodusModel metadata (if requested with\n  ExodusModelMetadataOn()) is also encoded into field arrays \n  and attached to the output unstructured grid.  Set this OFF\n  if you don't want this to happen.  (The vtkExodusIIWriter and\n  the vtkEnSightWriter can unpack this metadata from the field\n  arrays and use it when writing out Exodus or EnSight files.)\n" );
    Tcl_DStringAppendElement ( &dString, "void PackExodusModelOntoOutputOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for PackExodusModelOntoOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsValidVariable */
    if ( strcmp ( argv[2], "IsValidVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsValidVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsValidVariable */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsValidVariable(const char *type, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for IsValidVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableID */
    if ( strcmp ( argv[2], "GetVariableID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetVariableID(const char *type, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetVariableID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllArrayStatus */
    if ( strcmp ( argv[2], "SetAllArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAllArrayStatus(int otype, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetAllArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeSeriesData */
    if ( strcmp ( argv[2], "GetTimeSeriesData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeSeriesData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeSeriesData */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetTimeSeriesData(int ID, const char *vName, const char *vType, vtkFloatArray *result);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetTimeSeriesData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdgeBlockArrays */
    if ( strcmp ( argv[2], "GetNumberOfEdgeBlockArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeBlockArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdgeBlockArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdgeBlockArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfEdgeBlockArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeBlockArrayName */
    if ( strcmp ( argv[2], "GetEdgeBlockArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeBlockArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeBlockArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeBlockArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetEdgeBlockArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeBlockArrayStatus */
    if ( strcmp ( argv[2], "GetEdgeBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetEdgeBlockArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetEdgeBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeBlockArrayStatus */
    if ( strcmp ( argv[2], "SetEdgeBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeBlockArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetEdgeBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFaceBlockArrays */
    if ( strcmp ( argv[2], "GetNumberOfFaceBlockArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaceBlockArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFaceBlockArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFaceBlockArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfFaceBlockArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceBlockArrayName */
    if ( strcmp ( argv[2], "GetFaceBlockArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceBlockArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceBlockArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetFaceBlockArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFaceBlockArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceBlockArrayStatus */
    if ( strcmp ( argv[2], "GetFaceBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetFaceBlockArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFaceBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFaceBlockArrayStatus */
    if ( strcmp ( argv[2], "SetFaceBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFaceBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFaceBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFaceBlockArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetFaceBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfElementBlockArrays */
    if ( strcmp ( argv[2], "GetNumberOfElementBlockArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementBlockArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElementBlockArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfElementBlockArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfElementBlockArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementBlockArrayName */
    if ( strcmp ( argv[2], "GetElementBlockArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementBlockArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementBlockArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetElementBlockArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetElementBlockArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementBlockArrayStatus */
    if ( strcmp ( argv[2], "GetElementBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetElementBlockArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetElementBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetElementBlockArrayStatus */
    if ( strcmp ( argv[2], "SetElementBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetElementBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetElementBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetElementBlockArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetElementBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfGlobalResultArrays */
    if ( strcmp ( argv[2], "GetNumberOfGlobalResultArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfGlobalResultArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfGlobalResultArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfGlobalResultArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfGlobalResultArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalResultArrayName */
    if ( strcmp ( argv[2], "GetGlobalResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalResultArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetGlobalResultArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalResultArrayStatus */
    if ( strcmp ( argv[2], "GetGlobalResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetGlobalResultArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetGlobalResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlobalResultArrayStatus */
    if ( strcmp ( argv[2], "SetGlobalResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlobalResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlobalResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetGlobalResultArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetGlobalResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPointResultArrays */
    if ( strcmp ( argv[2], "GetNumberOfPointResultArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointResultArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointResultArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointResultArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfPointResultArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointResultArrayName */
    if ( strcmp ( argv[2], "GetPointResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointResultArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPointResultArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPointResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointResultArrayStatus */
    if ( strcmp ( argv[2], "GetPointResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPointResultArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetPointResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointResultArrayStatus */
    if ( strcmp ( argv[2], "SetPointResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPointResultArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetPointResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdgeResultArrays */
    if ( strcmp ( argv[2], "GetNumberOfEdgeResultArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeResultArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdgeResultArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdgeResultArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfEdgeResultArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeResultArrayName */
    if ( strcmp ( argv[2], "GetEdgeResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeResultArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeResultArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetEdgeResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeResultArrayStatus */
    if ( strcmp ( argv[2], "GetEdgeResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetEdgeResultArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetEdgeResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeResultArrayStatus */
    if ( strcmp ( argv[2], "SetEdgeResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeResultArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetEdgeResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFaceResultArrays */
    if ( strcmp ( argv[2], "GetNumberOfFaceResultArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaceResultArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFaceResultArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFaceResultArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfFaceResultArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceResultArrayName */
    if ( strcmp ( argv[2], "GetFaceResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceResultArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetFaceResultArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFaceResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceResultArrayStatus */
    if ( strcmp ( argv[2], "GetFaceResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetFaceResultArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFaceResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFaceResultArrayStatus */
    if ( strcmp ( argv[2], "SetFaceResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFaceResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFaceResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFaceResultArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetFaceResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfElementResultArrays */
    if ( strcmp ( argv[2], "GetNumberOfElementResultArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementResultArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElementResultArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfElementResultArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfElementResultArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementResultArrayName */
    if ( strcmp ( argv[2], "GetElementResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementResultArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetElementResultArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetElementResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementResultArrayStatus */
    if ( strcmp ( argv[2], "GetElementResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetElementResultArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetElementResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetElementResultArrayStatus */
    if ( strcmp ( argv[2], "SetElementResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetElementResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetElementResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetElementResultArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetElementResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNodeMapArrays */
    if ( strcmp ( argv[2], "GetNumberOfNodeMapArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodeMapArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNodeMapArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNodeMapArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfNodeMapArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeMapArrayName */
    if ( strcmp ( argv[2], "GetNodeMapArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeMapArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeMapArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetNodeMapArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNodeMapArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeMapArrayStatus */
    if ( strcmp ( argv[2], "GetNodeMapArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeMapArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeMapArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNodeMapArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNodeMapArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNodeMapArrayStatus */
    if ( strcmp ( argv[2], "SetNodeMapArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNodeMapArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNodeMapArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNodeMapArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetNodeMapArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdgeMapArrays */
    if ( strcmp ( argv[2], "GetNumberOfEdgeMapArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeMapArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdgeMapArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdgeMapArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfEdgeMapArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeMapArrayName */
    if ( strcmp ( argv[2], "GetEdgeMapArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeMapArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeMapArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeMapArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetEdgeMapArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeMapArrayStatus */
    if ( strcmp ( argv[2], "GetEdgeMapArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeMapArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeMapArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetEdgeMapArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetEdgeMapArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeMapArrayStatus */
    if ( strcmp ( argv[2], "SetEdgeMapArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeMapArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeMapArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeMapArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetEdgeMapArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFaceMapArrays */
    if ( strcmp ( argv[2], "GetNumberOfFaceMapArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaceMapArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFaceMapArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFaceMapArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfFaceMapArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceMapArrayName */
    if ( strcmp ( argv[2], "GetFaceMapArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceMapArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceMapArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetFaceMapArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFaceMapArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceMapArrayStatus */
    if ( strcmp ( argv[2], "GetFaceMapArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceMapArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceMapArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetFaceMapArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFaceMapArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFaceMapArrayStatus */
    if ( strcmp ( argv[2], "SetFaceMapArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFaceMapArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFaceMapArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFaceMapArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetFaceMapArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfElementMapArrays */
    if ( strcmp ( argv[2], "GetNumberOfElementMapArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementMapArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElementMapArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfElementMapArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfElementMapArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementMapArrayName */
    if ( strcmp ( argv[2], "GetElementMapArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementMapArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementMapArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetElementMapArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetElementMapArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementMapArrayStatus */
    if ( strcmp ( argv[2], "GetElementMapArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementMapArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementMapArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetElementMapArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetElementMapArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetElementMapArrayStatus */
    if ( strcmp ( argv[2], "SetElementMapArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetElementMapArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetElementMapArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetElementMapArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetElementMapArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNodeSetArrays */
    if ( strcmp ( argv[2], "GetNumberOfNodeSetArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodeSetArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNodeSetArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNodeSetArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfNodeSetArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeSetArrayName */
    if ( strcmp ( argv[2], "GetNodeSetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeSetArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetNodeSetArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNodeSetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeSetArrayStatus */
    if ( strcmp ( argv[2], "GetNodeSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNodeSetArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNodeSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNodeSetArrayStatus */
    if ( strcmp ( argv[2], "SetNodeSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNodeSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNodeSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNodeSetArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetNodeSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSideSetArrays */
    if ( strcmp ( argv[2], "GetNumberOfSideSetArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSideSetArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSideSetArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSideSetArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfSideSetArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSideSetArrayName */
    if ( strcmp ( argv[2], "GetSideSetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSideSetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSideSetArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetSideSetArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetSideSetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSideSetArrayStatus */
    if ( strcmp ( argv[2], "GetSideSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSideSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSideSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetSideSetArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetSideSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSideSetArrayStatus */
    if ( strcmp ( argv[2], "SetSideSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSideSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSideSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSideSetArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetSideSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdgeSetArrays */
    if ( strcmp ( argv[2], "GetNumberOfEdgeSetArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeSetArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdgeSetArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdgeSetArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfEdgeSetArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeSetArrayName */
    if ( strcmp ( argv[2], "GetEdgeSetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeSetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeSetArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeSetArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetEdgeSetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeSetArrayStatus */
    if ( strcmp ( argv[2], "GetEdgeSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetEdgeSetArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetEdgeSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeSetArrayStatus */
    if ( strcmp ( argv[2], "SetEdgeSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeSetArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetEdgeSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFaceSetArrays */
    if ( strcmp ( argv[2], "GetNumberOfFaceSetArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaceSetArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFaceSetArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFaceSetArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfFaceSetArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceSetArrayName */
    if ( strcmp ( argv[2], "GetFaceSetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceSetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceSetArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetFaceSetArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFaceSetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceSetArrayStatus */
    if ( strcmp ( argv[2], "GetFaceSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetFaceSetArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFaceSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFaceSetArrayStatus */
    if ( strcmp ( argv[2], "SetFaceSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFaceSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFaceSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFaceSetArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetFaceSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfElementSetArrays */
    if ( strcmp ( argv[2], "GetNumberOfElementSetArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementSetArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElementSetArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfElementSetArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfElementSetArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementSetArrayName */
    if ( strcmp ( argv[2], "GetElementSetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementSetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementSetArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetElementSetArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetElementSetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementSetArrayStatus */
    if ( strcmp ( argv[2], "GetElementSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetElementSetArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetElementSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetElementSetArrayStatus */
    if ( strcmp ( argv[2], "SetElementSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetElementSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetElementSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetElementSetArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetElementSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNodeSetResultArrays */
    if ( strcmp ( argv[2], "GetNumberOfNodeSetResultArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodeSetResultArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNodeSetResultArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNodeSetResultArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfNodeSetResultArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeSetResultArrayName */
    if ( strcmp ( argv[2], "GetNodeSetResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeSetResultArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetNodeSetResultArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNodeSetResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeSetResultArrayStatus */
    if ( strcmp ( argv[2], "GetNodeSetResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeSetResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNodeSetResultArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNodeSetResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNodeSetResultArrayStatus */
    if ( strcmp ( argv[2], "SetNodeSetResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNodeSetResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNodeSetResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetNodeSetResultArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetNodeSetResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSideSetResultArrays */
    if ( strcmp ( argv[2], "GetNumberOfSideSetResultArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSideSetResultArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSideSetResultArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSideSetResultArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfSideSetResultArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSideSetResultArrayName */
    if ( strcmp ( argv[2], "GetSideSetResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSideSetResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSideSetResultArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetSideSetResultArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetSideSetResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSideSetResultArrayStatus */
    if ( strcmp ( argv[2], "GetSideSetResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSideSetResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSideSetResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetSideSetResultArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetSideSetResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSideSetResultArrayStatus */
    if ( strcmp ( argv[2], "SetSideSetResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSideSetResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSideSetResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSideSetResultArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetSideSetResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfEdgeSetResultArrays */
    if ( strcmp ( argv[2], "GetNumberOfEdgeSetResultArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfEdgeSetResultArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfEdgeSetResultArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfEdgeSetResultArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfEdgeSetResultArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeSetResultArrayName */
    if ( strcmp ( argv[2], "GetEdgeSetResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeSetResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeSetResultArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetEdgeSetResultArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetEdgeSetResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeSetResultArrayStatus */
    if ( strcmp ( argv[2], "GetEdgeSetResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeSetResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeSetResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetEdgeSetResultArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetEdgeSetResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeSetResultArrayStatus */
    if ( strcmp ( argv[2], "SetEdgeSetResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeSetResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeSetResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeSetResultArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetEdgeSetResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfFaceSetResultArrays */
    if ( strcmp ( argv[2], "GetNumberOfFaceSetResultArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfFaceSetResultArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfFaceSetResultArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfFaceSetResultArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfFaceSetResultArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceSetResultArrayName */
    if ( strcmp ( argv[2], "GetFaceSetResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceSetResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceSetResultArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetFaceSetResultArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFaceSetResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFaceSetResultArrayStatus */
    if ( strcmp ( argv[2], "GetFaceSetResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFaceSetResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFaceSetResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetFaceSetResultArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetFaceSetResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFaceSetResultArrayStatus */
    if ( strcmp ( argv[2], "SetFaceSetResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFaceSetResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFaceSetResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetFaceSetResultArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetFaceSetResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfElementSetResultArrays */
    if ( strcmp ( argv[2], "GetNumberOfElementSetResultArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementSetResultArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElementSetResultArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfElementSetResultArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetNumberOfElementSetResultArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementSetResultArrayName */
    if ( strcmp ( argv[2], "GetElementSetResultArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementSetResultArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementSetResultArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetElementSetResultArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetElementSetResultArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetElementSetResultArrayStatus */
    if ( strcmp ( argv[2], "GetElementSetResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetElementSetResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetElementSetResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetElementSetResultArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetElementSetResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetElementSetResultArrayStatus */
    if ( strcmp ( argv[2], "SetElementSetResultArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetElementSetResultArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetElementSetResultArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetElementSetResultArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetElementSetResultArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFastPathObjectType */
    if ( strcmp ( argv[2], "SetFastPathObjectType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFastPathObjectType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFastPathObjectType */
    Tcl_DStringAppendElement ( &dString, " Set the fast-path keys. All three must be set for the fast-path\n option to work.\n Possible argument values: \"POINT\",\"CELL\",\"EDGE\",\"FACE\"\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFastPathObjectType(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetFastPathObjectType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFastPathIdType */
    if ( strcmp ( argv[2], "SetFastPathIdType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFastPathIdType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFastPathIdType */
    Tcl_DStringAppendElement ( &dString, " Possible argument values: \"INDEX\",\"GLOBAL\"\n \"GLOBAL\" means the id refers to a global id\n \"INDEX\" means the id refers to an index into the VTK array\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFastPathIdType(const char *type);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetFastPathIdType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFastPathObjectId */
    if ( strcmp ( argv[2], "SetFastPathObjectId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFastPathObjectId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFastPathObjectId */
    Tcl_DStringAppendElement ( &dString, " Possible argument values: \"INDEX\",\"GLOBAL\"\n \"GLOBAL\" means the id refers to a global id\n \"INDEX\" means the id refers to an index into the VTK array\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFastPathObjectId(vtkIdType id);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetFastPathObjectId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Reset */
    if ( strcmp ( argv[2], "Reset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Reset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Reset */
    Tcl_DStringAppendElement ( &dString, " Reset the user-specified parameters and flush internal arrays\n so that the reader state is just as it was after the reader was\n instantiated.\n\n It doesn't make sense to let users reset only the internal state;\n both the settings and the state are changed by this call.\n" );
    Tcl_DStringAppendElement ( &dString, "void Reset();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for Reset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetSettings */
    if ( strcmp ( argv[2], "ResetSettings" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetSettings" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetSettings */
    Tcl_DStringAppendElement ( &dString, " Reset the user-specified parameters to their default values.\n The only settings not affected are the filename and/or pattern\n because these have no default.\n\n Resetting the settings but not the state allows users to\n keep the active cache but return to initial array selections, etc.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetSettings();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for ResetSettings */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ResetCache */
    if ( strcmp ( argv[2], "ResetCache" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ResetCache" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ResetCache */
    Tcl_DStringAppendElement ( &dString, " Clears out the cache entries.\n" );
    Tcl_DStringAppendElement ( &dString, "void ResetCache();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for ResetCache */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCacheSize */
    if ( strcmp ( argv[2], "SetCacheSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCacheSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCacheSize */
    Tcl_DStringAppendElement ( &dString, " Set the size of the cache in MiB.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCacheSize(double CacheSize);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for SetCacheSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCacheSize */
    if ( strcmp ( argv[2], "GetCacheSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCacheSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCacheSize */
    Tcl_DStringAppendElement ( &dString, " Get the size of the cache in MiB.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCacheSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetCacheSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateTimeInformation */
    if ( strcmp ( argv[2], "UpdateTimeInformation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateTimeInformation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateTimeInformation */
    Tcl_DStringAppendElement ( &dString, " Re-reads time information from the exodus file and updates\n TimeStepRange accordingly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateTimeInformation();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for UpdateTimeInformation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Dump */
    if ( strcmp ( argv[2], "Dump" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Dump" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Dump */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void Dump();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for Dump */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSIL */
    if ( strcmp ( argv[2], "GetSIL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSIL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSIL */
    Tcl_DStringAppendElement ( &dString, " SIL describes organization of/relationships between classifications \n eg. blocks/materials/hierarchies.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGraph *GetSIL();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetSIL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSILUpdateStamp */
    if ( strcmp ( argv[2], "GetSILUpdateStamp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSILUpdateStamp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSILUpdateStamp */
    Tcl_DStringAppendElement ( &dString, " Every time the SIL is updated a this will return a different value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSILUpdateStamp();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetSILUpdateStamp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProducedFastPathOutput */
    if ( strcmp ( argv[2], "GetProducedFastPathOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProducedFastPathOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProducedFastPathOutput */
    Tcl_DStringAppendElement ( &dString, " HACK: Used by vtkPExodusIIReader to tell is the reader produced a valid\n fast path output.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetProducedFastPathOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusIIReader" );
    /* Closing for GetProducedFastPathOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
