// tcl wrapper for vtkExodusReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkExodusReader.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkExodusReaderNewCommand()
{
  vtkExodusReader *temp = vtkExodusReader::New();
  return static_cast<ClientData>(temp);
}

int vtkUnstructuredGridAlgorithmCppCommand(vtkUnstructuredGridAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkExodusReaderCppCommand(vtkExodusReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkExodusReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkExodusReaderCppCommand(static_cast<vtkExodusReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkExodusReaderCppCommand(vtkExodusReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkExodusReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkUnstructuredGridAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkExodusReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusReader");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkExodusReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkExodusReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
#if !defined(VTK_LEGACY_REMOVE)
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
#endif
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXMLFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXMLFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXMLFileName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXMLFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStep",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStep",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTimeStep();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateBlockIdCellArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateBlockIdCellArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateBlockIdCellArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateBlockIdCellArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateBlockIdCellArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateBlockIdCellArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateBlockIdCellArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateBlockIdCellArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetBlockIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetBlockIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetGenerateGlobalElementIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateGlobalElementIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateGlobalElementIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateGlobalElementIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalElementIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalElementIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalElementIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalElementIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalElementIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGlobalElementIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPedigreeElementIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPedigreeElementIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalElementID",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalElementID(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalElementID",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalElementID(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGenerateGlobalNodeIdArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGenerateGlobalNodeIdArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGenerateGlobalNodeIdArray",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGenerateGlobalNodeIdArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalNodeIdArrayOn",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalNodeIdArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GenerateGlobalNodeIdArrayOff",argv[1]))&&(argc == 2))
    {
    op->GenerateGlobalNodeIdArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalNodeIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetGlobalNodeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPedigreeNodeIdArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetPedigreeNodeIdArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetGlobalNodeID",argv[1]))&&(argc == 4))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalNodeID(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlobalNodeID",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGlobalNodeID(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetApplyDisplacements",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetApplyDisplacements(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetApplyDisplacements",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetApplyDisplacements();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ApplyDisplacementsOn",argv[1]))&&(argc == 2))
    {
    op->ApplyDisplacementsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ApplyDisplacementsOff",argv[1]))&&(argc == 2))
    {
    op->ApplyDisplacementsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplacementMagnitude",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDisplacementMagnitude(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplacementMagnitude",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetDisplacementMagnitude();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDimensionality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimensionality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTimeSteps",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfTimeSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfElements",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfElements();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfNodeSets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNodeSets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSideSets",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSideSets();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfBlocks",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfBlocks();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimeStepRange",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetTimeStepRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStepRange",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetTimeStepRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeStepRange",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetTimeStepRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfNodes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfElementsInBlock",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfElementsInBlock(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlockId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBlockId(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTotalNumberOfNodes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTotalNumberOfNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPointArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPointArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointArrayID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPointArrayID(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointArrayNumberOfComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointArrayNumberOfComponents(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPointArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPointArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPointArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfCellArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfCellArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCellArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellArrayID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetCellArrayID(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellArrayNumberOfComponents",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellArrayNumberOfComponents(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCellArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCellArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetCellArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTotalNumberOfElements",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTotalNumberOfElements();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfBlockArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfBlockArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBlockArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBlockArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlockArrayID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetBlockArrayID(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBlockArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetBlockArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBlockArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetBlockArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlockArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBlockArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlockArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetBlockArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfNodeSetArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfNodeSetArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNodeSetArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNodeSetArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNodeSetArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNodeSetArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNodeSetArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetNodeSetArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNodeSetArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetNodeSetArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNodeSetArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNodeSetArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSideSetArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSideSetArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSideSetArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSideSetArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSideSetArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetSideSetArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSideSetArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSideSetArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSideSetArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSideSetArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSideSetArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSideSetArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPartArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPartArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPartArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPartArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartArrayID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPartArrayID(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartBlockInfo",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPartBlockInfo(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPartArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPartArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPartArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPartArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPartArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPartArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfMaterialArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfMaterialArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMaterialArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetMaterialArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaterialArrayID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetMaterialArrayID(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaterialArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetMaterialArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetMaterialArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetMaterialArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaterialArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetMaterialArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaterialArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetMaterialArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfAssemblyArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfAssemblyArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAssemblyArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAssemblyArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssemblyArrayID",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetAssemblyArrayID(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAssemblyArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAssemblyArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAssemblyArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAssemblyArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssemblyArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetAssemblyArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAssemblyArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetAssemblyArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfHierarchyArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfHierarchyArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHierarchyArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetHierarchyArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHierarchyArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetHierarchyArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHierarchyArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetHierarchyArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHierarchyArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetHierarchyArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHierarchyArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetHierarchyArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHasModeShapes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHasModeShapes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHasModeShapes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHasModeShapes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasModeShapesOn",argv[1]))&&(argc == 2))
    {
    op->HasModeShapesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasModeShapesOff",argv[1]))&&(argc == 2))
    {
    op->HasModeShapesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDisplayType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplayType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ExodusModelMetadataOn",argv[1]))&&(argc == 2))
    {
    op->ExodusModelMetadataOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExodusModelMetadataOff",argv[1]))&&(argc == 2))
    {
    op->ExodusModelMetadataOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetExodusModelMetadata",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExodusModelMetadata(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExodusModelMetadata",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExodusModelMetadata();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetExodusModel",argv[1]))&&(argc == 2))
    {
    vtkExodusModel  *temp20;
    temp20 = (op)->GetExodusModel();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkExodusModel");
    return TCL_OK;
    }
  if ((!strcmp("SetPackExodusModelOntoOutput",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPackExodusModelOntoOutput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPackExodusModelOntoOutput",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPackExodusModelOntoOutput();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PackExodusModelOntoOutputOn",argv[1]))&&(argc == 2))
    {
    op->PackExodusModelOntoOutputOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PackExodusModelOntoOutputOff",argv[1]))&&(argc == 2))
    {
    op->PackExodusModelOntoOutputOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsValidVariable",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->IsValidVariable(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVariableID",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetVariableID(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllAssemblyArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllAssemblyArrayStatus(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllBlockArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllBlockArrayStatus(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllCellArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllCellArrayStatus(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllHierarchyArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllHierarchyArrayStatus(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllMaterialArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllMaterialArrayStatus(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllPartArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllPartArrayStatus(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAllPointArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAllPointArrayStatus(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetArrayStatus",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetArrayStatus(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetArrayStatus(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("StringsEqual",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->StringsEqual(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("StringUppercase",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->StringUppercase(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StrDupWithNew",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->StrDupWithNew(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeSeriesData",argv[1]))&&(argc == 6))
    {
    int      temp0;
    char    *temp1;
    char    *temp2;
    vtkFloatArray  *temp3;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    temp2 = argv[4];
    temp3 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[5],const_cast<char *>("vtkFloatArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetTimeSeriesData(temp0,temp1,temp2,temp3);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfVariableArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfVariableArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetVariableArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetVariableArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("EnableDSPFiltering",argv[1]))&&(argc == 2))
    {
    op->EnableDSPFiltering();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddFilter",argv[1]))&&(argc == 3))
    {
    vtkDSPFilterDefinition  *temp0;
    error = 0;

    temp0 = (vtkDSPFilterDefinition *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDSPFilterDefinition"),interp,error));
    if (!error)
    {
    op->AddFilter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StartAddingFilter",argv[1]))&&(argc == 2))
    {
    op->StartAddingFilter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddFilterInputVar",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddFilterInputVar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddFilterOutputVar",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->AddFilterOutputVar(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddFilterNumeratorWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->AddFilterNumeratorWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddFilterForwardNumeratorWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->AddFilterForwardNumeratorWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddFilterDenominatorWeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->AddFilterDenominatorWeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("FinishAddingFilter",argv[1]))&&(argc == 2))
    {
    op->FinishAddingFilter();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveFilter",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->RemoveFilter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDSPOutputArrays",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkUnstructuredGrid  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkUnstructuredGrid *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkUnstructuredGrid"),interp,error));
    if (!error)
    {
    op->GetDSPOutputArrays(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkExodusReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkExodusReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",NULL);
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
#endif
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetXMLFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXMLFileName\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStep\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateBlockIdCellArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateBlockIdCellArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateBlockIdCellArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateBlockIdCellArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateGlobalElementIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateGlobalElementIdArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalElementIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalElementIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalElementIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetPedigreeElementIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalElementID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalElementID\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetGenerateGlobalNodeIdArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGenerateGlobalNodeIdArray\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalNodeIdArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  GenerateGlobalNodeIdArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalNodeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetPedigreeNodeIdArrayName\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalNodeID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetGlobalNodeID\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetApplyDisplacements\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetApplyDisplacements\n",NULL);
    Tcl_AppendResult(interp,"  ApplyDisplacementsOn\n",NULL);
    Tcl_AppendResult(interp,"  ApplyDisplacementsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplacementMagnitude\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplacementMagnitude\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensionality\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTimeSteps\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfElements\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNodeSets\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSideSets\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBlocks\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStepRange\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNodes\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfElementsInBlock\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfNodes\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPointArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayNumberOfComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayNumberOfComponents\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetCellArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTotalNumberOfElements\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBlockArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockArrayID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBlockArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBlockArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNodeSetArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeSetArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeSetArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNodeSetArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNodeSetArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNodeSetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSideSetArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetSideSetArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSideSetArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSideSetArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSideSetArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSideSetArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPartArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPartBlockInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPartArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPartArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfMaterialArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialArrayID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetMaterialArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaterialArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfAssemblyArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetAssemblyArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAssemblyArrayID\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAssemblyArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAssemblyArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAssemblyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAssemblyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfHierarchyArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchyArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetHierarchyArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHierarchyArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHierarchyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHasModeShapes\n",NULL);
    Tcl_AppendResult(interp,"  SetHasModeShapes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasModeShapesOn\n",NULL);
    Tcl_AppendResult(interp,"  HasModeShapesOff\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayType\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ExodusModelMetadataOn\n",NULL);
    Tcl_AppendResult(interp,"  ExodusModelMetadataOff\n",NULL);
    Tcl_AppendResult(interp,"  SetExodusModelMetadata\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExodusModelMetadata\n",NULL);
    Tcl_AppendResult(interp,"  GetExodusModel\n",NULL);
    Tcl_AppendResult(interp,"  SetPackExodusModelOntoOutput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPackExodusModelOntoOutput\n",NULL);
    Tcl_AppendResult(interp,"  PackExodusModelOntoOutputOn\n",NULL);
    Tcl_AppendResult(interp,"  PackExodusModelOntoOutputOff\n",NULL);
    Tcl_AppendResult(interp,"  IsValidVariable\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableID\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAllAssemblyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAllBlockArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAllCellArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAllHierarchyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAllMaterialArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAllPartArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAllPointArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetArrayStatus\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  StringsEqual\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  StringUppercase\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  StrDupWithNew\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeSeriesData\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfVariableArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetVariableArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  EnableDSPFiltering\n",NULL);
    Tcl_AppendResult(interp,"  AddFilter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StartAddingFilter\n",NULL);
    Tcl_AppendResult(interp,"  AddFilterInputVar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddFilterOutputVar\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddFilterNumeratorWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddFilterForwardNumeratorWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddFilterDenominatorWeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  FinishAddingFilter\n",NULL);
    Tcl_AppendResult(interp,"  RemoveFilter\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDSPOutputArrays\t with 2 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
#if !defined(VTK_LEGACY_REMOVE)
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
#endif
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "SetXMLFileName" );
    Tcl_DStringAppendElement ( &dString, "GetXMLFileName" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateBlockIdCellArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateBlockIdCellArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateBlockIdCellArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateBlockIdCellArrayOff" );
    Tcl_DStringAppendElement ( &dString, "GetBlockIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalElementIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalElementIdArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeElementIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementID" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementID" );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalNodeIdArray" );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalNodeIdArray" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOn" );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOff" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeNodeIdArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeID" );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeID" );
    Tcl_DStringAppendElement ( &dString, "SetApplyDisplacements" );
    Tcl_DStringAppendElement ( &dString, "GetApplyDisplacements" );
    Tcl_DStringAppendElement ( &dString, "ApplyDisplacementsOn" );
    Tcl_DStringAppendElement ( &dString, "ApplyDisplacementsOff" );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementMagnitude" );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementMagnitude" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetDimensionality" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElements" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodeSets" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSideSets" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBlocks" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodes" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementsInBlock" );
    Tcl_DStringAppendElement ( &dString, "GetBlockId" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfNodes" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayID" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayNumberOfComponents" );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellArrays" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayID" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayNumberOfComponents" );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfElements" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBlockArrays" );
    Tcl_DStringAppendElement ( &dString, "GetBlockArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetBlockArrayID" );
    Tcl_DStringAppendElement ( &dString, "SetBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodeSetArrays" );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetNodeSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetNodeSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSideSetArrays" );
    Tcl_DStringAppendElement ( &dString, "GetSideSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetSideSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetSideSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetSideSetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetSideSetArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPartArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayID" );
    Tcl_DStringAppendElement ( &dString, "GetPartBlockInfo" );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMaterialArrays" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayID" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAssemblyArrays" );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayID" );
    Tcl_DStringAppendElement ( &dString, "SetAssemblyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetAssemblyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHierarchyArrays" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetHierarchyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetHierarchyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetHasModeShapes" );
    Tcl_DStringAppendElement ( &dString, "SetHasModeShapes" );
    Tcl_DStringAppendElement ( &dString, "HasModeShapesOn" );
    Tcl_DStringAppendElement ( &dString, "HasModeShapesOff" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayType" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayType" );
    Tcl_DStringAppendElement ( &dString, "ExodusModelMetadataOn" );
    Tcl_DStringAppendElement ( &dString, "ExodusModelMetadataOff" );
    Tcl_DStringAppendElement ( &dString, "SetExodusModelMetadata" );
    Tcl_DStringAppendElement ( &dString, "GetExodusModelMetadata" );
    Tcl_DStringAppendElement ( &dString, "GetExodusModel" );
    Tcl_DStringAppendElement ( &dString, "SetPackExodusModelOntoOutput" );
    Tcl_DStringAppendElement ( &dString, "GetPackExodusModelOntoOutput" );
    Tcl_DStringAppendElement ( &dString, "PackExodusModelOntoOutputOn" );
    Tcl_DStringAppendElement ( &dString, "PackExodusModelOntoOutputOff" );
    Tcl_DStringAppendElement ( &dString, "IsValidVariable" );
    Tcl_DStringAppendElement ( &dString, "GetVariableID" );
    Tcl_DStringAppendElement ( &dString, "SetAllAssemblyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetAllBlockArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetAllCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetAllHierarchyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetAllMaterialArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetAllPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetAllPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "StringsEqual" );
    Tcl_DStringAppendElement ( &dString, "StringUppercase" );
    Tcl_DStringAppendElement ( &dString, "StrDupWithNew" );
    Tcl_DStringAppendElement ( &dString, "GetTimeSeriesData" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariableArrays" );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayName" );
    Tcl_DStringAppendElement ( &dString, "EnableDSPFiltering" );
    Tcl_DStringAppendElement ( &dString, "AddFilter" );
    Tcl_DStringAppendElement ( &dString, "StartAddingFilter" );
    Tcl_DStringAppendElement ( &dString, "AddFilterInputVar" );
    Tcl_DStringAppendElement ( &dString, "AddFilterOutputVar" );
    Tcl_DStringAppendElement ( &dString, "AddFilterNumeratorWeight" );
    Tcl_DStringAppendElement ( &dString, "AddFilterForwardNumeratorWeight" );
    Tcl_DStringAppendElement ( &dString, "AddFilterDenominatorWeight" );
    Tcl_DStringAppendElement ( &dString, "FinishAddingFilter" );
    Tcl_DStringAppendElement ( &dString, "RemoveFilter" );
    Tcl_DStringAppendElement ( &dString, "GetDSPOutputArrays" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkUnstructuredGridAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkExodusReader *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Determine if the file can be readed with this reader.\n" );
    Tcl_DStringAppendElement ( &dString, "int CanReadFile(const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#if !defined(VTK_LEGACY_REMOVE)
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of the Exodus file.\n @deprecated Replaced by vtkExodusIIReader as of VTK 5.8.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFileName(const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
#endif
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of the Exodus file.\n @deprecated Replaced by vtkExodusIIReader as of VTK 5.8.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXMLFileName */
    if ( strcmp ( argv[2], "SetXMLFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXMLFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXMLFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of the xml file.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXMLFileName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetXMLFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXMLFileName */
    if ( strcmp ( argv[2], "GetXMLFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXMLFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXMLFileName */
    Tcl_DStringAppendElement ( &dString, " Specify file name of the xml file.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXMLFileName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetXMLFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStep */
    if ( strcmp ( argv[2], "SetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Which TimeStep to read.    \n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStep(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStep */
    if ( strcmp ( argv[2], "GetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Which TimeStep to read.    \n" );
    Tcl_DStringAppendElement ( &dString, "int GetTimeStep();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateBlockIdCellArray */
    if ( strcmp ( argv[2], "SetGenerateBlockIdCellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateBlockIdCellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateBlockIdCellArray */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateBlockIdCellArray(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetGenerateBlockIdCellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateBlockIdCellArray */
    if ( strcmp ( argv[2], "GetGenerateBlockIdCellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateBlockIdCellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateBlockIdCellArray */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateBlockIdCellArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetGenerateBlockIdCellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateBlockIdCellArrayOn */
    if ( strcmp ( argv[2], "GenerateBlockIdCellArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateBlockIdCellArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateBlockIdCellArrayOn */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateBlockIdCellArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GenerateBlockIdCellArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateBlockIdCellArrayOff */
    if ( strcmp ( argv[2], "GenerateBlockIdCellArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateBlockIdCellArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateBlockIdCellArrayOff */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateBlockIdCellArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GenerateBlockIdCellArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockIdArrayName */
    if ( strcmp ( argv[2], "GetBlockIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetBlockIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetBlockIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateGlobalElementIdArray */
    if ( strcmp ( argv[2], "SetGenerateGlobalElementIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalElementIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateGlobalElementIdArray */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateGlobalElementIdArray(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetGenerateGlobalElementIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateGlobalElementIdArray */
    if ( strcmp ( argv[2], "GetGenerateGlobalElementIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalElementIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateGlobalElementIdArray */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateGlobalElementIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetGenerateGlobalElementIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalElementIdArrayOn */
    if ( strcmp ( argv[2], "GenerateGlobalElementIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalElementIdArrayOn */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalElementIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GenerateGlobalElementIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalElementIdArrayOff */
    if ( strcmp ( argv[2], "GenerateGlobalElementIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalElementIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalElementIdArrayOff */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalElementIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GenerateGlobalElementIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalElementIdArrayName */
    if ( strcmp ( argv[2], "GetGlobalElementIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalElementIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetGlobalElementIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetGlobalElementIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPedigreeElementIdArrayName */
    if ( strcmp ( argv[2], "GetPedigreeElementIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeElementIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPedigreeElementIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetPedigreeElementIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPedigreeElementIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalElementID */
    if ( strcmp ( argv[2], "GetGlobalElementID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalElementID */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalElementID(vtkDataSet *data, int localID);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetGlobalElementID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalElementID */
    if ( strcmp ( argv[2], "GetGlobalElementID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalElementID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalElementID */
    Tcl_DStringAppendElement ( &dString, " Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalElementID(vtkDataSet *data, int localID, int searchType);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetGlobalElementID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGenerateGlobalNodeIdArray */
    if ( strcmp ( argv[2], "SetGenerateGlobalNodeIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGenerateGlobalNodeIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGenerateGlobalNodeIdArray */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGenerateGlobalNodeIdArray(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetGenerateGlobalNodeIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGenerateGlobalNodeIdArray */
    if ( strcmp ( argv[2], "GetGenerateGlobalNodeIdArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGenerateGlobalNodeIdArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGenerateGlobalNodeIdArray */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetGenerateGlobalNodeIdArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetGenerateGlobalNodeIdArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalNodeIdArrayOn */
    if ( strcmp ( argv[2], "GenerateGlobalNodeIdArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalNodeIdArrayOn */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalNodeIdArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GenerateGlobalNodeIdArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GenerateGlobalNodeIdArrayOff */
    if ( strcmp ( argv[2], "GenerateGlobalNodeIdArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GenerateGlobalNodeIdArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GenerateGlobalNodeIdArrayOff */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "void GenerateGlobalNodeIdArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GenerateGlobalNodeIdArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalNodeIdArrayName */
    if ( strcmp ( argv[2], "GetGlobalNodeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalNodeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetGlobalNodeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetGlobalNodeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPedigreeNodeIdArrayName */
    if ( strcmp ( argv[2], "GetPedigreeNodeIdArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPedigreeNodeIdArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPedigreeNodeIdArrayName */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetPedigreeNodeIdArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPedigreeNodeIdArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalNodeID */
    if ( strcmp ( argv[2], "GetGlobalNodeID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalNodeID */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalNodeID(vtkDataSet *data, int localID);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetGlobalNodeID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlobalNodeID */
    if ( strcmp ( argv[2], "GetGlobalNodeID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlobalNodeID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlobalNodeID */
    Tcl_DStringAppendElement ( &dString, " Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n" );
    Tcl_DStringAppendElement ( &dString, "static int GetGlobalNodeID(vtkDataSet *data, int localID, int searchType);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetGlobalNodeID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetApplyDisplacements */
    if ( strcmp ( argv[2], "SetApplyDisplacements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetApplyDisplacements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetApplyDisplacements */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetApplyDisplacements(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetApplyDisplacements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetApplyDisplacements */
    if ( strcmp ( argv[2], "GetApplyDisplacements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetApplyDisplacements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetApplyDisplacements */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetApplyDisplacements();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetApplyDisplacements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyDisplacementsOn */
    if ( strcmp ( argv[2], "ApplyDisplacementsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyDisplacementsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyDisplacementsOn */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void ApplyDisplacementsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for ApplyDisplacementsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyDisplacementsOff */
    if ( strcmp ( argv[2], "ApplyDisplacementsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyDisplacementsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyDisplacementsOff */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void ApplyDisplacementsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for ApplyDisplacementsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplacementMagnitude */
    if ( strcmp ( argv[2], "SetDisplacementMagnitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplacementMagnitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplacementMagnitude */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplacementMagnitude(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetDisplacementMagnitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplacementMagnitude */
    if ( strcmp ( argv[2], "GetDisplacementMagnitude" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplacementMagnitude" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplacementMagnitude */
    Tcl_DStringAppendElement ( &dString, " Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetDisplacementMagnitude();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetDisplacementMagnitude */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTitle();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensionality */
    if ( strcmp ( argv[2], "GetDimensionality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensionality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensionality */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDimensionality();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetDimensionality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTimeSteps */
    if ( strcmp ( argv[2], "GetNumberOfTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTimeSteps */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfTimeSteps();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfElements */
    if ( strcmp ( argv[2], "GetNumberOfElements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElements */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfElements();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfElements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNodeSets */
    if ( strcmp ( argv[2], "GetNumberOfNodeSets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodeSets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNodeSets */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNodeSets();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfNodeSets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSideSets */
    if ( strcmp ( argv[2], "GetNumberOfSideSets" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSideSets" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSideSets */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSideSets();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfSideSets */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBlocks */
    if ( strcmp ( argv[2], "GetNumberOfBlocks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBlocks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBlocks */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfBlocks();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfBlocks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStepRange */
    if ( strcmp ( argv[2], "GetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetTimeStepRange();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepRange */
    if ( strcmp ( argv[2], "SetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepRange(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepRange */
    if ( strcmp ( argv[2], "SetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepRange(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNodes */
    if ( strcmp ( argv[2], "GetNumberOfNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNodes */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNodes();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfElementsInBlock */
    if ( strcmp ( argv[2], "GetNumberOfElementsInBlock" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfElementsInBlock" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfElementsInBlock */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfElementsInBlock(int block_idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfElementsInBlock */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockId */
    if ( strcmp ( argv[2], "GetBlockId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockId */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBlockId(int block_idx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetBlockId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfNodes */
    if ( strcmp ( argv[2], "GetTotalNumberOfNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfNodes */
    Tcl_DStringAppendElement ( &dString, " Access to meta data generated by UpdateInformation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTotalNumberOfNodes();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetTotalNumberOfNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPointArrays */
    if ( strcmp ( argv[2], "GetNumberOfPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointArrayName */
    if ( strcmp ( argv[2], "GetPointArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPointArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPointArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointArrayID */
    if ( strcmp ( argv[2], "GetPointArrayID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPointArrayID(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPointArrayID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointArrayNumberOfComponents */
    if ( strcmp ( argv[2], "GetPointArrayNumberOfComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayNumberOfComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayNumberOfComponents */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPointArrayNumberOfComponents(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPointArrayNumberOfComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointArrayStatus */
    if ( strcmp ( argv[2], "SetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPointArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointArrayStatus */
    if ( strcmp ( argv[2], "SetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPointArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointArrayStatus */
    if ( strcmp ( argv[2], "GetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPointArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointArrayStatus */
    if ( strcmp ( argv[2], "GetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPointArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellArrays */
    if ( strcmp ( argv[2], "GetNumberOfCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayName */
    if ( strcmp ( argv[2], "GetCellArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetCellArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetCellArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayID */
    if ( strcmp ( argv[2], "GetCellArrayID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetCellArrayID(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetCellArrayID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayNumberOfComponents */
    if ( strcmp ( argv[2], "GetCellArrayNumberOfComponents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayNumberOfComponents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayNumberOfComponents */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetCellArrayNumberOfComponents(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetCellArrayNumberOfComponents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellArrayStatus */
    if ( strcmp ( argv[2], "SetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCellArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellArrayStatus */
    if ( strcmp ( argv[2], "SetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetCellArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayStatus */
    if ( strcmp ( argv[2], "GetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetCellArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayStatus */
    if ( strcmp ( argv[2], "GetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetCellArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTotalNumberOfElements */
    if ( strcmp ( argv[2], "GetTotalNumberOfElements" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTotalNumberOfElements" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTotalNumberOfElements */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetTotalNumberOfElements();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetTotalNumberOfElements */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBlockArrays */
    if ( strcmp ( argv[2], "GetNumberOfBlockArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBlockArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBlockArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfBlockArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfBlockArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockArrayName */
    if ( strcmp ( argv[2], "GetBlockArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetBlockArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetBlockArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockArrayID */
    if ( strcmp ( argv[2], "GetBlockArrayID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockArrayID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockArrayID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetBlockArrayID(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetBlockArrayID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlockArrayStatus */
    if ( strcmp ( argv[2], "SetBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBlockArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlockArrayStatus */
    if ( strcmp ( argv[2], "SetBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetBlockArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockArrayStatus */
    if ( strcmp ( argv[2], "GetBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetBlockArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockArrayStatus */
    if ( strcmp ( argv[2], "GetBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetBlockArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNodeSetArrays */
    if ( strcmp ( argv[2], "GetNumberOfNodeSetArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodeSetArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNodeSetArrays */
    Tcl_DStringAppendElement ( &dString, " By default Node/Side sets are not loaded, These methods allow the user to\n select which Node/Side sets they want to load. NumberOfNodeSets and\n NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader \n but other Node/Side set metadata are stored in vtkExodusMetaData\n Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are\n just syntatic sugar for paraview server xml\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfNodeSetArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfNodeSetArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeSetArrayStatus */
    if ( strcmp ( argv[2], "GetNodeSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, " By default Node/Side sets are not loaded, These methods allow the user to\n select which Node/Side sets they want to load. NumberOfNodeSets and\n NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader \n but other Node/Side set metadata are stored in vtkExodusMetaData\n Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are\n just syntatic sugar for paraview server xml\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNodeSetArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNodeSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeSetArrayStatus */
    if ( strcmp ( argv[2], "GetNodeSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, " By default Node/Side sets are not loaded, These methods allow the user to\n select which Node/Side sets they want to load. NumberOfNodeSets and\n NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader \n but other Node/Side set metadata are stored in vtkExodusMetaData\n Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are\n just syntatic sugar for paraview server xml\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNodeSetArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNodeSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNodeSetArrayStatus */
    if ( strcmp ( argv[2], "SetNodeSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNodeSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNodeSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, " By default Node/Side sets are not loaded, These methods allow the user to\n select which Node/Side sets they want to load. NumberOfNodeSets and\n NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader \n but other Node/Side set metadata are stored in vtkExodusMetaData\n Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are\n just syntatic sugar for paraview server xml\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNodeSetArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetNodeSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNodeSetArrayStatus */
    if ( strcmp ( argv[2], "SetNodeSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNodeSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNodeSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, " By default Node/Side sets are not loaded, These methods allow the user to\n select which Node/Side sets they want to load. NumberOfNodeSets and\n NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader \n but other Node/Side set metadata are stored in vtkExodusMetaData\n Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are\n just syntatic sugar for paraview server xml\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNodeSetArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetNodeSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNodeSetArrayName */
    if ( strcmp ( argv[2], "GetNodeSetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNodeSetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNodeSetArrayName */
    Tcl_DStringAppendElement ( &dString, " By default Node/Side sets are not loaded, These methods allow the user to\n select which Node/Side sets they want to load. NumberOfNodeSets and\n NumberOfSideSets (set by vtk macros) are stored in vtkExodusReader \n but other Node/Side set metadata are stored in vtkExodusMetaData\n Note: GetNumberOfNodeSetArrays and GetNumberOfSideSetArrays are\n just syntatic sugar for paraview server xml\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetNodeSetArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNodeSetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSideSetArrays */
    if ( strcmp ( argv[2], "GetNumberOfSideSetArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSideSetArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSideSetArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSideSetArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfSideSetArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSideSetArrayStatus */
    if ( strcmp ( argv[2], "GetSideSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSideSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSideSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetSideSetArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetSideSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSideSetArrayStatus */
    if ( strcmp ( argv[2], "GetSideSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSideSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSideSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetSideSetArrayStatus(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetSideSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSideSetArrayStatus */
    if ( strcmp ( argv[2], "SetSideSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSideSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSideSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSideSetArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetSideSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSideSetArrayStatus */
    if ( strcmp ( argv[2], "SetSideSetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSideSetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSideSetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetSideSetArrayStatus(const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetSideSetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSideSetArrayName */
    if ( strcmp ( argv[2], "GetSideSetArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSideSetArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSideSetArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetSideSetArrayName(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetSideSetArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPartArrays */
    if ( strcmp ( argv[2], "GetNumberOfPartArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPartArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPartArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPartArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfPartArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayName */
    if ( strcmp ( argv[2], "GetPartArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPartArrayName(int arrayIdx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPartArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayID */
    if ( strcmp ( argv[2], "GetPartArrayID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPartArrayID(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPartArrayID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartBlockInfo */
    if ( strcmp ( argv[2], "GetPartBlockInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartBlockInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartBlockInfo */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPartBlockInfo(int arrayIdx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPartBlockInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPartArrayStatus */
    if ( strcmp ( argv[2], "SetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPartArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPartArrayStatus */
    if ( strcmp ( argv[2], "SetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPartArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayStatus */
    if ( strcmp ( argv[2], "GetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPartArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayStatus */
    if ( strcmp ( argv[2], "GetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPartArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfMaterialArrays */
    if ( strcmp ( argv[2], "GetNumberOfMaterialArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfMaterialArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfMaterialArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfMaterialArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfMaterialArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterialArrayName */
    if ( strcmp ( argv[2], "GetMaterialArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetMaterialArrayName(int arrayIdx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetMaterialArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterialArrayID */
    if ( strcmp ( argv[2], "GetMaterialArrayID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialArrayID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMaterialArrayID(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetMaterialArrayID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialArrayStatus */
    if ( strcmp ( argv[2], "SetMaterialArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaterialArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetMaterialArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaterialArrayStatus */
    if ( strcmp ( argv[2], "SetMaterialArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaterialArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaterialArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetMaterialArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetMaterialArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterialArrayStatus */
    if ( strcmp ( argv[2], "GetMaterialArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMaterialArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetMaterialArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaterialArrayStatus */
    if ( strcmp ( argv[2], "GetMaterialArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaterialArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaterialArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetMaterialArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetMaterialArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfAssemblyArrays */
    if ( strcmp ( argv[2], "GetNumberOfAssemblyArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfAssemblyArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfAssemblyArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfAssemblyArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfAssemblyArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssemblyArrayName */
    if ( strcmp ( argv[2], "GetAssemblyArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssemblyArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetAssemblyArrayName(int arrayIdx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetAssemblyArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssemblyArrayID */
    if ( strcmp ( argv[2], "GetAssemblyArrayID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssemblyArrayID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAssemblyArrayID(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetAssemblyArrayID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAssemblyArrayStatus */
    if ( strcmp ( argv[2], "SetAssemblyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAssemblyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAssemblyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAssemblyArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetAssemblyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAssemblyArrayStatus */
    if ( strcmp ( argv[2], "SetAssemblyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAssemblyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAssemblyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAssemblyArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetAssemblyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssemblyArrayStatus */
    if ( strcmp ( argv[2], "GetAssemblyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssemblyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAssemblyArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetAssemblyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAssemblyArrayStatus */
    if ( strcmp ( argv[2], "GetAssemblyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAssemblyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAssemblyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetAssemblyArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetAssemblyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfHierarchyArrays */
    if ( strcmp ( argv[2], "GetNumberOfHierarchyArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfHierarchyArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfHierarchyArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfHierarchyArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfHierarchyArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchyArrayName */
    if ( strcmp ( argv[2], "GetHierarchyArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchyArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetHierarchyArrayName(int arrayIdx);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetHierarchyArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHierarchyArrayStatus */
    if ( strcmp ( argv[2], "SetHierarchyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHierarchyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHierarchyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHierarchyArrayStatus(int index, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetHierarchyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHierarchyArrayStatus */
    if ( strcmp ( argv[2], "SetHierarchyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHierarchyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHierarchyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetHierarchyArrayStatus(const char *, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetHierarchyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchyArrayStatus */
    if ( strcmp ( argv[2], "GetHierarchyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetHierarchyArrayStatus(int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetHierarchyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHierarchyArrayStatus */
    if ( strcmp ( argv[2], "GetHierarchyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHierarchyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHierarchyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetHierarchyArrayStatus(const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetHierarchyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHasModeShapes */
    if ( strcmp ( argv[2], "GetHasModeShapes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHasModeShapes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHasModeShapes */
    Tcl_DStringAppendElement ( &dString, " Some simulations overload the Exodus time steps to represent mode shapes.\n In this case, it does not make sense to iterate over the \"time steps\",\n because they are not meant to be played in order.  Rather, each represents\n the vibration at a different \"mode.\"  Setting this to 1 changes the\n semantics of the reader to not report the time steps to downstream filters.\n By default, this is off, which is the case for most Exodus files.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHasModeShapes();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetHasModeShapes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHasModeShapes */
    if ( strcmp ( argv[2], "SetHasModeShapes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHasModeShapes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHasModeShapes */
    Tcl_DStringAppendElement ( &dString, " Some simulations overload the Exodus time steps to represent mode shapes.\n In this case, it does not make sense to iterate over the \"time steps\",\n because they are not meant to be played in order.  Rather, each represents\n the vibration at a different \"mode.\"  Setting this to 1 changes the\n semantics of the reader to not report the time steps to downstream filters.\n By default, this is off, which is the case for most Exodus files.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHasModeShapes(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetHasModeShapes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasModeShapesOn */
    if ( strcmp ( argv[2], "HasModeShapesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasModeShapesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasModeShapesOn */
    Tcl_DStringAppendElement ( &dString, " Some simulations overload the Exodus time steps to represent mode shapes.\n In this case, it does not make sense to iterate over the \"time steps\",\n because they are not meant to be played in order.  Rather, each represents\n the vibration at a different \"mode.\"  Setting this to 1 changes the\n semantics of the reader to not report the time steps to downstream filters.\n By default, this is off, which is the case for most Exodus files.\n" );
    Tcl_DStringAppendElement ( &dString, "void HasModeShapesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for HasModeShapesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasModeShapesOff */
    if ( strcmp ( argv[2], "HasModeShapesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasModeShapesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasModeShapesOff */
    Tcl_DStringAppendElement ( &dString, " Some simulations overload the Exodus time steps to represent mode shapes.\n In this case, it does not make sense to iterate over the \"time steps\",\n because they are not meant to be played in order.  Rather, each represents\n the vibration at a different \"mode.\"  Setting this to 1 changes the\n semantics of the reader to not report the time steps to downstream filters.\n By default, this is off, which is the case for most Exodus files.\n" );
    Tcl_DStringAppendElement ( &dString, "void HasModeShapesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for HasModeShapesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplayType */
    if ( strcmp ( argv[2], "GetDisplayType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetDisplayType();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetDisplayType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayType */
    if ( strcmp ( argv[2], "SetDisplayType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDisplayType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetDisplayType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExodusModelMetadataOn */
    if ( strcmp ( argv[2], "ExodusModelMetadataOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExodusModelMetadataOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExodusModelMetadataOn */
    Tcl_DStringAppendElement ( &dString, "   There is a great deal of model information lost when an Exodus II\n   file is read in to a vtkUnstructuredGrid.  Turn this option ON \n   if you want this metadata to be read in to a vtkExodusModel object.\n   The default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExodusModelMetadataOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for ExodusModelMetadataOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExodusModelMetadataOff */
    if ( strcmp ( argv[2], "ExodusModelMetadataOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExodusModelMetadataOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExodusModelMetadataOff */
    Tcl_DStringAppendElement ( &dString, "   There is a great deal of model information lost when an Exodus II\n   file is read in to a vtkUnstructuredGrid.  Turn this option ON \n   if you want this metadata to be read in to a vtkExodusModel object.\n   The default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExodusModelMetadataOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for ExodusModelMetadataOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExodusModelMetadata */
    if ( strcmp ( argv[2], "SetExodusModelMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExodusModelMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExodusModelMetadata */
    Tcl_DStringAppendElement ( &dString, "   There is a great deal of model information lost when an Exodus II\n   file is read in to a vtkUnstructuredGrid.  Turn this option ON \n   if you want this metadata to be read in to a vtkExodusModel object.\n   The default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExodusModelMetadata(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetExodusModelMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExodusModelMetadata */
    if ( strcmp ( argv[2], "GetExodusModelMetadata" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExodusModelMetadata" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExodusModelMetadata */
    Tcl_DStringAppendElement ( &dString, "   There is a great deal of model information lost when an Exodus II\n   file is read in to a vtkUnstructuredGrid.  Turn this option ON \n   if you want this metadata to be read in to a vtkExodusModel object.\n   The default is OFF.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExodusModelMetadata();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetExodusModelMetadata */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExodusModel */
    if ( strcmp ( argv[2], "GetExodusModel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExodusModel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExodusModel */
    Tcl_DStringAppendElement ( &dString, "   Returns the object which encapsulates the model metadata.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusModel *GetExodusModel();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetExodusModel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPackExodusModelOntoOutput */
    if ( strcmp ( argv[2], "SetPackExodusModelOntoOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPackExodusModelOntoOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPackExodusModelOntoOutput */
    Tcl_DStringAppendElement ( &dString, "  By default, the ExodusModel metadata (if requested with\n  ExodusModelMetadataOn()) is also encoded into field arrays \n  and attached to the output unstructured grid.  Set this OFF\n  if you don't want this to happen.  (The vtkExodusIIWriter and\n  the vtkEnSightWriter can unpack this metadata from the field\n  arrays and use it when writing out Exodus or EnSight files.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPackExodusModelOntoOutput(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetPackExodusModelOntoOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPackExodusModelOntoOutput */
    if ( strcmp ( argv[2], "GetPackExodusModelOntoOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPackExodusModelOntoOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPackExodusModelOntoOutput */
    Tcl_DStringAppendElement ( &dString, "  By default, the ExodusModel metadata (if requested with\n  ExodusModelMetadataOn()) is also encoded into field arrays \n  and attached to the output unstructured grid.  Set this OFF\n  if you don't want this to happen.  (The vtkExodusIIWriter and\n  the vtkEnSightWriter can unpack this metadata from the field\n  arrays and use it when writing out Exodus or EnSight files.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPackExodusModelOntoOutput();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetPackExodusModelOntoOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PackExodusModelOntoOutputOn */
    if ( strcmp ( argv[2], "PackExodusModelOntoOutputOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PackExodusModelOntoOutputOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PackExodusModelOntoOutputOn */
    Tcl_DStringAppendElement ( &dString, "  By default, the ExodusModel metadata (if requested with\n  ExodusModelMetadataOn()) is also encoded into field arrays \n  and attached to the output unstructured grid.  Set this OFF\n  if you don't want this to happen.  (The vtkExodusIIWriter and\n  the vtkEnSightWriter can unpack this metadata from the field\n  arrays and use it when writing out Exodus or EnSight files.)\n" );
    Tcl_DStringAppendElement ( &dString, "void PackExodusModelOntoOutputOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for PackExodusModelOntoOutputOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PackExodusModelOntoOutputOff */
    if ( strcmp ( argv[2], "PackExodusModelOntoOutputOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PackExodusModelOntoOutputOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PackExodusModelOntoOutputOff */
    Tcl_DStringAppendElement ( &dString, "  By default, the ExodusModel metadata (if requested with\n  ExodusModelMetadataOn()) is also encoded into field arrays \n  and attached to the output unstructured grid.  Set this OFF\n  if you don't want this to happen.  (The vtkExodusIIWriter and\n  the vtkEnSightWriter can unpack this metadata from the field\n  arrays and use it when writing out Exodus or EnSight files.)\n" );
    Tcl_DStringAppendElement ( &dString, "void PackExodusModelOntoOutputOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for PackExodusModelOntoOutputOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsValidVariable */
    if ( strcmp ( argv[2], "IsValidVariable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsValidVariable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsValidVariable */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsValidVariable(const char *type, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for IsValidVariable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableID */
    if ( strcmp ( argv[2], "GetVariableID" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableID" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableID */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetVariableID(const char *type, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetVariableID */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllAssemblyArrayStatus */
    if ( strcmp ( argv[2], "SetAllAssemblyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllAssemblyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllAssemblyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAllAssemblyArrayStatus(int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetAllAssemblyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllBlockArrayStatus */
    if ( strcmp ( argv[2], "SetAllBlockArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllBlockArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllBlockArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAllBlockArrayStatus(int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetAllBlockArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllCellArrayStatus */
    if ( strcmp ( argv[2], "SetAllCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAllCellArrayStatus(int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetAllCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllHierarchyArrayStatus */
    if ( strcmp ( argv[2], "SetAllHierarchyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllHierarchyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllHierarchyArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAllHierarchyArrayStatus(int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetAllHierarchyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllMaterialArrayStatus */
    if ( strcmp ( argv[2], "SetAllMaterialArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllMaterialArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllMaterialArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAllMaterialArrayStatus(int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetAllMaterialArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllPartArrayStatus */
    if ( strcmp ( argv[2], "SetAllPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAllPartArrayStatus(int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetAllPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAllPointArrayStatus */
    if ( strcmp ( argv[2], "SetAllPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAllPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAllPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAllPointArrayStatus(int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetAllPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetArrayStatus */
    if ( strcmp ( argv[2], "SetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetArrayStatus(const char *type, const char *name, int flag);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for SetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetArrayStatus */
    if ( strcmp ( argv[2], "GetArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetArrayStatus */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetArrayStatus(const char *type, const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StringsEqual */
    if ( strcmp ( argv[2], "StringsEqual" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StringsEqual" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StringsEqual */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static int StringsEqual(const char *s1, char *s2);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for StringsEqual */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StringUppercase */
    if ( strcmp ( argv[2], "StringUppercase" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StringUppercase" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StringUppercase */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static void StringUppercase(const char *str, char *upperstr);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for StringUppercase */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StrDupWithNew */
    if ( strcmp ( argv[2], "StrDupWithNew" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StrDupWithNew" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StrDupWithNew */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static char *StrDupWithNew(const char *s);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for StrDupWithNew */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeSeriesData */
    if ( strcmp ( argv[2], "GetTimeSeriesData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeSeriesData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeSeriesData */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetTimeSeriesData(int ID, const char *vName, const char *vType, vtkFloatArray *result);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetTimeSeriesData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfVariableArrays */
    if ( strcmp ( argv[2], "GetNumberOfVariableArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfVariableArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfVariableArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfVariableArrays();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetNumberOfVariableArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVariableArrayName */
    if ( strcmp ( argv[2], "GetVariableArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVariableArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVariableArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetVariableArrayName(int a_which);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetVariableArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableDSPFiltering */
    if ( strcmp ( argv[2], "EnableDSPFiltering" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableDSPFiltering" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableDSPFiltering */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EnableDSPFiltering();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for EnableDSPFiltering */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilter */
    if ( strcmp ( argv[2], "AddFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDSPFilterDefinition" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilter(vtkDSPFilterDefinition *a_filter);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for AddFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartAddingFilter */
    if ( strcmp ( argv[2], "StartAddingFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartAddingFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartAddingFilter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void StartAddingFilter();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for StartAddingFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilterInputVar */
    if ( strcmp ( argv[2], "AddFilterInputVar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilterInputVar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilterInputVar */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilterInputVar(char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for AddFilterInputVar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilterOutputVar */
    if ( strcmp ( argv[2], "AddFilterOutputVar" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilterOutputVar" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilterOutputVar */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilterOutputVar(char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for AddFilterOutputVar */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilterNumeratorWeight */
    if ( strcmp ( argv[2], "AddFilterNumeratorWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilterNumeratorWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilterNumeratorWeight */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilterNumeratorWeight(double weight);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for AddFilterNumeratorWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilterForwardNumeratorWeight */
    if ( strcmp ( argv[2], "AddFilterForwardNumeratorWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilterForwardNumeratorWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilterForwardNumeratorWeight */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilterForwardNumeratorWeight(double weight);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for AddFilterForwardNumeratorWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddFilterDenominatorWeight */
    if ( strcmp ( argv[2], "AddFilterDenominatorWeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddFilterDenominatorWeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddFilterDenominatorWeight */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void AddFilterDenominatorWeight(double weight);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for AddFilterDenominatorWeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FinishAddingFilter */
    if ( strcmp ( argv[2], "FinishAddingFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FinishAddingFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FinishAddingFilter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void FinishAddingFilter();" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for FinishAddingFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveFilter */
    if ( strcmp ( argv[2], "RemoveFilter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveFilter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveFilter */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void RemoveFilter(char *a_outputVariableName);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for RemoveFilter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDSPOutputArrays */
    if ( strcmp ( argv[2], "GetDSPOutputArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDSPOutputArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnstructuredGrid" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDSPOutputArrays */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void GetDSPOutputArrays(int exoid, vtkUnstructuredGrid *output);" );
    Tcl_DStringAppendElement ( &dString, "vtkExodusReader" );
    /* Closing for GetDSPOutputArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkUnstructuredGridAlgorithmCppCommand(static_cast<vtkUnstructuredGridAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
