// tcl wrapper for vtkImageConvolve object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageConvolve.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageConvolveNewCommand()
{
  vtkImageConvolve *temp = vtkImageConvolve::New();
  return static_cast<ClientData>(temp);
}

int vtkThreadedImageAlgorithmCppCommand(vtkThreadedImageAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageConvolveCppCommand(vtkImageConvolve *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImageConvolveCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageConvolveCppCommand(static_cast<vtkImageConvolve *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageConvolveCppCommand(vtkImageConvolve *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageConvolve",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkThreadedImageAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageConvolve  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageConvolve");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageConvolve  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageConvolve");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageConvolve  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageConvolve");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKernelSize",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetKernelSize();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i %i ",temp20[0],temp20[1],temp20[2]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetKernel3x3",argv[1]))&&(argc == 11))
    {
    double temp0[9];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (!error)
    {
    op->SetKernel3x3(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKernel5x5",argv[1]))&&(argc == 27))
    {
    double temp0[25];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (Tcl_GetDouble(interp,argv[26],&tempd) != TCL_OK) error = 1;
    temp0[24] = tempd;
    if (!error)
    {
    op->SetKernel5x5(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKernel7x7",argv[1]))&&(argc == 51))
    {
    double temp0[49];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (Tcl_GetDouble(interp,argv[26],&tempd) != TCL_OK) error = 1;
    temp0[24] = tempd;
    if (Tcl_GetDouble(interp,argv[27],&tempd) != TCL_OK) error = 1;
    temp0[25] = tempd;
    if (Tcl_GetDouble(interp,argv[28],&tempd) != TCL_OK) error = 1;
    temp0[26] = tempd;
    if (Tcl_GetDouble(interp,argv[29],&tempd) != TCL_OK) error = 1;
    temp0[27] = tempd;
    if (Tcl_GetDouble(interp,argv[30],&tempd) != TCL_OK) error = 1;
    temp0[28] = tempd;
    if (Tcl_GetDouble(interp,argv[31],&tempd) != TCL_OK) error = 1;
    temp0[29] = tempd;
    if (Tcl_GetDouble(interp,argv[32],&tempd) != TCL_OK) error = 1;
    temp0[30] = tempd;
    if (Tcl_GetDouble(interp,argv[33],&tempd) != TCL_OK) error = 1;
    temp0[31] = tempd;
    if (Tcl_GetDouble(interp,argv[34],&tempd) != TCL_OK) error = 1;
    temp0[32] = tempd;
    if (Tcl_GetDouble(interp,argv[35],&tempd) != TCL_OK) error = 1;
    temp0[33] = tempd;
    if (Tcl_GetDouble(interp,argv[36],&tempd) != TCL_OK) error = 1;
    temp0[34] = tempd;
    if (Tcl_GetDouble(interp,argv[37],&tempd) != TCL_OK) error = 1;
    temp0[35] = tempd;
    if (Tcl_GetDouble(interp,argv[38],&tempd) != TCL_OK) error = 1;
    temp0[36] = tempd;
    if (Tcl_GetDouble(interp,argv[39],&tempd) != TCL_OK) error = 1;
    temp0[37] = tempd;
    if (Tcl_GetDouble(interp,argv[40],&tempd) != TCL_OK) error = 1;
    temp0[38] = tempd;
    if (Tcl_GetDouble(interp,argv[41],&tempd) != TCL_OK) error = 1;
    temp0[39] = tempd;
    if (Tcl_GetDouble(interp,argv[42],&tempd) != TCL_OK) error = 1;
    temp0[40] = tempd;
    if (Tcl_GetDouble(interp,argv[43],&tempd) != TCL_OK) error = 1;
    temp0[41] = tempd;
    if (Tcl_GetDouble(interp,argv[44],&tempd) != TCL_OK) error = 1;
    temp0[42] = tempd;
    if (Tcl_GetDouble(interp,argv[45],&tempd) != TCL_OK) error = 1;
    temp0[43] = tempd;
    if (Tcl_GetDouble(interp,argv[46],&tempd) != TCL_OK) error = 1;
    temp0[44] = tempd;
    if (Tcl_GetDouble(interp,argv[47],&tempd) != TCL_OK) error = 1;
    temp0[45] = tempd;
    if (Tcl_GetDouble(interp,argv[48],&tempd) != TCL_OK) error = 1;
    temp0[46] = tempd;
    if (Tcl_GetDouble(interp,argv[49],&tempd) != TCL_OK) error = 1;
    temp0[47] = tempd;
    if (Tcl_GetDouble(interp,argv[50],&tempd) != TCL_OK) error = 1;
    temp0[48] = tempd;
    if (!error)
    {
    op->SetKernel7x7(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKernel3x3",argv[1]))&&(argc == 11))
    {
    double temp0[9];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (!error)
    {
    op->GetKernel3x3(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKernel5x5",argv[1]))&&(argc == 27))
    {
    double temp0[25];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (Tcl_GetDouble(interp,argv[26],&tempd) != TCL_OK) error = 1;
    temp0[24] = tempd;
    if (!error)
    {
    op->GetKernel5x5(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKernel7x7",argv[1]))&&(argc == 51))
    {
    double temp0[49];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (Tcl_GetDouble(interp,argv[26],&tempd) != TCL_OK) error = 1;
    temp0[24] = tempd;
    if (Tcl_GetDouble(interp,argv[27],&tempd) != TCL_OK) error = 1;
    temp0[25] = tempd;
    if (Tcl_GetDouble(interp,argv[28],&tempd) != TCL_OK) error = 1;
    temp0[26] = tempd;
    if (Tcl_GetDouble(interp,argv[29],&tempd) != TCL_OK) error = 1;
    temp0[27] = tempd;
    if (Tcl_GetDouble(interp,argv[30],&tempd) != TCL_OK) error = 1;
    temp0[28] = tempd;
    if (Tcl_GetDouble(interp,argv[31],&tempd) != TCL_OK) error = 1;
    temp0[29] = tempd;
    if (Tcl_GetDouble(interp,argv[32],&tempd) != TCL_OK) error = 1;
    temp0[30] = tempd;
    if (Tcl_GetDouble(interp,argv[33],&tempd) != TCL_OK) error = 1;
    temp0[31] = tempd;
    if (Tcl_GetDouble(interp,argv[34],&tempd) != TCL_OK) error = 1;
    temp0[32] = tempd;
    if (Tcl_GetDouble(interp,argv[35],&tempd) != TCL_OK) error = 1;
    temp0[33] = tempd;
    if (Tcl_GetDouble(interp,argv[36],&tempd) != TCL_OK) error = 1;
    temp0[34] = tempd;
    if (Tcl_GetDouble(interp,argv[37],&tempd) != TCL_OK) error = 1;
    temp0[35] = tempd;
    if (Tcl_GetDouble(interp,argv[38],&tempd) != TCL_OK) error = 1;
    temp0[36] = tempd;
    if (Tcl_GetDouble(interp,argv[39],&tempd) != TCL_OK) error = 1;
    temp0[37] = tempd;
    if (Tcl_GetDouble(interp,argv[40],&tempd) != TCL_OK) error = 1;
    temp0[38] = tempd;
    if (Tcl_GetDouble(interp,argv[41],&tempd) != TCL_OK) error = 1;
    temp0[39] = tempd;
    if (Tcl_GetDouble(interp,argv[42],&tempd) != TCL_OK) error = 1;
    temp0[40] = tempd;
    if (Tcl_GetDouble(interp,argv[43],&tempd) != TCL_OK) error = 1;
    temp0[41] = tempd;
    if (Tcl_GetDouble(interp,argv[44],&tempd) != TCL_OK) error = 1;
    temp0[42] = tempd;
    if (Tcl_GetDouble(interp,argv[45],&tempd) != TCL_OK) error = 1;
    temp0[43] = tempd;
    if (Tcl_GetDouble(interp,argv[46],&tempd) != TCL_OK) error = 1;
    temp0[44] = tempd;
    if (Tcl_GetDouble(interp,argv[47],&tempd) != TCL_OK) error = 1;
    temp0[45] = tempd;
    if (Tcl_GetDouble(interp,argv[48],&tempd) != TCL_OK) error = 1;
    temp0[46] = tempd;
    if (Tcl_GetDouble(interp,argv[49],&tempd) != TCL_OK) error = 1;
    temp0[47] = tempd;
    if (Tcl_GetDouble(interp,argv[50],&tempd) != TCL_OK) error = 1;
    temp0[48] = tempd;
    if (!error)
    {
    op->GetKernel7x7(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKernel3x3x3",argv[1]))&&(argc == 29))
    {
    double temp0[27];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (Tcl_GetDouble(interp,argv[26],&tempd) != TCL_OK) error = 1;
    temp0[24] = tempd;
    if (Tcl_GetDouble(interp,argv[27],&tempd) != TCL_OK) error = 1;
    temp0[25] = tempd;
    if (Tcl_GetDouble(interp,argv[28],&tempd) != TCL_OK) error = 1;
    temp0[26] = tempd;
    if (!error)
    {
    op->SetKernel3x3x3(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKernel5x5x5",argv[1]))&&(argc == 127))
    {
    double temp0[125];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (Tcl_GetDouble(interp,argv[26],&tempd) != TCL_OK) error = 1;
    temp0[24] = tempd;
    if (Tcl_GetDouble(interp,argv[27],&tempd) != TCL_OK) error = 1;
    temp0[25] = tempd;
    if (Tcl_GetDouble(interp,argv[28],&tempd) != TCL_OK) error = 1;
    temp0[26] = tempd;
    if (Tcl_GetDouble(interp,argv[29],&tempd) != TCL_OK) error = 1;
    temp0[27] = tempd;
    if (Tcl_GetDouble(interp,argv[30],&tempd) != TCL_OK) error = 1;
    temp0[28] = tempd;
    if (Tcl_GetDouble(interp,argv[31],&tempd) != TCL_OK) error = 1;
    temp0[29] = tempd;
    if (Tcl_GetDouble(interp,argv[32],&tempd) != TCL_OK) error = 1;
    temp0[30] = tempd;
    if (Tcl_GetDouble(interp,argv[33],&tempd) != TCL_OK) error = 1;
    temp0[31] = tempd;
    if (Tcl_GetDouble(interp,argv[34],&tempd) != TCL_OK) error = 1;
    temp0[32] = tempd;
    if (Tcl_GetDouble(interp,argv[35],&tempd) != TCL_OK) error = 1;
    temp0[33] = tempd;
    if (Tcl_GetDouble(interp,argv[36],&tempd) != TCL_OK) error = 1;
    temp0[34] = tempd;
    if (Tcl_GetDouble(interp,argv[37],&tempd) != TCL_OK) error = 1;
    temp0[35] = tempd;
    if (Tcl_GetDouble(interp,argv[38],&tempd) != TCL_OK) error = 1;
    temp0[36] = tempd;
    if (Tcl_GetDouble(interp,argv[39],&tempd) != TCL_OK) error = 1;
    temp0[37] = tempd;
    if (Tcl_GetDouble(interp,argv[40],&tempd) != TCL_OK) error = 1;
    temp0[38] = tempd;
    if (Tcl_GetDouble(interp,argv[41],&tempd) != TCL_OK) error = 1;
    temp0[39] = tempd;
    if (Tcl_GetDouble(interp,argv[42],&tempd) != TCL_OK) error = 1;
    temp0[40] = tempd;
    if (Tcl_GetDouble(interp,argv[43],&tempd) != TCL_OK) error = 1;
    temp0[41] = tempd;
    if (Tcl_GetDouble(interp,argv[44],&tempd) != TCL_OK) error = 1;
    temp0[42] = tempd;
    if (Tcl_GetDouble(interp,argv[45],&tempd) != TCL_OK) error = 1;
    temp0[43] = tempd;
    if (Tcl_GetDouble(interp,argv[46],&tempd) != TCL_OK) error = 1;
    temp0[44] = tempd;
    if (Tcl_GetDouble(interp,argv[47],&tempd) != TCL_OK) error = 1;
    temp0[45] = tempd;
    if (Tcl_GetDouble(interp,argv[48],&tempd) != TCL_OK) error = 1;
    temp0[46] = tempd;
    if (Tcl_GetDouble(interp,argv[49],&tempd) != TCL_OK) error = 1;
    temp0[47] = tempd;
    if (Tcl_GetDouble(interp,argv[50],&tempd) != TCL_OK) error = 1;
    temp0[48] = tempd;
    if (Tcl_GetDouble(interp,argv[51],&tempd) != TCL_OK) error = 1;
    temp0[49] = tempd;
    if (Tcl_GetDouble(interp,argv[52],&tempd) != TCL_OK) error = 1;
    temp0[50] = tempd;
    if (Tcl_GetDouble(interp,argv[53],&tempd) != TCL_OK) error = 1;
    temp0[51] = tempd;
    if (Tcl_GetDouble(interp,argv[54],&tempd) != TCL_OK) error = 1;
    temp0[52] = tempd;
    if (Tcl_GetDouble(interp,argv[55],&tempd) != TCL_OK) error = 1;
    temp0[53] = tempd;
    if (Tcl_GetDouble(interp,argv[56],&tempd) != TCL_OK) error = 1;
    temp0[54] = tempd;
    if (Tcl_GetDouble(interp,argv[57],&tempd) != TCL_OK) error = 1;
    temp0[55] = tempd;
    if (Tcl_GetDouble(interp,argv[58],&tempd) != TCL_OK) error = 1;
    temp0[56] = tempd;
    if (Tcl_GetDouble(interp,argv[59],&tempd) != TCL_OK) error = 1;
    temp0[57] = tempd;
    if (Tcl_GetDouble(interp,argv[60],&tempd) != TCL_OK) error = 1;
    temp0[58] = tempd;
    if (Tcl_GetDouble(interp,argv[61],&tempd) != TCL_OK) error = 1;
    temp0[59] = tempd;
    if (Tcl_GetDouble(interp,argv[62],&tempd) != TCL_OK) error = 1;
    temp0[60] = tempd;
    if (Tcl_GetDouble(interp,argv[63],&tempd) != TCL_OK) error = 1;
    temp0[61] = tempd;
    if (Tcl_GetDouble(interp,argv[64],&tempd) != TCL_OK) error = 1;
    temp0[62] = tempd;
    if (Tcl_GetDouble(interp,argv[65],&tempd) != TCL_OK) error = 1;
    temp0[63] = tempd;
    if (Tcl_GetDouble(interp,argv[66],&tempd) != TCL_OK) error = 1;
    temp0[64] = tempd;
    if (Tcl_GetDouble(interp,argv[67],&tempd) != TCL_OK) error = 1;
    temp0[65] = tempd;
    if (Tcl_GetDouble(interp,argv[68],&tempd) != TCL_OK) error = 1;
    temp0[66] = tempd;
    if (Tcl_GetDouble(interp,argv[69],&tempd) != TCL_OK) error = 1;
    temp0[67] = tempd;
    if (Tcl_GetDouble(interp,argv[70],&tempd) != TCL_OK) error = 1;
    temp0[68] = tempd;
    if (Tcl_GetDouble(interp,argv[71],&tempd) != TCL_OK) error = 1;
    temp0[69] = tempd;
    if (Tcl_GetDouble(interp,argv[72],&tempd) != TCL_OK) error = 1;
    temp0[70] = tempd;
    if (Tcl_GetDouble(interp,argv[73],&tempd) != TCL_OK) error = 1;
    temp0[71] = tempd;
    if (Tcl_GetDouble(interp,argv[74],&tempd) != TCL_OK) error = 1;
    temp0[72] = tempd;
    if (Tcl_GetDouble(interp,argv[75],&tempd) != TCL_OK) error = 1;
    temp0[73] = tempd;
    if (Tcl_GetDouble(interp,argv[76],&tempd) != TCL_OK) error = 1;
    temp0[74] = tempd;
    if (Tcl_GetDouble(interp,argv[77],&tempd) != TCL_OK) error = 1;
    temp0[75] = tempd;
    if (Tcl_GetDouble(interp,argv[78],&tempd) != TCL_OK) error = 1;
    temp0[76] = tempd;
    if (Tcl_GetDouble(interp,argv[79],&tempd) != TCL_OK) error = 1;
    temp0[77] = tempd;
    if (Tcl_GetDouble(interp,argv[80],&tempd) != TCL_OK) error = 1;
    temp0[78] = tempd;
    if (Tcl_GetDouble(interp,argv[81],&tempd) != TCL_OK) error = 1;
    temp0[79] = tempd;
    if (Tcl_GetDouble(interp,argv[82],&tempd) != TCL_OK) error = 1;
    temp0[80] = tempd;
    if (Tcl_GetDouble(interp,argv[83],&tempd) != TCL_OK) error = 1;
    temp0[81] = tempd;
    if (Tcl_GetDouble(interp,argv[84],&tempd) != TCL_OK) error = 1;
    temp0[82] = tempd;
    if (Tcl_GetDouble(interp,argv[85],&tempd) != TCL_OK) error = 1;
    temp0[83] = tempd;
    if (Tcl_GetDouble(interp,argv[86],&tempd) != TCL_OK) error = 1;
    temp0[84] = tempd;
    if (Tcl_GetDouble(interp,argv[87],&tempd) != TCL_OK) error = 1;
    temp0[85] = tempd;
    if (Tcl_GetDouble(interp,argv[88],&tempd) != TCL_OK) error = 1;
    temp0[86] = tempd;
    if (Tcl_GetDouble(interp,argv[89],&tempd) != TCL_OK) error = 1;
    temp0[87] = tempd;
    if (Tcl_GetDouble(interp,argv[90],&tempd) != TCL_OK) error = 1;
    temp0[88] = tempd;
    if (Tcl_GetDouble(interp,argv[91],&tempd) != TCL_OK) error = 1;
    temp0[89] = tempd;
    if (Tcl_GetDouble(interp,argv[92],&tempd) != TCL_OK) error = 1;
    temp0[90] = tempd;
    if (Tcl_GetDouble(interp,argv[93],&tempd) != TCL_OK) error = 1;
    temp0[91] = tempd;
    if (Tcl_GetDouble(interp,argv[94],&tempd) != TCL_OK) error = 1;
    temp0[92] = tempd;
    if (Tcl_GetDouble(interp,argv[95],&tempd) != TCL_OK) error = 1;
    temp0[93] = tempd;
    if (Tcl_GetDouble(interp,argv[96],&tempd) != TCL_OK) error = 1;
    temp0[94] = tempd;
    if (Tcl_GetDouble(interp,argv[97],&tempd) != TCL_OK) error = 1;
    temp0[95] = tempd;
    if (Tcl_GetDouble(interp,argv[98],&tempd) != TCL_OK) error = 1;
    temp0[96] = tempd;
    if (Tcl_GetDouble(interp,argv[99],&tempd) != TCL_OK) error = 1;
    temp0[97] = tempd;
    if (Tcl_GetDouble(interp,argv[100],&tempd) != TCL_OK) error = 1;
    temp0[98] = tempd;
    if (Tcl_GetDouble(interp,argv[101],&tempd) != TCL_OK) error = 1;
    temp0[99] = tempd;
    if (Tcl_GetDouble(interp,argv[102],&tempd) != TCL_OK) error = 1;
    temp0[100] = tempd;
    if (Tcl_GetDouble(interp,argv[103],&tempd) != TCL_OK) error = 1;
    temp0[101] = tempd;
    if (Tcl_GetDouble(interp,argv[104],&tempd) != TCL_OK) error = 1;
    temp0[102] = tempd;
    if (Tcl_GetDouble(interp,argv[105],&tempd) != TCL_OK) error = 1;
    temp0[103] = tempd;
    if (Tcl_GetDouble(interp,argv[106],&tempd) != TCL_OK) error = 1;
    temp0[104] = tempd;
    if (Tcl_GetDouble(interp,argv[107],&tempd) != TCL_OK) error = 1;
    temp0[105] = tempd;
    if (Tcl_GetDouble(interp,argv[108],&tempd) != TCL_OK) error = 1;
    temp0[106] = tempd;
    if (Tcl_GetDouble(interp,argv[109],&tempd) != TCL_OK) error = 1;
    temp0[107] = tempd;
    if (Tcl_GetDouble(interp,argv[110],&tempd) != TCL_OK) error = 1;
    temp0[108] = tempd;
    if (Tcl_GetDouble(interp,argv[111],&tempd) != TCL_OK) error = 1;
    temp0[109] = tempd;
    if (Tcl_GetDouble(interp,argv[112],&tempd) != TCL_OK) error = 1;
    temp0[110] = tempd;
    if (Tcl_GetDouble(interp,argv[113],&tempd) != TCL_OK) error = 1;
    temp0[111] = tempd;
    if (Tcl_GetDouble(interp,argv[114],&tempd) != TCL_OK) error = 1;
    temp0[112] = tempd;
    if (Tcl_GetDouble(interp,argv[115],&tempd) != TCL_OK) error = 1;
    temp0[113] = tempd;
    if (Tcl_GetDouble(interp,argv[116],&tempd) != TCL_OK) error = 1;
    temp0[114] = tempd;
    if (Tcl_GetDouble(interp,argv[117],&tempd) != TCL_OK) error = 1;
    temp0[115] = tempd;
    if (Tcl_GetDouble(interp,argv[118],&tempd) != TCL_OK) error = 1;
    temp0[116] = tempd;
    if (Tcl_GetDouble(interp,argv[119],&tempd) != TCL_OK) error = 1;
    temp0[117] = tempd;
    if (Tcl_GetDouble(interp,argv[120],&tempd) != TCL_OK) error = 1;
    temp0[118] = tempd;
    if (Tcl_GetDouble(interp,argv[121],&tempd) != TCL_OK) error = 1;
    temp0[119] = tempd;
    if (Tcl_GetDouble(interp,argv[122],&tempd) != TCL_OK) error = 1;
    temp0[120] = tempd;
    if (Tcl_GetDouble(interp,argv[123],&tempd) != TCL_OK) error = 1;
    temp0[121] = tempd;
    if (Tcl_GetDouble(interp,argv[124],&tempd) != TCL_OK) error = 1;
    temp0[122] = tempd;
    if (Tcl_GetDouble(interp,argv[125],&tempd) != TCL_OK) error = 1;
    temp0[123] = tempd;
    if (Tcl_GetDouble(interp,argv[126],&tempd) != TCL_OK) error = 1;
    temp0[124] = tempd;
    if (!error)
    {
    op->SetKernel5x5x5(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetKernel7x7x7",argv[1]))&&(argc == 345))
    {
    double temp0[343];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (Tcl_GetDouble(interp,argv[26],&tempd) != TCL_OK) error = 1;
    temp0[24] = tempd;
    if (Tcl_GetDouble(interp,argv[27],&tempd) != TCL_OK) error = 1;
    temp0[25] = tempd;
    if (Tcl_GetDouble(interp,argv[28],&tempd) != TCL_OK) error = 1;
    temp0[26] = tempd;
    if (Tcl_GetDouble(interp,argv[29],&tempd) != TCL_OK) error = 1;
    temp0[27] = tempd;
    if (Tcl_GetDouble(interp,argv[30],&tempd) != TCL_OK) error = 1;
    temp0[28] = tempd;
    if (Tcl_GetDouble(interp,argv[31],&tempd) != TCL_OK) error = 1;
    temp0[29] = tempd;
    if (Tcl_GetDouble(interp,argv[32],&tempd) != TCL_OK) error = 1;
    temp0[30] = tempd;
    if (Tcl_GetDouble(interp,argv[33],&tempd) != TCL_OK) error = 1;
    temp0[31] = tempd;
    if (Tcl_GetDouble(interp,argv[34],&tempd) != TCL_OK) error = 1;
    temp0[32] = tempd;
    if (Tcl_GetDouble(interp,argv[35],&tempd) != TCL_OK) error = 1;
    temp0[33] = tempd;
    if (Tcl_GetDouble(interp,argv[36],&tempd) != TCL_OK) error = 1;
    temp0[34] = tempd;
    if (Tcl_GetDouble(interp,argv[37],&tempd) != TCL_OK) error = 1;
    temp0[35] = tempd;
    if (Tcl_GetDouble(interp,argv[38],&tempd) != TCL_OK) error = 1;
    temp0[36] = tempd;
    if (Tcl_GetDouble(interp,argv[39],&tempd) != TCL_OK) error = 1;
    temp0[37] = tempd;
    if (Tcl_GetDouble(interp,argv[40],&tempd) != TCL_OK) error = 1;
    temp0[38] = tempd;
    if (Tcl_GetDouble(interp,argv[41],&tempd) != TCL_OK) error = 1;
    temp0[39] = tempd;
    if (Tcl_GetDouble(interp,argv[42],&tempd) != TCL_OK) error = 1;
    temp0[40] = tempd;
    if (Tcl_GetDouble(interp,argv[43],&tempd) != TCL_OK) error = 1;
    temp0[41] = tempd;
    if (Tcl_GetDouble(interp,argv[44],&tempd) != TCL_OK) error = 1;
    temp0[42] = tempd;
    if (Tcl_GetDouble(interp,argv[45],&tempd) != TCL_OK) error = 1;
    temp0[43] = tempd;
    if (Tcl_GetDouble(interp,argv[46],&tempd) != TCL_OK) error = 1;
    temp0[44] = tempd;
    if (Tcl_GetDouble(interp,argv[47],&tempd) != TCL_OK) error = 1;
    temp0[45] = tempd;
    if (Tcl_GetDouble(interp,argv[48],&tempd) != TCL_OK) error = 1;
    temp0[46] = tempd;
    if (Tcl_GetDouble(interp,argv[49],&tempd) != TCL_OK) error = 1;
    temp0[47] = tempd;
    if (Tcl_GetDouble(interp,argv[50],&tempd) != TCL_OK) error = 1;
    temp0[48] = tempd;
    if (Tcl_GetDouble(interp,argv[51],&tempd) != TCL_OK) error = 1;
    temp0[49] = tempd;
    if (Tcl_GetDouble(interp,argv[52],&tempd) != TCL_OK) error = 1;
    temp0[50] = tempd;
    if (Tcl_GetDouble(interp,argv[53],&tempd) != TCL_OK) error = 1;
    temp0[51] = tempd;
    if (Tcl_GetDouble(interp,argv[54],&tempd) != TCL_OK) error = 1;
    temp0[52] = tempd;
    if (Tcl_GetDouble(interp,argv[55],&tempd) != TCL_OK) error = 1;
    temp0[53] = tempd;
    if (Tcl_GetDouble(interp,argv[56],&tempd) != TCL_OK) error = 1;
    temp0[54] = tempd;
    if (Tcl_GetDouble(interp,argv[57],&tempd) != TCL_OK) error = 1;
    temp0[55] = tempd;
    if (Tcl_GetDouble(interp,argv[58],&tempd) != TCL_OK) error = 1;
    temp0[56] = tempd;
    if (Tcl_GetDouble(interp,argv[59],&tempd) != TCL_OK) error = 1;
    temp0[57] = tempd;
    if (Tcl_GetDouble(interp,argv[60],&tempd) != TCL_OK) error = 1;
    temp0[58] = tempd;
    if (Tcl_GetDouble(interp,argv[61],&tempd) != TCL_OK) error = 1;
    temp0[59] = tempd;
    if (Tcl_GetDouble(interp,argv[62],&tempd) != TCL_OK) error = 1;
    temp0[60] = tempd;
    if (Tcl_GetDouble(interp,argv[63],&tempd) != TCL_OK) error = 1;
    temp0[61] = tempd;
    if (Tcl_GetDouble(interp,argv[64],&tempd) != TCL_OK) error = 1;
    temp0[62] = tempd;
    if (Tcl_GetDouble(interp,argv[65],&tempd) != TCL_OK) error = 1;
    temp0[63] = tempd;
    if (Tcl_GetDouble(interp,argv[66],&tempd) != TCL_OK) error = 1;
    temp0[64] = tempd;
    if (Tcl_GetDouble(interp,argv[67],&tempd) != TCL_OK) error = 1;
    temp0[65] = tempd;
    if (Tcl_GetDouble(interp,argv[68],&tempd) != TCL_OK) error = 1;
    temp0[66] = tempd;
    if (Tcl_GetDouble(interp,argv[69],&tempd) != TCL_OK) error = 1;
    temp0[67] = tempd;
    if (Tcl_GetDouble(interp,argv[70],&tempd) != TCL_OK) error = 1;
    temp0[68] = tempd;
    if (Tcl_GetDouble(interp,argv[71],&tempd) != TCL_OK) error = 1;
    temp0[69] = tempd;
    if (Tcl_GetDouble(interp,argv[72],&tempd) != TCL_OK) error = 1;
    temp0[70] = tempd;
    if (Tcl_GetDouble(interp,argv[73],&tempd) != TCL_OK) error = 1;
    temp0[71] = tempd;
    if (Tcl_GetDouble(interp,argv[74],&tempd) != TCL_OK) error = 1;
    temp0[72] = tempd;
    if (Tcl_GetDouble(interp,argv[75],&tempd) != TCL_OK) error = 1;
    temp0[73] = tempd;
    if (Tcl_GetDouble(interp,argv[76],&tempd) != TCL_OK) error = 1;
    temp0[74] = tempd;
    if (Tcl_GetDouble(interp,argv[77],&tempd) != TCL_OK) error = 1;
    temp0[75] = tempd;
    if (Tcl_GetDouble(interp,argv[78],&tempd) != TCL_OK) error = 1;
    temp0[76] = tempd;
    if (Tcl_GetDouble(interp,argv[79],&tempd) != TCL_OK) error = 1;
    temp0[77] = tempd;
    if (Tcl_GetDouble(interp,argv[80],&tempd) != TCL_OK) error = 1;
    temp0[78] = tempd;
    if (Tcl_GetDouble(interp,argv[81],&tempd) != TCL_OK) error = 1;
    temp0[79] = tempd;
    if (Tcl_GetDouble(interp,argv[82],&tempd) != TCL_OK) error = 1;
    temp0[80] = tempd;
    if (Tcl_GetDouble(interp,argv[83],&tempd) != TCL_OK) error = 1;
    temp0[81] = tempd;
    if (Tcl_GetDouble(interp,argv[84],&tempd) != TCL_OK) error = 1;
    temp0[82] = tempd;
    if (Tcl_GetDouble(interp,argv[85],&tempd) != TCL_OK) error = 1;
    temp0[83] = tempd;
    if (Tcl_GetDouble(interp,argv[86],&tempd) != TCL_OK) error = 1;
    temp0[84] = tempd;
    if (Tcl_GetDouble(interp,argv[87],&tempd) != TCL_OK) error = 1;
    temp0[85] = tempd;
    if (Tcl_GetDouble(interp,argv[88],&tempd) != TCL_OK) error = 1;
    temp0[86] = tempd;
    if (Tcl_GetDouble(interp,argv[89],&tempd) != TCL_OK) error = 1;
    temp0[87] = tempd;
    if (Tcl_GetDouble(interp,argv[90],&tempd) != TCL_OK) error = 1;
    temp0[88] = tempd;
    if (Tcl_GetDouble(interp,argv[91],&tempd) != TCL_OK) error = 1;
    temp0[89] = tempd;
    if (Tcl_GetDouble(interp,argv[92],&tempd) != TCL_OK) error = 1;
    temp0[90] = tempd;
    if (Tcl_GetDouble(interp,argv[93],&tempd) != TCL_OK) error = 1;
    temp0[91] = tempd;
    if (Tcl_GetDouble(interp,argv[94],&tempd) != TCL_OK) error = 1;
    temp0[92] = tempd;
    if (Tcl_GetDouble(interp,argv[95],&tempd) != TCL_OK) error = 1;
    temp0[93] = tempd;
    if (Tcl_GetDouble(interp,argv[96],&tempd) != TCL_OK) error = 1;
    temp0[94] = tempd;
    if (Tcl_GetDouble(interp,argv[97],&tempd) != TCL_OK) error = 1;
    temp0[95] = tempd;
    if (Tcl_GetDouble(interp,argv[98],&tempd) != TCL_OK) error = 1;
    temp0[96] = tempd;
    if (Tcl_GetDouble(interp,argv[99],&tempd) != TCL_OK) error = 1;
    temp0[97] = tempd;
    if (Tcl_GetDouble(interp,argv[100],&tempd) != TCL_OK) error = 1;
    temp0[98] = tempd;
    if (Tcl_GetDouble(interp,argv[101],&tempd) != TCL_OK) error = 1;
    temp0[99] = tempd;
    if (Tcl_GetDouble(interp,argv[102],&tempd) != TCL_OK) error = 1;
    temp0[100] = tempd;
    if (Tcl_GetDouble(interp,argv[103],&tempd) != TCL_OK) error = 1;
    temp0[101] = tempd;
    if (Tcl_GetDouble(interp,argv[104],&tempd) != TCL_OK) error = 1;
    temp0[102] = tempd;
    if (Tcl_GetDouble(interp,argv[105],&tempd) != TCL_OK) error = 1;
    temp0[103] = tempd;
    if (Tcl_GetDouble(interp,argv[106],&tempd) != TCL_OK) error = 1;
    temp0[104] = tempd;
    if (Tcl_GetDouble(interp,argv[107],&tempd) != TCL_OK) error = 1;
    temp0[105] = tempd;
    if (Tcl_GetDouble(interp,argv[108],&tempd) != TCL_OK) error = 1;
    temp0[106] = tempd;
    if (Tcl_GetDouble(interp,argv[109],&tempd) != TCL_OK) error = 1;
    temp0[107] = tempd;
    if (Tcl_GetDouble(interp,argv[110],&tempd) != TCL_OK) error = 1;
    temp0[108] = tempd;
    if (Tcl_GetDouble(interp,argv[111],&tempd) != TCL_OK) error = 1;
    temp0[109] = tempd;
    if (Tcl_GetDouble(interp,argv[112],&tempd) != TCL_OK) error = 1;
    temp0[110] = tempd;
    if (Tcl_GetDouble(interp,argv[113],&tempd) != TCL_OK) error = 1;
    temp0[111] = tempd;
    if (Tcl_GetDouble(interp,argv[114],&tempd) != TCL_OK) error = 1;
    temp0[112] = tempd;
    if (Tcl_GetDouble(interp,argv[115],&tempd) != TCL_OK) error = 1;
    temp0[113] = tempd;
    if (Tcl_GetDouble(interp,argv[116],&tempd) != TCL_OK) error = 1;
    temp0[114] = tempd;
    if (Tcl_GetDouble(interp,argv[117],&tempd) != TCL_OK) error = 1;
    temp0[115] = tempd;
    if (Tcl_GetDouble(interp,argv[118],&tempd) != TCL_OK) error = 1;
    temp0[116] = tempd;
    if (Tcl_GetDouble(interp,argv[119],&tempd) != TCL_OK) error = 1;
    temp0[117] = tempd;
    if (Tcl_GetDouble(interp,argv[120],&tempd) != TCL_OK) error = 1;
    temp0[118] = tempd;
    if (Tcl_GetDouble(interp,argv[121],&tempd) != TCL_OK) error = 1;
    temp0[119] = tempd;
    if (Tcl_GetDouble(interp,argv[122],&tempd) != TCL_OK) error = 1;
    temp0[120] = tempd;
    if (Tcl_GetDouble(interp,argv[123],&tempd) != TCL_OK) error = 1;
    temp0[121] = tempd;
    if (Tcl_GetDouble(interp,argv[124],&tempd) != TCL_OK) error = 1;
    temp0[122] = tempd;
    if (Tcl_GetDouble(interp,argv[125],&tempd) != TCL_OK) error = 1;
    temp0[123] = tempd;
    if (Tcl_GetDouble(interp,argv[126],&tempd) != TCL_OK) error = 1;
    temp0[124] = tempd;
    if (Tcl_GetDouble(interp,argv[127],&tempd) != TCL_OK) error = 1;
    temp0[125] = tempd;
    if (Tcl_GetDouble(interp,argv[128],&tempd) != TCL_OK) error = 1;
    temp0[126] = tempd;
    if (Tcl_GetDouble(interp,argv[129],&tempd) != TCL_OK) error = 1;
    temp0[127] = tempd;
    if (Tcl_GetDouble(interp,argv[130],&tempd) != TCL_OK) error = 1;
    temp0[128] = tempd;
    if (Tcl_GetDouble(interp,argv[131],&tempd) != TCL_OK) error = 1;
    temp0[129] = tempd;
    if (Tcl_GetDouble(interp,argv[132],&tempd) != TCL_OK) error = 1;
    temp0[130] = tempd;
    if (Tcl_GetDouble(interp,argv[133],&tempd) != TCL_OK) error = 1;
    temp0[131] = tempd;
    if (Tcl_GetDouble(interp,argv[134],&tempd) != TCL_OK) error = 1;
    temp0[132] = tempd;
    if (Tcl_GetDouble(interp,argv[135],&tempd) != TCL_OK) error = 1;
    temp0[133] = tempd;
    if (Tcl_GetDouble(interp,argv[136],&tempd) != TCL_OK) error = 1;
    temp0[134] = tempd;
    if (Tcl_GetDouble(interp,argv[137],&tempd) != TCL_OK) error = 1;
    temp0[135] = tempd;
    if (Tcl_GetDouble(interp,argv[138],&tempd) != TCL_OK) error = 1;
    temp0[136] = tempd;
    if (Tcl_GetDouble(interp,argv[139],&tempd) != TCL_OK) error = 1;
    temp0[137] = tempd;
    if (Tcl_GetDouble(interp,argv[140],&tempd) != TCL_OK) error = 1;
    temp0[138] = tempd;
    if (Tcl_GetDouble(interp,argv[141],&tempd) != TCL_OK) error = 1;
    temp0[139] = tempd;
    if (Tcl_GetDouble(interp,argv[142],&tempd) != TCL_OK) error = 1;
    temp0[140] = tempd;
    if (Tcl_GetDouble(interp,argv[143],&tempd) != TCL_OK) error = 1;
    temp0[141] = tempd;
    if (Tcl_GetDouble(interp,argv[144],&tempd) != TCL_OK) error = 1;
    temp0[142] = tempd;
    if (Tcl_GetDouble(interp,argv[145],&tempd) != TCL_OK) error = 1;
    temp0[143] = tempd;
    if (Tcl_GetDouble(interp,argv[146],&tempd) != TCL_OK) error = 1;
    temp0[144] = tempd;
    if (Tcl_GetDouble(interp,argv[147],&tempd) != TCL_OK) error = 1;
    temp0[145] = tempd;
    if (Tcl_GetDouble(interp,argv[148],&tempd) != TCL_OK) error = 1;
    temp0[146] = tempd;
    if (Tcl_GetDouble(interp,argv[149],&tempd) != TCL_OK) error = 1;
    temp0[147] = tempd;
    if (Tcl_GetDouble(interp,argv[150],&tempd) != TCL_OK) error = 1;
    temp0[148] = tempd;
    if (Tcl_GetDouble(interp,argv[151],&tempd) != TCL_OK) error = 1;
    temp0[149] = tempd;
    if (Tcl_GetDouble(interp,argv[152],&tempd) != TCL_OK) error = 1;
    temp0[150] = tempd;
    if (Tcl_GetDouble(interp,argv[153],&tempd) != TCL_OK) error = 1;
    temp0[151] = tempd;
    if (Tcl_GetDouble(interp,argv[154],&tempd) != TCL_OK) error = 1;
    temp0[152] = tempd;
    if (Tcl_GetDouble(interp,argv[155],&tempd) != TCL_OK) error = 1;
    temp0[153] = tempd;
    if (Tcl_GetDouble(interp,argv[156],&tempd) != TCL_OK) error = 1;
    temp0[154] = tempd;
    if (Tcl_GetDouble(interp,argv[157],&tempd) != TCL_OK) error = 1;
    temp0[155] = tempd;
    if (Tcl_GetDouble(interp,argv[158],&tempd) != TCL_OK) error = 1;
    temp0[156] = tempd;
    if (Tcl_GetDouble(interp,argv[159],&tempd) != TCL_OK) error = 1;
    temp0[157] = tempd;
    if (Tcl_GetDouble(interp,argv[160],&tempd) != TCL_OK) error = 1;
    temp0[158] = tempd;
    if (Tcl_GetDouble(interp,argv[161],&tempd) != TCL_OK) error = 1;
    temp0[159] = tempd;
    if (Tcl_GetDouble(interp,argv[162],&tempd) != TCL_OK) error = 1;
    temp0[160] = tempd;
    if (Tcl_GetDouble(interp,argv[163],&tempd) != TCL_OK) error = 1;
    temp0[161] = tempd;
    if (Tcl_GetDouble(interp,argv[164],&tempd) != TCL_OK) error = 1;
    temp0[162] = tempd;
    if (Tcl_GetDouble(interp,argv[165],&tempd) != TCL_OK) error = 1;
    temp0[163] = tempd;
    if (Tcl_GetDouble(interp,argv[166],&tempd) != TCL_OK) error = 1;
    temp0[164] = tempd;
    if (Tcl_GetDouble(interp,argv[167],&tempd) != TCL_OK) error = 1;
    temp0[165] = tempd;
    if (Tcl_GetDouble(interp,argv[168],&tempd) != TCL_OK) error = 1;
    temp0[166] = tempd;
    if (Tcl_GetDouble(interp,argv[169],&tempd) != TCL_OK) error = 1;
    temp0[167] = tempd;
    if (Tcl_GetDouble(interp,argv[170],&tempd) != TCL_OK) error = 1;
    temp0[168] = tempd;
    if (Tcl_GetDouble(interp,argv[171],&tempd) != TCL_OK) error = 1;
    temp0[169] = tempd;
    if (Tcl_GetDouble(interp,argv[172],&tempd) != TCL_OK) error = 1;
    temp0[170] = tempd;
    if (Tcl_GetDouble(interp,argv[173],&tempd) != TCL_OK) error = 1;
    temp0[171] = tempd;
    if (Tcl_GetDouble(interp,argv[174],&tempd) != TCL_OK) error = 1;
    temp0[172] = tempd;
    if (Tcl_GetDouble(interp,argv[175],&tempd) != TCL_OK) error = 1;
    temp0[173] = tempd;
    if (Tcl_GetDouble(interp,argv[176],&tempd) != TCL_OK) error = 1;
    temp0[174] = tempd;
    if (Tcl_GetDouble(interp,argv[177],&tempd) != TCL_OK) error = 1;
    temp0[175] = tempd;
    if (Tcl_GetDouble(interp,argv[178],&tempd) != TCL_OK) error = 1;
    temp0[176] = tempd;
    if (Tcl_GetDouble(interp,argv[179],&tempd) != TCL_OK) error = 1;
    temp0[177] = tempd;
    if (Tcl_GetDouble(interp,argv[180],&tempd) != TCL_OK) error = 1;
    temp0[178] = tempd;
    if (Tcl_GetDouble(interp,argv[181],&tempd) != TCL_OK) error = 1;
    temp0[179] = tempd;
    if (Tcl_GetDouble(interp,argv[182],&tempd) != TCL_OK) error = 1;
    temp0[180] = tempd;
    if (Tcl_GetDouble(interp,argv[183],&tempd) != TCL_OK) error = 1;
    temp0[181] = tempd;
    if (Tcl_GetDouble(interp,argv[184],&tempd) != TCL_OK) error = 1;
    temp0[182] = tempd;
    if (Tcl_GetDouble(interp,argv[185],&tempd) != TCL_OK) error = 1;
    temp0[183] = tempd;
    if (Tcl_GetDouble(interp,argv[186],&tempd) != TCL_OK) error = 1;
    temp0[184] = tempd;
    if (Tcl_GetDouble(interp,argv[187],&tempd) != TCL_OK) error = 1;
    temp0[185] = tempd;
    if (Tcl_GetDouble(interp,argv[188],&tempd) != TCL_OK) error = 1;
    temp0[186] = tempd;
    if (Tcl_GetDouble(interp,argv[189],&tempd) != TCL_OK) error = 1;
    temp0[187] = tempd;
    if (Tcl_GetDouble(interp,argv[190],&tempd) != TCL_OK) error = 1;
    temp0[188] = tempd;
    if (Tcl_GetDouble(interp,argv[191],&tempd) != TCL_OK) error = 1;
    temp0[189] = tempd;
    if (Tcl_GetDouble(interp,argv[192],&tempd) != TCL_OK) error = 1;
    temp0[190] = tempd;
    if (Tcl_GetDouble(interp,argv[193],&tempd) != TCL_OK) error = 1;
    temp0[191] = tempd;
    if (Tcl_GetDouble(interp,argv[194],&tempd) != TCL_OK) error = 1;
    temp0[192] = tempd;
    if (Tcl_GetDouble(interp,argv[195],&tempd) != TCL_OK) error = 1;
    temp0[193] = tempd;
    if (Tcl_GetDouble(interp,argv[196],&tempd) != TCL_OK) error = 1;
    temp0[194] = tempd;
    if (Tcl_GetDouble(interp,argv[197],&tempd) != TCL_OK) error = 1;
    temp0[195] = tempd;
    if (Tcl_GetDouble(interp,argv[198],&tempd) != TCL_OK) error = 1;
    temp0[196] = tempd;
    if (Tcl_GetDouble(interp,argv[199],&tempd) != TCL_OK) error = 1;
    temp0[197] = tempd;
    if (Tcl_GetDouble(interp,argv[200],&tempd) != TCL_OK) error = 1;
    temp0[198] = tempd;
    if (Tcl_GetDouble(interp,argv[201],&tempd) != TCL_OK) error = 1;
    temp0[199] = tempd;
    if (Tcl_GetDouble(interp,argv[202],&tempd) != TCL_OK) error = 1;
    temp0[200] = tempd;
    if (Tcl_GetDouble(interp,argv[203],&tempd) != TCL_OK) error = 1;
    temp0[201] = tempd;
    if (Tcl_GetDouble(interp,argv[204],&tempd) != TCL_OK) error = 1;
    temp0[202] = tempd;
    if (Tcl_GetDouble(interp,argv[205],&tempd) != TCL_OK) error = 1;
    temp0[203] = tempd;
    if (Tcl_GetDouble(interp,argv[206],&tempd) != TCL_OK) error = 1;
    temp0[204] = tempd;
    if (Tcl_GetDouble(interp,argv[207],&tempd) != TCL_OK) error = 1;
    temp0[205] = tempd;
    if (Tcl_GetDouble(interp,argv[208],&tempd) != TCL_OK) error = 1;
    temp0[206] = tempd;
    if (Tcl_GetDouble(interp,argv[209],&tempd) != TCL_OK) error = 1;
    temp0[207] = tempd;
    if (Tcl_GetDouble(interp,argv[210],&tempd) != TCL_OK) error = 1;
    temp0[208] = tempd;
    if (Tcl_GetDouble(interp,argv[211],&tempd) != TCL_OK) error = 1;
    temp0[209] = tempd;
    if (Tcl_GetDouble(interp,argv[212],&tempd) != TCL_OK) error = 1;
    temp0[210] = tempd;
    if (Tcl_GetDouble(interp,argv[213],&tempd) != TCL_OK) error = 1;
    temp0[211] = tempd;
    if (Tcl_GetDouble(interp,argv[214],&tempd) != TCL_OK) error = 1;
    temp0[212] = tempd;
    if (Tcl_GetDouble(interp,argv[215],&tempd) != TCL_OK) error = 1;
    temp0[213] = tempd;
    if (Tcl_GetDouble(interp,argv[216],&tempd) != TCL_OK) error = 1;
    temp0[214] = tempd;
    if (Tcl_GetDouble(interp,argv[217],&tempd) != TCL_OK) error = 1;
    temp0[215] = tempd;
    if (Tcl_GetDouble(interp,argv[218],&tempd) != TCL_OK) error = 1;
    temp0[216] = tempd;
    if (Tcl_GetDouble(interp,argv[219],&tempd) != TCL_OK) error = 1;
    temp0[217] = tempd;
    if (Tcl_GetDouble(interp,argv[220],&tempd) != TCL_OK) error = 1;
    temp0[218] = tempd;
    if (Tcl_GetDouble(interp,argv[221],&tempd) != TCL_OK) error = 1;
    temp0[219] = tempd;
    if (Tcl_GetDouble(interp,argv[222],&tempd) != TCL_OK) error = 1;
    temp0[220] = tempd;
    if (Tcl_GetDouble(interp,argv[223],&tempd) != TCL_OK) error = 1;
    temp0[221] = tempd;
    if (Tcl_GetDouble(interp,argv[224],&tempd) != TCL_OK) error = 1;
    temp0[222] = tempd;
    if (Tcl_GetDouble(interp,argv[225],&tempd) != TCL_OK) error = 1;
    temp0[223] = tempd;
    if (Tcl_GetDouble(interp,argv[226],&tempd) != TCL_OK) error = 1;
    temp0[224] = tempd;
    if (Tcl_GetDouble(interp,argv[227],&tempd) != TCL_OK) error = 1;
    temp0[225] = tempd;
    if (Tcl_GetDouble(interp,argv[228],&tempd) != TCL_OK) error = 1;
    temp0[226] = tempd;
    if (Tcl_GetDouble(interp,argv[229],&tempd) != TCL_OK) error = 1;
    temp0[227] = tempd;
    if (Tcl_GetDouble(interp,argv[230],&tempd) != TCL_OK) error = 1;
    temp0[228] = tempd;
    if (Tcl_GetDouble(interp,argv[231],&tempd) != TCL_OK) error = 1;
    temp0[229] = tempd;
    if (Tcl_GetDouble(interp,argv[232],&tempd) != TCL_OK) error = 1;
    temp0[230] = tempd;
    if (Tcl_GetDouble(interp,argv[233],&tempd) != TCL_OK) error = 1;
    temp0[231] = tempd;
    if (Tcl_GetDouble(interp,argv[234],&tempd) != TCL_OK) error = 1;
    temp0[232] = tempd;
    if (Tcl_GetDouble(interp,argv[235],&tempd) != TCL_OK) error = 1;
    temp0[233] = tempd;
    if (Tcl_GetDouble(interp,argv[236],&tempd) != TCL_OK) error = 1;
    temp0[234] = tempd;
    if (Tcl_GetDouble(interp,argv[237],&tempd) != TCL_OK) error = 1;
    temp0[235] = tempd;
    if (Tcl_GetDouble(interp,argv[238],&tempd) != TCL_OK) error = 1;
    temp0[236] = tempd;
    if (Tcl_GetDouble(interp,argv[239],&tempd) != TCL_OK) error = 1;
    temp0[237] = tempd;
    if (Tcl_GetDouble(interp,argv[240],&tempd) != TCL_OK) error = 1;
    temp0[238] = tempd;
    if (Tcl_GetDouble(interp,argv[241],&tempd) != TCL_OK) error = 1;
    temp0[239] = tempd;
    if (Tcl_GetDouble(interp,argv[242],&tempd) != TCL_OK) error = 1;
    temp0[240] = tempd;
    if (Tcl_GetDouble(interp,argv[243],&tempd) != TCL_OK) error = 1;
    temp0[241] = tempd;
    if (Tcl_GetDouble(interp,argv[244],&tempd) != TCL_OK) error = 1;
    temp0[242] = tempd;
    if (Tcl_GetDouble(interp,argv[245],&tempd) != TCL_OK) error = 1;
    temp0[243] = tempd;
    if (Tcl_GetDouble(interp,argv[246],&tempd) != TCL_OK) error = 1;
    temp0[244] = tempd;
    if (Tcl_GetDouble(interp,argv[247],&tempd) != TCL_OK) error = 1;
    temp0[245] = tempd;
    if (Tcl_GetDouble(interp,argv[248],&tempd) != TCL_OK) error = 1;
    temp0[246] = tempd;
    if (Tcl_GetDouble(interp,argv[249],&tempd) != TCL_OK) error = 1;
    temp0[247] = tempd;
    if (Tcl_GetDouble(interp,argv[250],&tempd) != TCL_OK) error = 1;
    temp0[248] = tempd;
    if (Tcl_GetDouble(interp,argv[251],&tempd) != TCL_OK) error = 1;
    temp0[249] = tempd;
    if (Tcl_GetDouble(interp,argv[252],&tempd) != TCL_OK) error = 1;
    temp0[250] = tempd;
    if (Tcl_GetDouble(interp,argv[253],&tempd) != TCL_OK) error = 1;
    temp0[251] = tempd;
    if (Tcl_GetDouble(interp,argv[254],&tempd) != TCL_OK) error = 1;
    temp0[252] = tempd;
    if (Tcl_GetDouble(interp,argv[255],&tempd) != TCL_OK) error = 1;
    temp0[253] = tempd;
    if (Tcl_GetDouble(interp,argv[256],&tempd) != TCL_OK) error = 1;
    temp0[254] = tempd;
    if (Tcl_GetDouble(interp,argv[257],&tempd) != TCL_OK) error = 1;
    temp0[255] = tempd;
    if (Tcl_GetDouble(interp,argv[258],&tempd) != TCL_OK) error = 1;
    temp0[256] = tempd;
    if (Tcl_GetDouble(interp,argv[259],&tempd) != TCL_OK) error = 1;
    temp0[257] = tempd;
    if (Tcl_GetDouble(interp,argv[260],&tempd) != TCL_OK) error = 1;
    temp0[258] = tempd;
    if (Tcl_GetDouble(interp,argv[261],&tempd) != TCL_OK) error = 1;
    temp0[259] = tempd;
    if (Tcl_GetDouble(interp,argv[262],&tempd) != TCL_OK) error = 1;
    temp0[260] = tempd;
    if (Tcl_GetDouble(interp,argv[263],&tempd) != TCL_OK) error = 1;
    temp0[261] = tempd;
    if (Tcl_GetDouble(interp,argv[264],&tempd) != TCL_OK) error = 1;
    temp0[262] = tempd;
    if (Tcl_GetDouble(interp,argv[265],&tempd) != TCL_OK) error = 1;
    temp0[263] = tempd;
    if (Tcl_GetDouble(interp,argv[266],&tempd) != TCL_OK) error = 1;
    temp0[264] = tempd;
    if (Tcl_GetDouble(interp,argv[267],&tempd) != TCL_OK) error = 1;
    temp0[265] = tempd;
    if (Tcl_GetDouble(interp,argv[268],&tempd) != TCL_OK) error = 1;
    temp0[266] = tempd;
    if (Tcl_GetDouble(interp,argv[269],&tempd) != TCL_OK) error = 1;
    temp0[267] = tempd;
    if (Tcl_GetDouble(interp,argv[270],&tempd) != TCL_OK) error = 1;
    temp0[268] = tempd;
    if (Tcl_GetDouble(interp,argv[271],&tempd) != TCL_OK) error = 1;
    temp0[269] = tempd;
    if (Tcl_GetDouble(interp,argv[272],&tempd) != TCL_OK) error = 1;
    temp0[270] = tempd;
    if (Tcl_GetDouble(interp,argv[273],&tempd) != TCL_OK) error = 1;
    temp0[271] = tempd;
    if (Tcl_GetDouble(interp,argv[274],&tempd) != TCL_OK) error = 1;
    temp0[272] = tempd;
    if (Tcl_GetDouble(interp,argv[275],&tempd) != TCL_OK) error = 1;
    temp0[273] = tempd;
    if (Tcl_GetDouble(interp,argv[276],&tempd) != TCL_OK) error = 1;
    temp0[274] = tempd;
    if (Tcl_GetDouble(interp,argv[277],&tempd) != TCL_OK) error = 1;
    temp0[275] = tempd;
    if (Tcl_GetDouble(interp,argv[278],&tempd) != TCL_OK) error = 1;
    temp0[276] = tempd;
    if (Tcl_GetDouble(interp,argv[279],&tempd) != TCL_OK) error = 1;
    temp0[277] = tempd;
    if (Tcl_GetDouble(interp,argv[280],&tempd) != TCL_OK) error = 1;
    temp0[278] = tempd;
    if (Tcl_GetDouble(interp,argv[281],&tempd) != TCL_OK) error = 1;
    temp0[279] = tempd;
    if (Tcl_GetDouble(interp,argv[282],&tempd) != TCL_OK) error = 1;
    temp0[280] = tempd;
    if (Tcl_GetDouble(interp,argv[283],&tempd) != TCL_OK) error = 1;
    temp0[281] = tempd;
    if (Tcl_GetDouble(interp,argv[284],&tempd) != TCL_OK) error = 1;
    temp0[282] = tempd;
    if (Tcl_GetDouble(interp,argv[285],&tempd) != TCL_OK) error = 1;
    temp0[283] = tempd;
    if (Tcl_GetDouble(interp,argv[286],&tempd) != TCL_OK) error = 1;
    temp0[284] = tempd;
    if (Tcl_GetDouble(interp,argv[287],&tempd) != TCL_OK) error = 1;
    temp0[285] = tempd;
    if (Tcl_GetDouble(interp,argv[288],&tempd) != TCL_OK) error = 1;
    temp0[286] = tempd;
    if (Tcl_GetDouble(interp,argv[289],&tempd) != TCL_OK) error = 1;
    temp0[287] = tempd;
    if (Tcl_GetDouble(interp,argv[290],&tempd) != TCL_OK) error = 1;
    temp0[288] = tempd;
    if (Tcl_GetDouble(interp,argv[291],&tempd) != TCL_OK) error = 1;
    temp0[289] = tempd;
    if (Tcl_GetDouble(interp,argv[292],&tempd) != TCL_OK) error = 1;
    temp0[290] = tempd;
    if (Tcl_GetDouble(interp,argv[293],&tempd) != TCL_OK) error = 1;
    temp0[291] = tempd;
    if (Tcl_GetDouble(interp,argv[294],&tempd) != TCL_OK) error = 1;
    temp0[292] = tempd;
    if (Tcl_GetDouble(interp,argv[295],&tempd) != TCL_OK) error = 1;
    temp0[293] = tempd;
    if (Tcl_GetDouble(interp,argv[296],&tempd) != TCL_OK) error = 1;
    temp0[294] = tempd;
    if (Tcl_GetDouble(interp,argv[297],&tempd) != TCL_OK) error = 1;
    temp0[295] = tempd;
    if (Tcl_GetDouble(interp,argv[298],&tempd) != TCL_OK) error = 1;
    temp0[296] = tempd;
    if (Tcl_GetDouble(interp,argv[299],&tempd) != TCL_OK) error = 1;
    temp0[297] = tempd;
    if (Tcl_GetDouble(interp,argv[300],&tempd) != TCL_OK) error = 1;
    temp0[298] = tempd;
    if (Tcl_GetDouble(interp,argv[301],&tempd) != TCL_OK) error = 1;
    temp0[299] = tempd;
    if (Tcl_GetDouble(interp,argv[302],&tempd) != TCL_OK) error = 1;
    temp0[300] = tempd;
    if (Tcl_GetDouble(interp,argv[303],&tempd) != TCL_OK) error = 1;
    temp0[301] = tempd;
    if (Tcl_GetDouble(interp,argv[304],&tempd) != TCL_OK) error = 1;
    temp0[302] = tempd;
    if (Tcl_GetDouble(interp,argv[305],&tempd) != TCL_OK) error = 1;
    temp0[303] = tempd;
    if (Tcl_GetDouble(interp,argv[306],&tempd) != TCL_OK) error = 1;
    temp0[304] = tempd;
    if (Tcl_GetDouble(interp,argv[307],&tempd) != TCL_OK) error = 1;
    temp0[305] = tempd;
    if (Tcl_GetDouble(interp,argv[308],&tempd) != TCL_OK) error = 1;
    temp0[306] = tempd;
    if (Tcl_GetDouble(interp,argv[309],&tempd) != TCL_OK) error = 1;
    temp0[307] = tempd;
    if (Tcl_GetDouble(interp,argv[310],&tempd) != TCL_OK) error = 1;
    temp0[308] = tempd;
    if (Tcl_GetDouble(interp,argv[311],&tempd) != TCL_OK) error = 1;
    temp0[309] = tempd;
    if (Tcl_GetDouble(interp,argv[312],&tempd) != TCL_OK) error = 1;
    temp0[310] = tempd;
    if (Tcl_GetDouble(interp,argv[313],&tempd) != TCL_OK) error = 1;
    temp0[311] = tempd;
    if (Tcl_GetDouble(interp,argv[314],&tempd) != TCL_OK) error = 1;
    temp0[312] = tempd;
    if (Tcl_GetDouble(interp,argv[315],&tempd) != TCL_OK) error = 1;
    temp0[313] = tempd;
    if (Tcl_GetDouble(interp,argv[316],&tempd) != TCL_OK) error = 1;
    temp0[314] = tempd;
    if (Tcl_GetDouble(interp,argv[317],&tempd) != TCL_OK) error = 1;
    temp0[315] = tempd;
    if (Tcl_GetDouble(interp,argv[318],&tempd) != TCL_OK) error = 1;
    temp0[316] = tempd;
    if (Tcl_GetDouble(interp,argv[319],&tempd) != TCL_OK) error = 1;
    temp0[317] = tempd;
    if (Tcl_GetDouble(interp,argv[320],&tempd) != TCL_OK) error = 1;
    temp0[318] = tempd;
    if (Tcl_GetDouble(interp,argv[321],&tempd) != TCL_OK) error = 1;
    temp0[319] = tempd;
    if (Tcl_GetDouble(interp,argv[322],&tempd) != TCL_OK) error = 1;
    temp0[320] = tempd;
    if (Tcl_GetDouble(interp,argv[323],&tempd) != TCL_OK) error = 1;
    temp0[321] = tempd;
    if (Tcl_GetDouble(interp,argv[324],&tempd) != TCL_OK) error = 1;
    temp0[322] = tempd;
    if (Tcl_GetDouble(interp,argv[325],&tempd) != TCL_OK) error = 1;
    temp0[323] = tempd;
    if (Tcl_GetDouble(interp,argv[326],&tempd) != TCL_OK) error = 1;
    temp0[324] = tempd;
    if (Tcl_GetDouble(interp,argv[327],&tempd) != TCL_OK) error = 1;
    temp0[325] = tempd;
    if (Tcl_GetDouble(interp,argv[328],&tempd) != TCL_OK) error = 1;
    temp0[326] = tempd;
    if (Tcl_GetDouble(interp,argv[329],&tempd) != TCL_OK) error = 1;
    temp0[327] = tempd;
    if (Tcl_GetDouble(interp,argv[330],&tempd) != TCL_OK) error = 1;
    temp0[328] = tempd;
    if (Tcl_GetDouble(interp,argv[331],&tempd) != TCL_OK) error = 1;
    temp0[329] = tempd;
    if (Tcl_GetDouble(interp,argv[332],&tempd) != TCL_OK) error = 1;
    temp0[330] = tempd;
    if (Tcl_GetDouble(interp,argv[333],&tempd) != TCL_OK) error = 1;
    temp0[331] = tempd;
    if (Tcl_GetDouble(interp,argv[334],&tempd) != TCL_OK) error = 1;
    temp0[332] = tempd;
    if (Tcl_GetDouble(interp,argv[335],&tempd) != TCL_OK) error = 1;
    temp0[333] = tempd;
    if (Tcl_GetDouble(interp,argv[336],&tempd) != TCL_OK) error = 1;
    temp0[334] = tempd;
    if (Tcl_GetDouble(interp,argv[337],&tempd) != TCL_OK) error = 1;
    temp0[335] = tempd;
    if (Tcl_GetDouble(interp,argv[338],&tempd) != TCL_OK) error = 1;
    temp0[336] = tempd;
    if (Tcl_GetDouble(interp,argv[339],&tempd) != TCL_OK) error = 1;
    temp0[337] = tempd;
    if (Tcl_GetDouble(interp,argv[340],&tempd) != TCL_OK) error = 1;
    temp0[338] = tempd;
    if (Tcl_GetDouble(interp,argv[341],&tempd) != TCL_OK) error = 1;
    temp0[339] = tempd;
    if (Tcl_GetDouble(interp,argv[342],&tempd) != TCL_OK) error = 1;
    temp0[340] = tempd;
    if (Tcl_GetDouble(interp,argv[343],&tempd) != TCL_OK) error = 1;
    temp0[341] = tempd;
    if (Tcl_GetDouble(interp,argv[344],&tempd) != TCL_OK) error = 1;
    temp0[342] = tempd;
    if (!error)
    {
    op->SetKernel7x7x7(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKernel3x3x3",argv[1]))&&(argc == 29))
    {
    double temp0[27];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (Tcl_GetDouble(interp,argv[26],&tempd) != TCL_OK) error = 1;
    temp0[24] = tempd;
    if (Tcl_GetDouble(interp,argv[27],&tempd) != TCL_OK) error = 1;
    temp0[25] = tempd;
    if (Tcl_GetDouble(interp,argv[28],&tempd) != TCL_OK) error = 1;
    temp0[26] = tempd;
    if (!error)
    {
    op->GetKernel3x3x3(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKernel5x5x5",argv[1]))&&(argc == 127))
    {
    double temp0[125];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (Tcl_GetDouble(interp,argv[26],&tempd) != TCL_OK) error = 1;
    temp0[24] = tempd;
    if (Tcl_GetDouble(interp,argv[27],&tempd) != TCL_OK) error = 1;
    temp0[25] = tempd;
    if (Tcl_GetDouble(interp,argv[28],&tempd) != TCL_OK) error = 1;
    temp0[26] = tempd;
    if (Tcl_GetDouble(interp,argv[29],&tempd) != TCL_OK) error = 1;
    temp0[27] = tempd;
    if (Tcl_GetDouble(interp,argv[30],&tempd) != TCL_OK) error = 1;
    temp0[28] = tempd;
    if (Tcl_GetDouble(interp,argv[31],&tempd) != TCL_OK) error = 1;
    temp0[29] = tempd;
    if (Tcl_GetDouble(interp,argv[32],&tempd) != TCL_OK) error = 1;
    temp0[30] = tempd;
    if (Tcl_GetDouble(interp,argv[33],&tempd) != TCL_OK) error = 1;
    temp0[31] = tempd;
    if (Tcl_GetDouble(interp,argv[34],&tempd) != TCL_OK) error = 1;
    temp0[32] = tempd;
    if (Tcl_GetDouble(interp,argv[35],&tempd) != TCL_OK) error = 1;
    temp0[33] = tempd;
    if (Tcl_GetDouble(interp,argv[36],&tempd) != TCL_OK) error = 1;
    temp0[34] = tempd;
    if (Tcl_GetDouble(interp,argv[37],&tempd) != TCL_OK) error = 1;
    temp0[35] = tempd;
    if (Tcl_GetDouble(interp,argv[38],&tempd) != TCL_OK) error = 1;
    temp0[36] = tempd;
    if (Tcl_GetDouble(interp,argv[39],&tempd) != TCL_OK) error = 1;
    temp0[37] = tempd;
    if (Tcl_GetDouble(interp,argv[40],&tempd) != TCL_OK) error = 1;
    temp0[38] = tempd;
    if (Tcl_GetDouble(interp,argv[41],&tempd) != TCL_OK) error = 1;
    temp0[39] = tempd;
    if (Tcl_GetDouble(interp,argv[42],&tempd) != TCL_OK) error = 1;
    temp0[40] = tempd;
    if (Tcl_GetDouble(interp,argv[43],&tempd) != TCL_OK) error = 1;
    temp0[41] = tempd;
    if (Tcl_GetDouble(interp,argv[44],&tempd) != TCL_OK) error = 1;
    temp0[42] = tempd;
    if (Tcl_GetDouble(interp,argv[45],&tempd) != TCL_OK) error = 1;
    temp0[43] = tempd;
    if (Tcl_GetDouble(interp,argv[46],&tempd) != TCL_OK) error = 1;
    temp0[44] = tempd;
    if (Tcl_GetDouble(interp,argv[47],&tempd) != TCL_OK) error = 1;
    temp0[45] = tempd;
    if (Tcl_GetDouble(interp,argv[48],&tempd) != TCL_OK) error = 1;
    temp0[46] = tempd;
    if (Tcl_GetDouble(interp,argv[49],&tempd) != TCL_OK) error = 1;
    temp0[47] = tempd;
    if (Tcl_GetDouble(interp,argv[50],&tempd) != TCL_OK) error = 1;
    temp0[48] = tempd;
    if (Tcl_GetDouble(interp,argv[51],&tempd) != TCL_OK) error = 1;
    temp0[49] = tempd;
    if (Tcl_GetDouble(interp,argv[52],&tempd) != TCL_OK) error = 1;
    temp0[50] = tempd;
    if (Tcl_GetDouble(interp,argv[53],&tempd) != TCL_OK) error = 1;
    temp0[51] = tempd;
    if (Tcl_GetDouble(interp,argv[54],&tempd) != TCL_OK) error = 1;
    temp0[52] = tempd;
    if (Tcl_GetDouble(interp,argv[55],&tempd) != TCL_OK) error = 1;
    temp0[53] = tempd;
    if (Tcl_GetDouble(interp,argv[56],&tempd) != TCL_OK) error = 1;
    temp0[54] = tempd;
    if (Tcl_GetDouble(interp,argv[57],&tempd) != TCL_OK) error = 1;
    temp0[55] = tempd;
    if (Tcl_GetDouble(interp,argv[58],&tempd) != TCL_OK) error = 1;
    temp0[56] = tempd;
    if (Tcl_GetDouble(interp,argv[59],&tempd) != TCL_OK) error = 1;
    temp0[57] = tempd;
    if (Tcl_GetDouble(interp,argv[60],&tempd) != TCL_OK) error = 1;
    temp0[58] = tempd;
    if (Tcl_GetDouble(interp,argv[61],&tempd) != TCL_OK) error = 1;
    temp0[59] = tempd;
    if (Tcl_GetDouble(interp,argv[62],&tempd) != TCL_OK) error = 1;
    temp0[60] = tempd;
    if (Tcl_GetDouble(interp,argv[63],&tempd) != TCL_OK) error = 1;
    temp0[61] = tempd;
    if (Tcl_GetDouble(interp,argv[64],&tempd) != TCL_OK) error = 1;
    temp0[62] = tempd;
    if (Tcl_GetDouble(interp,argv[65],&tempd) != TCL_OK) error = 1;
    temp0[63] = tempd;
    if (Tcl_GetDouble(interp,argv[66],&tempd) != TCL_OK) error = 1;
    temp0[64] = tempd;
    if (Tcl_GetDouble(interp,argv[67],&tempd) != TCL_OK) error = 1;
    temp0[65] = tempd;
    if (Tcl_GetDouble(interp,argv[68],&tempd) != TCL_OK) error = 1;
    temp0[66] = tempd;
    if (Tcl_GetDouble(interp,argv[69],&tempd) != TCL_OK) error = 1;
    temp0[67] = tempd;
    if (Tcl_GetDouble(interp,argv[70],&tempd) != TCL_OK) error = 1;
    temp0[68] = tempd;
    if (Tcl_GetDouble(interp,argv[71],&tempd) != TCL_OK) error = 1;
    temp0[69] = tempd;
    if (Tcl_GetDouble(interp,argv[72],&tempd) != TCL_OK) error = 1;
    temp0[70] = tempd;
    if (Tcl_GetDouble(interp,argv[73],&tempd) != TCL_OK) error = 1;
    temp0[71] = tempd;
    if (Tcl_GetDouble(interp,argv[74],&tempd) != TCL_OK) error = 1;
    temp0[72] = tempd;
    if (Tcl_GetDouble(interp,argv[75],&tempd) != TCL_OK) error = 1;
    temp0[73] = tempd;
    if (Tcl_GetDouble(interp,argv[76],&tempd) != TCL_OK) error = 1;
    temp0[74] = tempd;
    if (Tcl_GetDouble(interp,argv[77],&tempd) != TCL_OK) error = 1;
    temp0[75] = tempd;
    if (Tcl_GetDouble(interp,argv[78],&tempd) != TCL_OK) error = 1;
    temp0[76] = tempd;
    if (Tcl_GetDouble(interp,argv[79],&tempd) != TCL_OK) error = 1;
    temp0[77] = tempd;
    if (Tcl_GetDouble(interp,argv[80],&tempd) != TCL_OK) error = 1;
    temp0[78] = tempd;
    if (Tcl_GetDouble(interp,argv[81],&tempd) != TCL_OK) error = 1;
    temp0[79] = tempd;
    if (Tcl_GetDouble(interp,argv[82],&tempd) != TCL_OK) error = 1;
    temp0[80] = tempd;
    if (Tcl_GetDouble(interp,argv[83],&tempd) != TCL_OK) error = 1;
    temp0[81] = tempd;
    if (Tcl_GetDouble(interp,argv[84],&tempd) != TCL_OK) error = 1;
    temp0[82] = tempd;
    if (Tcl_GetDouble(interp,argv[85],&tempd) != TCL_OK) error = 1;
    temp0[83] = tempd;
    if (Tcl_GetDouble(interp,argv[86],&tempd) != TCL_OK) error = 1;
    temp0[84] = tempd;
    if (Tcl_GetDouble(interp,argv[87],&tempd) != TCL_OK) error = 1;
    temp0[85] = tempd;
    if (Tcl_GetDouble(interp,argv[88],&tempd) != TCL_OK) error = 1;
    temp0[86] = tempd;
    if (Tcl_GetDouble(interp,argv[89],&tempd) != TCL_OK) error = 1;
    temp0[87] = tempd;
    if (Tcl_GetDouble(interp,argv[90],&tempd) != TCL_OK) error = 1;
    temp0[88] = tempd;
    if (Tcl_GetDouble(interp,argv[91],&tempd) != TCL_OK) error = 1;
    temp0[89] = tempd;
    if (Tcl_GetDouble(interp,argv[92],&tempd) != TCL_OK) error = 1;
    temp0[90] = tempd;
    if (Tcl_GetDouble(interp,argv[93],&tempd) != TCL_OK) error = 1;
    temp0[91] = tempd;
    if (Tcl_GetDouble(interp,argv[94],&tempd) != TCL_OK) error = 1;
    temp0[92] = tempd;
    if (Tcl_GetDouble(interp,argv[95],&tempd) != TCL_OK) error = 1;
    temp0[93] = tempd;
    if (Tcl_GetDouble(interp,argv[96],&tempd) != TCL_OK) error = 1;
    temp0[94] = tempd;
    if (Tcl_GetDouble(interp,argv[97],&tempd) != TCL_OK) error = 1;
    temp0[95] = tempd;
    if (Tcl_GetDouble(interp,argv[98],&tempd) != TCL_OK) error = 1;
    temp0[96] = tempd;
    if (Tcl_GetDouble(interp,argv[99],&tempd) != TCL_OK) error = 1;
    temp0[97] = tempd;
    if (Tcl_GetDouble(interp,argv[100],&tempd) != TCL_OK) error = 1;
    temp0[98] = tempd;
    if (Tcl_GetDouble(interp,argv[101],&tempd) != TCL_OK) error = 1;
    temp0[99] = tempd;
    if (Tcl_GetDouble(interp,argv[102],&tempd) != TCL_OK) error = 1;
    temp0[100] = tempd;
    if (Tcl_GetDouble(interp,argv[103],&tempd) != TCL_OK) error = 1;
    temp0[101] = tempd;
    if (Tcl_GetDouble(interp,argv[104],&tempd) != TCL_OK) error = 1;
    temp0[102] = tempd;
    if (Tcl_GetDouble(interp,argv[105],&tempd) != TCL_OK) error = 1;
    temp0[103] = tempd;
    if (Tcl_GetDouble(interp,argv[106],&tempd) != TCL_OK) error = 1;
    temp0[104] = tempd;
    if (Tcl_GetDouble(interp,argv[107],&tempd) != TCL_OK) error = 1;
    temp0[105] = tempd;
    if (Tcl_GetDouble(interp,argv[108],&tempd) != TCL_OK) error = 1;
    temp0[106] = tempd;
    if (Tcl_GetDouble(interp,argv[109],&tempd) != TCL_OK) error = 1;
    temp0[107] = tempd;
    if (Tcl_GetDouble(interp,argv[110],&tempd) != TCL_OK) error = 1;
    temp0[108] = tempd;
    if (Tcl_GetDouble(interp,argv[111],&tempd) != TCL_OK) error = 1;
    temp0[109] = tempd;
    if (Tcl_GetDouble(interp,argv[112],&tempd) != TCL_OK) error = 1;
    temp0[110] = tempd;
    if (Tcl_GetDouble(interp,argv[113],&tempd) != TCL_OK) error = 1;
    temp0[111] = tempd;
    if (Tcl_GetDouble(interp,argv[114],&tempd) != TCL_OK) error = 1;
    temp0[112] = tempd;
    if (Tcl_GetDouble(interp,argv[115],&tempd) != TCL_OK) error = 1;
    temp0[113] = tempd;
    if (Tcl_GetDouble(interp,argv[116],&tempd) != TCL_OK) error = 1;
    temp0[114] = tempd;
    if (Tcl_GetDouble(interp,argv[117],&tempd) != TCL_OK) error = 1;
    temp0[115] = tempd;
    if (Tcl_GetDouble(interp,argv[118],&tempd) != TCL_OK) error = 1;
    temp0[116] = tempd;
    if (Tcl_GetDouble(interp,argv[119],&tempd) != TCL_OK) error = 1;
    temp0[117] = tempd;
    if (Tcl_GetDouble(interp,argv[120],&tempd) != TCL_OK) error = 1;
    temp0[118] = tempd;
    if (Tcl_GetDouble(interp,argv[121],&tempd) != TCL_OK) error = 1;
    temp0[119] = tempd;
    if (Tcl_GetDouble(interp,argv[122],&tempd) != TCL_OK) error = 1;
    temp0[120] = tempd;
    if (Tcl_GetDouble(interp,argv[123],&tempd) != TCL_OK) error = 1;
    temp0[121] = tempd;
    if (Tcl_GetDouble(interp,argv[124],&tempd) != TCL_OK) error = 1;
    temp0[122] = tempd;
    if (Tcl_GetDouble(interp,argv[125],&tempd) != TCL_OK) error = 1;
    temp0[123] = tempd;
    if (Tcl_GetDouble(interp,argv[126],&tempd) != TCL_OK) error = 1;
    temp0[124] = tempd;
    if (!error)
    {
    op->GetKernel5x5x5(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetKernel7x7x7",argv[1]))&&(argc == 345))
    {
    double temp0[343];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (Tcl_GetDouble(interp,argv[8],&tempd) != TCL_OK) error = 1;
    temp0[6] = tempd;
    if (Tcl_GetDouble(interp,argv[9],&tempd) != TCL_OK) error = 1;
    temp0[7] = tempd;
    if (Tcl_GetDouble(interp,argv[10],&tempd) != TCL_OK) error = 1;
    temp0[8] = tempd;
    if (Tcl_GetDouble(interp,argv[11],&tempd) != TCL_OK) error = 1;
    temp0[9] = tempd;
    if (Tcl_GetDouble(interp,argv[12],&tempd) != TCL_OK) error = 1;
    temp0[10] = tempd;
    if (Tcl_GetDouble(interp,argv[13],&tempd) != TCL_OK) error = 1;
    temp0[11] = tempd;
    if (Tcl_GetDouble(interp,argv[14],&tempd) != TCL_OK) error = 1;
    temp0[12] = tempd;
    if (Tcl_GetDouble(interp,argv[15],&tempd) != TCL_OK) error = 1;
    temp0[13] = tempd;
    if (Tcl_GetDouble(interp,argv[16],&tempd) != TCL_OK) error = 1;
    temp0[14] = tempd;
    if (Tcl_GetDouble(interp,argv[17],&tempd) != TCL_OK) error = 1;
    temp0[15] = tempd;
    if (Tcl_GetDouble(interp,argv[18],&tempd) != TCL_OK) error = 1;
    temp0[16] = tempd;
    if (Tcl_GetDouble(interp,argv[19],&tempd) != TCL_OK) error = 1;
    temp0[17] = tempd;
    if (Tcl_GetDouble(interp,argv[20],&tempd) != TCL_OK) error = 1;
    temp0[18] = tempd;
    if (Tcl_GetDouble(interp,argv[21],&tempd) != TCL_OK) error = 1;
    temp0[19] = tempd;
    if (Tcl_GetDouble(interp,argv[22],&tempd) != TCL_OK) error = 1;
    temp0[20] = tempd;
    if (Tcl_GetDouble(interp,argv[23],&tempd) != TCL_OK) error = 1;
    temp0[21] = tempd;
    if (Tcl_GetDouble(interp,argv[24],&tempd) != TCL_OK) error = 1;
    temp0[22] = tempd;
    if (Tcl_GetDouble(interp,argv[25],&tempd) != TCL_OK) error = 1;
    temp0[23] = tempd;
    if (Tcl_GetDouble(interp,argv[26],&tempd) != TCL_OK) error = 1;
    temp0[24] = tempd;
    if (Tcl_GetDouble(interp,argv[27],&tempd) != TCL_OK) error = 1;
    temp0[25] = tempd;
    if (Tcl_GetDouble(interp,argv[28],&tempd) != TCL_OK) error = 1;
    temp0[26] = tempd;
    if (Tcl_GetDouble(interp,argv[29],&tempd) != TCL_OK) error = 1;
    temp0[27] = tempd;
    if (Tcl_GetDouble(interp,argv[30],&tempd) != TCL_OK) error = 1;
    temp0[28] = tempd;
    if (Tcl_GetDouble(interp,argv[31],&tempd) != TCL_OK) error = 1;
    temp0[29] = tempd;
    if (Tcl_GetDouble(interp,argv[32],&tempd) != TCL_OK) error = 1;
    temp0[30] = tempd;
    if (Tcl_GetDouble(interp,argv[33],&tempd) != TCL_OK) error = 1;
    temp0[31] = tempd;
    if (Tcl_GetDouble(interp,argv[34],&tempd) != TCL_OK) error = 1;
    temp0[32] = tempd;
    if (Tcl_GetDouble(interp,argv[35],&tempd) != TCL_OK) error = 1;
    temp0[33] = tempd;
    if (Tcl_GetDouble(interp,argv[36],&tempd) != TCL_OK) error = 1;
    temp0[34] = tempd;
    if (Tcl_GetDouble(interp,argv[37],&tempd) != TCL_OK) error = 1;
    temp0[35] = tempd;
    if (Tcl_GetDouble(interp,argv[38],&tempd) != TCL_OK) error = 1;
    temp0[36] = tempd;
    if (Tcl_GetDouble(interp,argv[39],&tempd) != TCL_OK) error = 1;
    temp0[37] = tempd;
    if (Tcl_GetDouble(interp,argv[40],&tempd) != TCL_OK) error = 1;
    temp0[38] = tempd;
    if (Tcl_GetDouble(interp,argv[41],&tempd) != TCL_OK) error = 1;
    temp0[39] = tempd;
    if (Tcl_GetDouble(interp,argv[42],&tempd) != TCL_OK) error = 1;
    temp0[40] = tempd;
    if (Tcl_GetDouble(interp,argv[43],&tempd) != TCL_OK) error = 1;
    temp0[41] = tempd;
    if (Tcl_GetDouble(interp,argv[44],&tempd) != TCL_OK) error = 1;
    temp0[42] = tempd;
    if (Tcl_GetDouble(interp,argv[45],&tempd) != TCL_OK) error = 1;
    temp0[43] = tempd;
    if (Tcl_GetDouble(interp,argv[46],&tempd) != TCL_OK) error = 1;
    temp0[44] = tempd;
    if (Tcl_GetDouble(interp,argv[47],&tempd) != TCL_OK) error = 1;
    temp0[45] = tempd;
    if (Tcl_GetDouble(interp,argv[48],&tempd) != TCL_OK) error = 1;
    temp0[46] = tempd;
    if (Tcl_GetDouble(interp,argv[49],&tempd) != TCL_OK) error = 1;
    temp0[47] = tempd;
    if (Tcl_GetDouble(interp,argv[50],&tempd) != TCL_OK) error = 1;
    temp0[48] = tempd;
    if (Tcl_GetDouble(interp,argv[51],&tempd) != TCL_OK) error = 1;
    temp0[49] = tempd;
    if (Tcl_GetDouble(interp,argv[52],&tempd) != TCL_OK) error = 1;
    temp0[50] = tempd;
    if (Tcl_GetDouble(interp,argv[53],&tempd) != TCL_OK) error = 1;
    temp0[51] = tempd;
    if (Tcl_GetDouble(interp,argv[54],&tempd) != TCL_OK) error = 1;
    temp0[52] = tempd;
    if (Tcl_GetDouble(interp,argv[55],&tempd) != TCL_OK) error = 1;
    temp0[53] = tempd;
    if (Tcl_GetDouble(interp,argv[56],&tempd) != TCL_OK) error = 1;
    temp0[54] = tempd;
    if (Tcl_GetDouble(interp,argv[57],&tempd) != TCL_OK) error = 1;
    temp0[55] = tempd;
    if (Tcl_GetDouble(interp,argv[58],&tempd) != TCL_OK) error = 1;
    temp0[56] = tempd;
    if (Tcl_GetDouble(interp,argv[59],&tempd) != TCL_OK) error = 1;
    temp0[57] = tempd;
    if (Tcl_GetDouble(interp,argv[60],&tempd) != TCL_OK) error = 1;
    temp0[58] = tempd;
    if (Tcl_GetDouble(interp,argv[61],&tempd) != TCL_OK) error = 1;
    temp0[59] = tempd;
    if (Tcl_GetDouble(interp,argv[62],&tempd) != TCL_OK) error = 1;
    temp0[60] = tempd;
    if (Tcl_GetDouble(interp,argv[63],&tempd) != TCL_OK) error = 1;
    temp0[61] = tempd;
    if (Tcl_GetDouble(interp,argv[64],&tempd) != TCL_OK) error = 1;
    temp0[62] = tempd;
    if (Tcl_GetDouble(interp,argv[65],&tempd) != TCL_OK) error = 1;
    temp0[63] = tempd;
    if (Tcl_GetDouble(interp,argv[66],&tempd) != TCL_OK) error = 1;
    temp0[64] = tempd;
    if (Tcl_GetDouble(interp,argv[67],&tempd) != TCL_OK) error = 1;
    temp0[65] = tempd;
    if (Tcl_GetDouble(interp,argv[68],&tempd) != TCL_OK) error = 1;
    temp0[66] = tempd;
    if (Tcl_GetDouble(interp,argv[69],&tempd) != TCL_OK) error = 1;
    temp0[67] = tempd;
    if (Tcl_GetDouble(interp,argv[70],&tempd) != TCL_OK) error = 1;
    temp0[68] = tempd;
    if (Tcl_GetDouble(interp,argv[71],&tempd) != TCL_OK) error = 1;
    temp0[69] = tempd;
    if (Tcl_GetDouble(interp,argv[72],&tempd) != TCL_OK) error = 1;
    temp0[70] = tempd;
    if (Tcl_GetDouble(interp,argv[73],&tempd) != TCL_OK) error = 1;
    temp0[71] = tempd;
    if (Tcl_GetDouble(interp,argv[74],&tempd) != TCL_OK) error = 1;
    temp0[72] = tempd;
    if (Tcl_GetDouble(interp,argv[75],&tempd) != TCL_OK) error = 1;
    temp0[73] = tempd;
    if (Tcl_GetDouble(interp,argv[76],&tempd) != TCL_OK) error = 1;
    temp0[74] = tempd;
    if (Tcl_GetDouble(interp,argv[77],&tempd) != TCL_OK) error = 1;
    temp0[75] = tempd;
    if (Tcl_GetDouble(interp,argv[78],&tempd) != TCL_OK) error = 1;
    temp0[76] = tempd;
    if (Tcl_GetDouble(interp,argv[79],&tempd) != TCL_OK) error = 1;
    temp0[77] = tempd;
    if (Tcl_GetDouble(interp,argv[80],&tempd) != TCL_OK) error = 1;
    temp0[78] = tempd;
    if (Tcl_GetDouble(interp,argv[81],&tempd) != TCL_OK) error = 1;
    temp0[79] = tempd;
    if (Tcl_GetDouble(interp,argv[82],&tempd) != TCL_OK) error = 1;
    temp0[80] = tempd;
    if (Tcl_GetDouble(interp,argv[83],&tempd) != TCL_OK) error = 1;
    temp0[81] = tempd;
    if (Tcl_GetDouble(interp,argv[84],&tempd) != TCL_OK) error = 1;
    temp0[82] = tempd;
    if (Tcl_GetDouble(interp,argv[85],&tempd) != TCL_OK) error = 1;
    temp0[83] = tempd;
    if (Tcl_GetDouble(interp,argv[86],&tempd) != TCL_OK) error = 1;
    temp0[84] = tempd;
    if (Tcl_GetDouble(interp,argv[87],&tempd) != TCL_OK) error = 1;
    temp0[85] = tempd;
    if (Tcl_GetDouble(interp,argv[88],&tempd) != TCL_OK) error = 1;
    temp0[86] = tempd;
    if (Tcl_GetDouble(interp,argv[89],&tempd) != TCL_OK) error = 1;
    temp0[87] = tempd;
    if (Tcl_GetDouble(interp,argv[90],&tempd) != TCL_OK) error = 1;
    temp0[88] = tempd;
    if (Tcl_GetDouble(interp,argv[91],&tempd) != TCL_OK) error = 1;
    temp0[89] = tempd;
    if (Tcl_GetDouble(interp,argv[92],&tempd) != TCL_OK) error = 1;
    temp0[90] = tempd;
    if (Tcl_GetDouble(interp,argv[93],&tempd) != TCL_OK) error = 1;
    temp0[91] = tempd;
    if (Tcl_GetDouble(interp,argv[94],&tempd) != TCL_OK) error = 1;
    temp0[92] = tempd;
    if (Tcl_GetDouble(interp,argv[95],&tempd) != TCL_OK) error = 1;
    temp0[93] = tempd;
    if (Tcl_GetDouble(interp,argv[96],&tempd) != TCL_OK) error = 1;
    temp0[94] = tempd;
    if (Tcl_GetDouble(interp,argv[97],&tempd) != TCL_OK) error = 1;
    temp0[95] = tempd;
    if (Tcl_GetDouble(interp,argv[98],&tempd) != TCL_OK) error = 1;
    temp0[96] = tempd;
    if (Tcl_GetDouble(interp,argv[99],&tempd) != TCL_OK) error = 1;
    temp0[97] = tempd;
    if (Tcl_GetDouble(interp,argv[100],&tempd) != TCL_OK) error = 1;
    temp0[98] = tempd;
    if (Tcl_GetDouble(interp,argv[101],&tempd) != TCL_OK) error = 1;
    temp0[99] = tempd;
    if (Tcl_GetDouble(interp,argv[102],&tempd) != TCL_OK) error = 1;
    temp0[100] = tempd;
    if (Tcl_GetDouble(interp,argv[103],&tempd) != TCL_OK) error = 1;
    temp0[101] = tempd;
    if (Tcl_GetDouble(interp,argv[104],&tempd) != TCL_OK) error = 1;
    temp0[102] = tempd;
    if (Tcl_GetDouble(interp,argv[105],&tempd) != TCL_OK) error = 1;
    temp0[103] = tempd;
    if (Tcl_GetDouble(interp,argv[106],&tempd) != TCL_OK) error = 1;
    temp0[104] = tempd;
    if (Tcl_GetDouble(interp,argv[107],&tempd) != TCL_OK) error = 1;
    temp0[105] = tempd;
    if (Tcl_GetDouble(interp,argv[108],&tempd) != TCL_OK) error = 1;
    temp0[106] = tempd;
    if (Tcl_GetDouble(interp,argv[109],&tempd) != TCL_OK) error = 1;
    temp0[107] = tempd;
    if (Tcl_GetDouble(interp,argv[110],&tempd) != TCL_OK) error = 1;
    temp0[108] = tempd;
    if (Tcl_GetDouble(interp,argv[111],&tempd) != TCL_OK) error = 1;
    temp0[109] = tempd;
    if (Tcl_GetDouble(interp,argv[112],&tempd) != TCL_OK) error = 1;
    temp0[110] = tempd;
    if (Tcl_GetDouble(interp,argv[113],&tempd) != TCL_OK) error = 1;
    temp0[111] = tempd;
    if (Tcl_GetDouble(interp,argv[114],&tempd) != TCL_OK) error = 1;
    temp0[112] = tempd;
    if (Tcl_GetDouble(interp,argv[115],&tempd) != TCL_OK) error = 1;
    temp0[113] = tempd;
    if (Tcl_GetDouble(interp,argv[116],&tempd) != TCL_OK) error = 1;
    temp0[114] = tempd;
    if (Tcl_GetDouble(interp,argv[117],&tempd) != TCL_OK) error = 1;
    temp0[115] = tempd;
    if (Tcl_GetDouble(interp,argv[118],&tempd) != TCL_OK) error = 1;
    temp0[116] = tempd;
    if (Tcl_GetDouble(interp,argv[119],&tempd) != TCL_OK) error = 1;
    temp0[117] = tempd;
    if (Tcl_GetDouble(interp,argv[120],&tempd) != TCL_OK) error = 1;
    temp0[118] = tempd;
    if (Tcl_GetDouble(interp,argv[121],&tempd) != TCL_OK) error = 1;
    temp0[119] = tempd;
    if (Tcl_GetDouble(interp,argv[122],&tempd) != TCL_OK) error = 1;
    temp0[120] = tempd;
    if (Tcl_GetDouble(interp,argv[123],&tempd) != TCL_OK) error = 1;
    temp0[121] = tempd;
    if (Tcl_GetDouble(interp,argv[124],&tempd) != TCL_OK) error = 1;
    temp0[122] = tempd;
    if (Tcl_GetDouble(interp,argv[125],&tempd) != TCL_OK) error = 1;
    temp0[123] = tempd;
    if (Tcl_GetDouble(interp,argv[126],&tempd) != TCL_OK) error = 1;
    temp0[124] = tempd;
    if (Tcl_GetDouble(interp,argv[127],&tempd) != TCL_OK) error = 1;
    temp0[125] = tempd;
    if (Tcl_GetDouble(interp,argv[128],&tempd) != TCL_OK) error = 1;
    temp0[126] = tempd;
    if (Tcl_GetDouble(interp,argv[129],&tempd) != TCL_OK) error = 1;
    temp0[127] = tempd;
    if (Tcl_GetDouble(interp,argv[130],&tempd) != TCL_OK) error = 1;
    temp0[128] = tempd;
    if (Tcl_GetDouble(interp,argv[131],&tempd) != TCL_OK) error = 1;
    temp0[129] = tempd;
    if (Tcl_GetDouble(interp,argv[132],&tempd) != TCL_OK) error = 1;
    temp0[130] = tempd;
    if (Tcl_GetDouble(interp,argv[133],&tempd) != TCL_OK) error = 1;
    temp0[131] = tempd;
    if (Tcl_GetDouble(interp,argv[134],&tempd) != TCL_OK) error = 1;
    temp0[132] = tempd;
    if (Tcl_GetDouble(interp,argv[135],&tempd) != TCL_OK) error = 1;
    temp0[133] = tempd;
    if (Tcl_GetDouble(interp,argv[136],&tempd) != TCL_OK) error = 1;
    temp0[134] = tempd;
    if (Tcl_GetDouble(interp,argv[137],&tempd) != TCL_OK) error = 1;
    temp0[135] = tempd;
    if (Tcl_GetDouble(interp,argv[138],&tempd) != TCL_OK) error = 1;
    temp0[136] = tempd;
    if (Tcl_GetDouble(interp,argv[139],&tempd) != TCL_OK) error = 1;
    temp0[137] = tempd;
    if (Tcl_GetDouble(interp,argv[140],&tempd) != TCL_OK) error = 1;
    temp0[138] = tempd;
    if (Tcl_GetDouble(interp,argv[141],&tempd) != TCL_OK) error = 1;
    temp0[139] = tempd;
    if (Tcl_GetDouble(interp,argv[142],&tempd) != TCL_OK) error = 1;
    temp0[140] = tempd;
    if (Tcl_GetDouble(interp,argv[143],&tempd) != TCL_OK) error = 1;
    temp0[141] = tempd;
    if (Tcl_GetDouble(interp,argv[144],&tempd) != TCL_OK) error = 1;
    temp0[142] = tempd;
    if (Tcl_GetDouble(interp,argv[145],&tempd) != TCL_OK) error = 1;
    temp0[143] = tempd;
    if (Tcl_GetDouble(interp,argv[146],&tempd) != TCL_OK) error = 1;
    temp0[144] = tempd;
    if (Tcl_GetDouble(interp,argv[147],&tempd) != TCL_OK) error = 1;
    temp0[145] = tempd;
    if (Tcl_GetDouble(interp,argv[148],&tempd) != TCL_OK) error = 1;
    temp0[146] = tempd;
    if (Tcl_GetDouble(interp,argv[149],&tempd) != TCL_OK) error = 1;
    temp0[147] = tempd;
    if (Tcl_GetDouble(interp,argv[150],&tempd) != TCL_OK) error = 1;
    temp0[148] = tempd;
    if (Tcl_GetDouble(interp,argv[151],&tempd) != TCL_OK) error = 1;
    temp0[149] = tempd;
    if (Tcl_GetDouble(interp,argv[152],&tempd) != TCL_OK) error = 1;
    temp0[150] = tempd;
    if (Tcl_GetDouble(interp,argv[153],&tempd) != TCL_OK) error = 1;
    temp0[151] = tempd;
    if (Tcl_GetDouble(interp,argv[154],&tempd) != TCL_OK) error = 1;
    temp0[152] = tempd;
    if (Tcl_GetDouble(interp,argv[155],&tempd) != TCL_OK) error = 1;
    temp0[153] = tempd;
    if (Tcl_GetDouble(interp,argv[156],&tempd) != TCL_OK) error = 1;
    temp0[154] = tempd;
    if (Tcl_GetDouble(interp,argv[157],&tempd) != TCL_OK) error = 1;
    temp0[155] = tempd;
    if (Tcl_GetDouble(interp,argv[158],&tempd) != TCL_OK) error = 1;
    temp0[156] = tempd;
    if (Tcl_GetDouble(interp,argv[159],&tempd) != TCL_OK) error = 1;
    temp0[157] = tempd;
    if (Tcl_GetDouble(interp,argv[160],&tempd) != TCL_OK) error = 1;
    temp0[158] = tempd;
    if (Tcl_GetDouble(interp,argv[161],&tempd) != TCL_OK) error = 1;
    temp0[159] = tempd;
    if (Tcl_GetDouble(interp,argv[162],&tempd) != TCL_OK) error = 1;
    temp0[160] = tempd;
    if (Tcl_GetDouble(interp,argv[163],&tempd) != TCL_OK) error = 1;
    temp0[161] = tempd;
    if (Tcl_GetDouble(interp,argv[164],&tempd) != TCL_OK) error = 1;
    temp0[162] = tempd;
    if (Tcl_GetDouble(interp,argv[165],&tempd) != TCL_OK) error = 1;
    temp0[163] = tempd;
    if (Tcl_GetDouble(interp,argv[166],&tempd) != TCL_OK) error = 1;
    temp0[164] = tempd;
    if (Tcl_GetDouble(interp,argv[167],&tempd) != TCL_OK) error = 1;
    temp0[165] = tempd;
    if (Tcl_GetDouble(interp,argv[168],&tempd) != TCL_OK) error = 1;
    temp0[166] = tempd;
    if (Tcl_GetDouble(interp,argv[169],&tempd) != TCL_OK) error = 1;
    temp0[167] = tempd;
    if (Tcl_GetDouble(interp,argv[170],&tempd) != TCL_OK) error = 1;
    temp0[168] = tempd;
    if (Tcl_GetDouble(interp,argv[171],&tempd) != TCL_OK) error = 1;
    temp0[169] = tempd;
    if (Tcl_GetDouble(interp,argv[172],&tempd) != TCL_OK) error = 1;
    temp0[170] = tempd;
    if (Tcl_GetDouble(interp,argv[173],&tempd) != TCL_OK) error = 1;
    temp0[171] = tempd;
    if (Tcl_GetDouble(interp,argv[174],&tempd) != TCL_OK) error = 1;
    temp0[172] = tempd;
    if (Tcl_GetDouble(interp,argv[175],&tempd) != TCL_OK) error = 1;
    temp0[173] = tempd;
    if (Tcl_GetDouble(interp,argv[176],&tempd) != TCL_OK) error = 1;
    temp0[174] = tempd;
    if (Tcl_GetDouble(interp,argv[177],&tempd) != TCL_OK) error = 1;
    temp0[175] = tempd;
    if (Tcl_GetDouble(interp,argv[178],&tempd) != TCL_OK) error = 1;
    temp0[176] = tempd;
    if (Tcl_GetDouble(interp,argv[179],&tempd) != TCL_OK) error = 1;
    temp0[177] = tempd;
    if (Tcl_GetDouble(interp,argv[180],&tempd) != TCL_OK) error = 1;
    temp0[178] = tempd;
    if (Tcl_GetDouble(interp,argv[181],&tempd) != TCL_OK) error = 1;
    temp0[179] = tempd;
    if (Tcl_GetDouble(interp,argv[182],&tempd) != TCL_OK) error = 1;
    temp0[180] = tempd;
    if (Tcl_GetDouble(interp,argv[183],&tempd) != TCL_OK) error = 1;
    temp0[181] = tempd;
    if (Tcl_GetDouble(interp,argv[184],&tempd) != TCL_OK) error = 1;
    temp0[182] = tempd;
    if (Tcl_GetDouble(interp,argv[185],&tempd) != TCL_OK) error = 1;
    temp0[183] = tempd;
    if (Tcl_GetDouble(interp,argv[186],&tempd) != TCL_OK) error = 1;
    temp0[184] = tempd;
    if (Tcl_GetDouble(interp,argv[187],&tempd) != TCL_OK) error = 1;
    temp0[185] = tempd;
    if (Tcl_GetDouble(interp,argv[188],&tempd) != TCL_OK) error = 1;
    temp0[186] = tempd;
    if (Tcl_GetDouble(interp,argv[189],&tempd) != TCL_OK) error = 1;
    temp0[187] = tempd;
    if (Tcl_GetDouble(interp,argv[190],&tempd) != TCL_OK) error = 1;
    temp0[188] = tempd;
    if (Tcl_GetDouble(interp,argv[191],&tempd) != TCL_OK) error = 1;
    temp0[189] = tempd;
    if (Tcl_GetDouble(interp,argv[192],&tempd) != TCL_OK) error = 1;
    temp0[190] = tempd;
    if (Tcl_GetDouble(interp,argv[193],&tempd) != TCL_OK) error = 1;
    temp0[191] = tempd;
    if (Tcl_GetDouble(interp,argv[194],&tempd) != TCL_OK) error = 1;
    temp0[192] = tempd;
    if (Tcl_GetDouble(interp,argv[195],&tempd) != TCL_OK) error = 1;
    temp0[193] = tempd;
    if (Tcl_GetDouble(interp,argv[196],&tempd) != TCL_OK) error = 1;
    temp0[194] = tempd;
    if (Tcl_GetDouble(interp,argv[197],&tempd) != TCL_OK) error = 1;
    temp0[195] = tempd;
    if (Tcl_GetDouble(interp,argv[198],&tempd) != TCL_OK) error = 1;
    temp0[196] = tempd;
    if (Tcl_GetDouble(interp,argv[199],&tempd) != TCL_OK) error = 1;
    temp0[197] = tempd;
    if (Tcl_GetDouble(interp,argv[200],&tempd) != TCL_OK) error = 1;
    temp0[198] = tempd;
    if (Tcl_GetDouble(interp,argv[201],&tempd) != TCL_OK) error = 1;
    temp0[199] = tempd;
    if (Tcl_GetDouble(interp,argv[202],&tempd) != TCL_OK) error = 1;
    temp0[200] = tempd;
    if (Tcl_GetDouble(interp,argv[203],&tempd) != TCL_OK) error = 1;
    temp0[201] = tempd;
    if (Tcl_GetDouble(interp,argv[204],&tempd) != TCL_OK) error = 1;
    temp0[202] = tempd;
    if (Tcl_GetDouble(interp,argv[205],&tempd) != TCL_OK) error = 1;
    temp0[203] = tempd;
    if (Tcl_GetDouble(interp,argv[206],&tempd) != TCL_OK) error = 1;
    temp0[204] = tempd;
    if (Tcl_GetDouble(interp,argv[207],&tempd) != TCL_OK) error = 1;
    temp0[205] = tempd;
    if (Tcl_GetDouble(interp,argv[208],&tempd) != TCL_OK) error = 1;
    temp0[206] = tempd;
    if (Tcl_GetDouble(interp,argv[209],&tempd) != TCL_OK) error = 1;
    temp0[207] = tempd;
    if (Tcl_GetDouble(interp,argv[210],&tempd) != TCL_OK) error = 1;
    temp0[208] = tempd;
    if (Tcl_GetDouble(interp,argv[211],&tempd) != TCL_OK) error = 1;
    temp0[209] = tempd;
    if (Tcl_GetDouble(interp,argv[212],&tempd) != TCL_OK) error = 1;
    temp0[210] = tempd;
    if (Tcl_GetDouble(interp,argv[213],&tempd) != TCL_OK) error = 1;
    temp0[211] = tempd;
    if (Tcl_GetDouble(interp,argv[214],&tempd) != TCL_OK) error = 1;
    temp0[212] = tempd;
    if (Tcl_GetDouble(interp,argv[215],&tempd) != TCL_OK) error = 1;
    temp0[213] = tempd;
    if (Tcl_GetDouble(interp,argv[216],&tempd) != TCL_OK) error = 1;
    temp0[214] = tempd;
    if (Tcl_GetDouble(interp,argv[217],&tempd) != TCL_OK) error = 1;
    temp0[215] = tempd;
    if (Tcl_GetDouble(interp,argv[218],&tempd) != TCL_OK) error = 1;
    temp0[216] = tempd;
    if (Tcl_GetDouble(interp,argv[219],&tempd) != TCL_OK) error = 1;
    temp0[217] = tempd;
    if (Tcl_GetDouble(interp,argv[220],&tempd) != TCL_OK) error = 1;
    temp0[218] = tempd;
    if (Tcl_GetDouble(interp,argv[221],&tempd) != TCL_OK) error = 1;
    temp0[219] = tempd;
    if (Tcl_GetDouble(interp,argv[222],&tempd) != TCL_OK) error = 1;
    temp0[220] = tempd;
    if (Tcl_GetDouble(interp,argv[223],&tempd) != TCL_OK) error = 1;
    temp0[221] = tempd;
    if (Tcl_GetDouble(interp,argv[224],&tempd) != TCL_OK) error = 1;
    temp0[222] = tempd;
    if (Tcl_GetDouble(interp,argv[225],&tempd) != TCL_OK) error = 1;
    temp0[223] = tempd;
    if (Tcl_GetDouble(interp,argv[226],&tempd) != TCL_OK) error = 1;
    temp0[224] = tempd;
    if (Tcl_GetDouble(interp,argv[227],&tempd) != TCL_OK) error = 1;
    temp0[225] = tempd;
    if (Tcl_GetDouble(interp,argv[228],&tempd) != TCL_OK) error = 1;
    temp0[226] = tempd;
    if (Tcl_GetDouble(interp,argv[229],&tempd) != TCL_OK) error = 1;
    temp0[227] = tempd;
    if (Tcl_GetDouble(interp,argv[230],&tempd) != TCL_OK) error = 1;
    temp0[228] = tempd;
    if (Tcl_GetDouble(interp,argv[231],&tempd) != TCL_OK) error = 1;
    temp0[229] = tempd;
    if (Tcl_GetDouble(interp,argv[232],&tempd) != TCL_OK) error = 1;
    temp0[230] = tempd;
    if (Tcl_GetDouble(interp,argv[233],&tempd) != TCL_OK) error = 1;
    temp0[231] = tempd;
    if (Tcl_GetDouble(interp,argv[234],&tempd) != TCL_OK) error = 1;
    temp0[232] = tempd;
    if (Tcl_GetDouble(interp,argv[235],&tempd) != TCL_OK) error = 1;
    temp0[233] = tempd;
    if (Tcl_GetDouble(interp,argv[236],&tempd) != TCL_OK) error = 1;
    temp0[234] = tempd;
    if (Tcl_GetDouble(interp,argv[237],&tempd) != TCL_OK) error = 1;
    temp0[235] = tempd;
    if (Tcl_GetDouble(interp,argv[238],&tempd) != TCL_OK) error = 1;
    temp0[236] = tempd;
    if (Tcl_GetDouble(interp,argv[239],&tempd) != TCL_OK) error = 1;
    temp0[237] = tempd;
    if (Tcl_GetDouble(interp,argv[240],&tempd) != TCL_OK) error = 1;
    temp0[238] = tempd;
    if (Tcl_GetDouble(interp,argv[241],&tempd) != TCL_OK) error = 1;
    temp0[239] = tempd;
    if (Tcl_GetDouble(interp,argv[242],&tempd) != TCL_OK) error = 1;
    temp0[240] = tempd;
    if (Tcl_GetDouble(interp,argv[243],&tempd) != TCL_OK) error = 1;
    temp0[241] = tempd;
    if (Tcl_GetDouble(interp,argv[244],&tempd) != TCL_OK) error = 1;
    temp0[242] = tempd;
    if (Tcl_GetDouble(interp,argv[245],&tempd) != TCL_OK) error = 1;
    temp0[243] = tempd;
    if (Tcl_GetDouble(interp,argv[246],&tempd) != TCL_OK) error = 1;
    temp0[244] = tempd;
    if (Tcl_GetDouble(interp,argv[247],&tempd) != TCL_OK) error = 1;
    temp0[245] = tempd;
    if (Tcl_GetDouble(interp,argv[248],&tempd) != TCL_OK) error = 1;
    temp0[246] = tempd;
    if (Tcl_GetDouble(interp,argv[249],&tempd) != TCL_OK) error = 1;
    temp0[247] = tempd;
    if (Tcl_GetDouble(interp,argv[250],&tempd) != TCL_OK) error = 1;
    temp0[248] = tempd;
    if (Tcl_GetDouble(interp,argv[251],&tempd) != TCL_OK) error = 1;
    temp0[249] = tempd;
    if (Tcl_GetDouble(interp,argv[252],&tempd) != TCL_OK) error = 1;
    temp0[250] = tempd;
    if (Tcl_GetDouble(interp,argv[253],&tempd) != TCL_OK) error = 1;
    temp0[251] = tempd;
    if (Tcl_GetDouble(interp,argv[254],&tempd) != TCL_OK) error = 1;
    temp0[252] = tempd;
    if (Tcl_GetDouble(interp,argv[255],&tempd) != TCL_OK) error = 1;
    temp0[253] = tempd;
    if (Tcl_GetDouble(interp,argv[256],&tempd) != TCL_OK) error = 1;
    temp0[254] = tempd;
    if (Tcl_GetDouble(interp,argv[257],&tempd) != TCL_OK) error = 1;
    temp0[255] = tempd;
    if (Tcl_GetDouble(interp,argv[258],&tempd) != TCL_OK) error = 1;
    temp0[256] = tempd;
    if (Tcl_GetDouble(interp,argv[259],&tempd) != TCL_OK) error = 1;
    temp0[257] = tempd;
    if (Tcl_GetDouble(interp,argv[260],&tempd) != TCL_OK) error = 1;
    temp0[258] = tempd;
    if (Tcl_GetDouble(interp,argv[261],&tempd) != TCL_OK) error = 1;
    temp0[259] = tempd;
    if (Tcl_GetDouble(interp,argv[262],&tempd) != TCL_OK) error = 1;
    temp0[260] = tempd;
    if (Tcl_GetDouble(interp,argv[263],&tempd) != TCL_OK) error = 1;
    temp0[261] = tempd;
    if (Tcl_GetDouble(interp,argv[264],&tempd) != TCL_OK) error = 1;
    temp0[262] = tempd;
    if (Tcl_GetDouble(interp,argv[265],&tempd) != TCL_OK) error = 1;
    temp0[263] = tempd;
    if (Tcl_GetDouble(interp,argv[266],&tempd) != TCL_OK) error = 1;
    temp0[264] = tempd;
    if (Tcl_GetDouble(interp,argv[267],&tempd) != TCL_OK) error = 1;
    temp0[265] = tempd;
    if (Tcl_GetDouble(interp,argv[268],&tempd) != TCL_OK) error = 1;
    temp0[266] = tempd;
    if (Tcl_GetDouble(interp,argv[269],&tempd) != TCL_OK) error = 1;
    temp0[267] = tempd;
    if (Tcl_GetDouble(interp,argv[270],&tempd) != TCL_OK) error = 1;
    temp0[268] = tempd;
    if (Tcl_GetDouble(interp,argv[271],&tempd) != TCL_OK) error = 1;
    temp0[269] = tempd;
    if (Tcl_GetDouble(interp,argv[272],&tempd) != TCL_OK) error = 1;
    temp0[270] = tempd;
    if (Tcl_GetDouble(interp,argv[273],&tempd) != TCL_OK) error = 1;
    temp0[271] = tempd;
    if (Tcl_GetDouble(interp,argv[274],&tempd) != TCL_OK) error = 1;
    temp0[272] = tempd;
    if (Tcl_GetDouble(interp,argv[275],&tempd) != TCL_OK) error = 1;
    temp0[273] = tempd;
    if (Tcl_GetDouble(interp,argv[276],&tempd) != TCL_OK) error = 1;
    temp0[274] = tempd;
    if (Tcl_GetDouble(interp,argv[277],&tempd) != TCL_OK) error = 1;
    temp0[275] = tempd;
    if (Tcl_GetDouble(interp,argv[278],&tempd) != TCL_OK) error = 1;
    temp0[276] = tempd;
    if (Tcl_GetDouble(interp,argv[279],&tempd) != TCL_OK) error = 1;
    temp0[277] = tempd;
    if (Tcl_GetDouble(interp,argv[280],&tempd) != TCL_OK) error = 1;
    temp0[278] = tempd;
    if (Tcl_GetDouble(interp,argv[281],&tempd) != TCL_OK) error = 1;
    temp0[279] = tempd;
    if (Tcl_GetDouble(interp,argv[282],&tempd) != TCL_OK) error = 1;
    temp0[280] = tempd;
    if (Tcl_GetDouble(interp,argv[283],&tempd) != TCL_OK) error = 1;
    temp0[281] = tempd;
    if (Tcl_GetDouble(interp,argv[284],&tempd) != TCL_OK) error = 1;
    temp0[282] = tempd;
    if (Tcl_GetDouble(interp,argv[285],&tempd) != TCL_OK) error = 1;
    temp0[283] = tempd;
    if (Tcl_GetDouble(interp,argv[286],&tempd) != TCL_OK) error = 1;
    temp0[284] = tempd;
    if (Tcl_GetDouble(interp,argv[287],&tempd) != TCL_OK) error = 1;
    temp0[285] = tempd;
    if (Tcl_GetDouble(interp,argv[288],&tempd) != TCL_OK) error = 1;
    temp0[286] = tempd;
    if (Tcl_GetDouble(interp,argv[289],&tempd) != TCL_OK) error = 1;
    temp0[287] = tempd;
    if (Tcl_GetDouble(interp,argv[290],&tempd) != TCL_OK) error = 1;
    temp0[288] = tempd;
    if (Tcl_GetDouble(interp,argv[291],&tempd) != TCL_OK) error = 1;
    temp0[289] = tempd;
    if (Tcl_GetDouble(interp,argv[292],&tempd) != TCL_OK) error = 1;
    temp0[290] = tempd;
    if (Tcl_GetDouble(interp,argv[293],&tempd) != TCL_OK) error = 1;
    temp0[291] = tempd;
    if (Tcl_GetDouble(interp,argv[294],&tempd) != TCL_OK) error = 1;
    temp0[292] = tempd;
    if (Tcl_GetDouble(interp,argv[295],&tempd) != TCL_OK) error = 1;
    temp0[293] = tempd;
    if (Tcl_GetDouble(interp,argv[296],&tempd) != TCL_OK) error = 1;
    temp0[294] = tempd;
    if (Tcl_GetDouble(interp,argv[297],&tempd) != TCL_OK) error = 1;
    temp0[295] = tempd;
    if (Tcl_GetDouble(interp,argv[298],&tempd) != TCL_OK) error = 1;
    temp0[296] = tempd;
    if (Tcl_GetDouble(interp,argv[299],&tempd) != TCL_OK) error = 1;
    temp0[297] = tempd;
    if (Tcl_GetDouble(interp,argv[300],&tempd) != TCL_OK) error = 1;
    temp0[298] = tempd;
    if (Tcl_GetDouble(interp,argv[301],&tempd) != TCL_OK) error = 1;
    temp0[299] = tempd;
    if (Tcl_GetDouble(interp,argv[302],&tempd) != TCL_OK) error = 1;
    temp0[300] = tempd;
    if (Tcl_GetDouble(interp,argv[303],&tempd) != TCL_OK) error = 1;
    temp0[301] = tempd;
    if (Tcl_GetDouble(interp,argv[304],&tempd) != TCL_OK) error = 1;
    temp0[302] = tempd;
    if (Tcl_GetDouble(interp,argv[305],&tempd) != TCL_OK) error = 1;
    temp0[303] = tempd;
    if (Tcl_GetDouble(interp,argv[306],&tempd) != TCL_OK) error = 1;
    temp0[304] = tempd;
    if (Tcl_GetDouble(interp,argv[307],&tempd) != TCL_OK) error = 1;
    temp0[305] = tempd;
    if (Tcl_GetDouble(interp,argv[308],&tempd) != TCL_OK) error = 1;
    temp0[306] = tempd;
    if (Tcl_GetDouble(interp,argv[309],&tempd) != TCL_OK) error = 1;
    temp0[307] = tempd;
    if (Tcl_GetDouble(interp,argv[310],&tempd) != TCL_OK) error = 1;
    temp0[308] = tempd;
    if (Tcl_GetDouble(interp,argv[311],&tempd) != TCL_OK) error = 1;
    temp0[309] = tempd;
    if (Tcl_GetDouble(interp,argv[312],&tempd) != TCL_OK) error = 1;
    temp0[310] = tempd;
    if (Tcl_GetDouble(interp,argv[313],&tempd) != TCL_OK) error = 1;
    temp0[311] = tempd;
    if (Tcl_GetDouble(interp,argv[314],&tempd) != TCL_OK) error = 1;
    temp0[312] = tempd;
    if (Tcl_GetDouble(interp,argv[315],&tempd) != TCL_OK) error = 1;
    temp0[313] = tempd;
    if (Tcl_GetDouble(interp,argv[316],&tempd) != TCL_OK) error = 1;
    temp0[314] = tempd;
    if (Tcl_GetDouble(interp,argv[317],&tempd) != TCL_OK) error = 1;
    temp0[315] = tempd;
    if (Tcl_GetDouble(interp,argv[318],&tempd) != TCL_OK) error = 1;
    temp0[316] = tempd;
    if (Tcl_GetDouble(interp,argv[319],&tempd) != TCL_OK) error = 1;
    temp0[317] = tempd;
    if (Tcl_GetDouble(interp,argv[320],&tempd) != TCL_OK) error = 1;
    temp0[318] = tempd;
    if (Tcl_GetDouble(interp,argv[321],&tempd) != TCL_OK) error = 1;
    temp0[319] = tempd;
    if (Tcl_GetDouble(interp,argv[322],&tempd) != TCL_OK) error = 1;
    temp0[320] = tempd;
    if (Tcl_GetDouble(interp,argv[323],&tempd) != TCL_OK) error = 1;
    temp0[321] = tempd;
    if (Tcl_GetDouble(interp,argv[324],&tempd) != TCL_OK) error = 1;
    temp0[322] = tempd;
    if (Tcl_GetDouble(interp,argv[325],&tempd) != TCL_OK) error = 1;
    temp0[323] = tempd;
    if (Tcl_GetDouble(interp,argv[326],&tempd) != TCL_OK) error = 1;
    temp0[324] = tempd;
    if (Tcl_GetDouble(interp,argv[327],&tempd) != TCL_OK) error = 1;
    temp0[325] = tempd;
    if (Tcl_GetDouble(interp,argv[328],&tempd) != TCL_OK) error = 1;
    temp0[326] = tempd;
    if (Tcl_GetDouble(interp,argv[329],&tempd) != TCL_OK) error = 1;
    temp0[327] = tempd;
    if (Tcl_GetDouble(interp,argv[330],&tempd) != TCL_OK) error = 1;
    temp0[328] = tempd;
    if (Tcl_GetDouble(interp,argv[331],&tempd) != TCL_OK) error = 1;
    temp0[329] = tempd;
    if (Tcl_GetDouble(interp,argv[332],&tempd) != TCL_OK) error = 1;
    temp0[330] = tempd;
    if (Tcl_GetDouble(interp,argv[333],&tempd) != TCL_OK) error = 1;
    temp0[331] = tempd;
    if (Tcl_GetDouble(interp,argv[334],&tempd) != TCL_OK) error = 1;
    temp0[332] = tempd;
    if (Tcl_GetDouble(interp,argv[335],&tempd) != TCL_OK) error = 1;
    temp0[333] = tempd;
    if (Tcl_GetDouble(interp,argv[336],&tempd) != TCL_OK) error = 1;
    temp0[334] = tempd;
    if (Tcl_GetDouble(interp,argv[337],&tempd) != TCL_OK) error = 1;
    temp0[335] = tempd;
    if (Tcl_GetDouble(interp,argv[338],&tempd) != TCL_OK) error = 1;
    temp0[336] = tempd;
    if (Tcl_GetDouble(interp,argv[339],&tempd) != TCL_OK) error = 1;
    temp0[337] = tempd;
    if (Tcl_GetDouble(interp,argv[340],&tempd) != TCL_OK) error = 1;
    temp0[338] = tempd;
    if (Tcl_GetDouble(interp,argv[341],&tempd) != TCL_OK) error = 1;
    temp0[339] = tempd;
    if (Tcl_GetDouble(interp,argv[342],&tempd) != TCL_OK) error = 1;
    temp0[340] = tempd;
    if (Tcl_GetDouble(interp,argv[343],&tempd) != TCL_OK) error = 1;
    temp0[341] = tempd;
    if (Tcl_GetDouble(interp,argv[344],&tempd) != TCL_OK) error = 1;
    temp0[342] = tempd;
    if (!error)
    {
    op->GetKernel7x7x7(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageConvolveCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageConvolve:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetKernelSize\n",NULL);
    Tcl_AppendResult(interp,"  SetKernel3x3\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  SetKernel5x5\t with 25 args\n",NULL);
    Tcl_AppendResult(interp,"  SetKernel7x7\t with 49 args\n",NULL);
    Tcl_AppendResult(interp,"  GetKernel3x3\t with 9 args\n",NULL);
    Tcl_AppendResult(interp,"  GetKernel5x5\t with 25 args\n",NULL);
    Tcl_AppendResult(interp,"  GetKernel7x7\t with 49 args\n",NULL);
    Tcl_AppendResult(interp,"  SetKernel3x3x3\t with 27 args\n",NULL);
    Tcl_AppendResult(interp,"  SetKernel5x5x5\t with 125 args\n",NULL);
    Tcl_AppendResult(interp,"  SetKernel7x7x7\t with 343 args\n",NULL);
    Tcl_AppendResult(interp,"  GetKernel3x3x3\t with 27 args\n",NULL);
    Tcl_AppendResult(interp,"  GetKernel5x5x5\t with 125 args\n",NULL);
    Tcl_AppendResult(interp,"  GetKernel7x7x7\t with 343 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetKernelSize" );
    Tcl_DStringAppendElement ( &dString, "SetKernel3x3" );
    Tcl_DStringAppendElement ( &dString, "SetKernel5x5" );
    Tcl_DStringAppendElement ( &dString, "SetKernel7x7" );
    Tcl_DStringAppendElement ( &dString, "GetKernel3x3" );
    Tcl_DStringAppendElement ( &dString, "GetKernel5x5" );
    Tcl_DStringAppendElement ( &dString, "GetKernel7x7" );
    Tcl_DStringAppendElement ( &dString, "SetKernel3x3x3" );
    Tcl_DStringAppendElement ( &dString, "SetKernel5x5x5" );
    Tcl_DStringAppendElement ( &dString, "SetKernel7x7x7" );
    Tcl_DStringAppendElement ( &dString, "GetKernel3x3x3" );
    Tcl_DStringAppendElement ( &dString, "GetKernel5x5x5" );
    Tcl_DStringAppendElement ( &dString, "GetKernel7x7x7" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkThreadedImageAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct an instance of vtkImageConvolve filter.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageConvolve *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Construct an instance of vtkImageConvolve filter.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Construct an instance of vtkImageConvolve filter.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Construct an instance of vtkImageConvolve filter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Construct an instance of vtkImageConvolve filter.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKernelSize */
    if ( strcmp ( argv[2], "GetKernelSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKernelSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKernelSize */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetKernelSize();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for GetKernelSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKernel3x3 */
    if ( strcmp ( argv[2], "SetKernel3x3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKernel3x3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKernel3x3 */
    Tcl_DStringAppendElement ( &dString, " Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKernel3x3(const double kernel\\[9\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for SetKernel3x3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKernel5x5 */
    if ( strcmp ( argv[2], "SetKernel5x5" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKernel5x5" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKernel5x5 */
    Tcl_DStringAppendElement ( &dString, " Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKernel5x5(const double kernel\\[25\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for SetKernel5x5 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKernel7x7 */
    if ( strcmp ( argv[2], "SetKernel7x7" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKernel7x7" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKernel7x7 */
    Tcl_DStringAppendElement ( &dString, " Set the kernel to be a given 3x3 or 5x5 or 7x7 kernel.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKernel7x7(double kernel\\[49\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for SetKernel7x7 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKernel3x3 */
    if ( strcmp ( argv[2], "GetKernel3x3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKernel3x3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKernel3x3 */
    Tcl_DStringAppendElement ( &dString, " Return an array that contains the kernel.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetKernel3x3(double kernel\\[9\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for GetKernel3x3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKernel5x5 */
    if ( strcmp ( argv[2], "GetKernel5x5" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKernel5x5" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKernel5x5 */
    Tcl_DStringAppendElement ( &dString, " Return an array that contains the kernel.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetKernel5x5(double kernel\\[25\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for GetKernel5x5 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKernel7x7 */
    if ( strcmp ( argv[2], "GetKernel7x7" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKernel7x7" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKernel7x7 */
    Tcl_DStringAppendElement ( &dString, " Return an array that contains the kernel.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetKernel7x7(double kernel\\[49\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for GetKernel7x7 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKernel3x3x3 */
    if ( strcmp ( argv[2], "SetKernel3x3x3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKernel3x3x3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKernel3x3x3 */
    Tcl_DStringAppendElement ( &dString, " Set the kernel to be a 3x3x3 or 5x5x5 or 7x7x7 kernel.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKernel3x3x3(const double kernel\\[27\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for SetKernel3x3x3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKernel5x5x5 */
    if ( strcmp ( argv[2], "SetKernel5x5x5" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKernel5x5x5" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKernel5x5x5 */
    Tcl_DStringAppendElement ( &dString, " Set the kernel to be a 3x3x3 or 5x5x5 or 7x7x7 kernel.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKernel5x5x5(double kernel\\[125\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for SetKernel5x5x5 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetKernel7x7x7 */
    if ( strcmp ( argv[2], "SetKernel7x7x7" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetKernel7x7x7" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetKernel7x7x7 */
    Tcl_DStringAppendElement ( &dString, " Set the kernel to be a 3x3x3 or 5x5x5 or 7x7x7 kernel.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetKernel7x7x7(double kernel\\[343\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for SetKernel7x7x7 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKernel3x3x3 */
    if ( strcmp ( argv[2], "GetKernel3x3x3" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKernel3x3x3" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKernel3x3x3 */
    Tcl_DStringAppendElement ( &dString, " Return an array that contains the kernel\n" );
    Tcl_DStringAppendElement ( &dString, "void GetKernel3x3x3(double kernel\\[27\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for GetKernel3x3x3 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKernel5x5x5 */
    if ( strcmp ( argv[2], "GetKernel5x5x5" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKernel5x5x5" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKernel5x5x5 */
    Tcl_DStringAppendElement ( &dString, " Return an array that contains the kernel\n" );
    Tcl_DStringAppendElement ( &dString, "void GetKernel5x5x5(double kernel\\[125\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for GetKernel5x5x5 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetKernel7x7x7 */
    if ( strcmp ( argv[2], "GetKernel7x7x7" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetKernel7x7x7" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetKernel7x7x7 */
    Tcl_DStringAppendElement ( &dString, " Return an array that contains the kernel\n" );
    Tcl_DStringAppendElement ( &dString, "void GetKernel7x7x7(double kernel\\[343\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageConvolve" );
    /* Closing for GetKernel7x7x7 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkThreadedImageAlgorithmCppCommand(static_cast<vtkThreadedImageAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
