// tcl wrapper for vtkRenderWindow object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderWindow.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRenderWindowNewCommand()
{
  vtkRenderWindow *temp = vtkRenderWindow::New();
  return static_cast<ClientData>(temp);
}

int vtkWindowCppCommand(vtkWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRenderWindowCppCommand(vtkRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRenderWindowCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRenderWindowCppCommand(static_cast<vtkRenderWindow *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRenderWindowCppCommand(vtkRenderWindow *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderWindow",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWindowCppCommand(static_cast<vtkWindow *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWindow"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderWindow  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderWindow  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindow");
    return TCL_OK;
    }
  if ((!strcmp("AddRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->AddRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    op->RemoveRenderer(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasRenderer",argv[1]))&&(argc == 3))
    {
    vtkRenderer  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkRenderer *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderer"),interp,error));
    if (!error)
    {
    temp20 = (op)->HasRenderer(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRenderLibrary",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetRenderLibrary();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetRenderers",argv[1]))&&(argc == 2))
    {
    vtkRendererCollection  *temp20;
    temp20 = (op)->GetRenderers();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRendererCollection");
    return TCL_OK;
    }
  if ((!strcmp("Render",argv[1]))&&(argc == 2))
    {
    op->Render();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Start",argv[1]))&&(argc == 2))
    {
    op->Start();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Finalize",argv[1]))&&(argc == 2))
    {
    op->Finalize();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("Frame",argv[1]))&&(argc == 2))
    {
    op->Frame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("WaitForCompletion",argv[1]))&&(argc == 2))
    {
    op->WaitForCompletion();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CopyResultFrame",argv[1]))&&(argc == 2))
    {
    op->CopyResultFrame();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("MakeRenderWindowInteractor",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->MakeRenderWindowInteractor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("HideCursor",argv[1]))&&(argc == 2))
    {
    op->HideCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowCursor",argv[1]))&&(argc == 2))
    {
    op->ShowCursor();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCursorPosition",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetCursorPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCurrentCursor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetCurrentCursor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentCursor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCurrentCursor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFullScreen",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFullScreen(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFullScreen",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFullScreen();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("FullScreenOn",argv[1]))&&(argc == 2))
    {
    op->FullScreenOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("FullScreenOff",argv[1]))&&(argc == 2))
    {
    op->FullScreenOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBorders",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorders(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorders",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorders();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("BordersOn",argv[1]))&&(argc == 2))
    {
    op->BordersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("BordersOff",argv[1]))&&(argc == 2))
    {
    op->BordersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStereoCapableWindow",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStereoCapableWindow();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StereoCapableWindowOn",argv[1]))&&(argc == 2))
    {
    op->StereoCapableWindowOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StereoCapableWindowOff",argv[1]))&&(argc == 2))
    {
    op->StereoCapableWindowOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoCapableWindow",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStereoCapableWindow(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStereoRender",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStereoRender();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoRender",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStereoRender(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("StereoRenderOn",argv[1]))&&(argc == 2))
    {
    op->StereoRenderOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StereoRenderOff",argv[1]))&&(argc == 2))
    {
    op->StereoRenderOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAlphaBitPlanes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAlphaBitPlanes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAlphaBitPlanes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAlphaBitPlanes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AlphaBitPlanesOn",argv[1]))&&(argc == 2))
    {
    op->AlphaBitPlanesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AlphaBitPlanesOff",argv[1]))&&(argc == 2))
    {
    op->AlphaBitPlanesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPointSmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPointSmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointSmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPointSmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PointSmoothingOn",argv[1]))&&(argc == 2))
    {
    op->PointSmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PointSmoothingOff",argv[1]))&&(argc == 2))
    {
    op->PointSmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLineSmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLineSmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLineSmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLineSmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LineSmoothingOn",argv[1]))&&(argc == 2))
    {
    op->LineSmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LineSmoothingOff",argv[1]))&&(argc == 2))
    {
    op->LineSmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPolygonSmoothing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPolygonSmoothing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolygonSmoothing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPolygonSmoothing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("PolygonSmoothingOn",argv[1]))&&(argc == 2))
    {
    op->PolygonSmoothingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PolygonSmoothingOff",argv[1]))&&(argc == 2))
    {
    op->PolygonSmoothingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStereoType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStereoType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStereoType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetStereoTypeToCrystalEyes",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToCrystalEyes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToRedBlue",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToRedBlue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToInterlaced",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToInterlaced();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToLeft",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToLeft();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToRight",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToRight();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToDresden",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToDresden();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToAnaglyph",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToAnaglyph();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetStereoTypeToCheckerboard",argv[1]))&&(argc == 2))
    {
    op->SetStereoTypeToCheckerboard();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetStereoTypeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetStereoTypeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("StereoUpdate",argv[1]))&&(argc == 2))
    {
    op->StereoUpdate();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StereoMidpoint",argv[1]))&&(argc == 2))
    {
    op->StereoMidpoint();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StereoRenderComplete",argv[1]))&&(argc == 2))
    {
    op->StereoRenderComplete();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetAnaglyphColorSaturation",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetAnaglyphColorSaturation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnaglyphColorSaturationMinValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetAnaglyphColorSaturationMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAnaglyphColorSaturationMaxValue",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetAnaglyphColorSaturationMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAnaglyphColorSaturation",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetAnaglyphColorSaturation();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAnaglyphColorMask",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetAnaglyphColorMask(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAnaglyphColorMask",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetAnaglyphColorMask(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAnaglyphColorMask",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetAnaglyphColorMask();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("WindowRemap",argv[1]))&&(argc == 2))
    {
    op->WindowRemap();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSwapBuffers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSwapBuffers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSwapBuffers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSwapBuffers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SwapBuffersOn",argv[1]))&&(argc == 2))
    {
    op->SwapBuffersOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SwapBuffersOff",argv[1]))&&(argc == 2))
    {
    op->SwapBuffersOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    int      temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (!error)
    {
    temp20 = (op)->SetPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRGBAPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkFloatArray  *temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkFloatArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRGBAPixelData",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkFloatArray"),interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    temp20 = (op)->SetRGBAPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRGBACharPixelData",argv[1]))&&(argc == 8))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    int      temp4;
    vtkUnsignedCharArray  *temp5;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (Tcl_GetInt(interp,argv[6],&tempi) != TCL_OK) error = 1;
    temp4 = tempi;
    temp5 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[7],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRGBACharPixelData",argv[1]))&&(argc == 9))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkUnsignedCharArray  *temp4;
    int      temp5;
    int      temp6;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkUnsignedCharArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkUnsignedCharArray"),interp,error));
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = tempi;
    if (Tcl_GetInt(interp,argv[8],&tempi) != TCL_OK) error = 1;
    temp6 = tempi;
    if (!error)
    {
    temp20 = (op)->SetRGBACharPixelData(temp0,temp1,temp2,temp3,temp4,temp5,temp6);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZbufferData",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkFloatArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetZbufferData(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetZbufferData",argv[1]))&&(argc == 7))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp3;
    vtkFloatArray  *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = (vtkFloatArray *)(vtkTclGetPointerFromObject(argv[6],const_cast<char *>("vtkFloatArray"),interp,error));
    if (!error)
    {
    temp20 = (op)->SetZbufferData(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZbufferDataAtPoint",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    float    temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetZbufferDataAtPoint(temp0,temp1);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAAFrames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAAFrames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAAFrames",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAAFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFDFrames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetFDFrames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFDFrames",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetFDFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubFrames",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubFrames();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSubFrames",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSubFrames(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNeverRendered",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNeverRendered();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetAbortRender",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAbortRender();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAbortRender",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAbortRender(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInAbortCheck",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInAbortCheck();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInAbortCheck",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInAbortCheck(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("CheckAbortStatus",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CheckAbortStatus();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetIsPicking",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetIsPicking();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetIsPicking",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetIsPicking(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("IsPickingOn",argv[1]))&&(argc == 2))
    {
    op->IsPickingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsPickingOff",argv[1]))&&(argc == 2))
    {
    op->IsPickingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetEventPending",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEventPending();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("CheckInRenderStatus",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->CheckInRenderStatus();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ClearInRenderStatus",argv[1]))&&(argc == 2))
    {
    op->ClearInRenderStatus();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDesiredUpdateRate",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDesiredUpdateRate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDesiredUpdateRate",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDesiredUpdateRate();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLayers",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLayers();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfLayers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfLayers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfLayersMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLayersMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfLayersMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfLayersMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInteractor",argv[1]))&&(argc == 2))
    {
    vtkRenderWindowInteractor  *temp20;
    temp20 = (op)->GetInteractor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderWindowInteractor");
    return TCL_OK;
    }
  if ((!strcmp("SetInteractor",argv[1]))&&(argc == 3))
    {
    vtkRenderWindowInteractor  *temp0;
    error = 0;

    temp0 = (vtkRenderWindowInteractor *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkRenderWindowInteractor"),interp,error));
    if (!error)
    {
    op->SetInteractor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UnRegister",argv[1]))&&(argc == 3))
    {
    vtkObjectBase  *temp0;
    error = 0;

    temp0 = (vtkObjectBase *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObjectBase"),interp,error));
    if (!error)
    {
    op->UnRegister(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetWindowInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNextWindowInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetNextWindowInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParentInfo",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetParentInfo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("MakeCurrent",argv[1]))&&(argc == 2))
    {
    op->MakeCurrent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsCurrent",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsCurrent();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetForceMakeCurrent",argv[1]))&&(argc == 2))
    {
    op->SetForceMakeCurrent();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReportCapabilities",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->ReportCapabilities();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SupportsOpenGL",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->SupportsOpenGL();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsDirect",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsDirect();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDepthBufferSize",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDepthBufferSize();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPainterDeviceAdapter",argv[1]))&&(argc == 2))
    {
    vtkPainterDeviceAdapter  *temp20;
    temp20 = (op)->GetPainterDeviceAdapter();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPainterDeviceAdapter");
    return TCL_OK;
    }
  if ((!strcmp("SetMultiSamples",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMultiSamples(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMultiSamples",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMultiSamples();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetStencilCapable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetStencilCapable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetStencilCapable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetStencilCapable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("StencilCapableOn",argv[1]))&&(argc == 2))
    {
    op->StencilCapableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StencilCapableOff",argv[1]))&&(argc == 2))
    {
    op->StencilCapableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReportGraphicErrors",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReportGraphicErrors(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReportGraphicErrors",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReportGraphicErrors();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReportGraphicErrorsOn",argv[1]))&&(argc == 2))
    {
    op->ReportGraphicErrorsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReportGraphicErrorsOff",argv[1]))&&(argc == 2))
    {
    op->ReportGraphicErrorsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CheckGraphicError",argv[1]))&&(argc == 2))
    {
    op->CheckGraphicError();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasGraphicError",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasGraphicError();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLastGraphicErrorString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLastGraphicErrorString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRenderWindowCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWindowCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderWindow:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasRenderer\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderLibrary\n",NULL);
    Tcl_AppendResult(interp,"  GetRenderers\n",NULL);
    Tcl_AppendResult(interp,"  Render\n",NULL);
    Tcl_AppendResult(interp,"  Start\n",NULL);
    Tcl_AppendResult(interp,"  Finalize\n",NULL);
    Tcl_AppendResult(interp,"  Frame\n",NULL);
    Tcl_AppendResult(interp,"  WaitForCompletion\n",NULL);
    Tcl_AppendResult(interp,"  CopyResultFrame\n",NULL);
    Tcl_AppendResult(interp,"  MakeRenderWindowInteractor\n",NULL);
    Tcl_AppendResult(interp,"  HideCursor\n",NULL);
    Tcl_AppendResult(interp,"  ShowCursor\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCurrentCursor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentCursor\n",NULL);
    Tcl_AppendResult(interp,"  SetFullScreen\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFullScreen\n",NULL);
    Tcl_AppendResult(interp,"  FullScreenOn\n",NULL);
    Tcl_AppendResult(interp,"  FullScreenOff\n",NULL);
    Tcl_AppendResult(interp,"  SetBorders\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorders\n",NULL);
    Tcl_AppendResult(interp,"  BordersOn\n",NULL);
    Tcl_AppendResult(interp,"  BordersOff\n",NULL);
    Tcl_AppendResult(interp,"  GetStereoCapableWindow\n",NULL);
    Tcl_AppendResult(interp,"  StereoCapableWindowOn\n",NULL);
    Tcl_AppendResult(interp,"  StereoCapableWindowOff\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoCapableWindow\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStereoRender\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoRender\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  StereoRenderOn\n",NULL);
    Tcl_AppendResult(interp,"  StereoRenderOff\n",NULL);
    Tcl_AppendResult(interp,"  SetAlphaBitPlanes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAlphaBitPlanes\n",NULL);
    Tcl_AppendResult(interp,"  AlphaBitPlanesOn\n",NULL);
    Tcl_AppendResult(interp,"  AlphaBitPlanesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPointSmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointSmoothing\n",NULL);
    Tcl_AppendResult(interp,"  PointSmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  PointSmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLineSmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLineSmoothing\n",NULL);
    Tcl_AppendResult(interp,"  LineSmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  LineSmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPolygonSmoothing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolygonSmoothing\n",NULL);
    Tcl_AppendResult(interp,"  PolygonSmoothingOn\n",NULL);
    Tcl_AppendResult(interp,"  PolygonSmoothingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetStereoType\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToCrystalEyes\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToRedBlue\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToInterlaced\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToLeft\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToRight\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToDresden\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToAnaglyph\n",NULL);
    Tcl_AppendResult(interp,"  SetStereoTypeToCheckerboard\n",NULL);
    Tcl_AppendResult(interp,"  GetStereoTypeAsString\n",NULL);
    Tcl_AppendResult(interp,"  StereoUpdate\n",NULL);
    Tcl_AppendResult(interp,"  StereoMidpoint\n",NULL);
    Tcl_AppendResult(interp,"  StereoRenderComplete\n",NULL);
    Tcl_AppendResult(interp,"  SetAnaglyphColorSaturation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAnaglyphColorSaturationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAnaglyphColorSaturationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetAnaglyphColorSaturation\n",NULL);
    Tcl_AppendResult(interp,"  SetAnaglyphColorMask\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetAnaglyphColorMask\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAnaglyphColorMask\n",NULL);
    Tcl_AppendResult(interp,"  WindowRemap\n",NULL);
    Tcl_AppendResult(interp,"  SetSwapBuffers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSwapBuffers\n",NULL);
    Tcl_AppendResult(interp,"  SwapBuffersOn\n",NULL);
    Tcl_AppendResult(interp,"  SwapBuffersOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRGBAPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRGBAPixelData\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRGBACharPixelData\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRGBACharPixelData\t with 7 args\n",NULL);
    Tcl_AppendResult(interp,"  GetZbufferData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  SetZbufferData\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetZbufferDataAtPoint\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetAAFrames\n",NULL);
    Tcl_AppendResult(interp,"  SetAAFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFDFrames\n",NULL);
    Tcl_AppendResult(interp,"  SetFDFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubFrames\n",NULL);
    Tcl_AppendResult(interp,"  SetSubFrames\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNeverRendered\n",NULL);
    Tcl_AppendResult(interp,"  GetAbortRender\n",NULL);
    Tcl_AppendResult(interp,"  SetAbortRender\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInAbortCheck\n",NULL);
    Tcl_AppendResult(interp,"  SetInAbortCheck\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  CheckAbortStatus\n",NULL);
    Tcl_AppendResult(interp,"  GetIsPicking\n",NULL);
    Tcl_AppendResult(interp,"  SetIsPicking\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  IsPickingOn\n",NULL);
    Tcl_AppendResult(interp,"  IsPickingOff\n",NULL);
    Tcl_AppendResult(interp,"  GetEventPending\n",NULL);
    Tcl_AppendResult(interp,"  CheckInRenderStatus\n",NULL);
    Tcl_AppendResult(interp,"  ClearInRenderStatus\n",NULL);
    Tcl_AppendResult(interp,"  SetDesiredUpdateRate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDesiredUpdateRate\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLayers\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfLayers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLayersMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfLayersMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractor\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UnRegister\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNextWindowInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParentInfo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  MakeCurrent\n",NULL);
    Tcl_AppendResult(interp,"  IsCurrent\n",NULL);
    Tcl_AppendResult(interp,"  SetForceMakeCurrent\n",NULL);
    Tcl_AppendResult(interp,"  ReportCapabilities\n",NULL);
    Tcl_AppendResult(interp,"  SupportsOpenGL\n",NULL);
    Tcl_AppendResult(interp,"  IsDirect\n",NULL);
    Tcl_AppendResult(interp,"  GetDepthBufferSize\n",NULL);
    Tcl_AppendResult(interp,"  GetPainterDeviceAdapter\n",NULL);
    Tcl_AppendResult(interp,"  SetMultiSamples\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMultiSamples\n",NULL);
    Tcl_AppendResult(interp,"  SetStencilCapable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetStencilCapable\n",NULL);
    Tcl_AppendResult(interp,"  StencilCapableOn\n",NULL);
    Tcl_AppendResult(interp,"  StencilCapableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReportGraphicErrors\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReportGraphicErrors\n",NULL);
    Tcl_AppendResult(interp,"  ReportGraphicErrorsOn\n",NULL);
    Tcl_AppendResult(interp,"  ReportGraphicErrorsOff\n",NULL);
    Tcl_AppendResult(interp,"  CheckGraphicError\n",NULL);
    Tcl_AppendResult(interp,"  HasGraphicError\n",NULL);
    Tcl_AppendResult(interp,"  GetLastGraphicErrorString\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWindowCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "AddRenderer" );
    Tcl_DStringAppendElement ( &dString, "RemoveRenderer" );
    Tcl_DStringAppendElement ( &dString, "HasRenderer" );
    Tcl_DStringAppendElement ( &dString, "GetRenderLibrary" );
    Tcl_DStringAppendElement ( &dString, "GetRenderers" );
    Tcl_DStringAppendElement ( &dString, "Render" );
    Tcl_DStringAppendElement ( &dString, "Start" );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    Tcl_DStringAppendElement ( &dString, "Frame" );
    Tcl_DStringAppendElement ( &dString, "WaitForCompletion" );
    Tcl_DStringAppendElement ( &dString, "CopyResultFrame" );
    Tcl_DStringAppendElement ( &dString, "MakeRenderWindowInteractor" );
    Tcl_DStringAppendElement ( &dString, "HideCursor" );
    Tcl_DStringAppendElement ( &dString, "ShowCursor" );
    Tcl_DStringAppendElement ( &dString, "SetCursorPosition" );
    Tcl_DStringAppendElement ( &dString, "SetCurrentCursor" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentCursor" );
    Tcl_DStringAppendElement ( &dString, "SetFullScreen" );
    Tcl_DStringAppendElement ( &dString, "GetFullScreen" );
    Tcl_DStringAppendElement ( &dString, "FullScreenOn" );
    Tcl_DStringAppendElement ( &dString, "FullScreenOff" );
    Tcl_DStringAppendElement ( &dString, "SetBorders" );
    Tcl_DStringAppendElement ( &dString, "GetBorders" );
    Tcl_DStringAppendElement ( &dString, "BordersOn" );
    Tcl_DStringAppendElement ( &dString, "BordersOff" );
    Tcl_DStringAppendElement ( &dString, "GetStereoCapableWindow" );
    Tcl_DStringAppendElement ( &dString, "StereoCapableWindowOn" );
    Tcl_DStringAppendElement ( &dString, "StereoCapableWindowOff" );
    Tcl_DStringAppendElement ( &dString, "SetStereoCapableWindow" );
    Tcl_DStringAppendElement ( &dString, "GetStereoRender" );
    Tcl_DStringAppendElement ( &dString, "SetStereoRender" );
    Tcl_DStringAppendElement ( &dString, "StereoRenderOn" );
    Tcl_DStringAppendElement ( &dString, "StereoRenderOff" );
    Tcl_DStringAppendElement ( &dString, "SetAlphaBitPlanes" );
    Tcl_DStringAppendElement ( &dString, "GetAlphaBitPlanes" );
    Tcl_DStringAppendElement ( &dString, "AlphaBitPlanesOn" );
    Tcl_DStringAppendElement ( &dString, "AlphaBitPlanesOff" );
    Tcl_DStringAppendElement ( &dString, "SetPointSmoothing" );
    Tcl_DStringAppendElement ( &dString, "GetPointSmoothing" );
    Tcl_DStringAppendElement ( &dString, "PointSmoothingOn" );
    Tcl_DStringAppendElement ( &dString, "PointSmoothingOff" );
    Tcl_DStringAppendElement ( &dString, "SetLineSmoothing" );
    Tcl_DStringAppendElement ( &dString, "GetLineSmoothing" );
    Tcl_DStringAppendElement ( &dString, "LineSmoothingOn" );
    Tcl_DStringAppendElement ( &dString, "LineSmoothingOff" );
    Tcl_DStringAppendElement ( &dString, "SetPolygonSmoothing" );
    Tcl_DStringAppendElement ( &dString, "GetPolygonSmoothing" );
    Tcl_DStringAppendElement ( &dString, "PolygonSmoothingOn" );
    Tcl_DStringAppendElement ( &dString, "PolygonSmoothingOff" );
    Tcl_DStringAppendElement ( &dString, "GetStereoType" );
    Tcl_DStringAppendElement ( &dString, "SetStereoType" );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToCrystalEyes" );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToRedBlue" );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToInterlaced" );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToLeft" );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToRight" );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToDresden" );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToAnaglyph" );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToCheckerboard" );
    Tcl_DStringAppendElement ( &dString, "GetStereoTypeAsString" );
    Tcl_DStringAppendElement ( &dString, "StereoUpdate" );
    Tcl_DStringAppendElement ( &dString, "StereoMidpoint" );
    Tcl_DStringAppendElement ( &dString, "StereoRenderComplete" );
    Tcl_DStringAppendElement ( &dString, "SetAnaglyphColorSaturation" );
    Tcl_DStringAppendElement ( &dString, "GetAnaglyphColorSaturationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetAnaglyphColorSaturationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetAnaglyphColorSaturation" );
    Tcl_DStringAppendElement ( &dString, "SetAnaglyphColorMask" );
    Tcl_DStringAppendElement ( &dString, "SetAnaglyphColorMask" );
    Tcl_DStringAppendElement ( &dString, "GetAnaglyphColorMask" );
    Tcl_DStringAppendElement ( &dString, "WindowRemap" );
    Tcl_DStringAppendElement ( &dString, "SetSwapBuffers" );
    Tcl_DStringAppendElement ( &dString, "GetSwapBuffers" );
    Tcl_DStringAppendElement ( &dString, "SwapBuffersOn" );
    Tcl_DStringAppendElement ( &dString, "SwapBuffersOff" );
    Tcl_DStringAppendElement ( &dString, "SetPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetRGBAPixelData" );
    Tcl_DStringAppendElement ( &dString, "SetRGBAPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetRGBACharPixelData" );
    Tcl_DStringAppendElement ( &dString, "SetRGBACharPixelData" );
    Tcl_DStringAppendElement ( &dString, "GetZbufferData" );
    Tcl_DStringAppendElement ( &dString, "SetZbufferData" );
    Tcl_DStringAppendElement ( &dString, "GetZbufferDataAtPoint" );
    Tcl_DStringAppendElement ( &dString, "GetAAFrames" );
    Tcl_DStringAppendElement ( &dString, "SetAAFrames" );
    Tcl_DStringAppendElement ( &dString, "GetFDFrames" );
    Tcl_DStringAppendElement ( &dString, "SetFDFrames" );
    Tcl_DStringAppendElement ( &dString, "GetSubFrames" );
    Tcl_DStringAppendElement ( &dString, "SetSubFrames" );
    Tcl_DStringAppendElement ( &dString, "GetNeverRendered" );
    Tcl_DStringAppendElement ( &dString, "GetAbortRender" );
    Tcl_DStringAppendElement ( &dString, "SetAbortRender" );
    Tcl_DStringAppendElement ( &dString, "GetInAbortCheck" );
    Tcl_DStringAppendElement ( &dString, "SetInAbortCheck" );
    Tcl_DStringAppendElement ( &dString, "CheckAbortStatus" );
    Tcl_DStringAppendElement ( &dString, "GetIsPicking" );
    Tcl_DStringAppendElement ( &dString, "SetIsPicking" );
    Tcl_DStringAppendElement ( &dString, "IsPickingOn" );
    Tcl_DStringAppendElement ( &dString, "IsPickingOff" );
    Tcl_DStringAppendElement ( &dString, "GetEventPending" );
    Tcl_DStringAppendElement ( &dString, "CheckInRenderStatus" );
    Tcl_DStringAppendElement ( &dString, "ClearInRenderStatus" );
    Tcl_DStringAppendElement ( &dString, "SetDesiredUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "GetDesiredUpdateRate" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLayers" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLayers" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLayersMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLayersMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetInteractor" );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    Tcl_DStringAppendElement ( &dString, "SetWindowInfo" );
    Tcl_DStringAppendElement ( &dString, "SetNextWindowInfo" );
    Tcl_DStringAppendElement ( &dString, "SetParentInfo" );
    Tcl_DStringAppendElement ( &dString, "MakeCurrent" );
    Tcl_DStringAppendElement ( &dString, "IsCurrent" );
    Tcl_DStringAppendElement ( &dString, "SetForceMakeCurrent" );
    Tcl_DStringAppendElement ( &dString, "ReportCapabilities" );
    Tcl_DStringAppendElement ( &dString, "SupportsOpenGL" );
    Tcl_DStringAppendElement ( &dString, "IsDirect" );
    Tcl_DStringAppendElement ( &dString, "GetDepthBufferSize" );
    Tcl_DStringAppendElement ( &dString, "GetPainterDeviceAdapter" );
    Tcl_DStringAppendElement ( &dString, "SetMultiSamples" );
    Tcl_DStringAppendElement ( &dString, "GetMultiSamples" );
    Tcl_DStringAppendElement ( &dString, "SetStencilCapable" );
    Tcl_DStringAppendElement ( &dString, "GetStencilCapable" );
    Tcl_DStringAppendElement ( &dString, "StencilCapableOn" );
    Tcl_DStringAppendElement ( &dString, "StencilCapableOff" );
    Tcl_DStringAppendElement ( &dString, "SetReportGraphicErrors" );
    Tcl_DStringAppendElement ( &dString, "GetReportGraphicErrors" );
    Tcl_DStringAppendElement ( &dString, "ReportGraphicErrorsOn" );
    Tcl_DStringAppendElement ( &dString, "ReportGraphicErrorsOff" );
    Tcl_DStringAppendElement ( &dString, "CheckGraphicError" );
    Tcl_DStringAppendElement ( &dString, "HasGraphicError" );
    Tcl_DStringAppendElement ( &dString, "GetLastGraphicErrorString" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWindowCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Construct an instance of  vtkRenderWindow with its screen size\n set to 300x300, borders turned on, positioned at (0,0), double\n buffering turned on.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkRenderWindow *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddRenderer */
    if ( strcmp ( argv[2], "AddRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddRenderer */
    Tcl_DStringAppendElement ( &dString, " Add a renderer to the list of renderers.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddRenderer(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for AddRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveRenderer */
    if ( strcmp ( argv[2], "RemoveRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveRenderer */
    Tcl_DStringAppendElement ( &dString, " Remove a renderer from the list of renderers.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveRenderer(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for RemoveRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasRenderer */
    if ( strcmp ( argv[2], "HasRenderer" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasRenderer" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderer" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasRenderer */
    Tcl_DStringAppendElement ( &dString, " Query if a renderer is in the list of renderers.\n" );
    Tcl_DStringAppendElement ( &dString, "int HasRenderer(vtkRenderer *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for HasRenderer */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderLibrary */
    if ( strcmp ( argv[2], "GetRenderLibrary" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderLibrary" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderLibrary */
    Tcl_DStringAppendElement ( &dString, " What rendering library has the user requested\n" );
    Tcl_DStringAppendElement ( &dString, "static const char *GetRenderLibrary();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetRenderLibrary */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRenderers */
    if ( strcmp ( argv[2], "GetRenderers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRenderers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRenderers */
    Tcl_DStringAppendElement ( &dString, " Return the collection of renderers in the render window.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRendererCollection *GetRenderers();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetRenderers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Render */
    if ( strcmp ( argv[2], "Render" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Render" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Render */
    Tcl_DStringAppendElement ( &dString, " Ask each renderer owned by this RenderWindow to render its image and\n synchronize this process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Render();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for Render */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Start */
    if ( strcmp ( argv[2], "Start" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Start" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Start */
    Tcl_DStringAppendElement ( &dString, " Initialize the rendering process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Start() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for Start */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Finalize */
    if ( strcmp ( argv[2], "Finalize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Finalize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Finalize */
    Tcl_DStringAppendElement ( &dString, " Finalize the rendering process.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Finalize() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for Finalize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: Frame */
    if ( strcmp ( argv[2], "Frame" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "Frame" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for Frame */
    Tcl_DStringAppendElement ( &dString, " A termination method performed at the end of the rendering process\n to do things like swapping buffers (if necessary) or similar actions.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void Frame() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for Frame */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WaitForCompletion */
    if ( strcmp ( argv[2], "WaitForCompletion" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WaitForCompletion" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WaitForCompletion */
    Tcl_DStringAppendElement ( &dString, " Block the thread until the actual rendering is finished().\n Useful for measurement only.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WaitForCompletion() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for WaitForCompletion */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CopyResultFrame */
    if ( strcmp ( argv[2], "CopyResultFrame" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CopyResultFrame" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CopyResultFrame */
    Tcl_DStringAppendElement ( &dString, " Performed at the end of the rendering process to generate image.\n This is typically done right before swapping buffers.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CopyResultFrame();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for CopyResultFrame */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeRenderWindowInteractor */
    if ( strcmp ( argv[2], "MakeRenderWindowInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeRenderWindowInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeRenderWindowInteractor */
    Tcl_DStringAppendElement ( &dString, " Create an interactor to control renderers in this window. We need\n to know what type of interactor to create, because we might be in\n X Windows or MS Windows.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkRenderWindowInteractor *MakeRenderWindowInteractor();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for MakeRenderWindowInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HideCursor */
    if ( strcmp ( argv[2], "HideCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HideCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HideCursor */
    Tcl_DStringAppendElement ( &dString, " Hide or Show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n Set cursor position in window (note that (0,0) is the lower left\n corner).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void HideCursor() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for HideCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowCursor */
    if ( strcmp ( argv[2], "ShowCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowCursor */
    Tcl_DStringAppendElement ( &dString, " Hide or Show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n Set cursor position in window (note that (0,0) is the lower left\n corner).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ShowCursor() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for ShowCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorPosition */
    if ( strcmp ( argv[2], "SetCursorPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorPosition */
    Tcl_DStringAppendElement ( &dString, " Hide or Show the mouse cursor, it is nice to be able to hide the\n default cursor if you want VTK to display a 3D cursor instead.\n Set cursor position in window (note that (0,0) is the lower left\n corner).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCursorPosition(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetCursorPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCurrentCursor */
    if ( strcmp ( argv[2], "SetCurrentCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCurrentCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCurrentCursor */
    Tcl_DStringAppendElement ( &dString, " Change the shape of the cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCurrentCursor(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetCurrentCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentCursor */
    if ( strcmp ( argv[2], "GetCurrentCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentCursor */
    Tcl_DStringAppendElement ( &dString, " Change the shape of the cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCurrentCursor();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetCurrentCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFullScreen */
    if ( strcmp ( argv[2], "SetFullScreen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFullScreen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFullScreen */
    Tcl_DStringAppendElement ( &dString, " Turn on/off rendering full screen window size.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFullScreen(int) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetFullScreen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFullScreen */
    if ( strcmp ( argv[2], "GetFullScreen" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFullScreen" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFullScreen */
    Tcl_DStringAppendElement ( &dString, " Turn on/off rendering full screen window size.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFullScreen();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetFullScreen */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FullScreenOn */
    if ( strcmp ( argv[2], "FullScreenOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FullScreenOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FullScreenOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off rendering full screen window size.\n" );
    Tcl_DStringAppendElement ( &dString, "void FullScreenOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for FullScreenOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: FullScreenOff */
    if ( strcmp ( argv[2], "FullScreenOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "FullScreenOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for FullScreenOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off rendering full screen window size.\n" );
    Tcl_DStringAppendElement ( &dString, "void FullScreenOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for FullScreenOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorders */
    if ( strcmp ( argv[2], "SetBorders" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorders" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorders */
    Tcl_DStringAppendElement ( &dString, " Turn on/off window manager borders. Typically, you shouldn't turn the\n borders off, because that bypasses the window manager and can cause\n undesirable behavior.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorders(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetBorders */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorders */
    if ( strcmp ( argv[2], "GetBorders" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorders" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorders */
    Tcl_DStringAppendElement ( &dString, " Turn on/off window manager borders. Typically, you shouldn't turn the\n borders off, because that bypasses the window manager and can cause\n undesirable behavior.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorders();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetBorders */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BordersOn */
    if ( strcmp ( argv[2], "BordersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BordersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BordersOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off window manager borders. Typically, you shouldn't turn the\n borders off, because that bypasses the window manager and can cause\n undesirable behavior.\n" );
    Tcl_DStringAppendElement ( &dString, "void BordersOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for BordersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BordersOff */
    if ( strcmp ( argv[2], "BordersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BordersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BordersOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off window manager borders. Typically, you shouldn't turn the\n borders off, because that bypasses the window manager and can cause\n undesirable behavior.\n" );
    Tcl_DStringAppendElement ( &dString, "void BordersOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for BordersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStereoCapableWindow */
    if ( strcmp ( argv[2], "GetStereoCapableWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStereoCapableWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStereoCapableWindow */
    Tcl_DStringAppendElement ( &dString, " Prescribe that the window be created in a stereo-capable mode. This\n method must be called before the window is realized. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStereoCapableWindow();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetStereoCapableWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StereoCapableWindowOn */
    if ( strcmp ( argv[2], "StereoCapableWindowOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StereoCapableWindowOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StereoCapableWindowOn */
    Tcl_DStringAppendElement ( &dString, " Prescribe that the window be created in a stereo-capable mode. This\n method must be called before the window is realized. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void StereoCapableWindowOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for StereoCapableWindowOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StereoCapableWindowOff */
    if ( strcmp ( argv[2], "StereoCapableWindowOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StereoCapableWindowOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StereoCapableWindowOff */
    Tcl_DStringAppendElement ( &dString, " Prescribe that the window be created in a stereo-capable mode. This\n method must be called before the window is realized. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void StereoCapableWindowOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for StereoCapableWindowOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoCapableWindow */
    if ( strcmp ( argv[2], "SetStereoCapableWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoCapableWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoCapableWindow */
    Tcl_DStringAppendElement ( &dString, " Prescribe that the window be created in a stereo-capable mode. This\n method must be called before the window is realized. Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetStereoCapableWindow(int capable);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoCapableWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStereoRender */
    if ( strcmp ( argv[2], "GetStereoRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStereoRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStereoRender */
    Tcl_DStringAppendElement ( &dString, " Turn on/off stereo rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStereoRender();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetStereoRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoRender */
    if ( strcmp ( argv[2], "SetStereoRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoRender */
    Tcl_DStringAppendElement ( &dString, " Turn on/off stereo rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStereoRender(int stereo);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StereoRenderOn */
    if ( strcmp ( argv[2], "StereoRenderOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StereoRenderOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StereoRenderOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off stereo rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void StereoRenderOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for StereoRenderOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StereoRenderOff */
    if ( strcmp ( argv[2], "StereoRenderOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StereoRenderOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StereoRenderOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off stereo rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "void StereoRenderOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for StereoRenderOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAlphaBitPlanes */
    if ( strcmp ( argv[2], "SetAlphaBitPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAlphaBitPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAlphaBitPlanes */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the use of alpha bitplanes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAlphaBitPlanes(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetAlphaBitPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAlphaBitPlanes */
    if ( strcmp ( argv[2], "GetAlphaBitPlanes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAlphaBitPlanes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAlphaBitPlanes */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the use of alpha bitplanes.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAlphaBitPlanes();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetAlphaBitPlanes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AlphaBitPlanesOn */
    if ( strcmp ( argv[2], "AlphaBitPlanesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AlphaBitPlanesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AlphaBitPlanesOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the use of alpha bitplanes.\n" );
    Tcl_DStringAppendElement ( &dString, "void AlphaBitPlanesOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for AlphaBitPlanesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AlphaBitPlanesOff */
    if ( strcmp ( argv[2], "AlphaBitPlanesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AlphaBitPlanesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AlphaBitPlanesOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the use of alpha bitplanes.\n" );
    Tcl_DStringAppendElement ( &dString, "void AlphaBitPlanesOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for AlphaBitPlanesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointSmoothing */
    if ( strcmp ( argv[2], "SetPointSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointSmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off point smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointSmoothing(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetPointSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointSmoothing */
    if ( strcmp ( argv[2], "GetPointSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointSmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off point smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointSmoothing();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetPointSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PointSmoothingOn */
    if ( strcmp ( argv[2], "PointSmoothingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PointSmoothingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PointSmoothingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off point smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "void PointSmoothingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for PointSmoothingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PointSmoothingOff */
    if ( strcmp ( argv[2], "PointSmoothingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PointSmoothingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PointSmoothingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off point smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "void PointSmoothingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for PointSmoothingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLineSmoothing */
    if ( strcmp ( argv[2], "SetLineSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLineSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLineSmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off line smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLineSmoothing(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetLineSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLineSmoothing */
    if ( strcmp ( argv[2], "GetLineSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLineSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLineSmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off line smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLineSmoothing();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetLineSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LineSmoothingOn */
    if ( strcmp ( argv[2], "LineSmoothingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LineSmoothingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LineSmoothingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off line smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "void LineSmoothingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for LineSmoothingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LineSmoothingOff */
    if ( strcmp ( argv[2], "LineSmoothingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LineSmoothingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LineSmoothingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off line smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "void LineSmoothingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for LineSmoothingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPolygonSmoothing */
    if ( strcmp ( argv[2], "SetPolygonSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPolygonSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPolygonSmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off polygon smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPolygonSmoothing(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetPolygonSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolygonSmoothing */
    if ( strcmp ( argv[2], "GetPolygonSmoothing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolygonSmoothing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolygonSmoothing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off polygon smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPolygonSmoothing();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetPolygonSmoothing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolygonSmoothingOn */
    if ( strcmp ( argv[2], "PolygonSmoothingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolygonSmoothingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolygonSmoothingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off polygon smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolygonSmoothingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for PolygonSmoothingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PolygonSmoothingOff */
    if ( strcmp ( argv[2], "PolygonSmoothingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PolygonSmoothingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PolygonSmoothingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off polygon smoothing. Default is off.\n This must be applied before the first Render.\n" );
    Tcl_DStringAppendElement ( &dString, "void PolygonSmoothingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for PolygonSmoothingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStereoType */
    if ( strcmp ( argv[2], "GetStereoType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStereoType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStereoType */
    Tcl_DStringAppendElement ( &dString, " Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStereoType();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetStereoType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoType */
    if ( strcmp ( argv[2], "SetStereoType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoType */
    Tcl_DStringAppendElement ( &dString, " Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStereoType(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoTypeToCrystalEyes */
    if ( strcmp ( argv[2], "SetStereoTypeToCrystalEyes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToCrystalEyes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoTypeToCrystalEyes */
    Tcl_DStringAppendElement ( &dString, " Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStereoTypeToCrystalEyes();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoTypeToCrystalEyes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoTypeToRedBlue */
    if ( strcmp ( argv[2], "SetStereoTypeToRedBlue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToRedBlue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoTypeToRedBlue */
    Tcl_DStringAppendElement ( &dString, " Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStereoTypeToRedBlue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoTypeToRedBlue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoTypeToInterlaced */
    if ( strcmp ( argv[2], "SetStereoTypeToInterlaced" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToInterlaced" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoTypeToInterlaced */
    Tcl_DStringAppendElement ( &dString, " Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStereoTypeToInterlaced();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoTypeToInterlaced */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoTypeToLeft */
    if ( strcmp ( argv[2], "SetStereoTypeToLeft" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToLeft" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoTypeToLeft */
    Tcl_DStringAppendElement ( &dString, " Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStereoTypeToLeft();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoTypeToLeft */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoTypeToRight */
    if ( strcmp ( argv[2], "SetStereoTypeToRight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToRight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoTypeToRight */
    Tcl_DStringAppendElement ( &dString, " Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStereoTypeToRight();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoTypeToRight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoTypeToDresden */
    if ( strcmp ( argv[2], "SetStereoTypeToDresden" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToDresden" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoTypeToDresden */
    Tcl_DStringAppendElement ( &dString, " Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStereoTypeToDresden();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoTypeToDresden */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoTypeToAnaglyph */
    if ( strcmp ( argv[2], "SetStereoTypeToAnaglyph" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToAnaglyph" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoTypeToAnaglyph */
    Tcl_DStringAppendElement ( &dString, " Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStereoTypeToAnaglyph();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoTypeToAnaglyph */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStereoTypeToCheckerboard */
    if ( strcmp ( argv[2], "SetStereoTypeToCheckerboard" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStereoTypeToCheckerboard" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStereoTypeToCheckerboard */
    Tcl_DStringAppendElement ( &dString, " Set/Get what type of stereo rendering to use.  CrystalEyes\n mode uses frame-sequential capabilities available in OpenGL\n to drive LCD shutter glasses and stereo projectors.  RedBlue\n mode is a simple type of stereo for use with red-blue glasses.\n Anaglyph mode is a superset of RedBlue mode, but the color\n output channels can be configured using the AnaglyphColorMask\n and the color of the original image can be (somewhat) maintained\n using AnaglyphColorSaturation;  the ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStereoTypeToCheckerboard();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStereoTypeToCheckerboard */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStereoTypeAsString */
    if ( strcmp ( argv[2], "GetStereoTypeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStereoTypeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStereoTypeAsString */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetStereoTypeAsString();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetStereoTypeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StereoUpdate */
    if ( strcmp ( argv[2], "StereoUpdate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StereoUpdate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StereoUpdate */
    Tcl_DStringAppendElement ( &dString, " Update the system, if needed, due to stereo rendering. For some stereo\n methods, subclasses might need to switch some hardware settings here.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StereoUpdate();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for StereoUpdate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StereoMidpoint */
    if ( strcmp ( argv[2], "StereoMidpoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StereoMidpoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StereoMidpoint */
    Tcl_DStringAppendElement ( &dString, " Intermediate method performs operations required between the rendering\n of the left and right eye.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StereoMidpoint();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for StereoMidpoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StereoRenderComplete */
    if ( strcmp ( argv[2], "StereoRenderComplete" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StereoRenderComplete" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StereoRenderComplete */
    Tcl_DStringAppendElement ( &dString, " Handles work required once both views have been rendered when using\n stereo rendering.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StereoRenderComplete();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for StereoRenderComplete */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnaglyphColorSaturation */
    if ( strcmp ( argv[2], "SetAnaglyphColorSaturation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnaglyphColorSaturation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnaglyphColorSaturation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAnaglyphColorSaturation(float);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetAnaglyphColorSaturation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnaglyphColorSaturationMinValue */
    if ( strcmp ( argv[2], "GetAnaglyphColorSaturationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnaglyphColorSaturationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnaglyphColorSaturationMinValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float GetAnaglyphColorSaturationMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetAnaglyphColorSaturationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnaglyphColorSaturationMaxValue */
    if ( strcmp ( argv[2], "GetAnaglyphColorSaturationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnaglyphColorSaturationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnaglyphColorSaturationMaxValue */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float GetAnaglyphColorSaturationMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetAnaglyphColorSaturationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnaglyphColorSaturation */
    if ( strcmp ( argv[2], "GetAnaglyphColorSaturation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnaglyphColorSaturation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnaglyphColorSaturation */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "float GetAnaglyphColorSaturation();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetAnaglyphColorSaturation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnaglyphColorMask */
    if ( strcmp ( argv[2], "SetAnaglyphColorMask" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnaglyphColorMask" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnaglyphColorMask */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAnaglyphColorMask(int, int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetAnaglyphColorMask */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAnaglyphColorMask */
    if ( strcmp ( argv[2], "SetAnaglyphColorMask" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAnaglyphColorMask" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAnaglyphColorMask */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetAnaglyphColorMask(int a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetAnaglyphColorMask */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAnaglyphColorMask */
    if ( strcmp ( argv[2], "GetAnaglyphColorMask" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAnaglyphColorMask" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAnaglyphColorMask */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int *GetAnaglyphColorMask();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetAnaglyphColorMask */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WindowRemap */
    if ( strcmp ( argv[2], "WindowRemap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WindowRemap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WindowRemap */
    Tcl_DStringAppendElement ( &dString, " Remap the rendering window. This probably only works on UNIX right now.\n It is useful for changing properties that can't normally be changed\n once the window is up.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WindowRemap() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for WindowRemap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSwapBuffers */
    if ( strcmp ( argv[2], "SetSwapBuffers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSwapBuffers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSwapBuffers */
    Tcl_DStringAppendElement ( &dString, " Turn on/off buffer swapping between images.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSwapBuffers(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetSwapBuffers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSwapBuffers */
    if ( strcmp ( argv[2], "GetSwapBuffers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSwapBuffers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSwapBuffers */
    Tcl_DStringAppendElement ( &dString, " Turn on/off buffer swapping between images.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSwapBuffers();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetSwapBuffers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwapBuffersOn */
    if ( strcmp ( argv[2], "SwapBuffersOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwapBuffersOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwapBuffersOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off buffer swapping between images.\n" );
    Tcl_DStringAppendElement ( &dString, "void SwapBuffersOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SwapBuffersOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SwapBuffersOff */
    if ( strcmp ( argv[2], "SwapBuffersOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SwapBuffersOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SwapBuffersOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off buffer swapping between images.\n" );
    Tcl_DStringAppendElement ( &dString, "void SwapBuffersOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SwapBuffersOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPixelData */
    if ( strcmp ( argv[2], "SetPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPixelData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the pixel data of an image, transmitted as RGBRGBRGB. The\n front argument indicates if the front buffer should be used or the back\n buffer. It is the caller's responsibility to delete the resulting\n array. It is very important to realize that the memory in this array\n is organized from the bottom of the window to the top. The origin\n of the screen is in the lower left corner. The y axis increases as\n you go up the screen. So the storage of pixels is from left  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetPixelData(int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRGBAPixelData */
    if ( strcmp ( argv[2], "GetRGBAPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRGBAPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRGBAPixelData */
    Tcl_DStringAppendElement ( &dString, " Same as Get/SetPixelData except that the image also contains an alpha\n component. The image is transmitted as RGBARGBARGBA... each of which is a\n float value. The \"blend\" parameter controls whether the SetRGBAPixelData\n method blends the data with the previous contents of the frame buffer\n or completely replaces the frame buffer data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRGBAPixelData(int x, int y, int x2, int y2, int front, vtkFloatArray *data) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetRGBAPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRGBAPixelData */
    if ( strcmp ( argv[2], "SetRGBAPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRGBAPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRGBAPixelData */
    Tcl_DStringAppendElement ( &dString, " Same as Get/SetPixelData except that the image also contains an alpha\n component. The image is transmitted as RGBARGBARGBA... each of which is a\n float value. The \"blend\" parameter controls whether the SetRGBAPixelData\n method blends the data with the previous contents of the frame buffer\n or completely replaces the frame buffer data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetRGBAPixelData(int, int, int, int, vtkFloatArray *, int, int blend=0) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetRGBAPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRGBACharPixelData */
    if ( strcmp ( argv[2], "GetRGBACharPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRGBACharPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRGBACharPixelData */
    Tcl_DStringAppendElement ( &dString, " Same as Get/SetPixelData except that the image also contains an alpha\n component. The image is transmitted as RGBARGBARGBA... each of which is a\n float value. The \"blend\" parameter controls whether the SetRGBAPixelData\n method blends the data with the previous contents of the frame buffer\n or completely replaces the frame buffer data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetRGBACharPixelData(int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetRGBACharPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRGBACharPixelData */
    if ( strcmp ( argv[2], "SetRGBACharPixelData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRGBACharPixelData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRGBACharPixelData */
    Tcl_DStringAppendElement ( &dString, " Same as Get/SetPixelData except that the image also contains an alpha\n component. The image is transmitted as RGBARGBARGBA... each of which is a\n float value. The \"blend\" parameter controls whether the SetRGBAPixelData\n method blends the data with the previous contents of the frame buffer\n or completely replaces the frame buffer data.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetRGBACharPixelData(int x, int y, int x2, int y2, vtkUnsignedCharArray *data, int front, int blend=0) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetRGBACharPixelData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZbufferData */
    if ( strcmp ( argv[2], "GetZbufferData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZbufferData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZbufferData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zbuffer data from the frame buffer.\n (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on\n the diagonal.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetZbufferData(int x, int y, int x2, int y2, vtkFloatArray *z) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetZbufferData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZbufferData */
    if ( strcmp ( argv[2], "SetZbufferData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZbufferData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkFloatArray" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZbufferData */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zbuffer data from the frame buffer.\n (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on\n the diagonal.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SetZbufferData(int x, int y, int x2, int y2, vtkFloatArray *z) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetZbufferData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZbufferDataAtPoint */
    if ( strcmp ( argv[2], "GetZbufferDataAtPoint" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZbufferDataAtPoint" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZbufferDataAtPoint */
    Tcl_DStringAppendElement ( &dString, " Set/Get the zbuffer data from the frame buffer.\n (x,y) is any corner of the rectangle. (x2,y2) is its opposite corner on\n the diagonal.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetZbufferDataAtPoint(int x, int y);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetZbufferDataAtPoint */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAAFrames */
    if ( strcmp ( argv[2], "GetAAFrames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAAFrames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAAFrames */
    Tcl_DStringAppendElement ( &dString, " Set the number of frames for doing antialiasing. The default is\n zero. Typically five or six will yield reasonable results without\n taking too long.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAAFrames();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetAAFrames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAAFrames */
    if ( strcmp ( argv[2], "SetAAFrames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAAFrames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAAFrames */
    Tcl_DStringAppendElement ( &dString, " Set the number of frames for doing antialiasing. The default is\n zero. Typically five or six will yield reasonable results without\n taking too long.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAAFrames(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetAAFrames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFDFrames */
    if ( strcmp ( argv[2], "GetFDFrames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFDFrames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFDFrames */
    Tcl_DStringAppendElement ( &dString, " Set the number of frames for doing focal depth. The default is zero.\n Depending on how your scene is organized you can get away with as\n few as four frames for focal depth or you might need thirty.\n One thing to note is that if you are using focal depth frames,\n then you will not need many (if any) frames for antialiasing.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetFDFrames();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetFDFrames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFDFrames */
    if ( strcmp ( argv[2], "SetFDFrames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFDFrames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFDFrames */
    Tcl_DStringAppendElement ( &dString, " Set the number of frames for doing focal depth. The default is zero.\n Depending on how your scene is organized you can get away with as\n few as four frames for focal depth or you might need thirty.\n One thing to note is that if you are using focal depth frames,\n then you will not need many (if any) frames for antialiasing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetFDFrames(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetFDFrames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubFrames */
    if ( strcmp ( argv[2], "GetSubFrames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubFrames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubFrames */
    Tcl_DStringAppendElement ( &dString, " Set the number of sub frames for doing motion blur. The default is zero.\n Once this is set greater than one, you will no longer see a new frame\n for every Render().  If you set this to five, you will need to do\n five Render() invocations before seeing the result. This isn't\n very impressive unless something is changing between the Renders.\n Changing this value may reset the current subframe count.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubFrames();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetSubFrames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubFrames */
    if ( strcmp ( argv[2], "SetSubFrames" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubFrames" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubFrames */
    Tcl_DStringAppendElement ( &dString, " Set the number of sub frames for doing motion blur. The default is zero.\n Once this is set greater than one, you will no longer see a new frame\n for every Render().  If you set this to five, you will need to do\n five Render() invocations before seeing the result. This isn't\n very impressive unless something is changing between the Renders.\n Changing this value may reset the current subframe count.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSubFrames(int subFrames);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetSubFrames */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNeverRendered */
    if ( strcmp ( argv[2], "GetNeverRendered" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNeverRendered" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNeverRendered */
    Tcl_DStringAppendElement ( &dString, " This flag is set if the window hasn't rendered since it was created\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNeverRendered();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetNeverRendered */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAbortRender */
    if ( strcmp ( argv[2], "GetAbortRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAbortRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAbortRender */
    Tcl_DStringAppendElement ( &dString, " This is a flag that can be set to interrupt a rendering that is in\n progress.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAbortRender();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetAbortRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAbortRender */
    if ( strcmp ( argv[2], "SetAbortRender" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAbortRender" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAbortRender */
    Tcl_DStringAppendElement ( &dString, " This is a flag that can be set to interrupt a rendering that is in\n progress.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAbortRender(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetAbortRender */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInAbortCheck */
    if ( strcmp ( argv[2], "GetInAbortCheck" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInAbortCheck" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInAbortCheck */
    Tcl_DStringAppendElement ( &dString, " This is a flag that can be set to interrupt a rendering that is in\n progress.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInAbortCheck();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetInAbortCheck */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInAbortCheck */
    if ( strcmp ( argv[2], "SetInAbortCheck" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInAbortCheck" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInAbortCheck */
    Tcl_DStringAppendElement ( &dString, " This is a flag that can be set to interrupt a rendering that is in\n progress.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInAbortCheck(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetInAbortCheck */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckAbortStatus */
    if ( strcmp ( argv[2], "CheckAbortStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckAbortStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckAbortStatus */
    Tcl_DStringAppendElement ( &dString, " This is a flag that can be set to interrupt a rendering that is in\n progress.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CheckAbortStatus();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for CheckAbortStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetIsPicking */
    if ( strcmp ( argv[2], "GetIsPicking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetIsPicking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetIsPicking */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetIsPicking();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetIsPicking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetIsPicking */
    if ( strcmp ( argv[2], "SetIsPicking" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetIsPicking" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetIsPicking */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetIsPicking(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetIsPicking */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsPickingOn */
    if ( strcmp ( argv[2], "IsPickingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsPickingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsPickingOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void IsPickingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for IsPickingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsPickingOff */
    if ( strcmp ( argv[2], "IsPickingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsPickingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsPickingOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void IsPickingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for IsPickingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEventPending */
    if ( strcmp ( argv[2], "GetEventPending" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEventPending" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEventPending */
    Tcl_DStringAppendElement ( &dString, " Check to see if a mouse button has been pressed.  All other events\n are ignored by this method.  Ideally, you want to abort the render\n on any event which causes the DesiredUpdateRate to switch from\n a high-quality rate to a more interactive rate.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEventPending() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetEventPending */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckInRenderStatus */
    if ( strcmp ( argv[2], "CheckInRenderStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckInRenderStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckInRenderStatus */
    Tcl_DStringAppendElement ( &dString, " Are we rendering at the moment\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int CheckInRenderStatus();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for CheckInRenderStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearInRenderStatus */
    if ( strcmp ( argv[2], "ClearInRenderStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearInRenderStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearInRenderStatus */
    Tcl_DStringAppendElement ( &dString, " Clear status (after an exception was thrown for example)\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearInRenderStatus();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for ClearInRenderStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDesiredUpdateRate */
    if ( strcmp ( argv[2], "SetDesiredUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDesiredUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDesiredUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired update rate. This is used with\n the vtkLODActor class. When using level of detail actors you\n need to specify what update rate you require. The LODActors then\n will pick the correct resolution to meet your desired update rate\n in frames per second. A value of zero indicates that they can use\n all the time they want to.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDesiredUpdateRate(double);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetDesiredUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDesiredUpdateRate */
    if ( strcmp ( argv[2], "GetDesiredUpdateRate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDesiredUpdateRate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDesiredUpdateRate */
    Tcl_DStringAppendElement ( &dString, " Set/Get the desired update rate. This is used with\n the vtkLODActor class. When using level of detail actors you\n need to specify what update rate you require. The LODActors then\n will pick the correct resolution to meet your desired update rate\n in frames per second. A value of zero indicates that they can use\n all the time they want to.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDesiredUpdateRate();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetDesiredUpdateRate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLayers */
    if ( strcmp ( argv[2], "GetNumberOfLayers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLayers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLayers */
    Tcl_DStringAppendElement ( &dString, " Get the number of layers for renderers.  Each renderer should have\n its layer set individually.  Some algorithms iterate through all layers,\n so it is not wise to set the number of layers to be exorbitantly large\n (say bigger than 100).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLayers();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetNumberOfLayers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfLayers */
    if ( strcmp ( argv[2], "SetNumberOfLayers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLayers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfLayers */
    Tcl_DStringAppendElement ( &dString, " Get the number of layers for renderers.  Each renderer should have\n its layer set individually.  Some algorithms iterate through all layers,\n so it is not wise to set the number of layers to be exorbitantly large\n (say bigger than 100).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfLayers(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetNumberOfLayers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLayersMinValue */
    if ( strcmp ( argv[2], "GetNumberOfLayersMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLayersMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLayersMinValue */
    Tcl_DStringAppendElement ( &dString, " Get the number of layers for renderers.  Each renderer should have\n its layer set individually.  Some algorithms iterate through all layers,\n so it is not wise to set the number of layers to be exorbitantly large\n (say bigger than 100).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLayersMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetNumberOfLayersMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfLayersMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfLayersMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfLayersMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfLayersMaxValue */
    Tcl_DStringAppendElement ( &dString, " Get the number of layers for renderers.  Each renderer should have\n its layer set individually.  Some algorithms iterate through all layers,\n so it is not wise to set the number of layers to be exorbitantly large\n (say bigger than 100).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfLayersMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetNumberOfLayersMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractor */
    if ( strcmp ( argv[2], "GetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractor */
    Tcl_DStringAppendElement ( &dString, " Get the interactor associated with this render window\n" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor *GetInteractor();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractor */
    if ( strcmp ( argv[2], "SetInteractor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindowInteractor" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractor */
    Tcl_DStringAppendElement ( &dString, " Set the interactor to the render window\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInteractor(vtkRenderWindowInteractor *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetInteractor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UnRegister */
    if ( strcmp ( argv[2], "UnRegister" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UnRegister" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObjectBase" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UnRegister */
    Tcl_DStringAppendElement ( &dString, " This Method detects loops of RenderWindow<->Interactor,\n so objects are freed properly.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UnRegister(vtkObjectBase *o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for UnRegister */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowInfo */
    if ( strcmp ( argv[2], "SetWindowInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowInfo */
    Tcl_DStringAppendElement ( &dString, " Dummy stubs for vtkWindow API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetWindowInfo(char *) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetWindowInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNextWindowInfo */
    if ( strcmp ( argv[2], "SetNextWindowInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNextWindowInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNextWindowInfo */
    Tcl_DStringAppendElement ( &dString, " Dummy stubs for vtkWindow API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNextWindowInfo(char *) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetNextWindowInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParentInfo */
    if ( strcmp ( argv[2], "SetParentInfo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParentInfo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParentInfo */
    Tcl_DStringAppendElement ( &dString, " Dummy stubs for vtkWindow API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParentInfo(char *) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetParentInfo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: MakeCurrent */
    if ( strcmp ( argv[2], "MakeCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "MakeCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for MakeCurrent */
    Tcl_DStringAppendElement ( &dString, " Attempt to make this window the current graphics context for the calling\n thread.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void MakeCurrent() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for MakeCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsCurrent */
    if ( strcmp ( argv[2], "IsCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsCurrent */
    Tcl_DStringAppendElement ( &dString, " Tells if this window is the current graphics context for the calling\n thread.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsCurrent() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for IsCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetForceMakeCurrent */
    if ( strcmp ( argv[2], "SetForceMakeCurrent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetForceMakeCurrent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetForceMakeCurrent */
    Tcl_DStringAppendElement ( &dString, " If called, allow MakeCurrent() to skip cache-check when called.\n MakeCurrent() reverts to original behavior of cache-checking\n on the next render.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetForceMakeCurrent();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetForceMakeCurrent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReportCapabilities */
    if ( strcmp ( argv[2], "ReportCapabilities" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReportCapabilities" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReportCapabilities */
    Tcl_DStringAppendElement ( &dString, " Get report of capabilities for the render window\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *ReportCapabilities();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for ReportCapabilities */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SupportsOpenGL */
    if ( strcmp ( argv[2], "SupportsOpenGL" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SupportsOpenGL" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SupportsOpenGL */
    Tcl_DStringAppendElement ( &dString, " Does this render window support OpenGL? 0-false, 1-true\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int SupportsOpenGL();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SupportsOpenGL */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsDirect */
    if ( strcmp ( argv[2], "IsDirect" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsDirect" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsDirect */
    Tcl_DStringAppendElement ( &dString, " Is this render window using hardware acceleration? 0-false, 1-true\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsDirect();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for IsDirect */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDepthBufferSize */
    if ( strcmp ( argv[2], "GetDepthBufferSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDepthBufferSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDepthBufferSize */
    Tcl_DStringAppendElement ( &dString, " This method should be defined by the subclass. How many bits of\n precision are there in the zbuffer?\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetDepthBufferSize() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetDepthBufferSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPainterDeviceAdapter */
    if ( strcmp ( argv[2], "GetPainterDeviceAdapter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPainterDeviceAdapter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPainterDeviceAdapter */
    Tcl_DStringAppendElement ( &dString, " Get the vtkPainterDeviceAdapter which can be used to paint on\n this render window.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPainterDeviceAdapter *GetPainterDeviceAdapter();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetPainterDeviceAdapter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMultiSamples */
    if ( strcmp ( argv[2], "SetMultiSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMultiSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMultiSamples */
    Tcl_DStringAppendElement ( &dString, " Set / Get the number of multisamples to use for hardware antialiasing.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMultiSamples(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetMultiSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMultiSamples */
    if ( strcmp ( argv[2], "GetMultiSamples" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMultiSamples" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMultiSamples */
    Tcl_DStringAppendElement ( &dString, " Set / Get the number of multisamples to use for hardware antialiasing.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMultiSamples();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetMultiSamples */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetStencilCapable */
    if ( strcmp ( argv[2], "SetStencilCapable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetStencilCapable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetStencilCapable */
    Tcl_DStringAppendElement ( &dString, " Set / Get the availability of the stencil buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetStencilCapable(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetStencilCapable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetStencilCapable */
    if ( strcmp ( argv[2], "GetStencilCapable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetStencilCapable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetStencilCapable */
    Tcl_DStringAppendElement ( &dString, " Set / Get the availability of the stencil buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetStencilCapable();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetStencilCapable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StencilCapableOn */
    if ( strcmp ( argv[2], "StencilCapableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StencilCapableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StencilCapableOn */
    Tcl_DStringAppendElement ( &dString, " Set / Get the availability of the stencil buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "void StencilCapableOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for StencilCapableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StencilCapableOff */
    if ( strcmp ( argv[2], "StencilCapableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StencilCapableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StencilCapableOff */
    Tcl_DStringAppendElement ( &dString, " Set / Get the availability of the stencil buffer.\n" );
    Tcl_DStringAppendElement ( &dString, "void StencilCapableOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for StencilCapableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReportGraphicErrors */
    if ( strcmp ( argv[2], "SetReportGraphicErrors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReportGraphicErrors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReportGraphicErrors */
    Tcl_DStringAppendElement ( &dString, " Turn on/off report of graphic errors. Initial value is false (off).\n This flag is used by vtkGraphicErrorMacro.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReportGraphicErrors(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for SetReportGraphicErrors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReportGraphicErrors */
    if ( strcmp ( argv[2], "GetReportGraphicErrors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReportGraphicErrors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReportGraphicErrors */
    Tcl_DStringAppendElement ( &dString, " Turn on/off report of graphic errors. Initial value is false (off).\n This flag is used by vtkGraphicErrorMacro.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReportGraphicErrors();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetReportGraphicErrors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReportGraphicErrorsOn */
    if ( strcmp ( argv[2], "ReportGraphicErrorsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReportGraphicErrorsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReportGraphicErrorsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off report of graphic errors. Initial value is false (off).\n This flag is used by vtkGraphicErrorMacro.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReportGraphicErrorsOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for ReportGraphicErrorsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReportGraphicErrorsOff */
    if ( strcmp ( argv[2], "ReportGraphicErrorsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReportGraphicErrorsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReportGraphicErrorsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off report of graphic errors. Initial value is false (off).\n This flag is used by vtkGraphicErrorMacro.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReportGraphicErrorsOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for ReportGraphicErrorsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CheckGraphicError */
    if ( strcmp ( argv[2], "CheckGraphicError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CheckGraphicError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CheckGraphicError */
    Tcl_DStringAppendElement ( &dString, " Update graphic error status, regardless of ReportGraphicErrors flag.\n It means this method can be used in any context and is not restricted to\n debug mode.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CheckGraphicError() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for CheckGraphicError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasGraphicError */
    if ( strcmp ( argv[2], "HasGraphicError" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasGraphicError" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasGraphicError */
    Tcl_DStringAppendElement ( &dString, " Return the last graphic error status. Initial value is false.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasGraphicError() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for HasGraphicError */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLastGraphicErrorString */
    if ( strcmp ( argv[2], "GetLastGraphicErrorString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLastGraphicErrorString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLastGraphicErrorString */
    Tcl_DStringAppendElement ( &dString, " Return a string matching the last graphic error status.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetLastGraphicErrorString() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderWindow" );
    /* Closing for GetLastGraphicErrorString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWindowCppCommand(static_cast<vtkWindow *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
