// tcl wrapper for vtkRenderedGraphRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkRenderedGraphRepresentation.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkRenderedGraphRepresentationNewCommand()
{
  vtkRenderedGraphRepresentation *temp = vtkRenderedGraphRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkRenderedRepresentationCppCommand(vtkRenderedRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkRenderedGraphRepresentationCppCommand(vtkRenderedGraphRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkRenderedGraphRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkRenderedGraphRepresentationCppCommand(static_cast<vtkRenderedGraphRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkRenderedGraphRepresentationCppCommand(vtkRenderedGraphRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkRenderedGraphRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkRenderedRepresentationCppCommand(static_cast<vtkRenderedRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkRenderedRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkRenderedGraphRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderedGraphRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkRenderedGraphRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderedGraphRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkRenderedGraphRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkRenderedGraphRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetVertexLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexLabelPriorityArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexLabelPriorityArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelPriorityArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexLabelPriorityArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetVertexLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetVertexLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VertexLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->VertexLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VertexLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->VertexLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetVertexLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetVertexLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetVertexHoverArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexHoverArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexHoverArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetVertexHoverArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetHideVertexLabelsOnInteraction",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetHideVertexLabelsOnInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHideVertexLabelsOnInteraction",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetHideVertexLabelsOnInteraction();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HideVertexLabelsOnInteractionOn",argv[1]))&&(argc == 2))
    {
    op->HideVertexLabelsOnInteractionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HideVertexLabelsOnInteractionOff",argv[1]))&&(argc == 2))
    {
    op->HideVertexLabelsOnInteractionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeLabelArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeLabelArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelPriorityArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeLabelPriorityArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelPriorityArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeLabelPriorityArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeLabelVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeLabelVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EdgeLabelVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->EdgeLabelVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EdgeLabelVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->EdgeLabelVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetEdgeLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetEdgeLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeHoverArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeHoverArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeHoverArrayName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetEdgeHoverArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetHideEdgeLabelsOnInteraction",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetHideEdgeLabelsOnInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHideEdgeLabelsOnInteraction",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetHideEdgeLabelsOnInteraction();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HideEdgeLabelsOnInteractionOn",argv[1]))&&(argc == 2))
    {
    op->HideEdgeLabelsOnInteractionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HideEdgeLabelsOnInteractionOff",argv[1]))&&(argc == 2))
    {
    op->HideEdgeLabelsOnInteractionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexIconArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexIconArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexIconArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexIconArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexIconPriorityArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexIconPriorityArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexIconPriorityArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexIconPriorityArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexIconVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetVertexIconVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexIconVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetVertexIconVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("VertexIconVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->VertexIconVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("VertexIconVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->VertexIconVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddVertexIconType",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddVertexIconType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearVertexIconTypes",argv[1]))&&(argc == 2))
    {
    op->ClearVertexIconTypes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseVertexIconTypeMap",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseVertexIconTypeMap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseVertexIconTypeMap",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseVertexIconTypeMap();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseVertexIconTypeMapOn",argv[1]))&&(argc == 2))
    {
    op->UseVertexIconTypeMapOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseVertexIconTypeMapOff",argv[1]))&&(argc == 2))
    {
    op->UseVertexIconTypeMapOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexIconAlignment",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVertexIconAlignment(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexIconAlignment",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertexIconAlignment();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexSelectedIcon",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVertexSelectedIcon(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexSelectedIcon",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertexSelectedIcon();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexDefaultIcon",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVertexDefaultIcon(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexDefaultIcon",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertexDefaultIcon();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexIconSelectionMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetVertexIconSelectionMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexIconSelectionMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetVertexIconSelectionMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexIconSelectionModeToSelectedIcon",argv[1]))&&(argc == 2))
    {
    op->SetVertexIconSelectionModeToSelectedIcon();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexIconSelectionModeToSelectedOffset",argv[1]))&&(argc == 2))
    {
    op->SetVertexIconSelectionModeToSelectedOffset();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexIconSelectionModeToAnnotationIcon",argv[1]))&&(argc == 2))
    {
    op->SetVertexIconSelectionModeToAnnotationIcon();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexIconSelectionModeToIgnoreSelection",argv[1]))&&(argc == 2))
    {
    op->SetVertexIconSelectionModeToIgnoreSelection();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeIconArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeIconArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeIconArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeIconArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeIconPriorityArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeIconPriorityArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeIconPriorityArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeIconPriorityArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeIconVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeIconVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeIconVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeIconVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EdgeIconVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->EdgeIconVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EdgeIconVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->EdgeIconVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AddEdgeIconType",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->AddEdgeIconType(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearEdgeIconTypes",argv[1]))&&(argc == 2))
    {
    op->ClearEdgeIconTypes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUseEdgeIconTypeMap",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetUseEdgeIconTypeMap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseEdgeIconTypeMap",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetUseEdgeIconTypeMap();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseEdgeIconTypeMapOn",argv[1]))&&(argc == 2))
    {
    op->UseEdgeIconTypeMapOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseEdgeIconTypeMapOff",argv[1]))&&(argc == 2))
    {
    op->UseEdgeIconTypeMapOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeIconAlignment",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEdgeIconAlignment(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeIconAlignment",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetEdgeIconAlignment();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetColorVerticesByArray",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorVerticesByArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorVerticesByArray",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorVerticesByArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorVerticesByArrayOn",argv[1]))&&(argc == 2))
    {
    op->ColorVerticesByArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorVerticesByArrayOff",argv[1]))&&(argc == 2))
    {
    op->ColorVerticesByArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetVertexColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetVertexColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetVertexColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetColorEdgesByArray",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetColorEdgesByArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetColorEdgesByArray",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetColorEdgesByArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesByArrayOn",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesByArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ColorEdgesByArrayOff",argv[1]))&&(argc == 2))
    {
    op->ColorEdgesByArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeColorArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeColorArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeColorArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEdgeColorArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEnableVerticesByArray",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEnableVerticesByArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableVerticesByArray",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEnableVerticesByArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnableVerticesByArrayOn",argv[1]))&&(argc == 2))
    {
    op->EnableVerticesByArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableVerticesByArrayOff",argv[1]))&&(argc == 2))
    {
    op->EnableVerticesByArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEnabledVerticesArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEnabledVerticesArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnabledVerticesArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEnabledVerticesArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEnableEdgesByArray",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEnableEdgesByArray(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnableEdgesByArray",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEnableEdgesByArray();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EnableEdgesByArrayOn",argv[1]))&&(argc == 2))
    {
    op->EnableEdgesByArrayOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EnableEdgesByArrayOff",argv[1]))&&(argc == 2))
    {
    op->EnableEdgesByArrayOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEnabledEdgesArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEnabledEdgesArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEnabledEdgesArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetEnabledEdgesArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("EdgeVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->EdgeVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("EdgeVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->EdgeVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeSelection",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeSelection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeSelection",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeSelection();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    vtkGraphLayoutStrategy  *temp0;
    error = 0;

    temp0 = (vtkGraphLayoutStrategy *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkGraphLayoutStrategy"),interp,error));
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayoutStrategy",argv[1]))&&(argc == 2))
    {
    vtkGraphLayoutStrategy  *temp20;
    temp20 = (op)->GetLayoutStrategy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGraphLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategy",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLayoutStrategyName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLayoutStrategyName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToRandom",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToRandom();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToForceDirected",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToForceDirected();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToSimple2D",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToSimple2D();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToClustering2D",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToClustering2D();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToCommunity2D",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToCommunity2D();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToFast2D",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToFast2D();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToPassThrough",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToPassThrough();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToCircular",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToCircular();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToTree",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToTree();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToCosmicTree",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToCosmicTree();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToCone",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToCone();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToSpanTree",argv[1]))&&(argc == 2))
    {
    op->SetLayoutStrategyToSpanTree();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLayoutStrategyToAssignCoordinates",argv[1]))&&(argc == 5))
    {
    char    *temp0;
    char    *temp1;
    char    *temp2;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    temp2 = argv[4];
    if (!error)
    {
    op->SetLayoutStrategyToAssignCoordinates(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayoutStrategyToTree",argv[1]))&&(argc == 6))
    {
    bool   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetLayoutStrategyToTree(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLayoutStrategyToCosmicTree",argv[1]))&&(argc == 6))
    {
    char    *temp0;
    bool   temp1;
    int      temp2;
    vtkIdType   temp3;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    if (!error)
    {
    op->SetLayoutStrategyToCosmicTree(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeLayoutStrategy",argv[1]))&&(argc == 3))
    {
    vtkEdgeLayoutStrategy  *temp0;
    error = 0;

    temp0 = (vtkEdgeLayoutStrategy *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkEdgeLayoutStrategy"),interp,error));
    if (!error)
    {
    op->SetEdgeLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLayoutStrategy",argv[1]))&&(argc == 2))
    {
    vtkEdgeLayoutStrategy  *temp20;
    temp20 = (op)->GetEdgeLayoutStrategy();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkEdgeLayoutStrategy");
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLayoutStrategyToArcParallel",argv[1]))&&(argc == 2))
    {
    op->SetEdgeLayoutStrategyToArcParallel();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLayoutStrategyToPassThrough",argv[1]))&&(argc == 2))
    {
    op->SetEdgeLayoutStrategyToPassThrough();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeLayoutStrategyToGeo",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEdgeLayoutStrategyToGeo(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEdgeLayoutStrategy",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetEdgeLayoutStrategy(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeLayoutStrategyName",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetEdgeLayoutStrategyName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("ApplyViewTheme",argv[1]))&&(argc == 3))
    {
    vtkViewTheme  *temp0;
    error = 0;

    temp0 = (vtkViewTheme *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewTheme"),interp,error));
    if (!error)
    {
    op->ApplyViewTheme(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetGlyphType",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetGlyphType(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlyphType",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetGlyphType();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetScaling",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetScaling(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaling",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetScaling();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScalingOn",argv[1]))&&(argc == 2))
    {
    op->ScalingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScalingOff",argv[1]))&&(argc == 2))
    {
    op->ScalingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScalingArrayName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetScalingArrayName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScalingArrayName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetScalingArrayName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetVertexScalarBarVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetVertexScalarBarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVertexScalarBarVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetVertexScalarBarVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEdgeScalarBarVisibility",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetEdgeScalarBarVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEdgeScalarBarVisibility",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetEdgeScalarBarVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("IsLayoutComplete",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->IsLayoutComplete();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UpdateLayout",argv[1]))&&(argc == 2))
    {
    op->UpdateLayout();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ComputeSelectedGraphBounds",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->ComputeSelectedGraphBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkRenderedGraphRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkRenderedRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkRenderedGraphRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelPriorityArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelPriorityArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  VertexLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  VertexLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexHoverArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexHoverArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetHideVertexLabelsOnInteraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHideVertexLabelsOnInteraction\n",NULL);
    Tcl_AppendResult(interp,"  HideVertexLabelsOnInteractionOn\n",NULL);
    Tcl_AppendResult(interp,"  HideVertexLabelsOnInteractionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelPriorityArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelPriorityArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelVisibility\n",NULL);
    Tcl_AppendResult(interp,"  EdgeLabelVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  EdgeLabelVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeHoverArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeHoverArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetHideEdgeLabelsOnInteraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHideEdgeLabelsOnInteraction\n",NULL);
    Tcl_AppendResult(interp,"  HideEdgeLabelsOnInteractionOn\n",NULL);
    Tcl_AppendResult(interp,"  HideEdgeLabelsOnInteractionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexIconArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexIconArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexIconPriorityArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexIconPriorityArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexIconVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexIconVisibility\n",NULL);
    Tcl_AppendResult(interp,"  VertexIconVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  VertexIconVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  AddVertexIconType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearVertexIconTypes\n",NULL);
    Tcl_AppendResult(interp,"  SetUseVertexIconTypeMap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseVertexIconTypeMap\n",NULL);
    Tcl_AppendResult(interp,"  UseVertexIconTypeMapOn\n",NULL);
    Tcl_AppendResult(interp,"  UseVertexIconTypeMapOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexIconAlignment\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexIconAlignment\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexSelectedIcon\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexSelectedIcon\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexDefaultIcon\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexDefaultIcon\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexIconSelectionMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexIconSelectionMode\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexIconSelectionModeToSelectedIcon\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexIconSelectionModeToSelectedOffset\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexIconSelectionModeToAnnotationIcon\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexIconSelectionModeToIgnoreSelection\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeIconArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeIconArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeIconPriorityArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeIconPriorityArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeIconVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeIconVisibility\n",NULL);
    Tcl_AppendResult(interp,"  EdgeIconVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  EdgeIconVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  AddEdgeIconType\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  ClearEdgeIconTypes\n",NULL);
    Tcl_AppendResult(interp,"  SetUseEdgeIconTypeMap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseEdgeIconTypeMap\n",NULL);
    Tcl_AppendResult(interp,"  UseEdgeIconTypeMapOn\n",NULL);
    Tcl_AppendResult(interp,"  UseEdgeIconTypeMapOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeIconAlignment\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeIconAlignment\n",NULL);
    Tcl_AppendResult(interp,"  SetColorVerticesByArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorVerticesByArray\n",NULL);
    Tcl_AppendResult(interp,"  ColorVerticesByArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorVerticesByArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetColorEdgesByArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetColorEdgesByArray\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesByArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  ColorEdgesByArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeColorArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeColorArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableVerticesByArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableVerticesByArray\n",NULL);
    Tcl_AppendResult(interp,"  EnableVerticesByArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  EnableVerticesByArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabledVerticesArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnabledVerticesArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEnableEdgesByArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnableEdgesByArray\n",NULL);
    Tcl_AppendResult(interp,"  EnableEdgesByArrayOn\n",NULL);
    Tcl_AppendResult(interp,"  EnableEdgesByArrayOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabledEdgesArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEnabledEdgesArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeVisibility\n",NULL);
    Tcl_AppendResult(interp,"  EdgeVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  EdgeVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeSelection\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeSelection\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutStrategy\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLayoutStrategyName\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToRandom\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToForceDirected\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToSimple2D\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToClustering2D\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToCommunity2D\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToFast2D\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToPassThrough\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToCircular\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToTree\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToCosmicTree\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToCone\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToSpanTree\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToAssignCoordinates\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToTree\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLayoutStrategyToCosmicTree\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLayoutStrategy\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLayoutStrategyToArcParallel\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLayoutStrategyToPassThrough\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLayoutStrategyToGeo\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeLayoutStrategy\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeLayoutStrategyName\n",NULL);
    Tcl_AppendResult(interp,"  ApplyViewTheme\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphType\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphType\n",NULL);
    Tcl_AppendResult(interp,"  SetScaling\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaling\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOn\n",NULL);
    Tcl_AppendResult(interp,"  ScalingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScalingArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScalingArrayName\n",NULL);
    Tcl_AppendResult(interp,"  SetVertexScalarBarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetVertexScalarBarVisibility\n",NULL);
    Tcl_AppendResult(interp,"  SetEdgeScalarBarVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgeScalarBarVisibility\n",NULL);
    Tcl_AppendResult(interp,"  IsLayoutComplete\n",NULL);
    Tcl_AppendResult(interp,"  UpdateLayout\n",NULL);
    Tcl_AppendResult(interp,"  ComputeSelectedGraphBounds\t with 6 args\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkRenderedRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetVertexHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetHideVertexLabelsOnInteraction" );
    Tcl_DStringAppendElement ( &dString, "GetHideVertexLabelsOnInteraction" );
    Tcl_DStringAppendElement ( &dString, "HideVertexLabelsOnInteractionOn" );
    Tcl_DStringAppendElement ( &dString, "HideVertexLabelsOnInteractionOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelVisibility" );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeHoverArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetHideEdgeLabelsOnInteraction" );
    Tcl_DStringAppendElement ( &dString, "GetHideEdgeLabelsOnInteraction" );
    Tcl_DStringAppendElement ( &dString, "HideEdgeLabelsOnInteractionOn" );
    Tcl_DStringAppendElement ( &dString, "HideEdgeLabelsOnInteractionOff" );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexIconArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexIconPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetVertexIconVisibility" );
    Tcl_DStringAppendElement ( &dString, "VertexIconVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "VertexIconVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "AddVertexIconType" );
    Tcl_DStringAppendElement ( &dString, "ClearVertexIconTypes" );
    Tcl_DStringAppendElement ( &dString, "SetUseVertexIconTypeMap" );
    Tcl_DStringAppendElement ( &dString, "GetUseVertexIconTypeMap" );
    Tcl_DStringAppendElement ( &dString, "UseVertexIconTypeMapOn" );
    Tcl_DStringAppendElement ( &dString, "UseVertexIconTypeMapOff" );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconAlignment" );
    Tcl_DStringAppendElement ( &dString, "GetVertexIconAlignment" );
    Tcl_DStringAppendElement ( &dString, "SetVertexSelectedIcon" );
    Tcl_DStringAppendElement ( &dString, "GetVertexSelectedIcon" );
    Tcl_DStringAppendElement ( &dString, "SetVertexDefaultIcon" );
    Tcl_DStringAppendElement ( &dString, "GetVertexDefaultIcon" );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconSelectionMode" );
    Tcl_DStringAppendElement ( &dString, "GetVertexIconSelectionMode" );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconSelectionModeToSelectedIcon" );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconSelectionModeToSelectedOffset" );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconSelectionModeToAnnotationIcon" );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconSelectionModeToIgnoreSelection" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeIconArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeIconArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeIconPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeIconPriorityArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeIconVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeIconVisibility" );
    Tcl_DStringAppendElement ( &dString, "EdgeIconVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "EdgeIconVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "AddEdgeIconType" );
    Tcl_DStringAppendElement ( &dString, "ClearEdgeIconTypes" );
    Tcl_DStringAppendElement ( &dString, "SetUseEdgeIconTypeMap" );
    Tcl_DStringAppendElement ( &dString, "GetUseEdgeIconTypeMap" );
    Tcl_DStringAppendElement ( &dString, "UseEdgeIconTypeMapOn" );
    Tcl_DStringAppendElement ( &dString, "UseEdgeIconTypeMapOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeIconAlignment" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeIconAlignment" );
    Tcl_DStringAppendElement ( &dString, "SetColorVerticesByArray" );
    Tcl_DStringAppendElement ( &dString, "GetColorVerticesByArray" );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesByArrayOn" );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesByArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetVertexColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetVertexColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetColorEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "GetColorEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesByArrayOn" );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesByArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEnableVerticesByArray" );
    Tcl_DStringAppendElement ( &dString, "GetEnableVerticesByArray" );
    Tcl_DStringAppendElement ( &dString, "EnableVerticesByArrayOn" );
    Tcl_DStringAppendElement ( &dString, "EnableVerticesByArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetEnabledVerticesArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEnabledVerticesArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEnableEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "GetEnableEdgesByArray" );
    Tcl_DStringAppendElement ( &dString, "EnableEdgesByArrayOn" );
    Tcl_DStringAppendElement ( &dString, "EnableEdgesByArrayOff" );
    Tcl_DStringAppendElement ( &dString, "SetEnabledEdgesArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetEnabledEdgesArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeVisibility" );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeSelection" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeSelection" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategyName" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToRandom" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToForceDirected" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSimple2D" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToClustering2D" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCommunity2D" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToFast2D" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToPassThrough" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCircular" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToTree" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCosmicTree" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCone" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSpanTree" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToAssignCoordinates" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToTree" );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCosmicTree" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategyToArcParallel" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategyToPassThrough" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategyToGeo" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategy" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLayoutStrategyName" );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphType" );
    Tcl_DStringAppendElement ( &dString, "GetGlyphType" );
    Tcl_DStringAppendElement ( &dString, "SetScaling" );
    Tcl_DStringAppendElement ( &dString, "GetScaling" );
    Tcl_DStringAppendElement ( &dString, "ScalingOn" );
    Tcl_DStringAppendElement ( &dString, "ScalingOff" );
    Tcl_DStringAppendElement ( &dString, "SetScalingArrayName" );
    Tcl_DStringAppendElement ( &dString, "GetScalingArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetVertexScalarBarVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetVertexScalarBarVisibility" );
    Tcl_DStringAppendElement ( &dString, "SetEdgeScalarBarVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetEdgeScalarBarVisibility" );
    Tcl_DStringAppendElement ( &dString, "IsLayoutComplete" );
    Tcl_DStringAppendElement ( &dString, "UpdateLayout" );
    Tcl_DStringAppendElement ( &dString, "ComputeSelectedGraphBounds" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkRenderedRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkRenderedGraphRepresentation *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelArrayName */
    if ( strcmp ( argv[2], "SetVertexLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexLabelArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelArrayName */
    if ( strcmp ( argv[2], "GetVertexLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetVertexLabelArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelPriorityArrayName */
    if ( strcmp ( argv[2], "SetVertexLabelPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexLabelPriorityArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexLabelPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelPriorityArrayName */
    if ( strcmp ( argv[2], "GetVertexLabelPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetVertexLabelPriorityArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexLabelPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelVisibility */
    if ( strcmp ( argv[2], "SetVertexLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexLabelVisibility(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelVisibility */
    if ( strcmp ( argv[2], "GetVertexLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetVertexLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VertexLabelVisibilityOn */
    if ( strcmp ( argv[2], "VertexLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VertexLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void VertexLabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for VertexLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VertexLabelVisibilityOff */
    if ( strcmp ( argv[2], "VertexLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VertexLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VertexLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void VertexLabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for VertexLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexLabelTextProperty */
    if ( strcmp ( argv[2], "SetVertexLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexLabelTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexLabelTextProperty */
    if ( strcmp ( argv[2], "GetVertexLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetVertexLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexHoverArrayName */
    if ( strcmp ( argv[2], "SetVertexHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexHoverArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetVertexHoverArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexHoverArrayName */
    if ( strcmp ( argv[2], "GetVertexHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexHoverArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "char *GetVertexHoverArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHideVertexLabelsOnInteraction */
    if ( strcmp ( argv[2], "SetHideVertexLabelsOnInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHideVertexLabelsOnInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHideVertexLabelsOnInteraction */
    Tcl_DStringAppendElement ( &dString, " Whether to hide the display of vertex labels during mouse interaction.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHideVertexLabelsOnInteraction(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetHideVertexLabelsOnInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHideVertexLabelsOnInteraction */
    if ( strcmp ( argv[2], "GetHideVertexLabelsOnInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHideVertexLabelsOnInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHideVertexLabelsOnInteraction */
    Tcl_DStringAppendElement ( &dString, " Whether to hide the display of vertex labels during mouse interaction.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetHideVertexLabelsOnInteraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetHideVertexLabelsOnInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HideVertexLabelsOnInteractionOn */
    if ( strcmp ( argv[2], "HideVertexLabelsOnInteractionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HideVertexLabelsOnInteractionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HideVertexLabelsOnInteractionOn */
    Tcl_DStringAppendElement ( &dString, " Whether to hide the display of vertex labels during mouse interaction.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void HideVertexLabelsOnInteractionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for HideVertexLabelsOnInteractionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HideVertexLabelsOnInteractionOff */
    if ( strcmp ( argv[2], "HideVertexLabelsOnInteractionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HideVertexLabelsOnInteractionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HideVertexLabelsOnInteractionOff */
    Tcl_DStringAppendElement ( &dString, " Whether to hide the display of vertex labels during mouse interaction.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void HideVertexLabelsOnInteractionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for HideVertexLabelsOnInteractionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelArrayName */
    if ( strcmp ( argv[2], "SetEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLabelArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelArrayName */
    if ( strcmp ( argv[2], "GetEdgeLabelArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetEdgeLabelArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeLabelArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelPriorityArrayName */
    if ( strcmp ( argv[2], "SetEdgeLabelPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLabelPriorityArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeLabelPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelPriorityArrayName */
    if ( strcmp ( argv[2], "GetEdgeLabelPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetEdgeLabelPriorityArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeLabelPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelVisibility */
    if ( strcmp ( argv[2], "SetEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLabelVisibility(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelVisibility */
    if ( strcmp ( argv[2], "GetEdgeLabelVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetEdgeLabelVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeLabelVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeLabelVisibilityOn */
    if ( strcmp ( argv[2], "EdgeLabelVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeLabelVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EdgeLabelVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for EdgeLabelVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeLabelVisibilityOff */
    if ( strcmp ( argv[2], "EdgeLabelVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeLabelVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeLabelVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EdgeLabelVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for EdgeLabelVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLabelTextProperty */
    if ( strcmp ( argv[2], "SetEdgeLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLabelTextProperty(vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLabelTextProperty */
    if ( strcmp ( argv[2], "GetEdgeLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkTextProperty *GetEdgeLabelTextProperty();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeHoverArrayName */
    if ( strcmp ( argv[2], "SetEdgeHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeHoverArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeHoverArrayName(char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeHoverArrayName */
    if ( strcmp ( argv[2], "GetEdgeHoverArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeHoverArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeHoverArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "char *GetEdgeHoverArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeHoverArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHideEdgeLabelsOnInteraction */
    if ( strcmp ( argv[2], "SetHideEdgeLabelsOnInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHideEdgeLabelsOnInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHideEdgeLabelsOnInteraction */
    Tcl_DStringAppendElement ( &dString, " Whether to hide the display of edge labels during mouse interaction.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHideEdgeLabelsOnInteraction(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetHideEdgeLabelsOnInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHideEdgeLabelsOnInteraction */
    if ( strcmp ( argv[2], "GetHideEdgeLabelsOnInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHideEdgeLabelsOnInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHideEdgeLabelsOnInteraction */
    Tcl_DStringAppendElement ( &dString, " Whether to hide the display of edge labels during mouse interaction.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetHideEdgeLabelsOnInteraction();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetHideEdgeLabelsOnInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HideEdgeLabelsOnInteractionOn */
    if ( strcmp ( argv[2], "HideEdgeLabelsOnInteractionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HideEdgeLabelsOnInteractionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HideEdgeLabelsOnInteractionOn */
    Tcl_DStringAppendElement ( &dString, " Whether to hide the display of edge labels during mouse interaction.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void HideEdgeLabelsOnInteractionOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for HideEdgeLabelsOnInteractionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HideEdgeLabelsOnInteractionOff */
    if ( strcmp ( argv[2], "HideEdgeLabelsOnInteractionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HideEdgeLabelsOnInteractionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HideEdgeLabelsOnInteractionOff */
    Tcl_DStringAppendElement ( &dString, " Whether to hide the display of edge labels during mouse interaction.  Default is off.\n" );
    Tcl_DStringAppendElement ( &dString, "void HideEdgeLabelsOnInteractionOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for HideEdgeLabelsOnInteractionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexIconArrayName */
    if ( strcmp ( argv[2], "SetVertexIconArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexIconArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexIconArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexIconArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexIconArrayName */
    if ( strcmp ( argv[2], "GetVertexIconArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexIconArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexIconArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetVertexIconArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexIconArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexIconPriorityArrayName */
    if ( strcmp ( argv[2], "SetVertexIconPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexIconPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexIconPriorityArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexIconPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexIconPriorityArrayName */
    if ( strcmp ( argv[2], "GetVertexIconPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexIconPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexIconPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetVertexIconPriorityArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexIconPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexIconVisibility */
    if ( strcmp ( argv[2], "SetVertexIconVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexIconVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexIconVisibility(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexIconVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexIconVisibility */
    if ( strcmp ( argv[2], "GetVertexIconVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexIconVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexIconVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetVertexIconVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexIconVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VertexIconVisibilityOn */
    if ( strcmp ( argv[2], "VertexIconVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VertexIconVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VertexIconVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void VertexIconVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for VertexIconVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: VertexIconVisibilityOff */
    if ( strcmp ( argv[2], "VertexIconVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "VertexIconVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for VertexIconVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void VertexIconVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for VertexIconVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddVertexIconType */
    if ( strcmp ( argv[2], "AddVertexIconType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddVertexIconType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddVertexIconType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddVertexIconType(const char *name, int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for AddVertexIconType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearVertexIconTypes */
    if ( strcmp ( argv[2], "ClearVertexIconTypes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearVertexIconTypes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearVertexIconTypes */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearVertexIconTypes();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for ClearVertexIconTypes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseVertexIconTypeMap */
    if ( strcmp ( argv[2], "SetUseVertexIconTypeMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseVertexIconTypeMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseVertexIconTypeMap */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseVertexIconTypeMap(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetUseVertexIconTypeMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseVertexIconTypeMap */
    if ( strcmp ( argv[2], "GetUseVertexIconTypeMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseVertexIconTypeMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseVertexIconTypeMap */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseVertexIconTypeMap();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetUseVertexIconTypeMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseVertexIconTypeMapOn */
    if ( strcmp ( argv[2], "UseVertexIconTypeMapOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseVertexIconTypeMapOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseVertexIconTypeMapOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UseVertexIconTypeMapOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for UseVertexIconTypeMapOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseVertexIconTypeMapOff */
    if ( strcmp ( argv[2], "UseVertexIconTypeMapOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseVertexIconTypeMapOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseVertexIconTypeMapOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UseVertexIconTypeMapOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for UseVertexIconTypeMapOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexIconAlignment */
    if ( strcmp ( argv[2], "SetVertexIconAlignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconAlignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexIconAlignment */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexIconAlignment(int align);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexIconAlignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexIconAlignment */
    if ( strcmp ( argv[2], "GetVertexIconAlignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexIconAlignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexIconAlignment */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVertexIconAlignment();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexIconAlignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexSelectedIcon */
    if ( strcmp ( argv[2], "SetVertexSelectedIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexSelectedIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexSelectedIcon */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexSelectedIcon(int icon);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexSelectedIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexSelectedIcon */
    if ( strcmp ( argv[2], "GetVertexSelectedIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexSelectedIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexSelectedIcon */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVertexSelectedIcon();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexSelectedIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexDefaultIcon */
    if ( strcmp ( argv[2], "SetVertexDefaultIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexDefaultIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexDefaultIcon */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexDefaultIcon(int icon);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexDefaultIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexDefaultIcon */
    if ( strcmp ( argv[2], "GetVertexDefaultIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexDefaultIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexDefaultIcon */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVertexDefaultIcon();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexDefaultIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexIconSelectionMode */
    if ( strcmp ( argv[2], "SetVertexIconSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexIconSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexIconSelectionMode(int mode);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexIconSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexIconSelectionMode */
    if ( strcmp ( argv[2], "GetVertexIconSelectionMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexIconSelectionMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexIconSelectionMode */
    Tcl_DStringAppendElement ( &dString, " Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetVertexIconSelectionMode();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexIconSelectionMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexIconSelectionModeToSelectedIcon */
    if ( strcmp ( argv[2], "SetVertexIconSelectionModeToSelectedIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconSelectionModeToSelectedIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexIconSelectionModeToSelectedIcon */
    Tcl_DStringAppendElement ( &dString, " Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexIconSelectionModeToSelectedIcon();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexIconSelectionModeToSelectedIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexIconSelectionModeToSelectedOffset */
    if ( strcmp ( argv[2], "SetVertexIconSelectionModeToSelectedOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconSelectionModeToSelectedOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexIconSelectionModeToSelectedOffset */
    Tcl_DStringAppendElement ( &dString, " Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexIconSelectionModeToSelectedOffset();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexIconSelectionModeToSelectedOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexIconSelectionModeToAnnotationIcon */
    if ( strcmp ( argv[2], "SetVertexIconSelectionModeToAnnotationIcon" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconSelectionModeToAnnotationIcon" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexIconSelectionModeToAnnotationIcon */
    Tcl_DStringAppendElement ( &dString, " Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexIconSelectionModeToAnnotationIcon();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexIconSelectionModeToAnnotationIcon */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexIconSelectionModeToIgnoreSelection */
    if ( strcmp ( argv[2], "SetVertexIconSelectionModeToIgnoreSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexIconSelectionModeToIgnoreSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexIconSelectionModeToIgnoreSelection */
    Tcl_DStringAppendElement ( &dString, " Set the mode to one of\n <ul>\n <li>vtkApplyIcons::SELECTED_ICON - use VertexSelectedIcon\n <li>vtkApplyIcons::SELECTED_OFFSET - use VertexSelectedIcon as offset\n <li>vtkApplyIcons::ANNOTATION_ICON - use current annotation icon\n <li>vtkApplyIcons::IGNORE_SELECTION - ignore selected elements\n </ul>\n The default is IGNORE_SELECTION.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexIconSelectionModeToIgnoreSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexIconSelectionModeToIgnoreSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeIconArrayName */
    if ( strcmp ( argv[2], "SetEdgeIconArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeIconArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeIconArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeIconArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeIconArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeIconArrayName */
    if ( strcmp ( argv[2], "GetEdgeIconArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeIconArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeIconArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetEdgeIconArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeIconArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeIconPriorityArrayName */
    if ( strcmp ( argv[2], "SetEdgeIconPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeIconPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeIconPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeIconPriorityArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeIconPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeIconPriorityArrayName */
    if ( strcmp ( argv[2], "GetEdgeIconPriorityArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeIconPriorityArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeIconPriorityArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetEdgeIconPriorityArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeIconPriorityArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeIconVisibility */
    if ( strcmp ( argv[2], "SetEdgeIconVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeIconVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeIconVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeIconVisibility(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeIconVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeIconVisibility */
    if ( strcmp ( argv[2], "GetEdgeIconVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeIconVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeIconVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetEdgeIconVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeIconVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeIconVisibilityOn */
    if ( strcmp ( argv[2], "EdgeIconVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeIconVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeIconVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EdgeIconVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for EdgeIconVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeIconVisibilityOff */
    if ( strcmp ( argv[2], "EdgeIconVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeIconVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeIconVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EdgeIconVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for EdgeIconVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddEdgeIconType */
    if ( strcmp ( argv[2], "AddEdgeIconType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddEdgeIconType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddEdgeIconType */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddEdgeIconType(const char *name, int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for AddEdgeIconType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearEdgeIconTypes */
    if ( strcmp ( argv[2], "ClearEdgeIconTypes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearEdgeIconTypes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearEdgeIconTypes */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void ClearEdgeIconTypes();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for ClearEdgeIconTypes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseEdgeIconTypeMap */
    if ( strcmp ( argv[2], "SetUseEdgeIconTypeMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseEdgeIconTypeMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseEdgeIconTypeMap */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetUseEdgeIconTypeMap(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetUseEdgeIconTypeMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseEdgeIconTypeMap */
    if ( strcmp ( argv[2], "GetUseEdgeIconTypeMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseEdgeIconTypeMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseEdgeIconTypeMap */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetUseEdgeIconTypeMap();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetUseEdgeIconTypeMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseEdgeIconTypeMapOn */
    if ( strcmp ( argv[2], "UseEdgeIconTypeMapOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseEdgeIconTypeMapOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseEdgeIconTypeMapOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UseEdgeIconTypeMapOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for UseEdgeIconTypeMapOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseEdgeIconTypeMapOff */
    if ( strcmp ( argv[2], "UseEdgeIconTypeMapOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseEdgeIconTypeMapOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseEdgeIconTypeMapOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void UseEdgeIconTypeMapOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for UseEdgeIconTypeMapOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeIconAlignment */
    if ( strcmp ( argv[2], "SetEdgeIconAlignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeIconAlignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeIconAlignment */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeIconAlignment(int align);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeIconAlignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeIconAlignment */
    if ( strcmp ( argv[2], "GetEdgeIconAlignment" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeIconAlignment" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeIconAlignment */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetEdgeIconAlignment();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeIconAlignment */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorVerticesByArray */
    if ( strcmp ( argv[2], "SetColorVerticesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorVerticesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorVerticesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorVerticesByArray(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetColorVerticesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorVerticesByArray */
    if ( strcmp ( argv[2], "GetColorVerticesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorVerticesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorVerticesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetColorVerticesByArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetColorVerticesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorVerticesByArrayOn */
    if ( strcmp ( argv[2], "ColorVerticesByArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesByArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorVerticesByArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ColorVerticesByArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for ColorVerticesByArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorVerticesByArrayOff */
    if ( strcmp ( argv[2], "ColorVerticesByArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorVerticesByArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorVerticesByArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ColorVerticesByArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for ColorVerticesByArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexColorArrayName */
    if ( strcmp ( argv[2], "SetVertexColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexColorArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexColorArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexColorArrayName */
    if ( strcmp ( argv[2], "GetVertexColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexColorArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetVertexColorArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorEdgesByArray */
    if ( strcmp ( argv[2], "SetColorEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorEdgesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorEdgesByArray(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetColorEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorEdgesByArray */
    if ( strcmp ( argv[2], "GetColorEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorEdgesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetColorEdgesByArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetColorEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesByArrayOn */
    if ( strcmp ( argv[2], "ColorEdgesByArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesByArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesByArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesByArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for ColorEdgesByArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ColorEdgesByArrayOff */
    if ( strcmp ( argv[2], "ColorEdgesByArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ColorEdgesByArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ColorEdgesByArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void ColorEdgesByArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for ColorEdgesByArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeColorArrayName */
    if ( strcmp ( argv[2], "SetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeColorArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeColorArrayName */
    if ( strcmp ( argv[2], "GetEdgeColorArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeColorArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeColorArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetEdgeColorArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeColorArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableVerticesByArray */
    if ( strcmp ( argv[2], "SetEnableVerticesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableVerticesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableVerticesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnableVerticesByArray(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEnableVerticesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableVerticesByArray */
    if ( strcmp ( argv[2], "GetEnableVerticesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableVerticesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableVerticesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetEnableVerticesByArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEnableVerticesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableVerticesByArrayOn */
    if ( strcmp ( argv[2], "EnableVerticesByArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableVerticesByArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableVerticesByArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EnableVerticesByArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for EnableVerticesByArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableVerticesByArrayOff */
    if ( strcmp ( argv[2], "EnableVerticesByArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableVerticesByArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableVerticesByArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EnableVerticesByArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for EnableVerticesByArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabledVerticesArrayName */
    if ( strcmp ( argv[2], "SetEnabledVerticesArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabledVerticesArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabledVerticesArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabledVerticesArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEnabledVerticesArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnabledVerticesArrayName */
    if ( strcmp ( argv[2], "GetEnabledVerticesArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnabledVerticesArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnabledVerticesArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetEnabledVerticesArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEnabledVerticesArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnableEdgesByArray */
    if ( strcmp ( argv[2], "SetEnableEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnableEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnableEdgesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnableEdgesByArray(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEnableEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnableEdgesByArray */
    if ( strcmp ( argv[2], "GetEnableEdgesByArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnableEdgesByArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnableEdgesByArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetEnableEdgesByArray();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEnableEdgesByArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableEdgesByArrayOn */
    if ( strcmp ( argv[2], "EnableEdgesByArrayOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableEdgesByArrayOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableEdgesByArrayOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EnableEdgesByArrayOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for EnableEdgesByArrayOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EnableEdgesByArrayOff */
    if ( strcmp ( argv[2], "EnableEdgesByArrayOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EnableEdgesByArrayOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EnableEdgesByArrayOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EnableEdgesByArrayOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for EnableEdgesByArrayOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabledEdgesArrayName */
    if ( strcmp ( argv[2], "SetEnabledEdgesArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabledEdgesArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabledEdgesArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabledEdgesArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEnabledEdgesArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEnabledEdgesArrayName */
    if ( strcmp ( argv[2], "GetEnabledEdgesArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEnabledEdgesArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEnabledEdgesArrayName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetEnabledEdgesArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEnabledEdgesArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeVisibility */
    if ( strcmp ( argv[2], "SetEdgeVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeVisibility(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeVisibility */
    if ( strcmp ( argv[2], "GetEdgeVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeVisibility */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetEdgeVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeVisibilityOn */
    if ( strcmp ( argv[2], "EdgeVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeVisibilityOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EdgeVisibilityOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for EdgeVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EdgeVisibilityOff */
    if ( strcmp ( argv[2], "EdgeVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EdgeVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EdgeVisibilityOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void EdgeVisibilityOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for EdgeVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeSelection */
    if ( strcmp ( argv[2], "SetEdgeSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeSelection */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeSelection(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeSelection */
    if ( strcmp ( argv[2], "GetEdgeSelection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeSelection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeSelection */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "bool GetEdgeSelection();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeSelection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkGraphLayoutStrategy" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Set/get the graph layout strategy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategy(vtkGraphLayoutStrategy *strategy);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutStrategy */
    if ( strcmp ( argv[2], "GetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Set/get the graph layout strategy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkGraphLayoutStrategy *GetLayoutStrategy();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategy */
    if ( strcmp ( argv[2], "SetLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Get/set the layout strategy by name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategy(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLayoutStrategyName */
    if ( strcmp ( argv[2], "GetLayoutStrategyName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLayoutStrategyName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLayoutStrategyName */
    Tcl_DStringAppendElement ( &dString, " Get/set the layout strategy by name.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLayoutStrategyName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetLayoutStrategyName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToRandom */
    if ( strcmp ( argv[2], "SetLayoutStrategyToRandom" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToRandom" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToRandom */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToRandom();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToRandom */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToForceDirected */
    if ( strcmp ( argv[2], "SetLayoutStrategyToForceDirected" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToForceDirected" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToForceDirected */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToForceDirected();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToForceDirected */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToSimple2D */
    if ( strcmp ( argv[2], "SetLayoutStrategyToSimple2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSimple2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToSimple2D */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToSimple2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToSimple2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToClustering2D */
    if ( strcmp ( argv[2], "SetLayoutStrategyToClustering2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToClustering2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToClustering2D */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToClustering2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToClustering2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToCommunity2D */
    if ( strcmp ( argv[2], "SetLayoutStrategyToCommunity2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCommunity2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToCommunity2D */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToCommunity2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToCommunity2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToFast2D */
    if ( strcmp ( argv[2], "SetLayoutStrategyToFast2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToFast2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToFast2D */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToFast2D();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToFast2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToPassThrough */
    if ( strcmp ( argv[2], "SetLayoutStrategyToPassThrough" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToPassThrough" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToPassThrough */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToPassThrough();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToPassThrough */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToCircular */
    if ( strcmp ( argv[2], "SetLayoutStrategyToCircular" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCircular" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToCircular */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToCircular();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToCircular */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToTree */
    if ( strcmp ( argv[2], "SetLayoutStrategyToTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToTree */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToCosmicTree */
    if ( strcmp ( argv[2], "SetLayoutStrategyToCosmicTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCosmicTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToCosmicTree */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToCosmicTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToCosmicTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToCone */
    if ( strcmp ( argv[2], "SetLayoutStrategyToCone" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCone" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToCone */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToCone();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToCone */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToSpanTree */
    if ( strcmp ( argv[2], "SetLayoutStrategyToSpanTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToSpanTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToSpanTree */
    Tcl_DStringAppendElement ( &dString, " Set predefined layout strategies.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLayoutStrategyToSpanTree();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToSpanTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToAssignCoordinates */
    if ( strcmp ( argv[2], "SetLayoutStrategyToAssignCoordinates" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToAssignCoordinates" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToAssignCoordinates */
    Tcl_DStringAppendElement ( &dString, " Set the layout strategy to use coordinates from arrays.\n The x array must be specified. The y and z arrays are optional.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategyToAssignCoordinates(const char *xarr, const char *yarr=0, const char *zarr=0);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToAssignCoordinates */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToTree */
    if ( strcmp ( argv[2], "SetLayoutStrategyToTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToTree */
    Tcl_DStringAppendElement ( &dString, " Set the layout strategy to a tree layout. Radial indicates whether to\n do a radial or standard top-down tree layout. The angle parameter is the\n angular distance spanned by the tree. Leaf spacing is a\n value from 0 to 1 indicating how much of the radial layout should be\n allocated to leaf nodes (as opposed to between tree branches). The log spacing value is a\n non-negative value where > 1 will create expanding levels, < 1 will create\n contracting levels, and = 1 makes ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategyToTree(bool radial, double angle=90, double leafSpacing=0.9, double logSpacing=1.0);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLayoutStrategyToCosmicTree */
    if ( strcmp ( argv[2], "SetLayoutStrategyToCosmicTree" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLayoutStrategyToCosmicTree" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLayoutStrategyToCosmicTree */
    Tcl_DStringAppendElement ( &dString, " Set the layout strategy to a cosmic tree layout. nodeSizeArrayName is\n the array used to size the circles (default is NULL, which makes leaf\n nodes the same size). sizeLeafNodesOnly only uses the leaf node sizes,\n and computes the parent size as the sum of the child sizes (default true).\n layoutDepth stops layout at a certain depth (default is 0, which does the\n entire tree). layoutRoot is the vertex that will be considered the root\n node of the layout (default is -1, ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLayoutStrategyToCosmicTree(const char *nodeSizeArrayName, bool sizeLeafNodesOnly=true, int layoutDepth=0, vtkIdType layoutRoot=-1);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetLayoutStrategyToCosmicTree */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLayoutStrategy */
    if ( strcmp ( argv[2], "SetEdgeLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkEdgeLayoutStrategy" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Set/get the graph layout strategy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLayoutStrategy(vtkEdgeLayoutStrategy *strategy);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLayoutStrategy */
    if ( strcmp ( argv[2], "GetEdgeLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Set/get the graph layout strategy.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkEdgeLayoutStrategy *GetEdgeLayoutStrategy();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLayoutStrategyToArcParallel */
    if ( strcmp ( argv[2], "SetEdgeLayoutStrategyToArcParallel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategyToArcParallel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLayoutStrategyToArcParallel */
    Tcl_DStringAppendElement ( &dString, " Set/get the graph layout strategy.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeLayoutStrategyToArcParallel();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeLayoutStrategyToArcParallel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLayoutStrategyToPassThrough */
    if ( strcmp ( argv[2], "SetEdgeLayoutStrategyToPassThrough" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategyToPassThrough" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLayoutStrategyToPassThrough */
    Tcl_DStringAppendElement ( &dString, " Set/get the graph layout strategy.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEdgeLayoutStrategyToPassThrough();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeLayoutStrategyToPassThrough */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLayoutStrategyToGeo */
    if ( strcmp ( argv[2], "SetEdgeLayoutStrategyToGeo" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategyToGeo" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLayoutStrategyToGeo */
    Tcl_DStringAppendElement ( &dString, " Set the edge layout strategy to a geospatial arced strategy\n appropriate for vtkGeoView.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLayoutStrategyToGeo(double explodeFactor=0.2);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeLayoutStrategyToGeo */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeLayoutStrategy */
    if ( strcmp ( argv[2], "SetEdgeLayoutStrategy" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeLayoutStrategy" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeLayoutStrategy */
    Tcl_DStringAppendElement ( &dString, " Set the edge layout strategy by name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeLayoutStrategy(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeLayoutStrategy */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeLayoutStrategyName */
    if ( strcmp ( argv[2], "GetEdgeLayoutStrategyName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeLayoutStrategyName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeLayoutStrategyName */
    Tcl_DStringAppendElement ( &dString, " Set the edge layout strategy by name.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetEdgeLayoutStrategyName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeLayoutStrategyName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ApplyViewTheme */
    if ( strcmp ( argv[2], "ApplyViewTheme" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ApplyViewTheme" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewTheme" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ApplyViewTheme */
    Tcl_DStringAppendElement ( &dString, " Apply a theme to this representation.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ApplyViewTheme(vtkViewTheme *theme);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for ApplyViewTheme */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphType */
    if ( strcmp ( argv[2], "SetGlyphType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphType */
    Tcl_DStringAppendElement ( &dString, " Set the graph vertex glyph type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetGlyphType(int type);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetGlyphType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlyphType */
    if ( strcmp ( argv[2], "GetGlyphType" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlyphType" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlyphType */
    Tcl_DStringAppendElement ( &dString, " Set the graph vertex glyph type.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int GetGlyphType();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetGlyphType */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaling */
    if ( strcmp ( argv[2], "SetScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaling */
    Tcl_DStringAppendElement ( &dString, " Set whether to scale vertex glyphs.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScaling(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaling */
    if ( strcmp ( argv[2], "GetScaling" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaling" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaling */
    Tcl_DStringAppendElement ( &dString, " Set whether to scale vertex glyphs.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetScaling();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetScaling */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingOn */
    if ( strcmp ( argv[2], "ScalingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingOn */
    Tcl_DStringAppendElement ( &dString, " Set whether to scale vertex glyphs.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for ScalingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScalingOff */
    if ( strcmp ( argv[2], "ScalingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScalingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScalingOff */
    Tcl_DStringAppendElement ( &dString, " Set whether to scale vertex glyphs.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScalingOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for ScalingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScalingArrayName */
    if ( strcmp ( argv[2], "SetScalingArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScalingArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScalingArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the glyph scaling array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetScalingArrayName(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetScalingArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScalingArrayName */
    if ( strcmp ( argv[2], "GetScalingArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScalingArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScalingArrayName */
    Tcl_DStringAppendElement ( &dString, " Set the glyph scaling array name.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetScalingArrayName();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetScalingArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetVertexScalarBarVisibility */
    if ( strcmp ( argv[2], "SetVertexScalarBarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetVertexScalarBarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetVertexScalarBarVisibility */
    Tcl_DStringAppendElement ( &dString, " Vertex/edge scalar bar visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetVertexScalarBarVisibility(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetVertexScalarBarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVertexScalarBarVisibility */
    if ( strcmp ( argv[2], "GetVertexScalarBarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVertexScalarBarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVertexScalarBarVisibility */
    Tcl_DStringAppendElement ( &dString, " Vertex/edge scalar bar visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetVertexScalarBarVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetVertexScalarBarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEdgeScalarBarVisibility */
    if ( strcmp ( argv[2], "SetEdgeScalarBarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEdgeScalarBarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEdgeScalarBarVisibility */
    Tcl_DStringAppendElement ( &dString, " Vertex/edge scalar bar visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEdgeScalarBarVisibility(bool b);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for SetEdgeScalarBarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgeScalarBarVisibility */
    if ( strcmp ( argv[2], "GetEdgeScalarBarVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgeScalarBarVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgeScalarBarVisibility */
    Tcl_DStringAppendElement ( &dString, " Vertex/edge scalar bar visibility.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool GetEdgeScalarBarVisibility();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for GetEdgeScalarBarVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsLayoutComplete */
    if ( strcmp ( argv[2], "IsLayoutComplete" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsLayoutComplete" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsLayoutComplete */
    Tcl_DStringAppendElement ( &dString, " Whether the current graph layout is complete.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual bool IsLayoutComplete();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for IsLayoutComplete */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdateLayout */
    if ( strcmp ( argv[2], "UpdateLayout" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdateLayout" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdateLayout */
    Tcl_DStringAppendElement ( &dString, " Performs another iteration on the graph layout.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void UpdateLayout();" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for UpdateLayout */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeSelectedGraphBounds */
    if ( strcmp ( argv[2], "ComputeSelectedGraphBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeSelectedGraphBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeSelectedGraphBounds */
    Tcl_DStringAppendElement ( &dString, " Compute the bounding box of the selected subgraph.\n" );
    Tcl_DStringAppendElement ( &dString, "void ComputeSelectedGraphBounds(double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkRenderedGraphRepresentation" );
    /* Closing for ComputeSelectedGraphBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkRenderedRepresentationCppCommand(static_cast<vtkRenderedRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
